(function ($) {

    Drupal.Photo = Drupal.Photo || {};

    Drupal.behaviors.actionPhoto = {
        attach: function (context) {
            $('.btn-btt').smoothScroll({speed: 600});
            $(".scroll-to").smoothScroll({speed: 600});
            Drupal.Photo.toggleMenu();
            Drupal.Photo.GalleryFlow();
            Drupal.Photo.initCarousel();
            Drupal.Photo.imageAlbumPage();

            $(".field-brand .field-item").once('load').prepend("<span>by </span>");
            Drupal.Photo.productImageActive();
            Drupal.Photo.fixCarousel();

            //Placeholder
            Drupal.Photo.setInputPlaceHolder('mail', 'Your email', '.simplenews-subscribe .form-item-mail');
            Drupal.Photo.setInputPlaceHolder('search_block_form', 'Search...', '#block-search-form');

            Drupal.Photo.progressBar();
            Drupal.Photo.editMainMenu();
            Drupal.Photo.BlogMansory();
            Drupal.Photo.handleHomePageSlide();
            $(window).load(function() {
                Drupal.Photo.initMasonry();
            });

            Drupal.Photo.imagePopup();
            Drupal.Photo.checkIEandRTL();
        }
    };

    /* toggle menu */
    Drupal.Photo.toggleMenu = function () {
        var main_menu = $("#main-menu-inner");
        $('.toggle-menu').once("load").click(function () {
            main_menu.toggleClass("show");
        });
        main_menu.find('.region-main-menu').prepend('<div class="head-menu"> <a href="javascript: void(0);" title="Close" class="btn btn-close-menu fa fa-close"></a></div>');//add button close for menu
        main_menu.find('.btn-close-menu').once('load').click(function () {
            if(main_menu.hasClass('show')){
                main_menu.removeClass('show');
            }
        });
    };
    /* end toggle menu */

    Drupal.Photo.GalleryFlow = function () {
        $('.responsiveGallery-wrapper').before('<a class="responsiveGallery-btn responsiveGallery-btn_prev" href="javascript:void(0);"></a><a class="responsiveGallery-btn responsiveGallery-btn_next" href="javascript:void(0);"></a>');
        $('.responsiveGallery-wrapper').responsiveGallery({
            animatDuration: 200,
            $btn_prev: $('.responsiveGallery-btn_prev'),
            $btn_next: $('.responsiveGallery-btn_next')
        });
    };

    Drupal.Photo.initMasonry = function () {
		if($('body').width() < 568) return;
        var $container = $('.photo-masonry .view-content');
        $container.masonry({
            itemSelector: '.views-row'
            //gutter: 10
        });
        /*var window_width = window.innerWidth;
        var inner_width = window_width - 50*2 - 85*2;
        if(window_w >= 991){
            var item_width = (inner_width - 50)/4;
            $('.photo-masonry .views-row').width(item_width);
        }
        else if(window_w >= 768){
            var item_width = (inner_width - 30)/3;
            $('.photo-masonry .views-row').width(item_width);
        }
        else if(window_w >= 480){
            var item_width = (inner_width + 50)/2;
            $('.photo-masonry .views-row').width(item_width);
        }
        $container.isotope({
            itemSelector: '.views-row',
            masonry: {
                gutter: 10,
                columnWidth: '.views-row'
            }
        })*/
    };

    Drupal.Photo.initCarousel = function () {
        fr = new FilmRoll({
            container: '.gallery-ribbon .item-list ul'

        })
    };


    Drupal.Photo.productImageActive = function () {
        $(".cloud-zoom-gallery-thumbs a:first-child").addClass("active");
        $(".cloud-zoom-gallery-thumbs a").once('load').click(function (event) {
            $(".cloud-zoom-gallery-thumbs a").removeClass("active");
            $(this).addClass('active');
        });
    }

    Drupal.Photo.setInputPlaceHolder = function (name, text, selector) {
        selector = selector == undefined ? '' : selector + ' ';

        if ($.support.placeholder) {
            $(selector + 'input[name="' + name + '"]').attr('placeholder', Drupal.t(text));
        }
        else {
            $(selector + 'input[name="' + name + '"]').val(Drupal.t(text));
            $(selector + 'input[name="' + name + '"]').focus(function () {
                if (this.value == Drupal.t(text)) {
                    this.value = '';
                }
            }).blur(function () {
                if (this.value == '') {
                    this.value = Drupal.t(text);
                }
            });
        }
    }

    Drupal.Photo.fixCarousel = function () {
        $(".jcarousel-prev").removeAttr("disabled").removeClass("jcarousel-prev-disabled");
        $(".jcarousel-next").removeAttr("disabled").removeClass("jcarousel-next-disabled");
    }

    var window_w = $(window).width();

    Drupal.Photo.setupRibbon = function () {
        if (window_w > 768) {
            $('.current-step').removeClass('current-step');
            $('.views-row-1').addClass('current-step');
        }
    }

    Drupal.Photo.checkIEandRTL = function () {
        var attr = $('html').attr('dir');
        if((navigator.userAgent.indexOf('MSIE') !== -1 || navigator.appVersion.indexOf('Trident/') > 0) && attr == 'rtl'){
            $('html').addClass('ie-rtl');
        }
    }

    Drupal.Photo.progressBar = function () {
        var work = $('.work-involves');
        work.find('.views-row').each(function () {
            var _this = $(this), percent = parseInt(_this.find('.views-field-field-percent .field-content').text());
            _this.find('.views-field-field-percent .field-content').hide();
            _this.find('.views-field-field-percent').append('<div class="progress"></div>');
            _this.find('.progress').append('<div class="progress-bar" role="progressbar" aria-valuenow="'+ percent + '" aria-valuemin="0" aria-valuemax="100" style="width: '+percent+'%;"></div>');
        });

    }

    Drupal.Photo.editMainMenu = function () {
        var menu = $("#block-system-main-menu");
        menu.find('.expanded > a').once('load').click(function () {
            if($(this).hasClass('clicked')){
                return true;
            }
            else{
                $(this).addClass('clicked');
                $(this).next().addClass('hover');
                return false;
            }
        });
        menu.find('.expanded > a.clicked').once('load').click(function () {
            //$(this).removeClass('clicked');
            return true;
        });
    }

    Drupal.Photo.BlogMansory = function () {
        if($('body').width() < 980) return;
        var container = document.querySelector('.user-blog-page #block-system-main .content');
        if (container) {
            var masonry = new Masonry(container, {
                itemSeelctor: ".node-blog"
            });
        }
    }

    Drupal.Photo.imageAlbumPage = function() {
        $(".image-count").each(function() {
            var number = $(this).text();
            if (parseInt(number) == 1) {
                $(this).text(number + ' Photo');
            }
            else {
                $(this).text(number + ' Photos');
            }
        });
    }

    Drupal.Photo.imagePopup = function() {
        $(".view .gallery-popup").click(function() {
            var $this = $(this);
            //Check gallery roll
            if ($this.hasClass('film_roll_child') && !$this.hasClass('active')) {
                return;
            }

            var view_name = $this.find('.gallery-popup-data').data('viewName');
            var view_display_id = $this.find('.gallery-popup-data').data('viewDisplayId');
            var view_args = $this.find('.gallery-popup-data').data('viewArgs');

            $.ajax({
                url: Drupal.settings.basePath + "views/ajax",
                type: 'post',
                data: {
                  view_name: view_name,
                  view_display_id: view_display_id,
                  view_args: view_args
                },
                dataType: 'json',
                success: function (response) {
                    var data = response[0];
                    var popup_data = data.field_image;
                    if (Array.isArray(popup_data)) {
                        popup_data.forEach(function(obj, key) {
                            delete obj.alt;
                            obj.caption = data.title;
                            obj.thumb = data.field_image_1[key].src;
                        });
                    }
                    else {
                        delete popup_data.alt;
                        popup_data.caption = data.title;
                        popup_data.thumb = data.field_image_1.src;
                        popup_data = [popup_data];
                    }
                    $("body").lightGallery({
                        dynamic   : true,
                        dynamicEl : popup_data
                    });
                }
            });
        });


    };

    Drupal.Photo.handleHomePageSlide = function() {
        $(".view-frontpage .views-slideshow-cycle-main-frame-row").each(function() {
            var image_src = $(this).find(".views-field-type-image img").attr("src");
            $(this).css('background-image', 'url(' + image_src + ')');
            //$(this).find("views-row").css('background-image', 'url(' + image_src + ')');
        });
    };

})(jQuery);