-- MySQL dump 10.13  Distrib 5.6.36, for Linux (x86_64)
--
-- Host: localhost    Database: d7_photo
-- ------------------------------------------------------
-- Server version	5.6.30

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `actions`
--

DROP TABLE IF EXISTS `actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `actions` (
  `aid` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique actions ID.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The object that that action acts on (node, user, comment, system or custom types.)',
  `callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback function that executes when the action runs.',
  `parameters` longblob NOT NULL COMMENT 'Parameters to be passed to the callback function.',
  `label` varchar(255) NOT NULL DEFAULT '0' COMMENT 'Label of the action.',
  PRIMARY KEY (`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores action information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `actions`
--

LOCK TABLES `actions` WRITE;
/*!40000 ALTER TABLE `actions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `actions` VALUES ('comment_publish_action','comment','comment_publish_action','','Publish comment'),('comment_save_action','comment','comment_save_action','','Save comment'),('comment_unpublish_action','comment','comment_unpublish_action','','Unpublish comment'),('node_make_sticky_action','node','node_make_sticky_action','','Make content sticky'),('node_make_unsticky_action','node','node_make_unsticky_action','','Make content unsticky'),('node_promote_action','node','node_promote_action','','Promote content to front page'),('node_publish_action','node','node_publish_action','','Publish content'),('node_save_action','node','node_save_action','','Save content'),('node_unpromote_action','node','node_unpromote_action','','Remove content from front page'),('node_unpublish_action','node','node_unpublish_action','','Unpublish content'),('pathauto_node_update_action','node','pathauto_node_update_action','','Update node alias'),('pathauto_taxonomy_term_update_action','taxonomy_term','pathauto_taxonomy_term_update_action','','Update taxonomy term alias'),('pathauto_user_update_action','user','pathauto_user_update_action','','Update user alias'),('system_block_ip_action','user','system_block_ip_action','','Ban IP address of current user'),('user_block_user_action','user','user_block_user_action','','Block current user');
/*!40000 ALTER TABLE `actions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `authmap`
--

DROP TABLE IF EXISTS `authmap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `authmap` (
  `aid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique authmap ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'User’s users.uid.',
  `authname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Unique authentication name.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'Module which is controlling the authentication.',
  PRIMARY KEY (`aid`),
  UNIQUE KEY `authname` (`authname`),
  KEY `uid_module` (`uid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores distributed authentication mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `authmap`
--

LOCK TABLES `authmap` WRITE;
/*!40000 ALTER TABLE `authmap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `authmap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `batch`
--

DROP TABLE IF EXISTS `batch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `batch` (
  `bid` int(10) unsigned NOT NULL COMMENT 'Primary Key: Unique batch ID.',
  `token` varchar(64) NOT NULL COMMENT 'A string token generated against the current user’s session id and the batch id, used to ensure that only the user who submitted the batch can effectively access it.',
  `timestamp` int(11) NOT NULL COMMENT 'A Unix timestamp indicating when this batch was submitted for processing. Stale batches are purged at cron time.',
  `batch` longblob COMMENT 'A serialized array containing the processing data for the batch.',
  PRIMARY KEY (`bid`),
  KEY `token` (`token`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores details about batches (processes that run in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `batch`
--

LOCK TABLES `batch` WRITE;
/*!40000 ALTER TABLE `batch` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `batch` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block`
--

DROP TABLE IF EXISTS `block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block` (
  `bid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique block ID.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The module from which the block originates; for example, ’user’ for the Who’s Online block, and ’block’ for any custom blocks.',
  `delta` varchar(32) NOT NULL DEFAULT '0' COMMENT 'Unique ID for block within a module.',
  `theme` varchar(64) NOT NULL DEFAULT '' COMMENT 'The theme under which the block settings apply.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Block enabled status. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Block weight within region.',
  `region` varchar(64) NOT NULL DEFAULT '' COMMENT 'Theme region within which the block is set.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how users may control visibility of the block. (0 = Users cannot control, 1 = On by default, but can be hidden, 2 = Hidden by default, but can be shown)',
  `visibility` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate how to show blocks on pages. (0 = Show on all pages except listed pages, 1 = Show only on listed pages, 2 = Use custom PHP code to determine visibility)',
  `pages` text NOT NULL COMMENT 'Contents of the "Pages" block; contains either a list of paths on which to include/exclude the block or PHP code, depending on "visibility" setting.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Custom title for the block. (Empty string will use block default title, <none> will remove the title, text will cause block to use specified title.)',
  `cache` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Binary flag to indicate block cache mode. (-2: Custom cache, -1: Do not cache, 1: Cache per role, 2: Cache per user, 4: Cache per page, 8: Block cache global) See DRUPAL_CACHE_* constants in ../includes/common.inc for more detailed information.',
  `css_class` varchar(255) NOT NULL DEFAULT '' COMMENT 'String containing the classes for the block.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `tmd` (`theme`,`module`,`delta`),
  KEY `list` (`theme`,`status`,`region`,`weight`,`module`)
) ENGINE=InnoDB AUTO_INCREMENT=124 DEFAULT CHARSET=utf8 COMMENT='Stores block settings, such as region and visibility...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block`
--

LOCK TABLES `block` WRITE;
/*!40000 ALTER TABLE `block` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block` VALUES (1,'system','main','bartik',1,0,'content',0,0,'','',-1,''),(2,'search','form','bartik',1,-1,'sidebar_first',0,0,'','',-1,''),(3,'node','recent','seven',1,10,'dashboard_main',0,0,'','',-1,''),(4,'user','login','bartik',1,0,'sidebar_first',0,0,'','',-1,''),(5,'system','navigation','bartik',1,0,'sidebar_first',0,0,'','',-1,''),(6,'system','powered-by','bartik',1,10,'footer',0,0,'','',-1,''),(7,'system','help','bartik',1,0,'help',0,0,'','',-1,''),(8,'system','main','seven',1,0,'content',0,0,'','',-1,''),(9,'system','help','seven',1,0,'help',0,0,'','',-1,''),(10,'user','login','seven',1,10,'content',0,0,'','',-1,''),(11,'user','new','seven',1,0,'dashboard_sidebar',0,0,'','',-1,''),(12,'search','form','seven',1,-10,'dashboard_sidebar',0,0,'','',-1,''),(13,'comment','recent','bartik',0,0,'-1',0,0,'','',1,''),(14,'node','syndicate','bartik',0,0,'-1',0,0,'','',-1,''),(15,'node','recent','bartik',0,0,'-1',0,0,'','',1,''),(16,'shortcut','shortcuts','bartik',0,0,'-1',0,0,'','',-1,''),(17,'system','management','bartik',0,0,'-1',0,0,'','',-1,''),(18,'system','user-menu','bartik',0,0,'-1',0,0,'','',-1,''),(19,'system','main-menu','bartik',0,0,'-1',0,0,'','<none>',-1,''),(20,'user','new','bartik',0,0,'-1',0,0,'','',1,''),(21,'user','online','bartik',0,0,'-1',0,0,'','',-1,''),(22,'comment','recent','seven',1,0,'dashboard_inactive',0,0,'','',1,''),(23,'node','syndicate','seven',0,0,'-1',0,0,'','',-1,''),(24,'shortcut','shortcuts','seven',0,0,'-1',0,0,'','',-1,''),(25,'system','powered-by','seven',0,10,'-1',0,0,'','',-1,''),(26,'system','navigation','seven',0,0,'-1',0,0,'','',-1,''),(27,'system','management','seven',0,0,'-1',0,0,'','',-1,''),(28,'system','user-menu','seven',0,0,'-1',0,0,'','',-1,''),(29,'system','main-menu','seven',0,0,'-1',0,0,'','<none>',-1,''),(30,'user','online','seven',1,0,'dashboard_inactive',0,0,'','',-1,''),(31,'comment','recent','photo',0,0,'-1',0,0,'','',1,''),(32,'node','recent','photo',0,0,'-1',0,0,'','',1,''),(33,'node','syndicate','photo',0,0,'-1',0,0,'','',-1,''),(34,'search','form','photo',0,-1,'-1',0,0,'','',-1,''),(35,'shortcut','shortcuts','photo',0,0,'-1',0,0,'','',-1,''),(36,'system','help','photo',1,0,'help',0,0,'','',-1,''),(37,'system','main','photo',1,-12,'content',0,0,'','',-1,''),(38,'system','main-menu','photo',1,0,'main_menu',0,0,'','<none>',-1,''),(39,'system','management','photo',0,0,'-1',0,0,'','',-1,''),(40,'system','navigation','photo',0,0,'-1',0,0,'','',-1,''),(41,'system','powered-by','photo',0,-8,'-1',0,0,'','',-1,''),(42,'system','user-menu','photo',0,0,'-1',0,0,'','',-1,''),(43,'user','login','photo',0,0,'-1',0,0,'','',-1,''),(44,'user','new','photo',0,0,'-1',0,0,'','',1,''),(45,'user','online','photo',0,0,'-1',0,0,'','',-1,''),(46,'block','1','bartik',0,0,'-1',0,0,'','<none>',-1,'copyright-info-block'),(47,'block','1','photo',1,0,'footer',0,0,'','<none>',-1,'copyright-info-block'),(48,'block','1','seven',0,0,'-1',0,0,'','<none>',-1,'copyright-info-block'),(49,'block','2','bartik',0,0,'-1',0,0,'','<none>',-1,'social-block'),(50,'block','2','photo',1,0,'footer',0,0,'','<none>',-1,'social-block'),(51,'block','2','seven',0,0,'-1',0,0,'','<none>',-1,'social-block'),(52,'views','gallery-block_1','seven',0,0,'-1',0,0,'','',-1,''),(53,'views','gallery-block_2','seven',0,0,'-1',0,0,'','',-1,''),(54,'quicktabs','quicktab_albums','photo',1,-11,'content',0,1,'gallery-albums','<none>',-1,''),(55,'views','gallery-block_1','photo',0,0,'-1',0,0,'','',-1,''),(56,'views','gallery-block_2','photo',0,0,'-1',0,0,'','',-1,''),(57,'quicktabs','quicktab_albums','bartik',0,0,'-1',0,1,'gallery-albums','<none>',-1,''),(58,'quicktabs','quicktab_albums','seven',0,0,'-1',0,1,'gallery-albums','<none>',-1,''),(59,'views','gallery-block_3','seven',0,0,'-1',0,0,'','',-1,''),(60,'views','gallery-block_4','seven',0,0,'-1',0,0,'','',-1,''),(61,'blog','recent','bartik',0,0,'-1',0,0,'','',1,''),(62,'views','gallery-block_1','bartik',0,0,'-1',0,0,'','',-1,''),(63,'views','gallery-block_2','bartik',0,0,'-1',0,0,'','',-1,''),(64,'views','gallery-block_3','bartik',0,0,'-1',0,0,'','',-1,''),(65,'views','gallery-block_4','bartik',0,0,'-1',0,0,'','',-1,''),(66,'blog','recent','photo',0,0,'-1',0,0,'','',1,''),(67,'views','gallery-block_3','photo',0,0,'-1',0,0,'','',-1,''),(68,'views','gallery-block_4','photo',0,0,'-1',0,0,'','',-1,''),(69,'blog','recent','seven',1,0,'dashboard_inactive',0,0,'','',1,''),(70,'block','3','bartik',0,0,'-1',0,1,'contact','<none>',-1,'contact-info-block'),(71,'block','3','photo',1,-13,'content',0,1,'contact','<none>',-1,'contact-info-block'),(72,'block','3','seven',0,0,'-1',0,1,'contact','<none>',-1,'contact-info-block'),(76,'menu','menu-second-menu','photo',1,-10,'content',0,1,'clients\r\nservices\r\nabout-us\r\nmeet-out-team\r\nour-work-involves','<none>',-1,'left-menu'),(77,'menu','menu-second-menu','bartik',0,0,'-1',0,1,'clients\r\nservices\r\nabout-us\r\nmeet-out-team\r\nour-work-involves','<none>',-1,'left-menu'),(78,'menu','menu-second-menu','seven',0,0,'-1',0,1,'clients\r\nservices\r\nabout-us\r\nmeet-out-team\r\nour-work-involves','<none>',-1,'left-menu'),(79,'locale','language','bartik',0,0,'-1',0,0,'','',-1,''),(80,'locale','language','photo',0,0,'-1',0,0,'','',-1,''),(81,'locale','language','seven',0,0,'-1',0,0,'','',-1,''),(82,'devel','execute_php','bartik',0,0,'-1',0,0,'','',-1,''),(83,'devel','switch_user','bartik',0,0,'-1',0,0,'','',-1,''),(84,'menu','devel','bartik',0,0,'-1',0,0,'','',-1,''),(85,'devel','execute_php','photo',0,0,'-1',0,0,'','',-1,''),(86,'devel','switch_user','photo',0,0,'-1',0,0,'','',-1,''),(87,'menu','devel','photo',0,0,'-1',0,0,'','',-1,''),(88,'devel','execute_php','seven',0,0,'-1',0,0,'','',-1,''),(89,'devel','switch_user','seven',0,0,'-1',0,0,'','',-1,''),(90,'menu','devel','seven',0,0,'-1',0,0,'','',-1,''),(91,'sharethis','sharethis_block','bartik',0,0,'-1',0,0,'','',4,''),(92,'sharethis','sharethis_block','photo',0,0,'-1',0,0,'','',4,''),(93,'sharethis','sharethis_block','seven',0,0,'-1',0,0,'','',4,''),(94,'block','1','we_backend',1,0,'footer',0,0,'','<none>',-1,'copyright-info-block'),(95,'block','2','we_backend',0,0,'-1',0,0,'','<none>',-1,'social-block'),(96,'block','3','we_backend',1,-13,'content',0,1,'contact','<none>',-1,'contact-info-block'),(97,'blog','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1,''),(98,'comment','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1,''),(99,'devel','execute_php','we_backend',0,0,'-1',0,0,'','',-1,''),(100,'devel','switch_user','we_backend',0,0,'-1',0,0,'','',-1,''),(101,'locale','language','we_backend',0,0,'-1',0,0,'','',-1,''),(102,'menu','devel','we_backend',0,0,'-1',0,0,'','',-1,''),(103,'menu','menu-second-menu','we_backend',1,-10,'content',0,1,'clients\r\nservices\r\nabout-us\r\nmeet-out-team\r\nour-work-involves','<none>',-1,'left-menu'),(104,'node','recent','we_backend',1,0,'dashboard_inactive',0,0,'','',1,''),(105,'node','syndicate','we_backend',0,0,'-1',0,0,'','',-1,''),(106,'quicktabs','quicktab_albums','we_backend',1,-11,'content',0,1,'gallery-albums','<none>',-1,''),(107,'search','form','we_backend',1,-1,'dashboard_inactive',0,0,'','',-1,''),(108,'sharethis','sharethis_block','we_backend',0,0,'-1',0,0,'','',4,''),(109,'shortcut','shortcuts','we_backend',0,0,'-1',0,0,'','',-1,''),(110,'system','help','we_backend',1,0,'help',0,0,'','',-1,''),(111,'system','main','we_backend',1,-12,'content',0,0,'','',-1,''),(112,'system','main-menu','we_backend',1,0,'header',0,0,'','<none>',-1,''),(113,'system','management','we_backend',0,0,'-1',0,0,'','',-1,''),(114,'system','navigation','we_backend',0,0,'-1',0,0,'','',-1,''),(115,'system','powered-by','we_backend',0,-8,'-1',0,0,'','',-1,''),(116,'system','user-menu','we_backend',0,0,'-1',0,0,'','',-1,''),(117,'user','login','we_backend',0,0,'-1',0,0,'','',-1,''),(118,'user','new','we_backend',1,0,'dashboard_inactive',0,0,'','',1,''),(119,'user','online','we_backend',1,0,'dashboard_inactive',0,0,'','',-1,''),(120,'views','gallery-block_1','we_backend',0,0,'-1',0,0,'','',-1,''),(121,'views','gallery-block_2','we_backend',0,0,'-1',0,0,'','',-1,''),(122,'views','gallery-block_3','we_backend',0,0,'-1',0,0,'','',-1,''),(123,'views','gallery-block_4','we_backend',0,0,'-1',0,0,'','',-1,'');
/*!40000 ALTER TABLE `block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_custom`
--

DROP TABLE IF EXISTS `block_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_custom` (
  `bid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The block’s block.bid.',
  `body` longtext COMMENT 'Block contents.',
  `info` varchar(128) NOT NULL DEFAULT '' COMMENT 'Block description.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the block body.',
  PRIMARY KEY (`bid`),
  UNIQUE KEY `info` (`info`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores contents of custom-made blocks.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_custom`
--

LOCK TABLES `block_custom` WRITE;
/*!40000 ALTER TABLE `block_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `block_custom` VALUES (1,'<p>design by <a title=\"Weebpal\" href=\"http://www.weebpal.com\" target=\"_blank\">weebpal</a></p>','copyright','full_html'),(2,'<ul class=\"social-list\">\r\n	<li><a title=\"Facebook\" href=\"http://facebook.com/weebpal\" target=\"_blank\"><i class=\"fa fa-facebook\"></i></a></li>\r\n	<li><a title=\"Twitter\" href=\"http://twitter.com/weebpal\" target=\"_blank\"><i class=\"fa fa-twitter\"></i></a></li>\r\n	<li><a title=\"Google Plus\" href=\"http://plus.google.com/weebpal\" target=\"_blank\"><i class=\"fa fa-google-plus\"></i></a></li>\r\n	<li><a title=\"Pinterest\" href=\"http://pinterest.com/weebpal\" target=\"_blank\"><i class=\"fa fa-pinterest\"></i></a></li>\r\n</ul>','Social link','full_html'),(3,'<p>Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. qui dolorem ipsum quia dolor sit amet.</p>\r\n<address>\r\n	<i class=\"fa fa-phone\"></i> <strong>Direct: </strong>065-574-5425\r\n</address>\r\n<address>\r\n<i class=\"fa fa-fax\"></i> <strong>Fax: </strong>545-456-2123\r\n</address>\r\n<address>\r\n<i class=\"fa fa-envelope\"></i> <strong>Email: </strong>contact@weebpal.com\r\n</address>','Contact info','full_html');
/*!40000 ALTER TABLE `block_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_node_type`
--

DROP TABLE IF EXISTS `block_node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_node_type` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type from node_type.type.',
  PRIMARY KEY (`module`,`delta`,`type`),
  KEY `type` (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up display criteria for blocks based on content types';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_node_type`
--

LOCK TABLES `block_node_type` WRITE;
/*!40000 ALTER TABLE `block_node_type` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `block_role`
--

DROP TABLE IF EXISTS `block_role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `block_role` (
  `module` varchar(64) NOT NULL COMMENT 'The block’s origin module, from block.module.',
  `delta` varchar(32) NOT NULL COMMENT 'The block’s unique delta within module, from block.delta.',
  `rid` int(10) unsigned NOT NULL COMMENT 'The user’s role ID from users_roles.rid.',
  PRIMARY KEY (`module`,`delta`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sets up access permissions for blocks based on user roles';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `block_role`
--

LOCK TABLES `block_role` WRITE;
/*!40000 ALTER TABLE `block_role` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `block_role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `blocked_ips`
--

DROP TABLE IF EXISTS `blocked_ips`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `blocked_ips` (
  `iid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: unique ID for IP addresses.',
  `ip` varchar(40) NOT NULL DEFAULT '' COMMENT 'IP address',
  PRIMARY KEY (`iid`),
  KEY `blocked_ip` (`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores blocked IP addresses.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `blocked_ips`
--

LOCK TABLES `blocked_ips` WRITE;
/*!40000 ALTER TABLE `blocked_ips` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `blocked_ips` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache`
--

DROP TABLE IF EXISTS `cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache`
--

LOCK TABLES `cache` WRITE;
/*!40000 ALTER TABLE `cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_admin_menu`
--

DROP TABLE IF EXISTS `cache_admin_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_admin_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for Administration menu to store client-side...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_admin_menu`
--

LOCK TABLES `cache_admin_menu` WRITE;
/*!40000 ALTER TABLE `cache_admin_menu` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_admin_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_block`
--

DROP TABLE IF EXISTS `cache_block`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_block` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Block module to store already built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_block`
--

LOCK TABLES `cache_block` WRITE;
/*!40000 ALTER TABLE `cache_block` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_block` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_bootstrap`
--

DROP TABLE IF EXISTS `cache_bootstrap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_bootstrap` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for data required to bootstrap Drupal, may be...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_bootstrap`
--

LOCK TABLES `cache_bootstrap` WRITE;
/*!40000 ALTER TABLE `cache_bootstrap` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_bootstrap` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_field`
--

DROP TABLE IF EXISTS `cache_field`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_field` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Field module to store already built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_field`
--

LOCK TABLES `cache_field` WRITE;
/*!40000 ALTER TABLE `cache_field` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_field` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_filter`
--

DROP TABLE IF EXISTS `cache_filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_filter` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Filter module to store already...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_filter`
--

LOCK TABLES `cache_filter` WRITE;
/*!40000 ALTER TABLE `cache_filter` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_form`
--

DROP TABLE IF EXISTS `cache_form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_form` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the form system to store recently built...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_form`
--

LOCK TABLES `cache_form` WRITE;
/*!40000 ALTER TABLE `cache_form` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_form` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_image`
--

DROP TABLE IF EXISTS `cache_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_image` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store information about image...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_image`
--

LOCK TABLES `cache_image` WRITE;
/*!40000 ALTER TABLE `cache_image` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_libraries`
--

DROP TABLE IF EXISTS `cache_libraries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_libraries` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table to store library information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_libraries`
--

LOCK TABLES `cache_libraries` WRITE;
/*!40000 ALTER TABLE `cache_libraries` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_libraries` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_menu`
--

DROP TABLE IF EXISTS `cache_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_menu` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the menu system to store router...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_menu`
--

LOCK TABLES `cache_menu` WRITE;
/*!40000 ALTER TABLE `cache_menu` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_menu` VALUES ('menu_custom','a:6:{s:5:\"devel\";a:3:{s:9:\"menu_name\";s:5:\"devel\";s:5:\"title\";s:11:\"Development\";s:11:\"description\";s:16:\"Development link\";}s:9:\"main-menu\";a:3:{s:9:\"menu_name\";s:9:\"main-menu\";s:5:\"title\";s:9:\"Main menu\";s:11:\"description\";s:115:\"The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.\";}s:10:\"management\";a:3:{s:9:\"menu_name\";s:10:\"management\";s:5:\"title\";s:10:\"Management\";s:11:\"description\";s:69:\"The <em>Management</em> menu contains links for administrative tasks.\";}s:16:\"menu-second-menu\";a:3:{s:9:\"menu_name\";s:16:\"menu-second-menu\";s:5:\"title\";s:11:\"Second menu\";s:11:\"description\";s:0:\"\";}s:10:\"navigation\";a:3:{s:9:\"menu_name\";s:10:\"navigation\";s:5:\"title\";s:10:\"Navigation\";s:11:\"description\";s:150:\"The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.\";}s:9:\"user-menu\";a:3:{s:9:\"menu_name\";s:9:\"user-menu\";s:5:\"title\";s:9:\"User menu\";s:11:\"description\";s:99:\"The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.\";}}',0,1512632554,1);
/*!40000 ALTER TABLE `cache_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_page`
--

DROP TABLE IF EXISTS `cache_page`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_page` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table used to store compressed pages for anonymous...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_page`
--

LOCK TABLES `cache_page` WRITE;
/*!40000 ALTER TABLE `cache_page` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_page` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_path`
--

DROP TABLE IF EXISTS `cache_path`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_path` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for path alias lookup.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_path`
--

LOCK TABLES `cache_path` WRITE;
/*!40000 ALTER TABLE `cache_path` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_path` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_token`
--

DROP TABLE IF EXISTS `cache_token`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_token` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for token information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_token`
--

LOCK TABLES `cache_token` WRITE;
/*!40000 ALTER TABLE `cache_token` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_token` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_update`
--

DROP TABLE IF EXISTS `cache_update`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_update` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for the Update module to store information...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_update`
--

LOCK TABLES `cache_update` WRITE;
/*!40000 ALTER TABLE `cache_update` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `cache_update` VALUES ('available_releases::admin_menu','a:11:{s:5:\"title\";s:19:\"Administration menu\";s:10:\"short_name\";s:10:\"admin_menu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc4\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc4\";s:7:\"version\";s:11:\"7.x-3.0-rc4\";s:3:\"tag\";s:11:\"7.x-3.0-rc4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1359651687\";s:6:\"mdhash\";s:32:\"3d8359538878723720fca6ddb2f82c7a\";s:8:\"filesize\";s:5:\"55064\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337292349\";s:6:\"mdhash\";s:32:\"86b659c35823d541354179eccbfdc2d4\";s:8:\"filesize\";s:5:\"50950\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc2\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc2\";s:7:\"version\";s:11:\"7.x-3.0-rc2\";s:3:\"tag\";s:11:\"7.x-3.0-rc2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1335198071\";s:6:\"mdhash\";s:32:\"47761c79c351697f295d933b85441328\";s:8:\"filesize\";s:5:\"49988\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1294378871\";s:6:\"mdhash\";s:32:\"9d0cfb26adda4da7bd309bdf5be305a0\";s:8:\"filesize\";s:5:\"70961\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:22:\"admin_menu 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1426875181\";s:6:\"mdhash\";s:32:\"6d2cdd2a5be2531a7e735847ce329102\";s:8:\"filesize\";s:5:\"53496\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1512705009,1512618606,1),('available_releases::block_class','a:11:{s:5:\"title\";s:11:\"Block Class\";s:10:\"short_name\";s:11:\"block_class\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1450415939\";s:6:\"mdhash\";s:32:\"286b7673faa2a067a9e96ee748331db9\";s:8:\"filesize\";s:5:\"12696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1450293839\";s:6:\"mdhash\";s:32:\"9e382ab421c420b01c393be94b401ad9\";s:8:\"filesize\";s:5:\"12684\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1377197769\";s:6:\"mdhash\";s:32:\"cb57d269d45aabd8978c0a88b05b9eb3\";s:8:\"filesize\";s:5:\"11499\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1362669357\";s:6:\"mdhash\";s:32:\"4c3afdc9b94f12d4a2fa6ab8eac2bae8\";s:8:\"filesize\";s:4:\"9421\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1377198970\";s:6:\"mdhash\";s:32:\"393dbfad8a142c2ff7d348f30521a63f\";s:8:\"filesize\";s:5:\"11913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1349301967\";s:6:\"mdhash\";s:32:\"30eff4c1392274a53680412e5784330b\";s:8:\"filesize\";s:4:\"8874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-1.2-beta1\";a:15:{s:4:\"name\";s:25:\"block_class 7.x-1.2-beta1\";s:7:\"version\";s:13:\"7.x-1.2-beta1\";s:3:\"tag\";s:13:\"7.x-1.2-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/block_class/releases/7.x-1.2-beta1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.2-beta1.tar.gz\";s:4:\"date\";s:10:\"1333059942\";s:6:\"mdhash\";s:32:\"d83eb9270022e9a3d6dc53ad102017d3\";s:8:\"filesize\";s:4:\"8873\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1331079937\";s:6:\"mdhash\";s:32:\"b466c130b0fc352d7bd2d434f294e6d6\";s:8:\"filesize\";s:4:\"8694\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1318630894\";s:6:\"mdhash\";s:32:\"7659a7e3cfb4be20692a64b467a40310\";s:8:\"filesize\";s:4:\"8703\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"block_class 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/block_class/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1496362442\";s:6:\"mdhash\";s:32:\"8df84f57a2cf05072280b47904c3dfe4\";s:8:\"filesize\";s:5:\"13550\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"block_class 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/block_class/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/block_class-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380556302\";s:6:\"mdhash\";s:32:\"7419a6f4c1a002401da79a0f3291dd75\";s:8:\"filesize\";s:5:\"11922\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1512705010,1512618606,1),('available_releases::colorbox','a:11:{s:5:\"title\";s:8:\"Colorbox\";s:10:\"short_name\";s:8:\"colorbox\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/colorbox\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:31:{s:8:\"7.x-2.13\";a:14:{s:4:\"name\";s:17:\"colorbox 7.x-2.13\";s:7:\"version\";s:8:\"7.x-2.13\";s:3:\"tag\";s:8:\"7.x-2.13\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/colorbox/releases/7.x-2.13\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.13.tar.gz\";s:4:\"date\";s:10:\"1491291483\";s:6:\"mdhash\";s:32:\"81942f2858a20cd9b986b4c7c82708e0\";s:8:\"filesize\";s:6:\"163128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.12\";a:14:{s:4:\"name\";s:17:\"colorbox 7.x-2.12\";s:7:\"version\";s:8:\"7.x-2.12\";s:3:\"tag\";s:8:\"7.x-2.12\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/colorbox/releases/7.x-2.12\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.12.tar.gz\";s:4:\"date\";s:10:\"1465255739\";s:6:\"mdhash\";s:32:\"a5667b3345a9430837dbeee8066b7de9\";s:8:\"filesize\";s:6:\"169332\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.11\";a:14:{s:4:\"name\";s:17:\"colorbox 7.x-2.11\";s:7:\"version\";s:8:\"7.x-2.11\";s:3:\"tag\";s:8:\"7.x-2.11\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/colorbox/releases/7.x-2.11\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.11.tar.gz\";s:4:\"date\";s:10:\"1464956939\";s:6:\"mdhash\";s:32:\"0b560eeee3003170f80cc81d56f45c65\";s:8:\"filesize\";s:6:\"169285\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-2.10\";a:14:{s:4:\"name\";s:17:\"colorbox 7.x-2.10\";s:7:\"version\";s:8:\"7.x-2.10\";s:3:\"tag\";s:8:\"7.x-2.10\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/colorbox/releases/7.x-2.10\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.10.tar.gz\";s:4:\"date\";s:10:\"1443691439\";s:6:\"mdhash\";s:32:\"6027f03ecc6e0e6c92e137339cb58517\";s:8:\"filesize\";s:6:\"168996\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.9\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.9\";s:7:\"version\";s:7:\"7.x-2.9\";s:3:\"tag\";s:7:\"7.x-2.9\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.9\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.9.tar.gz\";s:4:\"date\";s:10:\"1434934980\";s:6:\"mdhash\";s:32:\"48c71a713678548d5ee368ee36a0ba58\";s:8:\"filesize\";s:6:\"168826\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.8\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.8\";s:7:\"version\";s:7:\"7.x-2.8\";s:3:\"tag\";s:7:\"7.x-2.8\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.8\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.8.tar.gz\";s:4:\"date\";s:10:\"1410514128\";s:6:\"mdhash\";s:32:\"c0ffce63e21f30f4a741b4389f01bfc5\";s:8:\"filesize\";s:6:\"168639\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.7\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1403692728\";s:6:\"mdhash\";s:32:\"a5aaf8c323c87ca1c0facf8c93c2c486\";s:8:\"filesize\";s:6:\"164144\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1401278627\";s:6:\"mdhash\";s:32:\"739bc27a2385e7c8db4f6714cb46fd31\";s:8:\"filesize\";s:6:\"164172\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1385815705\";s:6:\"mdhash\";s:32:\"6de84bea6ea5827598bc1192a0cedfb0\";s:8:\"filesize\";s:6:\"164026\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1365452412\";s:6:\"mdhash\";s:32:\"aba012077a2ee086548eb93157b2caa2\";s:8:\"filesize\";s:6:\"167430\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1360072087\";s:6:\"mdhash\";s:32:\"5c0d240681d26bf38ca7c7a4057a7acf\";s:8:\"filesize\";s:6:\"167131\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1358727059\";s:6:\"mdhash\";s:32:\"dc8b6a29054a74bc05e26908789d11a6\";s:8:\"filesize\";s:6:\"167236\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1358483767\";s:6:\"mdhash\";s:32:\"29961ac05e2d8157db32b3bd7ad8482c\";s:8:\"filesize\";s:6:\"167181\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-2.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1353323160\";s:6:\"mdhash\";s:32:\"5918dee2282afec27a7a8db69270684b\";s:8:\"filesize\";s:6:\"167181\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-2.0-beta4\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-2.0-beta4\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:3:\"tag\";s:13:\"7.x-2.0-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-2.0-beta4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1352120168\";s:6:\"mdhash\";s:32:\"feafdb0f3bbf3c05ff0ac6e7819ee293\";s:8:\"filesize\";s:6:\"167425\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1350631571\";s:6:\"mdhash\";s:32:\"b9af4d78d3b5cac517eb366180876d41\";s:8:\"filesize\";s:6:\"167755\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1349463066\";s:6:\"mdhash\";s:32:\"9475265a6db49de132e502449d5dd5a5\";s:8:\"filesize\";s:6:\"167529\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1349353286\";s:6:\"mdhash\";s:32:\"e3cdda134788e2099f905fc144f94616\";s:8:\"filesize\";s:6:\"163330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.6\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1366377322\";s:6:\"mdhash\";s:32:\"38b97fb51f9c142ba72a1170e8787b4d\";s:8:\"filesize\";s:6:\"165078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.5\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1360354358\";s:6:\"mdhash\";s:32:\"afa09428bc15375c286dce88f39046dc\";s:8:\"filesize\";s:6:\"165009\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.4\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1350629767\";s:6:\"mdhash\";s:32:\"227d9cd3ec8571aa319a4bdceba5ee07\";s:8:\"filesize\";s:6:\"165054\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1334080546\";s:6:\"mdhash\";s:32:\"a425d8a02a1d330db02c0811c5e24302\";s:8:\"filesize\";s:6:\"164324\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1316137003\";s:6:\"mdhash\";s:32:\"b63fd0da78504bfedead6d5085f59040\";s:8:\"filesize\";s:6:\"471679\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1311834128\";s:6:\"mdhash\";s:32:\"2c60f60ad556b136989d460b71258b92\";s:8:\"filesize\";s:6:\"470602\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"colorbox 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/colorbox/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1310430426\";s:6:\"mdhash\";s:32:\"1dc9da66c5a1d3665e80ef710e6d5491\";s:8:\"filesize\";s:6:\"470489\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1302456716\";s:6:\"mdhash\";s:32:\"553d25193b88e7b85304b36e21854297\";s:8:\"filesize\";s:6:\"470080\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1300860667\";s:6:\"mdhash\";s:32:\"ca49a6e24473b509402311c78e53c18b\";s:8:\"filesize\";s:6:\"469395\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1295780643\";s:6:\"mdhash\";s:32:\"08ce0c2ecf630044a56aa4fcffef70ae\";s:8:\"filesize\";s:6:\"464575\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"colorbox 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/colorbox/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294250152\";s:6:\"mdhash\";s:32:\"d904b8c0d67188c87649e29be48d75d5\";s:8:\"filesize\";s:6:\"464551\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:20:\"colorbox 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/colorbox/releases/7.x-2.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499798042\";s:6:\"mdhash\";s:32:\"5d3fbfd4899a080da04e5ce0e998ffa3\";s:8:\"filesize\";s:7:\"1171670\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"colorbox 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/colorbox/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/colorbox-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380559602\";s:6:\"mdhash\";s:32:\"51d68fe0bf25a4c6b5a4d43adca337d2\";s:8:\"filesize\";s:6:\"165085\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705010,1512618606,1),('available_releases::conditional_styles','a:11:{s:5:\"title\";s:23:\"Conditional Stylesheets\";s:10:\"short_name\";s:18:\"conditional_styles\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:49:\"https://www.drupal.org/project/conditional_styles\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:4:{s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:26:\"conditional_styles 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/conditional_styles/releases/7.x-2.2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/conditional_styles-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1373559072\";s:6:\"mdhash\";s:32:\"c94eb6b1ab0d7dc310fca79cfe994eb8\";s:8:\"filesize\";s:5:\"10150\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:26:\"conditional_styles 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/conditional_styles/releases/7.x-2.1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/conditional_styles-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1331537446\";s:6:\"mdhash\";s:32:\"1385e071f9f1dedbfc0a1373ff40caa1\";s:8:\"filesize\";s:5:\"10032\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:26:\"conditional_styles 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/conditional_styles/releases/7.x-2.0\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/conditional_styles-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1295358738\";s:6:\"mdhash\";s:32:\"313606f9a06a2a28ae25c48c85bb4bb9\";s:8:\"filesize\";s:4:\"8960\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:30:\"conditional_styles 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/conditional_styles/releases/7.x-2.x-dev\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/conditional_styles-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380566601\";s:6:\"mdhash\";s:32:\"7e9861ad51fafba022cbdcb4a1b74d5c\";s:8:\"filesize\";s:5:\"10167\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705010,1512618606,1),('available_releases::ctools','a:11:{s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:10:\"short_name\";s:6:\"ctools\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:22:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-1.11\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.11\";s:7:\"version\";s:8:\"7.x-1.11\";s:3:\"tag\";s:8:\"7.x-1.11\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.11\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.11.tar.gz\";s:4:\"date\";s:10:\"1476581639\";s:6:\"mdhash\";s:32:\"271d08d18f3c05f51aba1ad77d42f96c\";s:8:\"filesize\";s:6:\"432144\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-1.10\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.10\";s:7:\"version\";s:8:\"7.x-1.10\";s:3:\"tag\";s:8:\"7.x-1.10\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.10\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.10.tar.gz\";s:4:\"date\";s:10:\"1471454080\";s:6:\"mdhash\";s:32:\"38bb47304f6dcd0bcd6b02ed6ee235fc\";s:8:\"filesize\";s:6:\"430198\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.9\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"bd7b5dac915e8fa3da909379807ef824\";s:8:\"filesize\";s:6:\"429330\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.8\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1440015839\";s:6:\"mdhash\";s:32:\"629f8bc414026864fe4a235b62586e0c\";s:8:\"filesize\";s:6:\"428252\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.7\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1426695781\";s:6:\"mdhash\";s:32:\"81ab507b12875b02b88a0492d1173b99\";s:8:\"filesize\";s:6:\"426463\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.6\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1422471481\";s:6:\"mdhash\";s:32:\"e8999d5bd1748ee3dcd4fdc33a24c615\";s:8:\"filesize\";s:6:\"424622\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.6-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.6-rc1\";s:7:\"version\";s:11:\"7.x-1.6-rc1\";s:3:\"tag\";s:11:\"7.x-1.6-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.6-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.6-rc1.tar.gz\";s:4:\"date\";s:10:\"1418961480\";s:6:\"mdhash\";s:32:\"f3dc80ff7f3e29c73870f26a6ad02ff7\";s:8:\"filesize\";s:6:\"422180\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1416423482\";s:6:\"mdhash\";s:32:\"0e90d8baaae78d3c37fe73dbe0d98dac\";s:8:\"filesize\";s:6:\"417508\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1392220719\";s:6:\"mdhash\";s:32:\"df1ce5aeb6a9a5c383d944a2a7494f18\";s:8:\"filesize\";s:6:\"415678\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1365013512\";s:6:\"mdhash\";s:32:\"b27a7230f63a7a81db8cc480ab2dba63\";s:8:\"filesize\";s:6:\"413477\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1345319204\";s:6:\"mdhash\";s:32:\"62fa855ee8aced1e355b09ac6cd54e99\";s:8:\"filesize\";s:6:\"407345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1344463011\";s:6:\"mdhash\";s:32:\"c36cbb2fd7a6eb8b3245c13972380bd7\";s:8:\"filesize\";s:6:\"405567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"ctools 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/ctools/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1332962446\";s:6:\"mdhash\";s:32:\"642eca364e64b0074e5ad49f86627ac5\";s:8:\"filesize\";s:6:\"402254\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1332017742\";s:6:\"mdhash\";s:32:\"791167a47cea014fad9018c93376aa88\";s:8:\"filesize\";s:6:\"396440\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"ctools 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1311894415\";s:6:\"mdhash\";s:32:\"39bcea671210505409e3148c8eaefc0e\";s:8:\"filesize\";s:6:\"381078\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:20:\"ctools 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1306885315\";s:6:\"mdhash\";s:32:\"96d8154bfab611eb59cbd3774aa94793\";s:8:\"filesize\";s:6:\"378287\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1301099792\";s:6:\"mdhash\";s:32:\"774f6654c149f192b11b136a06be5544\";s:8:\"filesize\";s:6:\"370763\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1300395967\";s:6:\"mdhash\";s:32:\"1909846a7bd5775c99331c6564ffefa8\";s:8:\"filesize\";s:6:\"370238\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1294276865\";s:6:\"mdhash\";s:32:\"30e0f5cb27949d2cd67b80bb36701d3e\";s:8:\"filesize\";s:6:\"521068\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:21:\"ctools 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/ctools/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1286838960\";s:6:\"mdhash\";s:32:\"500a55a33f90b2bab865753a0d8c5439\";s:8:\"filesize\";s:6:\"510384\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"ctools 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/ctools/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1503512045\";s:6:\"mdhash\";s:32:\"38d159499be2a534436ff7ef7305d3cc\";s:8:\"filesize\";s:6:\"446584\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705010,1512618606,1),('available_releases::drupal','a:11:{s:5:\"title\";s:11:\"Drupal core\";s:10:\"short_name\";s:6:\"drupal\";s:4:\"type\";s:12:\"project_core\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"7\";s:16:\"supported_majors\";s:1:\"7\";s:13:\"default_major\";s:1:\"7\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:67:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.55\";a:14:{s:4:\"name\";s:11:\"drupal 7.55\";s:7:\"version\";s:4:\"7.55\";s:3:\"tag\";s:4:\"7.55\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"55\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.55\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.55.tar.gz\";s:4:\"date\";s:10:\"1496873942\";s:6:\"mdhash\";s:32:\"ad97f8c86cee7be9d6ab13724b55fa1c\";s:8:\"filesize\";s:7:\"3277355\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.54\";a:14:{s:4:\"name\";s:11:\"drupal 7.54\";s:7:\"version\";s:4:\"7.54\";s:3:\"tag\";s:4:\"7.54\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"54\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.54\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.54.tar.gz\";s:4:\"date\";s:10:\"1485986883\";s:6:\"mdhash\";s:32:\"3068cbe488075ae166e23ea6cd29cf0f\";s:8:\"filesize\";s:7:\"3275864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.53\";a:14:{s:4:\"name\";s:11:\"drupal 7.53\";s:7:\"version\";s:4:\"7.53\";s:3:\"tag\";s:4:\"7.53\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"53\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.53\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.53.tar.gz\";s:4:\"date\";s:10:\"1481152384\";s:6:\"mdhash\";s:32:\"4230279ecca4f0cde652a219e10327e7\";s:8:\"filesize\";s:7:\"3273245\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.52\";a:14:{s:4:\"name\";s:11:\"drupal 7.52\";s:7:\"version\";s:4:\"7.52\";s:3:\"tag\";s:4:\"7.52\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"52\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.52\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.52.tar.gz\";s:4:\"date\";s:10:\"1479322810\";s:6:\"mdhash\";s:32:\"4963e68ca12918d3a3eae56054214191\";s:8:\"filesize\";s:7:\"3289714\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.51\";a:14:{s:4:\"name\";s:11:\"drupal 7.51\";s:7:\"version\";s:4:\"7.51\";s:3:\"tag\";s:4:\"7.51\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"51\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.51\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.51.tar.gz\";s:4:\"date\";s:10:\"1475693339\";s:6:\"mdhash\";s:32:\"49f82c1cac8e4bd4941ca160fcbee93d\";s:8:\"filesize\";s:7:\"3288987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.50\";a:14:{s:4:\"name\";s:11:\"drupal 7.50\";s:7:\"version\";s:4:\"7.50\";s:3:\"tag\";s:4:\"7.50\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"50\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.50\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.50.tar.gz\";s:4:\"date\";s:10:\"1467918239\";s:6:\"mdhash\";s:32:\"f23905b0248d76f0fc8316692cd64753\";s:8:\"filesize\";s:7:\"3286826\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.44\";a:14:{s:4:\"name\";s:11:\"drupal 7.44\";s:7:\"version\";s:4:\"7.44\";s:3:\"tag\";s:4:\"7.44\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"44\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.44\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.44.tar.gz\";s:4:\"date\";s:10:\"1466021480\";s:6:\"mdhash\";s:32:\"965ab5fe5457625ec8c18e5c1c455008\";s:8:\"filesize\";s:7:\"3265819\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.43\";a:14:{s:4:\"name\";s:11:\"drupal 7.43\";s:7:\"version\";s:4:\"7.43\";s:3:\"tag\";s:4:\"7.43\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"43\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.43\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.43.tar.gz\";s:4:\"date\";s:10:\"1456341749\";s:6:\"mdhash\";s:32:\"c6fb49bc88a6408a985afddac76b9f8b\";s:8:\"filesize\";s:7:\"3265824\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.42\";a:14:{s:4:\"name\";s:11:\"drupal 7.42\";s:7:\"version\";s:4:\"7.42\";s:3:\"tag\";s:4:\"7.42\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"42\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.42\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.42.tar.gz\";s:4:\"date\";s:10:\"1454516939\";s:6:\"mdhash\";s:32:\"9a96f67474e209dd48750ba6fccc77db\";s:8:\"filesize\";s:7:\"3264065\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.41\";a:14:{s:4:\"name\";s:11:\"drupal 7.41\";s:7:\"version\";s:4:\"7.41\";s:3:\"tag\";s:4:\"7.41\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"41\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.41\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.41.tar.gz\";s:4:\"date\";s:10:\"1445457239\";s:6:\"mdhash\";s:32:\"7636e75e8be213455b4ac7911ce5801f\";s:8:\"filesize\";s:7:\"3257325\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.40\";a:14:{s:4:\"name\";s:11:\"drupal 7.40\";s:7:\"version\";s:4:\"7.40\";s:3:\"tag\";s:4:\"7.40\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"40\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.40\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.40.tar.gz\";s:4:\"date\";s:10:\"1444865639\";s:6:\"mdhash\";s:32:\"d4509f13c23999a76e61ec4d5ccfaf26\";s:8:\"filesize\";s:7:\"3257401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.39\";a:14:{s:4:\"name\";s:11:\"drupal 7.39\";s:7:\"version\";s:4:\"7.39\";s:3:\"tag\";s:4:\"7.39\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"39\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.39\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.39.tar.gz\";s:4:\"date\";s:10:\"1440019139\";s:6:\"mdhash\";s:32:\"6f42a7e9c7a1c2c4c9c2f20c81b8e79a\";s:8:\"filesize\";s:7:\"3249343\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.38\";a:14:{s:4:\"name\";s:11:\"drupal 7.38\";s:7:\"version\";s:4:\"7.38\";s:3:\"tag\";s:4:\"7.38\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"38\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.38\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.38.tar.gz\";s:4:\"date\";s:10:\"1434566280\";s:6:\"mdhash\";s:32:\"c18298c1a5aed32ddbdac605fdef7fce\";s:8:\"filesize\";s:7:\"3247864\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.37\";a:14:{s:4:\"name\";s:11:\"drupal 7.37\";s:7:\"version\";s:4:\"7.37\";s:3:\"tag\";s:4:\"7.37\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"37\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.37\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.37.tar.gz\";s:4:\"date\";s:10:\"1430972281\";s:6:\"mdhash\";s:32:\"3a70696c87b786365f2c6c3aeb895d8a\";s:8:\"filesize\";s:7:\"3244291\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.36\";a:14:{s:4:\"name\";s:11:\"drupal 7.36\";s:7:\"version\";s:4:\"7.36\";s:3:\"tag\";s:4:\"7.36\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"36\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.36\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.36.tar.gz\";s:4:\"date\";s:10:\"1427943181\";s:6:\"mdhash\";s:32:\"98e1f62c11a5dc5f9481935eefc814c5\";s:8:\"filesize\";s:7:\"3244905\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.35\";a:14:{s:4:\"name\";s:11:\"drupal 7.35\";s:7:\"version\";s:4:\"7.35\";s:3:\"tag\";s:4:\"7.35\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"35\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.35\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.35.tar.gz\";s:4:\"date\";s:10:\"1426706281\";s:6:\"mdhash\";s:32:\"fecc55bd0bd476bc35d9ebf68452942d\";s:8:\"filesize\";s:7:\"3234349\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.34\";a:14:{s:4:\"name\";s:11:\"drupal 7.34\";s:7:\"version\";s:4:\"7.34\";s:3:\"tag\";s:4:\"7.34\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"34\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.34\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.34.tar.gz\";s:4:\"date\";s:10:\"1416429264\";s:6:\"mdhash\";s:32:\"bb4d212e1eb1d7375e41613fbefa04f2\";s:8:\"filesize\";s:7:\"3229858\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.33\";a:14:{s:4:\"name\";s:11:\"drupal 7.33\";s:7:\"version\";s:4:\"7.33\";s:3:\"tag\";s:4:\"7.33\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"33\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.33\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.33.tar.gz\";s:4:\"date\";s:10:\"1415374080\";s:6:\"mdhash\";s:32:\"187b076a5753960d5d5cb12d30d93e73\";s:8:\"filesize\";s:7:\"3229397\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.32\";a:14:{s:4:\"name\";s:11:\"drupal 7.32\";s:7:\"version\";s:4:\"7.32\";s:3:\"tag\";s:4:\"7.32\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"32\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.32\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.32.tar.gz\";s:4:\"date\";s:10:\"1413387329\";s:6:\"mdhash\";s:32:\"d5d121a6ce974f2d20604a7e10e1987a\";s:8:\"filesize\";s:7:\"3215563\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.31\";a:14:{s:4:\"name\";s:11:\"drupal 7.31\";s:7:\"version\";s:4:\"7.31\";s:3:\"tag\";s:4:\"7.31\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"31\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.31\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.31.tar.gz\";s:4:\"date\";s:10:\"1407346427\";s:6:\"mdhash\";s:32:\"de256f202930d3ef5ccc6aebc550adaf\";s:8:\"filesize\";s:7:\"3216766\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.30\";a:14:{s:4:\"name\";s:11:\"drupal 7.30\";s:7:\"version\";s:4:\"7.30\";s:3:\"tag\";s:4:\"7.30\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"30\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.30\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.30.tar.gz\";s:4:\"date\";s:10:\"1406239728\";s:6:\"mdhash\";s:32:\"ef7bce65ca6395f1e6bc44c15fdbc3cb\";s:8:\"filesize\";s:7:\"3215744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.29\";a:14:{s:4:\"name\";s:11:\"drupal 7.29\";s:7:\"version\";s:4:\"7.29\";s:3:\"tag\";s:4:\"7.29\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"29\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.29\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.29.tar.gz\";s:4:\"date\";s:10:\"1405543128\";s:6:\"mdhash\";s:32:\"6ffdfb0ee08fadfb531c7fed1d2c5633\";s:8:\"filesize\";s:7:\"3213499\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.28\";a:14:{s:4:\"name\";s:11:\"drupal 7.28\";s:7:\"version\";s:4:\"7.28\";s:3:\"tag\";s:4:\"7.28\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"28\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.28\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.28.tar.gz\";s:4:\"date\";s:10:\"1399522729\";s:6:\"mdhash\";s:32:\"6255884d7e15c654fc8856805b271551\";s:8:\"filesize\";s:7:\"3212823\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.27\";a:14:{s:4:\"name\";s:11:\"drupal 7.27\";s:7:\"version\";s:4:\"7.27\";s:3:\"tag\";s:4:\"7.27\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.27\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.27.tar.gz\";s:4:\"date\";s:10:\"1397686464\";s:6:\"mdhash\";s:32:\"e9b05562f1a7f8bbcb5922cd3a0d55cb\";s:8:\"filesize\";s:7:\"3207398\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.26\";a:14:{s:4:\"name\";s:11:\"drupal 7.26\";s:7:\"version\";s:4:\"7.26\";s:3:\"tag\";s:4:\"7.26\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.26\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.26.tar.gz\";s:4:\"date\";s:10:\"1389815904\";s:6:\"mdhash\";s:32:\"740bd57f524b8ac18a203b663ca1329d\";s:8:\"filesize\";s:7:\"3204587\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.25\";a:14:{s:4:\"name\";s:11:\"drupal 7.25\";s:7:\"version\";s:4:\"7.25\";s:3:\"tag\";s:4:\"7.25\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.25\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.25.tar.gz\";s:4:\"date\";s:10:\"1388709505\";s:6:\"mdhash\";s:32:\"25906158083d89aa86534df1c683b4ea\";s:8:\"filesize\";s:7:\"3203256\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.24\";a:14:{s:4:\"name\";s:11:\"drupal 7.24\";s:7:\"version\";s:4:\"7.24\";s:3:\"tag\";s:4:\"7.24\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.24\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.24.tar.gz\";s:4:\"date\";s:10:\"1384982905\";s:6:\"mdhash\";s:32:\"c1ddb37155e4b6160f6508636c06f2a7\";s:8:\"filesize\";s:7:\"3195735\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.23\";a:14:{s:4:\"name\";s:11:\"drupal 7.23\";s:7:\"version\";s:4:\"7.23\";s:3:\"tag\";s:4:\"7.23\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.23\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.23.tar.gz\";s:4:\"date\";s:10:\"1375928239\";s:6:\"mdhash\";s:32:\"0beca6fec15b8cf8c35a6fdda6675342\";s:8:\"filesize\";s:7:\"3191695\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.22\";a:14:{s:4:\"name\";s:11:\"drupal 7.22\";s:7:\"version\";s:4:\"7.22\";s:3:\"tag\";s:4:\"7.22\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.22\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.22.tar.gz\";s:4:\"date\";s:10:\"1365027013\";s:6:\"mdhash\";s:32:\"068d7a77958fce6bb002659aa7ccaeb7\";s:8:\"filesize\";s:7:\"3183014\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.21\";a:14:{s:4:\"name\";s:11:\"drupal 7.21\";s:7:\"version\";s:4:\"7.21\";s:3:\"tag\";s:4:\"7.21\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.21-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.21.tar.gz\";s:4:\"date\";s:10:\"1362616997\";s:6:\"mdhash\";s:32:\"eff054cd53be39ff719f77c81dce1aac\";s:8:\"filesize\";s:7:\"3163798\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.20\";a:14:{s:4:\"name\";s:11:\"drupal 7.20\";s:7:\"version\";s:4:\"7.20\";s:3:\"tag\";s:4:\"7.20\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.20-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.20.tar.gz\";s:4:\"date\";s:10:\"1361393684\";s:6:\"mdhash\";s:32:\"ee576d63f1fd8a1f1c072a56978da0c5\";s:8:\"filesize\";s:7:\"3163257\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.19\";a:14:{s:4:\"name\";s:11:\"drupal 7.19\";s:7:\"version\";s:4:\"7.19\";s:3:\"tag\";s:4:\"7.19\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.19-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.19.tar.gz\";s:4:\"date\";s:10:\"1358374871\";s:6:\"mdhash\";s:32:\"c1dd3960f1555df208c80ef612e0c53a\";s:8:\"filesize\";s:7:\"3163130\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.18\";a:14:{s:4:\"name\";s:11:\"drupal 7.18\";s:7:\"version\";s:4:\"7.18\";s:3:\"tag\";s:4:\"7.18\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.18-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.18.tar.gz\";s:4:\"date\";s:10:\"1355944004\";s:6:\"mdhash\";s:32:\"5c048f60a53acd7cb3c2b6d5fe42f082\";s:8:\"filesize\";s:7:\"3162333\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.17\";a:14:{s:4:\"name\";s:11:\"drupal 7.17\";s:7:\"version\";s:4:\"7.17\";s:3:\"tag\";s:4:\"7.17\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:48:\"https://www.drupal.org/drupal-7.17-release-notes\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.17.tar.gz\";s:4:\"date\";s:10:\"1352325358\";s:6:\"mdhash\";s:32:\"439e8ca7e6a33bb879a4624d8f01bed0\";s:8:\"filesize\";s:7:\"3162429\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.16\";a:14:{s:4:\"name\";s:11:\"drupal 7.16\";s:7:\"version\";s:4:\"7.16\";s:3:\"tag\";s:4:\"7.16\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.16\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.16.tar.gz\";s:4:\"date\";s:10:\"1350508568\";s:6:\"mdhash\";s:32:\"352497b2df94b5308e31cb8da020b631\";s:8:\"filesize\";s:7:\"3142889\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.15\";a:14:{s:4:\"name\";s:11:\"drupal 7.15\";s:7:\"version\";s:4:\"7.15\";s:3:\"tag\";s:4:\"7.15\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.15\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.15.tar.gz\";s:4:\"date\";s:10:\"1343839327\";s:6:\"mdhash\";s:32:\"f42c9baccd74e1d035d61ff537ae21b4\";s:8:\"filesize\";s:7:\"3142219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.14\";a:14:{s:4:\"name\";s:11:\"drupal 7.14\";s:7:\"version\";s:4:\"7.14\";s:3:\"tag\";s:4:\"7.14\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.14\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.14.tar.gz\";s:4:\"date\";s:10:\"1335997556\";s:6:\"mdhash\";s:32:\"af7abd95c03ecad4e1567ed94a438334\";s:8:\"filesize\";s:7:\"3128473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.13\";a:14:{s:4:\"name\";s:11:\"drupal 7.13\";s:7:\"version\";s:4:\"7.13\";s:3:\"tag\";s:4:\"7.13\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.13\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.13.tar.gz\";s:4:\"date\";s:10:\"1335997261\";s:6:\"mdhash\";s:32:\"80587b66375c7fc539414a20a2c6f2de\";s:8:\"filesize\";s:7:\"3088448\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.12\";a:14:{s:4:\"name\";s:11:\"drupal 7.12\";s:7:\"version\";s:4:\"7.12\";s:3:\"tag\";s:4:\"7.12\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.12\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.12.tar.gz\";s:4:\"date\";s:10:\"1328134561\";s:6:\"mdhash\";s:32:\"db2284beb97241c9bdca9c638cd8a4f1\";s:8:\"filesize\";s:7:\"3088472\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.11\";a:14:{s:4:\"name\";s:11:\"drupal 7.11\";s:7:\"version\";s:4:\"7.11\";s:3:\"tag\";s:4:\"7.11\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.11\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.11.tar.gz\";s:4:\"date\";s:10:\"1328134275\";s:6:\"mdhash\";s:32:\"e9857e1749762367d7631d74cc6564a7\";s:8:\"filesize\";s:7:\"2789336\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:4:\"7.10\";a:14:{s:4:\"name\";s:11:\"drupal 7.10\";s:7:\"version\";s:4:\"7.10\";s:3:\"tag\";s:4:\"7.10\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.10\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.10.tar.gz\";s:4:\"date\";s:10:\"1323125439\";s:6:\"mdhash\";s:32:\"1caafb849bc756e62dd874b90b95ab31\";s:8:\"filesize\";s:7:\"3067653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.9\";a:14:{s:4:\"name\";s:10:\"drupal 7.9\";s:7:\"version\";s:3:\"7.9\";s:3:\"tag\";s:3:\"7.9\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.9\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.9.tar.gz\";s:4:\"date\";s:10:\"1319660731\";s:6:\"mdhash\";s:32:\"7f45f109c413ca69ebb6e3140ed47225\";s:8:\"filesize\";s:7:\"2788086\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.8\";a:14:{s:4:\"name\";s:10:\"drupal 7.8\";s:7:\"version\";s:3:\"7.8\";s:3:\"tag\";s:3:\"7.8\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.8\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.8.tar.gz\";s:4:\"date\";s:10:\"1314817617\";s:6:\"mdhash\";s:32:\"e0226b56e8d5c57c6b126e8ed5866b1f\";s:8:\"filesize\";s:7:\"2766967\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.7\";a:14:{s:4:\"name\";s:10:\"drupal 7.7\";s:7:\"version\";s:3:\"7.7\";s:3:\"tag\";s:3:\"7.7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.7\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.7.tar.gz\";s:4:\"date\";s:10:\"1311813880\";s:6:\"mdhash\";s:32:\"2eeb63fd1ef6b23b0a9f5f6b8aef8850\";s:8:\"filesize\";s:7:\"2754113\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.6\";a:14:{s:4:\"name\";s:10:\"drupal 7.6\";s:7:\"version\";s:3:\"7.6\";s:3:\"tag\";s:3:\"7.6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.6\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.6.tar.gz\";s:4:\"date\";s:10:\"1311798716\";s:6:\"mdhash\";s:32:\"e88e63c4da9e5e170f089d050c88c827\";s:8:\"filesize\";s:7:\"2753784\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.5\";a:14:{s:4:\"name\";s:10:\"drupal 7.5\";s:7:\"version\";s:3:\"7.5\";s:3:\"tag\";s:3:\"7.5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.5\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.5.tar.gz\";s:4:\"date\";s:10:\"1311798416\";s:6:\"mdhash\";s:32:\"36d65b7a97c58226c64a6abdf481de45\";s:8:\"filesize\";s:7:\"2744690\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.4\";a:14:{s:4:\"name\";s:10:\"drupal 7.4\";s:7:\"version\";s:3:\"7.4\";s:3:\"tag\";s:3:\"7.4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.4\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.4.tar.gz\";s:4:\"date\";s:10:\"1309397516\";s:6:\"mdhash\";s:32:\"84704de078e9f5432c9bb5c6ecd841d4\";s:8:\"filesize\";s:7:\"2744808\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.3\";a:14:{s:4:\"name\";s:10:\"drupal 7.3\";s:7:\"version\";s:3:\"7.3\";s:3:\"tag\";s:3:\"7.3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.3\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.3.tar.gz\";s:4:\"date\";s:10:\"1309397216\";s:6:\"mdhash\";s:32:\"c290775724bc309647d84d03ddb88e2e\";s:8:\"filesize\";s:7:\"2735461\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.2\";a:14:{s:4:\"name\";s:10:\"drupal 7.2\";s:7:\"version\";s:3:\"7.2\";s:3:\"tag\";s:3:\"7.2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.2\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.2.tar.gz\";s:4:\"date\";s:10:\"1306357017\";s:6:\"mdhash\";s:32:\"cf88c87e3694ebd15b62ba6f6a69124f\";s:8:\"filesize\";s:7:\"2731345\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.1\";a:14:{s:4:\"name\";s:10:\"drupal 7.1\";s:7:\"version\";s:3:\"7.1\";s:3:\"tag\";s:3:\"7.1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.1\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.1.tar.gz\";s:4:\"date\";s:10:\"1306354916\";s:6:\"mdhash\";s:32:\"27eb45cb894a76f3a9ae6715584a10cc\";s:8:\"filesize\";s:7:\"2713977\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:3:\"7.0\";a:14:{s:4:\"name\";s:10:\"drupal 7.0\";s:7:\"version\";s:3:\"7.0\";s:3:\"tag\";s:3:\"7.0\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:50:\"https://www.drupal.org/project/drupal/releases/7.0\";s:13:\"download_link\";s:55:\"https://ftp.drupal.org/files/projects/drupal-7.0.tar.gz\";s:4:\"date\";s:10:\"1294208759\";s:6:\"mdhash\";s:32:\"e96c0a5e47c5d7706897384069dfb920\";s:8:\"filesize\";s:7:\"2728271\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.0-rc4\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc4\";s:7:\"version\";s:7:\"7.0-rc4\";s:3:\"tag\";s:8:\"7.0-rc-4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1293684084\";s:6:\"mdhash\";s:32:\"104c08e609c64bb1e45b55a7ad1ad857\";s:8:\"filesize\";s:7:\"2717666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc3\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc3\";s:7:\"version\";s:7:\"7.0-rc3\";s:3:\"tag\";s:8:\"7.0-rc-3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1293099424\";s:6:\"mdhash\";s:32:\"be9a3f190e2648fa03dcb2bf3d8be199\";s:8:\"filesize\";s:7:\"2719115\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc2\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc2\";s:7:\"version\";s:7:\"7.0-rc2\";s:3:\"tag\";s:8:\"7.0-rc-2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1292101847\";s:6:\"mdhash\";s:32:\"f31982c73f1707ddccb2927325bc9cb9\";s:8:\"filesize\";s:7:\"2705734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:7:\"7.0-rc1\";a:15:{s:4:\"name\";s:14:\"drupal 7.0-rc1\";s:7:\"version\";s:7:\"7.0-rc1\";s:3:\"tag\";s:8:\"7.0-rc-1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.0-rc1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1291190142\";s:6:\"mdhash\";s:32:\"b554e79cf60c02d4dec592151c4b58ee\";s:8:\"filesize\";s:7:\"2694689\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta3\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta3\";s:7:\"version\";s:9:\"7.0-beta3\";s:3:\"tag\";s:9:\"7.0-beta3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1289694735\";s:6:\"mdhash\";s:32:\"c942f010a2535586c4578cd7b107c652\";s:8:\"filesize\";s:7:\"2660883\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta2\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta2\";s:7:\"version\";s:9:\"7.0-beta2\";s:3:\"tag\";s:9:\"7.0-beta2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1287812133\";s:6:\"mdhash\";s:32:\"c2de0bdb657b77af8c8369a355cab8ce\";s:8:\"filesize\";s:7:\"2638949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:9:\"7.0-beta1\";a:15:{s:4:\"name\";s:16:\"drupal 7.0-beta1\";s:7:\"version\";s:9:\"7.0-beta1\";s:3:\"tag\";s:9:\"7.0-beta1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/drupal/releases/7.0-beta1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/drupal-7.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1286422866\";s:6:\"mdhash\";s:32:\"490ce0d95eacc15f2918becd60f6821c\";s:8:\"filesize\";s:7:\"2622225\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha7\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha7\";s:7:\"version\";s:10:\"7.0-alpha7\";s:3:\"tag\";s:10:\"7.0-alpha7\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1284599764\";s:6:\"mdhash\";s:32:\"15183fcf862be97f7e96991e6e56fe2e\";s:8:\"filesize\";s:7:\"2586833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha6\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha6\";s:7:\"version\";s:10:\"7.0-alpha6\";s:3:\"tag\";s:10:\"7.0-alpha6\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1278634809\";s:6:\"mdhash\";s:32:\"eb64647263affc36f76d1e7ffb751d32\";s:8:\"filesize\";s:7:\"2458211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha5\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha5\";s:7:\"version\";s:10:\"7.0-alpha5\";s:3:\"tag\";s:10:\"7.0-alpha5\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1274628613\";s:6:\"mdhash\";s:32:\"de9c1d51f0ce730f7356bd0a160e8ce1\";s:8:\"filesize\";s:7:\"2424226\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha4\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha4\";s:7:\"version\";s:10:\"7.0-alpha4\";s:3:\"tag\";s:10:\"7.0-alpha4\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1272318014\";s:6:\"mdhash\";s:32:\"c8f371a388bc65b2211d7d29856fb993\";s:8:\"filesize\";s:7:\"2403384\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha3\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha3\";s:7:\"version\";s:10:\"7.0-alpha3\";s:3:\"tag\";s:10:\"7.0-alpha3\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1269192317\";s:6:\"mdhash\";s:32:\"9efc083f09d6b523d655bc90a6869945\";s:8:\"filesize\";s:7:\"2357934\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha2\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha2\";s:7:\"version\";s:10:\"7.0-alpha2\";s:3:\"tag\";s:10:\"7.0-alpha2\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1266777910\";s:6:\"mdhash\";s:32:\"cfbfdd2249638a266054f2532348065d\";s:8:\"filesize\";s:7:\"2314834\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:10:\"7.0-alpha1\";a:15:{s:4:\"name\";s:17:\"drupal 7.0-alpha1\";s:7:\"version\";s:10:\"7.0-alpha1\";s:3:\"tag\";s:10:\"7.0-alpha1\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/drupal/releases/7.0-alpha1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/drupal-7.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1263566711\";s:6:\"mdhash\";s:32:\"508109c6cf0ead868e02d8c3db2a4d1f\";s:8:\"filesize\";s:7:\"2283220\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-dev\";a:14:{s:4:\"name\";s:14:\"drupal 7.x-dev\";s:7:\"version\";s:7:\"7.x-dev\";s:3:\"tag\";s:3:\"7.x\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/drupal/releases/7.x-dev\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/drupal-7.x-dev.tar.gz\";s:4:\"date\";s:10:\"1512077285\";s:6:\"mdhash\";s:32:\"6334b3280cdf2585a7da88178b66521f\";s:8:\"filesize\";s:7:\"3279047\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1512705009,1512618606,1),('available_releases::exclude_node_title','a:11:{s:5:\"title\";s:18:\"Exclude Node Title\";s:10:\"short_name\";s:18:\"exclude_node_title\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:49:\"https://www.drupal.org/project/exclude_node_title\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.9\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1435338180\";s:6:\"mdhash\";s:32:\"341f2a3ff8473cdd37a9e8c689e58524\";s:8:\"filesize\";s:5:\"12171\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.8\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1435276080\";s:6:\"mdhash\";s:32:\"930611a354bc7e73fd7f996c32571a66\";s:8:\"filesize\";s:5:\"12170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.7\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1391152706\";s:6:\"mdhash\";s:32:\"92123575d8932a57bcfa0693060dbf27\";s:8:\"filesize\";s:5:\"12123\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.6\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1357417950\";s:6:\"mdhash\";s:32:\"10b4719847848c8e4599ebb4c9790ca0\";s:8:\"filesize\";s:5:\"10411\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.5\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1329984945\";s:6:\"mdhash\";s:32:\"456a6c50c2dfc3a77182824c359a5dc2\";s:8:\"filesize\";s:4:\"9824\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.4\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1329650742\";s:6:\"mdhash\";s:32:\"253a57849ec850d2d47a8d622a1823b1\";s:8:\"filesize\";s:4:\"9600\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.3\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1302553615\";s:6:\"mdhash\";s:32:\"043b2dada7ca5cc23985a73377e303ee\";s:8:\"filesize\";s:4:\"8122\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1301381169\";s:6:\"mdhash\";s:32:\"96ce578829c03a20b2078a56bed8e195\";s:8:\"filesize\";s:4:\"8120\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.1\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1300439768\";s:6:\"mdhash\";s:32:\"56ea939832aa85929af448750b199ed8\";s:8:\"filesize\";s:4:\"8123\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.0\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1298532394\";s:6:\"mdhash\";s:32:\"2f8a0712a9f8fee222714af0b0aad99a\";s:8:\"filesize\";s:4:\"8181\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:30:\"exclude_node_title 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.x-dev\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1447741760\";s:6:\"mdhash\";s:32:\"7fcdaebe749295402f3eb47a8ba1f0a9\";s:8:\"filesize\";s:5:\"12112\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705010,1512618606,1),('available_releases::field_group','a:11:{s:5:\"title\";s:11:\"Field Group\";s:10:\"short_name\";s:11:\"field_group\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:11:{s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1509751984\";s:6:\"mdhash\";s:32:\"14a100269b1ddfe88c32442c8da53d1d\";s:8:\"filesize\";s:5:\"52556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1452033539\";s:6:\"mdhash\";s:32:\"8d91e0f3cc8106deefe038d5fc07d3e6\";s:8:\"filesize\";s:5:\"51465\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1401918527\";s:6:\"mdhash\";s:32:\"fa268e0c23b2af31ed560aa03a986cf1\";s:8:\"filesize\";s:5:\"51303\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1380124361\";s:6:\"mdhash\";s:32:\"6ea6a2b8a15c9c68d981f5b0ae6f881c\";s:8:\"filesize\";s:5:\"50593\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1377806210\";s:6:\"mdhash\";s:32:\"ea1b1af0b09f7578cffc261c8c5203df\";s:8:\"filesize\";s:5:\"49436\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1319051133\";s:6:\"mdhash\";s:32:\"4f02e7b10aff66e3bcdae002d6b80ec6\";s:8:\"filesize\";s:5:\"43065\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.0\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1306266416\";s:6:\"mdhash\";s:32:\"5f549fbc7cbfa575a11a9d705a3df597\";s:8:\"filesize\";s:5:\"33471\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:23:\"field_group 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1300283167\";s:6:\"mdhash\";s:32:\"959768b52b8d4c04be0e8f8e93f4af1b\";s:8:\"filesize\";s:5:\"32537\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:23:\"field_group 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1295392936\";s:6:\"mdhash\";s:32:\"aaa22e6444d2377e9673e5cfd6f21095\";s:8:\"filesize\";s:5:\"30414\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:23:\"field_group 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-2.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380578862\";s:6:\"mdhash\";s:32:\"3ff6c75931a1668be98876378b7c2ebf\";s:8:\"filesize\";s:5:\"41104\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:23:\"field_group 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/field_group/releases/7.x-1.x-dev\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1509751984\";s:6:\"mdhash\";s:32:\"511fd177b8bb37b9c8011162ea3d8017\";s:8:\"filesize\";s:5:\"52572\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705011,1512618606,1),('available_releases::flexslider','a:11:{s:5:\"title\";s:11:\"Flex Slider\";s:10:\"short_name\";s:10:\"flexslider\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/flexslider\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1487028483\";s:6:\"mdhash\";s:32:\"6bbfff91fc66bef36e8ef42323a33a59\";s:8:\"filesize\";s:7:\"3976547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1438285139\";s:6:\"mdhash\";s:32:\"c637c53352d34961d6413c8ac04ebf87\";s:8:\"filesize\";s:7:\"3977507\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha3\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha3\";s:7:\"version\";s:14:\"7.x-2.0-alpha3\";s:3:\"tag\";s:14:\"7.x-2.0-alpha3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha3\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1378663044\";s:6:\"mdhash\";s:32:\"a8b4f9b9740ab9d41a9043b1ea7361aa\";s:8:\"filesize\";s:7:\"3977501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1376925141\";s:6:\"mdhash\";s:32:\"8f92257ca4e8baf7a6743a4bcf8738da\";s:8:\"filesize\";s:7:\"3975729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:25:\"flexslider 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1362783811\";s:6:\"mdhash\";s:32:\"cb88bc862e89af0980839962c4f90a78\";s:8:\"filesize\";s:7:\"8366543\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337289957\";s:6:\"mdhash\";s:32:\"e10d32bcb407d080319d1c85e93cb3f5\";s:8:\"filesize\";s:5:\"26069\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1333369556\";s:6:\"mdhash\";s:32:\"e5b228317528e962c633a508a56fcab7\";s:8:\"filesize\";s:5:\"25910\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1333216546\";s:6:\"mdhash\";s:32:\"cdf482ecf2684c4d63f51242ec815a7c\";s:8:\"filesize\";s:5:\"25930\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:24:\"flexslider 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1332764150\";s:6:\"mdhash\";s:32:\"4fe1003a1fcfb8d088cc6e402c2bc5bb\";s:8:\"filesize\";s:5:\"26001\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:24:\"flexslider 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/flexslider/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1332702357\";s:6:\"mdhash\";s:32:\"058b01b76f42dcf9c075036036c4b62d\";s:8:\"filesize\";s:5:\"25855\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:22:\"flexslider 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1487024583\";s:6:\"mdhash\";s:32:\"191e55868a7a3a0c9f2f6024b93ae83f\";s:8:\"filesize\";s:7:\"3976557\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:22:\"flexslider 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-1.x-dev\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1446839939\";s:6:\"mdhash\";s:32:\"ed882b54ea61dc7ad370c2f3ea890e6b\";s:8:\"filesize\";s:5:\"26679\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1512705011,1512618606,1),('available_releases::galleryformatter','a:11:{s:5:\"title\";s:17:\"Gallery formatter\";s:10:\"short_name\";s:16:\"galleryformatter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:47:\"https://www.drupal.org/project/galleryformatter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:6:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.4\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1442600639\";s:6:\"mdhash\";s:32:\"3754143cc4f2623b85fe4432514db18b\";s:8:\"filesize\";s:5:\"41653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.3\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1355821655\";s:6:\"mdhash\";s:32:\"5cc4e33e7a3c1939303cf947d8e3a657\";s:8:\"filesize\";s:5:\"41800\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1343209964\";s:6:\"mdhash\";s:32:\"fb0f1682bd3498015d1b11029a07791f\";s:8:\"filesize\";s:5:\"41729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1342169810\";s:6:\"mdhash\";s:32:\"84a8c812ae5c86d97d6d7d7d08b4a4fb\";s:8:\"filesize\";s:5:\"41282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.0\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1296418641\";s:6:\"mdhash\";s:32:\"67b0a3976281a4b5c1d9b3bd1baee6e9\";s:8:\"filesize\";s:5:\"39177\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:28:\"galleryformatter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1477160340\";s:6:\"mdhash\";s:32:\"507d0b1f4de7f940b12a301925b7473d\";s:8:\"filesize\";s:5:\"41700\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705011,1512618606,1),('available_releases::jquery_update','a:11:{s:5:\"title\";s:13:\"jQuery Update\";s:10:\"short_name\";s:13:\"jquery_update\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha4\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha4\";s:7:\"version\";s:14:\"7.x-3.0-alpha4\";s:3:\"tag\";s:14:\"7.x-3.0-alpha4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha4\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1489024086\";s:6:\"mdhash\";s:32:\"b9cadf50cf17638df514aad3c188c776\";s:8:\"filesize\";s:7:\"1978968\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha3\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha3\";s:7:\"version\";s:14:\"7.x-3.0-alpha3\";s:3:\"tag\";s:14:\"7.x-3.0-alpha3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha3\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1445382239\";s:6:\"mdhash\";s:32:\"599739c36c8095b1a268d82a8d5820ac\";s:8:\"filesize\";s:7:\"1463630\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1432926481\";s:6:\"mdhash\";s:32:\"99d161a138a599ee9ebd30434479e1ca\";s:8:\"filesize\";s:7:\"1542292\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1431975181\";s:6:\"mdhash\";s:32:\"500a98ed3bec0c943994c43913422332\";s:8:\"filesize\";s:7:\"1541898\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.6\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.6\";s:7:\"version\";s:7:\"7.x-2.6\";s:3:\"tag\";s:7:\"7.x-2.6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.6.tar.gz\";s:4:\"date\";s:10:\"1434549780\";s:6:\"mdhash\";s:32:\"88b81a8defbfdf9a4674f876685543f1\";s:8:\"filesize\";s:7:\"1203578\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1422221880\";s:6:\"mdhash\";s:32:\"47f430531b0a2a821c791325b2d89388\";s:8:\"filesize\";s:7:\"1201320\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1396482245\";s:6:\"mdhash\";s:32:\"9cc4f8b964202f1d6f005a43a08060c6\";s:8:\"filesize\";s:7:\"1199709\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1360375905\";s:6:\"mdhash\";s:32:\"2d5a1e594a027fa849ed250f5dfef7c5\";s:8:\"filesize\";s:6:\"709788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:14:\"7.x-2.3-alpha1\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-2.3-alpha1\";s:7:\"version\";s:14:\"7.x-2.3-alpha1\";s:3:\"tag\";s:14:\"7.x-2.3-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.3-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.3-alpha1.tar.gz\";s:4:\"date\";s:10:\"1348790474\";s:6:\"mdhash\";s:32:\"2fe04a30f74e47c0b1a4ce24023a39fa\";s:8:\"filesize\";s:6:\"709779\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1301920269\";s:6:\"mdhash\";s:32:\"944e097382c08d9a3ba5028ac700162b\";s:8:\"filesize\";s:6:\"482023\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1300647067\";s:6:\"mdhash\";s:32:\"6b6f9064e23aaede7ce9f04ded255a57\";s:8:\"filesize\";s:6:\"479984\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1297454705\";s:6:\"mdhash\";s:32:\"de6d8095e0bdd4e231922974df3f8fc7\";s:8:\"filesize\";s:6:\"476204\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1297453316\";s:6:\"mdhash\";s:32:\"4fa3749b8e477b76341d72a5516344d8\";s:8:\"filesize\";s:6:\"476208\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1490804883\";s:6:\"mdhash\";s:32:\"5786d8734547bdd37d012b365aaa44d9\";s:8:\"filesize\";s:7:\"1980264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"b4c28c594a6ecf50ccb9cd9689e778c9\";s:8:\"filesize\";s:7:\"1135988\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"jquery_update 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/jquery_update/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380584081\";s:6:\"mdhash\";s:32:\"9d1b43a6e55ea389f03cd338ab9c5f35\";s:8:\"filesize\";s:6:\"472169\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705011,1512618606,1),('available_releases::juicebox','a:11:{s:5:\"title\";s:41:\"Juicebox HTML5 Responsive Image Galleries\";s:10:\"short_name\";s:8:\"juicebox\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/juicebox\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:16:\"juicebox 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/juicebox/releases/7.x-2.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/juicebox-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1441853640\";s:6:\"mdhash\";s:32:\"1df0b5115a4826aa0c423c20f26030b4\";s:8:\"filesize\";s:5:\"63070\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:16:\"juicebox 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/juicebox/releases/7.x-2.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/juicebox-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1405309427\";s:6:\"mdhash\";s:32:\"95faee64f02a6382f4b91463df025270\";s:8:\"filesize\";s:5:\"55199\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-2.0-beta6\";a:15:{s:4:\"name\";s:22:\"juicebox 7.x-2.0-beta6\";s:7:\"version\";s:13:\"7.x-2.0-beta6\";s:3:\"tag\";s:13:\"7.x-2.0-beta6\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/juicebox/releases/7.x-2.0-beta6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/juicebox-7.x-2.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1398743327\";s:6:\"mdhash\";s:32:\"8f4196d5287b582f3c40385a06c5749e\";s:8:\"filesize\";s:5:\"56002\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta5\";a:15:{s:4:\"name\";s:22:\"juicebox 7.x-2.0-beta5\";s:7:\"version\";s:13:\"7.x-2.0-beta5\";s:3:\"tag\";s:13:\"7.x-2.0-beta5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/juicebox/releases/7.x-2.0-beta5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/juicebox-7.x-2.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1390925905\";s:6:\"mdhash\";s:32:\"7c0df8c7b71c7fa6b81c1a28458fc899\";s:8:\"filesize\";s:5:\"43767\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta4\";a:15:{s:4:\"name\";s:22:\"juicebox 7.x-2.0-beta4\";s:7:\"version\";s:13:\"7.x-2.0-beta4\";s:3:\"tag\";s:13:\"7.x-2.0-beta4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/juicebox/releases/7.x-2.0-beta4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/juicebox-7.x-2.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1390757905\";s:6:\"mdhash\";s:32:\"c564e7a608bc2d736057d10a16076871\";s:8:\"filesize\";s:5:\"43770\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:22:\"juicebox 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/juicebox/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/juicebox-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1387256604\";s:6:\"mdhash\";s:32:\"5b839f9e085836da73828b652f431af3\";s:8:\"filesize\";s:5:\"41365\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:22:\"juicebox 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/juicebox/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/juicebox-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1385962405\";s:6:\"mdhash\";s:32:\"b2ee45fe6390ad2218f1109c42218469\";s:8:\"filesize\";s:5:\"41395\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:22:\"juicebox 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/juicebox/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/juicebox-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1385018962\";s:6:\"mdhash\";s:32:\"ee29979cc0f65799b7498c402cf271ab\";s:8:\"filesize\";s:5:\"38424\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"juicebox 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/juicebox/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/juicebox-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1385961504\";s:6:\"mdhash\";s:32:\"e8a320eaaf3f9a58f517d1ebee864dc8\";s:8:\"filesize\";s:5:\"23937\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"juicebox 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/juicebox/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/juicebox-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1375762971\";s:6:\"mdhash\";s:32:\"1c2103e12e67983b03f0958ce77e03a8\";s:8:\"filesize\";s:5:\"23567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:20:\"juicebox 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/juicebox/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/juicebox-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1371098153\";s:6:\"mdhash\";s:32:\"f736f51db0b18abd4d97dd1bdd0b989f\";s:8:\"filesize\";s:5:\"21497\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:20:\"juicebox 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/juicebox/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/juicebox-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1367087412\";s:6:\"mdhash\";s:32:\"f321eb9f8d81acc44bd250f34aa95fd0\";s:8:\"filesize\";s:5:\"21249\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:22:\"juicebox 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/juicebox/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/juicebox-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1361543598\";s:6:\"mdhash\";s:32:\"7f19499d94859b3a93cca49ace2abc66\";s:8:\"filesize\";s:5:\"18365\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"juicebox 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/juicebox/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/juicebox-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1360117594\";s:6:\"mdhash\";s:32:\"8027b48663231b244b90afd64ec9d705\";s:8:\"filesize\";s:5:\"18372\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:23:\"juicebox 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/juicebox/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/juicebox-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1358484707\";s:6:\"mdhash\";s:32:\"f18fc35972a86d8661fad61e536efa96\";s:8:\"filesize\";s:5:\"17909\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:23:\"juicebox 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/juicebox/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/juicebox-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1358015213\";s:6:\"mdhash\";s:32:\"a5b79c82ff0ca533333d9b3ba5d9d97d\";s:8:\"filesize\";s:5:\"14694\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:20:\"juicebox 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/juicebox/releases/7.x-2.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/juicebox-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1475639639\";s:6:\"mdhash\";s:32:\"a65c3534665f7dd9cf93d8f8c5b55886\";s:8:\"filesize\";s:5:\"63595\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"juicebox 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/juicebox/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/juicebox-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1395030831\";s:6:\"mdhash\";s:32:\"59b47a693c01421da9f2b58e699a9c33\";s:8:\"filesize\";s:5:\"23963\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705011,1512618606,1),('available_releases::libraries','a:11:{s:5:\"title\";s:13:\"Libraries API\";s:10:\"short_name\";s:9:\"libraries\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:5:\"1,2,3\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1391965705\";s:6:\"mdhash\";s:32:\"629663be1ddbbc79531ab98d7d3761dc\";s:8:\"filesize\";s:5:\"33326\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1362848412\";s:6:\"mdhash\";s:32:\"e240bf43e3a4dd2d595bf24ac34d46bd\";s:8:\"filesize\";s:5:\"30501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1343561873\";s:6:\"mdhash\";s:32:\"bb4707fe9c9c67401c9baa514fbab948\";s:8:\"filesize\";s:5:\"30229\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1323950504\";s:6:\"mdhash\";s:32:\"150a5e24e7f1e849e054ba06921a0311\";s:8:\"filesize\";s:5:\"29501\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:24:\"libraries 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/libraries/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1317479207\";s:6:\"mdhash\";s:32:\"8e3529be946d9ad0a4b387756cb91a5d\";s:8:\"filesize\";s:5:\"28459\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-1.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1296096156\";s:6:\"mdhash\";s:32:\"e395a4229adb94f48de0764654e83967\";s:8:\"filesize\";s:4:\"7921\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1413167628\";s:6:\"mdhash\";s:32:\"7263f590a91de04704820f2b218956f9\";s:8:\"filesize\";s:5:\"33184\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479046140\";s:6:\"mdhash\";s:32:\"3664fa9b54800164c107a0fbc2e52865\";s:8:\"filesize\";s:5:\"44459\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:21:\"libraries 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/libraries/releases/7.x-1.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/libraries-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1406512127\";s:6:\"mdhash\";s:32:\"84247d751f028c55371865aef18fbd11\";s:8:\"filesize\";s:4:\"9041\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705011,1512618606,1),('available_releases::link','a:11:{s:5:\"title\";s:4:\"Link\";s:10:\"short_name\";s:4:\"link\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:35:\"https://www.drupal.org/project/link\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:13:\"7.x-1.5-beta2\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.5-beta2\";s:7:\"version\";s:13:\"7.x-1.5-beta2\";s:3:\"tag\";s:13:\"7.x-1.5-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.5-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.5-beta2.tar.gz\";s:4:\"date\";s:10:\"1500985442\";s:6:\"mdhash\";s:32:\"7ffe7148234f8c237a4893abd82c8e0e\";s:8:\"filesize\";s:5:\"38156\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.5-beta1\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.5-beta1\";s:7:\"version\";s:13:\"7.x-1.5-beta1\";s:3:\"tag\";s:13:\"7.x-1.5-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.5-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.5-beta1.tar.gz\";s:4:\"date\";s:10:\"1499171942\";s:6:\"mdhash\";s:32:\"0589fb97c7b74f82e429a34677eb1fb8\";s:8:\"filesize\";s:5:\"37592\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1452830639\";s:6:\"mdhash\";s:32:\"10cb0a7bb75aaa6cd709c88fd7f79e9f\";s:8:\"filesize\";s:5:\"36913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.3\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1413924828\";s:6:\"mdhash\";s:32:\"cc9ccec6ca028f73cf60f8cab09e5a4d\";s:8:\"filesize\";s:5:\"33988\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.2\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1385335704\";s:6:\"mdhash\";s:32:\"100c0b2416d455908a818f0a547e9938\";s:8:\"filesize\";s:5:\"33858\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.1\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1360444360\";s:6:\"mdhash\";s:32:\"416691004d5a09681869dcd93188238b\";s:8:\"filesize\";s:5:\"33160\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.0\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1319392535\";s:6:\"mdhash\";s:32:\"0b237d7b329c0454f437f5687d607743\";s:8:\"filesize\";s:5:\"31440\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1317011508\";s:6:\"mdhash\";s:32:\"05802cd5a599cbf0b205a084016779a8\";s:8:\"filesize\";s:5:\"30289\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1297061216\";s:6:\"mdhash\";s:32:\"372ddf2818f9ae6754274b4a8b6b640b\";s:8:\"filesize\";s:5:\"27724\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha-2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1295189003\";s:6:\"mdhash\";s:32:\"c74d7846f210f1bf4a8f14cc8a2d4dbd\";s:8:\"filesize\";s:5:\"20558\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:62:\"Alpha- releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:19:\"link 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/link/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/link-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1291518680\";s:6:\"mdhash\";s:32:\"e9299a741ec5b8ac631f3ba701df7c14\";s:8:\"filesize\";s:5:\"20843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:16:\"link 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/link/releases/7.x-1.x-dev\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/link-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1506613144\";s:6:\"mdhash\";s:32:\"71db813feb016fddb7706119fc7954f0\";s:8:\"filesize\";s:5:\"38945\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705012,1512618606,1),('available_releases::module_filter','a:11:{s:5:\"title\";s:13:\"Module Filter\";s:10:\"short_name\";s:13:\"module_filter\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:15:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"66a4998f63f2cefe77c18713054a42cc\";s:8:\"filesize\";s:5:\"29757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1424631181\";s:6:\"mdhash\";s:32:\"3e2ebdd2f2ec028252e1cf2a547d7d7e\";s:8:\"filesize\";s:5:\"29130\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"module_filter 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1386356904\";s:6:\"mdhash\";s:32:\"342e0e3963e64c39f86061a10bbdaf2e\";s:8:\"filesize\";s:5:\"27898\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:28:\"module_filter 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/module_filter/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1384832005\";s:6:\"mdhash\";s:32:\"3bfb306828c12830c0ee3678f675f124\";s:8:\"filesize\";s:5:\"27962\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.8\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.8\";s:7:\"version\";s:7:\"7.x-1.8\";s:3:\"tag\";s:7:\"7.x-1.8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.8\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.8.tar.gz\";s:4:\"date\";s:10:\"1375995221\";s:6:\"mdhash\";s:32:\"53a1b995dee29e1ab202fa1547dc1266\";s:8:\"filesize\";s:5:\"14605\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1341518501\";s:6:\"mdhash\";s:32:\"f10e62aa5346d5cd82854d66c359f199\";s:8:\"filesize\";s:5:\"14646\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1316105205\";s:6:\"mdhash\";s:32:\"77ca515021372066e2b19906adddb94e\";s:8:\"filesize\";s:5:\"13177\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1313598120\";s:6:\"mdhash\";s:32:\"f3a6a44ec3e35e91870f8391a9f04ff5\";s:8:\"filesize\";s:5:\"13039\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1299525068\";s:6:\"mdhash\";s:32:\"90d9ec10df0b9ee07707f87b96711bca\";s:8:\"filesize\";s:5:\"11570\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1299519370\";s:6:\"mdhash\";s:32:\"8a075e4932db8cd4e35371ac276bcb4b\";s:8:\"filesize\";s:5:\"11555\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1299516669\";s:6:\"mdhash\";s:32:\"afbb784aeb4029294e5877654385cc8c\";s:8:\"filesize\";s:5:\"11446\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1299515169\";s:6:\"mdhash\";s:32:\"45546c1f5bc473389ffc36f0e38a2bc1\";s:8:\"filesize\";s:5:\"13033\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1294104365\";s:6:\"mdhash\";s:32:\"a482aef54751a8fd947bafc2d5ef1ecd\";s:8:\"filesize\";s:5:\"11523\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"module_filter 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"bf63bf30b9a6eecb11e527cc12a87312\";s:8:\"filesize\";s:5:\"29762\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"module_filter 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/module_filter/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/module_filter-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1406917428\";s:6:\"mdhash\";s:32:\"62b7a0ab716b2798d9e60462314d95c5\";s:8:\"filesize\";s:5:\"14743\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705012,1512618606,1),('available_releases::node_class','a:11:{s:5:\"title\";s:10:\"Node Class\";s:10:\"short_name\";s:10:\"node_class\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:41:\"https://www.drupal.org/project/node_class\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:3:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:18:\"node_class 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/node_class/releases/7.x-1.3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/node_class-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1388997805\";s:6:\"mdhash\";s:32:\"76bc0de128d7108d7131c710798c79a8\";s:8:\"filesize\";s:4:\"8698\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:18:\"node_class 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/node_class/releases/7.x-1.1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/node_class-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1353409388\";s:6:\"mdhash\";s:32:\"7132a7c92d76ee2f6d674d96076f40a3\";s:8:\"filesize\";s:4:\"8733\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:18:\"node_class 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/node_class/releases/7.x-1.0\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/node_class-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1327735847\";s:6:\"mdhash\";s:32:\"63906a6d1f0d1dec47561258a8fe4795\";s:8:\"filesize\";s:4:\"8625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}}',1512705012,1512618606,1),('available_releases::pathauto','a:11:{s:5:\"title\";s:8:\"Pathauto\";s:10:\"short_name\";s:8:\"pathauto\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.2\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344525185\";s:6:\"mdhash\";s:32:\"abdb73c49803aefe3c87774a92c42b87\";s:8:\"filesize\";s:5:\"38900\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1336950382\";s:6:\"mdhash\";s:32:\"ee42c248db62f384871cb526d72005f2\";s:8:\"filesize\";s:5:\"38652\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1320072936\";s:6:\"mdhash\";s:32:\"6edd617da0cfa31ddde247933d670ef4\";s:8:\"filesize\";s:5:\"37196\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1308241021\";s:6:\"mdhash\";s:32:\"376c28fa39f3b383ad5134c5a1360be7\";s:8:\"filesize\";s:5:\"35681\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:20:\"pathauto 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1308121619\";s:6:\"mdhash\";s:32:\"a53a56cffaaa67c8775c085d542f162c\";s:8:\"filesize\";s:5:\"35350\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:22:\"pathauto 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294891602\";s:6:\"mdhash\";s:32:\"37c8eaa37d69d60303e702c271f99f9e\";s:8:\"filesize\";s:5:\"56885\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281556294\";s:6:\"mdhash\";s:32:\"5f4aecc1b5d6a6e4365fafcc7f0efe15\";s:8:\"filesize\";s:6:\"122301\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:23:\"pathauto 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/pathauto/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1267300506\";s:6:\"mdhash\";s:32:\"ec86f7a12f9b4daa02967a3d7ccedef6\";s:8:\"filesize\";s:6:\"121249\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:20:\"pathauto 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/pathauto/releases/7.x-1.x-dev\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1472576639\";s:6:\"mdhash\";s:32:\"a597c609ed9d356b6ad4faa978b12aa7\";s:8:\"filesize\";s:5:\"42278\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1512705012,1512618606,1),('available_releases::quicktabs','a:11:{s:5:\"title\";s:10:\"Quick Tabs\";s:10:\"short_name\";s:9:\"quicktabs\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:40:\"https://www.drupal.org/project/quicktabs\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:18:{s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1497619442\";s:6:\"mdhash\";s:32:\"63da431afe05b274f0e8a87a8bb2febf\";s:8:\"filesize\";s:5:\"75912\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.7\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1497616742\";s:6:\"mdhash\";s:32:\"32aff4d6407e4d0d564211cfdeaee291\";s:8:\"filesize\";s:5:\"75918\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.6\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1380731930\";s:6:\"mdhash\";s:32:\"b5303635e54ba0677822bf3cd15169d3\";s:8:\"filesize\";s:5:\"75170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";i:2;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.5\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1379371264\";s:6:\"mdhash\";s:32:\"e858cf2dac05ba4e75be5cb34420eeec\";s:8:\"filesize\";s:5:\"74756\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.4\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1332980461\";s:6:\"mdhash\";s:32:\"e83ce594c509577a44305ae2df6aa0f9\";s:8:\"filesize\";s:5:\"74329\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1326919545\";s:6:\"mdhash\";s:32:\"fbb89f0a5312265335f4e4dcece951fe\";s:8:\"filesize\";s:5:\"74693\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.2\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1322002246\";s:6:\"mdhash\";s:32:\"dd699e185849623700473fc0c55251fd\";s:8:\"filesize\";s:5:\"75019\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1321421443\";s:6:\"mdhash\";s:32:\"67e283dd6981dcfa10644d7288636f6c\";s:8:\"filesize\";s:5:\"74986\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1312172228\";s:6:\"mdhash\";s:32:\"4c72ff22d7eaa9b3e5bd22acfe5c286e\";s:8:\"filesize\";s:5:\"71391\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1311958019\";s:6:\"mdhash\";s:32:\"f25f6d00a21f083db6b73726517282e0\";s:8:\"filesize\";s:5:\"70957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1311491011\";s:6:\"mdhash\";s:32:\"fe549974c22f34eedd34255c7188bf4e\";s:8:\"filesize\";s:5:\"70854\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1309974420\";s:6:\"mdhash\";s:32:\"b7568736c672a0f58f780543621755ca\";s:8:\"filesize\";s:5:\"70850\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha2\";a:15:{s:4:\"name\";s:24:\"quicktabs 7.x-3.0-alpha2\";s:7:\"version\";s:14:\"7.x-3.0-alpha2\";s:3:\"tag\";s:14:\"7.x-3.0-alpha2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-alpha2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1308089219\";s:6:\"mdhash\";s:32:\"5b4fa99ea7b0cf1382ac51fdcad1ad4c\";s:8:\"filesize\";s:5:\"69431\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:24:\"quicktabs 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1308027419\";s:6:\"mdhash\";s:32:\"9f86f3615e5a54e038fd9e5a54f98388\";s:8:\"filesize\";s:5:\"69236\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.0\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1312172227\";s:6:\"mdhash\";s:32:\"40ad6420da071e758c04f5df81693ef5\";s:8:\"filesize\";s:5:\"59833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:23:\"quicktabs 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1301378169\";s:6:\"mdhash\";s:32:\"abd93c7fc0a33eeacd769a3d87bf9534\";s:8:\"filesize\";s:5:\"59501\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:21:\"quicktabs 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1498214642\";s:6:\"mdhash\";s:32:\"dcfb62b3bd04a3027007a194a78bbb79\";s:8:\"filesize\";s:5:\"76036\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:21:\"quicktabs 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/quicktabs/releases/7.x-2.x-dev\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1380624610\";s:6:\"mdhash\";s:32:\"38b7a23c5a2201c1e9d4b9eace929654\";s:8:\"filesize\";s:5:\"61020\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705012,1512618606,1),('available_releases::taxonomy_menu','a:11:{s:5:\"title\";s:13:\"Taxonomy menu\";s:10:\"short_name\";s:13:\"taxonomy_menu\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:3:\"1,2\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:44:\"https://www.drupal.org/project/taxonomy_menu\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1359084813\";s:6:\"mdhash\";s:32:\"464f8dfd87a4a29958005eab55064b9a\";s:8:\"filesize\";s:5:\"31176\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-2.0-alpha1\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha1\";s:7:\"version\";s:14:\"7.x-2.0-alpha1\";s:3:\"tag\";s:14:\"7.x-2.0-alpha1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1354041231\";s:6:\"mdhash\";s:32:\"adc321e1143241024a467aa5d80ca871\";s:8:\"filesize\";s:5:\"27625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396359246\";s:6:\"mdhash\";s:32:\"f2aa072ca8e5ffad1082db99917e7226\";s:8:\"filesize\";s:5:\"25478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1346896425\";s:6:\"mdhash\";s:32:\"590c259749920262b9c9698673d0e7ba\";s:8:\"filesize\";s:5:\"25466\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1343504281\";s:6:\"mdhash\";s:32:\"2529b7c858b34f4bc3ab0f36c383edcf\";s:8:\"filesize\";s:5:\"25755\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1311037620\";s:6:\"mdhash\";s:32:\"7c8dd9c6135179139b304d4c53e19910\";s:8:\"filesize\";s:5:\"21792\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1295050660\";s:6:\"mdhash\";s:32:\"bad372aab7f881a7d9084976b5e294fc\";s:8:\"filesize\";s:5:\"20775\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.0\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1294199467\";s:6:\"mdhash\";s:32:\"adb67fe63b51058cd5e5297ae7cd25c9\";s:8:\"filesize\";s:5:\"20806\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:25:\"taxonomy_menu 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479919812\";s:6:\"mdhash\";s:32:\"a6e6b286b63221464f64c260a888810e\";s:8:\"filesize\";s:5:\"32419\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:25:\"taxonomy_menu 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:65:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.x-dev\";s:13:\"download_link\";s:70:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1479919140\";s:6:\"mdhash\";s:32:\"00bf9a45a91243002244ccd573ee4130\";s:8:\"filesize\";s:5:\"25970\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705012,1512618606,1),('available_releases::title','a:11:{s:5:\"title\";s:5:\"Title\";s:10:\"short_name\";s:5:\"title\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/title\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:10:{s:14:\"7.x-1.0-alpha9\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha9\";s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:3:\"tag\";s:14:\"7.x-1.0-alpha9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha9\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1484302983\";s:6:\"mdhash\";s:32:\"dce551145ee2cbc21f59326dd677f148\";s:8:\"filesize\";s:5:\"27311\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha8\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha8\";s:7:\"version\";s:14:\"7.x-1.0-alpha8\";s:3:\"tag\";s:14:\"7.x-1.0-alpha8\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha8\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1459177439\";s:6:\"mdhash\";s:32:\"fa2006a74e7aaf1f76d9928c4bb761b8\";s:8:\"filesize\";s:5:\"27220\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha7\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha7\";s:7:\"version\";s:14:\"7.x-1.0-alpha7\";s:3:\"tag\";s:14:\"7.x-1.0-alpha7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha7\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1363626024\";s:6:\"mdhash\";s:32:\"fa24dae8b15c8f5001ff05a5033b4e8d\";s:8:\"filesize\";s:5:\"24062\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha6\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha6\";s:7:\"version\";s:14:\"7.x-1.0-alpha6\";s:3:\"tag\";s:14:\"7.x-1.0-alpha6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha6\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1363625422\";s:6:\"mdhash\";s:32:\"a256e336af8be3b61a4cc66970e731a1\";s:8:\"filesize\";s:5:\"26045\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha5\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha5\";s:7:\"version\";s:14:\"7.x-1.0-alpha5\";s:3:\"tag\";s:14:\"7.x-1.0-alpha5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha5\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1355827149\";s:6:\"mdhash\";s:32:\"11a5dfbd2bb196e4fdda1223afea3a23\";s:8:\"filesize\";s:5:\"23601\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha4\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha4\";s:7:\"version\";s:14:\"7.x-1.0-alpha4\";s:3:\"tag\";s:14:\"7.x-1.0-alpha4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha4\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1344682073\";s:6:\"mdhash\";s:32:\"6feba247e8c2ca531a0ceaadccad1a91\";s:8:\"filesize\";s:5:\"21336\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1338898035\";s:6:\"mdhash\";s:32:\"4d03d30ea6ef6c319f9cdcb2be870e15\";s:8:\"filesize\";s:5:\"18205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1315581706\";s:6:\"mdhash\";s:32:\"269af3d3fea50863a0429a781ec5c914\";s:8:\"filesize\";s:5:\"15651\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1315386730\";s:6:\"mdhash\";s:32:\"2985639c45efaf634dcbce4852862f38\";s:8:\"filesize\";s:5:\"15429\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"title 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/title/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/title-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1509317584\";s:6:\"mdhash\";s:32:\"c148481cef58bb2b799891d67b0bb0eb\";s:8:\"filesize\";s:5:\"27805\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1512705013,1512618606,1),('available_releases::token','a:11:{s:5:\"title\";s:5:\"Token\";s:10:\"short_name\";s:5:\"token\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1425149059\";s:6:\"mdhash\";s:32:\"9b59f3ce5f25aab883a1ae7631bf5581\";s:8:\"filesize\";s:5:\"44396\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1361665026\";s:6:\"mdhash\";s:32:\"93e5a19e8b244022cc38e58663db8001\";s:8:\"filesize\";s:5:\"44012\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1348497279\";s:6:\"mdhash\";s:32:\"e65a894f14518751ca1da445a767965c\";s:8:\"filesize\";s:5:\"43675\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1347466790\";s:6:\"mdhash\";s:32:\"efe130120435cf38d33e6ae005ad0956\";s:8:\"filesize\";s:5:\"43666\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1344634643\";s:6:\"mdhash\";s:32:\"0cb93d8a597acd5f99acdc7cb42b6332\";s:8:\"filesize\";s:5:\"43170\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1337115392\";s:6:\"mdhash\";s:32:\"8d4c96128ab3ef9f4e76fbdb73900e35\";s:8:\"filesize\";s:5:\"42496\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1333672577\";s:6:\"mdhash\";s:32:\"21709598974906287ea5bd68f2b94815\";s:8:\"filesize\";s:5:\"42264\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:17:\"token 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1328022364\";s:6:\"mdhash\";s:32:\"b63435f4a943cb013aa34339f5ce8bb0\";s:8:\"filesize\";s:5:\"41089\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta7\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta7\";s:7:\"version\";s:13:\"7.x-1.0-beta7\";s:3:\"tag\";s:13:\"7.x-1.0-beta7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta7\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1319825735\";s:6:\"mdhash\";s:32:\"9d5644d212720e8c9db7fcbcf4559468\";s:8:\"filesize\";s:5:\"40531\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta6\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta6\";s:7:\"version\";s:13:\"7.x-1.0-beta6\";s:3:\"tag\";s:13:\"7.x-1.0-beta6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1317397307\";s:6:\"mdhash\";s:32:\"797c619140cdcc00004ce5e64b25eb02\";s:8:\"filesize\";s:5:\"40155\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta5\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta5\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:3:\"tag\";s:13:\"7.x-1.0-beta5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1314804722\";s:6:\"mdhash\";s:32:\"42b75e49ecfe3945cf3971b20d64e21f\";s:8:\"filesize\";s:5:\"38428\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta4\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta4\";s:7:\"version\";s:13:\"7.x-1.0-beta4\";s:3:\"tag\";s:13:\"7.x-1.0-beta4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1313614619\";s:6:\"mdhash\";s:32:\"00aea5ce506db5a5308e4881cc16a650\";s:8:\"filesize\";s:5:\"36328\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta3\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta3\";s:7:\"version\";s:13:\"7.x-1.0-beta3\";s:3:\"tag\";s:13:\"7.x-1.0-beta3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1311709319\";s:6:\"mdhash\";s:32:\"236041ef8c6249adae04f0af98e8aa8b\";s:8:\"filesize\";s:5:\"34573\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-1.0-beta2\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta2\";s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:3:\"tag\";s:13:\"7.x-1.0-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1305833216\";s:6:\"mdhash\";s:32:\"33678788042e89887c17f072f22b360e\";s:8:\"filesize\";s:5:\"32677\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-1.0-beta1\";a:15:{s:4:\"name\";s:19:\"token 7.x-1.0-beta1\";s:7:\"version\";s:13:\"7.x-1.0-beta1\";s:3:\"tag\";s:13:\"7.x-1.0-beta1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/token/releases/7.x-1.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1294805791\";s:6:\"mdhash\";s:32:\"0c597a7a17a7a27a725cf076bbae25e4\";s:8:\"filesize\";s:5:\"31159\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha3\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha3\";s:7:\"version\";s:14:\"7.x-1.0-alpha3\";s:3:\"tag\";s:14:\"7.x-1.0-alpha3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1286469965\";s:6:\"mdhash\";s:32:\"16096ce5c4a1f7e0b70c31026d88238a\";s:8:\"filesize\";s:5:\"23473\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1281549992\";s:6:\"mdhash\";s:32:\"788bb2827e595fa41387afbe116f462d\";s:8:\"filesize\";s:5:\"21523\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:20:\"token 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/token/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/token-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1271567107\";s:6:\"mdhash\";s:32:\"622a57e2ef607da3010c9e94d76af3fc\";s:8:\"filesize\";s:5:\"17032\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:17:\"token 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/token/releases/7.x-1.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/token-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1493330042\";s:6:\"mdhash\";s:32:\"89e063c41031d1001ae19ca34d00ccdb\";s:8:\"filesize\";s:5:\"44024\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705013,1512618606,1),('available_releases::views','a:11:{s:5:\"title\";s:5:\"Views\";s:10:\"short_name\";s:5:\"views\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:36:\"https://www.drupal.org/project/views\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:26:{s:8:\"7.x-3.18\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.18\";s:7:\"version\";s:8:\"7.x-3.18\";s:3:\"tag\";s:8:\"7.x-3.18\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.18\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.18.tar.gz\";s:4:\"date\";s:10:\"1503494944\";s:6:\"mdhash\";s:32:\"937ad4ebd559fd3f57896f4702f6f3c4\";s:8:\"filesize\";s:7:\"1646788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.17\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.17\";s:7:\"version\";s:8:\"7.x-3.17\";s:3:\"tag\";s:8:\"7.x-3.17\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.17\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.17.tar.gz\";s:4:\"date\";s:10:\"1502903343\";s:6:\"mdhash\";s:32:\"ff6d025dedb555672ccf01f5e234df4f\";s:8:\"filesize\";s:7:\"1644296\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.16\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1491158584\";s:6:\"mdhash\";s:32:\"d840cb148809da844b93d73b16b453f9\";s:8:\"filesize\";s:7:\"1643030\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:12:\"7.x-3.16-rc1\";a:15:{s:4:\"name\";s:18:\"views 7.x-3.16-rc1\";s:7:\"version\";s:12:\"7.x-3.16-rc1\";s:3:\"tag\";s:12:\"7.x-3.16-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/views/releases/7.x-3.16-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/views-7.x-3.16-rc1.tar.gz\";s:4:\"date\";s:10:\"1489763584\";s:6:\"mdhash\";s:32:\"cba59381dbf64ac9d9d76fa549b4c7c1\";s:8:\"filesize\";s:7:\"1642814\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.15\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.15\";s:7:\"version\";s:8:\"7.x-3.15\";s:3:\"tag\";s:8:\"7.x-3.15\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.15\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.15.tar.gz\";s:4:\"date\";s:10:\"1487784184\";s:6:\"mdhash\";s:32:\"473cb5384456d55af988feabc1af12ed\";s:8:\"filesize\";s:7:\"1642425\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.14\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.14\";s:7:\"version\";s:8:\"7.x-3.14\";s:3:\"tag\";s:8:\"7.x-3.14\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.14\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.14.tar.gz\";s:4:\"date\";s:10:\"1466019539\";s:6:\"mdhash\";s:32:\"168bb684c8f34297be94b03c797841e5\";s:8:\"filesize\";s:7:\"1656594\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.13\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.13\";s:7:\"version\";s:8:\"7.x-3.13\";s:3:\"tag\";s:8:\"7.x-3.13\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.13\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.13.tar.gz\";s:4:\"date\";s:10:\"1446804839\";s:6:\"mdhash\";s:32:\"50d3b231f689f8c4ff15d79ea3c261d9\";s:8:\"filesize\";s:7:\"1650157\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.12\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.12\";s:7:\"version\";s:8:\"7.x-3.12\";s:3:\"tag\";s:8:\"7.x-3.12\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.12\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.12.tar.gz\";s:4:\"date\";s:10:\"1446653339\";s:6:\"mdhash\";s:32:\"a50033bb090730176d9263ddae7f32b2\";s:8:\"filesize\";s:7:\"1650130\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.11\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.11\";s:7:\"version\";s:8:\"7.x-3.11\";s:3:\"tag\";s:8:\"7.x-3.11\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.11\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.11.tar.gz\";s:4:\"date\";s:10:\"1430320981\";s:6:\"mdhash\";s:32:\"00d722e1d8ed57e912c8bd586cf2edbe\";s:8:\"filesize\";s:7:\"1649389\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.10\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1423648081\";s:6:\"mdhash\";s:32:\"c9806ffd69448bc505a67e790f97da58\";s:8:\"filesize\";s:7:\"1648314\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.8\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1400618927\";s:6:\"mdhash\";s:32:\"0fbe71c455f5d34c7193797563b63b3f\";s:8:\"filesize\";s:7:\"1646817\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1365499237\";s:6:\"mdhash\";s:32:\"3f36f0d13f3b724d719f6729cbc110ba\";s:8:\"filesize\";s:7:\"1639539\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.6\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1363810217\";s:6:\"mdhash\";s:32:\"1531a1ece3970332db1559b854f5dcc9\";s:8:\"filesize\";s:7:\"1639219\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.5\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1345829395\";s:6:\"mdhash\";s:32:\"fba70998d4ebcca5116ef5ee90117738\";s:8:\"filesize\";s:7:\"1632919\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.4\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1345559303\";s:6:\"mdhash\";s:32:\"72bd0f35ac467aed74e533c10a76c93f\";s:8:\"filesize\";s:7:\"1632803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.3\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1329946249\";s:6:\"mdhash\";s:32:\"70f24086dc7acfa7fc23c6148c7f8e00\";s:8:\"filesize\";s:7:\"1583249\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.2\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1329778551\";s:6:\"mdhash\";s:32:\"c350603991445ca69b30eddf3befe887\";s:8:\"filesize\";s:7:\"1582617\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.1\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1326750948\";s:6:\"mdhash\";s:32:\"e158435dc66d1d89a0df587c39ef1a23\";s:8:\"filesize\";s:7:\"1575585\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:13:\"views 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/views/releases/7.x-3.0\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/views-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1324170451\";s:6:\"mdhash\";s:32:\"1be8cbd6fd3f37bfd1493693dfa95d8d\";s:8:\"filesize\";s:7:\"1461460\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-3.0-rc3\";a:15:{s:4:\"name\";s:17:\"views 7.x-3.0-rc3\";s:7:\"version\";s:11:\"7.x-3.0-rc3\";s:3:\"tag\";s:11:\"7.x-3.0-rc3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.0-rc3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1321467945\";s:6:\"mdhash\";s:32:\"b3e58f4195308e37621155d3c843e53f\";s:8:\"filesize\";s:7:\"1456218\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.0-rc1\";a:15:{s:4:\"name\";s:17:\"views 7.x-3.0-rc1\";s:7:\"version\";s:11:\"7.x-3.0-rc1\";s:3:\"tag\";s:11:\"7.x-3.0-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.0-rc1\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1308341221\";s:6:\"mdhash\";s:32:\"e158db78ae2f8cc615edb910a09384b0\";s:8:\"filesize\";s:7:\"1481151\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1301301971\";s:6:\"mdhash\";s:32:\"114c76f201523ef3e50b9a1d431b0364\";s:8:\"filesize\";s:7:\"1469580\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1301158871\";s:6:\"mdhash\";s:32:\"c39fab1e76e55b15291fecf2c10386c2\";s:8:\"filesize\";s:7:\"1469243\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:19:\"views 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/views/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1301099796\";s:6:\"mdhash\";s:32:\"6ee4495cbdf0a8d19bd214f57bef0bf4\";s:8:\"filesize\";s:7:\"1468892\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:20:\"views 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/views/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/views-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1294276882\";s:6:\"mdhash\";s:32:\"8635e5b0c03fed4516abae25489a5a5c\";s:8:\"filesize\";s:7:\"1561161\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:17:\"views 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/views/releases/7.x-3.x-dev\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/views-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1512487686\";s:6:\"mdhash\";s:32:\"68845818cc38541ebe30d3b19f324390\";s:8:\"filesize\";s:7:\"1648736\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705013,1512618606,1),('available_releases::views_bootstrap','a:11:{s:5:\"title\";s:15:\"Views Bootstrap\";s:10:\"short_name\";s:15:\"views_bootstrap\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_bootstrap\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:8:{s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-3.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1505670245\";s:6:\"mdhash\";s:32:\"5ab3bea6be8a4bdbcba464be01951701\";s:8:\"filesize\";s:5:\"17121\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-3.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1398607427\";s:6:\"mdhash\";s:32:\"eea36d42e6b2c836fd43a5393ef8e4a5\";s:8:\"filesize\";s:5:\"13708\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-3.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1382891129\";s:6:\"mdhash\";s:32:\"d9a0a1e2cab9d1eb0c7e7e332ce9a520\";s:8:\"filesize\";s:5:\"11352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1398607427\";s:6:\"mdhash\";s:32:\"819b5461fae2a1087dc02d24b93d7d23\";s:8:\"filesize\";s:5:\"13653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-2.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1382891132\";s:6:\"mdhash\";s:32:\"9880f0df62e66306e3a2cf073511d730\";s:8:\"filesize\";s:5:\"11266\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:27:\"views_bootstrap 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-3.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1506071944\";s:6:\"mdhash\";s:32:\"920f4514f6324a6607ab7545388d2b1a\";s:8:\"filesize\";s:5:\"17331\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:27:\"views_bootstrap 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-2.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1443186840\";s:6:\"mdhash\";s:32:\"a0ebce1f6d85cd3450ed16f2cfd4aa1f\";s:8:\"filesize\";s:5:\"13545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"views_bootstrap 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1382152318\";s:6:\"mdhash\";s:32:\"2ba9fb170c7595db80082109a836a704\";s:8:\"filesize\";s:4:\"9194\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1512705013,1512618606,1),('available_releases::views_datasource','a:11:{s:5:\"title\";s:16:\"Views Datasource\";s:10:\"short_name\";s:16:\"views_datasource\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:47:\"https://www.drupal.org/project/views_datasource\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:3:{s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:31:\"views_datasource 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/views_datasource/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/views_datasource-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1423859269\";s:6:\"mdhash\";s:32:\"1a4c1df5eacbba31acc38f700b8eb013\";s:8:\"filesize\";s:5:\"41515\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:31:\"views_datasource 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/views_datasource/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/views_datasource-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1418968381\";s:6:\"mdhash\";s:32:\"db0dd45140fe6d7f590abc51e35ce585\";s:8:\"filesize\";s:5:\"41530\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:28:\"views_datasource 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/views_datasource/releases/7.x-1.x-dev\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/views_datasource-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1481633283\";s:6:\"mdhash\";s:32:\"cd52f12aca0f8c6dd15e3b6295069da5\";s:8:\"filesize\";s:5:\"39434\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";s:5:\"terms\";a:0:{}}}}',1512705014,1512618606,1),('available_releases::views_fieldsets','a:11:{s:5:\"title\";s:15:\"Views fieldsets\";s:10:\"short_name\";s:15:\"views_fieldsets\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"2\";s:16:\"supported_majors\";s:1:\"2\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_fieldsets\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:9:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1452361172\";s:6:\"mdhash\";s:32:\"c5865105b071c412aca65878eed1d8fe\";s:8:\"filesize\";s:5:\"14729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1436550539\";s:6:\"mdhash\";s:32:\"6a70727be4617284f768216fa8a00c87\";s:8:\"filesize\";s:5:\"14397\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1425515881\";s:6:\"mdhash\";s:32:\"bb105a56ed43d3ead73e98e52ee48ca4\";s:8:\"filesize\";s:5:\"13371\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1392335005\";s:6:\"mdhash\";s:32:\"70259475223e1f57b610084fac78fc01\";s:8:\"filesize\";s:5:\"13111\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1360701659\";s:6:\"mdhash\";s:32:\"ebe6376710d9fa20b9cd655ab8428138\";s:8:\"filesize\";s:5:\"13035\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1357769111\";s:6:\"mdhash\";s:32:\"d99b0cda11f62cf33dc7eb7f485f2154\";s:8:\"filesize\";s:5:\"12875\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:14:\"7.x-1.0-alpha1\";a:15:{s:4:\"name\";s:30:\"views_fieldsets 7.x-1.0-alpha1\";s:7:\"version\";s:14:\"7.x-1.0-alpha1\";s:3:\"tag\";s:14:\"7.x-1.0-alpha1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1342189984\";s:6:\"mdhash\";s:32:\"43e62b2acdb8d4a542527c0919c47ce6\";s:8:\"filesize\";s:5:\"12805\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:27:\"views_fieldsets 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1478952539\";s:6:\"mdhash\";s:32:\"d88549432db8f2d2013b0b407cd2eb35\";s:8:\"filesize\";s:5:\"15153\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:27:\"views_fieldsets 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-1.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1429815481\";s:6:\"mdhash\";s:32:\"8785f8504272b1a9dfcaf90ea6accdee\";s:8:\"filesize\";s:5:\"13386\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705013,1512618606,1),('available_releases::views_field_view','a:11:{s:5:\"title\";s:16:\"Views Field View\";s:10:\"short_name\";s:16:\"views_field_view\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"1\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:47:\"https://www.drupal.org/project/views_field_view\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:7:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:24:\"views_field_view 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1442561051\";s:6:\"mdhash\";s:32:\"770f9dd87dfd671ca694e710ea857037\";s:8:\"filesize\";s:5:\"18128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.1\";a:14:{s:4:\"name\";s:24:\"views_field_view 7.x-1.1\";s:7:\"version\";s:7:\"7.x-1.1\";s:3:\"tag\";s:7:\"7.x-1.1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.1\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.1.tar.gz\";s:4:\"date\";s:10:\"1369511162\";s:6:\"mdhash\";s:32:\"b8b60b9b01a83458ade30684150c68ff\";s:8:\"filesize\";s:5:\"17114\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:24:\"views_field_view 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.0\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1347902395\";s:6:\"mdhash\";s:32:\"9571ece5309db2adb70a65a346981341\";s:8:\"filesize\";s:5:\"16947\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc3\";a:15:{s:4:\"name\";s:28:\"views_field_view 7.x-1.0-rc3\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:3:\"tag\";s:11:\"7.x-1.0-rc3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.0-rc3\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1337181098\";s:6:\"mdhash\";s:32:\"50c38f9673d1f5248cf04d9f9483d6a9\";s:8:\"filesize\";s:5:\"15625\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc2\";a:15:{s:4:\"name\";s:28:\"views_field_view 7.x-1.0-rc2\";s:7:\"version\";s:11:\"7.x-1.0-rc2\";s:3:\"tag\";s:11:\"7.x-1.0-rc2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.0-rc2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1333560973\";s:6:\"mdhash\";s:32:\"60479557964c5725d857e3fc7e1c2514\";s:8:\"filesize\";s:5:\"15221\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:28:\"views_field_view 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1324652756\";s:6:\"mdhash\";s:32:\"d8960a723255c8510bc6fcea36ab2332\";s:8:\"filesize\";s:5:\"12031\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:28:\"views_field_view 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.x-dev\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1440827640\";s:6:\"mdhash\";s:32:\"011e10be394f912355511b8eeec3d5e5\";s:8:\"filesize\";s:5:\"18126\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705013,1512618606,1),('available_releases::views_slideshow','a:11:{s:5:\"title\";s:15:\"Views Slideshow\";s:10:\"short_name\";s:15:\"views_slideshow\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:1:\"3\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_slideshow\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:12:{s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.9\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1496893142\";s:6:\"mdhash\";s:32:\"fc1edcb8ee04923d93cdaa36ca848563\";s:8:\"filesize\";s:5:\"42352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.8\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1488825783\";s:6:\"mdhash\";s:32:\"ad0e1665ad39b234df35954f96be4d78\";s:8:\"filesize\";s:5:\"42099\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.7\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1488323883\";s:6:\"mdhash\";s:32:\"3c9f89add1c975c6820f155a855d109d\";s:8:\"filesize\";s:5:\"41306\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.6\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1487211484\";s:6:\"mdhash\";s:32:\"cb17433b7585c42c64c4ce4cbaaa186d\";s:8:\"filesize\";s:5:\"40102\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.5\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.5\";s:7:\"version\";s:7:\"7.x-3.5\";s:3:\"tag\";s:7:\"7.x-3.5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.5\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.5.tar.gz\";s:4:\"date\";s:10:\"1484857383\";s:6:\"mdhash\";s:32:\"3123e0b522aadb07b7e791eea34c27de\";s:8:\"filesize\";s:5:\"38808\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.4\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.4\";s:7:\"version\";s:7:\"7.x-3.4\";s:3:\"tag\";s:7:\"7.x-3.4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.4\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.4.tar.gz\";s:4:\"date\";s:10:\"1483641842\";s:6:\"mdhash\";s:32:\"c793ed088af5d093df616fee77b86b41\";s:8:\"filesize\";s:5:\"38045\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.3\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.3\";s:7:\"version\";s:7:\"7.x-3.3\";s:3:\"tag\";s:7:\"7.x-3.3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.3\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.3.tar.gz\";s:4:\"date\";s:10:\"1483562342\";s:6:\"mdhash\";s:32:\"8642510e04bb94fa5e61033b6ed6645c\";s:8:\"filesize\";s:5:\"37849\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1482784083\";s:6:\"mdhash\";s:32:\"81adf86198a6a0dc61aa43c961726dbe\";s:8:\"filesize\";s:5:\"37459\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1382584827\";s:6:\"mdhash\";s:32:\"a807ec5d346350d1f21b84be38480faf\";s:8:\"filesize\";s:5:\"35949\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.0\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1319589616\";s:6:\"mdhash\";s:32:\"6bf9363dacee1b55b97c0294b70b5507\";s:8:\"filesize\";s:5:\"33692\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:14:\"7.x-3.0-alpha1\";a:15:{s:4:\"name\";s:30:\"views_slideshow 7.x-3.0-alpha1\";s:7:\"version\";s:14:\"7.x-3.0-alpha1\";s:3:\"tag\";s:14:\"7.x-3.0-alpha1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:70:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.0-alpha1\";s:13:\"download_link\";s:75:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1299893769\";s:6:\"mdhash\";s:32:\"a6b97871bde1ee41b63b60d0953b2e8b\";s:8:\"filesize\";s:5:\"29502\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:27:\"views_slideshow 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:67:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.x-dev\";s:13:\"download_link\";s:72:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1510976285\";s:6:\"mdhash\";s:32:\"fd06837eb70fbd98239f19fca30a0ccd\";s:8:\"filesize\";s:5:\"42349\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705014,1512618606,1),('available_releases::webform','a:11:{s:5:\"title\";s:7:\"Webform\";s:10:\"short_name\";s:7:\"webform\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"4\";s:16:\"supported_majors\";s:3:\"3,4\";s:13:\"default_major\";s:1:\"3\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:38:\"https://www.drupal.org/project/webform\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:72:{s:8:\"7.x-4.16\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.16\";s:7:\"version\";s:8:\"7.x-4.16\";s:3:\"tag\";s:8:\"7.x-4.16\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.16\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.16.tar.gz\";s:4:\"date\";s:10:\"1507320544\";s:6:\"mdhash\";s:32:\"d4d168b87b1ca12fb0d56126ac6aeb66\";s:8:\"filesize\";s:6:\"247838\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:12:\"7.x-4.16-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-4.16-rc1\";s:7:\"version\";s:12:\"7.x-4.16-rc1\";s:3:\"tag\";s:12:\"7.x-4.16-rc1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"16\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-4.16-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-4.16-rc1.tar.gz\";s:4:\"date\";s:10:\"1505495644\";s:6:\"mdhash\";s:32:\"0c45832337e5240efac9eac1ef56e3a4\";s:8:\"filesize\";s:6:\"247808\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-4.15\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.15\";s:7:\"version\";s:8:\"7.x-4.15\";s:3:\"tag\";s:8:\"7.x-4.15\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.15\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.15.tar.gz\";s:4:\"date\";s:10:\"1492107243\";s:6:\"mdhash\";s:32:\"12556ecbae9cb7bf39d768d2bbd29694\";s:8:\"filesize\";s:6:\"247725\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:12:\"7.x-4.15-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-4.15-rc1\";s:7:\"version\";s:12:\"7.x-4.15-rc1\";s:3:\"tag\";s:12:\"7.x-4.15-rc1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"15\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-4.15-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-4.15-rc1.tar.gz\";s:4:\"date\";s:10:\"1490884682\";s:6:\"mdhash\";s:32:\"4a0871210035b354cdaf24a7af9a072c\";s:8:\"filesize\";s:6:\"247731\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-4.14\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.14\";s:7:\"version\";s:8:\"7.x-4.14\";s:3:\"tag\";s:8:\"7.x-4.14\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"14\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.14\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.14.tar.gz\";s:4:\"date\";s:10:\"1472386739\";s:6:\"mdhash\";s:32:\"9d28b1cbc3d380074b6926181543e445\";s:8:\"filesize\";s:6:\"244516\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-4.13\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.13\";s:7:\"version\";s:8:\"7.x-4.13\";s:3:\"tag\";s:8:\"7.x-4.13\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.13\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.13.tar.gz\";s:4:\"date\";s:10:\"1469140439\";s:6:\"mdhash\";s:32:\"dae91401fb44079b6370451bb72652eb\";s:8:\"filesize\";s:6:\"243560\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-4.12\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.12\";s:7:\"version\";s:8:\"7.x-4.12\";s:3:\"tag\";s:8:\"7.x-4.12\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.12\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.12.tar.gz\";s:4:\"date\";s:10:\"1445622240\";s:6:\"mdhash\";s:32:\"5eed02c0782f36b042c205f4229a076c\";s:8:\"filesize\";s:6:\"240545\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-4.11\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.11\";s:7:\"version\";s:8:\"7.x-4.11\";s:3:\"tag\";s:8:\"7.x-4.11\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.11\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.11.tar.gz\";s:4:\"date\";s:10:\"1442953139\";s:6:\"mdhash\";s:32:\"319613b667722186ff0b22f0f0cf2f95\";s:8:\"filesize\";s:6:\"235259\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-4.10\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.10\";s:7:\"version\";s:8:\"7.x-4.10\";s:3:\"tag\";s:8:\"7.x-4.10\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.10\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.10.tar.gz\";s:4:\"date\";s:10:\"1437076439\";s:6:\"mdhash\";s:32:\"a8947025d47f177154511c7406a8534e\";s:8:\"filesize\";s:6:\"234255\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.9\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.9\";s:7:\"version\";s:7:\"7.x-4.9\";s:3:\"tag\";s:7:\"7.x-4.9\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.9\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.9.tar.gz\";s:4:\"date\";s:10:\"1432669981\";s:6:\"mdhash\";s:32:\"7a4771c9fb06bad7d0e7b51048d36e57\";s:8:\"filesize\";s:6:\"231377\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.8\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.8\";s:7:\"version\";s:7:\"7.x-4.8\";s:3:\"tag\";s:7:\"7.x-4.8\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.8\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.8.tar.gz\";s:4:\"date\";s:10:\"1430334481\";s:6:\"mdhash\";s:32:\"dbd68b085357a4802c55edb03188e22c\";s:8:\"filesize\";s:6:\"230957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.7\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.7\";s:7:\"version\";s:7:\"7.x-4.7\";s:3:\"tag\";s:7:\"7.x-4.7\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.7.tar.gz\";s:4:\"date\";s:10:\"1427387581\";s:6:\"mdhash\";s:32:\"708325315325143ecf872803bb8fc97e\";s:8:\"filesize\";s:6:\"212482\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.6\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.6\";s:7:\"version\";s:7:\"7.x-4.6\";s:3:\"tag\";s:7:\"7.x-4.6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.6.tar.gz\";s:4:\"date\";s:10:\"1427029681\";s:6:\"mdhash\";s:32:\"4c434af84de80e9886d9a0014bbde4dc\";s:8:\"filesize\";s:6:\"212172\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.5\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.5\";s:7:\"version\";s:7:\"7.x-4.5\";s:3:\"tag\";s:7:\"7.x-4.5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.5\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.5.tar.gz\";s:4:\"date\";s:10:\"1426611015\";s:6:\"mdhash\";s:32:\"8b864d7fd7de0abcc11f213bc28dcc6b\";s:8:\"filesize\";s:6:\"208218\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.4\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.4\";s:7:\"version\";s:7:\"7.x-4.4\";s:3:\"tag\";s:7:\"7.x-4.4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.4\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.4.tar.gz\";s:4:\"date\";s:10:\"1425406981\";s:6:\"mdhash\";s:32:\"7933b2eaa6bfd7648b490c6c1e34f56c\";s:8:\"filesize\";s:6:\"207645\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.3\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.3\";s:7:\"version\";s:7:\"7.x-4.3\";s:3:\"tag\";s:7:\"7.x-4.3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.3\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.3.tar.gz\";s:4:\"date\";s:10:\"1424096281\";s:6:\"mdhash\";s:32:\"5ed6d060b3cd57ba6a0dc6aac19d31be\";s:8:\"filesize\";s:6:\"204589\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.2\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.2\";s:7:\"version\";s:7:\"7.x-4.2\";s:3:\"tag\";s:7:\"7.x-4.2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.2\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.2.tar.gz\";s:4:\"date\";s:10:\"1416925848\";s:6:\"mdhash\";s:32:\"a48a33c79d3831b748342b1836617a74\";s:8:\"filesize\";s:6:\"202048\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.1\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.1\";s:7:\"version\";s:7:\"7.x-4.1\";s:3:\"tag\";s:7:\"7.x-4.1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.1\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.1.tar.gz\";s:4:\"date\";s:10:\"1412681928\";s:6:\"mdhash\";s:32:\"e33d9a244c41c7b1bc6df8af00e08b7a\";s:8:\"filesize\";s:6:\"193676\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-4.0\";a:14:{s:4:\"name\";s:15:\"webform 7.x-4.0\";s:7:\"version\";s:7:\"7.x-4.0\";s:3:\"tag\";s:7:\"7.x-4.0\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-4.0\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0.tar.gz\";s:4:\"date\";s:10:\"1409365728\";s:6:\"mdhash\";s:32:\"20c266a95b99abd24bd5dd3facba61a8\";s:8:\"filesize\";s:6:\"193699\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-4.0-rc6\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc6\";s:7:\"version\";s:11:\"7.x-4.0-rc6\";s:3:\"tag\";s:11:\"7.x-4.0-rc6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc6.tar.gz\";s:4:\"date\";s:10:\"1408408128\";s:6:\"mdhash\";s:32:\"d6c9af053bb448d13db9ed4bda7373bf\";s:8:\"filesize\";s:6:\"192838\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc5\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc5\";s:7:\"version\";s:11:\"7.x-4.0-rc5\";s:3:\"tag\";s:11:\"7.x-4.0-rc5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc5\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1406922827\";s:6:\"mdhash\";s:32:\"376fdf4bac5d797aba46ef7c6e984dad\";s:8:\"filesize\";s:6:\"192690\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc4\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc4\";s:7:\"version\";s:11:\"7.x-4.0-rc4\";s:3:\"tag\";s:11:\"7.x-4.0-rc4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc4\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc4.tar.gz\";s:4:\"date\";s:10:\"1403835228\";s:6:\"mdhash\";s:32:\"a7433fae49177e403a2f9ea391dbff40\";s:8:\"filesize\";s:6:\"190874\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc3\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc3\";s:7:\"version\";s:11:\"7.x-4.0-rc3\";s:3:\"tag\";s:11:\"7.x-4.0-rc3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc3.tar.gz\";s:4:\"date\";s:10:\"1398161327\";s:6:\"mdhash\";s:32:\"dc88f99bb75f0ccb278c43ff288ee20d\";s:8:\"filesize\";s:6:\"189321\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc2\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc2\";s:7:\"version\";s:11:\"7.x-4.0-rc2\";s:3:\"tag\";s:11:\"7.x-4.0-rc2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc2\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1398128627\";s:6:\"mdhash\";s:32:\"83463fc7c1c09db64491821d6ec70245\";s:8:\"filesize\";s:6:\"189359\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-4.0-rc1\";a:15:{s:4:\"name\";s:19:\"webform 7.x-4.0-rc1\";s:7:\"version\";s:11:\"7.x-4.0-rc1\";s:3:\"tag\";s:11:\"7.x-4.0-rc1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.0-rc1\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1397285353\";s:6:\"mdhash\";s:32:\"f531bd82a3e8a218e8ba6b9418a272fe\";s:8:\"filesize\";s:6:\"188567\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta3\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta3\";s:7:\"version\";s:13:\"7.x-4.0-beta3\";s:3:\"tag\";s:13:\"7.x-4.0-beta3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1392366205\";s:6:\"mdhash\";s:32:\"ed5a9f251b148852a8604d3a27d312d0\";s:8:\"filesize\";s:6:\"183926\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta2\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta2\";s:7:\"version\";s:13:\"7.x-4.0-beta2\";s:3:\"tag\";s:13:\"7.x-4.0-beta2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1392182008\";s:6:\"mdhash\";s:32:\"8aed2f45bc2c66d21b197fe0e25ee268\";s:8:\"filesize\";s:6:\"182803\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:3:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";i:2;s:12:\"New features\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-4.0-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-4.0-beta1\";s:7:\"version\";s:13:\"7.x-4.0-beta1\";s:3:\"tag\";s:13:\"7.x-4.0-beta1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-4.0-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1379945522\";s:6:\"mdhash\";s:32:\"ad8186178f170001d34c20afa0cc794c\";s:8:\"filesize\";s:6:\"178805\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:15:\"7.x-4.0-alpha10\";a:15:{s:4:\"name\";s:23:\"webform 7.x-4.0-alpha10\";s:7:\"version\";s:15:\"7.x-4.0-alpha10\";s:3:\"tag\";s:15:\"7.x-4.0-alpha10\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:7:\"alpha10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha10\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha10.tar.gz\";s:4:\"date\";s:10:\"1376030931\";s:6:\"mdhash\";s:32:\"0dbf55ba01a9fa44eca22a25da43cf88\";s:8:\"filesize\";s:6:\"175015\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha9\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha9\";s:7:\"version\";s:14:\"7.x-4.0-alpha9\";s:3:\"tag\";s:14:\"7.x-4.0-alpha9\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha9\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1373869569\";s:6:\"mdhash\";s:32:\"2119eb8d79bb27e70f34bb5ed8d28d5f\";s:8:\"filesize\";s:6:\"165143\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha8\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha8\";s:7:\"version\";s:14:\"7.x-4.0-alpha8\";s:3:\"tag\";s:14:\"7.x-4.0-alpha8\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha8\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha8.tar.gz\";s:4:\"date\";s:10:\"1371660352\";s:6:\"mdhash\";s:32:\"f137cf2c0835affeb5c9da810507a67c\";s:8:\"filesize\";s:6:\"160206\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha7\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha7\";s:7:\"version\";s:14:\"7.x-4.0-alpha7\";s:3:\"tag\";s:14:\"7.x-4.0-alpha7\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha7\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha7.tar.gz\";s:4:\"date\";s:10:\"1371629090\";s:6:\"mdhash\";s:32:\"1639e10d3bcdccddbeed2947a93fa127\";s:8:\"filesize\";s:6:\"160211\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha6\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha6\";s:7:\"version\";s:14:\"7.x-4.0-alpha6\";s:3:\"tag\";s:14:\"7.x-4.0-alpha6\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha6\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha6.tar.gz\";s:4:\"date\";s:10:\"1347692127\";s:6:\"mdhash\";s:32:\"75227a94b7db0ef7a500af2c2ebb7ab9\";s:8:\"filesize\";s:6:\"155734\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha5\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha5\";s:7:\"version\";s:14:\"7.x-4.0-alpha5\";s:3:\"tag\";s:14:\"7.x-4.0-alpha5\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1347551761\";s:6:\"mdhash\";s:32:\"5d02f0e052f7c49ffba4539b8bb4aef9\";s:8:\"filesize\";s:6:\"152419\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha4\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha4\";s:7:\"version\";s:14:\"7.x-4.0-alpha4\";s:3:\"tag\";s:14:\"7.x-4.0-alpha4\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha4\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha4.tar.gz\";s:4:\"date\";s:10:\"1343527082\";s:6:\"mdhash\";s:32:\"e33d957ef4bc8f00f00d3a60aa21ac6c\";s:8:\"filesize\";s:6:\"152205\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha3\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha3\";s:7:\"version\";s:14:\"7.x-4.0-alpha3\";s:3:\"tag\";s:14:\"7.x-4.0-alpha3\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha3\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha3.tar.gz\";s:4:\"date\";s:10:\"1339117034\";s:6:\"mdhash\";s:32:\"39f02ba0cee0a419a38254075f966c6a\";s:8:\"filesize\";s:6:\"151352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha2\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha2\";s:7:\"version\";s:14:\"7.x-4.0-alpha2\";s:3:\"tag\";s:14:\"7.x-4.0-alpha2\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1338609133\";s:6:\"mdhash\";s:32:\"7fb52e64f354fb6875da48469a0d55af\";s:8:\"filesize\";s:6:\"150956\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:14:\"7.x-4.0-alpha1\";a:15:{s:4:\"name\";s:22:\"webform 7.x-4.0-alpha1\";s:7:\"version\";s:14:\"7.x-4.0-alpha1\";s:3:\"tag\";s:14:\"7.x-4.0-alpha1\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/webform/releases/7.x-4.0-alpha1\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/webform-7.x-4.0-alpha1.tar.gz\";s:4:\"date\";s:10:\"1337451095\";s:6:\"mdhash\";s:32:\"512260ef02e1ce57ef43ec90683c1e78\";s:8:\"filesize\";s:6:\"135199\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.27\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.27\";s:7:\"version\";s:8:\"7.x-3.27\";s:3:\"tag\";s:8:\"7.x-3.27\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"27\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.27\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.27.tar.gz\";s:4:\"date\";s:10:\"1486665483\";s:6:\"mdhash\";s:32:\"17c1e11d7826c9a3554d4b6a93594c9f\";s:8:\"filesize\";s:6:\"139957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:12:\"7.x-3.27-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-3.27-rc1\";s:7:\"version\";s:12:\"7.x-3.27-rc1\";s:3:\"tag\";s:12:\"7.x-3.27-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"27\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-3.27-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-3.27-rc1.tar.gz\";s:4:\"date\";s:10:\"1485444182\";s:6:\"mdhash\";s:32:\"786145dda5a2e5f4520c2197c3ea69b1\";s:8:\"filesize\";s:6:\"139957\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.26\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.26\";s:7:\"version\";s:8:\"7.x-3.26\";s:3:\"tag\";s:8:\"7.x-3.26\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"26\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.26\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.26.tar.gz\";s:4:\"date\";s:10:\"1480529583\";s:6:\"mdhash\";s:32:\"065cedb9c220daccccb22f907bb3d744\";s:8:\"filesize\";s:6:\"139944\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:12:\"7.x-3.26-rc1\";a:15:{s:4:\"name\";s:20:\"webform 7.x-3.26-rc1\";s:7:\"version\";s:12:\"7.x-3.26-rc1\";s:3:\"tag\";s:12:\"7.x-3.26-rc1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"26\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/webform/releases/7.x-3.26-rc1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/webform-7.x-3.26-rc1.tar.gz\";s:4:\"date\";s:10:\"1479312239\";s:6:\"mdhash\";s:32:\"8de44a808ec179c299df85736196b446\";s:8:\"filesize\";s:6:\"137812\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:8:\"7.x-3.25\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.25\";s:7:\"version\";s:8:\"7.x-3.25\";s:3:\"tag\";s:8:\"7.x-3.25\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"25\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.25\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.25.tar.gz\";s:4:\"date\";s:10:\"1476870839\";s:6:\"mdhash\";s:32:\"8b039236e6e7d71ec72e0894205dae5e\";s:8:\"filesize\";s:6:\"137744\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.24\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.24\";s:7:\"version\";s:8:\"7.x-3.24\";s:3:\"tag\";s:8:\"7.x-3.24\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"24\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.24\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.24.tar.gz\";s:4:\"date\";s:10:\"1427956545\";s:6:\"mdhash\";s:32:\"4cc3efd543655c6af4356ff2f88d7ac3\";s:8:\"filesize\";s:6:\"137672\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.23\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.23\";s:7:\"version\";s:8:\"7.x-3.23\";s:3:\"tag\";s:8:\"7.x-3.23\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"23\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.23\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.23.tar.gz\";s:4:\"date\";s:10:\"1426611015\";s:6:\"mdhash\";s:32:\"6a507412ba68d7b371fb13f18c739149\";s:8:\"filesize\";s:6:\"137624\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.22\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.22\";s:7:\"version\";s:8:\"7.x-3.22\";s:3:\"tag\";s:8:\"7.x-3.22\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"22\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.22\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.22.tar.gz\";s:4:\"date\";s:10:\"1425406681\";s:6:\"mdhash\";s:32:\"af8e64222a07a850b5d9d1798a1d1bb2\";s:8:\"filesize\";s:6:\"136634\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.21\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.21\";s:7:\"version\";s:8:\"7.x-3.21\";s:3:\"tag\";s:8:\"7.x-3.21\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"21\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.21\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.21.tar.gz\";s:4:\"date\";s:10:\"1412681928\";s:6:\"mdhash\";s:32:\"0a5579986a6d8698eca05ef4cd4f0ee3\";s:8:\"filesize\";s:6:\"136660\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.20\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.20\";s:7:\"version\";s:8:\"7.x-3.20\";s:3:\"tag\";s:8:\"7.x-3.20\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"20\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.20\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.20.tar.gz\";s:4:\"date\";s:10:\"1392182304\";s:6:\"mdhash\";s:32:\"5011725f4998fbdff66ad31bc539c473\";s:8:\"filesize\";s:6:\"136668\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.19\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.19\";s:7:\"version\";s:8:\"7.x-3.19\";s:3:\"tag\";s:8:\"7.x-3.19\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"19\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.19\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.19.tar.gz\";s:4:\"date\";s:10:\"1369860079\";s:6:\"mdhash\";s:32:\"75a7796e7571b8eb8107f4a0171f2a64\";s:8:\"filesize\";s:6:\"135557\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.18\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.18\";s:7:\"version\";s:8:\"7.x-3.18\";s:3:\"tag\";s:8:\"7.x-3.18\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.18\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.18.tar.gz\";s:4:\"date\";s:10:\"1336890411\";s:6:\"mdhash\";s:32:\"0c831e201bfc065207e0ddfeb8169e68\";s:8:\"filesize\";s:6:\"134663\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.17\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.17\";s:7:\"version\";s:8:\"7.x-3.17\";s:3:\"tag\";s:8:\"7.x-3.17\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.17\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.17.tar.gz\";s:4:\"date\";s:10:\"1331149848\";s:6:\"mdhash\";s:32:\"99164a28431b75a3ee58727698c159ba\";s:8:\"filesize\";s:6:\"132843\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.16\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.16\";s:7:\"version\";s:8:\"7.x-3.16\";s:3:\"tag\";s:8:\"7.x-3.16\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.16\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.16.tar.gz\";s:4:\"date\";s:10:\"1330334150\";s:6:\"mdhash\";s:32:\"c0b428e7931efb4416e7b1057f37e02f\";s:8:\"filesize\";s:6:\"131554\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.15\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.15\";s:7:\"version\";s:8:\"7.x-3.15\";s:3:\"tag\";s:8:\"7.x-3.15\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"15\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.15\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.15.tar.gz\";s:4:\"date\";s:10:\"1323326755\";s:6:\"mdhash\";s:32:\"6631cf2e3cfbab71e8e48dc31c0b5f04\";s:8:\"filesize\";s:6:\"123969\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.13\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.13\";s:7:\"version\";s:8:\"7.x-3.13\";s:3:\"tag\";s:8:\"7.x-3.13\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.13\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.13.tar.gz\";s:4:\"date\";s:10:\"1314806221\";s:6:\"mdhash\";s:32:\"3608e957d4685680c755870b2264d444\";s:8:\"filesize\";s:6:\"121276\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.12\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.12\";s:7:\"version\";s:8:\"7.x-3.12\";s:3:\"tag\";s:8:\"7.x-3.12\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.12\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.12.tar.gz\";s:4:\"date\";s:10:\"1313561826\";s:6:\"mdhash\";s:32:\"9094d0cc5d3d1e746767cd6b03474be8\";s:8:\"filesize\";s:6:\"119057\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.11\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.11\";s:7:\"version\";s:8:\"7.x-3.11\";s:3:\"tag\";s:8:\"7.x-3.11\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"11\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.11\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.11.tar.gz\";s:4:\"date\";s:10:\"1305758218\";s:6:\"mdhash\";s:32:\"ab63b21e78594d9012c688d6f9242c1a\";s:8:\"filesize\";s:6:\"117272\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:8:\"7.x-3.10\";a:14:{s:4:\"name\";s:16:\"webform 7.x-3.10\";s:7:\"version\";s:8:\"7.x-3.10\";s:3:\"tag\";s:8:\"7.x-3.10\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"10\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-3.10\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-3.10.tar.gz\";s:4:\"date\";s:10:\"1305756717\";s:6:\"mdhash\";s:32:\"a463377335ec4ea95512dabd400ac6c6\";s:8:\"filesize\";s:6:\"115439\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.9\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1299399369\";s:6:\"mdhash\";s:32:\"4622ef7902efbbdf2c76ea1a70095350\";s:8:\"filesize\";s:6:\"115250\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.8\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1298677273\";s:6:\"mdhash\";s:32:\"a55a253b21abae132f519943a6dfb1e2\";s:8:\"filesize\";s:6:\"115237\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.7\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.7\";s:7:\"version\";s:7:\"7.x-3.7\";s:3:\"tag\";s:7:\"7.x-3.7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.7\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.7.tar.gz\";s:4:\"date\";s:10:\"1298534230\";s:6:\"mdhash\";s:32:\"0531afc17545bf2df8ff36fd770c9522\";s:8:\"filesize\";s:6:\"332813\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.6\";a:14:{s:4:\"name\";s:15:\"webform 7.x-3.6\";s:7:\"version\";s:7:\"7.x-3.6\";s:3:\"tag\";s:7:\"7.x-3.6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/webform/releases/7.x-3.6\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/webform-7.x-3.6.tar.gz\";s:4:\"date\";s:10:\"1294819898\";s:6:\"mdhash\";s:32:\"5b5d011f368ccc3458acb816bd322368\";s:8:\"filesize\";s:6:\"342890\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:13:\"7.x-3.4-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.4-beta1\";s:7:\"version\";s:13:\"7.x-3.4-beta1\";s:3:\"tag\";s:13:\"7.x-3.4-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"4\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.4-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.4-beta1.tar.gz\";s:4:\"date\";s:10:\"1287598575\";s:6:\"mdhash\";s:32:\"2a39a8641a3da45835309830600c78dd\";s:8:\"filesize\";s:6:\"342322\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.3-beta1\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.3-beta1\";s:7:\"version\";s:13:\"7.x-3.3-beta1\";s:3:\"tag\";s:13:\"7.x-3.3-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"3\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.3-beta1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.3-beta1.tar.gz\";s:4:\"date\";s:10:\"1287390088\";s:6:\"mdhash\";s:32:\"05abb33a143713e3dec72dc9b832b488\";s:8:\"filesize\";s:6:\"342034\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta8\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta8\";s:7:\"version\";s:13:\"7.x-3.0-beta8\";s:3:\"tag\";s:13:\"7.x-3.0-beta8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta8\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta8.tar.gz\";s:4:\"date\";s:10:\"1282828912\";s:6:\"mdhash\";s:32:\"da4804382f6f3ba985982bb4ef0f1821\";s:8:\"filesize\";s:6:\"336720\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta7\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta7\";s:7:\"version\";s:13:\"7.x-3.0-beta7\";s:3:\"tag\";s:13:\"7.x-3.0-beta7\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta7.tar.gz\";s:4:\"date\";s:10:\"1281825694\";s:6:\"mdhash\";s:32:\"e6daf245f2f70b7e101864f3c086235c\";s:8:\"filesize\";s:6:\"336332\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta6\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta6\";s:7:\"version\";s:13:\"7.x-3.0-beta6\";s:3:\"tag\";s:13:\"7.x-3.0-beta6\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta6\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta6.tar.gz\";s:4:\"date\";s:10:\"1277097010\";s:6:\"mdhash\";s:32:\"b2e32326c4d009b9af6efb190f3623cd\";s:8:\"filesize\";s:6:\"336300\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta5\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta5\";s:7:\"version\";s:13:\"7.x-3.0-beta5\";s:3:\"tag\";s:13:\"7.x-3.0-beta5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta5.tar.gz\";s:4:\"date\";s:10:\"1271177414\";s:6:\"mdhash\";s:32:\"8e2e4e4b5c3e7f3b05f5af0454417f8a\";s:8:\"filesize\";s:6:\"334969\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta4\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta4\";s:7:\"version\";s:13:\"7.x-3.0-beta4\";s:3:\"tag\";s:13:\"7.x-3.0-beta4\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta4\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta4.tar.gz\";s:4:\"date\";s:10:\"1270268112\";s:6:\"mdhash\";s:32:\"58886079d44ff03a11e8fc7c79e457e1\";s:8:\"filesize\";s:6:\"333147\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta3\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta3\";s:7:\"version\";s:13:\"7.x-3.0-beta3\";s:3:\"tag\";s:13:\"7.x-3.0-beta3\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta3\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1270265414\";s:6:\"mdhash\";s:32:\"285cce90e04b2bce7fe62f7e08ec152b\";s:8:\"filesize\";s:6:\"333092\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:21:\"webform 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/webform/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/webform-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1268446210\";s:6:\"mdhash\";s:32:\"6152ba9b80f69e4098c5fc14457e1a2e\";s:8:\"filesize\";s:6:\"327887\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-4.x-dev\";a:14:{s:4:\"name\";s:19:\"webform 7.x-4.x-dev\";s:7:\"version\";s:11:\"7.x-4.x-dev\";s:3:\"tag\";s:7:\"7.x-4.x\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-4.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-4.x-dev.tar.gz\";s:4:\"date\";s:10:\"1509137885\";s:6:\"mdhash\";s:32:\"66a100d3aa75669db1131c2c162055ab\";s:8:\"filesize\";s:6:\"248016\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:19:\"webform 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/webform/releases/7.x-3.x-dev\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/webform-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1484233084\";s:6:\"mdhash\";s:32:\"d66aae2c19d435b79adf3ba7d093f435\";s:8:\"filesize\";s:6:\"139954\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}}}',1512705014,1512618606,1),('available_releases::weight','a:11:{s:5:\"title\";s:6:\"Weight\";s:10:\"short_name\";s:6:\"weight\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:17:\"recommended_major\";s:1:\"3\";s:16:\"supported_majors\";s:3:\"2,3\";s:13:\"default_major\";s:1:\"2\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:37:\"https://www.drupal.org/project/weight\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:20:{s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:14:\"weight 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-3.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1449686339\";s:6:\"mdhash\";s:32:\"b150e7a495ca2dfbb49ab06e118f5360\";s:8:\"filesize\";s:5:\"10265\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-3.0\";a:14:{s:4:\"name\";s:14:\"weight 7.x-3.0\";s:7:\"version\";s:7:\"7.x-3.0\";s:3:\"tag\";s:7:\"7.x-3.0\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-3.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-3.0.tar.gz\";s:4:\"date\";s:10:\"1448735340\";s:6:\"mdhash\";s:32:\"24c9442f584f76ce8d9a2a767166fdb2\";s:8:\"filesize\";s:5:\"10295\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:13:\"7.x-3.0-beta2\";a:15:{s:4:\"name\";s:20:\"weight 7.x-3.0-beta2\";s:7:\"version\";s:13:\"7.x-3.0-beta2\";s:3:\"tag\";s:13:\"7.x-3.0-beta2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/weight/releases/7.x-3.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/weight-7.x-3.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1430680381\";s:6:\"mdhash\";s:32:\"14bf34605e1a0347c66586a1a61b5d95\";s:8:\"filesize\";s:5:\"10234\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:13:\"7.x-3.0-beta1\";a:15:{s:4:\"name\";s:20:\"weight 7.x-3.0-beta1\";s:7:\"version\";s:13:\"7.x-3.0-beta1\";s:3:\"tag\";s:13:\"7.x-3.0-beta1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/weight/releases/7.x-3.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/weight-7.x-3.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1417652880\";s:6:\"mdhash\";s:32:\"7487a6199e8945b9bffd7428e534491b\";s:8:\"filesize\";s:5:\"10308\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1430342581\";s:6:\"mdhash\";s:32:\"2a32b05f8bf5c315dcfc28275a3f5fdf\";s:8:\"filesize\";s:5:\"19230\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}s:7:\"7.x-2.4\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.4\";s:7:\"version\";s:7:\"7.x-2.4\";s:3:\"tag\";s:7:\"7.x-2.4\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.4\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.4.tar.gz\";s:4:\"date\";s:10:\"1417653780\";s:6:\"mdhash\";s:32:\"855868e5c131d641e76b9f7594e9f03d\";s:8:\"filesize\";s:5:\"18960\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.3\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1372087551\";s:6:\"mdhash\";s:32:\"ac7eaa4eaf4196f44134770892f5b8d5\";s:8:\"filesize\";s:5:\"18185\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.2\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1360099063\";s:6:\"mdhash\";s:32:\"600f6d34f7708125a13c968bb4340bd2\";s:8:\"filesize\";s:5:\"17463\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1341880989\";s:6:\"mdhash\";s:32:\"434675cfd1a6d2f668e82f8cfb1ce765\";s:8:\"filesize\";s:5:\"16018\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.0\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.0\";s:7:\"version\";s:7:\"7.x-2.0\";s:3:\"tag\";s:7:\"7.x-2.0\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0.tar.gz\";s:4:\"date\";s:10:\"1337468498\";s:6:\"mdhash\";s:32:\"5cd44f52c88191d325f0723809e188ad\";s:8:\"filesize\";s:5:\"15834\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:18:\"weight 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1334713023\";s:6:\"mdhash\";s:32:\"b537c8cb472cf6c8ac607ccfe75632a8\";s:8:\"filesize\";s:5:\"15282\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:11:\"7.x-2.0-rc1\";a:15:{s:4:\"name\";s:18:\"weight 7.x-2.0-rc1\";s:7:\"version\";s:11:\"7.x-2.0-rc1\";s:3:\"tag\";s:11:\"7.x-2.0-rc1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-2.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1333374372\";s:6:\"mdhash\";s:32:\"395a9b6548160160b73733607aaae425\";s:8:\"filesize\";s:5:\"15140\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta3\";a:15:{s:4:\"name\";s:20:\"weight 7.x-2.0-beta3\";s:7:\"version\";s:13:\"7.x-2.0-beta3\";s:3:\"tag\";s:13:\"7.x-2.0-beta3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/weight/releases/7.x-2.0-beta3\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0-beta3.tar.gz\";s:4:\"date\";s:10:\"1330824045\";s:6:\"mdhash\";s:32:\"d15bfc9efd0ed995251938eee5ed0d95\";s:8:\"filesize\";s:5:\"15724\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta2\";a:15:{s:4:\"name\";s:20:\"weight 7.x-2.0-beta2\";s:7:\"version\";s:13:\"7.x-2.0-beta2\";s:3:\"tag\";s:13:\"7.x-2.0-beta2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/weight/releases/7.x-2.0-beta2\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0-beta2.tar.gz\";s:4:\"date\";s:10:\"1328624752\";s:6:\"mdhash\";s:32:\"66af097424cc272d0c2e728997e06ee2\";s:8:\"filesize\";s:5:\"14318\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:13:\"7.x-2.0-beta1\";a:15:{s:4:\"name\";s:20:\"weight 7.x-2.0-beta1\";s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:3:\"tag\";s:13:\"7.x-2.0-beta1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:5:\"beta1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/weight/releases/7.x-2.0-beta1\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/weight-7.x-2.0-beta1.tar.gz\";s:4:\"date\";s:10:\"1327347352\";s:6:\"mdhash\";s:32:\"b47b9e3cf0dfb6205bc545b2808ad583\";s:8:\"filesize\";s:5:\"13676\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:7:\"7.x-1.0\";a:14:{s:4:\"name\";s:14:\"weight 7.x-1.0\";s:7:\"version\";s:7:\"7.x-1.0\";s:3:\"tag\";s:7:\"7.x-1.0\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-1.0\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-1.0.tar.gz\";s:4:\"date\";s:10:\"1316989908\";s:6:\"mdhash\";s:32:\"a671a07ffa8f5222ebf2e324e06a376a\";s:8:\"filesize\";s:5:\"17749\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:11:\"7.x-1.0-rc1\";a:15:{s:4:\"name\";s:18:\"weight 7.x-1.0-rc1\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:3:\"tag\";s:11:\"7.x-1.0-rc1\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-1.0-rc1\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-1.0-rc1.tar.gz\";s:4:\"date\";s:10:\"1315094221\";s:6:\"mdhash\";s:32:\"2378034f88632178cb81e4770016e056\";s:8:\"filesize\";s:5:\"16131\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:58:\"RC releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-3.x-dev\";a:14:{s:4:\"name\";s:18:\"weight 7.x-3.x-dev\";s:7:\"version\";s:11:\"7.x-3.x-dev\";s:3:\"tag\";s:7:\"7.x-3.x\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-3.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-3.x-dev.tar.gz\";s:4:\"date\";s:10:\"1464402543\";s:6:\"mdhash\";s:32:\"8a5d8179bd8c2dbc364cf012d2d5d022\";s:8:\"filesize\";s:5:\"10411\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-2.x-dev\";a:14:{s:4:\"name\";s:18:\"weight 7.x-2.x-dev\";s:7:\"version\";s:11:\"7.x-2.x-dev\";s:3:\"tag\";s:7:\"7.x-2.x\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-2.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-2.x-dev.tar.gz\";s:4:\"date\";s:10:\"1448732940\";s:6:\"mdhash\";s:32:\"d32992947882db60b2d7840b879e78ff\";s:8:\"filesize\";s:5:\"19056\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";s:5:\"terms\";a:0:{}}s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:18:\"weight 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/weight/releases/7.x-1.x-dev\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/weight-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1382756402\";s:6:\"mdhash\";s:32:\"007427488008333730f5d56b1c468b71\";s:8:\"filesize\";s:5:\"18093\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:59:\"Dev releases are not covered by Drupal security advisories.\";}}}',1512705014,1512618606,1),('available_releases::we_content_migration','a:10:{s:5:\"title\";s:24:\"Drupal Content Migration\";s:10:\"short_name\";s:20:\"we_content_migration\";s:4:\"type\";s:14:\"project_module\";s:11:\"api_version\";s:3:\"7.x\";s:16:\"supported_majors\";s:1:\"1\";s:13:\"default_major\";s:1:\"1\";s:14:\"project_status\";s:9:\"published\";s:4:\"link\";s:51:\"https://www.drupal.org/project/we_content_migration\";s:5:\"terms\";s:0:\"\";s:8:\"releases\";a:1:{s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:32:\"we_content_migration 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/we_content_migration/releases/7.x-1.x-dev\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/we_content_migration-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499677742\";s:6:\"mdhash\";s:32:\"5e6c20f89dc504dbc3bdfe48009e62a1\";s:8:\"filesize\";s:5:\"49548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}}',1512705014,1512618606,1),('fetch_failures','a:0:{}',1512618914,1512618606,1),('update_project_data','a:30:{s:10:\"admin_menu\";a:17:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-3.0-rc5\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:19:\"Administration menu\";s:4:\"link\";s:41:\"https://www.drupal.org/project/admin_menu\";s:14:\"latest_version\";s:11:\"7.x-3.0-rc5\";s:8:\"releases\";a:1:{s:11:\"7.x-3.0-rc5\";a:15:{s:4:\"name\";s:22:\"admin_menu 7.x-3.0-rc5\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:3:\"tag\";s:11:\"7.x-3.0-rc5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/admin_menu/releases/7.x-3.0-rc5\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/admin_menu-7.x-3.0-rc5.tar.gz\";s:4:\"date\";s:10:\"1419029280\";s:6:\"mdhash\";s:32:\"4f1a0c14001c880bd7eb170318b91303\";s:8:\"filesize\";s:5:\"53401\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-3.0-rc5\";s:6:\"status\";i:5;}s:6:\"drupal\";a:17:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500438681;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:32:{s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:4:\"7.56\";s:14:\"existing_major\";s:1:\"7\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Drupal core\";s:4:\"link\";s:37:\"https://www.drupal.org/project/drupal\";s:14:\"latest_version\";s:4:\"7.56\";s:8:\"releases\";a:1:{s:4:\"7.56\";a:14:{s:4:\"name\";s:11:\"drupal 7.56\";s:7:\"version\";s:4:\"7.56\";s:3:\"tag\";s:4:\"7.56\";s:13:\"version_major\";s:1:\"7\";s:13:\"version_patch\";s:2:\"56\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:51:\"https://www.drupal.org/project/drupal/releases/7.56\";s:13:\"download_link\";s:56:\"https://ftp.drupal.org/files/projects/drupal-7.56.tar.gz\";s:4:\"date\";s:10:\"1498069782\";s:6:\"mdhash\";s:32:\"5d198f40f0f1cbf9cdf1bf3de842e534\";s:8:\"filesize\";s:7:\"3277833\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:4:\"7.56\";s:6:\"status\";i:5;}s:11:\"block_class\";a:17:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Block Class\";s:4:\"link\";s:42:\"https://www.drupal.org/project/block_class\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:19:\"block_class 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/block_class/releases/7.x-2.3\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/block_class-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1450415939\";s:6:\"mdhash\";s:32:\"286b7673faa2a067a9e96ee748331db9\";s:8:\"filesize\";s:5:\"12696\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:8:\"colorbox\";a:17:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:8:\"7.x-2.13\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1491291489\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1491291489\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-2.13\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Colorbox\";s:4:\"link\";s:39:\"https://www.drupal.org/project/colorbox\";s:14:\"latest_version\";s:8:\"7.x-2.13\";s:8:\"releases\";a:1:{s:8:\"7.x-2.13\";a:14:{s:4:\"name\";s:17:\"colorbox 7.x-2.13\";s:7:\"version\";s:8:\"7.x-2.13\";s:3:\"tag\";s:8:\"7.x-2.13\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:2:\"13\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/colorbox/releases/7.x-2.13\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/colorbox-7.x-2.13.tar.gz\";s:4:\"date\";s:10:\"1491291483\";s:6:\"mdhash\";s:32:\"81942f2858a20cd9b986b4c7c82708e0\";s:8:\"filesize\";s:6:\"163128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-2.13\";s:6:\"status\";i:5;}s:18:\"conditional_styles\";a:17:{s:4:\"name\";s:18:\"conditional_styles\";s:4:\"info\";a:6:{s:4:\"name\";s:23:\"Conditional Stylesheets\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:18:\"conditional_styles\";s:9:\"datestamp\";s:10:\"1373559072\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1373559072\";s:8:\"includes\";a:1:{s:18:\"conditional_styles\";s:23:\"Conditional Stylesheets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.2\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:23:\"Conditional Stylesheets\";s:4:\"link\";s:49:\"https://www.drupal.org/project/conditional_styles\";s:14:\"latest_version\";s:7:\"7.x-2.2\";s:8:\"releases\";a:1:{s:7:\"7.x-2.2\";a:14:{s:4:\"name\";s:26:\"conditional_styles 7.x-2.2\";s:7:\"version\";s:7:\"7.x-2.2\";s:3:\"tag\";s:7:\"7.x-2.2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/conditional_styles/releases/7.x-2.2\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/conditional_styles-7.x-2.2.tar.gz\";s:4:\"date\";s:10:\"1373559072\";s:6:\"mdhash\";s:32:\"c94eb6b1ab0d7dc310fca79cfe994eb8\";s:8:\"filesize\";s:5:\"10150\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.2\";s:6:\"status\";i:5;}s:6:\"ctools\";a:17:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-1.12\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:25:\"Chaos tool suite (ctools)\";s:4:\"link\";s:37:\"https://www.drupal.org/project/ctools\";s:14:\"latest_version\";s:8:\"7.x-1.12\";s:8:\"releases\";a:1:{s:8:\"7.x-1.12\";a:14:{s:4:\"name\";s:15:\"ctools 7.x-1.12\";s:7:\"version\";s:8:\"7.x-1.12\";s:3:\"tag\";s:8:\"7.x-1.12\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:2:\"12\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:55:\"https://www.drupal.org/project/ctools/releases/7.x-1.12\";s:13:\"download_link\";s:60:\"https://ftp.drupal.org/files/projects/ctools-7.x-1.12.tar.gz\";s:4:\"date\";s:10:\"1479787142\";s:6:\"mdhash\";s:32:\"daae0be22830e34c4d952f91557ae5a5\";s:8:\"filesize\";s:6:\"433707\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-1.12\";s:6:\"status\";i:5;}s:18:\"exclude_node_title\";a:17:{s:4:\"name\";s:18:\"exclude_node_title\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Exclude node title\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:18:\"exclude_node_title\";s:9:\"datestamp\";s:10:\"1435338184\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1435338184\";s:8:\"includes\";a:1:{s:18:\"exclude_node_title\";s:18:\"Exclude node title\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.9\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:18:\"Exclude Node Title\";s:4:\"link\";s:49:\"https://www.drupal.org/project/exclude_node_title\";s:14:\"latest_version\";s:7:\"7.x-1.9\";s:8:\"releases\";a:1:{s:7:\"7.x-1.9\";a:14:{s:4:\"name\";s:26:\"exclude_node_title 7.x-1.9\";s:7:\"version\";s:7:\"7.x-1.9\";s:3:\"tag\";s:7:\"7.x-1.9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:66:\"https://www.drupal.org/project/exclude_node_title/releases/7.x-1.9\";s:13:\"download_link\";s:71:\"https://ftp.drupal.org/files/projects/exclude_node_title-7.x-1.9.tar.gz\";s:4:\"date\";s:10:\"1435338180\";s:6:\"mdhash\";s:32:\"341f2a3ff8473cdd37a9e8c689e58524\";s:8:\"filesize\";s:5:\"12171\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.9\";s:6:\"status\";i:5;}s:11:\"field_group\";a:17:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Field Group\";s:4:\"link\";s:42:\"https://www.drupal.org/project/field_group\";s:14:\"latest_version\";s:7:\"7.x-1.6\";s:8:\"releases\";a:1:{s:7:\"7.x-1.6\";a:14:{s:4:\"name\";s:19:\"field_group 7.x-1.6\";s:7:\"version\";s:7:\"7.x-1.6\";s:3:\"tag\";s:7:\"7.x-1.6\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"6\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:59:\"https://www.drupal.org/project/field_group/releases/7.x-1.6\";s:13:\"download_link\";s:64:\"https://ftp.drupal.org/files/projects/field_group-7.x-1.6.tar.gz\";s:4:\"date\";s:10:\"1509751984\";s:6:\"mdhash\";s:32:\"14a100269b1ddfe88c32442c8da53d1d\";s:8:\"filesize\";s:5:\"52556\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.6\";s:6:\"status\";i:4;}s:10:\"flexslider\";a:17:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1487028488\";s:8:\"includes\";a:1:{s:10:\"flexslider\";s:10:\"FlexSlider\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-2.0-rc2\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:11:\"Flex Slider\";s:4:\"link\";s:41:\"https://www.drupal.org/project/flexslider\";s:14:\"latest_version\";s:11:\"7.x-2.0-rc2\";s:8:\"releases\";a:1:{s:11:\"7.x-2.0-rc2\";a:15:{s:4:\"name\";s:22:\"flexslider 7.x-2.0-rc2\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:3:\"tag\";s:11:\"7.x-2.0-rc2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:3:\"rc2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:62:\"https://www.drupal.org/project/flexslider/releases/7.x-2.0-rc2\";s:13:\"download_link\";s:67:\"https://ftp.drupal.org/files/projects/flexslider-7.x-2.0-rc2.tar.gz\";s:4:\"date\";s:10:\"1487028483\";s:6:\"mdhash\";s:32:\"6bbfff91fc66bef36e8ef42323a33a59\";s:8:\"filesize\";s:7:\"3976547\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:11:\"7.x-2.0-rc2\";s:6:\"status\";i:5;}s:16:\"galleryformatter\";a:17:{s:4:\"name\";s:16:\"galleryformatter\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Gallery Formatter\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:16:\"galleryformatter\";s:9:\"datestamp\";s:10:\"1442600640\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1442600640\";s:8:\"includes\";a:1:{s:16:\"galleryformatter\";s:17:\"Gallery Formatter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.4\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:17:\"Gallery formatter\";s:4:\"link\";s:47:\"https://www.drupal.org/project/galleryformatter\";s:14:\"latest_version\";s:7:\"7.x-1.4\";s:8:\"releases\";a:1:{s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:24:\"galleryformatter 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/galleryformatter/releases/7.x-1.4\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/galleryformatter-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1442600639\";s:6:\"mdhash\";s:32:\"3754143cc4f2623b85fe4432514db18b\";s:8:\"filesize\";s:5:\"41653\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:5;}s:13:\"jquery_update\";a:18:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500438675;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.7\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"jQuery Update\";s:4:\"link\";s:44:\"https://www.drupal.org/project/jquery_update\";s:4:\"also\";a:1:{i:3;s:14:\"7.x-3.0-alpha5\";}s:8:\"releases\";a:2:{s:14:\"7.x-3.0-alpha5\";a:15:{s:4:\"name\";s:28:\"jquery_update 7.x-3.0-alpha5\";s:7:\"version\";s:14:\"7.x-3.0-alpha5\";s:3:\"tag\";s:14:\"7.x-3.0-alpha5\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/jquery_update/releases/7.x-3.0-alpha5\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-3.0-alpha5.tar.gz\";s:4:\"date\";s:10:\"1490805183\";s:6:\"mdhash\";s:32:\"48baebd87003519ade8c65dc5598bbe5\";s:8:\"filesize\";s:7:\"1980268\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-2.7\";a:14:{s:4:\"name\";s:21:\"jquery_update 7.x-2.7\";s:7:\"version\";s:7:\"7.x-2.7\";s:3:\"tag\";s:7:\"7.x-2.7\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/jquery_update/releases/7.x-2.7\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/jquery_update-7.x-2.7.tar.gz\";s:4:\"date\";s:10:\"1445379839\";s:6:\"mdhash\";s:32:\"85eaf02362c384979bc475df30ae7a3e\";s:8:\"filesize\";s:7:\"1135987\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:14:\"latest_version\";s:7:\"7.x-2.7\";s:11:\"recommended\";s:7:\"7.x-2.7\";s:6:\"status\";i:5;}s:8:\"juicebox\";a:17:{s:4:\"name\";s:8:\"juicebox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Juicebox\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:8:\"juicebox\";s:9:\"datestamp\";s:10:\"1441853641\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1441853641\";s:8:\"includes\";a:1:{s:8:\"juicebox\";s:8:\"Juicebox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:41:\"Juicebox HTML5 Responsive Image Galleries\";s:4:\"link\";s:39:\"https://www.drupal.org/project/juicebox\";s:14:\"latest_version\";s:7:\"7.x-2.1\";s:8:\"releases\";a:1:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:16:\"juicebox 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/juicebox/releases/7.x-2.1\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/juicebox-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1441853640\";s:6:\"mdhash\";s:32:\"1df0b5115a4826aa0c423c20f26030b4\";s:8:\"filesize\";s:5:\"63070\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.1\";s:6:\"status\";i:5;}s:9:\"libraries\";a:17:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1463077450\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.3\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Libraries API\";s:4:\"link\";s:40:\"https://www.drupal.org/project/libraries\";s:14:\"latest_version\";s:7:\"7.x-2.3\";s:8:\"releases\";a:1:{s:7:\"7.x-2.3\";a:14:{s:4:\"name\";s:17:\"libraries 7.x-2.3\";s:7:\"version\";s:7:\"7.x-2.3\";s:3:\"tag\";s:7:\"7.x-2.3\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/libraries/releases/7.x-2.3\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/libraries-7.x-2.3.tar.gz\";s:4:\"date\";s:10:\"1463077439\";s:6:\"mdhash\";s:32:\"294d3e4096c513321159b908cfd7c2be\";s:8:\"filesize\";s:5:\"41863\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.3\";s:6:\"status\";i:5;}s:4:\"link\";a:17:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1452830642\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.4\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:4:\"Link\";s:4:\"link\";s:35:\"https://www.drupal.org/project/link\";s:14:\"latest_version\";s:13:\"7.x-1.5-beta2\";s:8:\"releases\";a:2:{s:13:\"7.x-1.5-beta2\";a:15:{s:4:\"name\";s:18:\"link 7.x-1.5-beta2\";s:7:\"version\";s:13:\"7.x-1.5-beta2\";s:3:\"tag\";s:13:\"7.x-1.5-beta2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:13:\"version_extra\";s:5:\"beta2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/link/releases/7.x-1.5-beta2\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/link-7.x-1.5-beta2.tar.gz\";s:4:\"date\";s:10:\"1500985442\";s:6:\"mdhash\";s:32:\"7ffe7148234f8c237a4893abd82c8e0e\";s:8:\"filesize\";s:5:\"38156\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:60:\"Beta releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.4\";a:14:{s:4:\"name\";s:12:\"link 7.x-1.4\";s:7:\"version\";s:7:\"7.x-1.4\";s:3:\"tag\";s:7:\"7.x-1.4\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"4\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:52:\"https://www.drupal.org/project/link/releases/7.x-1.4\";s:13:\"download_link\";s:57:\"https://ftp.drupal.org/files/projects/link-7.x-1.4.tar.gz\";s:4:\"date\";s:10:\"1452830639\";s:6:\"mdhash\";s:32:\"10cb0a7bb75aaa6cd709c88fd7f79e9f\";s:8:\"filesize\";s:5:\"36913\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.4\";s:6:\"status\";i:5;}s:13:\"module_filter\";a:17:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1497029349\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Module Filter\";s:4:\"link\";s:44:\"https://www.drupal.org/project/module_filter\";s:14:\"latest_version\";s:7:\"7.x-2.1\";s:8:\"releases\";a:1:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:21:\"module_filter 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/module_filter/releases/7.x-2.1\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/module_filter-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1497029343\";s:6:\"mdhash\";s:32:\"66a4998f63f2cefe77c18713054a42cc\";s:8:\"filesize\";s:5:\"29757\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.1\";s:6:\"status\";i:5;}s:10:\"node_class\";a:17:{s:4:\"name\";s:10:\"node_class\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Node Class\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:10:\"node_class\";s:9:\"datestamp\";s:10:\"1388997876\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1388997876\";s:8:\"includes\";a:1:{s:10:\"node_class\";s:10:\"Node Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Node Class\";s:4:\"link\";s:41:\"https://www.drupal.org/project/node_class\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:18:\"node_class 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:58:\"https://www.drupal.org/project/node_class/releases/7.x-1.3\";s:13:\"download_link\";s:63:\"https://ftp.drupal.org/files/projects/node_class-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1388997805\";s:6:\"mdhash\";s:32:\"76bc0de128d7108d7131c710798c79a8\";s:8:\"filesize\";s:4:\"8698\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:5;}s:8:\"pathauto\";a:17:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1444232655\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.3\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:8:\"Pathauto\";s:4:\"link\";s:39:\"https://www.drupal.org/project/pathauto\";s:14:\"latest_version\";s:7:\"7.x-1.3\";s:8:\"releases\";a:1:{s:7:\"7.x-1.3\";a:14:{s:4:\"name\";s:16:\"pathauto 7.x-1.3\";s:7:\"version\";s:7:\"7.x-1.3\";s:3:\"tag\";s:7:\"7.x-1.3\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"3\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/pathauto/releases/7.x-1.3\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/pathauto-7.x-1.3.tar.gz\";s:4:\"date\";s:10:\"1444232639\";s:6:\"mdhash\";s:32:\"ff984b2837230a221d53fad5462c0b61\";s:8:\"filesize\";s:5:\"42319\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.3\";s:6:\"status\";i:5;}s:9:\"quicktabs\";a:17:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1497619449\";s:8:\"includes\";a:1:{s:9:\"quicktabs\";s:9:\"Quicktabs\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.8\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:10:\"Quick Tabs\";s:4:\"link\";s:40:\"https://www.drupal.org/project/quicktabs\";s:14:\"latest_version\";s:7:\"7.x-3.8\";s:8:\"releases\";a:1:{s:7:\"7.x-3.8\";a:14:{s:4:\"name\";s:17:\"quicktabs 7.x-3.8\";s:7:\"version\";s:7:\"7.x-3.8\";s:3:\"tag\";s:7:\"7.x-3.8\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"8\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:57:\"https://www.drupal.org/project/quicktabs/releases/7.x-3.8\";s:13:\"download_link\";s:62:\"https://ftp.drupal.org/files/projects/quicktabs-7.x-3.8.tar.gz\";s:4:\"date\";s:10:\"1497619442\";s:6:\"mdhash\";s:32:\"63da431afe05b274f0e8a87a8bb2febf\";s:8:\"filesize\";s:5:\"75912\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-3.8\";s:6:\"status\";i:5;}s:13:\"taxonomy_menu\";a:18:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.5\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:13:\"Taxonomy menu\";s:4:\"link\";s:44:\"https://www.drupal.org/project/taxonomy_menu\";s:4:\"also\";a:1:{i:2;s:14:\"7.x-2.0-alpha2\";}s:8:\"releases\";a:2:{s:14:\"7.x-2.0-alpha2\";a:15:{s:4:\"name\";s:28:\"taxonomy_menu 7.x-2.0-alpha2\";s:7:\"version\";s:14:\"7.x-2.0-alpha2\";s:3:\"tag\";s:14:\"7.x-2.0-alpha2\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:68:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-2.0-alpha2\";s:13:\"download_link\";s:73:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-2.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1359084813\";s:6:\"mdhash\";s:32:\"464f8dfd87a4a29958005eab55064b9a\";s:8:\"filesize\";s:5:\"31176\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:12:\"New features\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}s:7:\"7.x-1.5\";a:14:{s:4:\"name\";s:21:\"taxonomy_menu 7.x-1.5\";s:7:\"version\";s:7:\"7.x-1.5\";s:3:\"tag\";s:7:\"7.x-1.5\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:61:\"https://www.drupal.org/project/taxonomy_menu/releases/7.x-1.5\";s:13:\"download_link\";s:66:\"https://ftp.drupal.org/files/projects/taxonomy_menu-7.x-1.5.tar.gz\";s:4:\"date\";s:10:\"1396359246\";s:6:\"mdhash\";s:32:\"f2aa072ca8e5ffad1082db99917e7226\";s:8:\"filesize\";s:5:\"25478\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:14:\"latest_version\";s:7:\"7.x-1.5\";s:11:\"recommended\";s:7:\"7.x-1.5\";s:6:\"status\";i:5;}s:5:\"title\";a:17:{s:4:\"name\";s:5:\"title\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Title\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:7:\"project\";s:5:\"title\";s:9:\"datestamp\";s:10:\"1484302985\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1484302985\";s:8:\"includes\";a:1:{s:5:\"title\";s:5:\"Title\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-1.0-alpha9\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Title\";s:4:\"link\";s:36:\"https://www.drupal.org/project/title\";s:14:\"latest_version\";s:14:\"7.x-1.0-alpha9\";s:8:\"releases\";a:1:{s:14:\"7.x-1.0-alpha9\";a:15:{s:4:\"name\";s:20:\"title 7.x-1.0-alpha9\";s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:3:\"tag\";s:14:\"7.x-1.0-alpha9\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:60:\"https://www.drupal.org/project/title/releases/7.x-1.0-alpha9\";s:13:\"download_link\";s:65:\"https://ftp.drupal.org/files/projects/title-7.x-1.0-alpha9.tar.gz\";s:4:\"date\";s:10:\"1484302983\";s:6:\"mdhash\";s:32:\"dce551145ee2cbc21f59326dd677f148\";s:8:\"filesize\";s:5:\"27311\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:15:\"Security update\";i:1;s:9:\"Bug fixes\";}}s:8:\"security\";s:61:\"Alpha releases are not covered by Drupal security advisories.\";}}s:11:\"recommended\";s:14:\"7.x-1.0-alpha9\";s:6:\"status\";i:5;}s:5:\"token\";a:17:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1485316088\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.7\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Token\";s:4:\"link\";s:36:\"https://www.drupal.org/project/token\";s:14:\"latest_version\";s:7:\"7.x-1.7\";s:8:\"releases\";a:1:{s:7:\"7.x-1.7\";a:14:{s:4:\"name\";s:13:\"token 7.x-1.7\";s:7:\"version\";s:7:\"7.x-1.7\";s:3:\"tag\";s:7:\"7.x-1.7\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"7\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:53:\"https://www.drupal.org/project/token/releases/7.x-1.7\";s:13:\"download_link\";s:58:\"https://ftp.drupal.org/files/projects/token-7.x-1.7.tar.gz\";s:4:\"date\";s:10:\"1485316084\";s:6:\"mdhash\";s:32:\"cf117195d2815e4292e522c04f4055d0\";s:8:\"filesize\";s:5:\"44016\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.7\";s:6:\"status\";i:5;}s:5:\"views\";a:18:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-3.16\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:5:\"Views\";s:4:\"link\";s:36:\"https://www.drupal.org/project/views\";s:14:\"latest_version\";s:8:\"7.x-3.18\";s:8:\"releases\";a:1:{s:8:\"7.x-3.18\";a:14:{s:4:\"name\";s:14:\"views 7.x-3.18\";s:7:\"version\";s:8:\"7.x-3.18\";s:3:\"tag\";s:8:\"7.x-3.18\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"18\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.18\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.18.tar.gz\";s:4:\"date\";s:10:\"1503494944\";s:6:\"mdhash\";s:32:\"937ad4ebd559fd3f57896f4702f6f3c4\";s:8:\"filesize\";s:7:\"1646788\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-3.18\";s:16:\"security updates\";a:1:{i:0;a:14:{s:4:\"name\";s:14:\"views 7.x-3.17\";s:7:\"version\";s:8:\"7.x-3.17\";s:3:\"tag\";s:8:\"7.x-3.17\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:2:\"17\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/views/releases/7.x-3.17\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/views-7.x-3.17.tar.gz\";s:4:\"date\";s:10:\"1502903343\";s:6:\"mdhash\";s:32:\"ff6d025dedb555672ccf01f5e234df4f\";s:8:\"filesize\";s:7:\"1644296\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:15:\"Security update\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:6:\"status\";i:1;}s:15:\"views_bootstrap\";a:17:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.1\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Views Bootstrap\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_bootstrap\";s:14:\"latest_version\";s:7:\"7.x-3.2\";s:8:\"releases\";a:1:{s:7:\"7.x-3.2\";a:14:{s:4:\"name\";s:23:\"views_bootstrap 7.x-3.2\";s:7:\"version\";s:7:\"7.x-3.2\";s:3:\"tag\";s:7:\"7.x-3.2\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_bootstrap/releases/7.x-3.2\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_bootstrap-7.x-3.2.tar.gz\";s:4:\"date\";s:10:\"1505670245\";s:6:\"mdhash\";s:32:\"5ab3bea6be8a4bdbcba464be01951701\";s:8:\"filesize\";s:5:\"17121\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-3.2\";s:6:\"status\";i:4;}s:16:\"views_field_view\";a:17:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1442561052\";s:16:\"_info_file_ctime\";i:1500438677;}s:9:\"datestamp\";s:10:\"1442561052\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-1.2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Views Field View\";s:4:\"link\";s:47:\"https://www.drupal.org/project/views_field_view\";s:14:\"latest_version\";s:7:\"7.x-1.2\";s:8:\"releases\";a:1:{s:7:\"7.x-1.2\";a:14:{s:4:\"name\";s:24:\"views_field_view 7.x-1.2\";s:7:\"version\";s:7:\"7.x-1.2\";s:3:\"tag\";s:7:\"7.x-1.2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:64:\"https://www.drupal.org/project/views_field_view/releases/7.x-1.2\";s:13:\"download_link\";s:69:\"https://ftp.drupal.org/files/projects/views_field_view-7.x-1.2.tar.gz\";s:4:\"date\";s:10:\"1442561051\";s:6:\"mdhash\";s:32:\"770f9dd87dfd671ca694e710ea857037\";s:8:\"filesize\";s:5:\"18128\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-1.2\";s:6:\"status\";i:5;}s:15:\"views_fieldsets\";a:17:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1452361196\";s:16:\"_info_file_ctime\";i:1500438677;}s:9:\"datestamp\";s:10:\"1452361196\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.1\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Views fieldsets\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_fieldsets\";s:14:\"latest_version\";s:7:\"7.x-2.1\";s:8:\"releases\";a:1:{s:7:\"7.x-2.1\";a:14:{s:4:\"name\";s:23:\"views_fieldsets 7.x-2.1\";s:7:\"version\";s:7:\"7.x-2.1\";s:3:\"tag\";s:7:\"7.x-2.1\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_fieldsets/releases/7.x-2.1\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_fieldsets-7.x-2.1.tar.gz\";s:4:\"date\";s:10:\"1452361172\";s:6:\"mdhash\";s:32:\"c5865105b071c412aca65878eed1d8fe\";s:8:\"filesize\";s:5:\"14729\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-2.1\";s:6:\"status\";i:5;}s:16:\"views_datasource\";a:17:{s:4:\"name\";s:16:\"views_datasource\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Views JSON\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:7:\"project\";s:16:\"views_datasource\";s:9:\"datestamp\";s:10:\"1423859528\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1423859528\";s:8:\"includes\";a:1:{s:10:\"views_json\";s:10:\"Views JSON\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:14:\"7.x-1.0-alpha2\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:16:\"Views Datasource\";s:4:\"link\";s:47:\"https://www.drupal.org/project/views_datasource\";s:14:\"latest_version\";s:14:\"7.x-1.0-alpha2\";s:8:\"releases\";a:1:{s:14:\"7.x-1.0-alpha2\";a:15:{s:4:\"name\";s:31:\"views_datasource 7.x-1.0-alpha2\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:3:\"tag\";s:14:\"7.x-1.0-alpha2\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_patch\";s:1:\"0\";s:13:\"version_extra\";s:6:\"alpha2\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:71:\"https://www.drupal.org/project/views_datasource/releases/7.x-1.0-alpha2\";s:13:\"download_link\";s:76:\"https://ftp.drupal.org/files/projects/views_datasource-7.x-1.0-alpha2.tar.gz\";s:4:\"date\";s:10:\"1423859269\";s:6:\"mdhash\";s:32:\"1a4c1df5eacbba31acc38f700b8eb013\";s:8:\"filesize\";s:5:\"41515\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"recommended\";s:14:\"7.x-1.0-alpha2\";s:6:\"status\";i:5;}s:15:\"views_slideshow\";a:17:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:16:\"_info_file_ctime\";i:1500438677;}s:9:\"datestamp\";s:10:\"1496893153\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-3.9\";s:14:\"existing_major\";s:1:\"3\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:15:\"Views Slideshow\";s:4:\"link\";s:46:\"https://www.drupal.org/project/views_slideshow\";s:14:\"latest_version\";s:7:\"7.x-3.9\";s:8:\"releases\";a:1:{s:7:\"7.x-3.9\";a:14:{s:4:\"name\";s:23:\"views_slideshow 7.x-3.9\";s:7:\"version\";s:7:\"7.x-3.9\";s:3:\"tag\";s:7:\"7.x-3.9\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"9\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:63:\"https://www.drupal.org/project/views_slideshow/releases/7.x-3.9\";s:13:\"download_link\";s:68:\"https://ftp.drupal.org/files/projects/views_slideshow-7.x-3.9.tar.gz\";s:4:\"date\";s:10:\"1496893142\";s:6:\"mdhash\";s:32:\"fc1edcb8ee04923d93cdaa36ca848563\";s:8:\"filesize\";s:5:\"42352\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:7:\"7.x-3.9\";s:6:\"status\";i:5;}s:20:\"we_content_migration\";a:19:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499939483;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:11:\"7.x-1.x-dev\";s:14:\"existing_major\";s:1:\"1\";s:12:\"install_type\";s:3:\"dev\";s:5:\"title\";s:24:\"Drupal Content Migration\";s:4:\"link\";s:51:\"https://www.drupal.org/project/we_content_migration\";s:14:\"latest_version\";s:11:\"7.x-1.x-dev\";s:8:\"releases\";a:1:{s:11:\"7.x-1.x-dev\";a:14:{s:4:\"name\";s:32:\"we_content_migration 7.x-1.x-dev\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:3:\"tag\";s:7:\"7.x-1.x\";s:13:\"version_major\";s:1:\"1\";s:13:\"version_extra\";s:3:\"dev\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:72:\"https://www.drupal.org/project/we_content_migration/releases/7.x-1.x-dev\";s:13:\"download_link\";s:77:\"https://ftp.drupal.org/files/projects/we_content_migration-7.x-1.x-dev.tar.gz\";s:4:\"date\";s:10:\"1499677742\";s:6:\"mdhash\";s:32:\"5e6c20f89dc504dbc3bdfe48009e62a1\";s:8:\"filesize\";s:5:\"49548\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:12:\"New features\";}}s:8:\"security\";s:54:\"Project has not opted into security advisory coverage!\";}}s:11:\"dev_version\";s:11:\"7.x-1.x-dev\";s:11:\"recommended\";s:11:\"7.x-1.x-dev\";s:10:\"latest_dev\";s:11:\"7.x-1.x-dev\";s:6:\"status\";i:5;}s:7:\"webform\";a:17:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500438677;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:8:\"7.x-4.15\";s:14:\"existing_major\";s:1:\"4\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:7:\"Webform\";s:4:\"link\";s:38:\"https://www.drupal.org/project/webform\";s:14:\"latest_version\";s:8:\"7.x-4.16\";s:8:\"releases\";a:1:{s:8:\"7.x-4.16\";a:14:{s:4:\"name\";s:16:\"webform 7.x-4.16\";s:7:\"version\";s:8:\"7.x-4.16\";s:3:\"tag\";s:8:\"7.x-4.16\";s:13:\"version_major\";s:1:\"4\";s:13:\"version_patch\";s:2:\"16\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:56:\"https://www.drupal.org/project/webform/releases/7.x-4.16\";s:13:\"download_link\";s:61:\"https://ftp.drupal.org/files/projects/webform-7.x-4.16.tar.gz\";s:4:\"date\";s:10:\"1507320544\";s:6:\"mdhash\";s:32:\"d4d168b87b1ca12fb0d56126ac6aeb66\";s:8:\"filesize\";s:6:\"247838\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:2:{i:0;s:9:\"Bug fixes\";i:1;s:12:\"New features\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}}s:11:\"recommended\";s:8:\"7.x-4.16\";s:6:\"status\";i:4;}s:6:\"weight\";a:18:{s:4:\"name\";s:6:\"weight\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Weight\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:6:\"weight\";s:9:\"datestamp\";s:10:\"1430342647\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438678;}s:9:\"datestamp\";s:10:\"1430342647\";s:8:\"includes\";a:1:{s:6:\"weight\";s:6:\"Weight\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}s:16:\"existing_version\";s:7:\"7.x-2.5\";s:14:\"existing_major\";s:1:\"2\";s:12:\"install_type\";s:8:\"official\";s:5:\"title\";s:6:\"Weight\";s:4:\"link\";s:37:\"https://www.drupal.org/project/weight\";s:4:\"also\";a:1:{i:3;s:7:\"7.x-3.1\";}s:8:\"releases\";a:2:{s:7:\"7.x-3.1\";a:14:{s:4:\"name\";s:14:\"weight 7.x-3.1\";s:7:\"version\";s:7:\"7.x-3.1\";s:3:\"tag\";s:7:\"7.x-3.1\";s:13:\"version_major\";s:1:\"3\";s:13:\"version_patch\";s:1:\"1\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-3.1\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-3.1.tar.gz\";s:4:\"date\";s:10:\"1449686339\";s:6:\"mdhash\";s:32:\"b150e7a495ca2dfbb49ab06e118f5360\";s:8:\"filesize\";s:5:\"10265\";s:5:\"files\";s:0:\"\";s:5:\"terms\";a:1:{s:12:\"Release type\";a:1:{i:0;s:9:\"Bug fixes\";}}s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";}s:7:\"7.x-2.5\";a:14:{s:4:\"name\";s:14:\"weight 7.x-2.5\";s:7:\"version\";s:7:\"7.x-2.5\";s:3:\"tag\";s:7:\"7.x-2.5\";s:13:\"version_major\";s:1:\"2\";s:13:\"version_patch\";s:1:\"5\";s:6:\"status\";s:9:\"published\";s:12:\"release_link\";s:54:\"https://www.drupal.org/project/weight/releases/7.x-2.5\";s:13:\"download_link\";s:59:\"https://ftp.drupal.org/files/projects/weight-7.x-2.5.tar.gz\";s:4:\"date\";s:10:\"1430342581\";s:6:\"mdhash\";s:32:\"2a32b05f8bf5c315dcfc28275a3f5fdf\";s:8:\"filesize\";s:5:\"19230\";s:5:\"files\";s:0:\"\";s:8:\"security\";s:44:\"Covered by Drupal\'s security advisory policy\";s:5:\"terms\";a:0:{}}}s:14:\"latest_version\";s:7:\"7.x-2.5\";s:11:\"recommended\";s:7:\"7.x-2.5\";s:6:\"status\";i:5;}}',1512622206,1512618606,1),('update_project_projects','a:30:{s:10:\"admin_menu\";a:8:{s:4:\"name\";s:10:\"admin_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:32:\"Administration Development tools\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1419029284\";s:8:\"includes\";a:3:{s:11:\"admin_devel\";s:32:\"Administration Development tools\";s:10:\"admin_menu\";s:19:\"Administration menu\";s:18:\"admin_menu_toolbar\";s:33:\"Administration menu Toolbar style\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"drupal\";a:8:{s:4:\"name\";s:6:\"drupal\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Block\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:16:\"_info_file_ctime\";i:1500438681;}s:9:\"datestamp\";s:10:\"1498069849\";s:8:\"includes\";a:32:{s:5:\"block\";s:5:\"Block\";s:4:\"blog\";s:4:\"Blog\";s:5:\"color\";s:5:\"Color\";s:7:\"comment\";s:7:\"Comment\";s:10:\"contextual\";s:16:\"Contextual links\";s:9:\"dashboard\";s:9:\"Dashboard\";s:5:\"dblog\";s:16:\"Database logging\";s:5:\"field\";s:5:\"Field\";s:17:\"field_sql_storage\";s:17:\"Field SQL storage\";s:8:\"field_ui\";s:8:\"Field UI\";s:4:\"file\";s:4:\"File\";s:6:\"filter\";s:6:\"Filter\";s:4:\"help\";s:4:\"Help\";s:5:\"image\";s:5:\"Image\";s:4:\"list\";s:4:\"List\";s:6:\"locale\";s:6:\"Locale\";s:4:\"menu\";s:4:\"Menu\";s:4:\"node\";s:4:\"Node\";s:6:\"number\";s:6:\"Number\";s:7:\"options\";s:7:\"Options\";s:7:\"overlay\";s:7:\"Overlay\";s:4:\"path\";s:4:\"Path\";s:3:\"rdf\";s:3:\"RDF\";s:6:\"search\";s:6:\"Search\";s:8:\"shortcut\";s:8:\"Shortcut\";s:6:\"system\";s:6:\"System\";s:8:\"taxonomy\";s:8:\"Taxonomy\";s:4:\"text\";s:4:\"Text\";s:6:\"update\";s:14:\"Update manager\";s:4:\"user\";s:4:\"User\";s:6:\"bartik\";s:6:\"Bartik\";s:5:\"seven\";s:5:\"Seven\";}s:12:\"project_type\";s:4:\"core\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"block_class\";a:8:{s:4:\"name\";s:11:\"block_class\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Block Class\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1450415951\";s:8:\"includes\";a:1:{s:11:\"block_class\";s:11:\"Block Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"colorbox\";a:8:{s:4:\"name\";s:8:\"colorbox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Colorbox\";s:7:\"version\";s:8:\"7.x-2.13\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1491291489\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1491291489\";s:8:\"includes\";a:1:{s:8:\"colorbox\";s:8:\"Colorbox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:18:\"conditional_styles\";a:8:{s:4:\"name\";s:18:\"conditional_styles\";s:4:\"info\";a:6:{s:4:\"name\";s:23:\"Conditional Stylesheets\";s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:18:\"conditional_styles\";s:9:\"datestamp\";s:10:\"1373559072\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1373559072\";s:8:\"includes\";a:1:{s:18:\"conditional_styles\";s:23:\"Conditional Stylesheets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"ctools\";a:8:{s:4:\"name\";s:6:\"ctools\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Chaos tools\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1479787162\";s:8:\"includes\";a:1:{s:6:\"ctools\";s:11:\"Chaos tools\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:18:\"exclude_node_title\";a:8:{s:4:\"name\";s:18:\"exclude_node_title\";s:4:\"info\";a:6:{s:4:\"name\";s:18:\"Exclude node title\";s:7:\"package\";s:5:\"Other\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:18:\"exclude_node_title\";s:9:\"datestamp\";s:10:\"1435338184\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1435338184\";s:8:\"includes\";a:1:{s:18:\"exclude_node_title\";s:18:\"Exclude node title\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:11:\"field_group\";a:8:{s:4:\"name\";s:11:\"field_group\";s:4:\"info\";a:6:{s:4:\"name\";s:11:\"Field Group\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1452033709\";s:8:\"includes\";a:1:{s:11:\"field_group\";s:11:\"Field Group\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"flexslider\";a:8:{s:4:\"name\";s:10:\"flexslider\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"FlexSlider\";s:7:\"package\";s:10:\"FlexSlider\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1487028488\";s:8:\"includes\";a:1:{s:10:\"flexslider\";s:10:\"FlexSlider\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:16:\"galleryformatter\";a:8:{s:4:\"name\";s:16:\"galleryformatter\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Gallery Formatter\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:16:\"galleryformatter\";s:9:\"datestamp\";s:10:\"1442600640\";s:16:\"_info_file_ctime\";i:1500438674;}s:9:\"datestamp\";s:10:\"1442600640\";s:8:\"includes\";a:1:{s:16:\"galleryformatter\";s:17:\"Gallery Formatter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"jquery_update\";a:8:{s:4:\"name\";s:13:\"jquery_update\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"jQuery Update\";s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:16:\"_info_file_ctime\";i:1500438675;}s:9:\"datestamp\";s:10:\"1445379855\";s:8:\"includes\";a:1:{s:13:\"jquery_update\";s:13:\"jQuery Update\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"juicebox\";a:8:{s:4:\"name\";s:8:\"juicebox\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Juicebox\";s:7:\"package\";s:5:\"Media\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:8:\"juicebox\";s:9:\"datestamp\";s:10:\"1441853641\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1441853641\";s:8:\"includes\";a:1:{s:8:\"juicebox\";s:8:\"Juicebox\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"libraries\";a:8:{s:4:\"name\";s:9:\"libraries\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Libraries\";s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1463077450\";s:8:\"includes\";a:1:{s:9:\"libraries\";s:9:\"Libraries\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:4:\"link\";a:8:{s:4:\"name\";s:4:\"link\";s:4:\"info\";a:6:{s:4:\"name\";s:4:\"Link\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1452830642\";s:8:\"includes\";a:1:{s:4:\"link\";s:4:\"Link\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"module_filter\";a:8:{s:4:\"name\";s:13:\"module_filter\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Module filter\";s:7:\"package\";s:14:\"Administration\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1497029349\";s:8:\"includes\";a:1:{s:13:\"module_filter\";s:13:\"Module filter\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:10:\"node_class\";a:8:{s:4:\"name\";s:10:\"node_class\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Node Class\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:10:\"node_class\";s:9:\"datestamp\";s:10:\"1388997876\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1388997876\";s:8:\"includes\";a:1:{s:10:\"node_class\";s:10:\"Node Class\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:8:\"pathauto\";a:8:{s:4:\"name\";s:8:\"pathauto\";s:4:\"info\";a:6:{s:4:\"name\";s:8:\"Pathauto\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1444232655\";s:8:\"includes\";a:1:{s:8:\"pathauto\";s:8:\"Pathauto\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:9:\"quicktabs\";a:8:{s:4:\"name\";s:9:\"quicktabs\";s:4:\"info\";a:6:{s:4:\"name\";s:9:\"Quicktabs\";s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1497619449\";s:8:\"includes\";a:1:{s:9:\"quicktabs\";s:9:\"Quicktabs\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:13:\"taxonomy_menu\";a:8:{s:4:\"name\";s:13:\"taxonomy_menu\";s:4:\"info\";a:6:{s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1396359247\";s:8:\"includes\";a:1:{s:13:\"taxonomy_menu\";s:13:\"Taxonomy menu\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"title\";a:8:{s:4:\"name\";s:5:\"title\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Title\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:7:\"project\";s:5:\"title\";s:9:\"datestamp\";s:10:\"1484302985\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1484302985\";s:8:\"includes\";a:1:{s:5:\"title\";s:5:\"Title\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"token\";a:8:{s:4:\"name\";s:5:\"token\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Token\";s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1485316088\";s:8:\"includes\";a:1:{s:5:\"token\";s:5:\"Token\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:5:\"views\";a:8:{s:4:\"name\";s:5:\"views\";s:4:\"info\";a:6:{s:4:\"name\";s:5:\"Views\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:16:\"_info_file_ctime\";i:1500438676;}s:9:\"datestamp\";s:10:\"1491158591\";s:8:\"includes\";a:2:{s:5:\"views\";s:5:\"Views\";s:8:\"views_ui\";s:8:\"Views UI\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_bootstrap\";a:8:{s:4:\"name\";s:15:\"views_bootstrap\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1398607429\";s:8:\"includes\";a:1:{s:15:\"views_bootstrap\";s:15:\"Views Bootstrap\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:16:\"views_field_view\";a:8:{s:4:\"name\";s:16:\"views_field_view\";s:4:\"info\";a:6:{s:4:\"name\";s:16:\"Views Field View\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1442561052\";s:16:\"_info_file_ctime\";i:1500438677;}s:9:\"datestamp\";s:10:\"1442561052\";s:8:\"includes\";a:1:{s:16:\"views_field_view\";s:16:\"Views Field View\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_fieldsets\";a:8:{s:4:\"name\";s:15:\"views_fieldsets\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views fieldsets\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1452361196\";s:16:\"_info_file_ctime\";i:1500438677;}s:9:\"datestamp\";s:10:\"1452361196\";s:8:\"includes\";a:1:{s:15:\"views_fieldsets\";s:15:\"Views fieldsets\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:16:\"views_datasource\";a:8:{s:4:\"name\";s:16:\"views_datasource\";s:4:\"info\";a:6:{s:4:\"name\";s:10:\"Views JSON\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:7:\"project\";s:16:\"views_datasource\";s:9:\"datestamp\";s:10:\"1423859528\";s:16:\"_info_file_ctime\";i:1499939305;}s:9:\"datestamp\";s:10:\"1423859528\";s:8:\"includes\";a:1:{s:10:\"views_json\";s:10:\"Views JSON\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:15:\"views_slideshow\";a:8:{s:4:\"name\";s:15:\"views_slideshow\";s:4:\"info\";a:6:{s:4:\"name\";s:15:\"Views Slideshow\";s:7:\"package\";s:5:\"Views\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:16:\"_info_file_ctime\";i:1500438677;}s:9:\"datestamp\";s:10:\"1496893153\";s:8:\"includes\";a:2:{s:15:\"views_slideshow\";s:15:\"Views Slideshow\";s:21:\"views_slideshow_cycle\";s:22:\"Views Slideshow: Cycle\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:20:\"we_content_migration\";a:8:{s:4:\"name\";s:20:\"we_content_migration\";s:4:\"info\";a:6:{s:4:\"name\";s:17:\"Content Migration\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:16:\"_info_file_ctime\";i:1499939483;}s:9:\"datestamp\";s:10:\"1499677744\";s:8:\"includes\";a:1:{s:20:\"we_content_migration\";s:17:\"Content Migration\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:7:\"webform\";a:8:{s:4:\"name\";s:7:\"webform\";s:4:\"info\";a:6:{s:4:\"name\";s:7:\"Webform\";s:7:\"package\";s:7:\"Webform\";s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:16:\"_info_file_ctime\";i:1500438677;}s:9:\"datestamp\";s:10:\"1492107249\";s:8:\"includes\";a:1:{s:7:\"webform\";s:7:\"Webform\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}s:6:\"weight\";a:8:{s:4:\"name\";s:6:\"weight\";s:4:\"info\";a:6:{s:4:\"name\";s:6:\"Weight\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:6:\"weight\";s:9:\"datestamp\";s:10:\"1430342647\";s:7:\"package\";s:5:\"Other\";s:16:\"_info_file_ctime\";i:1500438678;}s:9:\"datestamp\";s:10:\"1430342647\";s:8:\"includes\";a:1:{s:6:\"weight\";s:6:\"Weight\";}s:12:\"project_type\";s:6:\"module\";s:14:\"project_status\";b:1;s:10:\"sub_themes\";a:0:{}s:11:\"base_themes\";a:0:{}}}',1512622206,1512618606,1);
/*!40000 ALTER TABLE `cache_update` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views`
--

DROP TABLE IF EXISTS `cache_views`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Generic cache table for caching things not separated out...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views`
--

LOCK TABLES `cache_views` WRITE;
/*!40000 ALTER TABLE `cache_views` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `cache_views_data`
--

DROP TABLE IF EXISTS `cache_views_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cache_views_data` (
  `cid` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique cache ID.',
  `data` longblob COMMENT 'A collection of data to cache.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry should expire, or 0 for never.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when the cache entry was created.',
  `serialized` smallint(6) NOT NULL DEFAULT '1' COMMENT 'A flag to indicate whether content is serialized (1) or not (0).',
  PRIMARY KEY (`cid`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Cache table for views to store pre-rendered queries,...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cache_views_data`
--

LOCK TABLES `cache_views_data` WRITE;
/*!40000 ALTER TABLE `cache_views_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `cache_views_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `comment`
--

DROP TABLE IF EXISTS `comment`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `comment` (
  `cid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique comment ID.',
  `pid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid to which this comment is a reply. If set to 0, this comment is not a reply to an existing comment.',
  `nid` int(11) NOT NULL DEFAULT '0' COMMENT 'The node.nid to which this comment is a reply.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid who authored the comment. If set to 0, this comment was created by an anonymous user.',
  `subject` varchar(64) NOT NULL DEFAULT '' COMMENT 'The comment title.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The author’s host name.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was created, as a Unix timestamp.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The time that the comment was last edited, as a Unix timestamp.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The published status of a comment. (0 = Not Published, 1 = Published)',
  `thread` varchar(255) NOT NULL COMMENT 'The vancode representation of the comment’s place in a thread.',
  `name` varchar(60) DEFAULT NULL COMMENT 'The comment author’s name. Uses users.name if the user is logged in, otherwise uses the value typed into the comment form.',
  `mail` varchar(64) DEFAULT NULL COMMENT 'The comment author’s e-mail address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `homepage` varchar(255) DEFAULT NULL COMMENT 'The comment author’s home page address from the comment form, if user is anonymous, and the ’Anonymous users may/must leave their contact information’ setting is turned on.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this comment.',
  PRIMARY KEY (`cid`),
  KEY `comment_status_pid` (`pid`,`status`),
  KEY `comment_num_new` (`nid`,`status`,`created`,`cid`,`thread`),
  KEY `comment_uid` (`uid`),
  KEY `comment_nid_language` (`nid`,`language`),
  KEY `comment_created` (`created`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores comments and associated data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `comment`
--

LOCK TABLES `comment` WRITE;
/*!40000 ALTER TABLE `comment` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `comment` VALUES (1,0,32,1,'Sed semper, nulla vitae lacinia imperdiet,','127.0.0.1',1427955841,1427955837,1,'01/','admin','','','und'),(2,0,32,1,'Pellentesque','127.0.0.1',1427955923,1427955920,1,'02/','admin','','','und');
/*!40000 ALTER TABLE `comment` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_css_cache`
--

DROP TABLE IF EXISTS `ctools_css_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_css_cache` (
  `cid` varchar(128) NOT NULL COMMENT 'The CSS ID this cache object belongs to.',
  `filename` varchar(255) DEFAULT NULL COMMENT 'The filename this CSS is stored in.',
  `css` longtext COMMENT 'CSS being stored.',
  `filter` tinyint(4) DEFAULT NULL COMMENT 'Whether or not this CSS needs to be filtered.',
  PRIMARY KEY (`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store CSS that must be non-volatile.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_css_cache`
--

LOCK TABLES `ctools_css_cache` WRITE;
/*!40000 ALTER TABLE `ctools_css_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_css_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `ctools_object_cache`
--

DROP TABLE IF EXISTS `ctools_object_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `ctools_object_cache` (
  `sid` varchar(64) NOT NULL COMMENT 'The session ID this cache object belongs to.',
  `name` varchar(128) NOT NULL COMMENT 'The name of the object this cache is attached to.',
  `obj` varchar(128) NOT NULL COMMENT 'The type of the object this cache is attached to; this essentially represents the owner so that several sub-systems can use this cache.',
  `updated` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The time this cache was created or updated.',
  `data` longblob COMMENT 'Serialized data being stored.',
  PRIMARY KEY (`sid`,`obj`,`name`),
  KEY `updated` (`updated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A special cache used to store objects that are being...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ctools_object_cache`
--

LOCK TABLES `ctools_object_cache` WRITE;
/*!40000 ALTER TABLE `ctools_object_cache` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `ctools_object_cache` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_locale`
--

DROP TABLE IF EXISTS `date_format_locale`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_locale` (
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `language` varchar(12) NOT NULL COMMENT 'A languages.language for this format to be used with.',
  PRIMARY KEY (`type`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats for each locale.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_locale`
--

LOCK TABLES `date_format_locale` WRITE;
/*!40000 ALTER TABLE `date_format_locale` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `date_format_locale` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_format_type`
--

DROP TABLE IF EXISTS `date_format_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_format_type` (
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `title` varchar(255) NOT NULL COMMENT 'The human readable name of the format type.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this is a system provided format.',
  PRIMARY KEY (`type`),
  KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores configured date format types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_format_type`
--

LOCK TABLES `date_format_type` WRITE;
/*!40000 ALTER TABLE `date_format_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_format_type` VALUES ('long','Long',1),('medium','Medium',1),('short','Short',1);
/*!40000 ALTER TABLE `date_format_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `date_formats`
--

DROP TABLE IF EXISTS `date_formats`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `date_formats` (
  `dfid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The date format identifier.',
  `format` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The date format string.',
  `type` varchar(64) NOT NULL COMMENT 'The date format type, e.g. medium.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether or not this format can be modified.',
  PRIMARY KEY (`dfid`),
  UNIQUE KEY `formats` (`format`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8 COMMENT='Stores configured date formats.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `date_formats`
--

LOCK TABLES `date_formats` WRITE;
/*!40000 ALTER TABLE `date_formats` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `date_formats` VALUES (1,'Y-m-d H:i','short',1),(2,'m/d/Y - H:i','short',1),(3,'d/m/Y - H:i','short',1),(4,'Y/m/d - H:i','short',1),(5,'d.m.Y - H:i','short',1),(6,'m/d/Y - g:ia','short',1),(7,'d/m/Y - g:ia','short',1),(8,'Y/m/d - g:ia','short',1),(9,'M j Y - H:i','short',1),(10,'j M Y - H:i','short',1),(11,'Y M j - H:i','short',1),(12,'M j Y - g:ia','short',1),(13,'j M Y - g:ia','short',1),(14,'Y M j - g:ia','short',1),(15,'D, Y-m-d H:i','medium',1),(16,'D, m/d/Y - H:i','medium',1),(17,'D, d/m/Y - H:i','medium',1),(18,'D, Y/m/d - H:i','medium',1),(19,'F j, Y - H:i','medium',1),(20,'j F, Y - H:i','medium',1),(21,'Y, F j - H:i','medium',1),(22,'D, m/d/Y - g:ia','medium',1),(23,'D, d/m/Y - g:ia','medium',1),(24,'D, Y/m/d - g:ia','medium',1),(25,'F j, Y - g:ia','medium',1),(26,'j F Y - g:ia','medium',1),(27,'Y, F j - g:ia','medium',1),(28,'j. F Y - G:i','medium',1),(29,'l, F j, Y - H:i','long',1),(30,'l, j F, Y - H:i','long',1),(31,'l, Y,  F j - H:i','long',1),(32,'l, F j, Y - g:ia','long',1),(33,'l, j F Y - g:ia','long',1),(34,'l, Y,  F j - g:ia','long',1),(35,'l, j. F Y - G:i','long',1);
/*!40000 ALTER TABLE `date_formats` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config`
--

DROP TABLE IF EXISTS `field_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field',
  `field_name` varchar(32) NOT NULL COMMENT 'The name of this field. Non-deleted field names are unique, but multiple deleted fields can have the same name.',
  `type` varchar(128) NOT NULL COMMENT 'The type of this field.',
  `module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the field type.',
  `active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the field type is enabled.',
  `storage_type` varchar(128) NOT NULL COMMENT 'The storage backend for the field.',
  `storage_module` varchar(128) NOT NULL DEFAULT '' COMMENT 'The module that implements the storage backend.',
  `storage_active` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the module that implements the storage backend is enabled.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT '@TODO',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the field properties that do not warrant a dedicated column.',
  `cardinality` tinyint(4) NOT NULL DEFAULT '0',
  `translatable` tinyint(4) NOT NULL DEFAULT '0',
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name` (`field_name`),
  KEY `active` (`active`),
  KEY `storage_active` (`storage_active`),
  KEY `deleted` (`deleted`),
  KEY `module` (`module`),
  KEY `storage_module` (`storage_module`),
  KEY `type` (`type`),
  KEY `storage_type` (`storage_type`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config`
--

LOCK TABLES `field_config` WRITE;
/*!40000 ALTER TABLE `field_config` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config` VALUES (1,'comment_body','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:7:\"comment\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(2,'body','text_with_summary','text',1,'field_sql_storage','field_sql_storage',1,0,'a:6:{s:12:\"entity_types\";a:1:{i:0;s:4:\"node\";}s:12:\"translatable\";b:0;s:8:\"settings\";a:0:{}s:7:\"storage\";a:4:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";i:1;}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}}',1,0,0),(3,'field_tags','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:4:\"tags\";s:6:\"parent\";i:0;}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_tags\";a:1:{s:3:\"tid\";s:14:\"field_tags_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_tags\";a:1:{s:3:\"tid\";s:14:\"field_tags_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:1:\"3\";}',-1,0,0),(4,'field_image','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:22:\"field_data_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:26:\"field_revision_field_image\";a:5:{s:3:\"fid\";s:15:\"field_image_fid\";s:3:\"alt\";s:15:\"field_image_alt\";s:5:\"title\";s:17:\"field_image_title\";s:5:\"width\";s:17:\"field_image_width\";s:6:\"height\";s:18:\"field_image_height\";}}}}}s:12:\"entity_types\";a:0:{}s:12:\"translatable\";s:1:\"0\";s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:2:\"id\";s:1:\"4\";}',-1,0,0),(6,'field_percent','number_decimal','number',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:3:{s:9:\"precision\";s:2:\"10\";s:5:\"scale\";s:1:\"2\";s:17:\"decimal_separator\";s:1:\".\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_percent\";a:1:{s:5:\"value\";s:19:\"field_percent_value\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_percent\";a:1:{s:5:\"value\";s:19:\"field_percent_value\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:1:\"6\";}',1,0,0),(7,'field_bio','text_long','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:0:{}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:20:\"field_data_field_bio\";a:2:{s:5:\"value\";s:15:\"field_bio_value\";s:6:\"format\";s:16:\"field_bio_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:24:\"field_revision_field_bio\";a:2:{s:5:\"value\";s:15:\"field_bio_value\";s:6:\"format\";s:16:\"field_bio_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:1:\"7\";}',1,0,0),(8,'field_name','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:21:\"field_data_field_name\";a:2:{s:5:\"value\";s:16:\"field_name_value\";s:6:\"format\";s:17:\"field_name_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:25:\"field_revision_field_name\";a:2:{s:5:\"value\";s:16:\"field_name_value\";s:6:\"format\";s:17:\"field_name_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:1:\"8\";}',1,0,0),(9,'field_job','text','text',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:10:\"max_length\";s:3:\"255\";}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:20:\"field_data_field_job\";a:2:{s:5:\"value\";s:15:\"field_job_value\";s:6:\"format\";s:16:\"field_job_format\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:24:\"field_revision_field_job\";a:2:{s:5:\"value\";s:15:\"field_job_value\";s:6:\"format\";s:16:\"field_job_format\";}}}}}s:12:\"foreign keys\";a:1:{s:6:\"format\";a:2:{s:5:\"table\";s:13:\"filter_format\";s:7:\"columns\";a:1:{s:6:\"format\";s:6:\"format\";}}}s:7:\"indexes\";a:1:{s:6:\"format\";a:1:{i:0;s:6:\"format\";}}s:2:\"id\";s:1:\"9\";}',1,0,0),(11,'field_slideshow','image','image',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:2:{s:10:\"uri_scheme\";s:6:\"public\";s:13:\"default_image\";i:0;}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:26:\"field_data_field_slideshow\";a:5:{s:3:\"fid\";s:19:\"field_slideshow_fid\";s:3:\"alt\";s:19:\"field_slideshow_alt\";s:5:\"title\";s:21:\"field_slideshow_title\";s:5:\"width\";s:21:\"field_slideshow_width\";s:6:\"height\";s:22:\"field_slideshow_height\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:30:\"field_revision_field_slideshow\";a:5:{s:3:\"fid\";s:19:\"field_slideshow_fid\";s:3:\"alt\";s:19:\"field_slideshow_alt\";s:5:\"title\";s:21:\"field_slideshow_title\";s:5:\"width\";s:21:\"field_slideshow_width\";s:6:\"height\";s:22:\"field_slideshow_height\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"fid\";a:2:{s:5:\"table\";s:12:\"file_managed\";s:7:\"columns\";a:1:{s:3:\"fid\";s:3:\"fid\";}}}s:7:\"indexes\";a:1:{s:3:\"fid\";a:1:{i:0;s:3:\"fid\";}}s:2:\"id\";s:2:\"11\";}',1,0,0),(12,'field_gallery_type','taxonomy_term_reference','taxonomy',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:1:{s:14:\"allowed_values\";a:1:{i:0;a:2:{s:10:\"vocabulary\";s:12:\"gallery_type\";s:6:\"parent\";s:1:\"0\";}}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:29:\"field_data_field_gallery_type\";a:1:{s:3:\"tid\";s:22:\"field_gallery_type_tid\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:33:\"field_revision_field_gallery_type\";a:1:{s:3:\"tid\";s:22:\"field_gallery_type_tid\";}}}}}s:12:\"foreign keys\";a:1:{s:3:\"tid\";a:2:{s:5:\"table\";s:18:\"taxonomy_term_data\";s:7:\"columns\";a:1:{s:3:\"tid\";s:3:\"tid\";}}}s:7:\"indexes\";a:1:{s:3:\"tid\";a:1:{i:0;s:3:\"tid\";}}s:2:\"id\";s:2:\"12\";}',1,0,0),(13,'field_website','link_field','link',1,'field_sql_storage','field_sql_storage',1,0,'a:7:{s:12:\"translatable\";s:1:\"0\";s:12:\"entity_types\";a:0:{}s:8:\"settings\";a:7:{s:10:\"attributes\";a:3:{s:6:\"target\";s:7:\"default\";s:5:\"class\";s:0:\"\";s:3:\"rel\";s:0:\"\";}s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:15:\"title_maxlength\";i:128;s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";i:80;}}s:7:\"storage\";a:5:{s:4:\"type\";s:17:\"field_sql_storage\";s:8:\"settings\";a:0:{}s:6:\"module\";s:17:\"field_sql_storage\";s:6:\"active\";s:1:\"1\";s:7:\"details\";a:1:{s:3:\"sql\";a:2:{s:18:\"FIELD_LOAD_CURRENT\";a:1:{s:24:\"field_data_field_website\";a:3:{s:3:\"url\";s:17:\"field_website_url\";s:5:\"title\";s:19:\"field_website_title\";s:10:\"attributes\";s:24:\"field_website_attributes\";}}s:19:\"FIELD_LOAD_REVISION\";a:1:{s:28:\"field_revision_field_website\";a:3:{s:3:\"url\";s:17:\"field_website_url\";s:5:\"title\";s:19:\"field_website_title\";s:10:\"attributes\";s:24:\"field_website_attributes\";}}}}}s:12:\"foreign keys\";a:0:{}s:7:\"indexes\";a:0:{}s:2:\"id\";s:2:\"13\";}',1,0,0);
/*!40000 ALTER TABLE `field_config` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_config_instance`
--

DROP TABLE IF EXISTS `field_config_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_config_instance` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a field instance',
  `field_id` int(11) NOT NULL COMMENT 'The identifier of the field attached by this instance',
  `field_name` varchar(32) NOT NULL DEFAULT '',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `data` longblob NOT NULL,
  `deleted` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `field_name_bundle` (`field_name`,`entity_type`,`bundle`),
  KEY `deleted` (`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=36 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_config_instance`
--

LOCK TABLES `field_config_instance` WRITE;
/*!40000 ALTER TABLE `field_config_instance` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_config_instance` VALUES (1,1,'comment_body','comment','comment_node_page','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(2,2,'body','node','page','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"-4\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(3,1,'comment_body','comment','comment_node_article','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(4,2,'body','node','article','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";i:-4;s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(5,3,'field_tags','node','article','a:6:{s:5:\"label\";s:4:\"Tags\";s:11:\"description\";s:63:\"Enter a comma-separated list of words to describe your content.\";s:6:\"widget\";a:4:{s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"weight\";i:-4;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}s:6:\"module\";s:8:\"taxonomy\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:5:{s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";i:10;s:5:\"label\";s:5:\"above\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:8:\"required\";b:0;}',0),(6,4,'field_image','node','article','a:6:{s:5:\"label\";s:5:\"Image\";s:11:\"description\";s:40:\"Upload an image to go with this article.\";s:8:\"required\";b:0;s:8:\"settings\";a:9:{s:14:\"file_directory\";s:11:\"field/image\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";b:1;s:11:\"title_field\";s:0:\"\";s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:6:\"widget\";a:4:{s:4:\"type\";s:11:\"image_image\";s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}s:6:\"weight\";i:-1;s:6:\"module\";s:5:\"image\";}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:0:\"\";}s:6:\"weight\";i:-1;s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:7:\"content\";}s:6:\"weight\";i:-1;s:6:\"module\";s:5:\"image\";}}}',0),(7,1,'comment_body','comment','comment_node_webform','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(8,1,'comment_body','comment','comment_node_gallery','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(9,2,'body','node','gallery','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"31\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:0:{}}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(10,4,'field_image','node','gallery','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"33\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:7:\"gallery\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:18:\"juicebox_formatter\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:21:{s:11:\"thumb_style\";s:22:\"galleryformatter_thumb\";s:17:\"jlib_galleryWidth\";s:4:\"100%\";s:18:\"jlib_galleryHeight\";s:4:\"100%\";s:20:\"jlib_backgroundColor\";s:7:\"#222222\";s:14:\"jlib_textColor\";s:19:\"rgba(255,255,255,1)\";s:20:\"jlib_thumbFrameColor\";s:20:\"rgba(255,255,255,.5)\";s:19:\"jlib_showOpenButton\";i:1;s:21:\"jlib_showExpandButton\";i:1;s:21:\"jlib_showThumbsButton\";i:1;s:17:\"jlib_useThumbDots\";i:0;s:24:\"jlib_useFullscreenExpand\";i:0;s:13:\"manual_config\";s:0:\"\";s:21:\"custom_parent_classes\";s:0:\"\";s:19:\"apply_markup_filter\";i:1;s:14:\"linkurl_source\";s:0:\"\";s:14:\"linkurl_target\";s:6:\"_blank\";s:24:\"incompatible_file_action\";s:18:\"show_icon_and_link\";s:16:\"show_debug_links\";i:0;s:11:\"image_style\";s:18:\"juicebox_multisize\";s:14:\"caption_source\";s:0:\"\";s:12:\"title_source\";s:0:\"\";}s:6:\"module\";s:8:\"juicebox\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(11,4,'field_image','node','page','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"32\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:5:\"about\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:22:\"thumbnail_gallery_flow\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(12,1,'comment_body','comment','comment_node_services','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(13,2,'body','node','services','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"31\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(14,4,'field_image','node','services','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"33\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:8:\"services\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:1;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(18,1,'comment_body','comment','comment_node_involes','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(19,2,'body','node','involes','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"31\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(20,6,'field_percent','node','involes','a:7:{s:5:\"label\";s:7:\"Percent\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"32\";s:4:\"type\";s:6:\"number\";s:6:\"module\";s:6:\"number\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:5:{s:3:\"min\";s:1:\"0\";s:3:\"max\";s:3:\"100\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:1:\"%\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\" \";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";i:2;s:13:\"prefix_suffix\";b:1;}s:6:\"module\";s:6:\"number\";s:6:\"weight\";i:1;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(21,7,'field_bio','user','user','a:7:{s:5:\"label\";s:3:\"Bio\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"3\";s:4:\"type\";s:13:\"text_textarea\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"rows\";s:1:\"5\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(22,8,'field_name','user','user','a:7:{s:5:\"label\";s:4:\"Name\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"4\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:1;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(23,9,'field_job','user','user','a:7:{s:5:\"label\";s:3:\"Job\";s:6:\"widget\";a:5:{s:6:\"weight\";s:1:\"5\";s:4:\"type\";s:14:\"text_textfield\";s:6:\"module\";s:4:\"text\";s:6:\"active\";i:1;s:8:\"settings\";a:1:{s:4:\"size\";s:2:\"60\";}}s:8:\"settings\";a:2:{s:15:\"text_processing\";s:1:\"0\";s:18:\"user_register_form\";i:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:2;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(25,1,'comment_body','comment','comment_node_client','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(26,2,'body','node','client','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"31\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:8:\"settings\";a:1:{s:11:\"trim_length\";i:600;}s:6:\"module\";s:4:\"text\";s:6:\"weight\";i:0;}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(27,4,'field_image','node','client','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"33\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:7:\"clients\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:1;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(28,11,'field_slideshow','node','gallery','a:6:{s:5:\"label\";s:9:\"Slideshow\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"34\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:17:\"gallery/slideshow\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(29,12,'field_gallery_type','node','gallery','a:7:{s:5:\"label\";s:12:\"Gallery Type\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"35\";s:4:\"type\";s:14:\"options_select\";s:6:\"module\";s:7:\"options\";s:6:\"active\";i:1;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(30,1,'comment_body','comment','comment_node_blog','a:6:{s:5:\"label\";s:7:\"Comment\";s:8:\"settings\";a:2:{s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:8:\"required\";b:1;s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";i:0;s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}}s:6:\"widget\";a:4:{s:4:\"type\";s:13:\"text_textarea\";s:8:\"settings\";a:1:{s:4:\"rows\";i:5;}s:6:\"weight\";i:0;s:6:\"module\";s:4:\"text\";}s:11:\"description\";s:0:\"\";}',0),(31,2,'body','node','blog','a:6:{s:5:\"label\";s:4:\"Body\";s:6:\"widget\";a:4:{s:4:\"type\";s:26:\"text_textarea_with_summary\";s:8:\"settings\";a:2:{s:4:\"rows\";i:20;s:12:\"summary_rows\";i:5;}s:6:\"weight\";s:2:\"31\";s:6:\"module\";s:4:\"text\";}s:8:\"settings\";a:3:{s:15:\"display_summary\";b:1;s:15:\"text_processing\";i:1;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:12:\"text_default\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"text\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:23:\"text_summary_or_trimmed\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:1:{s:11:\"trim_length\";s:3:\"150\";}s:6:\"module\";s:4:\"text\";}}s:8:\"required\";b:0;s:11:\"description\";s:0:\"\";}',0),(32,4,'field_image','node','blog','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"33\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:4:\"blog\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"1\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";}s:6:\"teaser\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:5:\"image\";s:6:\"weight\";s:1:\"0\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:22:\"thumbnail_gallery_flow\";s:10:\"image_link\";s:7:\"content\";}s:6:\"module\";s:5:\"image\";}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(33,3,'field_tags','node','blog','a:7:{s:5:\"label\";s:4:\"Tags\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"35\";s:4:\"type\";s:21:\"taxonomy_autocomplete\";s:6:\"module\";s:8:\"taxonomy\";s:6:\"active\";i:0;s:8:\"settings\";a:2:{s:4:\"size\";i:60;s:17:\"autocomplete_path\";s:21:\"taxonomy/autocomplete\";}}s:8:\"settings\";a:1:{s:18:\"user_register_form\";b:0;}s:7:\"display\";a:2:{s:7:\"default\";a:5:{s:5:\"label\";s:6:\"hidden\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:6:\"weight\";s:1:\"3\";s:8:\"settings\";a:0:{}s:6:\"module\";s:8:\"taxonomy\";}s:6:\"teaser\";a:4:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:6:\"hidden\";s:6:\"weight\";s:1:\"2\";s:8:\"settings\";a:0:{}}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0),(34,4,'field_image','node','involes','a:6:{s:5:\"label\";s:5:\"Image\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"34\";s:4:\"type\";s:11:\"image_image\";s:6:\"module\";s:5:\"image\";s:6:\"active\";i:1;s:8:\"settings\";a:2:{s:18:\"progress_indicator\";s:8:\"throbber\";s:19:\"preview_image_style\";s:9:\"thumbnail\";}}s:8:\"settings\";a:9:{s:14:\"file_directory\";s:8:\"involves\";s:15:\"file_extensions\";s:16:\"png gif jpg jpeg\";s:12:\"max_filesize\";s:0:\"\";s:14:\"max_resolution\";s:0:\"\";s:14:\"min_resolution\";s:0:\"\";s:9:\"alt_field\";i:0;s:11:\"title_field\";i:0;s:13:\"default_image\";i:0;s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:6:\"module\";s:5:\"image\";s:6:\"weight\";i:2;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";}',0),(35,13,'field_website','node','client','a:7:{s:5:\"label\";s:7:\"Website\";s:6:\"widget\";a:5:{s:6:\"weight\";s:2:\"34\";s:4:\"type\";s:10:\"link_field\";s:6:\"module\";s:4:\"link\";s:6:\"active\";i:0;s:8:\"settings\";a:0:{}}s:8:\"settings\";a:12:{s:12:\"absolute_url\";i:1;s:12:\"validate_url\";i:1;s:3:\"url\";i:0;s:5:\"title\";s:8:\"optional\";s:11:\"title_value\";s:0:\"\";s:27:\"title_label_use_field_label\";i:0;s:15:\"title_maxlength\";s:3:\"128\";s:13:\"enable_tokens\";i:1;s:7:\"display\";a:1:{s:10:\"url_cutoff\";s:2:\"80\";}s:10:\"attributes\";a:6:{s:6:\"target\";s:7:\"default\";s:3:\"rel\";s:0:\"\";s:18:\"configurable_class\";i:0;s:5:\"class\";s:0:\"\";s:18:\"configurable_title\";i:0;s:5:\"title\";s:0:\"\";}s:10:\"rel_remove\";s:7:\"default\";s:18:\"user_register_form\";b:0;}s:7:\"display\";a:1:{s:7:\"default\";a:5:{s:5:\"label\";s:5:\"above\";s:4:\"type\";s:12:\"link_default\";s:8:\"settings\";a:0:{}s:6:\"module\";s:4:\"link\";s:6:\"weight\";i:2;}}s:8:\"required\";i:0;s:11:\"description\";s:0:\"\";s:13:\"default_value\";N;}',0);
/*!40000 ALTER TABLE `field_config_instance` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_body`
--

DROP TABLE IF EXISTS `field_data_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_body`
--

LOCK TABLES `field_data_body` WRITE;
/*!40000 ALTER TABLE `field_data_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_body` VALUES ('node','gallery',0,1,1,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque orci lectus, feugiat vel laoreet quis, posuere nec odio. Aenean justo enim, posuere eu accumsan vel, luctus vel nunc. Fusce vel nulla augue. Quisque efficitur nisi ut est faucibus varius. Donec tempus nunc ac tortor sodales posuere. Pellentesque purus enim, venenatis eget urna a, ultricies condimentum sapien. Fusce vehicula velit est, ac blandit leo rhoncus nec. Vivamus dolor dolor, bibendum quis ligula nec, viverra dapibus tellus. Praesent sit amet accumsan massa. Nam feugiat egestas mauris, nec pulvinar ex pharetra at. Aenean sit amet fringilla metus. Pellentesque fermentum dolor non risus placerat scelerisque.','','filtered_html'),('node','gallery',0,2,2,'und',0,'Duis ultrices ac neque sed vestibulum. Integer ultrices tortor eu feugiat sollicitudin. Proin luctus venenatis purus, placerat convallis erat malesuada id. Aenean nec ultricies dui. Curabitur ac ipsum a quam sodales luctus in a arcu. Nulla venenatis, mi ac eleifend accumsan, lacus nulla fringilla turpis, in interdum velit est quis enim. Donec eu tempus justo. Donec facilisis metus a augue scelerisque elementum. Aliquam rutrum erat euismod efficitur aliquet. Ut feugiat arcu urna, rutrum porttitor ex sagittis at.','','filtered_html'),('node','gallery',0,3,3,'und',0,'Donec tincidunt diam a pharetra aliquet. Fusce vel sagittis augue. Maecenas at diam varius, cursus libero id, accumsan libero. Vestibulum lacinia pretium velit, a elementum mauris consequat in. Suspendisse placerat velit at risus feugiat, at posuere ex hendrerit. Nullam in tortor erat. Aliquam erat volutpat. Suspendisse sed fringilla orci.','','filtered_html'),('node','gallery',0,4,4,'und',0,'Nullam sed hendrerit eros. Nunc rhoncus purus diam, non commodo quam condimentum non. Ut facilisis arcu ac nulla facilisis, in molestie ligula dignissim. In sodales enim lorem, elementum pharetra quam aliquet eu. Etiam eget libero ipsum. Nullam molestie sagittis est. Sed vulputate sem quis mauris dignissim pharetra. Sed pulvinar hendrerit orci, at vestibulum nunc hendrerit ut. Nulla facilisi. Morbi cursus aliquam placerat. Nullam urna lorem, dictum eget quam et, fermentum efficitur quam. Vestibulum egestas, leo a consectetur sagittis, magna eros interdum diam, sed varius diam dui sit amet justo. Praesent porttitor luctus massa quis eleifend. Nulla egestas arcu quis ante hendrerit pretium. Praesent semper, tellus vel commodo auctor, leo mi lacinia purus, quis placerat nunc felis vitae sem. Nunc ultrices pulvinar risus, sit amet imperdiet nisi eleifend vel.','','filtered_html'),('node','page',0,5,5,'und',0,'We are a independent digital design studio based in London. As a digital photography agency, our job is to take your ideas and make them greater. To create digital platforms and solutions that are greater than anything you’ve ever used. To make easy ideas easier.\r\n\r\nNemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt .','','full_html'),('node','services',0,6,6,'und',0,'Praesent non ligula a urna imperdiet ultrices. Sed tempor commodo malesuada. Morbi est tellus, aliquet ut scelerisque vel, sagittis nec augue. Nullam semper dui maximus purus feugiat dignissim. Vivamus in pharetra velit. Maecenas imperdiet imperdiet est, non vulputate nisi porttitor sit amet. Etiam blandit ex a diam finibus pulvinar. Nulla malesuada semper venenatis. Duis malesuada rhoncus lorem in tincidunt. Fusce fringilla mi sed neque aliquet pretium.','','filtered_html'),('node','services',0,7,7,'und',0,'Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi bibendum est turpis, at volutpat nulla venenatis at. Suspendisse vel pulvinar ex. Suspendisse potenti. Cras varius lorem non felis maximus convallis. Nunc feugiat vestibulum auctor. Duis at metus vitae odio dapibus pulvinar. Aliquam iaculis ligula metus, at rhoncus felis iaculis in. Donec in neque ac nisl ultricies ultrices.','','filtered_html'),('node','services',0,8,8,'und',0,'Sed lacinia dolor vitae aliquam vulputate. Nunc cursus diam sit amet metus porttitor, eu blandit metus volutpat. Maecenas ac venenatis dui. Suspendisse vitae libero eget risus convallis dictum a congue lectus. Suspendisse potenti. Fusce vehicula, metus id tempus sodales, augue est fringilla arcu, a cursus ante urna eu velit.','','filtered_html'),('node','services',0,9,9,'und',0,'Morbi fermentum fermentum tortor ac viverra. Donec ullamcorper egestas leo, sit amet eleifend mauris efficitur vitae. Sed ut ante volutpat, aliquet nisi et, dapibus nibh. Etiam non eros faucibus, consectetur eros consectetur, varius sem. Aenean a ultrices lorem. Suspendisse non elementum augue. Sed sollicitudin dignissim libero, nec elementum ligula semper sit amet. Nullam non tortor vel nunc posuere blandit eu sed libero. Sed pharetra lacus at arcu convallis faucibus. Vestibulum laoreet, purus quis posuere suscipit, massa libero aliquam metus, ut pellentesque sapien nisl sit amet lectus.','','filtered_html'),('node','involes',0,10,10,'und',0,'Duis imperdiet urna ipsum, nec tempus eros fringilla varius. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Curabitur pellentesque lacinia tristique. Nunc consectetur elit nec tempor malesuada. Nunc lobortis, tellus vitae lobortis eleifend, ligula est elementum ipsum, sit amet hendrerit est nisi eu ipsum. Nunc sodales at risus in tincidunt. Quisque commodo justo sit amet neque ullamcorper semper. Duis aliquet tempus turpis, a egestas nibh hendrerit in.','','filtered_html'),('node','involes',0,11,11,'und',0,'In quis eros ac velit aliquam eleifend placerat at eros. Suspendisse et odio vel ante gravida iaculis ut sed diam. Pellentesque porta, ante vitae efficitur venenatis, enim eros placerat urna, eget congue ligula dui sed lacus. Duis quis ultrices risus, ut tempus massa. Vestibulum sit amet elementum lectus. Sed suscipit ultricies purus, id convallis neque. Vestibulum placerat tincidunt cursus. Praesent hendrerit metus elementum leo sagittis ornare.','','filtered_html'),('node','involes',0,12,12,'und',0,'Pellentesque sagittis aliquet odio sed rhoncus. Nulla facilisi. Etiam mattis purus nisi, sollicitudin mattis metus convallis sit amet. Fusce eget nulla est. Nulla iaculis tellus sit amet nunc maximus aliquet. Nam consectetur commodo libero vitae facilisis. Cras condimentum ac est faucibus blandit.','','filtered_html'),('node','involes',0,13,13,'und',0,'Sed dui lectus, pulvinar vel libero ac, mattis pellentesque sapien. Phasellus tempus ullamcorper eros vitae dictum. Nulla augue enim, facilisis vitae fringilla eu, eleifend ut nunc. Proin viverra auctor lorem vitae convallis. Nunc ac blandit est, a bibendum eros. Sed a pellentesque ligula. Sed urna mi, tempus et diam a, gravida tempus dolor. Aenean pretium quis elit sed iaculis.','','filtered_html'),('node','involes',0,14,14,'und',0,'Fusce luctus finibus est. Mauris vitae metus vel enim ullamcorper blandit. Aliquam iaculis neque semper, pellentesque justo eu, congue quam. Nulla gravida sem eu malesuada consectetur. In consequat eros quis ligula volutpat, porttitor porta est vulputate. Fusce maximus, eros pharetra placerat imperdiet, lorem justo aliquam lectus','','filtered_html'),('node','involes',0,15,15,'und',0,'id malesuada est odio nec justo. Aliquam egestas sapien non rhoncus dapibus. Nulla pretium tellus id augue pretium gravida vel eu elit. Duis ac molestie tortor, in interdum eros. Cras aliquet sem quis congue scelerisque. Integer ultricies blandit neque sit amet fringilla. In hac habitasse platea dictumst. Nullam finibus nisl et mauris hendrerit viverra. Aliquam felis diam, fringilla sit amet consequat ut, consectetur non diam.','','filtered_html'),('node','client',0,16,16,'und',0,'Vivamus viverra est velit, a commodo purus laoreet a. Integer mattis mauris eu elit dapibus viverra. Mauris molestie semper nisi, non suscipit risus commodo eget. Sed cursus metus vel gravida laoreet. Praesent molestie faucibus elit a congue. Fusce rhoncus rhoncus lacus, ac condimentum urna aliquet nec. Nunc quam libero, lobortis ultricies diam nec, sagittis condimentum tellus. Vestibulum consectetur ante arcu, et auctor sem imperdiet nec. Donec diam tellus, tincidunt id nibh nec, tincidunt dignissim ipsum.','','filtered_html'),('node','client',0,17,17,'und',0,'Quisque tempor est ante, quis aliquet tellus euismod at. Duis faucibus posuere orci, sit amet dignissim eros congue eu. Praesent nec hendrerit enim. Sed in velit dui. Cras non nulla eros. Nullam rutrum quam sed nisi ullamcorper, vitae luctus dui efficitur. Aliquam erat volutpat. Nunc ultricies nulla eget felis dignissim, et dapibus ante laoreet. Nam finibus sapien sed eleifend porttitor. Integer sagittis lorem ac tellus semper facilisis. Cras eget mauris sodales, suscipit sem vel, euismod velit. Proin fringilla sodales enim vel commodo. Pellentesque consequat nisl et ex fringilla, vel feugiat augue pulvinar. Suspendisse euismod nibh ut magna ultricies, sit amet consequat tellus finibus.','','filtered_html'),('node','client',0,18,18,'und',0,'Duis rutrum augue eu orci tincidunt sagittis. Vivamus at lorem non purus laoreet iaculis ut at diam. Donec at velit quis ex pulvinar hendrerit. Aliquam tempor lacus at pretium luctus. Vivamus vehicula ullamcorper porttitor. Nullam elementum dignissim nisi, id rhoncus metus. Morbi eu scelerisque justo. Maecenas ac ullamcorper ipsum. Integer cursus dignissim magna pellentesque rhoncus. Donec ornare cursus magna. Sed sagittis consequat dui eget tincidunt. Mauris molestie neque dolor, in vestibulum ex aliquet sit amet. Aliquam volutpat risus sed faucibus rhoncus. Nam lacinia egestas nulla, id interdum nulla sagittis at. Sed sit amet risus rutrum sapien porta sollicitudin eu ultricies eros. Praesent auctor nibh in tempor luctus.','','filtered_html'),('node','client',0,19,19,'und',0,'Quisque eget malesuada arcu, eu rhoncus enim. Fusce dignissim est mauris. Morbi diam ipsum, suscipit in vehicula id, tempus id magna. Suspendisse ut volutpat libero, in porta dolor. Aenean euismod a quam eu posuere. Sed vulputate euismod sem, id varius mi interdum ac. Aliquam bibendum posuere velit, ac finibus dui. Duis nibh leo, pulvinar id turpis nec, efficitur dignissim dui. Nam in feugiat odio. Phasellus et iaculis metus. Vivamus ac augue non purus eleifend hendrerit.','','filtered_html'),('node','client',0,20,20,'und',0,'Phasellus facilisis massa elit, sit amet vehicula tortor dignissim sed. Mauris condimentum dapibus nisl, vel feugiat purus accumsan sit amet. Suspendisse sed justo sit amet sem semper gravida. Mauris egestas finibus elit, vel feugiat metus consectetur sit amet. Nullam non quam in massa faucibus congue a a leo. Aenean sit amet neque nisl. Vivamus nec elit nulla. Fusce euismod nibh hendrerit mauris gravida egestas. Quisque felis urna, varius at diam ac, imperdiet vulputate tellus. Donec non erat sit amet ipsum interdum tincidunt non a sem. In nibh leo, semper vitae facilisis quis, sodales in elit.','','filtered_html'),('node','client',0,21,21,'und',0,'Pellentesque scelerisque sapien et augue dictum fermentum. Praesent tincidunt lorem vel quam euismod, id hendrerit ligula malesuada. Fusce euismod porta ex nec porttitor. Nullam nibh ex, pharetra non sem id, tristique lacinia mi. Vivamus placerat ligula est, sit amet fringilla lorem tempor mollis. Vestibulum ligula mi, ultrices non dolor a, tincidunt auctor velit.','','filtered_html'),('node','client',0,22,22,'und',0,'Nulla sed tortor sem. Donec malesuada vulputate pulvinar. Sed iaculis augue risus, porttitor tincidunt libero placerat ut. Ut posuere, neque ac ultrices finibus, ex lorem mattis enim, et mollis eros enim eu arcu. Nam sit amet venenatis felis. Donec sapien justo, auctor in interdum vitae, vehicula porta massa. Donec eget tellus eu neque tristique ullamcorper. In molestie lacus quis fringilla scelerisque. Nunc non placerat turpis. Ut laoreet facilisis mi et luctus.','','filtered_html'),('node','client',0,23,23,'und',0,'Phasellus et ultrices mi. Etiam pulvinar diam a suscipit convallis. Mauris vel eleifend metus. Nam sed felis et ipsum dignissim cursus vel a nisl. Donec sit amet urna vel dui egestas facilisis. Proin sed nisl vel diam laoreet laoreet in sed odio. Nulla a accumsan nibh.','','filtered_html'),('node','client',0,24,24,'und',0,'Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Proin magna nisl, blandit vel scelerisque quis, semper in nunc. Pellentesque rhoncus sapien eget massa dictum volutpat. In sodales, tellus et tincidunt eleifend, erat tellus ultrices dolor, vitae commodo tellus lectus nec dolor. Praesent vel scelerisque tortor.','','filtered_html'),('node','client',0,25,25,'und',0,'Quisque sed turpis semper, viverra ex non, efficitur tellus. Curabitur condimentum elit id enim dignissim, et semper nisl facilisis. Nulla vestibulum molestie vestibulum. Mauris eu erat gravida, hendrerit libero ac, feugiat orci. Nullam nec luctus arcu. Maecenas pellentesque, lacus quis porttitor consectetur, purus odio ultrices magna, ac blandit eros orci eget metus. Suspendisse at lacus ut purus hendrerit fringilla molestie vel lectus. Curabitur eu tristique metus. Nullam urna leo, faucibus consequat risus a, tincidunt lobortis nunc. Etiam porta dignissim tellus, eu ornare odio.','','filtered_html'),('node','client',0,26,26,'und',0,'Vivamus auctor ultricies luctus. Nam velit lorem, posuere in lorem commodo, lacinia ullamcorper ante. Nullam rhoncus neque quis dolor ornare, vel lacinia velit rhoncus. Pellentesque non ligula consectetur, euismod dui at, euismod erat. Mauris lobortis lobortis interdum. Cras vitae laoreet tellus, et posuere turpis. Integer quis ante eget erat maximus convallis. Vestibulum sit amet pharetra quam, a ultricies ex. Morbi rutrum risus tincidunt nulla tincidunt, nec fermentum massa scelerisque.','','filtered_html'),('node','client',0,27,27,'und',0,'Quisque semper auctor enim, non semper magna congue sed. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi sit amet elementum justo. Suspendisse ac velit mattis, blandit urna sagittis, volutpat magna.','','filtered_html'),('node','blog',0,29,29,'und',0,'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed et bibendum augue. Duis placerat nisl nec dui cursus pellentesque. Phasellus pellentesque sagittis libero sit amet lobortis. Cras eget molestie lectus, vel accumsan eros. Vestibulum consequat mauris diam, non sollicitudin nibh hendrerit vel. Duis at sodales neque. Morbi ut bibendum augue. Pellentesque ultrices orci eu arcu eleifend efficitur. Sed sed pretium augue. Curabitur ut scelerisque ante. Integer efficitur consectetur odio non consectetur. Sed faucibus lectus ac eleifend condimentum. Vivamus consectetur suscipit cursus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin magna leo, fringilla eu scelerisque ac, placerat in purus.','','filtered_html'),('node','blog',0,30,30,'und',0,'Donec quis enim et ipsum tincidunt tincidunt eu eu est. Pellentesque dictum neque sit amet mi ullamcorper hendrerit. Sed id commodo massa. Suspendisse ullamcorper felis neque, vitae condimentum ante accumsan auctor. Quisque vel lorem ut metus posuere vulputate. Suspendisse id aliquam magna. Vestibulum faucibus ornare est, et euismod sapien molestie eget. Donec feugiat tellus eu pellentesque varius. Donec porta sem lorem, et fermentum dui suscipit in. Etiam sed dui vel nunc lobortis congue vitae vitae lectus. Mauris placerat semper viverra. Integer at ultricies lectus.','','filtered_html'),('node','blog',0,31,31,'und',0,'Vestibulum vitae gravida ligula. Pellentesque bibendum ante iaculis, porta velit non, porttitor urna. Fusce eget placerat augue, a lobortis metus. Cras urna tortor, dapibus mattis blandit sed, suscipit et risus. Curabitur consequat urna nibh, quis convallis nisl ultrices vitae. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed at est maximus, tempus metus at, cursus enim. Duis congue lectus ac posuere consequat. Duis tempor, nisi id pharetra imperdiet, metus ipsum tristique elit, eu ultrices metus velit in orci. Morbi vitae aliquet lorem, ac malesuada est. Morbi eu enim hendrerit, volutpat ante sit amet, scelerisque quam. Ut in laoreet ante. Etiam sed ex metus. Vestibulum rhoncus metus at metus convallis viverra.','','filtered_html'),('node','blog',0,32,32,'und',0,'Sed semper, nulla vitae lacinia imperdiet, enim diam varius nisi, at laoreet mi dui non enim. Maecenas blandit nibh non feugiat tristique. Donec at sem justo. Nam sed arcu vitae dolor pharetra ultricies vitae quis arcu. Pellentesque ac nulla ut massa tempor dapibus eu sit amet neque. Vestibulum viverra arcu id libero imperdiet dictum in vel purus. Maecenas tempus est sed sollicitudin vehicula. Suspendisse velit sem, venenatis non erat et, varius hendrerit leo. Quisque quis sapien vel sapien suscipit consectetur. Praesent malesuada suscipit tortor pretium tempus. Nulla ut pharetra turpis. Suspendisse gravida, arcu ac elementum sollicitudin, nisl quam tempor sem, sit amet aliquet lectus nulla id dolor. Duis vel cursus ex. Pellentesque feugiat ante quis augue ullamcorper consectetur. Fusce non sapien quis ipsum euismod dignissim et vel arcu. Vestibulum nec sollicitudin lacus.','','filtered_html'),('node','gallery',0,34,34,'und',0,'Sed semper, nulla vitae lacinia imperdiet, enim diam varius nisi, at laoreet mi dui non enim. Maecenas blandit nibh non feugiat tristique. Donec at sem justo. Nam sed arcu vitae dolor pharetra ultricies vitae quis arcu. Pellentesque ac nulla ut massa tempor dapibus eu sit amet neque. Vestibulum viverra arcu id libero imperdiet dictum in vel purus. Maecenas tempus est sed sollicitudin vehicula. Suspendisse velit sem, venenatis non erat et, varius hendrerit leo. Quisque quis sapien vel sapien suscipit consectetur. Praesent malesuada suscipit tortor pretium tempus. Nulla ut pharetra turpis. Suspendisse gravida, arcu ac elementum sollicitudin, nisl quam tempor sem, sit amet aliquet lectus nulla id dolor. Duis vel cursus ex. Pellentesque feugiat ante quis augue ullamcorper consectetur. Fusce non sapien quis ipsum euismod dignissim et vel arcu. Vestibulum nec sollicitudin lacus.','','filtered_html'),('node','gallery',0,35,35,'und',0,'Etiam aliquam ex ligula, quis iaculis augue congue vitae. Cras pretium ac odio commodo mollis. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Vivamus mattis eleifend libero, vitae ullamcorper est volutpat iaculis. Maecenas aliquam placerat magna vel tempor. Proin iaculis eget risus in condimentum. Etiam nec purus vel orci eleifend sodales sed id nisi. Sed dolor dui, eleifend a metus non, volutpat interdum quam. Fusce a justo eros. Curabitur laoreet orci sed vestibulum porta. Integer vel nulla quam. Donec id vestibulum elit, eget vehicula felis. Nulla non dui mauris.','','filtered_html'),('node','gallery',0,36,36,'und',0,'Proin scelerisque elit felis, non luctus nunc eleifend non. Vivamus sagittis neque diam, pellentesque malesuada nisi ullamcorper in. Sed enim turpis, dapibus nec urna blandit, ullamcorper ultricies eros. Morbi gravida congue laoreet. Aliquam erat volutpat. Pellentesque sodales, tellus non sagittis pretium, dolor ligula dictum felis, eu mollis ligula tortor vel ligula. Proin malesuada nunc mauris, ut lacinia nulla bibendum ut. Vivamus hendrerit mattis ante a maximus. Donec eleifend elementum est eget sollicitudin. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.','','filtered_html'),('node','gallery',0,37,37,'und',0,'Etiam posuere urna sed sodales sodales. In sit amet posuere sapien, sit amet pretium purus. Quisque suscipit lectus ut libero dictum euismod. Fusce laoreet mollis venenatis. Phasellus nisl nibh, pellentesque aliquam erat sed, efficitur iaculis nisi. Nulla et libero vel nisl aliquet placerat a sed nulla. Nunc velit arcu, iaculis nec dapibus non, elementum in justo. Aliquam viverra velit orci, sit amet pulvinar tellus imperdiet ut. Ut sit amet sollicitudin urna. Vestibulum est nulla, efficitur ut risus non, viverra luctus tortor. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nullam vel lectus sed sapien iaculis dictum nec in ligula. Curabitur tincidunt leo diam, ullamcorper lobortis erat efficitur ac.','','filtered_html'),('node','gallery',0,38,38,'und',0,'Donec aliquet eu tortor a pharetra. In eget pulvinar dolor. Fusce urna dui, semper ut dictum tempor, scelerisque hendrerit mi. In volutpat neque non viverra porttitor. Praesent sed elit et diam auctor venenatis nec rhoncus turpis. Sed sit amet orci fermentum lacus venenatis convallis at non mauris. Morbi et sodales lacus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque tempus erat id tellus mattis ultrices. Duis bibendum vel mauris sit amet mattis.','','filtered_html'),('node','gallery',0,39,39,'und',0,'Aliquam vulputate quis eros eu efficitur. Proin vehicula eget ante a bibendum. Nam et diam in turpis pretium consequat in nec purus. Fusce venenatis et sapien at fermentum. Sed gravida porttitor felis, hendrerit vulputate sapien vehicula non. Pellentesque faucibus, ante vel vestibulum porta, diam odio fringilla magna, semper facilisis enim purus a mi. Aliquam dictum tortor leo, nec consectetur sapien condimentum vel. Suspendisse eget luctus arcu. Nam et arcu felis. Quisque ac lobortis sem. Cras aliquam ipsum lectus, sit amet ultricies quam sagittis at.','','filtered_html'),('node','gallery',0,40,40,'und',0,'Aenean gravida, libero ullamcorper bibendum cursus, sapien justo interdum augue, at egestas justo turpis sed nisi. Vestibulum sagittis tincidunt quam, id commodo magna rutrum id. Mauris neque orci, tempor a mi at, porttitor dictum leo. Nullam gravida tristique arcu, sit amet commodo erat ullamcorper eget. Fusce ac mauris ut neque porta sodales sed vel odio. Integer id elit vitae nunc pharetra tempor rutrum in arcu. Morbi ipsum metus, porta porttitor porttitor commodo, convallis at sapien. Fusce efficitur consequat eros et accumsan. Sed vitae nulla vel diam semper eleifend sit amet ac libero. Suspendisse id euismod augue.','','filtered_html'),('node','gallery',0,41,41,'und',0,'Vestibulum cursus luctus dui, vitae accumsan enim interdum non. Sed molestie urna elit, quis tempor mauris porta sit amet. Quisque viverra lacinia arcu sed consectetur. Integer vel turpis tempus, blandit mauris ac, feugiat magna. Nullam dictum iaculis lectus luctus gravida. Donec at vestibulum nunc. Maecenas facilisis posuere mauris, id porta arcu pulvinar eu.','','filtered_html'),('node','gallery',0,42,42,'und',0,'Aenean vel augue dolor. Morbi rhoncus accumsan nulla, sit amet suscipit neque. Phasellus auctor diam et erat venenatis molestie. Vestibulum convallis libero quis orci placerat faucibus. Aliquam sodales tempus elementum. Nullam faucibus dignissim turpis tempus efficitur. Suspendisse potenti. Pellentesque sagittis, tellus ut blandit faucibus, est massa sollicitudin odio, et convallis lorem turpis nec sem.','','filtered_html'),('node','gallery',0,43,43,'und',0,'Duis vitae ipsum quis purus fringilla feugiat. Nulla a metus imperdiet, ultrices mauris a, fermentum purus. Quisque consectetur odio vel nibh sagittis, sit amet feugiat dui volutpat. Vestibulum lacus augue, congue et risus a, aliquet pulvinar sapien. In vel nulla ut odio dapibus vehicula nec et ante. Fusce commodo commodo est id condimentum. Vestibulum finibus tempor elit in pellentesque. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed euismod iaculis nisi dapibus interdum. Sed eget sapien dui.','','filtered_html'),('node','gallery',0,44,44,'und',0,'Praesent vel semper est. Fusce eget lacus elementum, lacinia mauris vitae, interdum nibh. Sed congue lorem est, sit amet viverra ipsum pharetra id. Aenean eu arcu facilisis, pretium sem vitae, luctus erat. Ut imperdiet semper enim, sit amet posuere odio molestie scelerisque. Nunc diam risus, rhoncus eu egestas sit amet, maximus a libero. Quisque interdum feugiat eros, sed ultricies mauris laoreet vitae. Donec et metus non nisl ornare porta interdum quis nisl. Maecenas a metus eu quam condimentum varius sit amet nec quam.','','filtered_html'),('node','gallery',0,45,45,'und',0,'Ut volutpat massa ac tincidunt sollicitudin. Fusce porttitor leo a massa lacinia pharetra. Mauris in commodo tellus, id tincidunt tellus. Aenean at sodales ligula. Mauris vitae interdum neque. Aliquam nec imperdiet quam. Integer risus lectus, convallis porttitor felis quis, tincidunt bibendum nisl. Nulla imperdiet mollis dolor tincidunt euismod.','','filtered_html'),('node','gallery',0,46,46,'und',0,'Vivamus quis eros sit amet turpis tincidunt faucibus. Donec gravida ante non sem gravida tempus. Mauris at metus ex. Ut ut lorem id augue porta aliquet. Donec nisi nisi, aliquet sit amet nisl nec, tempus sollicitudin elit. Cras semper, velit a vehicula facilisis, ipsum sem consequat ipsum, nec facilisis velit nulla sed metus. Praesent at pulvinar orci. Integer sit amet arcu a enim dictum scelerisque quis quis leo. Praesent arcu nisl, commodo eu eros id, sodales auctor mi. In pulvinar nunc posuere, pharetra leo a, viverra mauris. Aliquam scelerisque sem ut enim pulvinar, a imperdiet est congue. Pellentesque congue nibh sit amet porta ornare. Integer tempus, felis quis tristique efficitur, nulla tortor sollicitudin nulla, in imperdiet est risus pharetra dolor. Ut id nibh at purus finibus laoreet. Quisque commodo elementum mi, non pharetra tortor convallis eget. Donec tincidunt tortor magna, a mollis mi condimentum accumsan.','','filtered_html'),('node','gallery',0,47,47,'und',0,'Pellentesque id dignissim massa, eget mattis nisi. In egestas a metus in dictum. Vestibulum eu venenatis mi, fringilla lobortis odio. Etiam vel ultricies diam, at consectetur quam. Mauris viverra ipsum lacus. Etiam rutrum mauris non metus maximus, eget condimentum tellus feugiat. Sed eu rhoncus purus. Phasellus a lectus risus.','','filtered_html'),('node','gallery',0,48,48,'und',0,'Nam nec aliquet turpis. Phasellus ultricies velit quis auctor rhoncus. Duis mi eros, tincidunt ac consectetur quis, convallis imperdiet ante. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Integer pellentesque, erat et malesuada convallis, nibh metus efficitur leo, sit amet pulvinar leo urna nec nunc. Cras consectetur nisl pellentesque velit euismod venenatis. Donec tincidunt feugiat aliquam. Aenean orci ante, fringilla at ornare in, bibendum ac lorem. Vivamus sed lorem quam. Vivamus non vulputate sapien. Integer a ligula vel tellus vehicula ornare.','','filtered_html'),('node','page',0,49,49,'und',0,'Sorry! We couldn\'t find your page. Please try another page.','','filtered_html'),('node','gallery',0,50,50,'und',0,' Etiam id risus quis ipsum condimentum consequat vulputate eu tellus. Aliquam erat volutpat. Curabitur cursus eget libero sit amet aliquam. Integer congue justo in auctor porttitor. Cras a est ac eros commodo pharetra. Suspendisse sagittis a lacus non fermentum. Suspendisse consectetur nulla et metus facilisis auctor. Curabitur sem orci, semper nec lorem vitae, malesuada viverra erat. Quisque pharetra sodales justo non posuere.\r\n\r\nIn quis diam ac orci sollicitudin iaculis. Integer eu vulputate diam. Interdum et malesuada fames ac ante ipsum primis in faucibus. Donec bibendum leo in nibh facilisis, blandit rutrum erat iaculis. Cras vestibulum cursus diam id lacinia. Proin hendrerit, diam vel gravida malesuada, tellus lectus euismod metus, eget convallis tortor ipsum a neque. Vestibulum feugiat et lorem sed porttitor. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque vel hendrerit arcu. Vivamus bibendum in mi facilisis feugiat. Vivamus egestas nunc at ligula tincidunt, nec interdum elit consequat. Nunc fringilla nibh eget facilisis maximus. Mauris mattis eros quis dolor porta, ac aliquet mauris sollicitudin. Interdum et malesuada fames ac ante ipsum primis in faucibus. ','','filtered_html'),('node','gallery',0,51,51,'und',0,' Duis congue vitae neque non consectetur. Mauris quam massa, dapibus ac nisl at, ultrices consequat tellus. Praesent magna turpis, tempor eget euismod non, pulvinar dignissim ex. Maecenas facilisis arcu vitae dui lacinia lobortis. Donec at neque ut leo pellentesque aliquam. Suspendisse imperdiet metus in malesuada dapibus. Sed condimentum a magna ut lacinia. Donec varius condimentum sollicitudin.\r\n\r\nAliquam elit dui, pulvinar nec efficitur in, posuere eu arcu. Cras pulvinar ultrices ipsum, nec interdum augue hendrerit et. Maecenas arcu ligula, ultrices non purus et, convallis pellentesque dolor. Aliquam volutpat a magna id hendrerit. In imperdiet orci in urna ullamcorper, ut euismod enim ultricies. Nam commodo nec orci sed iaculis. Cras rutrum interdum hendrerit.\r\n\r\nNam id eros in elit molestie pretium non vitae massa. Suspendisse faucibus eleifend lorem, sed malesuada justo volutpat et. Maecenas vitae ultricies sapien. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam quis orci odio. Aliquam at ex lorem. Vestibulum venenatis sapien orci, et facilisis turpis ultricies vitae. Curabitur placerat nisi odio. Praesent efficitur sapien at quam facilisis condimentum et vitae lectus. Mauris neque velit, scelerisque non ultricies eget, luctus non metus. Proin hendrerit sodales ultrices. Mauris suscipit mollis pretium. Pellentesque faucibus varius odio, eu efficitur enim interdum at. Sed sollicitudin auctor dignissim. Duis eu tortor velit. Maecenas rutrum finibus suscipit. ','','filtered_html'),('node','gallery',0,52,52,'und',0,' Donec semper ante ut orci convallis semper. Suspendisse non lectus id ex auctor volutpat non at nibh. Donec rutrum in sapien ut ullamcorper. Interdum et malesuada fames ac ante ipsum primis in faucibus. Donec vitae sagittis justo. Sed ut elementum dolor. Etiam felis ipsum, tristique et velit pretium, sollicitudin sagittis ex. Donec in elit vitae ligula ultricies placerat vel sed massa. Nam nec rutrum dui, a tristique nulla.\r\n\r\nPhasellus placerat venenatis dui, viverra pretium augue commodo quis. Pellentesque tempus auctor laoreet. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec dignissim massa purus, rutrum eleifend augue tristique ut. Donec fringilla suscipit commodo. Duis rutrum congue volutpat. Fusce vel pharetra est.\r\n\r\nPellentesque posuere eleifend mi eu tempor. Praesent vestibulum dui eu orci ultrices dictum. Fusce dictum ex accumsan eros vestibulum porta. Praesent consectetur vel arcu eu tempor. In vehicula justo est, venenatis posuere tortor volutpat ut. Quisque semper ultricies felis ut feugiat. Etiam sem turpis, elementum vel elementum vitae, ultricies eu quam.\r\n\r\nProin finibus, lacus ut luctus congue, est nisl ornare elit, id fermentum massa justo sit amet ex. Pellentesque quis leo sollicitudin, pharetra augue quis, dapibus diam. Vivamus tempor purus eu dolor sollicitudin aliquet. Nunc non euismod nulla, quis ullamcorper tellus. Praesent orci diam, facilisis nec odio ac, pretium fermentum nunc. Nullam faucibus elit sed egestas lacinia. Pellentesque orci tortor, efficitur id libero eget, pretium egestas est. Curabitur quis porttitor quam. ','','filtered_html'),('node','gallery',0,53,53,'und',0,' Mauris odio erat, posuere quis lectus sit amet, ullamcorper porttitor sem. Praesent sapien urna, dictum sit amet bibendum non, interdum sit amet nulla. Maecenas bibendum pretium imperdiet. Phasellus vitae ligula feugiat, condimentum erat iaculis, eleifend risus. Praesent placerat, dolor at suscipit efficitur, mi risus tincidunt velit, vitae vestibulum lectus risus a massa. Quisque ultricies augue et turpis consectetur tempus. Cras rhoncus sapien turpis, vel fringilla urna facilisis ac. Vivamus vitae placerat neque. Ut enim libero, convallis eget eros at, porttitor tincidunt ex.\r\n\r\nDuis lobortis ipsum id urna ornare, vitae pharetra tortor pulvinar. Pellentesque eleifend, odio non congue sollicitudin, ex nisl porttitor lectus, at aliquet mauris enim vel felis. Duis vulputate odio a fermentum efficitur. Sed eu tellus vel sapien pulvinar facilisis. Duis quis pharetra enim, non rutrum sem. Fusce non felis tempus, fermentum risus eu, porttitor tellus. Quisque interdum convallis tellus in ornare. In ligula eros, gravida sed blandit nec, auctor non arcu. Nam dignissim sit amet nibh vel malesuada. Fusce quis elit ut tellus fringilla dictum sed nec magna. Interdum et malesuada fames ac ante ipsum primis in faucibus. Mauris quis lacus sapien. ','','filtered_html');
/*!40000 ALTER TABLE `field_data_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_comment_body`
--

DROP TABLE IF EXISTS `field_data_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_comment_body`
--

LOCK TABLES `field_data_comment_body` WRITE;
/*!40000 ALTER TABLE `field_data_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_comment_body` VALUES ('comment','comment_node_blog',0,1,1,'und',0,'Pellentesque ac nulla ut massa tempor dapibus eu sit amet neque. Vestibulum viverra arcu id libero imperdiet dictum in vel purus. Maecenas tempus est sed sollicitudin vehicula.','filtered_html'),('comment','comment_node_blog',0,2,2,'und',0,'Maecenas tempus est sed sollicitudin ','filtered_html');
/*!40000 ALTER TABLE `field_data_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_bio`
--

DROP TABLE IF EXISTS `field_data_field_bio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_bio` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_bio_value` longtext,
  `field_bio_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_bio_format` (`field_bio_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 7 (field_bio)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_bio`
--

LOCK TABLES `field_data_field_bio` WRITE;
/*!40000 ALTER TABLE `field_data_field_bio` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_bio` VALUES ('user','user',0,3,3,'und',0,'Aenean vel posuere sem. Etiam condimentum ante quis aliquet rutrum. Nullam in nisi mi. Curabitur ut eros elementum, rhoncus sapien quis, gravida felis. Phasellus venenatis nisl eu lacinia elementum. Ut ut nunc gravida, egestas augue ut, commodo erat. Vivamus interdum orci nunc, sed sodales mi sollicitudin id. Pellentesque vestibulum purus aliquet enim lobortis luctus. Donec finibus finibus sodales. Vestibulum accumsan vestibulum mi, at fringilla purus feugiat nec. Quisque condimentum turpis urna. Maecenas sed felis elit.',NULL),('user','user',0,4,4,'und',0,'Sed neque felis, efficitur quis ex et, placerat gravida tellus. Aliquam tincidunt congue justo bibendum consectetur. Fusce in lectus augue. Pellentesque efficitur viverra velit, eget viverra lectus rutrum sed. Nunc orci elit, lacinia et dignissim eu, consectetur a tortor. Pellentesque et nibh ipsum. Phasellus pulvinar leo vel commodo pharetra. Sed a neque vel odio posuere elementum. Cras fringilla molestie posuere. Duis ante augue, tincidunt accumsan neque sed, convallis condimentum eros. Integer et eros justo. Sed interdum, ex at aliquet mollis, ligula ligula tempor eros, quis porta ipsum augue eget risus.',NULL);
/*!40000 ALTER TABLE `field_data_field_bio` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_gallery_type`
--

DROP TABLE IF EXISTS `field_data_field_gallery_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_gallery_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gallery_type_tid` (`field_gallery_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 12 (field_gallery_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_gallery_type`
--

LOCK TABLES `field_data_field_gallery_type` WRITE;
/*!40000 ALTER TABLE `field_data_field_gallery_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_gallery_type` VALUES ('node','gallery',0,1,1,'und',0,3),('node','gallery',0,2,2,'und',0,1),('node','gallery',0,3,3,'und',0,3),('node','gallery',0,4,4,'und',0,2),('node','gallery',0,34,34,'und',0,2),('node','gallery',0,35,35,'und',0,4),('node','gallery',0,36,36,'und',0,4),('node','gallery',0,37,37,'und',0,3),('node','gallery',0,38,38,'und',0,3),('node','gallery',0,39,39,'und',0,3),('node','gallery',0,40,40,'und',0,1),('node','gallery',0,41,41,'und',0,1),('node','gallery',0,42,42,'und',0,2),('node','gallery',0,43,43,'und',0,4),('node','gallery',0,44,44,'und',0,4),('node','gallery',0,45,45,'und',0,4),('node','gallery',0,46,46,'und',0,4),('node','gallery',0,47,47,'und',0,4),('node','gallery',0,48,48,'und',0,4),('node','gallery',0,50,50,'und',0,9),('node','gallery',0,51,51,'und',0,9),('node','gallery',0,52,52,'und',0,9),('node','gallery',0,53,53,'und',0,9);
/*!40000 ALTER TABLE `field_data_field_gallery_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_image`
--

DROP TABLE IF EXISTS `field_data_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_image`
--

LOCK TABLES `field_data_field_image` WRITE;
/*!40000 ALTER TABLE `field_data_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_image` VALUES ('node','gallery',0,1,1,'und',0,1,'','',1440,900),('node','gallery',0,2,2,'und',0,2,'','',1440,900),('node','gallery',0,3,3,'und',0,3,'','',1440,900),('node','gallery',0,4,4,'und',0,4,'','',1440,900),('node','page',0,5,5,'und',0,5,'','',1145,797),('node','services',0,6,6,'und',0,6,'','',1500,1000),('node','services',0,7,7,'und',0,7,'','',1200,793),('node','services',0,8,8,'und',0,8,'','',1500,1000),('node','services',0,9,9,'und',0,9,'','',1500,1119),('node','involes',0,10,10,'und',0,76,'','',34,26),('node','involes',0,11,11,'und',0,77,'','',34,26),('node','involes',0,12,12,'und',0,78,'','',26,26),('node','involes',0,13,13,'und',0,79,'','',18,26),('node','involes',0,14,14,'und',0,80,'','',27,26),('node','involes',0,15,15,'und',0,81,'','',34,26),('node','client',0,16,16,'und',0,69,'','',170,170),('node','client',0,17,17,'und',0,14,'','',170,170),('node','client',0,18,18,'und',0,15,'','',170,170),('node','client',0,19,19,'und',0,16,'','',170,170),('node','client',0,20,20,'und',0,17,'','',170,170),('node','client',0,21,21,'und',0,18,'','',170,170),('node','client',0,22,22,'und',0,19,'','',170,170),('node','client',0,23,23,'und',0,20,'','',170,170),('node','client',0,24,24,'und',0,21,'','',170,170),('node','client',0,25,25,'und',0,22,'','',170,170),('node','client',0,26,26,'und',0,23,'','',170,170),('node','client',0,27,27,'und',0,24,'','',170,170),('node','blog',0,29,29,'und',0,40,'','',1500,1119),('node','blog',0,30,30,'und',0,41,'','',1200,800),('node','blog',0,31,31,'und',0,42,'','',1200,800),('node','blog',0,32,32,'und',0,43,'','',1200,800),('node','gallery',0,34,34,'und',0,45,'','',1200,800),('node','gallery',0,34,34,'und',1,46,'','',1200,798),('node','gallery',0,34,34,'und',2,47,'','',1500,996),('node','gallery',0,35,35,'und',0,48,'','',1920,1200),('node','gallery',0,36,36,'und',0,49,'','',1920,1080),('node','gallery',0,37,37,'und',0,50,'','',1200,1639),('node','gallery',0,38,38,'und',0,51,'','',1200,800),('node','gallery',0,39,39,'und',0,52,'','',1200,900),('node','gallery',0,40,40,'und',0,53,'','',1200,800),('node','gallery',0,41,41,'und',0,54,'','',1200,800),('node','gallery',0,41,41,'und',1,83,'','',1920,1080),('node','gallery',0,41,41,'und',2,84,'','',1200,878),('node','gallery',0,42,42,'und',0,55,'','',1200,800),('node','gallery',0,43,43,'und',0,56,'','',1257,1107),('node','gallery',0,44,44,'und',0,57,'','',1820,1703),('node','gallery',0,45,45,'und',0,58,'','',1500,1126),('node','gallery',0,46,46,'und',0,59,'','',2400,1800),('node','gallery',0,47,47,'und',0,60,'','',2000,2000),('node','gallery',0,48,48,'und',0,82,'','',1500,1573),('node','gallery',0,48,48,'und',1,64,'','',1820,1703),('node','gallery',0,48,48,'und',2,65,'','',2400,1800),('node','gallery',0,50,50,'und',0,85,'','',1200,800),('node','gallery',0,51,51,'und',0,86,'','',1200,795),('node','gallery',0,52,52,'und',0,87,'','',1200,883),('node','gallery',0,53,53,'und',0,88,'','',1200,900);
/*!40000 ALTER TABLE `field_data_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_job`
--

DROP TABLE IF EXISTS `field_data_field_job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_job` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_job_value` varchar(255) DEFAULT NULL,
  `field_job_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_job_format` (`field_job_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 9 (field_job)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_job`
--

LOCK TABLES `field_data_field_job` WRITE;
/*!40000 ALTER TABLE `field_data_field_job` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_job` VALUES ('user','user',0,3,3,'und',0,'Designer',NULL),('user','user',0,4,4,'und',0,'Project manager',NULL);
/*!40000 ALTER TABLE `field_data_field_job` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_name`
--

DROP TABLE IF EXISTS `field_data_field_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_name` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_name_value` varchar(255) DEFAULT NULL,
  `field_name_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_name_format` (`field_name_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 8 (field_name)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_name`
--

LOCK TABLES `field_data_field_name` WRITE;
/*!40000 ALTER TABLE `field_data_field_name` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_name` VALUES ('user','user',0,3,3,'und',0,'John smith',NULL),('user','user',0,4,4,'und',0,'Maria',NULL);
/*!40000 ALTER TABLE `field_data_field_name` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_percent`
--

DROP TABLE IF EXISTS `field_data_field_percent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_percent` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_percent_value` decimal(10,2) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 6 (field_percent)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_percent`
--

LOCK TABLES `field_data_field_percent` WRITE;
/*!40000 ALTER TABLE `field_data_field_percent` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_percent` VALUES ('node','involes',0,10,10,'und',0,30.00),('node','involes',0,11,11,'und',0,75.00),('node','involes',0,12,12,'und',0,60.00),('node','involes',0,13,13,'und',0,55.00),('node','involes',0,14,14,'und',0,90.00),('node','involes',0,15,15,'und',0,65.00);
/*!40000 ALTER TABLE `field_data_field_percent` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_slideshow`
--

DROP TABLE IF EXISTS `field_data_field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_slideshow` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_slideshow_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slideshow_fid` (`field_slideshow_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 11 (field_slideshow)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_slideshow`
--

LOCK TABLES `field_data_field_slideshow` WRITE;
/*!40000 ALTER TABLE `field_data_field_slideshow` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_slideshow` VALUES ('node','gallery',0,1,1,'und',0,37,'','',1440,900),('node','gallery',0,2,2,'und',0,38,'','',1440,900),('node','gallery',0,3,3,'und',0,39,'','',1145,797),('node','gallery',0,4,4,'und',0,36,'','',1440,900);
/*!40000 ALTER TABLE `field_data_field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_tags`
--

DROP TABLE IF EXISTS `field_data_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_tags`
--

LOCK TABLES `field_data_field_tags` WRITE;
/*!40000 ALTER TABLE `field_data_field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_tags` VALUES ('node','blog',0,29,29,'und',0,5),('node','blog',0,30,30,'und',0,6),('node','blog',0,31,31,'und',0,7),('node','blog',0,32,32,'und',0,8);
/*!40000 ALTER TABLE `field_data_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_data_field_website`
--

DROP TABLE IF EXISTS `field_data_field_website`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_data_field_website` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned DEFAULT NULL COMMENT 'The entity revision id this data is attached to, or NULL if the entity type is not versioned',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_website_url` varchar(2048) DEFAULT NULL,
  `field_website_title` varchar(255) DEFAULT NULL,
  `field_website_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Data storage for field 13 (field_website)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_data_field_website`
--

LOCK TABLES `field_data_field_website` WRITE;
/*!40000 ALTER TABLE `field_data_field_website` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_data_field_website` VALUES ('node','client',0,16,16,'und',0,'http://www.nike.com','Nike','a:0:{}'),('node','client',0,17,17,'und',0,'http://weebpal.com','Weebpal','a:0:{}'),('node','client',0,18,18,'und',0,'https://www.apple.com/','Apple','a:0:{}'),('node','client',0,19,19,'und',0,'http://disnep.com','Disnep','a:0:{}'),('node','client',0,20,20,'und',0,'http://pixax.com','Pixax','a:0:{}'),('node','client',0,21,21,'und',0,'http://themeforest.net','Themeforest','a:0:{}'),('node','client',0,22,22,'und',0,'http://www.envato.com/','Envanto','a:0:{}'),('node','client',0,23,23,'und',0,'http://photodune.net/','Photodune','a:0:{}'),('node','client',0,24,24,'und',0,'http://audiojungle.net/','AudioJungle','a:0:{}'),('node','client',0,25,25,'und',0,'http://www.universal.com/','Universal','a:0:{}'),('node','client',0,26,26,'und',0,'http://www.foxmovies.com/','Fox movies','a:0:{}'),('node','client',0,27,27,'und',0,'http://www.dreamworksstudios.com/','Dreamworks studios','a:0:{}');
/*!40000 ALTER TABLE `field_data_field_website` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_group`
--

DROP TABLE IF EXISTS `field_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a group',
  `identifier` varchar(255) NOT NULL DEFAULT '' COMMENT 'The unique string identifier for a group.',
  `group_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The name of this group.',
  `entity_type` varchar(32) NOT NULL DEFAULT '',
  `bundle` varchar(128) NOT NULL DEFAULT '',
  `mode` varchar(128) NOT NULL DEFAULT '',
  `parent_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The parent name for a group',
  `data` longblob NOT NULL COMMENT 'Serialized data containing the group properties that do not warrant a dedicated column.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `identifier` (`identifier`),
  KEY `group_name` (`group_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table that contains field group entries and settings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_group`
--

LOCK TABLES `field_group` WRITE;
/*!40000 ALTER TABLE `field_group` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `field_group` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_body`
--

DROP TABLE IF EXISTS `field_revision_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `body_value` longtext,
  `body_summary` longtext,
  `body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `body_format` (`body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 2 (body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_body`
--

LOCK TABLES `field_revision_body` WRITE;
/*!40000 ALTER TABLE `field_revision_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_body` VALUES ('node','gallery',0,1,1,'und',0,'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque orci lectus, feugiat vel laoreet quis, posuere nec odio. Aenean justo enim, posuere eu accumsan vel, luctus vel nunc. Fusce vel nulla augue. Quisque efficitur nisi ut est faucibus varius. Donec tempus nunc ac tortor sodales posuere. Pellentesque purus enim, venenatis eget urna a, ultricies condimentum sapien. Fusce vehicula velit est, ac blandit leo rhoncus nec. Vivamus dolor dolor, bibendum quis ligula nec, viverra dapibus tellus. Praesent sit amet accumsan massa. Nam feugiat egestas mauris, nec pulvinar ex pharetra at. Aenean sit amet fringilla metus. Pellentesque fermentum dolor non risus placerat scelerisque.','','filtered_html'),('node','gallery',0,2,2,'und',0,'Duis ultrices ac neque sed vestibulum. Integer ultrices tortor eu feugiat sollicitudin. Proin luctus venenatis purus, placerat convallis erat malesuada id. Aenean nec ultricies dui. Curabitur ac ipsum a quam sodales luctus in a arcu. Nulla venenatis, mi ac eleifend accumsan, lacus nulla fringilla turpis, in interdum velit est quis enim. Donec eu tempus justo. Donec facilisis metus a augue scelerisque elementum. Aliquam rutrum erat euismod efficitur aliquet. Ut feugiat arcu urna, rutrum porttitor ex sagittis at.','','filtered_html'),('node','gallery',0,3,3,'und',0,'Donec tincidunt diam a pharetra aliquet. Fusce vel sagittis augue. Maecenas at diam varius, cursus libero id, accumsan libero. Vestibulum lacinia pretium velit, a elementum mauris consequat in. Suspendisse placerat velit at risus feugiat, at posuere ex hendrerit. Nullam in tortor erat. Aliquam erat volutpat. Suspendisse sed fringilla orci.','','filtered_html'),('node','gallery',0,4,4,'und',0,'Nullam sed hendrerit eros. Nunc rhoncus purus diam, non commodo quam condimentum non. Ut facilisis arcu ac nulla facilisis, in molestie ligula dignissim. In sodales enim lorem, elementum pharetra quam aliquet eu. Etiam eget libero ipsum. Nullam molestie sagittis est. Sed vulputate sem quis mauris dignissim pharetra. Sed pulvinar hendrerit orci, at vestibulum nunc hendrerit ut. Nulla facilisi. Morbi cursus aliquam placerat. Nullam urna lorem, dictum eget quam et, fermentum efficitur quam. Vestibulum egestas, leo a consectetur sagittis, magna eros interdum diam, sed varius diam dui sit amet justo. Praesent porttitor luctus massa quis eleifend. Nulla egestas arcu quis ante hendrerit pretium. Praesent semper, tellus vel commodo auctor, leo mi lacinia purus, quis placerat nunc felis vitae sem. Nunc ultrices pulvinar risus, sit amet imperdiet nisi eleifend vel.','','filtered_html'),('node','page',0,5,5,'und',0,'We are a independent digital design studio based in London. As a digital photography agency, our job is to take your ideas and make them greater. To create digital platforms and solutions that are greater than anything you’ve ever used. To make easy ideas easier.\r\n\r\nNemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt .','','full_html'),('node','services',0,6,6,'und',0,'Praesent non ligula a urna imperdiet ultrices. Sed tempor commodo malesuada. Morbi est tellus, aliquet ut scelerisque vel, sagittis nec augue. Nullam semper dui maximus purus feugiat dignissim. Vivamus in pharetra velit. Maecenas imperdiet imperdiet est, non vulputate nisi porttitor sit amet. Etiam blandit ex a diam finibus pulvinar. Nulla malesuada semper venenatis. Duis malesuada rhoncus lorem in tincidunt. Fusce fringilla mi sed neque aliquet pretium.','','filtered_html'),('node','services',0,7,7,'und',0,'Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Morbi bibendum est turpis, at volutpat nulla venenatis at. Suspendisse vel pulvinar ex. Suspendisse potenti. Cras varius lorem non felis maximus convallis. Nunc feugiat vestibulum auctor. Duis at metus vitae odio dapibus pulvinar. Aliquam iaculis ligula metus, at rhoncus felis iaculis in. Donec in neque ac nisl ultricies ultrices.','','filtered_html'),('node','services',0,8,8,'und',0,'Sed lacinia dolor vitae aliquam vulputate. Nunc cursus diam sit amet metus porttitor, eu blandit metus volutpat. Maecenas ac venenatis dui. Suspendisse vitae libero eget risus convallis dictum a congue lectus. Suspendisse potenti. Fusce vehicula, metus id tempus sodales, augue est fringilla arcu, a cursus ante urna eu velit.','','filtered_html'),('node','services',0,9,9,'und',0,'Morbi fermentum fermentum tortor ac viverra. Donec ullamcorper egestas leo, sit amet eleifend mauris efficitur vitae. Sed ut ante volutpat, aliquet nisi et, dapibus nibh. Etiam non eros faucibus, consectetur eros consectetur, varius sem. Aenean a ultrices lorem. Suspendisse non elementum augue. Sed sollicitudin dignissim libero, nec elementum ligula semper sit amet. Nullam non tortor vel nunc posuere blandit eu sed libero. Sed pharetra lacus at arcu convallis faucibus. Vestibulum laoreet, purus quis posuere suscipit, massa libero aliquam metus, ut pellentesque sapien nisl sit amet lectus.','','filtered_html'),('node','involes',0,10,10,'und',0,'Duis imperdiet urna ipsum, nec tempus eros fringilla varius. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Curabitur pellentesque lacinia tristique. Nunc consectetur elit nec tempor malesuada. Nunc lobortis, tellus vitae lobortis eleifend, ligula est elementum ipsum, sit amet hendrerit est nisi eu ipsum. Nunc sodales at risus in tincidunt. Quisque commodo justo sit amet neque ullamcorper semper. Duis aliquet tempus turpis, a egestas nibh hendrerit in.','','filtered_html'),('node','involes',0,11,11,'und',0,'In quis eros ac velit aliquam eleifend placerat at eros. Suspendisse et odio vel ante gravida iaculis ut sed diam. Pellentesque porta, ante vitae efficitur venenatis, enim eros placerat urna, eget congue ligula dui sed lacus. Duis quis ultrices risus, ut tempus massa. Vestibulum sit amet elementum lectus. Sed suscipit ultricies purus, id convallis neque. Vestibulum placerat tincidunt cursus. Praesent hendrerit metus elementum leo sagittis ornare.','','filtered_html'),('node','involes',0,12,12,'und',0,'Pellentesque sagittis aliquet odio sed rhoncus. Nulla facilisi. Etiam mattis purus nisi, sollicitudin mattis metus convallis sit amet. Fusce eget nulla est. Nulla iaculis tellus sit amet nunc maximus aliquet. Nam consectetur commodo libero vitae facilisis. Cras condimentum ac est faucibus blandit.','','filtered_html'),('node','involes',0,13,13,'und',0,'Sed dui lectus, pulvinar vel libero ac, mattis pellentesque sapien. Phasellus tempus ullamcorper eros vitae dictum. Nulla augue enim, facilisis vitae fringilla eu, eleifend ut nunc. Proin viverra auctor lorem vitae convallis. Nunc ac blandit est, a bibendum eros. Sed a pellentesque ligula. Sed urna mi, tempus et diam a, gravida tempus dolor. Aenean pretium quis elit sed iaculis.','','filtered_html'),('node','involes',0,14,14,'und',0,'Fusce luctus finibus est. Mauris vitae metus vel enim ullamcorper blandit. Aliquam iaculis neque semper, pellentesque justo eu, congue quam. Nulla gravida sem eu malesuada consectetur. In consequat eros quis ligula volutpat, porttitor porta est vulputate. Fusce maximus, eros pharetra placerat imperdiet, lorem justo aliquam lectus','','filtered_html'),('node','involes',0,15,15,'und',0,'id malesuada est odio nec justo. Aliquam egestas sapien non rhoncus dapibus. Nulla pretium tellus id augue pretium gravida vel eu elit. Duis ac molestie tortor, in interdum eros. Cras aliquet sem quis congue scelerisque. Integer ultricies blandit neque sit amet fringilla. In hac habitasse platea dictumst. Nullam finibus nisl et mauris hendrerit viverra. Aliquam felis diam, fringilla sit amet consequat ut, consectetur non diam.','','filtered_html'),('node','client',0,16,16,'und',0,'Vivamus viverra est velit, a commodo purus laoreet a. Integer mattis mauris eu elit dapibus viverra. Mauris molestie semper nisi, non suscipit risus commodo eget. Sed cursus metus vel gravida laoreet. Praesent molestie faucibus elit a congue. Fusce rhoncus rhoncus lacus, ac condimentum urna aliquet nec. Nunc quam libero, lobortis ultricies diam nec, sagittis condimentum tellus. Vestibulum consectetur ante arcu, et auctor sem imperdiet nec. Donec diam tellus, tincidunt id nibh nec, tincidunt dignissim ipsum.','','filtered_html'),('node','client',0,17,17,'und',0,'Quisque tempor est ante, quis aliquet tellus euismod at. Duis faucibus posuere orci, sit amet dignissim eros congue eu. Praesent nec hendrerit enim. Sed in velit dui. Cras non nulla eros. Nullam rutrum quam sed nisi ullamcorper, vitae luctus dui efficitur. Aliquam erat volutpat. Nunc ultricies nulla eget felis dignissim, et dapibus ante laoreet. Nam finibus sapien sed eleifend porttitor. Integer sagittis lorem ac tellus semper facilisis. Cras eget mauris sodales, suscipit sem vel, euismod velit. Proin fringilla sodales enim vel commodo. Pellentesque consequat nisl et ex fringilla, vel feugiat augue pulvinar. Suspendisse euismod nibh ut magna ultricies, sit amet consequat tellus finibus.','','filtered_html'),('node','client',0,18,18,'und',0,'Duis rutrum augue eu orci tincidunt sagittis. Vivamus at lorem non purus laoreet iaculis ut at diam. Donec at velit quis ex pulvinar hendrerit. Aliquam tempor lacus at pretium luctus. Vivamus vehicula ullamcorper porttitor. Nullam elementum dignissim nisi, id rhoncus metus. Morbi eu scelerisque justo. Maecenas ac ullamcorper ipsum. Integer cursus dignissim magna pellentesque rhoncus. Donec ornare cursus magna. Sed sagittis consequat dui eget tincidunt. Mauris molestie neque dolor, in vestibulum ex aliquet sit amet. Aliquam volutpat risus sed faucibus rhoncus. Nam lacinia egestas nulla, id interdum nulla sagittis at. Sed sit amet risus rutrum sapien porta sollicitudin eu ultricies eros. Praesent auctor nibh in tempor luctus.','','filtered_html'),('node','client',0,19,19,'und',0,'Quisque eget malesuada arcu, eu rhoncus enim. Fusce dignissim est mauris. Morbi diam ipsum, suscipit in vehicula id, tempus id magna. Suspendisse ut volutpat libero, in porta dolor. Aenean euismod a quam eu posuere. Sed vulputate euismod sem, id varius mi interdum ac. Aliquam bibendum posuere velit, ac finibus dui. Duis nibh leo, pulvinar id turpis nec, efficitur dignissim dui. Nam in feugiat odio. Phasellus et iaculis metus. Vivamus ac augue non purus eleifend hendrerit.','','filtered_html'),('node','client',0,20,20,'und',0,'Phasellus facilisis massa elit, sit amet vehicula tortor dignissim sed. Mauris condimentum dapibus nisl, vel feugiat purus accumsan sit amet. Suspendisse sed justo sit amet sem semper gravida. Mauris egestas finibus elit, vel feugiat metus consectetur sit amet. Nullam non quam in massa faucibus congue a a leo. Aenean sit amet neque nisl. Vivamus nec elit nulla. Fusce euismod nibh hendrerit mauris gravida egestas. Quisque felis urna, varius at diam ac, imperdiet vulputate tellus. Donec non erat sit amet ipsum interdum tincidunt non a sem. In nibh leo, semper vitae facilisis quis, sodales in elit.','','filtered_html'),('node','client',0,21,21,'und',0,'Pellentesque scelerisque sapien et augue dictum fermentum. Praesent tincidunt lorem vel quam euismod, id hendrerit ligula malesuada. Fusce euismod porta ex nec porttitor. Nullam nibh ex, pharetra non sem id, tristique lacinia mi. Vivamus placerat ligula est, sit amet fringilla lorem tempor mollis. Vestibulum ligula mi, ultrices non dolor a, tincidunt auctor velit.','','filtered_html'),('node','client',0,22,22,'und',0,'Nulla sed tortor sem. Donec malesuada vulputate pulvinar. Sed iaculis augue risus, porttitor tincidunt libero placerat ut. Ut posuere, neque ac ultrices finibus, ex lorem mattis enim, et mollis eros enim eu arcu. Nam sit amet venenatis felis. Donec sapien justo, auctor in interdum vitae, vehicula porta massa. Donec eget tellus eu neque tristique ullamcorper. In molestie lacus quis fringilla scelerisque. Nunc non placerat turpis. Ut laoreet facilisis mi et luctus.','','filtered_html'),('node','client',0,23,23,'und',0,'Phasellus et ultrices mi. Etiam pulvinar diam a suscipit convallis. Mauris vel eleifend metus. Nam sed felis et ipsum dignissim cursus vel a nisl. Donec sit amet urna vel dui egestas facilisis. Proin sed nisl vel diam laoreet laoreet in sed odio. Nulla a accumsan nibh.','','filtered_html'),('node','client',0,24,24,'und',0,'Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Proin magna nisl, blandit vel scelerisque quis, semper in nunc. Pellentesque rhoncus sapien eget massa dictum volutpat. In sodales, tellus et tincidunt eleifend, erat tellus ultrices dolor, vitae commodo tellus lectus nec dolor. Praesent vel scelerisque tortor.','','filtered_html'),('node','client',0,25,25,'und',0,'Quisque sed turpis semper, viverra ex non, efficitur tellus. Curabitur condimentum elit id enim dignissim, et semper nisl facilisis. Nulla vestibulum molestie vestibulum. Mauris eu erat gravida, hendrerit libero ac, feugiat orci. Nullam nec luctus arcu. Maecenas pellentesque, lacus quis porttitor consectetur, purus odio ultrices magna, ac blandit eros orci eget metus. Suspendisse at lacus ut purus hendrerit fringilla molestie vel lectus. Curabitur eu tristique metus. Nullam urna leo, faucibus consequat risus a, tincidunt lobortis nunc. Etiam porta dignissim tellus, eu ornare odio.','','filtered_html'),('node','client',0,26,26,'und',0,'Vivamus auctor ultricies luctus. Nam velit lorem, posuere in lorem commodo, lacinia ullamcorper ante. Nullam rhoncus neque quis dolor ornare, vel lacinia velit rhoncus. Pellentesque non ligula consectetur, euismod dui at, euismod erat. Mauris lobortis lobortis interdum. Cras vitae laoreet tellus, et posuere turpis. Integer quis ante eget erat maximus convallis. Vestibulum sit amet pharetra quam, a ultricies ex. Morbi rutrum risus tincidunt nulla tincidunt, nec fermentum massa scelerisque.','','filtered_html'),('node','client',0,27,27,'und',0,'Quisque semper auctor enim, non semper magna congue sed. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi sit amet elementum justo. Suspendisse ac velit mattis, blandit urna sagittis, volutpat magna.','','filtered_html'),('node','blog',0,29,29,'und',0,'Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed et bibendum augue. Duis placerat nisl nec dui cursus pellentesque. Phasellus pellentesque sagittis libero sit amet lobortis. Cras eget molestie lectus, vel accumsan eros. Vestibulum consequat mauris diam, non sollicitudin nibh hendrerit vel. Duis at sodales neque. Morbi ut bibendum augue. Pellentesque ultrices orci eu arcu eleifend efficitur. Sed sed pretium augue. Curabitur ut scelerisque ante. Integer efficitur consectetur odio non consectetur. Sed faucibus lectus ac eleifend condimentum. Vivamus consectetur suscipit cursus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin magna leo, fringilla eu scelerisque ac, placerat in purus.','','filtered_html'),('node','blog',0,30,30,'und',0,'Donec quis enim et ipsum tincidunt tincidunt eu eu est. Pellentesque dictum neque sit amet mi ullamcorper hendrerit. Sed id commodo massa. Suspendisse ullamcorper felis neque, vitae condimentum ante accumsan auctor. Quisque vel lorem ut metus posuere vulputate. Suspendisse id aliquam magna. Vestibulum faucibus ornare est, et euismod sapien molestie eget. Donec feugiat tellus eu pellentesque varius. Donec porta sem lorem, et fermentum dui suscipit in. Etiam sed dui vel nunc lobortis congue vitae vitae lectus. Mauris placerat semper viverra. Integer at ultricies lectus.','','filtered_html'),('node','blog',0,31,31,'und',0,'Vestibulum vitae gravida ligula. Pellentesque bibendum ante iaculis, porta velit non, porttitor urna. Fusce eget placerat augue, a lobortis metus. Cras urna tortor, dapibus mattis blandit sed, suscipit et risus. Curabitur consequat urna nibh, quis convallis nisl ultrices vitae. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed at est maximus, tempus metus at, cursus enim. Duis congue lectus ac posuere consequat. Duis tempor, nisi id pharetra imperdiet, metus ipsum tristique elit, eu ultrices metus velit in orci. Morbi vitae aliquet lorem, ac malesuada est. Morbi eu enim hendrerit, volutpat ante sit amet, scelerisque quam. Ut in laoreet ante. Etiam sed ex metus. Vestibulum rhoncus metus at metus convallis viverra.','','filtered_html'),('node','blog',0,32,32,'und',0,'Sed semper, nulla vitae lacinia imperdiet, enim diam varius nisi, at laoreet mi dui non enim. Maecenas blandit nibh non feugiat tristique. Donec at sem justo. Nam sed arcu vitae dolor pharetra ultricies vitae quis arcu. Pellentesque ac nulla ut massa tempor dapibus eu sit amet neque. Vestibulum viverra arcu id libero imperdiet dictum in vel purus. Maecenas tempus est sed sollicitudin vehicula. Suspendisse velit sem, venenatis non erat et, varius hendrerit leo. Quisque quis sapien vel sapien suscipit consectetur. Praesent malesuada suscipit tortor pretium tempus. Nulla ut pharetra turpis. Suspendisse gravida, arcu ac elementum sollicitudin, nisl quam tempor sem, sit amet aliquet lectus nulla id dolor. Duis vel cursus ex. Pellentesque feugiat ante quis augue ullamcorper consectetur. Fusce non sapien quis ipsum euismod dignissim et vel arcu. Vestibulum nec sollicitudin lacus.','','filtered_html'),('node','gallery',0,34,34,'und',0,'Sed semper, nulla vitae lacinia imperdiet, enim diam varius nisi, at laoreet mi dui non enim. Maecenas blandit nibh non feugiat tristique. Donec at sem justo. Nam sed arcu vitae dolor pharetra ultricies vitae quis arcu. Pellentesque ac nulla ut massa tempor dapibus eu sit amet neque. Vestibulum viverra arcu id libero imperdiet dictum in vel purus. Maecenas tempus est sed sollicitudin vehicula. Suspendisse velit sem, venenatis non erat et, varius hendrerit leo. Quisque quis sapien vel sapien suscipit consectetur. Praesent malesuada suscipit tortor pretium tempus. Nulla ut pharetra turpis. Suspendisse gravida, arcu ac elementum sollicitudin, nisl quam tempor sem, sit amet aliquet lectus nulla id dolor. Duis vel cursus ex. Pellentesque feugiat ante quis augue ullamcorper consectetur. Fusce non sapien quis ipsum euismod dignissim et vel arcu. Vestibulum nec sollicitudin lacus.','','filtered_html'),('node','gallery',0,35,35,'und',0,'Etiam aliquam ex ligula, quis iaculis augue congue vitae. Cras pretium ac odio commodo mollis. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Vivamus mattis eleifend libero, vitae ullamcorper est volutpat iaculis. Maecenas aliquam placerat magna vel tempor. Proin iaculis eget risus in condimentum. Etiam nec purus vel orci eleifend sodales sed id nisi. Sed dolor dui, eleifend a metus non, volutpat interdum quam. Fusce a justo eros. Curabitur laoreet orci sed vestibulum porta. Integer vel nulla quam. Donec id vestibulum elit, eget vehicula felis. Nulla non dui mauris.','','filtered_html'),('node','gallery',0,36,36,'und',0,'Proin scelerisque elit felis, non luctus nunc eleifend non. Vivamus sagittis neque diam, pellentesque malesuada nisi ullamcorper in. Sed enim turpis, dapibus nec urna blandit, ullamcorper ultricies eros. Morbi gravida congue laoreet. Aliquam erat volutpat. Pellentesque sodales, tellus non sagittis pretium, dolor ligula dictum felis, eu mollis ligula tortor vel ligula. Proin malesuada nunc mauris, ut lacinia nulla bibendum ut. Vivamus hendrerit mattis ante a maximus. Donec eleifend elementum est eget sollicitudin. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.','','filtered_html'),('node','gallery',0,37,37,'und',0,'Etiam posuere urna sed sodales sodales. In sit amet posuere sapien, sit amet pretium purus. Quisque suscipit lectus ut libero dictum euismod. Fusce laoreet mollis venenatis. Phasellus nisl nibh, pellentesque aliquam erat sed, efficitur iaculis nisi. Nulla et libero vel nisl aliquet placerat a sed nulla. Nunc velit arcu, iaculis nec dapibus non, elementum in justo. Aliquam viverra velit orci, sit amet pulvinar tellus imperdiet ut. Ut sit amet sollicitudin urna. Vestibulum est nulla, efficitur ut risus non, viverra luctus tortor. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nullam vel lectus sed sapien iaculis dictum nec in ligula. Curabitur tincidunt leo diam, ullamcorper lobortis erat efficitur ac.','','filtered_html'),('node','gallery',0,38,38,'und',0,'Donec aliquet eu tortor a pharetra. In eget pulvinar dolor. Fusce urna dui, semper ut dictum tempor, scelerisque hendrerit mi. In volutpat neque non viverra porttitor. Praesent sed elit et diam auctor venenatis nec rhoncus turpis. Sed sit amet orci fermentum lacus venenatis convallis at non mauris. Morbi et sodales lacus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque tempus erat id tellus mattis ultrices. Duis bibendum vel mauris sit amet mattis.','','filtered_html'),('node','gallery',0,39,39,'und',0,'Aliquam vulputate quis eros eu efficitur. Proin vehicula eget ante a bibendum. Nam et diam in turpis pretium consequat in nec purus. Fusce venenatis et sapien at fermentum. Sed gravida porttitor felis, hendrerit vulputate sapien vehicula non. Pellentesque faucibus, ante vel vestibulum porta, diam odio fringilla magna, semper facilisis enim purus a mi. Aliquam dictum tortor leo, nec consectetur sapien condimentum vel. Suspendisse eget luctus arcu. Nam et arcu felis. Quisque ac lobortis sem. Cras aliquam ipsum lectus, sit amet ultricies quam sagittis at.','','filtered_html'),('node','gallery',0,40,40,'und',0,'Aenean gravida, libero ullamcorper bibendum cursus, sapien justo interdum augue, at egestas justo turpis sed nisi. Vestibulum sagittis tincidunt quam, id commodo magna rutrum id. Mauris neque orci, tempor a mi at, porttitor dictum leo. Nullam gravida tristique arcu, sit amet commodo erat ullamcorper eget. Fusce ac mauris ut neque porta sodales sed vel odio. Integer id elit vitae nunc pharetra tempor rutrum in arcu. Morbi ipsum metus, porta porttitor porttitor commodo, convallis at sapien. Fusce efficitur consequat eros et accumsan. Sed vitae nulla vel diam semper eleifend sit amet ac libero. Suspendisse id euismod augue.','','filtered_html'),('node','gallery',0,41,41,'und',0,'Vestibulum cursus luctus dui, vitae accumsan enim interdum non. Sed molestie urna elit, quis tempor mauris porta sit amet. Quisque viverra lacinia arcu sed consectetur. Integer vel turpis tempus, blandit mauris ac, feugiat magna. Nullam dictum iaculis lectus luctus gravida. Donec at vestibulum nunc. Maecenas facilisis posuere mauris, id porta arcu pulvinar eu.','','filtered_html'),('node','gallery',0,42,42,'und',0,'Aenean vel augue dolor. Morbi rhoncus accumsan nulla, sit amet suscipit neque. Phasellus auctor diam et erat venenatis molestie. Vestibulum convallis libero quis orci placerat faucibus. Aliquam sodales tempus elementum. Nullam faucibus dignissim turpis tempus efficitur. Suspendisse potenti. Pellentesque sagittis, tellus ut blandit faucibus, est massa sollicitudin odio, et convallis lorem turpis nec sem.','','filtered_html'),('node','gallery',0,43,43,'und',0,'Duis vitae ipsum quis purus fringilla feugiat. Nulla a metus imperdiet, ultrices mauris a, fermentum purus. Quisque consectetur odio vel nibh sagittis, sit amet feugiat dui volutpat. Vestibulum lacus augue, congue et risus a, aliquet pulvinar sapien. In vel nulla ut odio dapibus vehicula nec et ante. Fusce commodo commodo est id condimentum. Vestibulum finibus tempor elit in pellentesque. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Sed euismod iaculis nisi dapibus interdum. Sed eget sapien dui.','','filtered_html'),('node','gallery',0,44,44,'und',0,'Praesent vel semper est. Fusce eget lacus elementum, lacinia mauris vitae, interdum nibh. Sed congue lorem est, sit amet viverra ipsum pharetra id. Aenean eu arcu facilisis, pretium sem vitae, luctus erat. Ut imperdiet semper enim, sit amet posuere odio molestie scelerisque. Nunc diam risus, rhoncus eu egestas sit amet, maximus a libero. Quisque interdum feugiat eros, sed ultricies mauris laoreet vitae. Donec et metus non nisl ornare porta interdum quis nisl. Maecenas a metus eu quam condimentum varius sit amet nec quam.','','filtered_html'),('node','gallery',0,45,45,'und',0,'Ut volutpat massa ac tincidunt sollicitudin. Fusce porttitor leo a massa lacinia pharetra. Mauris in commodo tellus, id tincidunt tellus. Aenean at sodales ligula. Mauris vitae interdum neque. Aliquam nec imperdiet quam. Integer risus lectus, convallis porttitor felis quis, tincidunt bibendum nisl. Nulla imperdiet mollis dolor tincidunt euismod.','','filtered_html'),('node','gallery',0,46,46,'und',0,'Vivamus quis eros sit amet turpis tincidunt faucibus. Donec gravida ante non sem gravida tempus. Mauris at metus ex. Ut ut lorem id augue porta aliquet. Donec nisi nisi, aliquet sit amet nisl nec, tempus sollicitudin elit. Cras semper, velit a vehicula facilisis, ipsum sem consequat ipsum, nec facilisis velit nulla sed metus. Praesent at pulvinar orci. Integer sit amet arcu a enim dictum scelerisque quis quis leo. Praesent arcu nisl, commodo eu eros id, sodales auctor mi. In pulvinar nunc posuere, pharetra leo a, viverra mauris. Aliquam scelerisque sem ut enim pulvinar, a imperdiet est congue. Pellentesque congue nibh sit amet porta ornare. Integer tempus, felis quis tristique efficitur, nulla tortor sollicitudin nulla, in imperdiet est risus pharetra dolor. Ut id nibh at purus finibus laoreet. Quisque commodo elementum mi, non pharetra tortor convallis eget. Donec tincidunt tortor magna, a mollis mi condimentum accumsan.','','filtered_html'),('node','gallery',0,47,47,'und',0,'Pellentesque id dignissim massa, eget mattis nisi. In egestas a metus in dictum. Vestibulum eu venenatis mi, fringilla lobortis odio. Etiam vel ultricies diam, at consectetur quam. Mauris viverra ipsum lacus. Etiam rutrum mauris non metus maximus, eget condimentum tellus feugiat. Sed eu rhoncus purus. Phasellus a lectus risus.','','filtered_html'),('node','gallery',0,48,48,'und',0,'Nam nec aliquet turpis. Phasellus ultricies velit quis auctor rhoncus. Duis mi eros, tincidunt ac consectetur quis, convallis imperdiet ante. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Integer pellentesque, erat et malesuada convallis, nibh metus efficitur leo, sit amet pulvinar leo urna nec nunc. Cras consectetur nisl pellentesque velit euismod venenatis. Donec tincidunt feugiat aliquam. Aenean orci ante, fringilla at ornare in, bibendum ac lorem. Vivamus sed lorem quam. Vivamus non vulputate sapien. Integer a ligula vel tellus vehicula ornare.','','filtered_html'),('node','page',0,49,49,'und',0,'Sorry! We couldn\'t find your page. Please try another page.','','filtered_html'),('node','gallery',0,50,50,'und',0,' Etiam id risus quis ipsum condimentum consequat vulputate eu tellus. Aliquam erat volutpat. Curabitur cursus eget libero sit amet aliquam. Integer congue justo in auctor porttitor. Cras a est ac eros commodo pharetra. Suspendisse sagittis a lacus non fermentum. Suspendisse consectetur nulla et metus facilisis auctor. Curabitur sem orci, semper nec lorem vitae, malesuada viverra erat. Quisque pharetra sodales justo non posuere.\r\n\r\nIn quis diam ac orci sollicitudin iaculis. Integer eu vulputate diam. Interdum et malesuada fames ac ante ipsum primis in faucibus. Donec bibendum leo in nibh facilisis, blandit rutrum erat iaculis. Cras vestibulum cursus diam id lacinia. Proin hendrerit, diam vel gravida malesuada, tellus lectus euismod metus, eget convallis tortor ipsum a neque. Vestibulum feugiat et lorem sed porttitor. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque vel hendrerit arcu. Vivamus bibendum in mi facilisis feugiat. Vivamus egestas nunc at ligula tincidunt, nec interdum elit consequat. Nunc fringilla nibh eget facilisis maximus. Mauris mattis eros quis dolor porta, ac aliquet mauris sollicitudin. Interdum et malesuada fames ac ante ipsum primis in faucibus. ','','filtered_html'),('node','gallery',0,51,51,'und',0,' Duis congue vitae neque non consectetur. Mauris quam massa, dapibus ac nisl at, ultrices consequat tellus. Praesent magna turpis, tempor eget euismod non, pulvinar dignissim ex. Maecenas facilisis arcu vitae dui lacinia lobortis. Donec at neque ut leo pellentesque aliquam. Suspendisse imperdiet metus in malesuada dapibus. Sed condimentum a magna ut lacinia. Donec varius condimentum sollicitudin.\r\n\r\nAliquam elit dui, pulvinar nec efficitur in, posuere eu arcu. Cras pulvinar ultrices ipsum, nec interdum augue hendrerit et. Maecenas arcu ligula, ultrices non purus et, convallis pellentesque dolor. Aliquam volutpat a magna id hendrerit. In imperdiet orci in urna ullamcorper, ut euismod enim ultricies. Nam commodo nec orci sed iaculis. Cras rutrum interdum hendrerit.\r\n\r\nNam id eros in elit molestie pretium non vitae massa. Suspendisse faucibus eleifend lorem, sed malesuada justo volutpat et. Maecenas vitae ultricies sapien. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Aliquam quis orci odio. Aliquam at ex lorem. Vestibulum venenatis sapien orci, et facilisis turpis ultricies vitae. Curabitur placerat nisi odio. Praesent efficitur sapien at quam facilisis condimentum et vitae lectus. Mauris neque velit, scelerisque non ultricies eget, luctus non metus. Proin hendrerit sodales ultrices. Mauris suscipit mollis pretium. Pellentesque faucibus varius odio, eu efficitur enim interdum at. Sed sollicitudin auctor dignissim. Duis eu tortor velit. Maecenas rutrum finibus suscipit. ','','filtered_html'),('node','gallery',0,52,52,'und',0,' Donec semper ante ut orci convallis semper. Suspendisse non lectus id ex auctor volutpat non at nibh. Donec rutrum in sapien ut ullamcorper. Interdum et malesuada fames ac ante ipsum primis in faucibus. Donec vitae sagittis justo. Sed ut elementum dolor. Etiam felis ipsum, tristique et velit pretium, sollicitudin sagittis ex. Donec in elit vitae ligula ultricies placerat vel sed massa. Nam nec rutrum dui, a tristique nulla.\r\n\r\nPhasellus placerat venenatis dui, viverra pretium augue commodo quis. Pellentesque tempus auctor laoreet. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec dignissim massa purus, rutrum eleifend augue tristique ut. Donec fringilla suscipit commodo. Duis rutrum congue volutpat. Fusce vel pharetra est.\r\n\r\nPellentesque posuere eleifend mi eu tempor. Praesent vestibulum dui eu orci ultrices dictum. Fusce dictum ex accumsan eros vestibulum porta. Praesent consectetur vel arcu eu tempor. In vehicula justo est, venenatis posuere tortor volutpat ut. Quisque semper ultricies felis ut feugiat. Etiam sem turpis, elementum vel elementum vitae, ultricies eu quam.\r\n\r\nProin finibus, lacus ut luctus congue, est nisl ornare elit, id fermentum massa justo sit amet ex. Pellentesque quis leo sollicitudin, pharetra augue quis, dapibus diam. Vivamus tempor purus eu dolor sollicitudin aliquet. Nunc non euismod nulla, quis ullamcorper tellus. Praesent orci diam, facilisis nec odio ac, pretium fermentum nunc. Nullam faucibus elit sed egestas lacinia. Pellentesque orci tortor, efficitur id libero eget, pretium egestas est. Curabitur quis porttitor quam. ','','filtered_html'),('node','gallery',0,53,53,'und',0,' Mauris odio erat, posuere quis lectus sit amet, ullamcorper porttitor sem. Praesent sapien urna, dictum sit amet bibendum non, interdum sit amet nulla. Maecenas bibendum pretium imperdiet. Phasellus vitae ligula feugiat, condimentum erat iaculis, eleifend risus. Praesent placerat, dolor at suscipit efficitur, mi risus tincidunt velit, vitae vestibulum lectus risus a massa. Quisque ultricies augue et turpis consectetur tempus. Cras rhoncus sapien turpis, vel fringilla urna facilisis ac. Vivamus vitae placerat neque. Ut enim libero, convallis eget eros at, porttitor tincidunt ex.\r\n\r\nDuis lobortis ipsum id urna ornare, vitae pharetra tortor pulvinar. Pellentesque eleifend, odio non congue sollicitudin, ex nisl porttitor lectus, at aliquet mauris enim vel felis. Duis vulputate odio a fermentum efficitur. Sed eu tellus vel sapien pulvinar facilisis. Duis quis pharetra enim, non rutrum sem. Fusce non felis tempus, fermentum risus eu, porttitor tellus. Quisque interdum convallis tellus in ornare. In ligula eros, gravida sed blandit nec, auctor non arcu. Nam dignissim sit amet nibh vel malesuada. Fusce quis elit ut tellus fringilla dictum sed nec magna. Interdum et malesuada fames ac ante ipsum primis in faucibus. Mauris quis lacus sapien. ','','filtered_html');
/*!40000 ALTER TABLE `field_revision_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_comment_body`
--

DROP TABLE IF EXISTS `field_revision_comment_body`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_comment_body` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `comment_body_value` longtext,
  `comment_body_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `comment_body_format` (`comment_body_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 1 (comment_body)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_comment_body`
--

LOCK TABLES `field_revision_comment_body` WRITE;
/*!40000 ALTER TABLE `field_revision_comment_body` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_comment_body` VALUES ('comment','comment_node_blog',0,1,1,'und',0,'Pellentesque ac nulla ut massa tempor dapibus eu sit amet neque. Vestibulum viverra arcu id libero imperdiet dictum in vel purus. Maecenas tempus est sed sollicitudin vehicula.','filtered_html'),('comment','comment_node_blog',0,2,2,'und',0,'Maecenas tempus est sed sollicitudin ','filtered_html');
/*!40000 ALTER TABLE `field_revision_comment_body` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_bio`
--

DROP TABLE IF EXISTS `field_revision_field_bio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_bio` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_bio_value` longtext,
  `field_bio_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_bio_format` (`field_bio_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 7 (field_bio)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_bio`
--

LOCK TABLES `field_revision_field_bio` WRITE;
/*!40000 ALTER TABLE `field_revision_field_bio` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_bio` VALUES ('user','user',0,3,3,'und',0,'Aenean vel posuere sem. Etiam condimentum ante quis aliquet rutrum. Nullam in nisi mi. Curabitur ut eros elementum, rhoncus sapien quis, gravida felis. Phasellus venenatis nisl eu lacinia elementum. Ut ut nunc gravida, egestas augue ut, commodo erat. Vivamus interdum orci nunc, sed sodales mi sollicitudin id. Pellentesque vestibulum purus aliquet enim lobortis luctus. Donec finibus finibus sodales. Vestibulum accumsan vestibulum mi, at fringilla purus feugiat nec. Quisque condimentum turpis urna. Maecenas sed felis elit.',NULL),('user','user',0,4,4,'und',0,'Sed neque felis, efficitur quis ex et, placerat gravida tellus. Aliquam tincidunt congue justo bibendum consectetur. Fusce in lectus augue. Pellentesque efficitur viverra velit, eget viverra lectus rutrum sed. Nunc orci elit, lacinia et dignissim eu, consectetur a tortor. Pellentesque et nibh ipsum. Phasellus pulvinar leo vel commodo pharetra. Sed a neque vel odio posuere elementum. Cras fringilla molestie posuere. Duis ante augue, tincidunt accumsan neque sed, convallis condimentum eros. Integer et eros justo. Sed interdum, ex at aliquet mollis, ligula ligula tempor eros, quis porta ipsum augue eget risus.',NULL);
/*!40000 ALTER TABLE `field_revision_field_bio` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_gallery_type`
--

DROP TABLE IF EXISTS `field_revision_field_gallery_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_gallery_type` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_gallery_type_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_gallery_type_tid` (`field_gallery_type_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 12 (field_gallery_type)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_gallery_type`
--

LOCK TABLES `field_revision_field_gallery_type` WRITE;
/*!40000 ALTER TABLE `field_revision_field_gallery_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_gallery_type` VALUES ('node','gallery',0,1,1,'und',0,3),('node','gallery',0,2,2,'und',0,1),('node','gallery',0,3,3,'und',0,3),('node','gallery',0,4,4,'und',0,2),('node','gallery',0,34,34,'und',0,2),('node','gallery',0,35,35,'und',0,4),('node','gallery',0,36,36,'und',0,4),('node','gallery',0,37,37,'und',0,3),('node','gallery',0,38,38,'und',0,3),('node','gallery',0,39,39,'und',0,3),('node','gallery',0,40,40,'und',0,1),('node','gallery',0,41,41,'und',0,1),('node','gallery',0,42,42,'und',0,2),('node','gallery',0,43,43,'und',0,4),('node','gallery',0,44,44,'und',0,4),('node','gallery',0,45,45,'und',0,4),('node','gallery',0,46,46,'und',0,4),('node','gallery',0,47,47,'und',0,4),('node','gallery',0,48,48,'und',0,4),('node','gallery',0,50,50,'und',0,9),('node','gallery',0,51,51,'und',0,9),('node','gallery',0,52,52,'und',0,9),('node','gallery',0,53,53,'und',0,9);
/*!40000 ALTER TABLE `field_revision_field_gallery_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_image`
--

DROP TABLE IF EXISTS `field_revision_field_image`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_image` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_image_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_image_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_image_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_image_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_image_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_image_fid` (`field_image_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 4 (field_image)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_image`
--

LOCK TABLES `field_revision_field_image` WRITE;
/*!40000 ALTER TABLE `field_revision_field_image` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_image` VALUES ('node','gallery',0,1,1,'und',0,1,'','',1440,900),('node','gallery',0,2,2,'und',0,2,'','',1440,900),('node','gallery',0,3,3,'und',0,3,'','',1440,900),('node','gallery',0,4,4,'und',0,4,'','',1440,900),('node','page',0,5,5,'und',0,5,'','',1145,797),('node','services',0,6,6,'und',0,6,'','',1500,1000),('node','services',0,7,7,'und',0,7,'','',1200,793),('node','services',0,8,8,'und',0,8,'','',1500,1000),('node','services',0,9,9,'und',0,9,'','',1500,1119),('node','involes',0,10,10,'und',0,76,'','',34,26),('node','involes',0,11,11,'und',0,77,'','',34,26),('node','involes',0,12,12,'und',0,78,'','',26,26),('node','involes',0,13,13,'und',0,79,'','',18,26),('node','involes',0,14,14,'und',0,80,'','',27,26),('node','involes',0,15,15,'und',0,81,'','',34,26),('node','client',0,16,16,'und',0,69,'','',170,170),('node','client',0,17,17,'und',0,14,'','',170,170),('node','client',0,18,18,'und',0,15,'','',170,170),('node','client',0,19,19,'und',0,16,'','',170,170),('node','client',0,20,20,'und',0,17,'','',170,170),('node','client',0,21,21,'und',0,18,'','',170,170),('node','client',0,22,22,'und',0,19,'','',170,170),('node','client',0,23,23,'und',0,20,'','',170,170),('node','client',0,24,24,'und',0,21,'','',170,170),('node','client',0,25,25,'und',0,22,'','',170,170),('node','client',0,26,26,'und',0,23,'','',170,170),('node','client',0,27,27,'und',0,24,'','',170,170),('node','blog',0,29,29,'und',0,40,'','',1500,1119),('node','blog',0,30,30,'und',0,41,'','',1200,800),('node','blog',0,31,31,'und',0,42,'','',1200,800),('node','blog',0,32,32,'und',0,43,'','',1200,800),('node','gallery',0,34,34,'und',0,45,'','',1200,800),('node','gallery',0,34,34,'und',1,46,'','',1200,798),('node','gallery',0,34,34,'und',2,47,'','',1500,996),('node','gallery',0,35,35,'und',0,48,'','',1920,1200),('node','gallery',0,36,36,'und',0,49,'','',1920,1080),('node','gallery',0,37,37,'und',0,50,'','',1200,1639),('node','gallery',0,38,38,'und',0,51,'','',1200,800),('node','gallery',0,39,39,'und',0,52,'','',1200,900),('node','gallery',0,40,40,'und',0,53,'','',1200,800),('node','gallery',0,41,41,'und',0,54,'','',1200,800),('node','gallery',0,41,41,'und',1,83,'','',1920,1080),('node','gallery',0,41,41,'und',2,84,'','',1200,878),('node','gallery',0,42,42,'und',0,55,'','',1200,800),('node','gallery',0,43,43,'und',0,56,'','',1257,1107),('node','gallery',0,44,44,'und',0,57,'','',1820,1703),('node','gallery',0,45,45,'und',0,58,'','',1500,1126),('node','gallery',0,46,46,'und',0,59,'','',2400,1800),('node','gallery',0,47,47,'und',0,60,'','',2000,2000),('node','gallery',0,48,48,'und',0,82,'','',1500,1573),('node','gallery',0,48,48,'und',1,64,'','',1820,1703),('node','gallery',0,48,48,'und',2,65,'','',2400,1800),('node','gallery',0,50,50,'und',0,85,'','',1200,800),('node','gallery',0,51,51,'und',0,86,'','',1200,795),('node','gallery',0,52,52,'und',0,87,'','',1200,883),('node','gallery',0,53,53,'und',0,88,'','',1200,900);
/*!40000 ALTER TABLE `field_revision_field_image` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_job`
--

DROP TABLE IF EXISTS `field_revision_field_job`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_job` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_job_value` varchar(255) DEFAULT NULL,
  `field_job_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_job_format` (`field_job_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 9 (field_job)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_job`
--

LOCK TABLES `field_revision_field_job` WRITE;
/*!40000 ALTER TABLE `field_revision_field_job` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_job` VALUES ('user','user',0,3,3,'und',0,'Designer',NULL),('user','user',0,4,4,'und',0,'Project manager',NULL);
/*!40000 ALTER TABLE `field_revision_field_job` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_name`
--

DROP TABLE IF EXISTS `field_revision_field_name`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_name` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_name_value` varchar(255) DEFAULT NULL,
  `field_name_format` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_name_format` (`field_name_format`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 8 (field_name)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_name`
--

LOCK TABLES `field_revision_field_name` WRITE;
/*!40000 ALTER TABLE `field_revision_field_name` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_name` VALUES ('user','user',0,3,3,'und',0,'John smith',NULL),('user','user',0,4,4,'und',0,'Maria',NULL);
/*!40000 ALTER TABLE `field_revision_field_name` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_percent`
--

DROP TABLE IF EXISTS `field_revision_field_percent`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_percent` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_percent_value` decimal(10,2) DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 6 (field_percent)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_percent`
--

LOCK TABLES `field_revision_field_percent` WRITE;
/*!40000 ALTER TABLE `field_revision_field_percent` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_percent` VALUES ('node','involes',0,10,10,'und',0,30.00),('node','involes',0,11,11,'und',0,75.00),('node','involes',0,12,12,'und',0,60.00),('node','involes',0,13,13,'und',0,55.00),('node','involes',0,14,14,'und',0,90.00),('node','involes',0,15,15,'und',0,65.00);
/*!40000 ALTER TABLE `field_revision_field_percent` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_slideshow`
--

DROP TABLE IF EXISTS `field_revision_field_slideshow`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_slideshow` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_slideshow_fid` int(10) unsigned DEFAULT NULL COMMENT 'The file_managed.fid being referenced in this field.',
  `field_slideshow_alt` varchar(512) DEFAULT NULL COMMENT 'Alternative image text, for the image’s ’alt’ attribute.',
  `field_slideshow_title` varchar(1024) DEFAULT NULL COMMENT 'Image title text, for the image’s ’title’ attribute.',
  `field_slideshow_width` int(10) unsigned DEFAULT NULL COMMENT 'The width of the image in pixels.',
  `field_slideshow_height` int(10) unsigned DEFAULT NULL COMMENT 'The height of the image in pixels.',
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_slideshow_fid` (`field_slideshow_fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 11 (field_slideshow)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_slideshow`
--

LOCK TABLES `field_revision_field_slideshow` WRITE;
/*!40000 ALTER TABLE `field_revision_field_slideshow` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_slideshow` VALUES ('node','gallery',0,1,1,'und',0,37,'','',1440,900),('node','gallery',0,2,2,'und',0,38,'','',1440,900),('node','gallery',0,3,3,'und',0,39,'','',1145,797),('node','gallery',0,4,4,'und',0,36,'','',1440,900);
/*!40000 ALTER TABLE `field_revision_field_slideshow` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_tags`
--

DROP TABLE IF EXISTS `field_revision_field_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_tags` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_tags_tid` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`),
  KEY `field_tags_tid` (`field_tags_tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 3 (field_tags)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_tags`
--

LOCK TABLES `field_revision_field_tags` WRITE;
/*!40000 ALTER TABLE `field_revision_field_tags` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_tags` VALUES ('node','blog',0,29,29,'und',0,5),('node','blog',0,30,30,'und',0,6),('node','blog',0,31,31,'und',0,7),('node','blog',0,32,32,'und',0,8);
/*!40000 ALTER TABLE `field_revision_field_tags` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `field_revision_field_website`
--

DROP TABLE IF EXISTS `field_revision_field_website`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `field_revision_field_website` (
  `entity_type` varchar(128) NOT NULL DEFAULT '' COMMENT 'The entity type this data is attached to',
  `bundle` varchar(128) NOT NULL DEFAULT '' COMMENT 'The field instance bundle to which this row belongs, used when deleting a field instance',
  `deleted` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this data item has been deleted',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity id this data is attached to',
  `revision_id` int(10) unsigned NOT NULL COMMENT 'The entity revision id this data is attached to',
  `language` varchar(32) NOT NULL DEFAULT '' COMMENT 'The language for this data item.',
  `delta` int(10) unsigned NOT NULL COMMENT 'The sequence number for this data item, used for multi-value fields',
  `field_website_url` varchar(2048) DEFAULT NULL,
  `field_website_title` varchar(255) DEFAULT NULL,
  `field_website_attributes` mediumtext,
  PRIMARY KEY (`entity_type`,`entity_id`,`revision_id`,`deleted`,`delta`,`language`),
  KEY `entity_type` (`entity_type`),
  KEY `bundle` (`bundle`),
  KEY `deleted` (`deleted`),
  KEY `entity_id` (`entity_id`),
  KEY `revision_id` (`revision_id`),
  KEY `language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Revision archive storage for field 13 (field_website)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `field_revision_field_website`
--

LOCK TABLES `field_revision_field_website` WRITE;
/*!40000 ALTER TABLE `field_revision_field_website` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `field_revision_field_website` VALUES ('node','client',0,16,16,'und',0,'http://www.nike.com','Nike','a:0:{}'),('node','client',0,17,17,'und',0,'http://weebpal.com','Weebpal','a:0:{}'),('node','client',0,18,18,'und',0,'https://www.apple.com/','Apple','a:0:{}'),('node','client',0,19,19,'und',0,'http://disnep.com','Disnep','a:0:{}'),('node','client',0,20,20,'und',0,'http://pixax.com','Pixax','a:0:{}'),('node','client',0,21,21,'und',0,'http://themeforest.net','Themeforest','a:0:{}'),('node','client',0,22,22,'und',0,'http://www.envato.com/','Envanto','a:0:{}'),('node','client',0,23,23,'und',0,'http://photodune.net/','Photodune','a:0:{}'),('node','client',0,24,24,'und',0,'http://audiojungle.net/','AudioJungle','a:0:{}'),('node','client',0,25,25,'und',0,'http://www.universal.com/','Universal','a:0:{}'),('node','client',0,26,26,'und',0,'http://www.foxmovies.com/','Fox movies','a:0:{}'),('node','client',0,27,27,'und',0,'http://www.dreamworksstudios.com/','Dreamworks studios','a:0:{}');
/*!40000 ALTER TABLE `field_revision_field_website` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_managed`
--

DROP TABLE IF EXISTS `file_managed`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_managed` (
  `fid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'File ID.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who is associated with the file.',
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the file with no path components. This may differ from the basename of the URI if the file is renamed to avoid overwriting an existing file.',
  `uri` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'The URI to access the file (either local or remote).',
  `filemime` varchar(255) NOT NULL DEFAULT '' COMMENT 'The file’s MIME type.',
  `filesize` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'The size of the file in bytes.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A field indicating the status of the file. Two status are defined in core: temporary (0) and permanent (1). Temporary files older than DRUPAL_MAXIMUM_TEMP_FILE_AGE will be removed during a cron run.',
  `timestamp` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'UNIX timestamp for when the file was added.',
  PRIMARY KEY (`fid`),
  UNIQUE KEY `uri` (`uri`),
  KEY `uid` (`uid`),
  KEY `status` (`status`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=89 DEFAULT CHARSET=utf8 COMMENT='Stores information for uploaded files.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_managed`
--

LOCK TABLES `file_managed` WRITE;
/*!40000 ALTER TABLE `file_managed` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_managed` VALUES (1,1,'01_index.jpg','public://gallery/01_index.jpg','image/jpeg',660077,1,1422866014),(2,1,'demo-2.jpg','public://gallery/demo-2.jpg','image/jpeg',673323,1,1422866069),(3,1,'demo-3.jpg','public://gallery/demo-3.jpg','image/jpeg',1361771,1,1422866136),(4,1,'demo-4.jpg','public://gallery/demo-4.jpg','image/jpeg',702598,1,1422866155),(5,1,'demo-5.jpg','public://about/demo-5.jpg','image/jpeg',575200,1,1422866999),(6,1,'demo-6.jpg','public://services/demo-6.jpg','image/jpeg',895824,1,1422869055),(7,1,'demo-7.jpg','public://services/demo-7.jpg','image/jpeg',578481,1,1422869075),(8,1,'demo-8.jpg','public://services/demo-8.jpg','image/jpeg',1824857,1,1422869096),(9,1,'demo-9.jpg','public://services/demo-9.jpg','image/jpeg',1895207,1,1422869117),(11,1,'picture-4-1422873495.jpg','public://pictures/picture-4-1422873495.jpg','image/jpeg',67182,1,1422873495),(12,1,'picture-3-1422873697.jpg','public://pictures/picture-3-1422873697.jpg','image/jpeg',515514,1,1422873697),(14,1,'client-2.png','public://clients/client-2.png','image/png',5964,1,1422874131),(15,1,'client-3.png','public://clients/client-3.png','image/png',3269,1,1422874151),(16,1,'client-4.png','public://clients/client-4.png','image/png',5056,1,1422874165),(17,1,'client-5.png','public://clients/client-5.png','image/png',3648,1,1422874180),(18,1,'client-6.png','public://clients/client-6.png','image/png',3707,1,1422874199),(19,1,'client-7.png','public://clients/client-7.png','image/png',4025,1,1422874219),(20,1,'client-8.png','public://clients/client-8.png','image/png',4190,1,1422874234),(21,1,'client-9.png','public://clients/client-9.png','image/png',4049,1,1422874255),(22,1,'client-10.png','public://clients/client-10.png','image/png',4870,1,1422874272),(23,1,'client-11.png','public://clients/client-11.png','image/png',13896,1,1422874289),(24,1,'client-12.png','public://clients/client-12.png','image/png',5852,1,1422874304),(36,1,'demo-3.jpg','public://gallery/slideshow/demo-3.jpg','image/jpeg',1361771,1,1422931904),(37,1,'demo-2.jpg','public://gallery/slideshow/demo-2.jpg','image/jpeg',673323,1,1422931919),(38,1,'demo-4.jpg','public://gallery/slideshow/demo-4.jpg','image/jpeg',702598,1,1422931929),(39,1,'demo-5.jpg','public://gallery/slideshow/demo-5.jpg','image/jpeg',575200,1,1422931938),(40,1,'demo-9.jpg','public://blog/demo-9.jpg','image/jpeg',1895207,1,1422939776),(41,1,'demo-10.jpg','public://blog/demo-10.jpg','image/jpeg',939476,1,1422939809),(42,1,'demo-11.png','public://blog/demo-11.png','image/png',1611210,1,1422939847),(43,1,'demo-12.png','public://blog/demo-12.png','image/png',2002855,1,1422939914),(45,1,'demo-12.png','public://gallery/demo-12.png','image/png',2002855,1,1422950936),(46,1,'demo-14.png','public://gallery/demo-14.png','image/png',1276107,1,1422950936),(47,1,'demo-19.png','public://gallery/demo-19.png','image/png',1203171,1,1422950936),(48,1,'demo-17.jpg','public://gallery/demo-17.jpg','image/jpeg',1040124,1,1422951303),(49,1,'demo-16.jpg','public://gallery/demo-16.jpg','image/jpeg',323841,1,1422951335),(50,1,'demo-20.png','public://gallery/demo-20.png','image/png',1538907,1,1423045807),(51,1,'demo-22.png','public://gallery/demo-22.png','image/png',1314906,1,1423045850),(52,1,'demo-23.png','public://gallery/demo-23.png','image/png',1867191,1,1423045872),(53,1,'demo-25.png','public://gallery/demo-25.png','image/png',1208554,1,1423045911),(54,1,'demo-26.png','public://gallery/demo-26.png','image/png',1287282,1,1423045931),(55,1,'demo-21.png','public://gallery/demo-21.png','image/png',1448677,1,1423045995),(56,1,'demo-27.jpg','public://gallery/demo-27.jpg','image/jpeg',579149,1,1423046021),(57,1,'demo-28.jpg','public://gallery/demo-28.jpg','image/jpeg',597876,1,1423046043),(58,1,'demo-29.jpg','public://gallery/demo-29.jpg','image/jpeg',121555,1,1423046072),(59,1,'demo-30.jpg','public://gallery/demo-30.jpg','image/jpeg',2214764,1,1423046092),(60,1,'demo-31.png','public://gallery/demo-31.png','image/png',2087161,1,1423046111),(64,1,'demo-28.jpg','public://gallery/demo-28_0.jpg','image/jpeg',597876,1,1423117266),(65,1,'demo-30.jpg','public://gallery/demo-30_0.jpg','image/jpeg',2214764,1,1423117266),(66,1,'picture-1-1427979423.jpg','public://pictures/picture-1-1427979423.jpg','image/jpeg',67182,1,1427979423),(69,1,'client-1.png','public://clients/client-1_0.png','image/png',4130,1,1428137808),(76,1,'ico-1.png','public://involves/ico-1_0.png','image/png',434,1,1429084146),(77,1,'ico-2.png','public://involves/ico-2_0.png','image/png',359,1,1429084547),(78,1,'ico-3.png','public://involves/ico-3_0.png','image/png',374,1,1429084806),(79,1,'ico-4.png','public://involves/ico-4_0.png','image/png',304,1,1429084802),(80,1,'ico-5.png','public://involves/ico-5_0.png','image/png',309,1,1429084798),(81,1,'ico-6.png','public://involves/ico-6_0.png','image/png',301,1,1429084990),(82,1,'demo-32.jpg','public://gallery/demo-32_0.jpg','image/jpeg',265400,1,1429088283),(83,1,'demo-16.jpg','public://gallery/demo-16_0.jpg','image/jpeg',323841,1,1429598586),(84,1,'demo-15.png','public://gallery/demo-15_0.png','image/png',1614379,1,1429598586),(85,1,'demo-100.jpg','public://gallery/demo-100.jpg','image/jpeg',335183,1,1433401895),(86,1,'demo-102.jpg','public://gallery/demo-102.jpg','image/jpeg',259984,1,1433401941),(87,1,'demo-103.jpg','public://gallery/demo-103.jpg','image/jpeg',634507,1,1433402020),(88,1,'demo-101.jpg','public://gallery/demo-101.jpg','image/jpeg',542897,1,1433402117);
/*!40000 ALTER TABLE `file_managed` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `file_usage`
--

DROP TABLE IF EXISTS `file_usage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_usage` (
  `fid` int(10) unsigned NOT NULL COMMENT 'File ID.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the module that is using the file.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'The name of the object type in which the file is used.',
  `id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The primary key of the object using the file.',
  `count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The number of times this file is used by this object.',
  PRIMARY KEY (`fid`,`type`,`id`,`module`),
  KEY `type_id` (`type`,`id`),
  KEY `fid_count` (`fid`,`count`),
  KEY `fid_module` (`fid`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Track where a file is used.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `file_usage`
--

LOCK TABLES `file_usage` WRITE;
/*!40000 ALTER TABLE `file_usage` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `file_usage` VALUES (1,'file','node',1,1),(2,'file','node',2,1),(3,'file','node',3,1),(4,'file','node',4,1),(5,'file','node',5,1),(6,'file','node',6,1),(7,'file','node',7,1),(8,'file','node',8,1),(9,'file','node',9,1),(11,'user','user',4,1),(12,'user','user',3,1),(14,'file','node',17,1),(15,'file','node',18,1),(16,'file','node',19,1),(17,'file','node',20,1),(18,'file','node',21,1),(19,'file','node',22,1),(20,'file','node',23,1),(21,'file','node',24,1),(22,'file','node',25,1),(23,'file','node',26,1),(24,'file','node',27,1),(36,'file','node',4,1),(37,'file','node',1,1),(38,'file','node',2,1),(39,'file','node',3,1),(40,'file','node',29,1),(41,'file','node',30,1),(42,'file','node',31,1),(43,'file','node',32,1),(45,'file','node',34,1),(46,'file','node',34,1),(47,'file','node',34,1),(48,'file','node',35,1),(49,'file','node',36,1),(50,'file','node',37,1),(51,'file','node',38,1),(52,'file','node',39,1),(53,'file','node',40,1),(54,'file','node',41,1),(55,'file','node',42,1),(56,'file','node',43,1),(57,'file','node',44,1),(58,'file','node',45,1),(59,'file','node',46,1),(60,'file','node',47,1),(64,'file','node',48,1),(65,'file','node',48,1),(66,'user','user',1,1),(69,'file','node',16,1),(76,'file','node',10,1),(77,'file','node',11,1),(78,'file','node',12,1),(79,'file','node',13,1),(80,'file','node',14,1),(81,'file','node',15,1),(82,'file','node',48,1),(83,'file','node',41,1),(84,'file','node',41,1),(85,'file','node',50,1),(86,'file','node',51,1),(87,'file','node',52,1),(88,'file','node',53,1);
/*!40000 ALTER TABLE `file_usage` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter`
--

DROP TABLE IF EXISTS `filter`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter` (
  `format` varchar(255) NOT NULL COMMENT 'Foreign key: The filter_format.format to which this filter is assigned.',
  `module` varchar(64) NOT NULL DEFAULT '' COMMENT 'The origin module of the filter.',
  `name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Name of the filter being referenced.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of filter within format.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Filter enabled status. (1 = enabled, 0 = disabled)',
  `settings` longblob COMMENT 'A serialized array of name value pairs that store the filter settings for the specific format.',
  PRIMARY KEY (`format`,`name`),
  KEY `list` (`weight`,`module`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table that maps filters (HTML corrector) to text formats ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter`
--

LOCK TABLES `filter` WRITE;
/*!40000 ALTER TABLE `filter` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter` VALUES ('filtered_html','filter','filter_autop',2,1,'a:0:{}'),('filtered_html','filter','filter_html',1,1,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('filtered_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('filtered_html','filter','filter_html_escape',-10,0,'a:0:{}'),('filtered_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('full_html','filter','filter_autop',1,1,'a:0:{}'),('full_html','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('full_html','filter','filter_htmlcorrector',10,1,'a:0:{}'),('full_html','filter','filter_html_escape',-10,0,'a:0:{}'),('full_html','filter','filter_url',0,1,'a:1:{s:17:\"filter_url_length\";i:72;}'),('plain_text','filter','filter_autop',2,1,'a:0:{}'),('plain_text','filter','filter_html',-10,0,'a:3:{s:12:\"allowed_html\";s:74:\"<a> <em> <strong> <cite> <blockquote> <code> <ul> <ol> <li> <dl> <dt> <dd>\";s:16:\"filter_html_help\";i:1;s:20:\"filter_html_nofollow\";i:0;}'),('plain_text','filter','filter_htmlcorrector',10,0,'a:0:{}'),('plain_text','filter','filter_html_escape',0,1,'a:0:{}'),('plain_text','filter','filter_url',1,1,'a:1:{s:17:\"filter_url_length\";i:72;}');
/*!40000 ALTER TABLE `filter` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `filter_format`
--

DROP TABLE IF EXISTS `filter_format`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `filter_format` (
  `format` varchar(255) NOT NULL COMMENT 'Primary Key: Unique machine name of the format.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the text format (Filtered HTML).',
  `cache` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Flag to indicate whether format is cacheable. (1 = cacheable, 0 = not cacheable)',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'The status of the text format. (1 = enabled, 0 = disabled)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of text format to use when listing.',
  PRIMARY KEY (`format`),
  UNIQUE KEY `name` (`name`),
  KEY `status_weight` (`status`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores text formats: custom groupings of filters, such as...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `filter_format`
--

LOCK TABLES `filter_format` WRITE;
/*!40000 ALTER TABLE `filter_format` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `filter_format` VALUES ('filtered_html','Filtered HTML',1,1,0),('full_html','Full HTML',1,1,1),('plain_text','Plain text',1,1,10);
/*!40000 ALTER TABLE `filter_format` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flexslider_optionset`
--

DROP TABLE IF EXISTS `flexslider_optionset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flexslider_optionset` (
  `name` varchar(255) NOT NULL COMMENT 'The machine-readable option set name.',
  `title` varchar(255) NOT NULL COMMENT 'The human-readable title for this option set.',
  `theme` varchar(255) NOT NULL DEFAULT 'classic' COMMENT 'The flexslider theme.',
  `options` longblob COMMENT 'The options array.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Store option sets for flexslider instances.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flexslider_optionset`
--

LOCK TABLES `flexslider_optionset` WRITE;
/*!40000 ALTER TABLE `flexslider_optionset` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flexslider_optionset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `flood`
--

DROP TABLE IF EXISTS `flood`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flood` (
  `fid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique flood event ID.',
  `event` varchar(64) NOT NULL DEFAULT '' COMMENT 'Name of event (e.g. contact).',
  `identifier` varchar(128) NOT NULL DEFAULT '' COMMENT 'Identifier of the visitor, such as an IP address or hostname.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of the event.',
  `expiration` int(11) NOT NULL DEFAULT '0' COMMENT 'Expiration timestamp. Expired events are purged on cron run.',
  PRIMARY KEY (`fid`),
  KEY `allow` (`event`,`identifier`,`timestamp`),
  KEY `purge` (`expiration`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Flood controls the threshold of events, such as the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `flood`
--

LOCK TABLES `flood` WRITE;
/*!40000 ALTER TABLE `flood` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `flood` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `history`
--

DROP TABLE IF EXISTS `history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `history` (
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that read the node nid.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that was read.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp at which the read occurred.',
  PRIMARY KEY (`uid`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A record of which users have read which nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `history`
--

LOCK TABLES `history` WRITE;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `history` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_effects`
--

DROP TABLE IF EXISTS `image_effects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_effects` (
  `ieid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image effect.',
  `isid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The image_styles.isid for an image style.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of the effect in the style.',
  `name` varchar(255) NOT NULL COMMENT 'The unique name of the effect to be executed.',
  `data` longblob NOT NULL COMMENT 'The configuration data for the effect.',
  PRIMARY KEY (`ieid`),
  KEY `isid` (`isid`),
  KEY `weight` (`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image effects.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_effects`
--

LOCK TABLES `image_effects` WRITE;
/*!40000 ALTER TABLE `image_effects` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_effects` VALUES (1,1,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"670\";s:6:\"height\";s:3:\"450\";}'),(2,2,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"270\";s:6:\"height\";s:3:\"270\";}'),(3,3,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"170\";s:6:\"height\";s:3:\"170\";}'),(4,4,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"870\";s:6:\"height\";s:3:\"490\";}'),(5,5,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"480\";s:6:\"height\";s:3:\"285\";}'),(7,6,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"570\";s:6:\"height\";s:3:\"570\";}'),(8,7,1,'image_scale','a:3:{s:5:\"width\";s:3:\"480\";s:6:\"height\";s:0:\"\";s:7:\"upscale\";i:0;}'),(9,8,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"300\";s:6:\"height\";s:4:\"1200\";}'),(10,9,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:3:\"640\";s:6:\"height\";s:3:\"380\";}'),(11,10,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:4:\"1304\";s:6:\"height\";s:3:\"858\";}'),(12,11,1,'image_scale_and_crop','a:2:{s:5:\"width\";s:4:\"2200\";s:6:\"height\";s:4:\"1238\";}');
/*!40000 ALTER TABLE `image_effects` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `image_styles`
--

DROP TABLE IF EXISTS `image_styles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `image_styles` (
  `isid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for an image style.',
  `name` varchar(255) NOT NULL COMMENT 'The style machine name.',
  `label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The style administrative name.',
  PRIMARY KEY (`isid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COMMENT='Stores configuration options for image styles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `image_styles`
--

LOCK TABLES `image_styles` WRITE;
/*!40000 ALTER TABLE `image_styles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `image_styles` VALUES (1,'thumbnail_aboutus','Thumbnail(670x460)'),(2,'thumbnail_user','Thumbnail(270x270)'),(3,'thumbnail_client','Thumbnail(170x170)'),(4,'thumbnail_gallery_flow','Thumbnail(870x490)'),(5,'thumbnail_blog','Thumbnail(480x285)'),(6,'large','Large (570x570)'),(7,'thumbnail_mansory','Thumbnail(480)'),(8,'300x1189','300x1200'),(9,'480x285','640x380'),(10,'1000x658','1000x658'),(11,'2200x1172','2200x1238');
/*!40000 ALTER TABLE `image_styles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `languages` (
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code, e.g. ’de’ or ’en-US’.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Language name in English.',
  `native` varchar(64) NOT NULL DEFAULT '' COMMENT 'Native language name.',
  `direction` int(11) NOT NULL DEFAULT '0' COMMENT 'Direction of language (Left-to-Right = 0, Right-to-Left = 1).',
  `enabled` int(11) NOT NULL DEFAULT '0' COMMENT 'Enabled flag (1 = Enabled, 0 = Disabled).',
  `plurals` int(11) NOT NULL DEFAULT '0' COMMENT 'Number of plural indexes in this language.',
  `formula` varchar(255) NOT NULL DEFAULT '' COMMENT 'Plural formula in PHP code to evaluate to get plural indexes.',
  `domain` varchar(128) NOT NULL DEFAULT '' COMMENT 'Domain to use for this language.',
  `prefix` varchar(128) NOT NULL DEFAULT '' COMMENT 'Path prefix to use for this language.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight, used in lists of languages.',
  `javascript` varchar(64) NOT NULL DEFAULT '' COMMENT 'Location of JavaScript translation file.',
  PRIMARY KEY (`language`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='List of all available languages in the system.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `languages` VALUES ('ar','Arabic','العربية',1,1,0,'','','ar',0,''),('en','English','English',0,1,0,'','','en',0,'');
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_source`
--

DROP TABLE IF EXISTS `locales_source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_source` (
  `lid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier of this string.',
  `location` longtext COMMENT 'Drupal path in case of online discovered translations or file path in case of imported strings.',
  `textgroup` varchar(255) NOT NULL DEFAULT 'default' COMMENT 'A module defined group of translations, see hook_locale().',
  `source` blob NOT NULL COMMENT 'The original string in English.',
  `context` varchar(255) NOT NULL DEFAULT '' COMMENT 'The context this string applies to.',
  `version` varchar(20) NOT NULL DEFAULT 'none' COMMENT 'Version of Drupal, where the string was last used (for locales optimization).',
  PRIMARY KEY (`lid`),
  KEY `source_context` (`source`(30),`context`)
) ENGINE=InnoDB AUTO_INCREMENT=2568 DEFAULT CHARSET=utf8 COMMENT='List of English source strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_source`
--

LOCK TABLES `locales_source` WRITE;
/*!40000 ALTER TABLE `locales_source` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `locales_source` VALUES (1,'misc/drupal.js','default','An AJAX HTTP error occurred.','','none'),(2,'misc/drupal.js','default','HTTP Result Code: !status','','none'),(3,'misc/drupal.js','default','An AJAX HTTP request terminated abnormally.','','none'),(4,'misc/drupal.js','default','Debugging information follows.','','none'),(5,'misc/drupal.js','default','Path: !uri','','none'),(6,'misc/drupal.js','default','StatusText: !statusText','','none'),(7,'misc/drupal.js','default','ResponseText: !responseText','','none'),(8,'misc/drupal.js','default','ReadyState: !readyState','','none'),(9,'modules/overlay/overlay-child.js','default','Loading','','none'),(10,'modules/overlay/overlay-child.js; misc/vertical-tabs.js','default','(active tab)','','7.37'),(11,'sites/all/modules/module_filter/js/module_filter.js','default','No results','','none'),(12,'sites/all/modules/module_filter/js/module_filter.js','default','clear','','none'),(13,'sites/all/modules/module_filter/js/module_filter_tab.js','default','All','','7.37'),(14,'sites/all/modules/module_filter/js/module_filter_tab.js','default','New','','none'),(15,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules installed within the last week.','','none'),(16,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules added within the last week.','','none'),(17,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Recent','','none'),(18,'sites/all/modules/module_filter/js/module_filter_tab.js','default','Modules enabled/disabled within the last week.','','none'),(19,'sites/all/modules/module_filter/js/module_filter_tab.js','default','No modules were enabled or disabled within the last week.','','none'),(20,'sites/all/modules/module_filter/js/module_filter_tab.js','default','@enabled of @total','','none'),(21,'misc/tabledrag.js','default','Re-order rows by numerical weight instead of dragging.','','none'),(22,'misc/tabledrag.js','default','Show row weights','','none'),(23,'misc/tabledrag.js','default','Hide row weights','','none'),(24,'misc/tabledrag.js','default','Drag to re-order','','none'),(25,'misc/tabledrag.js','default','Changes made in this table will not be saved until the form is submitted.','','none'),(26,'misc/collapse.js','default','Hide','','none'),(27,'misc/collapse.js','default','Show','','none'),(28,'/photo/admin/config/regional/language?render=overlay','default','Public files','','7.37'),(29,'/photo/admin/config/regional/language?render=overlay','default','Public local files served by the webserver.','','7.37'),(30,'/photo/admin/config/regional/language?render=overlay','default','Temporary files','','7.37'),(31,'/photo/admin/config/regional/language?render=overlay','default','Temporary local files for upload and previews.','','7.37'),(32,'/photo/admin/config/regional/language?render=overlay','default','Languages','','7.37'),(33,'/photo/admin/config/regional/language?render=overlay','default','Configure languages for content and the user interface.','','7.37'),(34,'/photo/admin/config/regional/language?render=overlay','default','Long','','7.37'),(35,'/photo/admin/config/regional/language?render=overlay','default','Medium','','7.37'),(36,'/photo/admin/config/regional/language?render=overlay','default','Short','','7.37'),(37,'/photo/admin/config/regional/language?render=overlay','default','Drupal core update status','','7.37'),(38,'/photo/admin/config/regional/language?render=overlay','default','No update data available','','7.34'),(39,'/photo/admin/config/regional/language?render=overlay','default','No update information available. <a href=\"@run_cron\">Run cron</a> or <a href=\"@check_manually\">check manually</a>.','','7.34'),(40,'/photo/admin/config/regional/language?render=overlay','default','Weight for @title','','7.37'),(41,'/photo/admin/config/regional/language?render=overlay','default','Right to left','','7.37'),(42,'/photo/admin/config/regional/language?render=overlay','default','Left to right','','7.37'),(43,'/photo/admin/config/regional/language?render=overlay','default','Enabled languages','','7.37'),(44,'/photo/admin/config/regional/language?render=overlay','default','Default language','','7.37'),(45,'/photo/admin/config/regional/language?render=overlay','default','Save configuration','','7.37'),(46,'/photo/admin/config/regional/language?render=overlay','default','Content','','7.37'),(47,'/photo/admin/config/regional/language?render=overlay','default','Help','','7.37'),(48,'/photo/admin/config/regional/language?render=overlay','default','Page top','','7.37'),(49,'/photo/admin/config/regional/language?render=overlay','default','Page bottom','','7.37'),(50,'/photo/admin/config/regional/language?render=overlay','default','First sidebar','','7.37'),(51,'/photo/admin/config/regional/language?render=overlay','default','Dashboard (main)','','7.37'),(52,'/photo/admin/config/regional/language?render=overlay','default','Dashboard (sidebar)','','7.37'),(53,'/photo/admin/config/regional/language?render=overlay','default','Dashboard (inactive)','','7.37'),(54,'/photo/admin/config/regional/language?render=overlay','default','Blog entry','','7.37'),(55,'/photo/admin/config/regional/language?render=overlay','default','Use for multi-user blogs. Every user gets a personal blog.','','7.37'),(56,'/photo/admin/config/regional/language?render=overlay','default','List','','7.37'),(57,'/photo/admin/config/regional/language?render=overlay','default','Add language','','7.37'),(58,'/photo/admin/config/regional/language?render=overlay','default','Detection and selection','','7.37'),(59,'/photo/admin/config/regional/language?render=overlay','default','With multiple languages enabled, interface text can be translated, registered users may select their preferred language, and authors can assign a specific language to content. <a href=\"@translations\">Download contributed translations</a> from Drupal.org.','','7.37'),(60,'/photo/admin/config/regional/language?render=overlay','default','Title','','7.37'),(61,'/photo/admin/config/regional/language?render=overlay','default','Name','','7.37'),(62,'/photo/admin/config/regional/language?render=overlay','default','Description','','7.37'),(63,'/photo/admin/config/regional/language?render=overlay','default','Subject','','7.37'),(64,'/photo/admin/config/regional/language?render=overlay','default','Comment','','7.37'),(65,'/photo/admin/config/regional/language?render=overlay','default','Full comment','','7.37'),(66,'/photo/admin/config/regional/language?render=overlay','default','@node_type comment','','7.37'),(67,'/photo/admin/config/regional/language?render=overlay','default','Node','','7.37'),(68,'/photo/admin/config/regional/language?render=overlay','default','Full content','','7.37'),(69,'/photo/admin/config/regional/language?render=overlay','default','Teaser','','7.37'),(70,'/photo/admin/config/regional/language?render=overlay','default','RSS','','7.37'),(71,'/photo/admin/config/regional/language?render=overlay','default','Search index','','7.37'),(72,'/photo/admin/config/regional/language?render=overlay','default','Search result highlighting input','','7.37'),(73,'/photo/admin/config/regional/language?render=overlay','default','File','','7.37'),(74,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy term','','7.37'),(75,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy term page','','7.37'),(76,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy vocabulary','','7.37'),(77,'/photo/admin/config/regional/language?render=overlay','default','User','','7.37'),(78,'/photo/admin/config/regional/language?render=overlay','default','User account','','7.37'),(79,'/photo/admin/config/regional/language?render=overlay','default','Tokens','','7.37'),(80,'/photo/admin/config/regional/language?render=overlay','default','This field stores the ID of a file as an integer value.','','7.37'),(81,'/photo/admin/config/regional/language?render=overlay','default','Image','','7.37'),(82,'/photo/admin/config/regional/language?render=overlay','default','This field stores the ID of an image file as an integer value.','','7.37'),(83,'/photo/admin/config/regional/language?render=overlay','default','Link','','7.37'),(84,'/photo/admin/config/regional/language?render=overlay','default','Store a title, href, and attributes in the database to assemble a link.','','7.37'),(85,'/photo/admin/config/regional/language?render=overlay','default','List (integer)','','7.37'),(86,'/photo/admin/config/regional/language?render=overlay','default','This field stores integer values from a list of allowed \'value => label\' pairs, i.e. \'Lifetime in days\': 1 => 1 day, 7 => 1 week, 31 => 1 month.','','7.37'),(87,'/photo/admin/config/regional/language?render=overlay','default','List (float)','','7.37'),(88,'/photo/admin/config/regional/language?render=overlay','default','This field stores float values from a list of allowed \'value => label\' pairs, i.e. \'Fraction\': 0 => 0, .25 => 1/4, .75 => 3/4, 1 => 1.','','7.37'),(89,'/photo/admin/config/regional/language?render=overlay','default','List (text)','','7.37'),(90,'/photo/admin/config/regional/language?render=overlay','default','This field stores text values from a list of allowed \'value => label\' pairs, i.e. \'US States\': IL => Illinois, IA => Iowa, IN => Indiana.','','7.37'),(91,'/photo/admin/config/regional/language?render=overlay','default','Boolean','','7.37'),(92,'/photo/admin/config/regional/language?render=overlay','default','This field stores simple on/off or yes/no options.','','7.37'),(93,'/photo/admin/config/regional/language?render=overlay','default','Integer','','7.37'),(94,'/photo/admin/config/regional/language?render=overlay','default','This field stores a number in the database as an integer.','','7.37'),(95,'/photo/admin/config/regional/language?render=overlay','default','Decimal','','7.37'),(96,'/photo/admin/config/regional/language?render=overlay','default','This field stores a number in the database in a fixed decimal format.','','7.37'),(97,'/photo/admin/config/regional/language?render=overlay','default','Float','','7.37'),(98,'/photo/admin/config/regional/language?render=overlay','default','This field stores a number in the database in a floating point format.','','7.37'),(99,'/photo/admin/config/regional/language?render=overlay','default','Term reference','','7.37'),(100,'/photo/admin/config/regional/language?render=overlay','default','This field stores a reference to a taxonomy term.','','7.37'),(101,'/photo/admin/config/regional/language?render=overlay','default','Text','','7.37'),(102,'/photo/admin/config/regional/language?render=overlay','default','This field stores varchar text in the database.','','7.37'),(103,'/photo/admin/config/regional/language?render=overlay','default','Long text','','7.37'),(104,'/photo/admin/config/regional/language?render=overlay','default','This field stores long text in the database.','','7.37'),(105,'/photo/admin/config/regional/language?render=overlay','default','Long text and summary','','7.37'),(106,'/photo/admin/config/regional/language?render=overlay','default','This field stores long text in the database along with optional summary text.','','7.37'),(107,'/photo/admin/config/regional/language?render=overlay','default','Text field','','7.37'),(108,'/photo/admin/config/regional/language?render=overlay','default','Select list','','7.37'),(109,'/photo/admin/config/regional/language?render=overlay','default','Check boxes/radio buttons','','7.37'),(110,'/photo/admin/config/regional/language?render=overlay','default','Single on/off checkbox','','7.37'),(111,'/photo/admin/config/regional/language?render=overlay','default','Autocomplete term widget (tagging)','','7.37'),(112,'/photo/admin/config/regional/language?render=overlay','default','Text area (multiple rows)','','7.37'),(113,'/photo/admin/config/regional/language?render=overlay','default','Text area with a summary','','7.37'),(114,'/photo/admin/config/regional/language?render=overlay','default','Linked and wrapped','','7.37'),(115,'/photo/admin/config/regional/language?render=overlay','default','Colorbox','','7.37'),(116,'/photo/admin/config/regional/language?render=overlay','default','Generic file','','7.37'),(117,'/photo/admin/config/regional/language?render=overlay','default','Table of files','','7.37'),(118,'/photo/admin/config/regional/language?render=overlay','default','URL to file','','7.37'),(119,'/photo/admin/config/regional/language?render=overlay','default','jQuery Gallery','','7.37'),(120,'/photo/admin/config/regional/language?render=overlay','default','Display multi-value fields as an jQuery Image gallery.','','7.37'),(121,'/photo/admin/config/regional/language?render=overlay','default','Juicebox Gallery','','7.37'),(122,'/photo/admin/config/regional/language?render=overlay','default','Style groups of images or files as a Juicebox gallery.','','7.37'),(123,'/photo/admin/config/regional/language?render=overlay','default','Title, as link (default)','','7.37'),(124,'/photo/admin/config/regional/language?render=overlay','default','Title, as plain text','','7.37'),(125,'/photo/admin/config/regional/language?render=overlay','default','URL, as link','','7.37'),(126,'/photo/admin/config/regional/language?render=overlay','default','URL, as plain text','','7.37'),(127,'/photo/admin/config/regional/language?render=overlay','default','URL, absolute','','7.37'),(128,'/photo/admin/config/regional/language?render=overlay','default','Domain, as link','','7.37'),(129,'/photo/admin/config/regional/language?render=overlay','default','Short, as link with title \"Link\"','','7.37'),(130,'/photo/admin/config/regional/language?render=overlay','default','Label, as link with label as title','','7.37'),(131,'/photo/admin/config/regional/language?render=overlay','default','Separate title and URL','','7.37'),(132,'/photo/admin/config/regional/language?render=overlay','default','Default','','7.37'),(133,'/photo/admin/config/regional/language?render=overlay','default','Key','','7.37'),(134,'/photo/admin/config/regional/language?render=overlay','default','Unformatted','','7.37'),(135,'/photo/admin/config/regional/language?render=overlay','default','Plain text','','7.37'),(136,'/photo/admin/config/regional/language?render=overlay','default','RSS category','','7.37'),(137,'/photo/admin/config/regional/language?render=overlay','default','Trimmed','','7.37'),(138,'/photo/admin/config/regional/language?render=overlay','default','Summary or trimmed','','7.37'),(139,'/photo/admin/config/regional/language?render=overlay','default','Default SQL storage','','7.37'),(140,'/photo/admin/config/regional/language?render=overlay','default','Stores fields in the local SQL database, using per-field tables.','','7.37'),(141,'/photo/admin/config/regional/language?render=overlay','default','Main menu','','7.37'),(142,'/photo/admin/config/regional/language?render=overlay','default','Management','','7.37'),(143,'/photo/admin/config/regional/language?render=overlay','default','Second menu','','7.37'),(144,'/photo/admin/config/regional/language?render=overlay','default','Navigation','','7.37'),(145,'/photo/admin/config/regional/language?render=overlay','default','User menu','','7.37'),(146,'/photo/admin/config/regional/language?render=overlay','default','Normal','','7.37'),(147,'/photo/admin/config/regional/language?render=overlay','default','Rendered submissions','','7.37'),(148,'/photo/admin/config/regional/language?render=overlay','default','Display the rendered submission','','7.37'),(149,'/photo/admin/config/regional/language?render=overlay','default','Display the comment with standard comment view.','','7.37'),(150,'/photo/admin/config/regional/language?render=overlay','default','Display the comment as RSS.','','7.37'),(151,'/photo/admin/config/regional/language?render=overlay','default','Display rows as a Juicebox Gallery.','','7.37'),(152,'/photo/admin/config/regional/language?render=overlay','default','Display the content with standard node view.','','7.37'),(153,'/photo/admin/config/regional/language?render=overlay','default','Content ID from URL','','7.37'),(154,'/photo/admin/config/regional/language?render=overlay','default','Quicktabs','','7.37'),(155,'/photo/admin/config/regional/language?render=overlay','default','Display view in Quicktabs.','','7.37'),(156,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy term ID from URL','','7.37'),(157,'/photo/admin/config/regional/language?render=overlay','default','Display the user with standard user view.','','7.37'),(158,'/photo/admin/config/regional/language?render=overlay','default','User ID from URL','','7.37'),(159,'/photo/admin/config/regional/language?render=overlay','default','User ID from logged in user','','7.37'),(160,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Carousel','','7.37'),(161,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Carousel Style','','7.37'),(162,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Thumbnails','','7.37'),(163,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Thumbnails Style','','7.37'),(164,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Grid','','7.37'),(165,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Grid Style','','7.37'),(166,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Accordion','','7.37'),(167,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Accordion Style','','7.37'),(168,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Tab','','7.37'),(169,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Tab Style','','7.37'),(170,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Media Object','','7.37'),(171,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Media Object Style','','7.37'),(172,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Table','','7.37'),(173,'/photo/admin/config/regional/language?render=overlay','default','Displays rows in Bootstrap Table Style','','7.37'),(174,'/photo/admin/config/regional/language?render=overlay','default','Choose the fields to display in Bootstrap Carousel Style.','','7.37'),(175,'/photo/admin/config/regional/language?render=overlay','default','Bootstrap Thumbnail','','7.37'),(176,'/photo/admin/config/regional/language?render=overlay','default','Choose the fields to display in Bootstrap Thumbnail Style.','','7.37'),(177,'/photo/admin/config/regional/language?render=overlay','default','Views fieldsets options','','7.37'),(178,'/photo/admin/config/regional/language?render=overlay','default','A way to export Views Fieldsets.','','7.37'),(179,'/photo/admin/config/regional/language?render=overlay','default','Slideshow','','7.37'),(180,'/photo/admin/config/regional/language?render=overlay','default','Display the results as a slideshow.','','7.37'),(181,'/photo/admin/config/regional/language?render=overlay','default','Master','','7.37'),(182,'/photo/admin/config/regional/language?render=overlay','default','Default settings for this view.','','7.37'),(183,'/photo/admin/config/regional/language?render=overlay','default','Page','','7.37'),(184,'/photo/admin/config/regional/language?render=overlay','default','Display the view as a page, with a URL and menu links.','','7.37'),(185,'/photo/admin/config/regional/language?render=overlay','default','Block','','7.37'),(186,'/photo/admin/config/regional/language?render=overlay','default','Display the view as a block.','','7.37'),(187,'/photo/admin/config/regional/language?render=overlay','default','Attachment','','7.37'),(188,'/photo/admin/config/regional/language?render=overlay','default','Attachments added to other displays to achieve multiple views in the same view.','','7.37'),(189,'/photo/admin/config/regional/language?render=overlay','default','Feed','','7.37'),(190,'/photo/admin/config/regional/language?render=overlay','default','Display the view as a feed, such as an RSS feed.','','7.37'),(191,'/photo/admin/config/regional/language?render=overlay','default','Embed','','7.37'),(192,'/photo/admin/config/regional/language?render=overlay','default','Provide a display which can be embedded using the views api.','','7.37'),(193,'/photo/admin/config/regional/language?render=overlay','default','Empty display extender','','7.37'),(194,'/photo/admin/config/regional/language?render=overlay','default','Unformatted list','','7.37'),(195,'/photo/admin/config/regional/language?render=overlay','default','Displays rows one after another.','','7.37'),(196,'/photo/admin/config/regional/language?render=overlay','default','HTML list','','7.37'),(197,'/photo/admin/config/regional/language?render=overlay','default','Displays rows as an HTML list.','','7.37'),(198,'/photo/admin/config/regional/language?render=overlay','default','Grid','','7.37'),(199,'/photo/admin/config/regional/language?render=overlay','default','Displays rows in a grid.','','7.37'),(200,'/photo/admin/config/regional/language?render=overlay','default','Table','','7.37'),(201,'/photo/admin/config/regional/language?render=overlay','default','Displays rows in a table.','','7.37'),(202,'/photo/admin/config/regional/language?render=overlay','default','Displays the default summary as a list.','','7.37'),(203,'/photo/admin/config/regional/language?render=overlay','default','Displays the summary unformatted, with option for one after another or inline.','','7.37'),(204,'/photo/admin/config/regional/language?render=overlay','default','RSS Feed','','7.37'),(205,'/photo/admin/config/regional/language?render=overlay','default','Generates an RSS feed from a view.','','7.37'),(206,'/photo/admin/config/regional/language?render=overlay','default','Fields','','7.37'),(207,'/photo/admin/config/regional/language?render=overlay','default','Displays the fields with an optional template.','','7.37'),(208,'/photo/admin/config/regional/language?render=overlay','default','Display fields as RSS items.','','7.37'),(209,'/photo/admin/config/regional/language?render=overlay','default','Fixed value','','7.37'),(210,'/photo/admin/config/regional/language?render=overlay','default','PHP Code','','7.37'),(211,'/photo/admin/config/regional/language?render=overlay','default','Raw value from URL','','7.37'),(212,'/photo/admin/config/regional/language?render=overlay','default','Numeric','','7.37'),(213,'/photo/admin/config/regional/language?render=overlay','default','None','','7.37'),(214,'/photo/admin/config/regional/language?render=overlay','default','Will be available to all users.','','7.37'),(215,'/photo/admin/config/regional/language?render=overlay','default','Role','','7.37'),(216,'/photo/admin/config/regional/language?render=overlay','default','Access will be granted to users with any of the specified roles.','','7.37'),(217,'/photo/admin/config/regional/language?render=overlay','default','Permission','','7.37'),(218,'/photo/admin/config/regional/language?render=overlay','default','Access will be granted to users with the specified permission string.','','7.37'),(219,'/photo/admin/config/regional/language?render=overlay','default','SQL Query','','7.37'),(220,'/photo/admin/config/regional/language?render=overlay','default','Query will be generated and run using the Drupal database API.','','7.37'),(221,'/photo/admin/config/regional/language?render=overlay','default','No caching of Views data.','','7.37'),(222,'/photo/admin/config/regional/language?render=overlay','default','Time-based','','7.37'),(223,'/photo/admin/config/regional/language?render=overlay','default','Simple time-based caching of data.','','7.37'),(224,'/photo/admin/config/regional/language?render=overlay','default','Basic','','7.37'),(225,'/photo/admin/config/regional/language?render=overlay','default','Basic exposed form','','7.37'),(226,'/photo/admin/config/regional/language?render=overlay','default','Input required','','7.37'),(227,'/photo/admin/config/regional/language?render=overlay','default','An exposed form that only renders a view if the form contains user input.','','7.37'),(228,'/photo/admin/config/regional/language?render=overlay','default','Display all items','','7.37'),(229,'/photo/admin/config/regional/language?render=overlay','default','Display all items that this view might find','','7.37'),(230,'/photo/admin/config/regional/language?render=overlay','default','Display a specified number of items','','7.37'),(231,'/photo/admin/config/regional/language?render=overlay','default','Display a limited number items that this view might find.','','7.37'),(232,'/photo/admin/config/regional/language?render=overlay','default','Paged output, full pager','','7.37'),(233,'/photo/admin/config/regional/language?render=overlay','default','Full','','7.37'),(234,'/photo/admin/config/regional/language?render=overlay','default','Paged output, full Drupal style','','7.37'),(235,'/photo/admin/config/regional/language?render=overlay','default','Paged output, mini pager','','7.37'),(236,'/photo/admin/config/regional/language?render=overlay','default','Mini','','7.37'),(237,'/photo/admin/config/regional/language?render=overlay','default','Use the mini pager output.','','7.37'),(238,'/photo/admin/config/regional/language?render=overlay','default','Do not pass admin strings for translation.','','7.37'),(239,'/photo/admin/config/regional/language?render=overlay','default','Core','','7.37'),(240,'/photo/admin/config/regional/language?render=overlay','default','Use Drupal core t() function. Not recommended, as it doesn\'t support updates to existing strings.','','7.37'),(241,'/photo/admin/config/regional/language?render=overlay','default','If you need to translate Views labels into other languages, consider installing the <a href=\"!path\">Internationalization</a> package\'s Views translation module.','','7.37'),(242,'/photo/admin/config/regional/language?render=overlay','default','Jump menu','','7.37'),(243,'/photo/admin/config/regional/language?render=overlay','default','Puts all of the results into a select box and allows the user to go to a different page based upon the results.','','7.37'),(244,'/photo/admin/config/regional/language?render=overlay','default','more','','7.37'),(245,'/photo/admin/config/regional/language?render=overlay','default','Apply','','7.37'),(246,'/photo/admin/config/regional/language?render=overlay','default','Reset','','7.37'),(247,'/photo/admin/config/regional/language?render=overlay','default','Sort by','','7.37'),(248,'/photo/admin/config/regional/language?render=overlay','default','Asc','','7.37'),(249,'/photo/admin/config/regional/language?render=overlay','default','Desc','','7.37'),(250,'/photo/admin/config/regional/language?render=overlay','default','Items per page','','7.37'),(251,'/photo/admin/config/regional/language?render=overlay','default','- All -','','7.37'),(252,'/photo/admin/config/regional/language?render=overlay','default','Offset','','7.37'),(253,'/photo/admin/config/regional/language?render=overlay','default','« first','','7.37'),(254,'/photo/admin/config/regional/language?render=overlay','default','‹ previous','','7.37'),(255,'/photo/admin/config/regional/language?render=overlay','default','next ›','','7.37'),(256,'/photo/admin/config/regional/language?render=overlay','default','last »','','7.37'),(257,'/photo/admin/config/regional/language?render=overlay','default','Showing @start - @end of @total','','7.34'),(258,'/photo/admin/config/regional/language?render=overlay','default','Webform Submission User','','7.37'),(259,'/photo/admin/config/regional/language?render=overlay','default','Serial Number','','7.34'),(260,'/photo/admin/config/regional/language?render=overlay','default','[serial]','','7.34'),(261,'/photo/admin/config/regional/language?render=overlay','default','Submitted','','7.37'),(262,'/photo/admin/config/regional/language?render=overlay','default','IP address','','7.37'),(263,'/photo/admin/config/regional/language?render=overlay','default','Showing @start - @end of @total @items_per_page_links','','7.34'),(264,'/photo/admin/config/regional/language?render=overlay','default','#','','7.34'),(265,'/photo/admin/config/regional/language?render=overlay','default','Operations','','7.37'),(266,'/photo/admin/config/regional/language?render=overlay','default','view','','7.37'),(267,'/photo/admin/config/regional/language?render=overlay','default','edit','','7.37'),(268,'/photo/admin/config/regional/language?render=overlay','default','delete','','7.34'),(269,'/photo/admin/config/regional/language?render=overlay','default','Node for webform','','7.37'),(270,'/photo/admin/config/regional/language?render=overlay','default','Created','','7.37'),(271,'/photo/admin/config/regional/language?render=overlay','default','Status','','7.37'),(272,'/photo/admin/config/regional/language?render=overlay','default','View','','7.37'),(273,'/photo/admin/config/regional/language?render=overlay','default','Submissions','','7.37'),(274,'/photo/admin/config/regional/language?render=overlay','default','Analysis','','7.37'),(275,'/photo/admin/config/regional/language?render=overlay','default','Download','','7.37'),(276,'/photo/admin/config/regional/language?render=overlay; misc/machine-name.js','default','Edit','','7.37'),(277,'/photo/admin/config/regional/language?render=overlay','default','Components','','7.34'),(278,'/photo/admin/config/regional/language?render=overlay','default','Clear','','7.37'),(279,'/photo/admin/config/regional/language?render=overlay','default','Recent comments','','7.34'),(280,'/photo/admin/config/regional/language?render=overlay','default','Reply to','','7.34'),(281,'/photo/admin/config/regional/language?render=overlay','default','Recent posts','','7.34'),(282,'/photo/admin/config/regional/language?render=overlay','default','Type','','7.37'),(283,'/photo/admin/config/regional/language?render=overlay','default','Author','','7.37'),(284,'/photo/admin/config/regional/language?render=overlay','default','Replies','','7.34'),(285,'/photo/admin/config/regional/language?render=overlay','default','.','','7.34'),(286,'/photo/admin/config/regional/language?render=overlay','default',',','','7.34'),(287,'/photo/admin/config/regional/language?render=overlay','default','Last Post','','7.34'),(288,'/photo/admin/config/regional/language?render=overlay','default',' new','','7.34'),(289,'/photo/admin/config/regional/language?render=overlay','default','Recent posts for %1','','7.34'),(290,'/photo/admin/config/regional/language?render=overlay','default','Monthly archive','','7.34'),(291,'/photo/admin/config/regional/language?render=overlay','default','%1','','7.34'),(292,'/photo/admin/config/regional/language?render=overlay','default','Front page feed','','7.37'),(293,'/photo/admin/config/regional/language?render=overlay','default','Last update','','7.34'),(294,'/photo/admin/config/regional/language?render=overlay','default','No backlinks found.','','7.34'),(295,'/photo/admin/config/regional/language?render=overlay','default','Pages that link to %1','','7.34'),(296,'/photo/admin/config/regional/language?render=overlay','default','What links here','','7.34'),(297,'/photo/admin/config/regional/language?render=overlay','default','Overridden','','7.37'),(298,'/photo/admin/config/regional/language?render=overlay','default','Administration','','7.37'),(299,'/photo/admin/config/regional/language?render=overlay','default','Appearance','','7.37'),(300,'/photo/admin/config/regional/language?render=overlay','default','Select and configure your themes.','','7.37'),(301,'/photo/admin/config/regional/language?render=overlay','default','Select and configure your theme','','7.37'),(302,'/photo/admin/config/regional/language?render=overlay','default','Settings','','7.37'),(303,'/photo/admin/config/regional/language?render=overlay','default','Configure default and theme specific settings.','','7.37'),(304,'/photo/admin/config/regional/language?render=overlay','default','Bartik','','7.37'),(305,'/photo/admin/config/regional/language?render=overlay','default','Global settings','','7.37'),(306,'/photo/admin/config/regional/language?render=overlay','default','Seven','','7.37'),(307,'/photo/admin/config/regional/language?render=overlay','default','Photo','','7.37'),(308,'/photo/admin/config/regional/language?render=overlay','default','Install new theme','','7.37'),(309,'/photo/admin/config/regional/language?render=overlay','default','Update','','7.37'),(310,'/photo/admin/config/regional/language?render=overlay','default','Configuration','','7.37'),(311,'/photo/admin/config/regional/language?render=overlay','default','Administer settings.','','7.37'),(312,'/photo/admin/config/regional/language?render=overlay','default','Content authoring','','7.37'),(313,'/photo/admin/config/regional/language?render=overlay','default','Settings related to formatting and authoring content.','','7.37'),(314,'/photo/admin/config/regional/language?render=overlay','default','Text formats','','7.37'),(315,'/photo/admin/config/regional/language?render=overlay','default','Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','','7.37'),(316,'/photo/admin/config/regional/language?render=overlay','default','Add text format','','7.37'),(317,'/photo/admin/config/regional/language?render=overlay','default','Title settings','','7.37'),(318,'/photo/admin/config/regional/language?render=overlay','default','Settings for the Title module.','','7.37'),(319,'/photo/admin/config/regional/language?render=overlay','default','Webform settings','','7.37'),(320,'/photo/admin/config/regional/language?render=overlay','default','Global configuration of webform functionality.','','7.37'),(321,'/photo/admin/config/regional/language?render=overlay','default','Exclude Node Title','','7.37'),(322,'/photo/admin/config/regional/language?render=overlay','default','Exclude Node Title from display','','7.37'),(323,'/photo/admin/config/regional/language?render=overlay','default','Development','','7.37'),(324,'/photo/admin/config/regional/language?render=overlay','default','Development tools.','','7.37'),(325,'/photo/admin/config/regional/language?render=overlay','default','Logging and errors','','7.37'),(326,'/photo/admin/config/regional/language?render=overlay','default','Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','','7.37'),(327,'/photo/admin/config/regional/language?render=overlay','default','Maintenance mode','','7.37'),(328,'/photo/admin/config/regional/language?render=overlay','default','Take the site offline for maintenance or bring it back online.','','7.37'),(329,'/photo/admin/config/regional/language?render=overlay','default','Performance','','7.37'),(330,'/photo/admin/config/regional/language?render=overlay','default','Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','','7.37'),(331,'/photo/admin/config/regional/language?render=overlay','default','jQuery update','','7.37'),(332,'/photo/admin/config/regional/language?render=overlay','default','Configure settings related to the jQuery upgrade, the library path and compression.','','7.37'),(333,'/photo/admin/config/regional/language?render=overlay','default','Media','','7.37'),(334,'/photo/admin/config/regional/language?render=overlay','default','Media tools.','','7.37'),(335,'/photo/admin/config/regional/language?render=overlay','default','File system','','7.37'),(336,'/photo/admin/config/regional/language?render=overlay','default','Tell Drupal where to store uploaded files and how they are accessed.','','7.37'),(337,'/photo/admin/config/regional/language?render=overlay','default','Image toolkit','','7.37'),(338,'/photo/admin/config/regional/language?render=overlay','default','Choose which image toolkit to use if you have installed optional toolkits.','','7.37'),(339,'/photo/admin/config/regional/language?render=overlay','default','Image styles','','7.37'),(340,'/photo/admin/config/regional/language?render=overlay','default','Configure styles that can be used for resizing or adjusting images on display.','','7.37'),(341,'/photo/admin/config/regional/language?render=overlay','default','Add style','','7.37'),(342,'/photo/admin/config/regional/language?render=overlay','default','Add a new image style.','','7.37'),(343,'/photo/admin/config/regional/language?render=overlay','default','List the current image styles on the site.','','7.37'),(344,'/photo/admin/config/regional/language?render=overlay','default','optionset','','7.37'),(345,'/photo/admin/config/regional/language?render=overlay','default','optionsets','','7.37'),(346,'/photo/admin/config/regional/language?render=overlay','default','FlexSlider optionset','','7.37'),(347,'/photo/admin/config/regional/language?render=overlay','default','FlexSlider optionsets','','7.37'),(348,'/photo/admin/config/regional/language?render=overlay','default','Enable','','7.37'),(349,'/photo/admin/config/regional/language?render=overlay','default','Disable','','7.37'),(350,'/photo/admin/config/regional/language?render=overlay','default','Revert','','7.37'),(351,'/photo/admin/config/regional/language?render=overlay','default','Delete','','7.37'),(352,'/photo/admin/config/regional/language?render=overlay','default','Clone','','7.37'),(353,'/photo/admin/config/regional/language?render=overlay','default','Import','','7.37'),(354,'/photo/admin/config/regional/language?render=overlay','default','Export','','7.37'),(355,'/photo/admin/config/regional/language?render=overlay','default','Add a new @plugin','','7.37'),(356,'/photo/admin/config/regional/language?render=overlay','default','Edit @plugin %title','','7.37'),(357,'/photo/admin/config/regional/language?render=overlay','default','Clone @plugin %title','','7.37'),(358,'/photo/admin/config/regional/language?render=overlay','default','Import @plugin','','7.37'),(359,'/photo/admin/config/regional/language?render=overlay','default','Export @plugin %title','','7.37'),(360,'/photo/admin/config/regional/language?render=overlay','default','Are you sure you want to revert %title?','','7.37'),(361,'/photo/admin/config/regional/language?render=overlay','default','This action will permanently remove any customizations made to this item.','','7.37'),(362,'/photo/admin/config/regional/language?render=overlay','default','The item has been reverted.','','7.37'),(363,'/photo/admin/config/regional/language?render=overlay','default','Are you sure you want to delete %title?','','7.37'),(364,'/photo/admin/config/regional/language?render=overlay','default','This action will permanently remove this item from your database..','','7.37'),(365,'/photo/admin/config/regional/language?render=overlay','default','The item has been deleted.','','7.37'),(366,'/photo/admin/config/regional/language?render=overlay','default','%title has been created.','','7.37'),(367,'/photo/admin/config/regional/language?render=overlay','default','%title could not be created.','','7.37'),(368,'/photo/admin/config/regional/language?render=overlay','default','%title has been updated.','','7.37'),(369,'/photo/admin/config/regional/language?render=overlay','default','%title could not be updated.','','7.37'),(370,'/photo/admin/config/regional/language?render=overlay','default','You can import an exported definition by pasting the exported object code into the field below.','','7.37'),(371,'/photo/admin/config/regional/language?render=overlay','default','@plugin %title was enabled.','','7.37'),(372,'/photo/admin/config/regional/language?render=overlay','default','@plugin %title was disabled.','','7.37'),(373,'/photo/admin/config/regional/language?render=overlay','default','There are no @titles to display.','','7.37'),(374,'/photo/admin/config/regional/language?render=overlay','default','FlexSlider','','7.37'),(375,'/photo/admin/config/regional/language?render=overlay','default','Administer FlexSlider presets.','','7.37'),(376,'/photo/admin/config/regional/language?render=overlay; sites/all/modules/views/js/views-admin.js','default','Add','','7.37'),(377,'/photo/admin/config/regional/language?render=overlay','default','Advanced settings','','7.37'),(378,'/photo/admin/config/regional/language?render=overlay','default','Configure the advanced flexslider module settings.','','7.37'),(379,'/photo/admin/config/regional/language?render=overlay','default','Juicebox','','7.37'),(380,'/photo/admin/config/regional/language?render=overlay','default','Adjust global Juicebox settings.','','7.37'),(381,'/photo/admin/config/regional/language?render=overlay','default','Adjust Colorbox settings.','','7.37'),(382,'/photo/admin/config/regional/language?render=overlay','default','People','','7.37'),(383,'/photo/admin/config/regional/language?render=overlay','default','Configure user accounts.','','7.37'),(384,'/photo/admin/config/regional/language?render=overlay','default','Account settings','','7.37'),(385,'/photo/admin/config/regional/language?render=overlay','default','Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','','7.37'),(386,'/photo/admin/config/regional/language?render=overlay','default','Manage display','','7.37'),(387,'/photo/admin/config/regional/language?render=overlay','default','Manage fields','','7.37'),(388,'/photo/admin/config/regional/language?render=overlay','default','IP address blocking','','7.37'),(389,'/photo/admin/config/regional/language?render=overlay','default','Manage blocked IP addresses.','','7.37'),(390,'/photo/admin/config/regional/language?render=overlay','default','Regional and language','','7.37'),(391,'/photo/admin/config/regional/language?render=overlay','default','Regional settings, localization and translation.','','7.37'),(392,'/photo/admin/config/regional/language?render=overlay','default','Date and time','','7.37'),(393,'/photo/admin/config/regional/language?render=overlay','default','Configure display formats for date and time.','','7.37'),(394,'/photo/admin/config/regional/language?render=overlay','default','Formats','','7.37'),(395,'/photo/admin/config/regional/language?render=overlay','default','Configure display format strings for date and time.','','7.37'),(396,'/photo/admin/config/regional/language?render=overlay','default','Add format','','7.37'),(397,'/photo/admin/config/regional/language?render=overlay','default','Allow users to add additional date formats.','','7.37'),(398,'/photo/admin/config/regional/language?render=overlay','default','Types','','7.37'),(399,'/photo/admin/config/regional/language?render=overlay','default','Add date type','','7.37'),(400,'/photo/admin/config/regional/language?render=overlay','default','Add new date type.','','7.37'),(401,'/photo/admin/config/regional/language?render=overlay','default','Localize','','7.37'),(402,'/photo/admin/config/regional/language?render=overlay','default','Configure date formats for each locale','','7.37'),(403,'/photo/admin/config/regional/language?render=overlay','default','Regional settings','','7.37'),(404,'/photo/admin/config/regional/language?render=overlay','default','Settings for the site\'s default time zone and country.','','7.37'),(405,'/photo/admin/config/regional/language?render=overlay','default','Session language detection configuration','','7.37'),(406,'/photo/admin/config/regional/language?render=overlay','default','URL language detection configuration','','7.37'),(407,'/photo/admin/config/regional/language?render=overlay','default','Translate interface','','7.37'),(408,'/photo/admin/config/regional/language?render=overlay','default','Translate the built in interface and optionally other text.','','7.37'),(409,'/photo/admin/config/regional/language?render=overlay','default','Overview','','7.37'),(410,'/photo/admin/config/regional/language?render=overlay','default','Translate','','7.37'),(411,'/photo/admin/config/regional/language?render=overlay','default','Search and metadata','','7.37'),(412,'/photo/admin/config/regional/language?render=overlay','default','Local site search, metadata and SEO.','','7.37'),(413,'/photo/admin/config/regional/language?render=overlay','default','Clean URLs','','7.37'),(414,'/photo/admin/config/regional/language?render=overlay','default','Enable or disable clean URLs for your site.','','7.37'),(415,'/photo/admin/config/regional/language?render=overlay','default','Search settings','','7.37'),(416,'/photo/admin/config/regional/language?render=overlay','default','Configure relevance settings for search and other indexing options.','','7.37'),(417,'/photo/admin/config/regional/language?render=overlay','default','Clear index','','7.37'),(418,'/photo/admin/config/regional/language?render=overlay','default','URL aliases','','7.37'),(419,'/photo/admin/config/regional/language?render=overlay','default','Change your site\'s URL paths by aliasing them.','','7.37'),(420,'/photo/admin/config/regional/language?render=overlay','default','Add alias','','7.37'),(421,'/photo/admin/config/regional/language?render=overlay','default','Bulk update','','7.37'),(422,'/photo/admin/config/regional/language?render=overlay','default','Delete aliases','','7.37'),(423,'/photo/admin/config/regional/language?render=overlay','default','Patterns','','7.37'),(424,'/photo/admin/config/regional/language?render=overlay','default','System','','7.37'),(425,'/photo/admin/config/regional/language?render=overlay','default','General system related configuration.','','7.37'),(426,'/photo/admin/config/regional/language?render=overlay','default','Actions','','7.37'),(427,'/photo/admin/config/regional/language?render=overlay','default','Manage the actions defined for your site.','','7.37'),(428,'/photo/admin/config/regional/language?render=overlay','default','Configure an advanced action','','7.37'),(429,'/photo/admin/config/regional/language?render=overlay','default','Manage actions','','7.37'),(430,'/photo/admin/config/regional/language?render=overlay','default','Cron','','7.37'),(431,'/photo/admin/config/regional/language?render=overlay','default','Manage automatic site maintenance tasks.','','7.37'),(432,'/photo/admin/config/regional/language?render=overlay','default','Site information','','7.37'),(433,'/photo/admin/config/regional/language?render=overlay','default','Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','','7.37'),(434,'/photo/admin/config/regional/language?render=overlay','default','User interface','','7.37'),(435,'/photo/admin/config/regional/language?render=overlay','default','Tools that enhance the user interface.','','7.37'),(436,'/photo/admin/config/regional/language?render=overlay','default','Shortcuts','','7.37'),(437,'/photo/admin/config/regional/language?render=overlay','default','Add and modify shortcut sets.','','7.37'),(438,'/photo/admin/config/regional/language?render=overlay','default','Add shortcut set','','7.37'),(439,'/photo/admin/config/regional/language?render=overlay','default','Module filter','','7.37'),(440,'/photo/admin/config/regional/language?render=overlay','default','Configure how the modules page looks and acts.','','7.37'),(441,'/photo/admin/config/regional/language?render=overlay','default','Web services','','7.37'),(442,'/photo/admin/config/regional/language?render=overlay','default','Tools related to web services.','','7.37'),(443,'/photo/admin/config/regional/language?render=overlay','default','RSS publishing','','7.37'),(444,'/photo/admin/config/regional/language?render=overlay','default','Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','','7.37'),(445,'/photo/admin/config/regional/language?render=overlay','default','Workflow','','7.37'),(446,'/photo/admin/config/regional/language?render=overlay','default','Content workflow, editorial workflow tools.','','7.37'),(447,'/photo/admin/config/regional/language?render=overlay','default','Administration tools.','','7.37'),(448,'/photo/admin/config/regional/language?render=overlay','default','Administration menu','','7.37'),(449,'/photo/admin/config/regional/language?render=overlay','default','Adjust administration menu settings.','','7.37'),(450,'/photo/admin/config/regional/language?render=overlay','default','Administer content and comments.','','7.37'),(451,'/photo/admin/config/regional/language?render=overlay','default','Comments','','7.37'),(452,'/photo/admin/config/regional/language?render=overlay','default','List and edit site comments and the comment approval queue.','','7.37'),(453,'/photo/admin/config/regional/language?render=overlay','default','Published comments','','7.37'),(454,'/photo/admin/config/regional/language?render=overlay','default','Unapproved comments (@count)','','7.37'),(455,'/photo/admin/config/regional/language?render=overlay','default','Webforms','','7.37'),(456,'/photo/admin/config/regional/language?render=overlay','default','View and edit all the available webforms on your site.','','7.37'),(457,'/photo/admin/config/regional/language?render=overlay','default','Index','','7.37'),(458,'/photo/admin/config/regional/language?render=overlay','default','Modules','','7.37'),(459,'/photo/admin/config/regional/language?render=overlay','default','Extend site functionality.','','7.37'),(460,'/photo/admin/config/regional/language?render=overlay','default','Uninstall','','7.37'),(461,'/photo/admin/config/regional/language?render=overlay','default','Install new module','','7.37'),(462,'/photo/admin/config/regional/language?render=overlay','default','Manage user accounts, roles, and permissions.','','7.37'),(463,'/photo/admin/config/regional/language?render=overlay','default','Add user','','7.37'),(464,'/photo/admin/config/regional/language?render=overlay','default','Find and manage people interacting with your site.','','7.37'),(465,'/photo/admin/config/regional/language?render=overlay','default','Permissions','','7.37'),(466,'/photo/admin/config/regional/language?render=overlay','default','Determine access to features by selecting permissions for roles.','','7.37'),(467,'/photo/admin/config/regional/language?render=overlay','default','Roles','','7.37'),(468,'/photo/admin/config/regional/language?render=overlay','default','List, edit, or add user roles.','','7.37'),(469,'/photo/admin/config/regional/language?render=overlay','default','Reports','','7.37'),(470,'/photo/admin/config/regional/language?render=overlay','default','View reports, updates, and errors.','','7.37'),(471,'/photo/admin/config/regional/language?render=overlay','default','Status report','','7.37'),(472,'/photo/admin/config/regional/language?render=overlay','default','Get a status report about your site\'s operation and any detected problems.','','7.37'),(473,'/photo/admin/config/regional/language?render=overlay','default','Field list','','7.37'),(474,'/photo/admin/config/regional/language?render=overlay','default','Overview of fields on all entity types.','','7.37'),(475,'/photo/admin/config/regional/language?render=overlay','default','Used in views','','7.37'),(476,'/photo/admin/config/regional/language?render=overlay','default','Overview of fields used in all views.','','7.37'),(477,'/photo/admin/config/regional/language?render=overlay','default','Recent log messages','','7.37'),(478,'/photo/admin/config/regional/language?render=overlay','default','View events that have recently been logged.','','7.37'),(479,'/photo/admin/config/regional/language?render=overlay','default','Top \'access denied\' errors','','7.37'),(480,'/photo/admin/config/regional/language?render=overlay','default','View \'access denied\' errors (403s).','','7.37'),(481,'/photo/admin/config/regional/language?render=overlay','default','Top \'page not found\' errors','','7.37'),(482,'/photo/admin/config/regional/language?render=overlay','default','View \'page not found\' errors (404s).','','7.37'),(483,'/photo/admin/config/regional/language?render=overlay','default','Top search phrases','','7.37'),(484,'/photo/admin/config/regional/language?render=overlay','default','View most popular search phrases.','','7.37'),(485,'/photo/admin/config/regional/language?render=overlay','default','Available updates','','7.37'),(486,'/photo/admin/config/regional/language?render=overlay','default','Get a status report about available updates for your installed modules and themes.','','7.37'),(487,'/photo/admin/config/regional/language?render=overlay','default','Install new module or theme','','7.37'),(488,'/photo/admin/config/regional/language?render=overlay','default','Views plugins','','7.37'),(489,'/photo/admin/config/regional/language?render=overlay','default','Overview of plugins used in all views.','','7.37'),(490,'/photo/admin/config/regional/language?render=overlay','default','Structure','','7.37'),(491,'/photo/admin/config/regional/language?render=overlay','default','Administer blocks, content types, menus, etc.','','7.37'),(492,'/photo/admin/config/regional/language?render=overlay','default','Blocks','','7.37'),(493,'/photo/admin/config/regional/language?render=overlay','default','Configure what block content appears in your site\'s sidebars and other regions.','','7.37'),(494,'/photo/admin/config/regional/language?render=overlay','default','Add block','','7.37'),(495,'/photo/admin/config/regional/language?render=overlay','default','Content types','','7.37'),(496,'/photo/admin/config/regional/language?render=overlay','default','Manage content types, including default status, front page promotion, comment settings, etc.','','7.37'),(497,'/photo/admin/config/regional/language?render=overlay','default','Add content type','','7.37'),(498,'/photo/admin/config/regional/language?render=overlay','default','Menus','','7.37'),(499,'/photo/admin/config/regional/language?render=overlay','default','Add new menus to your site, edit existing menus, and rename and reorganize menu links.','','7.37'),(500,'/photo/admin/config/regional/language?render=overlay','default','Add menu','','7.37'),(501,'/photo/admin/config/regional/language?render=overlay','default','List menus','','7.37'),(502,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy','','7.37'),(503,'/photo/admin/config/regional/language?render=overlay','default','Manage tagging, categorization, and classification of your content.','','7.37'),(504,'/photo/admin/config/regional/language?render=overlay','default','Add vocabulary','','7.37'),(505,'/photo/admin/config/regional/language?render=overlay','default','Create blocks of tabbed content.','','7.37'),(506,'/photo/admin/config/regional/language?render=overlay','default','Add Quicktabs Instance','','7.37'),(507,'/photo/admin/config/regional/language?render=overlay','default','List quicktabs','','7.37'),(508,'/photo/admin/config/regional/language?render=overlay','default','views','','7.37'),(509,'/photo/admin/config/regional/language?render=overlay','default','Views','','7.37'),(510,'/photo/admin/config/regional/language?render=overlay','default','This action will permanently remove any customizations made to this view.','','7.37'),(511,'/photo/admin/config/regional/language?render=overlay','default','The view has been reverted.','','7.37'),(512,'/photo/admin/config/regional/language?render=overlay','default','This action will permanently remove the view from your database.','','7.37'),(513,'/photo/admin/config/regional/language?render=overlay','default','The view has been deleted.','','7.37'),(514,'/photo/admin/config/regional/language?render=overlay','default','Manage customized lists of content.','','7.37'),(515,'/photo/admin/config/regional/language?render=overlay','default','Add new view','','7.37'),(516,'/photo/admin/config/regional/language?render=overlay','default','Add view from template','','7.37'),(517,'/photo/admin/config/regional/language?render=overlay','default','Advanced','','7.37'),(518,'/photo/admin/config/regional/language?render=overlay','default','Tasks','','7.37'),(519,'/photo/admin/config/regional/language?render=overlay','default','Dashboard','','7.37'),(520,'/photo/admin/config/regional/language?render=overlay','default','View and customize your dashboard.','','7.37'),(521,'/photo/admin/config/regional/language?render=overlay','default','Configure available dashboard blocks','','7.37'),(522,'/photo/admin/config/regional/language?render=overlay','default','Configure which blocks can be shown on the dashboard.','','7.37'),(523,'/photo/admin/config/regional/language?render=overlay; modules/dashboard/dashboard.js','default','Customize dashboard','','7.37'),(524,'/photo/admin/config/regional/language?render=overlay','default','Customize your dashboard.','','7.37'),(525,'/photo/admin/config/regional/language?render=overlay','default','Reference for usage, configuration, and modules.','','7.37'),(526,'/photo/admin/config/regional/language?render=overlay','default','block','','7.37'),(527,'/photo/admin/config/regional/language?render=overlay','default','color','','7.37'),(528,'/photo/admin/config/regional/language?render=overlay','default','comment','','7.37'),(529,'/photo/admin/config/regional/language?render=overlay','default','contextual','','7.37'),(530,'/photo/admin/config/regional/language?render=overlay','default','dashboard','','7.37'),(531,'/photo/admin/config/regional/language?render=overlay','default','dblog','','7.37'),(532,'/photo/admin/config/regional/language?render=overlay','default','field','','7.37'),(533,'/photo/admin/config/regional/language?render=overlay','default','field_sql_storage','','7.37'),(534,'/photo/admin/config/regional/language?render=overlay','default','field_ui','','7.37'),(535,'/photo/admin/config/regional/language?render=overlay','default','file','','7.37'),(536,'/photo/admin/config/regional/language?render=overlay','default','filter','','7.37'),(537,'/photo/admin/config/regional/language?render=overlay','default','help','','7.37'),(538,'/photo/admin/config/regional/language?render=overlay','default','image','','7.37'),(539,'/photo/admin/config/regional/language?render=overlay','default','list','','7.37'),(540,'/photo/admin/config/regional/language?render=overlay','default','menu','','7.37'),(541,'/photo/admin/config/regional/language?render=overlay','default','node','','7.37'),(542,'/photo/admin/config/regional/language?render=overlay','default','number','','7.37'),(543,'/photo/admin/config/regional/language?render=overlay','default','options','','7.37'),(544,'/photo/admin/config/regional/language?render=overlay','default','overlay','','7.37'),(545,'/photo/admin/config/regional/language?render=overlay','default','path','','7.37'),(546,'/photo/admin/config/regional/language?render=overlay','default','rdf','','7.37'),(547,'/photo/admin/config/regional/language?render=overlay','default','search','','7.37'),(548,'/photo/admin/config/regional/language?render=overlay','default','shortcut','','7.37'),(549,'/photo/admin/config/regional/language?render=overlay','default','system','','7.37'),(550,'/photo/admin/config/regional/language?render=overlay','default','taxonomy','','7.37'),(551,'/photo/admin/config/regional/language?render=overlay','default','text','','7.37'),(552,'/photo/admin/config/regional/language?render=overlay','default','user','','7.37'),(553,'/photo/admin/config/regional/language?render=overlay','default','update','','7.37'),(554,'/photo/admin/config/regional/language?render=overlay','default','admin_menu','','7.37'),(555,'/photo/admin/config/regional/language?render=overlay','default','flexslider','','7.37'),(556,'/photo/admin/config/regional/language?render=overlay','default','jquery_update','','7.37'),(557,'/photo/admin/config/regional/language?render=overlay','default','pathauto','','7.37'),(558,'/photo/admin/config/regional/language?render=overlay','default','quicktabs','','7.37'),(559,'/photo/admin/config/regional/language?render=overlay','default','title','','7.37'),(560,'/photo/admin/config/regional/language?render=overlay','default','token','','7.37'),(561,'/photo/admin/config/regional/language?render=overlay','default','views_slideshow','','7.37'),(562,'/photo/admin/config/regional/language?render=overlay','default','views_slideshow_cycle','','7.37'),(563,'/photo/admin/config/regional/language?render=overlay','default','webform','','7.37'),(564,'/photo/admin/config/regional/language?render=overlay','default','blog','','7.37'),(565,'/photo/admin/config/regional/language?render=overlay','default','locale','','7.37'),(566,'/photo/admin/config/regional/language?render=overlay','default','Field settings','','7.37'),(567,'/photo/admin/config/regional/language?render=overlay','default','Widget type','','7.37'),(568,'/photo/admin/config/regional/language?render=overlay','default','Add link','','7.37'),(569,'/photo/admin/config/regional/language?render=overlay','default','Delete menu','','7.37'),(570,'/photo/admin/config/regional/language?render=overlay','default','Edit menu','','7.37'),(571,'/photo/admin/config/regional/language?render=overlay','default','List links','','7.37'),(572,'/photo/admin/config/regional/language?render=overlay','default','Add term','','7.37'),(573,'/photo/admin/config/regional/language?render=overlay','default','Webform','','7.37'),(574,'/photo/admin/config/regional/language?render=overlay','default','Webform nodes','','7.37'),(575,'/photo/admin/config/regional/language?render=overlay','default','Nodes which have webforms.','','7.37'),(576,'/photo/admin/config/regional/language?render=overlay','default','The node this webform is part of.','','7.37'),(577,'/photo/admin/config/regional/language?render=overlay','default','The open or closed status of a webform.','','7.37'),(578,'/photo/admin/config/regional/language?render=overlay','default','Webform submissions','','7.37'),(579,'/photo/admin/config/regional/language?render=overlay','default','Submissions generated from Webform forms.','','7.37'),(580,'/photo/admin/config/regional/language?render=overlay','default','Serial number','','7.37'),(581,'/photo/admin/config/regional/language?render=overlay','default','The serial number of the submission.','','7.37'),(582,'/photo/admin/config/regional/language?render=overlay','default','Sid','','7.37'),(583,'/photo/admin/config/regional/language?render=overlay','default','The submission ID of the submission.','','7.37'),(584,'/photo/admin/config/regional/language?render=overlay','default','Value','','7.37'),(585,'/photo/admin/config/regional/language?render=overlay','default','The value of a component as submitted by a user.','','7.37'),(586,'/photo/admin/config/regional/language?render=overlay','default','Webform submission data','','7.37'),(587,'/photo/admin/config/regional/language?render=overlay','default','All values','','7.37'),(588,'/photo/admin/config/regional/language?render=overlay','default','Displays all values as submitted by a user.','','7.37'),(589,'/photo/admin/config/regional/language?render=overlay','default','The webform node this submission was generated from.','','7.37'),(590,'/photo/admin/config/regional/language?render=overlay','default','Webform Node','','7.37'),(591,'/photo/admin/config/regional/language?render=overlay','default','The user who sent the webform submission.','','7.37'),(592,'/photo/admin/config/regional/language?render=overlay','default','Draft','','7.37'),(593,'/photo/admin/config/regional/language?render=overlay','default','Whether or not the submission is a draft.','','7.37'),(594,'/photo/admin/config/regional/language?render=overlay','default','The date this submission was submitted.','','7.34'),(595,'/photo/admin/config/regional/language?render=overlay','default','Remote address','','7.37'),(596,'/photo/admin/config/regional/language?render=overlay','default','The remote IP address of the user that submitted this submission.','','7.37'),(597,'/photo/admin/config/regional/language?render=overlay','default','View link','','7.37'),(598,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to view the submission.','','7.37'),(599,'/photo/admin/config/regional/language?render=overlay','default','Edit link','','7.37'),(600,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the submission.','','7.37'),(601,'/photo/admin/config/regional/language?render=overlay','default','Delete link','','7.37'),(602,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the submission.','','7.37'),(603,'/photo/admin/config/regional/language?render=overlay','default','Data','','7.37'),(604,'/photo/admin/config/regional/language?render=overlay','default','Relates to a webform submission data','','7.37'),(605,'/photo/admin/config/regional/language?render=overlay','default','Submission Data','','7.37'),(606,'/photo/admin/config/regional/language?render=overlay','default','Data field','','7.37'),(607,'/photo/admin/config/regional/language?render=overlay','default','Value (raw)','','7.37'),(608,'/photo/admin/config/regional/language?render=overlay','default','The raw value from the database as submitted by a user. Use only when needing to sort on a field value.','','7.37'),(609,'/photo/admin/config/regional/language?render=overlay','default','Value delta','','7.37'),(610,'/photo/admin/config/regional/language?render=overlay','default','The delta value of the submitted data in a multi value component (such as checkboxes).','','7.37'),(611,'/photo/admin/config/regional/language?render=overlay','default','Colorbox trigger','','7.37'),(612,'/photo/admin/config/regional/language?render=overlay','default','Provide custom text or link.','','7.37'),(613,'/photo/admin/config/regional/language?render=overlay','default','Comments are responses to node content.','','7.37'),(614,'/photo/admin/config/regional/language?render=overlay','default','The title of the comment.','','7.37'),(615,'/photo/admin/config/regional/language?render=overlay','default','ID','','7.37'),(616,'/photo/admin/config/regional/language?render=overlay','default','The comment ID of the field','','7.37'),(617,'/photo/admin/config/regional/language?render=overlay','default','The name of the comment\'s author. Can be rendered as a link to the author\'s homepage.','','7.37'),(618,'/photo/admin/config/regional/language?render=overlay','default','Author\'s website','','7.37'),(619,'/photo/admin/config/regional/language?render=overlay','default','The website address of the comment\'s author. Can be rendered as a link. Will be empty if the author is a registered user.','','7.37'),(620,'/photo/admin/config/regional/language?render=overlay','default','Hostname','','7.37'),(621,'/photo/admin/config/regional/language?render=overlay','default','Hostname of user that posted the comment.','','7.37'),(622,'/photo/admin/config/regional/language?render=overlay','default','Mail','','7.37'),(623,'/photo/admin/config/regional/language?render=overlay','default','Email of user that posted the comment. Will be empty if the author is a registered user.','','7.37'),(624,'/photo/admin/config/regional/language?render=overlay','default','Post date','','7.37'),(625,'/photo/admin/config/regional/language?render=overlay','default','Date and time of when the comment was created.','','7.37'),(626,'/photo/admin/config/regional/language?render=overlay','default','Language','','7.37'),(627,'/photo/admin/config/regional/language?render=overlay','default','The language the comment is in.','','7.37'),(628,'/photo/admin/config/regional/language?render=overlay','default','Updated date','','7.37'),(629,'/photo/admin/config/regional/language?render=overlay','default','Date and time of when the comment was last updated.','','7.37'),(630,'/photo/admin/config/regional/language?render=overlay','default','Created date','','7.37'),(631,'/photo/admin/config/regional/language?render=overlay','default','Date in the form of CCYYMMDD.','','7.37'),(632,'/photo/admin/config/regional/language?render=overlay','default','Created year + month','','7.37'),(633,'/photo/admin/config/regional/language?render=overlay','default','Date in the form of YYYYMM.','','7.37'),(634,'/photo/admin/config/regional/language?render=overlay','default','Created year','','7.37'),(635,'/photo/admin/config/regional/language?render=overlay','default','Date in the form of YYYY.','','7.37'),(636,'/photo/admin/config/regional/language?render=overlay','default','Created month','','7.37'),(637,'/photo/admin/config/regional/language?render=overlay','default','Date in the form of MM (01 - 12).','','7.37'),(638,'/photo/admin/config/regional/language?render=overlay','default','Created day','','7.37'),(639,'/photo/admin/config/regional/language?render=overlay','default','Date in the form of DD (01 - 31).','','7.37'),(640,'/photo/admin/config/regional/language?render=overlay','default','Created week','','7.37'),(641,'/photo/admin/config/regional/language?render=overlay','default','Date in the form of WW (01 - 53).','','7.37'),(642,'/photo/admin/config/regional/language?render=overlay','default','Approved','','7.37'),(643,'/photo/admin/config/regional/language?render=overlay','default','Whether the comment is approved (or still in the moderation queue).','','7.37'),(644,'/photo/admin/config/regional/language?render=overlay','default','Not Approved','','7.37'),(645,'/photo/admin/config/regional/language?render=overlay','default','Approved comment','','7.37'),(646,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to view the comment.','','7.37'),(647,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the comment.','','7.37'),(648,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the comment.','','7.37'),(649,'/photo/admin/config/regional/language?render=overlay','default','Approve link','','7.37'),(650,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to approve the comment.','','7.37'),(651,'/photo/admin/config/regional/language?render=overlay','default','Reply-to link','','7.37'),(652,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to reply to the comment.','','7.37'),(653,'/photo/admin/config/regional/language?render=overlay','default','Depth','','7.37'),(654,'/photo/admin/config/regional/language?render=overlay','default','Display the depth of the comment if it is threaded.','','7.37'),(655,'/photo/admin/config/regional/language?render=overlay','default','Thread','','7.37'),(656,'/photo/admin/config/regional/language?render=overlay','default','Sort by the threaded order. This will keep child comments together with their parents.','','7.37'),(657,'/photo/admin/config/regional/language?render=overlay','default','Nid','','7.37'),(658,'/photo/admin/config/regional/language?render=overlay','default','The node ID to which the comment is a reply to.','','7.37'),(659,'/photo/admin/config/regional/language?render=overlay','default','The content to which the comment is a reply to.','','7.37'),(660,'/photo/admin/config/regional/language?render=overlay','default','Author uid','','7.37'),(661,'/photo/admin/config/regional/language?render=overlay','default','If you need more fields than the uid add the comment: author relationship','','7.37'),(662,'/photo/admin/config/regional/language?render=overlay','default','The User ID of the comment\'s author.','','7.37'),(663,'/photo/admin/config/regional/language?render=overlay','default','author','','7.37'),(664,'/photo/admin/config/regional/language?render=overlay','default','Parent CID','','7.37'),(665,'/photo/admin/config/regional/language?render=overlay','default','The Comment ID of the parent comment.','','7.37'),(666,'/photo/admin/config/regional/language?render=overlay','default','Parent comment','','7.37'),(667,'/photo/admin/config/regional/language?render=overlay','default','The parent comment.','','7.37'),(668,'/photo/admin/config/regional/language?render=overlay','default','Last comment time','','7.37'),(669,'/photo/admin/config/regional/language?render=overlay','default','Date and time of when the last comment was posted.','','7.37'),(670,'/photo/admin/config/regional/language?render=overlay','default','Last comment author','','7.37'),(671,'/photo/admin/config/regional/language?render=overlay','default','The name of the author of the last posted comment.','','7.37'),(672,'/photo/admin/config/regional/language?render=overlay','default','Comment count','','7.37'),(673,'/photo/admin/config/regional/language?render=overlay','default','The number of comments a node has.','','7.37'),(674,'/photo/admin/config/regional/language?render=overlay','default','Updated/commented date','','7.37'),(675,'/photo/admin/config/regional/language?render=overlay','default','The most recent of last comment posted or node updated time.','','7.37'),(676,'/photo/admin/config/regional/language?render=overlay','default','Last comment CID','','7.37'),(677,'/photo/admin/config/regional/language?render=overlay','default','Display the last comment of a node','','7.37'),(678,'/photo/admin/config/regional/language?render=overlay','default','Last Comment','','7.37'),(679,'/photo/admin/config/regional/language?render=overlay','default','The last comment of a node.','','7.37'),(680,'/photo/admin/config/regional/language?render=overlay','default','Last comment uid','','7.37'),(681,'/photo/admin/config/regional/language?render=overlay','default','The User ID of the author of the last comment of a node.','','7.37'),(682,'/photo/admin/config/regional/language?render=overlay','default','@entity:@bundle','','7.37'),(683,'/photo/admin/config/regional/language?render=overlay','default','Appears in: @bundles.','','7.37'),(684,'/photo/admin/config/regional/language?render=overlay','default','@group: @field','','7.37'),(685,'/photo/admin/config/regional/language?render=overlay','default','@group (historical data)','','7.37'),(686,'/photo/admin/config/regional/language?render=overlay','default','@group (historical data): @field','','7.37'),(687,'/photo/admin/config/regional/language?render=overlay','default','@label (!name)','','7.37'),(688,'/photo/admin/config/regional/language?render=overlay','default','- No value -','','7.37'),(689,'/photo/admin/config/regional/language?render=overlay','default','@label (!name:!column)','','7.37'),(690,'/photo/admin/config/regional/language?render=overlay','default','@label:!column','','7.37'),(691,'/photo/admin/config/regional/language?render=overlay','default','@label (!name:delta)','','7.37'),(692,'/photo/admin/config/regional/language?render=overlay','default','@label:delta','','7.37'),(693,'/photo/admin/config/regional/language?render=overlay','default','Delta - Appears in: @bundles.','','7.37'),(694,'/photo/admin/config/regional/language?render=overlay','default','term from !field_name','','7.37'),(695,'/photo/admin/config/regional/language?render=overlay','default','image from !field_name','','7.37'),(696,'/photo/admin/config/regional/language?render=overlay','default','Locale source','','7.37'),(697,'/photo/admin/config/regional/language?render=overlay','default','A source string for translation, in English or the default site language.','','7.37'),(698,'/photo/admin/config/regional/language?render=overlay','default','LID','','7.37'),(699,'/photo/admin/config/regional/language?render=overlay','default','The ID of the source string.','','7.37'),(700,'/photo/admin/config/regional/language?render=overlay','default','Location','','7.37'),(701,'/photo/admin/config/regional/language?render=overlay','default','A description of the location or context of the string.','','7.37'),(702,'/photo/admin/config/regional/language?render=overlay','default','Group','','7.37'),(703,'/photo/admin/config/regional/language?render=overlay','default','The group the translation is in.','','7.37'),(704,'/photo/admin/config/regional/language?render=overlay','default','Source','','7.37'),(705,'/photo/admin/config/regional/language?render=overlay','default','The full original string.','','7.37'),(706,'/photo/admin/config/regional/language?render=overlay','default','Version','','7.37'),(707,'/photo/admin/config/regional/language?render=overlay','default','The version of Drupal core that this string is for.','','7.37'),(708,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the translations.','','7.37'),(709,'/photo/admin/config/regional/language?render=overlay','default','Locale target','','7.37'),(710,'/photo/admin/config/regional/language?render=overlay','default','Translation','','7.37'),(711,'/photo/admin/config/regional/language?render=overlay','default','The full translation string.','','7.37'),(712,'/photo/admin/config/regional/language?render=overlay','default','The language this translation is in.','','7.37'),(713,'/photo/admin/config/regional/language?render=overlay','default','Singular LID','','7.37'),(714,'/photo/admin/config/regional/language?render=overlay','default','The ID of the parent translation.','','7.37'),(715,'/photo/admin/config/regional/language?render=overlay','default','Plural','','7.37'),(716,'/photo/admin/config/regional/language?render=overlay','default','Whether or not the translation is plural.','','7.37'),(717,'/photo/admin/config/regional/language?render=overlay','default','The node ID.','','7.37'),(718,'/photo/admin/config/regional/language?render=overlay','default','The content title.','','7.37'),(719,'/photo/admin/config/regional/language?render=overlay','default','The date the content was posted.','','7.37'),(720,'/photo/admin/config/regional/language?render=overlay','default','The date the content was last updated.','','7.37'),(721,'/photo/admin/config/regional/language?render=overlay','default','The content type (for example, \"blog entry\", \"forum post\", \"story\", etc).','','7.37'),(722,'/photo/admin/config/regional/language?render=overlay','default','Published','','7.37'),(723,'/photo/admin/config/regional/language?render=overlay','default','Whether or not the content is published.','','7.37'),(724,'/photo/admin/config/regional/language?render=overlay; modules/node/content_types.js; modules/node/node.js','default','Not published','','7.37'),(725,'/photo/admin/config/regional/language?render=overlay','default','Published or admin','','7.37'),(726,'/photo/admin/config/regional/language?render=overlay','default','Filters out unpublished content if the current user cannot view it.','','7.37'),(727,'/photo/admin/config/regional/language?render=overlay','default','Promoted to front page','','7.37'),(728,'/photo/admin/config/regional/language?render=overlay','default','Whether or not the content is promoted to the front page.','','7.37'),(729,'/photo/admin/config/regional/language?render=overlay','default','Promoted','','7.37'),(730,'/photo/admin/config/regional/language?render=overlay','default','Not promoted','','7.37'),(731,'/photo/admin/config/regional/language?render=overlay','default','Sticky','','7.37'),(732,'/photo/admin/config/regional/language?render=overlay','default','Whether or not the content is sticky.','','7.37'),(733,'/photo/admin/config/regional/language?render=overlay','default','Not sticky','','7.37'),(734,'/photo/admin/config/regional/language?render=overlay','default','Whether or not the content is sticky. To list sticky content first, set this to descending.','','7.37'),(735,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to the content.','','7.37'),(736,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the content.','','7.37'),(737,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the content.','','7.37'),(738,'/photo/admin/config/regional/language?render=overlay','default','Path','','7.37'),(739,'/photo/admin/config/regional/language?render=overlay','default','The aliased path to this content.','','7.37'),(740,'/photo/admin/config/regional/language?render=overlay','default','Updated year + month','','7.37'),(741,'/photo/admin/config/regional/language?render=overlay','default','Updated year','','7.37'),(742,'/photo/admin/config/regional/language?render=overlay','default','Updated month','','7.37'),(743,'/photo/admin/config/regional/language?render=overlay','default','Updated day','','7.37'),(744,'/photo/admin/config/regional/language?render=overlay','default','Updated week','','7.37'),(745,'/photo/admin/config/regional/language?render=overlay','default','The user authoring the content. If you need more fields than the uid add the content: author relationship','','7.37'),(746,'/photo/admin/config/regional/language?render=overlay','default','Relate content to the user who created it.','','7.37'),(747,'/photo/admin/config/regional/language?render=overlay','default','User has a revision','','7.37'),(748,'/photo/admin/config/regional/language?render=overlay','default','All nodes where a certain user has a revision','','7.37'),(749,'/photo/admin/config/regional/language?render=overlay','default','Content revision','','7.37'),(750,'/photo/admin/config/regional/language?render=overlay','default','Content revision is a history of changes to content.','','7.37'),(751,'/photo/admin/config/regional/language?render=overlay','default','Relate a content revision to the user who created the revision.','','7.37'),(752,'/photo/admin/config/regional/language?render=overlay','default','revision user','','7.37'),(753,'/photo/admin/config/regional/language?render=overlay','default','The revision NID of the content revision.','','7.37'),(754,'/photo/admin/config/regional/language?render=overlay','default','Get the actual content from a content revision.','','7.37'),(755,'/photo/admin/config/regional/language?render=overlay','default','Vid','','7.37'),(756,'/photo/admin/config/regional/language?render=overlay','default','The revision ID of the content revision.','','7.37'),(757,'/photo/admin/config/regional/language?render=overlay','default','Log message','','7.37'),(758,'/photo/admin/config/regional/language?render=overlay','default','The log message entered when the revision was created.','','7.37'),(759,'/photo/admin/config/regional/language?render=overlay','default','The date the node was last updated.','','7.37'),(760,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to the revision.','','7.37'),(761,'/photo/admin/config/regional/language?render=overlay','default','Revert link','','7.37'),(762,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to revert to the revision.','','7.37'),(763,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to delete the content revision.','','7.37'),(764,'/photo/admin/config/regional/language?render=overlay','default','Content access','','7.37'),(765,'/photo/admin/config/regional/language?render=overlay','default','Access','','7.37'),(766,'/photo/admin/config/regional/language?render=overlay','default','Filter by access.','','7.37'),(767,'/photo/admin/config/regional/language?render=overlay','default','Filter for content by view access. <strong>Not necessary if you are using node as your base table.</strong>','','7.37'),(768,'/photo/admin/config/regional/language?render=overlay','default','Has new content','','7.37'),(769,'/photo/admin/config/regional/language?render=overlay','default','Show a marker if the content is new or updated.','','7.37'),(770,'/photo/admin/config/regional/language?render=overlay','default','Show only content that is new or updated.','','7.37'),(771,'/photo/admin/config/regional/language?render=overlay','default','Search','','7.37'),(772,'/photo/admin/config/regional/language?render=overlay','default','Score','','7.37'),(773,'/photo/admin/config/regional/language?render=overlay','default','The score of the search item. This will not be used if the search filter is not also present.','','7.37'),(774,'/photo/admin/config/regional/language?render=overlay','default','Links from','','7.37'),(775,'/photo/admin/config/regional/language?render=overlay','default','Other nodes that are linked from the node.','','7.37'),(776,'/photo/admin/config/regional/language?render=overlay','default','Links to','','7.37'),(777,'/photo/admin/config/regional/language?render=overlay','default','Other nodes that link to the node.','','7.37'),(778,'/photo/admin/config/regional/language?render=overlay','default','Search Terms','','7.37'),(779,'/photo/admin/config/regional/language?render=overlay','default','The terms to search for.','','7.37'),(780,'/photo/admin/config/regional/language?render=overlay','default','Files maintained by Drupal and various modules.','','7.37'),(781,'/photo/admin/config/regional/language?render=overlay','default','File ID','','7.37'),(782,'/photo/admin/config/regional/language?render=overlay','default','The ID of the file.','','7.37'),(783,'/photo/admin/config/regional/language?render=overlay','default','The name of the file.','','7.37'),(784,'/photo/admin/config/regional/language?render=overlay','default','The path of the file.','','7.37'),(785,'/photo/admin/config/regional/language?render=overlay','default','Mime type','','7.37'),(786,'/photo/admin/config/regional/language?render=overlay','default','The mime type of the file.','','7.37'),(787,'/photo/admin/config/regional/language?render=overlay','default','Extension','','7.37'),(788,'/photo/admin/config/regional/language?render=overlay','default','The extension of the file.','','7.37'),(789,'/photo/admin/config/regional/language?render=overlay','default','Size','','7.37'),(790,'/photo/admin/config/regional/language?render=overlay','default','The size of the file.','','7.37'),(791,'/photo/admin/config/regional/language?render=overlay','default','The status of the file.','','7.37'),(792,'/photo/admin/config/regional/language?render=overlay','default','Upload date','','7.37'),(793,'/photo/admin/config/regional/language?render=overlay','default','The date the file was uploaded.','','7.37'),(794,'/photo/admin/config/regional/language?render=overlay','default','User who uploaded','','7.37'),(795,'/photo/admin/config/regional/language?render=overlay','default','The user that uploaded the file.','','7.37'),(796,'/photo/admin/config/regional/language?render=overlay','default','File Usage','','7.37'),(797,'/photo/admin/config/regional/language?render=overlay','default','Content that is associated with this file, usually because this file is in a field on the content.','','7.37'),(798,'/photo/admin/config/regional/language?render=overlay','default','A file that is associated with this node, usually because it is in a field on the node.','','7.37'),(799,'/photo/admin/config/regional/language?render=overlay','default','A user that is associated with this file, usually because this file is in a field on the user.','','7.37'),(800,'/photo/admin/config/regional/language?render=overlay','default','A file that is associated with this user, usually because it is in a field on the user.','','7.37'),(801,'/photo/admin/config/regional/language?render=overlay','default','A comment that is associated with this file, usually because this file is in a field on the comment.','','7.37'),(802,'/photo/admin/config/regional/language?render=overlay','default','A file that is associated with this comment, usually because it is in a field on the comment.','','7.37'),(803,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy Term','','7.37'),(804,'/photo/admin/config/regional/language?render=overlay','default','A taxonomy term that is associated with this file, usually because this file is in a field on the taxonomy term.','','7.37'),(805,'/photo/admin/config/regional/language?render=overlay','default','A file that is associated with this taxonomy term, usually because it is in a field on the taxonomy term.','','7.37'),(806,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy Vocabulary','','7.37'),(807,'/photo/admin/config/regional/language?render=overlay','default','A taxonomy vocabulary that is associated with this file, usually because this file is in a field on the taxonomy vocabulary.','','7.37'),(808,'/photo/admin/config/regional/language?render=overlay','default','A file that is associated with this taxonomy vocabulary, usually because it is in a field on the taxonomy vocabulary.','','7.37'),(809,'/photo/admin/config/regional/language?render=overlay','default','Module','','7.37'),(810,'/photo/admin/config/regional/language?render=overlay','default','The module managing this file relationship.','','7.37'),(811,'/photo/admin/config/regional/language?render=overlay','default','Entity type','','7.37'),(812,'/photo/admin/config/regional/language?render=overlay','default','The type of entity that is related to the file.','','7.37'),(813,'/photo/admin/config/regional/language?render=overlay','default','Entity ID','','7.37'),(814,'/photo/admin/config/regional/language?render=overlay','default','The ID of the entity that is related to the file.','','7.37'),(815,'/photo/admin/config/regional/language?render=overlay','default','Use count','','7.37'),(816,'/photo/admin/config/regional/language?render=overlay','default','The number of times the file is used by this entity.','','7.37'),(817,'/photo/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine','','7.37'),(818,'/photo/admin/config/regional/language?render=overlay','default','Modules/Themes/Theme engines in your codebase.','','7.37'),(819,'/photo/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine filename','','7.37'),(820,'/photo/admin/config/regional/language?render=overlay','default','The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.','','7.37'),(821,'/photo/admin/config/regional/language?render=overlay','default','Module/Theme/Theme engine name','','7.37'),(822,'/photo/admin/config/regional/language?render=overlay','default','The name of the item; e.g. node.','','7.37'),(823,'/photo/admin/config/regional/language?render=overlay','default','The type of the item, either module, theme, or theme_engine.','','7.37'),(824,'/photo/admin/config/regional/language?render=overlay','default','Boolean indicating whether or not this item is enabled.','','7.37'),(825,'/photo/admin/config/regional/language?render=overlay','default','Schema version','','7.37'),(826,'/photo/admin/config/regional/language?render=overlay','default','The module\'s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module\'s hook_update_N() function that has either been run or existed when the module was first installed.','','7.37'),(827,'/photo/admin/config/regional/language?render=overlay','default','Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the \"Taxonomy: Term\" field is; and can similarly cause duplicates.','','7.37'),(828,'/photo/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary name','','7.37'),(829,'/photo/admin/config/regional/language?render=overlay','default','Machine name','','7.37'),(830,'/photo/admin/config/regional/language?render=overlay','default','Machine-Name of the vocabulary a term is a member of. This will be the vocabulary that whichever term the \"Taxonomy: Term\" field is; and can similarly cause duplicates.','','7.37'),(831,'/photo/admin/config/regional/language?render=overlay','default','Filter the results of \"Taxonomy: Term\" to a particular vocabulary.','','7.37'),(832,'/photo/admin/config/regional/language?render=overlay','default','Vocabulary ID','','7.37'),(833,'/photo/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary ID','','7.37'),(834,'/photo/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary description','','7.37'),(835,'/photo/admin/config/regional/language?render=overlay','default','Weight','','7.37'),(836,'/photo/admin/config/regional/language?render=overlay','default','The taxonomy vocabulary weight','','7.37'),(837,'/photo/admin/config/regional/language?render=overlay','default','Term','','7.37'),(838,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy terms are attached to nodes.','','7.37'),(839,'/photo/admin/config/regional/language?render=overlay','default','Term ID','','7.37'),(840,'/photo/admin/config/regional/language?render=overlay','default','The tid of a taxonomy term.','','7.37'),(841,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy term chosen from autocomplete or select widget.','','7.37'),(842,'/photo/admin/config/regional/language?render=overlay','default','Representative node','','7.37'),(843,'/photo/admin/config/regional/language?render=overlay','default','Obtains a single representative node for each term, according to a chosen sort criterion.','','7.37'),(844,'/photo/admin/config/regional/language?render=overlay','default','The taxonomy term name.','','7.37'),(845,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy term name.','','7.37'),(846,'/photo/admin/config/regional/language?render=overlay','default','Uncategorized','','7.37'),(847,'/photo/admin/config/regional/language?render=overlay','default','The term weight field','','7.37'),(848,'/photo/admin/config/regional/language?render=overlay','default','Term description','','7.37'),(849,'/photo/admin/config/regional/language?render=overlay','default','The description associated with a taxonomy term.','','7.37'),(850,'/photo/admin/config/regional/language?render=overlay','default','Vocabulary','','7.37'),(851,'/photo/admin/config/regional/language?render=overlay','default','Term edit link','','7.37'),(852,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the term.','','7.37'),(853,'/photo/admin/config/regional/language?render=overlay','default','Content with term','','7.37'),(854,'/photo/admin/config/regional/language?render=overlay','default','Relate all content tagged with a term.','','7.37'),(855,'/photo/admin/config/regional/language?render=overlay','default','Has taxonomy term ID','','7.37'),(856,'/photo/admin/config/regional/language?render=overlay','default','Display content if it has the selected taxonomy terms.','','7.37'),(857,'/photo/admin/config/regional/language?render=overlay','default','Has taxonomy term','','7.37'),(858,'/photo/admin/config/regional/language?render=overlay','default','Parent term','','7.37'),(859,'/photo/admin/config/regional/language?render=overlay','default','The parent term of the term. This can produce duplicate entries if you are using a vocabulary that allows multiple parents.','','7.37'),(860,'/photo/admin/config/regional/language?render=overlay','default','Parent','','7.37'),(861,'/photo/admin/config/regional/language?render=overlay','default','Filter the results of \"Taxonomy: Term\" by the parent pid.','','7.37'),(862,'/photo/admin/config/regional/language?render=overlay','default','The parent term of the term.','','7.37'),(863,'/photo/admin/config/regional/language?render=overlay','default','Users who have created accounts on your site.','','7.37'),(864,'/photo/admin/config/regional/language?render=overlay','default','Uid','','7.37'),(865,'/photo/admin/config/regional/language?render=overlay','default','The user ID','','7.37'),(866,'/photo/admin/config/regional/language?render=overlay','default','Content authored','','7.37'),(867,'/photo/admin/config/regional/language?render=overlay','default','Relate content to the user who created it. This relationship will create one record for each content item created by the user.','','7.37'),(868,'/photo/admin/config/regional/language?render=overlay','default','nodes','','7.37'),(869,'/photo/admin/config/regional/language?render=overlay','default','The raw numeric user ID.','','7.37'),(870,'/photo/admin/config/regional/language?render=overlay','default','Obtains a single representative node for each user, according to a chosen sort criterion.','','7.37'),(871,'/photo/admin/config/regional/language?render=overlay','default','Current','','7.37'),(872,'/photo/admin/config/regional/language?render=overlay','default','Filter the view to the currently logged in user.','','7.37'),(873,'/photo/admin/config/regional/language?render=overlay','default','The user or author name.','','7.37'),(874,'/photo/admin/config/regional/language?render=overlay','default','Name (raw)','','7.37'),(875,'/photo/admin/config/regional/language?render=overlay','default','The user or author name. This filter does not check if the user exists and allows partial matching. Does not utilize autocomplete.','','7.37'),(876,'/photo/admin/config/regional/language?render=overlay','default','E-mail','','7.37'),(877,'/photo/admin/config/regional/language?render=overlay','default','Email address for a given user. This field is normally not shown to users, so be cautious when using it.','','7.37'),(878,'/photo/admin/config/regional/language?render=overlay','default','Language of the user','','7.37'),(879,'/photo/admin/config/regional/language?render=overlay','default','Picture','','7.37'),(880,'/photo/admin/config/regional/language?render=overlay','default','The user\'s picture, if allowed.','','7.37'),(881,'/photo/admin/config/regional/language?render=overlay','default','Has Avatar','','7.37'),(882,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to the user.','','7.37'),(883,'/photo/admin/config/regional/language?render=overlay','default','The date the user was created.','','7.37'),(884,'/photo/admin/config/regional/language?render=overlay','default','Last access','','7.37'),(885,'/photo/admin/config/regional/language?render=overlay','default','The user\'s last access date.','','7.37'),(886,'/photo/admin/config/regional/language?render=overlay','default','Last login','','7.37'),(887,'/photo/admin/config/regional/language?render=overlay','default','The user\'s last login date.','','7.37'),(888,'/photo/admin/config/regional/language?render=overlay','default','Active','','7.37'),(889,'/photo/admin/config/regional/language?render=overlay','default','Whether a user is active or blocked.','','7.37'),(890,'/photo/admin/config/regional/language?render=overlay','default','Blocked','','7.37'),(891,'/photo/admin/config/regional/language?render=overlay','default','Signature','','7.37'),(892,'/photo/admin/config/regional/language?render=overlay','default','The user\'s signature.','','7.37'),(893,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the user.','','7.37'),(894,'/photo/admin/config/regional/language?render=overlay','default','Cancel link','','7.37'),(895,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to cancel the user.','','7.37'),(896,'/photo/admin/config/regional/language?render=overlay','default','Provide serialized data of the user','','7.37'),(897,'/photo/admin/config/regional/language?render=overlay','default','Roles that a user belongs to.','','7.37'),(898,'/photo/admin/config/regional/language?render=overlay','default','No role','','7.37'),(899,'/photo/admin/config/regional/language?render=overlay','default','The user permissions.','','7.37'),(900,'/photo/admin/config/regional/language?render=overlay','default','Authmap ID','','7.37'),(901,'/photo/admin/config/regional/language?render=overlay','default','The Authmap ID.','','7.37'),(902,'/photo/admin/config/regional/language?render=overlay','default','Authentication name','','7.37'),(903,'/photo/admin/config/regional/language?render=overlay','default','The unique authentication name.','','7.37'),(904,'/photo/admin/config/regional/language?render=overlay','default','Authentication module','','7.37'),(905,'/photo/admin/config/regional/language?render=overlay','default','The name of the module managing the authentication entry.','','7.37'),(906,'/photo/admin/config/regional/language?render=overlay','default','Fieldset','','7.37'),(907,'/photo/admin/config/regional/language?render=overlay','default','Adds a fieldset to put fields and other fieldsets in.','','7.37'),(908,'/photo/admin/config/regional/language?render=overlay','default','The weight of the node, formatted as a form element.','','7.37'),(909,'/photo/admin/config/regional/language?render=overlay','default','Weight value','','7.37'),(910,'/photo/admin/config/regional/language?render=overlay','default','The weight of the node.','','7.37'),(911,'/photo/admin/config/regional/language?render=overlay; sites/all/modules/weight/weight.js','default','Enabled','','7.37'),(912,'/photo/admin/config/regional/language?render=overlay','default','Displays nodes that are Weight enabled','','7.37'),(913,'/photo/admin/config/regional/language?render=overlay','default','Global','','7.37'),(914,'/photo/admin/config/regional/language?render=overlay','default','Random','','7.37'),(915,'/photo/admin/config/regional/language?render=overlay','default','Randomize the display order.','','7.37'),(916,'/photo/admin/config/regional/language?render=overlay','default','Null','','7.37'),(917,'/photo/admin/config/regional/language?render=overlay','default','Allow a contextual filter value to be ignored. The query will not be altered by this contextual filter value. Can be used when contextual filter values come from the URL, and a part of the URL needs to be ignored.','','7.37'),(918,'/photo/admin/config/regional/language?render=overlay','default','Custom text','','7.37'),(919,'/photo/admin/config/regional/language?render=overlay','default','View result counter','','7.37'),(920,'/photo/admin/config/regional/language?render=overlay','default','Displays the actual position of the view result','','7.37'),(921,'/photo/admin/config/regional/language?render=overlay','default','Text area','','7.37'),(922,'/photo/admin/config/regional/language?render=overlay','default','Provide markup text for the area.','','7.37'),(923,'/photo/admin/config/regional/language?render=overlay','default','Unfiltered text','','7.37'),(924,'/photo/admin/config/regional/language?render=overlay','default','Add unrestricted, custom text or markup. This is similar to the custom text field.','','7.37'),(925,'/photo/admin/config/regional/language?render=overlay','default','View area','','7.37'),(926,'/photo/admin/config/regional/language?render=overlay','default','Insert a view inside an area.','','7.37'),(927,'/photo/admin/config/regional/language?render=overlay','default','Result summary','','7.37'),(928,'/photo/admin/config/regional/language?render=overlay','default','Shows result summary, for example the items per page.','','7.37'),(929,'/photo/admin/config/regional/language?render=overlay','default','Messages','','7.37'),(930,'/photo/admin/config/regional/language?render=overlay','default','Displays messages in the area.','','7.37'),(931,'/photo/admin/config/regional/language?render=overlay','default','Contextual Links','','7.37'),(932,'/photo/admin/config/regional/language?render=overlay','default','Display fields in a contextual links menu.','','7.37'),(933,'/photo/admin/config/regional/language?render=overlay','default','Combine fields filter','','7.37'),(934,'/photo/admin/config/regional/language?render=overlay','default','Combine two fields together and search by them.','','7.37'),(935,'/photo/admin/config/regional/language?render=overlay','default','Math expression','','7.37'),(936,'/photo/admin/config/regional/language?render=overlay','default','Evaluates a mathematical expression and displays it.','','7.37'),(937,'/photo/admin/config/regional/language?render=overlay','default','Fields comparison','','7.37'),(938,'/photo/admin/config/regional/language?render=overlay','default','Compare database fields against eachother.','','7.37'),(939,'/photo/admin/config/regional/language?render=overlay','default','Use fields comparison to filter the result of the view.','','7.37'),(940,'/photo/admin/config/regional/language?render=overlay','default','Webform submission','','7.37'),(941,'/photo/admin/config/regional/language?render=overlay','default','Webform submissions of the given Webform node.','','7.37'),(942,'/photo/admin/config/regional/language?render=overlay','default','Webform Submission','','7.37'),(943,'/photo/admin/config/regional/language?render=overlay','default','Webform submission count','','7.37'),(944,'/photo/admin/config/regional/language?render=overlay','default','The number of webform submissions on this node.','','7.37'),(945,'/photo/admin/config/regional/language?render=overlay','default','Webform submissions of the given user.','','7.37'),(946,'/photo/admin/config/regional/language?render=overlay','default','The number of webform submissions for this user.','','7.37'),(947,'/photo/admin/config/regional/language?render=overlay','default','Webform edit link','','7.37'),(948,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to edit the webform components and configuration.','','7.37'),(949,'/photo/admin/config/regional/language?render=overlay','default','Webform results link','','7.37'),(950,'/photo/admin/config/regional/language?render=overlay','default','Provide a simple link to view the results of a webform.','','7.37'),(951,'/photo/admin/config/regional/language?render=overlay','default','Webform form body','','7.37'),(952,'/photo/admin/config/regional/language?render=overlay','default','The Webform form body display for this node.','','7.37'),(953,'/photo/admin/config/regional/language?render=overlay','default','Result summary with an additional token to change the items/page','','7.37'),(954,'/photo/admin/config/regional/language?render=overlay','default','Shows result summary, for example the items per page, plus links to change the items per page.','','7.37'),(955,'/photo/admin/config/regional/language?render=overlay','default','New comments','','7.37'),(956,'/photo/admin/config/regional/language?render=overlay','default','The number of new comments on the node.','','7.37'),(957,'/photo/admin/config/regional/language?render=overlay','default','Add comment link','','7.37'),(958,'/photo/admin/config/regional/language?render=overlay','default','Display the standard add comment link used on regular nodes, which will only display if the viewing user has access to add a comment.','','7.37'),(959,'/photo/admin/config/regional/language?render=overlay','default','Comment status','','7.37'),(960,'/photo/admin/config/regional/language?render=overlay','default','Whether comments are enabled or disabled on the node.','','7.37'),(961,'/photo/admin/config/regional/language?render=overlay','default','User posted or commented','','7.37'),(962,'/photo/admin/config/regional/language?render=overlay','default','Display nodes only if a user posted the node or commented on the node.','','7.37'),(963,'/photo/admin/config/regional/language?render=overlay','default','Comments of the node','','7.37'),(964,'/photo/admin/config/regional/language?render=overlay','default','Relate all comments on the node. This will create 1 duplicate record for every comment. Usually if you need this it is better to create a comment view.','','7.37'),(965,'/photo/admin/config/regional/language?render=overlay','default','@entity using @field','','7.37'),(966,'/photo/admin/config/regional/language?render=overlay','default','Relate each @entity with a @field set to the term.','','7.37'),(967,'/photo/admin/config/regional/language?render=overlay','default','!field_name','','7.37'),(968,'/photo/admin/config/regional/language?render=overlay','default','Relate each @entity with a @field set to the image.','','7.37'),(969,'/photo/admin/config/regional/language?render=overlay','default','The language the content is in.','','7.37'),(970,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy terms on node','','7.37'),(971,'/photo/admin/config/regional/language?render=overlay','default','Relate nodes to taxonomy terms, specifiying which vocabulary or vocabularies to use. This relationship will cause duplicated records if there are multiple terms.','','7.37'),(972,'/photo/admin/config/regional/language?render=overlay','default','term','','7.37'),(973,'/photo/admin/config/regional/language?render=overlay','default','All taxonomy terms','','7.37'),(974,'/photo/admin/config/regional/language?render=overlay','default','Display all taxonomy terms associated with a node from specified vocabularies.','','7.37'),(975,'/photo/admin/config/regional/language?render=overlay','default','Display content if it has the selected taxonomy terms, or children of the selected terms. Due to additional complexity, this has fewer options than the versions without depth.','','7.37'),(976,'/photo/admin/config/regional/language?render=overlay','default','Has taxonomy term ID (with depth)','','7.37'),(977,'/photo/admin/config/regional/language?render=overlay','default','Has taxonomy terms (with depth)','','7.37'),(978,'/photo/admin/config/regional/language?render=overlay','default','Has taxonomy term ID depth modifier','','7.37'),(979,'/photo/admin/config/regional/language?render=overlay','default','Allows the \"depth\" for Taxonomy: Term ID (with depth) to be modified via an additional contextual filter value.','','7.37'),(980,'/photo/admin/config/regional/language?render=overlay','default','Embed a view as a field. This can cause slow performance, so enable some caching.','','7.37'),(981,'/photo/admin/config/regional/language?render=overlay','default','View (Views field view)','','7.37'),(982,'/photo/admin/config/regional/language?render=overlay','default','Embed a view in an area. This can cause slow performance, so enable some caching.','','7.37'),(983,'/photo/admin/config/regional/language?render=overlay','default','Embed a views_field_view field in an area. This can also accept argument tokens.','','7.37'),(984,'/photo/admin/config/regional/language?render=overlay','default','Break lock','','7.37'),(985,'/photo/admin/config/regional/language?render=overlay','default','Edit view','','7.37'),(986,'/photo/admin/config/regional/language?render=overlay','default','Disable text format','','7.37'),(987,'/photo/admin/config/regional/language?render=overlay','default','Home','','7.37'),(988,'/photo/admin/config/regional/language?render=overlay','default','Run cron','','7.37'),(989,'/photo/admin/config/regional/language?render=overlay','default','Run updates','','7.37'),(990,'/photo/admin/config/regional/language?render=overlay','default','@project issue queue','','7.37'),(991,'/photo/admin/config/regional/language?render=overlay','default','Flush all caches','','7.37'),(992,'/photo/admin/config/regional/language?render=overlay','default','CSS and JavaScript','','7.37'),(993,'/photo/admin/config/regional/language?render=overlay','default','Page and else','','7.37'),(994,'/photo/admin/config/regional/language?render=overlay','default','Menu','','7.37'),(995,'/photo/admin/config/regional/language?render=overlay','default','Class registry','','7.37'),(996,'/photo/admin/config/regional/language?render=overlay','default','Theme registry','','7.37'),(997,'/photo/admin/config/regional/language?render=overlay','default','Update data','','7.37'),(998,'/photo/admin/config/regional/language?render=overlay','default','Log out','','7.37'),(999,'/photo/admin/config/regional/language?render=overlay','default','Add content','','7.37'),(1000,'/photo/admin/config/regional/language?render=overlay','default','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','','7.37'),(1001,'/photo/admin/config/regional/language?render=overlay','default','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','','7.37'),(1002,'/photo/admin/config/regional/language?render=overlay','default','Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','','7.37'),(1003,'/photo/admin/config/regional/language?render=overlay','default','Token registry','','7.37'),(1004,'/photo/admin/config/regional/language?render=overlay','default','Hello <strong>@username</strong>','','7.37'),(1005,'/photo/admin/config/regional/language?render=overlay','default','Blog','','7.37'),(1006,'/photo/admin/config/regional/language?render=overlay','default','My account','','7.37'),(1007,'/photo/admin/config/regional/language?render=overlay','default','Add to %shortcut_set shortcuts','','7.37'),(1008,'/photo/admin/config/regional/language?render=overlay','default','You are here','','7.37'),(1009,'/photo/admin/config/regional/language?render=overlay','default','Status message','','7.37'),(1010,'/photo/admin/config/regional/language?render=overlay','default','Error message','','7.37'),(1011,'/photo/admin/config/regional/language?render=overlay','default','Warning message','','7.37'),(1012,'/photo/admin/config/regional/language?render=overlay','default','Enable !title','','7.37'),(1013,'/photo/admin/config/regional/language?render=overlay','default','Set !title as default','','7.37'),(1014,'/photo/admin/config/regional/language?render=overlay','default','!title !required','','7.37'),(1015,'/photo/admin/config/regional/language?render=overlay','default','English name','','7.37'),(1016,'/photo/admin/config/regional/language?render=overlay','default','Native name','','7.37'),(1017,'/photo/admin/config/regional/language?render=overlay','default','Code','','7.37'),(1018,'/photo/admin/config/regional/language?render=overlay','default','Direction','','7.37'),(1019,'/photo/admin/config/regional/language?render=overlay','default','If you have problems accessing administrative pages on this site, disable the overlay on your profile page.','','7.37'),(1020,'/photo/admin/config/regional/language?render=overlay','default','Dismiss this message.','','7.37'),(1021,'/photo/admin/config/regional/language?render=overlay','default','Options for the administrative overlay','','7.37'),(1022,'/photo/admin/config/regional/language?render=overlay','default','Close overlay','','7.37'),(1023,'/photo/admin/config/regional/language?render=overlay','default','Primary tabs','','7.37'),(1024,'/photo/admin/config/regional/language?render=overlay','default','!local-task-title!active','','7.37'),(1025,'/photo/admin/config/regional/language?render=overlay','default','Skip to main content','','7.37'),(1026,'/photo/gallery-ribbon','default','Gallery ribbon','','7.37'),(1027,'/photo/gallery-ribbon','default','{current} of {total}','','7.37'),(1028,'/photo/gallery-ribbon','default','« Prev','','7.37'),(1029,'/photo/gallery-ribbon','default','Next »','','7.37'),(1030,'/photo/gallery-ribbon','default','Close','','7.37'),(1031,'/photo/gallery-ribbon','default','fields','','7.37'),(1032,'/photo/gallery-ribbon','default','Field','','7.37'),(1033,'/photo/gallery-ribbon','default','Contextual filters','','7.37'),(1034,'/photo/gallery-ribbon','default','contextual filters','','7.37'),(1035,'/photo/gallery-ribbon','default','Contextual filter','','7.37'),(1036,'/photo/gallery-ribbon','default','contextual filter','','7.37'),(1037,'/photo/gallery-ribbon','default','Sort criteria','','7.37'),(1038,'/photo/gallery-ribbon','default','sort criteria','','7.37'),(1039,'/photo/gallery-ribbon','default','Sort criterion','','7.37'),(1040,'/photo/gallery-ribbon','default','sort criterion','','7.37'),(1041,'/photo/gallery-ribbon','default','Filter criteria','','7.37'),(1042,'/photo/gallery-ribbon','default','filter criteria','','7.37'),(1043,'/photo/gallery-ribbon','default','Filter criterion','','7.37'),(1044,'/photo/gallery-ribbon','default','filter criterion','','7.37'),(1045,'/photo/gallery-ribbon','default','Relationships','','7.37'),(1046,'/photo/gallery-ribbon','default','relationships','','7.37'),(1047,'/photo/gallery-ribbon','default','Relationship','','7.37'),(1048,'/photo/gallery-ribbon','default','Header','','7.37'),(1049,'/photo/gallery-ribbon','default','header','','7.37'),(1050,'/photo/gallery-ribbon','default','Footer','','7.37'),(1051,'/photo/gallery-ribbon','default','footer','','7.37'),(1052,'/photo/gallery-ribbon','default','No results behavior','','7.37'),(1053,'/photo/gallery-ribbon','default','no results behavior','','7.37'),(1054,'/photo/gallery-ribbon','default','Gallery Type','','7.37'),(1055,'/photo/gallery-ribbon','default','True','','7.37'),(1056,'/photo/gallery-ribbon','default','Options','','7.37'),(1057,'/photo/gallery-ribbon','default','Is one of','','7.37'),(1058,'/photo/gallery-ribbon','default','in','','7.37'),(1059,'/photo/gallery-ribbon','default','=','','7.37'),(1060,'/photo/gallery-ribbon','default','Is not one of','','7.37'),(1061,'/photo/gallery-ribbon','default','not in','','7.37'),(1062,'/photo/gallery-ribbon','default','<>','','7.37'),(1063,'/photo/gallery-ribbon','default','Limit allowed HTML tags','','7.37'),(1064,'/photo/gallery-ribbon','default','Convert line breaks into HTML (i.e. <code>&lt;br&gt;</code> and <code>&lt;p&gt;</code>)','','7.37'),(1065,'/photo/gallery-ribbon','default','Convert URLs into links','','7.37'),(1066,'/photo/gallery-ribbon','default','Correct faulty and chopped off HTML','','7.37'),(1067,'/photo/gallery-ribbon','default','Display any HTML as plain text','','7.37'),(1068,'/photo/gallery-ribbon','default','Resize','','7.34'),(1069,'/photo/gallery-ribbon','default','Resizing will make images an exact set of dimensions. This may cause images to be stretched or shrunk disproportionately.','','7.34'),(1070,'/photo/gallery-ribbon','default','Scale','','7.34'),(1071,'/photo/gallery-ribbon','default','Scaling will maintain the aspect-ratio of the original image. If only a single dimension is specified, the other dimension will be calculated.','','7.34'),(1072,'/photo/gallery-ribbon','default','Scale and crop','','7.34'),(1073,'/photo/gallery-ribbon','default','Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.','','7.34'),(1074,'/photo/gallery-ribbon','default','Crop','','7.34'),(1075,'/photo/gallery-ribbon','default','Cropping will remove portions of an image to make it the specified dimensions.','','7.34'),(1076,'/photo/gallery-ribbon','default','Desaturate','','7.34'),(1077,'/photo/gallery-ribbon','default','Desaturate converts an image to grayscale.','','7.34'),(1078,'/photo/gallery-ribbon','default','Rotate','','7.34'),(1079,'/photo/gallery-ribbon','default','Rotating an image may cause the dimensions of an image to increase to fit the diagonal.','','7.34'),(1080,'/photo/gallery-ribbon','default','Fieldset','views_fieldsets','7.37'),(1081,'/photo/gallery-ribbon','default','Main Menu','','7.37'),(1082,'/photo/gallery-ribbon','default','Services','','7.37'),(1083,'/photo/gallery-ribbon','default','Clients','','7.37'),(1084,'/photo/gallery-ribbon','default','Meet out team','','7.37'),(1085,'/photo/gallery-ribbon','default','Our work involves','','7.37'),(1086,'/photo/gallery-ribbon','default','Gallery flow','','7.37'),(1087,'/photo/gallery-ribbon','default','Gallery kenbums','','7.37'),(1088,'/photo/gallery-ribbon','default','Gallery mansory','','7.37'),(1089,'/photo/gallery-ribbon','default','My blog','','7.37'),(1090,'/photo/gallery-ribbon','default','Back to Home','','7.37'),(1091,'/photo/gallery-ribbon','default','Configure block','','7.37'),(1092,'/photo/gallery-ribbon','default','Back to Top','','7.37'),(1093,'sites/all/themes/photo/js/weebpal.js','default','Are you sure you want to reset your theme settings to default theme settings?','','none'),(1094,'modules/overlay/overlay-parent.js; sites/all/modules/jquery_update/replace/misc/1.9/overlay-parent.js','default','@title dialog','','none'),(1095,'modules/contextual/contextual.js','default','Configure','','none'),(1096,'/photo/js/admin_menu/cache/09611b974c110cd452316836e9cce149','default','','','7.37'),(1097,'/photo/','default','Body','','7.37'),(1098,'/photo/','default','Is less than','','7.37'),(1099,'/photo/','default','<','','7.37'),(1100,'/photo/','default','Is less than or equal to','','7.37'),(1101,'/photo/','default','<=','','7.37'),(1102,'/photo/','default','Is equal to','','7.37'),(1103,'/photo/','default','Is not equal to','','7.37'),(1104,'/photo/','default','!=','','7.37'),(1105,'/photo/','default','Is greater than or equal to','','7.37'),(1106,'/photo/','default','>=','','7.37'),(1107,'/photo/','default','Is greater than','','7.37'),(1108,'/photo/','default','>','','7.37'),(1109,'/photo/','default','Is between','','7.37'),(1110,'/photo/','default','between','','7.37'),(1111,'/photo/','default','Is not between','','7.37'),(1112,'/photo/','default','not between','','7.37'),(1113,'/photo/','default','Is empty (NULL)','','7.37'),(1114,'/photo/','default','empty','','7.37'),(1115,'/photo/','default','Is not empty (NOT NULL)','','7.37'),(1116,'/photo/','default','not empty','','7.37'),(1117,'/photo/','default','Regular expression','','7.37'),(1118,'/photo/','default','regex','','7.37'),(1119,'/photo/','default','Untitled skin','','7.37'),(1120,'/photo/','default','Pager','','7.37'),(1121,'/photo/','default','Controls','','7.37'),(1122,'/photo/','default','Slide Counter','','7.37'),(1123,'/photo/','default','Subscribe to !feed-title','','7.37'),(1124,'/photo/','default','...','','7.37'),(1125,'/photo/','default','Cycle','','7.37'),(1126,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','Resume','','none'),(1127,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','Pause','','none'),(1128,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','There was no action specified.','','none'),(1129,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','This slideshow is forced paused.','','none'),(1130,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','An invalid integer was specified for slideNum.','','none'),(1131,'sites/all/modules/views_slideshow/js/views_slideshow.js','default','An invalid action \"!action\" was specified.','','none'),(1132,'/photo/ar','default','Page not found','','7.34'),(1133,'/photo/ar','default','The requested page \"@path\" could not be found.','','7.34'),(1134,'/photo/admin/config?render=overlay','default','GD library PNG support','','7.37'),(1135,'/photo/admin/config?render=overlay','default','Colorbox plugin','','7.37'),(1136,'/photo/admin/config?render=overlay','default','CTools CSS Cache','','7.37'),(1137,'/photo/admin/config?render=overlay','default','Exists','','7.37'),(1138,'/photo/admin/config?render=overlay','default','Not enabled','','7.37'),(1139,'/photo/admin/config?render=overlay','default','Your server is capable of displaying file upload progress, but does not have the required libraries. It is recommended to install the <a href=\"http://pecl.php.net/package/uploadprogress\">PECL uploadprogress library</a> (preferred) or to install <a href=\"http://us2.php.net/apc\">APC</a>.','','7.37'),(1140,'/photo/admin/config?render=overlay','default','Upload progress','','7.37'),(1141,'/photo/admin/config?render=overlay','default','Version 2.0 installed','','7.37'),(1142,'/photo/admin/config?render=overlay','default','Version %version installed','','7.37'),(1143,'/photo/admin/config?render=overlay','default','FlexSlider library installed.','','7.37'),(1144,'/photo/admin/config?render=overlay','default','GD library rotate and desaturate effects','','7.37'),(1145,'/photo/admin/config?render=overlay','default','jQuery Update','','7.37'),(1146,'/photo/admin/config?render=overlay','default','jQuery %jquery (<a href=\"@link\">configure</a>) and jQuery UI %ui','','7.37'),(1147,'/photo/admin/config?render=overlay','default','Juicebox Javascript Library','','7.37'),(1148,'/photo/admin/config?render=overlay; sites/all/modules/weight/weight.js','default','Disabled','','7.37'),(1149,'/photo/admin/config?render=overlay','default','If the site is experiencing problems with permissions to content, you may have to rebuild the permissions cache. Rebuilding will remove all privileges to content and replace them with permissions based on the current modules and settings. Rebuilding may take some time if there is a lot of content or complex permission settings. After rebuilding has completed, content will automatically use the new permissions.','','7.37'),(1150,'/photo/admin/config?render=overlay','default','Node Access Permissions','','7.37'),(1151,'/photo/admin/config?render=overlay','default','Rebuild permissions','','7.37'),(1152,'/photo/admin/config?render=overlay','default','Drupal','','7.37'),(1153,'/photo/admin/config?render=overlay','default','Web server','','7.37'),(1154,'/photo/admin/config?render=overlay','default','PHP','','7.37'),(1155,'/photo/admin/config?render=overlay','default','more information','','7.37'),(1156,'/photo/admin/config?render=overlay','default','PHP register globals','','7.37'),(1157,'/photo/admin/config?render=overlay','default','PHP extensions','','7.37'),(1158,'/photo/admin/config?render=overlay','default','Database system','','7.37'),(1159,'/photo/admin/config?render=overlay','default','Database system version','','7.37'),(1160,'/photo/admin/config?render=overlay','default','PHP memory limit','','7.37'),(1161,'/photo/admin/config?render=overlay','default','Protected','','7.37'),(1162,'/photo/admin/config?render=overlay','default','Configuration file','','7.37'),(1163,'/photo/admin/config?render=overlay','default','Public files directory','','7.37'),(1164,'/photo/admin/config?render=overlay','default','Temporary files directory','','7.37'),(1165,'/photo/admin/config?render=overlay','default','For more information, see the online handbook entry for <a href=\"@cron-handbook\">configuring cron jobs</a>.','','7.37'),(1166,'/photo/admin/config?render=overlay','default','@count hours','','7.34'),(1167,'/photo/admin/config?render=overlay','default','@count min','','7.37'),(1168,'/photo/admin/config?render=overlay','default','Last run !time ago','','7.37'),(1169,'/photo/admin/config?render=overlay','default','You can <a href=\"@cron\">run cron manually</a>.','','7.37'),(1170,'/photo/admin/config?render=overlay','default','To run cron from outside the site, go to <a href=\"!cron\">!cron</a>','','7.37'),(1171,'/photo/admin/config?render=overlay','default','Cron maintenance tasks','','7.37'),(1172,'/photo/admin/config?render=overlay','default','Writable (<em>public</em> download method)','','7.37'),(1173,'/photo/admin/config?render=overlay','default','Database updates','','7.37'),(1174,'/photo/admin/config?render=overlay','default','Up to date','','7.37'),(1175,'/photo/admin/config?render=overlay','default','Out of date','','7.37'),(1176,'/photo/admin/config?render=overlay','default','Some modules have database schema updates to install. You should run the <a href=\"@update\">database update script</a> immediately.','','7.34'),(1177,'/photo/admin/config?render=overlay','default','Access to update.php','','7.37'),(1178,'/photo/admin/config?render=overlay','default','Standard PHP','','7.37'),(1179,'/photo/admin/config?render=overlay','default','PHP Mbstring Extension','','7.37'),(1180,'/photo/admin/config?render=overlay','default','Error','','7.37'),(1181,'/photo/admin/config?render=overlay','default','Unicode library','','7.37'),(1182,'/photo/admin/config?render=overlay','default','Update notifications','','7.37'),(1183,'/photo/admin/config?render=overlay','default','Translation source node','','7.37'),(1184,'/photo/admin/config?render=overlay','default','The source node for this current node\'s translation set.','','7.37'),(1185,'/photo/admin/config?render=overlay','default','Revision log message','','7.37'),(1186,'/photo/admin/config?render=overlay','default','The explanation of the most recent changes made to the node.','','7.37'),(1187,'/photo/admin/config?render=overlay','default','Content type','','7.37'),(1188,'/photo/admin/config?render=overlay','default','The content type of the node.','','7.37'),(1189,'/photo/admin/config?render=overlay','default','Tokens related to content types.','','7.37'),(1190,'/photo/admin/config?render=overlay','default','The name of the content type.','','7.37'),(1191,'/photo/admin/config?render=overlay','default','Machine-readable name','','7.37'),(1192,'/photo/admin/config?render=overlay','default','The unique machine-readable name of the content type.','','7.37'),(1193,'/photo/admin/config?render=overlay','default','The optional description of the content type.','','7.37'),(1194,'/photo/admin/config?render=overlay','default','Node count','','7.37'),(1195,'/photo/admin/config?render=overlay','default','The number of nodes belonging to the content type.','','7.37'),(1196,'/photo/admin/config?render=overlay','default','Edit URL','','7.37'),(1197,'/photo/admin/config?render=overlay','default','The URL of the content type\'s edit page.','','7.37'),(1198,'/photo/admin/config?render=overlay','default','The URL of the taxonomy term\'s edit page.','','7.37'),(1199,'/photo/admin/config?render=overlay','default','Parents','','7.37'),(1200,'/photo/admin/config?render=overlay','default','An array of all the term\'s parents, starting with the root.','','7.37'),(1201,'/photo/admin/config?render=overlay','default','Root term','','7.37'),(1202,'/photo/admin/config?render=overlay','default','The root term of the taxonomy term.','','7.37'),(1203,'/photo/admin/config?render=overlay','default','The unique machine-readable name of the vocabulary.','','7.37'),(1204,'/photo/admin/config?render=overlay','default','The URL of the vocabulary\'s edit page.','','7.37'),(1205,'/photo/admin/config?render=overlay','default','Base name','','7.37'),(1206,'/photo/admin/config?render=overlay','default','The base name of the file.','','7.37'),(1207,'/photo/admin/config?render=overlay','default','File byte size','','7.37'),(1208,'/photo/admin/config?render=overlay','default','The size of the file, in bytes.','','7.37'),(1209,'/photo/admin/config?render=overlay','default','Account cancellation URL','','7.37'),(1210,'/photo/admin/config?render=overlay','default','The URL of the confirm delete page for the user account.','','7.37'),(1211,'/photo/admin/config?render=overlay','default','One-time login URL','','7.37'),(1212,'/photo/admin/config?render=overlay','default','The URL of the one-time login page for the user account.','','7.37'),(1213,'/photo/admin/config?render=overlay','default','The picture of the user.','','7.37'),(1214,'/photo/admin/config?render=overlay','default','The user roles associated with the user account.','','7.37'),(1215,'/photo/admin/config?render=overlay','default','Menu links','','7.37'),(1216,'/photo/admin/config?render=overlay','default','Tokens related to menu links.','','7.37'),(1217,'/photo/admin/config?render=overlay','default','Link ID','','7.37'),(1218,'/photo/admin/config?render=overlay','default','The unique ID of the menu link.','','7.37'),(1219,'/photo/admin/config?render=overlay','default','The title of the menu link.','','7.37'),(1220,'/photo/admin/config?render=overlay','default','URL','','7.37'),(1221,'/photo/admin/config?render=overlay','default','The URL of the menu link.','','7.37'),(1222,'/photo/admin/config?render=overlay','default','The menu link\'s parent.','','7.37'),(1223,'/photo/admin/config?render=overlay','default','An array of all the menu link\'s parents, starting with the root.','','7.37'),(1224,'/photo/admin/config?render=overlay','default','Root','','7.37'),(1225,'/photo/admin/config?render=overlay','default','The menu link\'s root.','','7.37'),(1226,'/photo/admin/config?render=overlay','default','Current page','','7.37'),(1227,'/photo/admin/config?render=overlay','default','Tokens related to the current page request.','','7.37'),(1228,'/photo/admin/config?render=overlay','default','The title of the current page.','','7.37'),(1229,'/photo/admin/config?render=overlay','default','The URL of the current page.','','7.37'),(1230,'/photo/admin/config?render=overlay','default','Page number','','7.37'),(1231,'/photo/admin/config?render=overlay','default','The page number of the current page when viewing paged lists.','','7.37'),(1232,'/photo/admin/config?render=overlay','default','Query string value','','7.37'),(1233,'/photo/admin/config?render=overlay','default','The value of a specific query string field of the current page.','','7.37'),(1234,'/photo/admin/config?render=overlay','default','Tokens related to URLs.','','7.37'),(1235,'/photo/admin/config?render=overlay','default','The path component of the URL.','','7.37'),(1236,'/photo/admin/config?render=overlay','default','Relative URL','','7.37'),(1237,'/photo/admin/config?render=overlay','default','The relative URL.','','7.37'),(1238,'/photo/admin/config?render=overlay','default','Absolute URL','','7.37'),(1239,'/photo/admin/config?render=overlay','default','The absolute URL.','','7.37'),(1240,'/photo/admin/config?render=overlay','default','Brief URL','','7.37'),(1241,'/photo/admin/config?render=overlay','default','The URL without the protocol and trailing backslash.','','7.37'),(1242,'/photo/admin/config?render=overlay','default','Unaliased URL','','7.37'),(1243,'/photo/admin/config?render=overlay','default','The unaliased URL.','','7.37'),(1244,'/photo/admin/config?render=overlay','default','Arguments','','7.37'),(1245,'/photo/admin/config?render=overlay','default','The specific argument of the current page (e.g. \'arg:1\' on the page \'node/1\' returns \'1\').','','7.37'),(1246,'/photo/admin/config?render=overlay','default','Array','','7.37'),(1247,'/photo/admin/config?render=overlay','default','Tokens related to arrays of strings.','','7.37'),(1248,'/photo/admin/config?render=overlay','default','First','','7.37'),(1249,'/photo/admin/config?render=overlay','default','The first element of the array.','','7.37'),(1250,'/photo/admin/config?render=overlay','default','Last','','7.37'),(1251,'/photo/admin/config?render=overlay','default','The last element of the array.','','7.37'),(1252,'/photo/admin/config?render=overlay','default','Count','','7.37'),(1253,'/photo/admin/config?render=overlay','default','The number of elements in the array.','','7.37'),(1254,'/photo/admin/config?render=overlay','default','Reversed','','7.37'),(1255,'/photo/admin/config?render=overlay','default','The array reversed.','','7.37'),(1256,'/photo/admin/config?render=overlay','default','Keys','','7.37'),(1257,'/photo/admin/config?render=overlay','default','The array of keys of the array.','','7.37'),(1258,'/photo/admin/config?render=overlay','default','Imploded','','7.37'),(1259,'/photo/admin/config?render=overlay','default','The values of the array joined together with a custom string in-between each value.','','7.37'),(1260,'/photo/admin/config?render=overlay','default','The specific value of the array.','','7.37'),(1261,'/photo/admin/config?render=overlay','default','Number','','7.37'),(1262,'/photo/admin/config?render=overlay','default','A random number from 0 to @max.','','7.37'),(1263,'/photo/admin/config?render=overlay','default','Hash','','7.37'),(1264,'/photo/admin/config?render=overlay','default','A random hash. The possible hashing algorithms are: @hash-algos.','','7.37'),(1265,'/photo/admin/config?render=overlay','default','Submission','','7.37'),(1266,'/photo/admin/config?render=overlay','default','Tokens related to webform submissions.','','7.37'),(1267,'/photo/admin/config?render=overlay','default','The serial number of this webform submission.','','7.37'),(1268,'/photo/admin/config?render=overlay','default','Submission ID','','7.37'),(1269,'/photo/admin/config?render=overlay','default','The unique indentifier for the webform submission.','','7.37'),(1270,'/photo/admin/config?render=overlay','default','Date submitted','','7.37'),(1271,'/photo/admin/config?render=overlay','default','The date the webform was submitted.','','7.34'),(1272,'/photo/admin/config?render=overlay','default','The IP address that was used when submitting the webform.','','7.37'),(1273,'/photo/admin/config?render=overlay','default','Submitter','','7.37'),(1274,'/photo/admin/config?render=overlay','default','The user that submitted the webform result.','','7.37'),(1275,'/photo/admin/config?render=overlay','default','Webform tokens related to the submission\'s URL.','','7.37'),(1276,'/photo/admin/config?render=overlay','default','Webform tokens related to the submission\'s Edit URL.','','7.37'),(1277,'/photo/admin/config?render=overlay','default','Webform submission values','','7.37'),(1278,'/photo/admin/config?render=overlay','default','Webform tokens from submitted data. Replace the \"?\" with the \"field key\", including any parent field keys separated by colons. You may append \":label\" for just the label or \":withlabel\" for both the label and value together. Append \":key\" for just the key in a key|label pair.','','7.34'),(1279,'/photo/admin/config?render=overlay','default','Tokens for comments posted on the site.','','7.37'),(1280,'/photo/admin/config?render=overlay','default','The number of comments posted on a node.','','7.37'),(1281,'/photo/admin/config?render=overlay','default','New comment count','','7.37'),(1282,'/photo/admin/config?render=overlay','default','The number of comments posted on a node since the reader last viewed it.','','7.37'),(1283,'/photo/admin/config?render=overlay','default','Comment ID','','7.37'),(1284,'/photo/admin/config?render=overlay','default','The unique ID of the comment.','','7.37'),(1285,'/photo/admin/config?render=overlay','default','IP Address','','7.37'),(1286,'/photo/admin/config?render=overlay','default','The IP address of the computer the comment was posted from.','','7.37'),(1287,'/photo/admin/config?render=overlay','default','The name left by the comment author.','','7.37'),(1288,'/photo/admin/config?render=overlay','default','Email address','','7.37'),(1289,'/photo/admin/config?render=overlay','default','The email address left by the comment author.','','7.37'),(1290,'/photo/admin/config?render=overlay','default','Home page','','7.37'),(1291,'/photo/admin/config?render=overlay','default','The home page URL left by the comment author.','','7.37'),(1292,'/photo/admin/config?render=overlay','default','The formatted content of the comment itself.','','7.37'),(1293,'/photo/admin/config?render=overlay','default','The URL of the comment.','','7.37'),(1294,'/photo/admin/config?render=overlay','default','The URL of the comment\'s edit page.','','7.37'),(1295,'/photo/admin/config?render=overlay','default','Date created','','7.37'),(1296,'/photo/admin/config?render=overlay','default','The date the comment was posted.','','7.37'),(1297,'/photo/admin/config?render=overlay','default','Date changed','','7.37'),(1298,'/photo/admin/config?render=overlay','default','The date the comment was most recently updated.','','7.37'),(1299,'/photo/admin/config?render=overlay','default','The comment\'s parent, if comment threading is active.','','7.37'),(1300,'/photo/admin/config?render=overlay','default','The node the comment was posted to.','','7.37'),(1301,'/photo/admin/config?render=overlay','default','The author of the comment, if they were logged in.','','7.37'),(1302,'/photo/admin/config?render=overlay','default','Tokens related to menus.','','7.37'),(1303,'/photo/admin/config?render=overlay','default','The name of the menu.','','7.37'),(1304,'/photo/admin/config?render=overlay','default','The unique machine-readable name of the menu.','','7.37'),(1305,'/photo/admin/config?render=overlay','default','The optional description of the menu.','','7.37'),(1306,'/photo/admin/config?render=overlay','default','Menu link count','','7.37'),(1307,'/photo/admin/config?render=overlay','default','The number of menu links belonging to the menu.','','7.37'),(1308,'/photo/admin/config?render=overlay','default','The URL of the menu\'s edit page.','','7.37'),(1309,'/photo/admin/config?render=overlay','default','The menu of the menu link.','','7.37'),(1310,'/photo/admin/config?render=overlay','default','The URL of the menu link\'s edit page.','','7.37'),(1311,'/photo/admin/config?render=overlay','default','Menu link','','7.37'),(1312,'/photo/admin/config?render=overlay','default','The menu link for this node.','','7.37'),(1313,'/photo/admin/config?render=overlay','default','Nodes','','7.37'),(1314,'/photo/admin/config?render=overlay','default','Tokens related to individual content items, or \"nodes\".','','7.37'),(1315,'/photo/admin/config?render=overlay','default','Content ID','','7.37'),(1316,'/photo/admin/config?render=overlay','default','The unique ID of the content item, or \"node\".','','7.37'),(1317,'/photo/admin/config?render=overlay','default','Revision ID','','7.37'),(1318,'/photo/admin/config?render=overlay','default','The unique ID of the node\'s latest revision.','','7.37'),(1319,'/photo/admin/config?render=overlay','default','Translation set ID','','7.37'),(1320,'/photo/admin/config?render=overlay','default','The unique ID of the original-language version of this node, if one exists.','','7.37'),(1321,'/photo/admin/config?render=overlay','default','The type of the node.','','7.37'),(1322,'/photo/admin/config?render=overlay','default','Content type name','','7.37'),(1323,'/photo/admin/config?render=overlay','default','The human-readable name of the node type.','','7.37'),(1324,'/photo/admin/config?render=overlay','default','The title of the node.','','7.37'),(1325,'/photo/admin/config?render=overlay','default','The main body text of the node.','','7.37'),(1326,'/photo/admin/config?render=overlay','default','Summary','','7.37'),(1327,'/photo/admin/config?render=overlay','default','The summary of the node\'s main body text.','','7.37'),(1328,'/photo/admin/config?render=overlay','default','The language the node is written in.','','7.37'),(1329,'/photo/admin/config?render=overlay','default','The URL of the node.','','7.37'),(1330,'/photo/admin/config?render=overlay','default','The URL of the node\'s edit page.','','7.37'),(1331,'/photo/admin/config?render=overlay','default','The date the node was posted.','','7.37'),(1332,'/photo/admin/config?render=overlay','default','The date the node was most recently updated.','','7.37'),(1333,'/photo/admin/config?render=overlay','default','The author of the node.','','7.37'),(1334,'/photo/admin/config?render=overlay','default','Tokens for site-wide settings and other global information.','','7.37'),(1335,'/photo/admin/config?render=overlay','default','Dates','','7.37'),(1336,'/photo/admin/config?render=overlay','default','Tokens related to times and dates.','','7.37'),(1337,'/photo/admin/config?render=overlay','default','Files','','7.37'),(1338,'/photo/admin/config?render=overlay','default','Tokens related to uploaded files.','','7.37'),(1339,'/photo/admin/config?render=overlay','default','The name of the site.','','7.37'),(1340,'/photo/admin/config?render=overlay','default','Slogan','','7.37'),(1341,'/photo/admin/config?render=overlay','default','The slogan of the site.','','7.37'),(1342,'/photo/admin/config?render=overlay','default','Email','','7.37'),(1343,'/photo/admin/config?render=overlay','default','The administrative email address for the site.','','7.37'),(1344,'/photo/admin/config?render=overlay','default','The URL of the site\'s front page.','','7.37'),(1345,'/photo/admin/config?render=overlay','default','URL (brief)','','7.37'),(1346,'/photo/admin/config?render=overlay','default','The URL of the site\'s front page without the protocol.','','7.37'),(1347,'/photo/admin/config?render=overlay','default','Login page','','7.37'),(1348,'/photo/admin/config?render=overlay','default','The URL of the site\'s login page.','','7.37'),(1349,'/photo/admin/config?render=overlay','default','Short format','','7.37'),(1350,'/photo/admin/config?render=overlay','default','A date in \'short\' format. (%date)','','7.37'),(1351,'/photo/admin/config?render=overlay','default','Medium format','','7.37'),(1352,'/photo/admin/config?render=overlay','default','Thu','','7.37'),(1353,'/photo/admin/config?render=overlay','default','A date in \'medium\' format. (%date)','','7.37'),(1354,'/photo/admin/config?render=overlay','default','Long format','','7.37'),(1355,'/photo/admin/config?render=overlay','default','Thursday','','7.37'),(1356,'/photo/admin/config?render=overlay','default','April','Long month name','7.34'),(1357,'/photo/admin/config?render=overlay','default','A date in \'long\' format. (%date)','','7.37'),(1358,'/photo/admin/config?render=overlay','default','Custom format','','7.37'),(1359,'/photo/admin/config?render=overlay','default','the PHP documentation','','7.37'),(1360,'/photo/admin/config?render=overlay','default','A date in a custom format. See !php-date for details.','','7.37'),(1361,'/photo/admin/config?render=overlay','default','Time-since','','7.37'),(1362,'/photo/admin/config?render=overlay','default','@count years','','7.37'),(1363,'/photo/admin/config?render=overlay','default','@count months','','7.37'),(1364,'/photo/admin/config?render=overlay','default','A date in \'time-since\' format. (%date)','','7.37'),(1365,'/photo/admin/config?render=overlay','default','Raw timestamp','','7.37'),(1366,'/photo/admin/config?render=overlay','default','A date in UNIX timestamp format (%date)','','7.37'),(1367,'/photo/admin/config?render=overlay','default','The unique ID of the uploaded file.','','7.37'),(1368,'/photo/admin/config?render=overlay','default','File name','','7.37'),(1369,'/photo/admin/config?render=overlay','default','The name of the file on disk.','','7.37'),(1370,'/photo/admin/config?render=overlay','default','The location of the file relative to Drupal root.','','7.37'),(1371,'/photo/admin/config?render=overlay','default','MIME type','','7.37'),(1372,'/photo/admin/config?render=overlay','default','The MIME type of the file.','','7.37'),(1373,'/photo/admin/config?render=overlay','default','File size','','7.37'),(1374,'/photo/admin/config?render=overlay','default','The web-accessible URL for the file.','','7.37'),(1375,'/photo/admin/config?render=overlay','default','Timestamp','','7.37'),(1376,'/photo/admin/config?render=overlay','default','The date the file was most recently changed.','','7.37'),(1377,'/photo/admin/config?render=overlay','default','Owner','','7.37'),(1378,'/photo/admin/config?render=overlay','default','The user who originally uploaded the file.','','7.37'),(1379,'/photo/admin/config?render=overlay','default','Taxonomy terms','','7.37'),(1380,'/photo/admin/config?render=overlay','default','Tokens related to taxonomy terms.','','7.37'),(1381,'/photo/admin/config?render=overlay','default','Vocabularies','','7.37'),(1382,'/photo/admin/config?render=overlay','default','Tokens related to taxonomy vocabularies.','','7.37'),(1383,'/photo/admin/config?render=overlay','default','The unique ID of the taxonomy term.','','7.37'),(1384,'/photo/admin/config?render=overlay','default','The name of the taxonomy term.','','7.37'),(1385,'/photo/admin/config?render=overlay','default','The optional description of the taxonomy term.','','7.37'),(1386,'/photo/admin/config?render=overlay','default','The number of nodes tagged with the taxonomy term.','','7.37'),(1387,'/photo/admin/config?render=overlay','default','The URL of the taxonomy term.','','7.37'),(1388,'/photo/admin/config?render=overlay','default','The unique ID of the taxonomy vocabulary.','','7.37'),(1389,'/photo/admin/config?render=overlay','default','The name of the taxonomy vocabulary.','','7.37'),(1390,'/photo/admin/config?render=overlay','default','The optional description of the taxonomy vocabulary.','','7.37'),(1391,'/photo/admin/config?render=overlay','default','The number of nodes tagged with terms belonging to the taxonomy vocabulary.','','7.37'),(1392,'/photo/admin/config?render=overlay','default','Term count','','7.37'),(1393,'/photo/admin/config?render=overlay','default','The number of terms belonging to the taxonomy vocabulary.','','7.37'),(1394,'/photo/admin/config?render=overlay','default','The vocabulary the taxonomy term belongs to.','','7.37'),(1395,'/photo/admin/config?render=overlay','default','The parent term of the taxonomy term, if one exists.','','7.37'),(1396,'/photo/admin/config?render=overlay','default','Users','','7.37'),(1397,'/photo/admin/config?render=overlay','default','Tokens related to individual user accounts.','','7.37'),(1398,'/photo/admin/config?render=overlay','default','Current user','','7.37'),(1399,'/photo/admin/config?render=overlay','default','Tokens related to the currently logged in user.','','7.37'),(1400,'/photo/admin/config?render=overlay','default','User ID','','7.37'),(1401,'/photo/admin/config?render=overlay','default','The unique ID of the user account.','','7.37'),(1402,'/photo/admin/config?render=overlay','default','The login name of the user account.','','7.37'),(1403,'/photo/admin/config?render=overlay','default','The email address of the user account.','','7.37'),(1404,'/photo/admin/config?render=overlay','default','The URL of the account profile page.','','7.37'),(1405,'/photo/admin/config?render=overlay','default','The URL of the account edit page.','','7.37'),(1406,'/photo/admin/config?render=overlay','default','The date the user last logged in to the site.','','7.37'),(1407,'/photo/admin/config?render=overlay','default','The date the user account was created.','','7.37'),(1408,'/photo/admin/config?render=overlay','default','Joined path','','7.37'),(1409,'/photo/admin/config?render=overlay','default','The array values each cleaned by Pathauto and then joined with the slash into a string that resembles an URL.','','7.37'),(1410,'/photo/admin/config?render=overlay','default','Tokens related to views.','','7.37'),(1411,'/photo/admin/config?render=overlay','default','The human-readable name of the view.','','7.37'),(1412,'/photo/admin/config?render=overlay','default','The description of the view.','','7.37'),(1413,'/photo/admin/config?render=overlay','default','The machine-readable name of the view.','','7.37'),(1414,'/photo/admin/config?render=overlay','default','The title of current display of the view.','','7.37'),(1415,'/photo/admin/config?render=overlay','default','The URL of the view.','','7.37'),(1416,'/photo/admin/config?render=overlay','default','Current date','','7.37'),(1417,'/photo/admin/config?render=overlay','default','Tokens related to the current date and time.','','7.37'),(1418,'/photo/admin/config?render=overlay','default','Original @entity','','7.37'),(1419,'/photo/admin/config?render=overlay','default','The original @entity data if the @entity is being updated or saved.','','7.37'),(1420,'/photo/admin/config?render=overlay','default','@type field.','','7.37'),(1421,'/photo/admin/config?render=overlay','default','The following tokens or token types are not defined as arrays:','','7.37'),(1422,'/photo/admin/config?render=overlay','default','The following tokens or token types are missing required name and/or description information:','','7.37'),(1423,'/photo/admin/config?render=overlay','default','The following token types do not have any tokens defined:','','7.37'),(1424,'/photo/admin/config?render=overlay','default','The following token types are not defined but have tokens:','','7.37'),(1425,'/photo/admin/config?render=overlay','default','The following token or token types are defined by multiple modules:','','7.37'),(1426,'/photo/admin/config?render=overlay','default','Installed','','7.37'),(1427,'/photo/admin/config?render=overlay','default','jQuery Cycle Library','','7.37'),(1428,'/photo/admin/config?render=overlay','default','One or more problems were detected with your Drupal installation. Check the <a href=\"@status\">status report</a> for more information.','','7.34'),(1429,'/photo/admin/config?render=overlay','default','Hide descriptions','','7.37'),(1430,'/photo/admin/config?render=overlay','default','Compress layout by hiding descriptions.','','7.37'),(1431,'/photo/admin/config/regional/language?render=overlay','default','Field type(s) in use - see <a href=\"@fields-page\">Field list</a>','','7.34'),(1432,'/photo/admin/config/regional/language?render=overlay','default','Date','','7.37'),(1433,'/photo/admin/config/regional/language?render=overlay','default','Presents month, day, and year fields.','','7.37'),(1434,'/photo/admin/config/regional/language?render=overlay','default','A special textfield that accepts e-mail addresses.','','7.37'),(1435,'/photo/admin/config/regional/language?render=overlay','default','Fieldsets allow you to organize multiple fields into groups.','','7.37'),(1436,'/photo/admin/config/regional/language?render=overlay','default','Allows creation of grid questions, denoted by radio buttons.','','7.37'),(1437,'/photo/admin/config/regional/language?render=overlay','default','Hidden','','7.37'),(1438,'/photo/admin/config/regional/language?render=overlay','default','A field which is not visible to the user, but is recorded with the submission.','','7.37'),(1439,'/photo/admin/config/regional/language?render=overlay','default','Markup','','7.37'),(1440,'/photo/admin/config/regional/language?render=overlay','default','Displays text as HTML in the form; does not render a field.','','7.37'),(1441,'/photo/admin/config/regional/language?render=overlay','default','A numeric input field (either as textfield or select list).','','7.37'),(1442,'/photo/admin/config/regional/language?render=overlay','default','Page break','','7.37'),(1443,'/photo/admin/config/regional/language?render=overlay','default','Organize forms into multiple pages.','','7.37'),(1444,'/photo/admin/config/regional/language?render=overlay','default','Select options','','7.37'),(1445,'/photo/admin/config/regional/language?render=overlay','default','Allows creation of checkboxes, radio buttons, or select menus.','','7.37'),(1446,'/photo/admin/config/regional/language?render=overlay','default','Textarea','','7.37'),(1447,'/photo/admin/config/regional/language?render=overlay','default','A large text area that allows for multiple lines of input.','','7.37'),(1448,'/photo/admin/config/regional/language?render=overlay','default','Textfield','','7.37'),(1449,'/photo/admin/config/regional/language?render=overlay','default','Basic textfield type.','','7.37'),(1450,'/photo/admin/config/regional/language?render=overlay','default','Time','','7.37'),(1451,'/photo/admin/config/regional/language?render=overlay','default','Presents the user with hour and minute fields. Optional am/pm fields.','','7.37'),(1452,'/photo/admin/config/regional/language?render=overlay','default','Allow users to upload files of configurable types.','','7.37'),(1453,'/photo/admin/config/regional/language?render=overlay','default','Vocabulary terms','','7.34'),(1454,'/photo/admin/config/regional/language?render=overlay','default','All the terms in a vocabulary.','','7.34'),(1455,'/photo/admin/config/regional/language?render=overlay','default','User links','','7.34'),(1456,'/photo/admin/config/regional/language?render=overlay','default','User links of the referenced user.','','7.34'),(1457,'/photo/admin/config/regional/language?render=overlay','default','User picture','','7.37'),(1458,'/photo/admin/config/regional/language?render=overlay','default','The picture of a user.','','7.34'),(1459,'/photo/admin/config/regional/language?render=overlay','default','User profile','','7.34'),(1460,'/photo/admin/config/regional/language?render=overlay','default','The profile of a user.','','7.34'),(1461,'/photo/admin/config/regional/language?render=overlay','default','User signature','','7.34'),(1462,'/photo/admin/config/regional/language?render=overlay','default','The signature of a user.','','7.34'),(1463,'/photo/admin/config/regional/language?render=overlay','default','Term description.','','7.34'),(1464,'/photo/admin/config/regional/language?render=overlay','default','List of related terms','','7.34'),(1465,'/photo/admin/config/regional/language?render=overlay','default','Terms related to an existing term; may be child, siblings or top level.','','7.34'),(1466,'/photo/admin/config/regional/language?render=overlay','default','Term name','','7.34'),(1467,'/photo/admin/config/regional/language?render=overlay','default','The name of this taxonomy term.','','7.34'),(1468,'/photo/admin/config/regional/language?render=overlay','default','Advanced search form','','7.34'),(1469,'/photo/admin/config/regional/language?render=overlay','default','A search form with advanced options.','','7.34'),(1470,'/photo/admin/config/regional/language?render=overlay','default','Keywords','','7.34'),(1471,'/photo/admin/config/regional/language?render=overlay','default','Widgets','','7.34'),(1472,'/photo/admin/config/regional/language?render=overlay','default','Search results','','7.34'),(1473,'/photo/admin/config/regional/language?render=overlay','default','The results of a search using keywords.','','7.34'),(1474,'/photo/admin/config/regional/language?render=overlay','default','Add the action links (local tasks) as content.','','7.34'),(1475,'/photo/admin/config/regional/language?render=overlay','default','Page elements','','7.34'),(1476,'/photo/admin/config/regional/language?render=overlay','default','Breadcrumb','','7.34'),(1477,'/photo/admin/config/regional/language?render=overlay','default','Add the breadcrumb trail as content.','','7.34'),(1478,'/photo/admin/config/regional/language?render=overlay','default','Feed icons','','7.34'),(1479,'/photo/admin/config/regional/language?render=overlay','default','Add the site feed_icons statement as content.','','7.34'),(1480,'/photo/admin/config/regional/language?render=overlay','default','Add the help text of the current page as content.','','7.34'),(1481,'/photo/admin/config/regional/language?render=overlay','default','Site logo','','7.34'),(1482,'/photo/admin/config/regional/language?render=overlay','default','Add the logo trail as content.','','7.34'),(1483,'/photo/admin/config/regional/language?render=overlay','default','Status messages','','7.34'),(1484,'/photo/admin/config/regional/language?render=overlay','default','Add the status messages of the current page as content.','','7.34'),(1485,'/photo/admin/config/regional/language?render=overlay','default','Primary navigation links','','7.34'),(1486,'/photo/admin/config/regional/language?render=overlay','default','Add the primary_links (local tasks) as content.','','7.34'),(1487,'/photo/admin/config/regional/language?render=overlay','default','Secondary navigation links','','7.34'),(1488,'/photo/admin/config/regional/language?render=overlay','default','Add the secondary_links (local tasks) as content.','','7.34'),(1489,'/photo/admin/config/regional/language?render=overlay','default','Site name','','7.34'),(1490,'/photo/admin/config/regional/language?render=overlay','default','The name of the site, optionally links to the front page.','','7.34'),(1491,'/photo/admin/config/regional/language?render=overlay','default','Site slogan','','7.34'),(1492,'/photo/admin/config/regional/language?render=overlay','default','Add the site\'s slogan as content.','','7.34'),(1493,'/photo/admin/config/regional/language?render=overlay','default','Tabs','','7.34'),(1494,'/photo/admin/config/regional/language?render=overlay','default','Add the tabs (local tasks) as content.','','7.34'),(1495,'/photo/admin/config/regional/language?render=overlay','default','Page title','','7.34'),(1496,'/photo/admin/config/regional/language?render=overlay','default','Add the page title as content.','','7.34'),(1497,'/photo/admin/config/regional/language?render=overlay','default','Node form author information','','7.34'),(1498,'/photo/admin/config/regional/language?render=overlay','default','Author information on the Node form.','','7.34'),(1499,'/photo/admin/config/regional/language?render=overlay','default','Form','','7.34'),(1500,'/photo/admin/config/regional/language?render=overlay','default','Node form submit buttons','','7.34'),(1501,'/photo/admin/config/regional/language?render=overlay','default','Submit buttons for the node form.','','7.34'),(1502,'/photo/admin/config/regional/language?render=overlay','default','Node form comment settings','','7.34'),(1503,'/photo/admin/config/regional/language?render=overlay','default','Comment settings on the Node form.','','7.34'),(1504,'/photo/admin/config/regional/language?render=overlay','default','Node form languages','','7.34'),(1505,'/photo/admin/config/regional/language?render=overlay','default','The language selection form.','','7.34'),(1506,'/photo/admin/config/regional/language?render=overlay','default','Node form revision log message','','7.34'),(1507,'/photo/admin/config/regional/language?render=overlay','default','Revision log message for the node.','','7.34'),(1508,'/photo/admin/config/regional/language?render=overlay','default','Node form menu settings','','7.34'),(1509,'/photo/admin/config/regional/language?render=overlay','default','Menu settings on the Node form.','','7.34'),(1510,'/photo/admin/config/regional/language?render=overlay','default','Node form url path settings','','7.34'),(1511,'/photo/admin/config/regional/language?render=overlay','default','Publishing options on the Node form.','','7.34'),(1512,'/photo/admin/config/regional/language?render=overlay','default','Node form publishing options','','7.34'),(1513,'/photo/admin/config/regional/language?render=overlay','default','Node form title field','','7.34'),(1514,'/photo/admin/config/regional/language?render=overlay','default','The node title form.','','7.34'),(1515,'/photo/admin/config/regional/language?render=overlay','default','Attached files','','7.34'),(1516,'/photo/admin/config/regional/language?render=overlay','default','A list of files attached to the node.','','7.34'),(1517,'/photo/admin/config/regional/language?render=overlay','default','Node author','','7.34'),(1518,'/photo/admin/config/regional/language?render=overlay','default','The author of the referenced node.','','7.34'),(1519,'/photo/admin/config/regional/language?render=overlay','default','Node body','','7.34'),(1520,'/photo/admin/config/regional/language?render=overlay','default','The body of the referenced node.','','7.34'),(1521,'/photo/admin/config/regional/language?render=overlay','default','Node comments','','7.34'),(1522,'/photo/admin/config/regional/language?render=overlay','default','The comments of the referenced node.','','7.34'),(1523,'/photo/admin/config/regional/language?render=overlay','default','Comment form','','7.34'),(1524,'/photo/admin/config/regional/language?render=overlay','default','A form to add a new comment.','','7.34'),(1525,'/photo/admin/config/regional/language?render=overlay','default','Comments and comment form.','','7.34'),(1526,'/photo/admin/config/regional/language?render=overlay','default','The comments and comment form for the referenced node.','','7.34'),(1527,'/photo/admin/config/regional/language?render=overlay','default','Node content','','7.34'),(1528,'/photo/admin/config/regional/language?render=overlay','default','The content of the referenced node.','','7.34'),(1529,'/photo/admin/config/regional/language?render=overlay','default','Node created date','','7.34'),(1530,'/photo/admin/config/regional/language?render=overlay','default','The date the referenced node was created.','','7.34'),(1531,'/photo/admin/config/regional/language?render=overlay','default','Node links','','7.34'),(1532,'/photo/admin/config/regional/language?render=overlay','default','Node links of the referenced node.','','7.34'),(1533,'/photo/admin/config/regional/language?render=overlay','default','Node terms','','7.34'),(1534,'/photo/admin/config/regional/language?render=overlay','default','Taxonomy terms of the referenced node.','','7.34'),(1535,'/photo/admin/config/regional/language?render=overlay','default','Node title','','7.34'),(1536,'/photo/admin/config/regional/language?render=overlay','default','The title of the referenced node.','','7.34'),(1537,'/photo/admin/config/regional/language?render=overlay','default','Node type description','','7.34'),(1538,'/photo/admin/config/regional/language?render=overlay','default','Node type description.','','7.34'),(1539,'/photo/admin/config/regional/language?render=overlay','default','Node last updated date','','7.34'),(1540,'/photo/admin/config/regional/language?render=overlay','default','The date the referenced node was last updated.','','7.34'),(1541,'/photo/admin/config/regional/language?render=overlay','default','Existing node','','7.34'),(1542,'/photo/admin/config/regional/language?render=overlay','default','Add a node from your site as content.','','7.34'),(1543,'/photo/admin/config/regional/language?render=overlay','default','Custom','','7.34'),(1544,'/photo/admin/config/regional/language?render=overlay','default','Entity field','','7.34'),(1545,'/photo/admin/config/regional/language?render=overlay','default','General form','','7.34'),(1546,'/photo/admin/config/regional/language?render=overlay','default','Everything in the form that is not displayed by other content.','','7.34'),(1547,'/photo/admin/config/regional/language?render=overlay','default','Entity extra field','','7.34'),(1548,'/photo/admin/config/regional/language?render=overlay','default','Custom content','','7.34'),(1549,'/photo/admin/config/regional/language?render=overlay','default','Comment links','','7.34'),(1550,'/photo/admin/config/regional/language?render=overlay','default','Comment links of the referenced comment.','','7.34'),(1551,'/photo/admin/config/regional/language?render=overlay','default','Comment Reply Form','','7.34'),(1552,'/photo/admin/config/regional/language?render=overlay','default','A form to add a new comment reply.','','7.34'),(1553,'/photo/admin/config/regional/language?render=overlay','default','A special cache used to store objects that are being edited; it serves to save state in an ordinarily stateless environment.','','7.34'),(1554,'/photo/admin/config/regional/language?render=overlay','default','Table that contains field group entries and settings.','','7.34'),(1555,'/photo/admin/config/regional/language?render=overlay&render=overlay','default','Configuration saved.','','7.37'),(1556,'/photo/admin/config/regional/language?render=overlay','default','There was a problem checking <a href=\"@update-report\">available updates</a> for Drupal.','','7.34'),(1557,'/photo/admin/config/regional/language?render=overlay','default','See the <a href=\"@available_updates\">available updates</a> page for more information and to install your missing updates.','','7.37'),(1558,'/photo/admin/config/regional/language?render=overlay','default','Module and theme update status','','7.37'),(1559,'/photo/blog','default','Tags','','7.37'),(1560,'/photo/blog','default','Read more','','7.37'),(1561,'/photo/blog','default','February','Long month name','7.37'),(1562,'/photo/blog','default','Go to first page','','7.37'),(1563,'/photo/blog','default','Go to previous page','','7.37'),(1564,'/photo/blog','default','Go to next page','','7.37'),(1565,'/photo/blog','default','Go to last page','','7.37'),(1566,'/photo/blog','default','Go to page @number','','7.37'),(1567,'/photo/blog','default','Pages','','7.37'),(1568,'/photo/blog','default','Create new blog entry','','7.37'),(1569,'/photo/blog','default','Highlighted','','7.34'),(1570,'/photo/blog','default','Featured','','7.34'),(1571,'/photo/blog','default','Sidebar first','','7.34'),(1572,'/photo/blog','default','Sidebar second','','7.34'),(1573,'/photo/blog','default','Triptych first','','7.34'),(1574,'/photo/blog','default','Triptych middle','','7.34'),(1575,'/photo/blog','default','Triptych last','','7.34'),(1576,'/photo/blog','default','Footer first column','','7.34'),(1577,'/photo/blog','default','Footer second column','','7.34'),(1578,'/photo/blog','default','Footer third column','','7.34'),(1579,'/photo/blog','default','Footer fourth column','','7.34'),(1580,'/photo/blog','default','Recent blog posts','','7.34'),(1581,'/photo/blog','default','User interface text','','7.34'),(1582,'/photo/blog','default','Order of language detection methods for user interface text. If a translation of user interface text is available in the detected language, it will be displayed.','','7.34'),(1583,'/photo/blog','default','Order of language detection methods for content. If a version of content is available in the detected language, it will be displayed.','','7.34'),(1584,'/photo/blog','default','Language switcher (@type)','','7.34'),(1585,'/photo/blog','default','Syndicate','','7.34'),(1586,'/photo/blog','default','Recent content','','7.34'),(1587,'/photo/blog','default','Search form','','7.34'),(1588,'/photo/blog','default','Main page content','','7.34'),(1589,'/photo/blog','default','Powered by Drupal','','7.34'),(1590,'/photo/blog','default','System help','','7.34'),(1591,'/photo/blog','default','User login','','7.34'),(1592,'/photo/blog','default','Who\'s new','','7.34'),(1593,'/photo/blog','default','Who\'s online','','7.34'),(1594,'/photo/blog','default','our work  involves','','7.34'),(1595,'/photo/blog','default','View: !view: !display','','7.34'),(1596,'/photo/blog','default','There is a security update available for your version of Drupal. To ensure the security of your server, you should update immediately!','','7.34'),(1597,'/photo/blog','default','See the <a href=\"@available_updates\">available updates</a> page for more information.','','7.34'),(1598,'/photo/blog','default','Not secure!','','7.34'),(1599,'/photo/blog','default','(version @version available)','','7.34'),(1600,'/photo/blog','default','There are updates available for one or more of your modules or themes. To ensure the proper functioning of your site, you should update as soon as possible.','','7.37'),(1601,'/photo/blog','default','New release(s) available for !site_name','','7.34'),(1602,'/photo/blog','default','See the available updates page for more information:','','7.34'),(1603,'/photo/blog','default','Your site is currently configured to send these emails when any updates are available. To get notified only for security updates, !url.','','7.34'),(1604,'/photo/blog','default','Unable to send e-mail. Contact the site administrator if the problem persists.','','7.34'),(1605,'/photo/about-us','default','Webform client form.','','7.37'),(1606,'/photo/about-us','default','Author textfield','','7.37'),(1607,'/photo/about-us','default','Subject textfield','','7.37'),(1608,'/photo/about-us','default','Node module element','','7.37'),(1609,'/photo/about-us','default','URL path settings','','7.37'),(1610,'/photo/about-us','default','Path module form elements','','7.37'),(1611,'/photo/about-us','default','Term name textfield','','7.37'),(1612,'/photo/about-us','default','Term description textarea','','7.37'),(1613,'/photo/about-us','default','User name and password','','7.37'),(1614,'/photo/about-us','default','User module account form elements.','','7.37'),(1615,'/photo/about-us','default','Timezone','','7.37'),(1616,'/photo/about-us','default','User module timezone form element.','','7.37'),(1617,'/photo/about-us','default','History','','7.37'),(1618,'/photo/about-us','default','User module history view element.','','7.37'),(1619,'/photo/about-us','default','Administrative overlay','','7.37'),(1620,'/photo/about-us','default','Language settings','','7.37'),(1621,'/photo/about-us','default','Language settings for the user account.','','7.37'),(1622,'/photo/about-us','default','Mon','','7.34'),(1623,'/photo/about-us','default','View user profile.','','7.37'),(1624,'/photo/gallery-albums','default','or','','7.34'),(1625,'/photo/gallery-albums','default','Is all of','','7.34'),(1626,'/photo/gallery-albums','default','and','','7.34'),(1627,'/photo/gallery-albums','default','Is none of','','7.34'),(1628,'/photo/gallery-albums','default','not','','7.34'),(1629,'/photo/gallery-albums','default','<a data-inner-height=\"100%\" data-inner-width=\"100%\" class=\"colorbox-node init-colorbox-node-processed-processed\" href=\"[path]\">[field_image]</a>','','7.37'),(1630,'/photo/gallery-albums','default','Tue','','7.37'),(1631,'/photo/gallery-albums','default','Edit quicktab','','7.34'),(1632,'misc/ajax.js','default','Please wait...','','none'),(1633,'/photo/sites/default/files/styles/1000x658/public/gallery/demo-31.png?itok=YMF62kjB','default','Generate image style','','7.34'),(1634,'/photo/sites/default/files/styles/1000x658/public/gallery/demo-30.jpg?itok=ONqwKufg','default','GD2 image manipulation toolkit','','7.34'),(1635,'/photo/sites/default/files/styles/1000x658/public/gallery/demo-31.png?itok=YMF62kjB','default','GD2 image manipulation toolkit','','7.34'),(1636,'/photo/gallery-mansory','default','<a href=\"[path]\" class=\"colorbox-node init-colorbox-node-processed-processed\" data-inner-width=\"600\" data-inner-height=\"600\">[field_image]</a>','','7.37'),(1637,'/photo/gallery-mansory','default','<a href=\"[path]\" class=\"colorbox-node init-colorbox-node-processed-processed\" data-inner-width=\"600\" data-inner-height=\"600\"></a>','','7.37'),(1638,'/photo/our-work-involves','default','Percent','','7.34'),(1639,'/photo/our-work-involves','default','Compose tips','','7.34'),(1640,'/photo/meet-out-team','default','Job','','7.34'),(1641,'/photo/meet-out-team','default','Bio','','7.34'),(1642,'/photo/content/quisque-semper-auctor-enim','default','Your name','','7.34'),(1643,'/photo/content/quisque-semper-auctor-enim','default','The content of this field is kept private and will not be shown publicly.','','7.34'),(1644,'/photo/content/quisque-semper-auctor-enim','default','Homepage','','7.34'),(1645,'/photo/content/quisque-semper-auctor-enim','default','Authored on','','7.34'),(1646,'/photo/content/quisque-semper-auctor-enim','default','Save','','7.34'),(1647,'/photo/content/quisque-semper-auctor-enim','default','Preview','','7.34'),(1648,'/photo/content/quisque-semper-auctor-enim','default','Text format','','7.34'),(1649,'/photo/content/quisque-semper-auctor-enim','default','Add new comment','','7.34'),(1650,'/photo/content/quisque-semper-auctor-enim; sites/all/modules/webform/js/webform.js','default','This field is required.','','7.37'),(1651,'/photo/content/quisque-semper-auctor-enim','default','More information about text formats','','7.34'),(1652,'/photo/content/quisque-semper-auctor-enim','default','%type: !message in %function (line %line of %file).','','7.34'),(1653,'/photo/content/quisque-semper-auctor-enim','default','Web page addresses and e-mail addresses turn into links automatically.','','7.34'),(1654,'/photo/content/quisque-semper-auctor-enim','default','Allowed HTML tags: @tags','','7.34'),(1655,'/photo/content/quisque-semper-auctor-enim','default','Lines and paragraphs break automatically.','','7.34'),(1656,'/photo/content/quisque-semper-auctor-enim','default','No HTML tags allowed.','','7.34'),(1657,'/photo/','default','No available releases found','','7.34'),(1658,'/photo/contact','default','Submit','','7.37'),(1659,'/photo/contact','default','Form components','','7.37'),(1660,'/photo/contact','default','Conditionals','','7.37'),(1661,'/photo/contact','default','Results','','7.37'),(1662,'/photo/contact','default','E-mails','','7.37'),(1663,'/photo/contact','default','Form settings','','7.37'),(1664,'sites/all/modules/webform/js/webform.js','default','An infinite loop was detected in this webform\'s conditionals. Contact the administrator.','','none'),(1665,'/photo/blogs/admin','default','@name\'s blog','','7.34'),(1666,'/photo/blogs/admin','default','Read more<span class=\"element-invisible\"> about @title</span>','','7.34'),(1667,'/photo/blogs/admin','default','@count comments','','7.34'),(1668,'/photo/blogs/admin','default','Jump to the first comment of this posting.','','7.34'),(1669,'/photo/blogs/admin','default','Add a new comment to this page.','','7.34'),(1670,'/photo/blogs/admin','default','RSS - !title','','7.34'),(1671,'/photo/blogs/admin','default','Post new blog entry.','','7.34'),(1672,'/photo/blogs/admin','default','Submitted by !username on !datetime','','7.34'),(1673,'/photo/blogs/admin','default','@user\'s picture','','7.34'),(1674,'/photo/blog/sed-semper-nulla-vitae-lacinia-imperdie','default','Blogs','','7.34'),(1675,'/photo/blog/sed-semper-nulla-vitae-lacinia-imperdie','default','!name\'s blog','','7.34'),(1676,'/photo/blog/sed-semper-nulla-vitae-lacinia-imperdie','default','!username\'s blog','','7.34'),(1677,'/photo/blog/sed-semper-nulla-vitae-lacinia-imperdie','default','Read !username\'s latest blog entries.','','7.34'),(1678,'/photo/blog/sed-semper-nulla-vitae-lacinia-imperdie','default','Share your thoughts and opinions related to this posting.','','7.34'),(1679,'/photo/blog/sed-semper-nulla-vitae-lacinia-imperdie','default','reply','','7.34'),(1680,'/photo/blog/sed-semper-nulla-vitae-lacinia-imperdie','default','Permalink','','7.34'),(1681,'/photo/comment/reply/32','default','Your comment has been posted.','','7.34'),(1682,'/photo/blog/sed-semper-nulla-vitae-lacinia-imperdie','default','Sun','','7.34'),(1683,'/photo/blog/sed-semper-nulla-vitae-lacinia-imperdie','default','new','','7.34'),(1684,'/photo/comment/3/delete','default','Are you sure you want to delete the comment %title?','','7.34'),(1685,'/photo/comment/3/delete','default','Any replies to this comment will be lost. This action cannot be undone.','','7.34'),(1686,'/photo/comment/3/delete','default','Cancel','','7.34'),(1687,'/photo/comment/3/delete','default','Comment permalink','','7.34'),(1688,'/photo/comment/3/delete','default','View comment','','7.34'),(1689,'/photo/comment/3/delete','default','The comment and all its replies have been deleted.','','7.34'),(1690,'/photo/gallery/wedding','default','Configure this Juicebox gallery','','7.34'),(1691,'/photo/gallery/wedding','default','Configure global Juicebox options','','7.34'),(1692,'/photo/gallery/wedding','default','View gallery XML','','7.34'),(1693,'/photo/gallery/wedding','default','Toggle debug info on','','7.34'),(1694,'/photo/gallery/wedding','default','Wed','','7.34'),(1695,'/photo/juicebox/xml/field/node/46/field_image/full?checksum=d7ea17dc3bb0187c0f079d8c2cd413e8','default','Juicebox XML','','7.34'),(1696,'/photo/juicebox/xml/field/node/46/field_image/full?checksum=d7ea17dc3bb0187c0f079d8c2cd413e8','default','Deliver configuration XML for a Juicebox gallery.','','7.34'),(1697,'/photo/user','default','Username','','7.34'),(1698,'/photo/user','default','Enter your @s username.','','7.34'),(1699,'/photo/user','default','Password','','7.34'),(1700,'/photo/user','default','Enter the password that accompanies your username.','','7.34'),(1701,'/photo/user','default','Log in','','7.34'),(1702,'/photo/user','default','Create new account','','7.34'),(1703,'/photo/user','default','Request new password','','7.34'),(1704,'/photo/users/admin','default','View recent blog entries','','7.34'),(1705,'/photo/users/admin','default','Member for','','7.34'),(1706,'/photo/users/admin','default','@count weeks','','7.34'),(1707,'/photo/users/admin','default','Account','','7.34'),(1708,'/photo/admin/config?render=overlay','default','1 hour','','7.37'),(1709,'/photo/admin/config?render=overlay','default','Sunday','','7.37'),(1710,'sites/all/modules/views/js/views-admin.js','default','Remove group','','none'),(1711,'sites/all/modules/views/js/views-admin.js','default','Apply (all displays)','','none'),(1712,'sites/all/modules/views/js/views-admin.js','default','Revert to default','','none'),(1713,'sites/all/modules/views/js/views-admin.js','default','Apply (this display)','','none'),(1714,'modules/comment/comment-node-form.js','default','@number comments per page','','none'),(1715,'modules/node/content_types.js','default','Requires a title','','none'),(1716,'modules/node/content_types.js','default','Don\'t display post information','','none'),(1717,'sites/all/modules/weight/weight.js','default','Range: !range','','none'),(1718,'sites/all/modules/weight/weight.js','default','Default: !default','','none'),(1719,'sites/all/modules/weight/weight.js','default','Weight: !weight','','none'),(1720,'/photo/admin/config/regional/language?render=overlay','default','Devel settings','','7.34'),(1721,'/photo/admin/config/regional/language?render=overlay','default','Helper functions, pages, and blocks to assist Drupal developers. The devel blocks can be managed via the <a href=\"/photo/admin/structure/block\">block administration</a> page.','','7.34'),(1722,'/photo/admin/config/regional/language?render=overlay','default','ShareThis','','7.34'),(1723,'/photo/admin/config/regional/language?render=overlay','default','Choose the widget, button family, and services for using ShareThis to share content online.','','7.34'),(1724,'/photo/admin/config/regional/language?render=overlay','default','devel','','7.34'),(1725,'/photo/admin/config/regional/language?render=overlay','default','sharethis','','7.34'),(1726,'/photo/admin/config/regional/language?render=overlay','default','Execute PHP Code','','7.34'),(1727,'/photo/admin/config/regional/language?render=overlay','default','Execute some PHP code','','7.34'),(1728,'/photo/admin/config/regional/language?render=overlay','default','Function reference','','7.34'),(1729,'/photo/admin/config/regional/language?render=overlay','default','View a list of currently defined user functions with documentation links.','','7.34'),(1730,'/photo/admin/config/regional/language?render=overlay','default','Hook_elements()','','7.34'),(1731,'/photo/admin/config/regional/language?render=overlay','default','View the active form/render elements for this site.','','7.34'),(1732,'/photo/admin/config/regional/language?render=overlay','default','PHPinfo()','','7.34'),(1733,'/photo/admin/config/regional/language?render=overlay','default','View your server\'s PHP configuration','','7.34'),(1734,'/photo/admin/config/regional/language?render=overlay','default','Reinstall modules','','7.34'),(1735,'/photo/admin/config/regional/language?render=overlay','default','Run hook_uninstall() and then hook_install() for a given module.','','7.34'),(1736,'/photo/admin/config/regional/language?render=overlay','default','Session viewer','','7.34'),(1737,'/photo/admin/config/regional/language?render=overlay','default','List the contents of $_SESSION.','','7.34'),(1738,'/photo/admin/config/regional/language?render=overlay','default','Variable editor','','7.34'),(1739,'/photo/admin/config/regional/language?render=overlay','default','Edit and delete site variables.','','7.34'),(1740,'/photo/admin/config/regional/language?render=overlay','default','Clear cache','','7.34'),(1741,'/photo/admin/config/regional/language?render=overlay','default','Clear the CSS cache and all database cache tables which store page, node, theme and variable caches.','','7.34'),(1742,'/photo/admin/config/regional/language?render=overlay','default','Entity info','','7.34'),(1743,'/photo/admin/config/regional/language?render=overlay','default','View entity information across the whole site.','','7.34'),(1744,'/photo/admin/config/regional/language?render=overlay','default','Field info','','7.34'),(1745,'/photo/admin/config/regional/language?render=overlay','default','View fields information across the whole site.','','7.34'),(1746,'/photo/admin/config/regional/language?render=overlay','default','Menu item','','7.34'),(1747,'/photo/admin/config/regional/language?render=overlay','default','Details about a given menu item.','','7.34'),(1748,'/photo/admin/config/regional/language?render=overlay','default','Rebuild menus','','7.34'),(1749,'/photo/admin/config/regional/language?render=overlay','default','Rebuild menu based on hook_menu() and revert any custom changes. All menu items return to their default settings.','','7.34'),(1750,'/photo/admin/config/regional/language?render=overlay','default','View a list of available theme functions across the whole site.','','7.34'),(1751,'/photo/contact','default','Load','','7.34'),(1752,'/photo/contact','default','Devel','','7.34'),(1753,'/photo/contact','default','Render','','7.34'),(1754,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','\'%name\' block','','7.34'),(1755,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Block title','','7.34'),(1756,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','The title of the block as shown to the user.','','7.34'),(1757,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Block description','','7.34'),(1758,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','A brief description of your block. Used on the <a href=\"@overview\">Blocks administration page</a>.','','7.34'),(1759,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Block body','','7.34'),(1760,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','The content of the block as shown to the user.','','7.34'),(1761,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Region settings','','7.34'),(1762,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Specify in which themes and regions this block is displayed.','','7.34'),(1763,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','!theme (default theme)','','7.34'),(1764,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','!theme (administration theme)','','7.34'),(1765,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Visibility settings','','7.34'),(1766,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','All pages except those listed','','7.34'),(1767,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Only the listed pages','','7.34'),(1768,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Specify pages by using their paths. Enter one path per line. The \'*\' character is a wildcard. Example paths are %blog for the blog page and %blog-wildcard for every personal blog. %front is the front page.','','7.34'),(1769,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Show block on specific pages','','7.34'),(1770,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','anonymous user','','7.34'),(1771,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','authenticated user','','7.34'),(1772,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Show block for specific roles','','7.34'),(1773,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Show this block only for the selected role(s). If you select no roles, the block will be visible to all users.','','7.34'),(1774,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Customizable per user','','7.34'),(1775,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay; modules/block/block.js','default','Not customizable','','7.34'),(1776,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Customizable, visible by default','','7.34'),(1777,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Customizable, hidden by default','','7.34'),(1778,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Allow individual users to customize the visibility of this block in their account settings.','','7.34'),(1779,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Save block','','7.34'),(1780,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','CSS class(es)','','7.34'),(1781,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Customize the styling of this block by adding CSS classes. Separate multiple classes by spaces.','','7.34'),(1782,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Show block for specific content types','','7.34'),(1783,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Show this block only on pages that display content of the given type(s). If you select no types, there will be no type-specific limitation.','','7.34'),(1784,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','This field supports tokens.','','7.34'),(1785,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','- None -','','7.37'),(1786,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Delete block','','7.34'),(1787,'/photo/admin/structure/block/manage/block/3/configure?destination=node%2F33&render=overlay','default','Vertical Tabs','','7.34'),(1788,'modules/block/block.js','default','Not restricted','','none'),(1789,'modules/block/block.js','default','Restricted to certain pages','','none'),(1790,'modules/block/block.js','default','The changes to these blocks will not be saved until the <em>Save blocks</em> button is clicked.','','none'),(1791,'modules/block/block.js','default','The block cannot be placed in this region.','','none'),(1792,'/photo/admin/config?render=overlay','default','May','Long month name','7.34'),(1793,'/photo/users/admin','default','1 week','','7.34'),(1794,'misc/tableselect.js','default','Select all rows in this table','','none'),(1795,'misc/tableselect.js','default','Deselect all rows in this table','','none'),(1796,'/photo/admin/structure/views/view/gallery/edit/block_4','default','Gallery People Block','','7.37'),(1797,'/photo/admin/structure/views/view/gallery/edit/block_4','default','Gallery Animals Block','','7.37'),(1798,'/photo/admin/structure/views/view/gallery/edit/block_4','default','Gallery Places Block','','7.37'),(1799,'/photo/admin/structure/views/view/gallery/edit/block_4','default','Gallery Products Block','','7.37'),(1800,'/photo/admin/structure/views/view/gallery/edit/block_4','default','Gallery Masonry','','7.37'),(1801,'misc/autocomplete.js','default','Autocomplete popup','','none'),(1802,'misc/autocomplete.js','default','Searching for matches...','','none'),(1803,'/photo/admin/structure/views/view/gallery/edit/block_4','default','Gallery Block','','7.37'),(1804,'/photo/admin/structure/views/view/gallery/edit/block_4','default','<i class=\"gallery-popup-data\" data-view-name=\"gallery\" data-view-display-id=\"block_1\" data-view-args=\"[nid]\"><i>','','7.37'),(1805,'/photo/admin/structure/views/view/gallery/edit/block_4','default','Gallery data json','','7.37'),(1806,'/photo/admin/structure/views/view/gallery/edit/block_4','default','<span class=\"gallery-popup-data\" data-view-name=\"gallery\" data-view-display-id=\"block_1\" data-view-args=\"[nid]\"><span>','','7.37'),(1807,'modules/field/modules/text/text.js','default','Hide summary','','none'),(1808,'modules/field/modules/text/text.js','default','Edit summary','','none'),(1809,'modules/file/file.js','default','The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.','','none'),(1810,'modules/menu/menu.js','default','Not in menu','','none'),(1811,'modules/node/node.js','default','New revision','','none'),(1812,'modules/node/node.js','default','No revision','','none'),(1813,'modules/node/node.js','default','By @name on @date','','none'),(1814,'modules/node/node.js','default','By @name','','none'),(1815,'sites/all/modules/pathauto/pathauto.js','default','Automatic alias','','none'),(1816,'sites/all/modules/pathauto/pathauto.js','default','Alias: @alias','','none'),(1817,'sites/all/modules/pathauto/pathauto.js','default','No alias','','none'),(1818,'sites/all/modules/token/token.js','default','Loading token browser...','','none'),(1819,'sites/all/modules/token/token.js','default','Available tokens','','none'),(1820,'sites/all/modules/token/token.js','default','Insert this token into your form','','none'),(1821,'sites/all/modules/token/token.js','default','First click a text field to insert your tokens into.','','none'),(1822,'/admin/structure/views/view/clients/edit/page?destination=clients&render=overlay&render=overlay','default','[field_website]','','7.37'),(1823,'/admin/config/regional/language?render=overlay','default','Timestamp when the form was first saved as draft or submitted.','','7.37'),(1824,'/admin/config/regional/language?render=overlay','default','Completed','','7.37'),(1825,'/admin/config/regional/language?render=overlay','default','Timestamp when the form was submitted as complete (not draft).','','7.37'),(1826,'/admin/config/regional/language?render=overlay','default','Modified','','7.37'),(1827,'/admin/config/regional/language?render=overlay','default','Timestamp when the form was last saved (complete or draft).','','7.37'),(1828,'/admin/config/regional/language?render=overlay','default','Data field (numeric)','','7.37'),(1829,'/admin/config/regional/language?render=overlay','default','The numeric value of a component as submitted by a user.','','7.37'),(1830,'/admin/config/regional/language?render=overlay','default','Numeric value (raw)','','7.37'),(1831,'/admin/config/regional/language?render=overlay','default','The raw value from the database, cast to a number, as submitted by a user. Use only when needing to sort on a field value.','','7.37'),(1832,'/','default','Simple','','7.37'),(1833,'/','default','MIT Simile/Exhibit','','7.37'),(1834,'/','default','To be consumed by jqGrid','','7.37'),(1835,'/','default','JSON data document','','7.37'),(1836,'/','default','Displays nodes in the JSON data format.','','7.37'),(1837,'/admin/config?render=overlay','default','Access token','','7.37'),(1838,'/admin/config?render=overlay','default','The security token used to gain access to this webform submission.','','7.37'),(1839,'/admin/config?render=overlay','default','The date the webform was first save as draft or completed.','','7.37'),(1840,'/admin/config?render=overlay','default','Date completed','','7.37'),(1841,'/admin/config?render=overlay','default','The date the webform was first completed (not draft).','','7.37'),(1842,'/admin/config?render=overlay','default','Date modified','','7.37'),(1843,'/admin/config?render=overlay','default','The date the webform was last saved (draft or completed).','','7.37'),(1844,'/admin/config?render=overlay','default','Webform tokens from submitted data. Replace the \"?\" with the \"field key\", including any parent field keys separated by colons. You can append:','','7.37'),(1845,'/admin/config?render=overlay','default','the question key for just that one question (grid components).','','7.37'),(1846,'/admin/config?render=overlay','default','the option key for just that one option (grid and select components).','','7.37'),(1847,'/admin/config?render=overlay','default','<code>@token</code> for the value without the label (the default).','','7.37'),(1848,'/admin/config?render=overlay','default','<code>@token</code> for just the label.','','7.37'),(1849,'/admin/config?render=overlay','default','<code>@token</code> for both the label and value together.','','7.37'),(1850,'/admin/config?render=overlay','default','<code>@token</code> for just the key in a key|label pair (grid and select components).','','7.37'),(1851,'/admin/config?render=overlay','default','June','Long month name','7.37'),(1852,'/admin/config/regional/settings?render=overlay','default','Andorra','','7.37'),(1853,'/admin/config/regional/settings?render=overlay','default','United Arab Emirates','','7.37'),(1854,'/admin/config/regional/settings?render=overlay','default','Afghanistan','','7.37'),(1855,'/admin/config/regional/settings?render=overlay','default','Antigua and Barbuda','','7.37'),(1856,'/admin/config/regional/settings?render=overlay','default','Anguilla','','7.37'),(1857,'/admin/config/regional/settings?render=overlay','default','Albania','','7.37'),(1858,'/admin/config/regional/settings?render=overlay','default','Armenia','','7.37'),(1859,'/admin/config/regional/settings?render=overlay','default','Netherlands Antilles','','7.37'),(1860,'/admin/config/regional/settings?render=overlay','default','Angola','','7.37'),(1861,'/admin/config/regional/settings?render=overlay','default','Antarctica','','7.37'),(1862,'/admin/config/regional/settings?render=overlay','default','Argentina','','7.37'),(1863,'/admin/config/regional/settings?render=overlay','default','American Samoa','','7.37'),(1864,'/admin/config/regional/settings?render=overlay','default','Austria','','7.37'),(1865,'/admin/config/regional/settings?render=overlay','default','Australia','','7.37'),(1866,'/admin/config/regional/settings?render=overlay','default','Aruba','','7.37'),(1867,'/admin/config/regional/settings?render=overlay','default','Aland Islands','','7.37'),(1868,'/admin/config/regional/settings?render=overlay','default','Azerbaijan','','7.37'),(1869,'/admin/config/regional/settings?render=overlay','default','Bosnia and Herzegovina','','7.37'),(1870,'/admin/config/regional/settings?render=overlay','default','Barbados','','7.37'),(1871,'/admin/config/regional/settings?render=overlay','default','Bangladesh','','7.37'),(1872,'/admin/config/regional/settings?render=overlay','default','Belgium','','7.37'),(1873,'/admin/config/regional/settings?render=overlay','default','Burkina Faso','','7.37'),(1874,'/admin/config/regional/settings?render=overlay','default','Bulgaria','','7.37'),(1875,'/admin/config/regional/settings?render=overlay','default','Bahrain','','7.37'),(1876,'/admin/config/regional/settings?render=overlay','default','Burundi','','7.37'),(1877,'/admin/config/regional/settings?render=overlay','default','Benin','','7.37'),(1878,'/admin/config/regional/settings?render=overlay','default','Saint Barthélemy','','7.37'),(1879,'/admin/config/regional/settings?render=overlay','default','Bermuda','','7.37'),(1880,'/admin/config/regional/settings?render=overlay','default','Brunei','','7.37'),(1881,'/admin/config/regional/settings?render=overlay','default','Bolivia','','7.37'),(1882,'/admin/config/regional/settings?render=overlay','default','Caribbean Netherlands','','7.37'),(1883,'/admin/config/regional/settings?render=overlay','default','Brazil','','7.37'),(1884,'/admin/config/regional/settings?render=overlay','default','Bahamas','','7.37'),(1885,'/admin/config/regional/settings?render=overlay','default','Bhutan','','7.37'),(1886,'/admin/config/regional/settings?render=overlay','default','Bouvet Island','','7.37'),(1887,'/admin/config/regional/settings?render=overlay','default','Botswana','','7.37'),(1888,'/admin/config/regional/settings?render=overlay','default','Belarus','','7.37'),(1889,'/admin/config/regional/settings?render=overlay','default','Belize','','7.37'),(1890,'/admin/config/regional/settings?render=overlay','default','Canada','','7.37'),(1891,'/admin/config/regional/settings?render=overlay','default','Cocos (Keeling) Islands','','7.37'),(1892,'/admin/config/regional/settings?render=overlay','default','Congo (Kinshasa)','','7.37'),(1893,'/admin/config/regional/settings?render=overlay','default','Central African Republic','','7.37'),(1894,'/admin/config/regional/settings?render=overlay','default','Congo (Brazzaville)','','7.37'),(1895,'/admin/config/regional/settings?render=overlay','default','Switzerland','','7.37'),(1896,'/admin/config/regional/settings?render=overlay','default','Ivory Coast','','7.37'),(1897,'/admin/config/regional/settings?render=overlay','default','Cook Islands','','7.37'),(1898,'/admin/config/regional/settings?render=overlay','default','Chile','','7.37'),(1899,'/admin/config/regional/settings?render=overlay','default','Cameroon','','7.37'),(1900,'/admin/config/regional/settings?render=overlay','default','China','','7.37'),(1901,'/admin/config/regional/settings?render=overlay','default','Colombia','','7.37'),(1902,'/admin/config/regional/settings?render=overlay','default','Costa Rica','','7.37'),(1903,'/admin/config/regional/settings?render=overlay','default','Cuba','','7.37'),(1904,'/admin/config/regional/settings?render=overlay','default','Cape Verde','','7.37'),(1905,'/admin/config/regional/settings?render=overlay','default','Curaçao','','7.37'),(1906,'/admin/config/regional/settings?render=overlay','default','Christmas Island','','7.37'),(1907,'/admin/config/regional/settings?render=overlay','default','Cyprus','','7.37'),(1908,'/admin/config/regional/settings?render=overlay','default','Czech Republic','','7.37'),(1909,'/admin/config/regional/settings?render=overlay','default','Germany','','7.37'),(1910,'/admin/config/regional/settings?render=overlay','default','Djibouti','','7.37'),(1911,'/admin/config/regional/settings?render=overlay','default','Denmark','','7.37'),(1912,'/admin/config/regional/settings?render=overlay','default','Dominica','','7.37'),(1913,'/admin/config/regional/settings?render=overlay','default','Dominican Republic','','7.37'),(1914,'/admin/config/regional/settings?render=overlay','default','Algeria','','7.37'),(1915,'/admin/config/regional/settings?render=overlay','default','Ecuador','','7.37'),(1916,'/admin/config/regional/settings?render=overlay','default','Estonia','','7.37'),(1917,'/admin/config/regional/settings?render=overlay','default','Egypt','','7.37'),(1918,'/admin/config/regional/settings?render=overlay','default','Western Sahara','','7.37'),(1919,'/admin/config/regional/settings?render=overlay','default','Eritrea','','7.37'),(1920,'/admin/config/regional/settings?render=overlay','default','Spain','','7.37'),(1921,'/admin/config/regional/settings?render=overlay','default','Ethiopia','','7.37'),(1922,'/admin/config/regional/settings?render=overlay','default','Finland','','7.37'),(1923,'/admin/config/regional/settings?render=overlay','default','Fiji','','7.37'),(1924,'/admin/config/regional/settings?render=overlay','default','Falkland Islands','','7.37'),(1925,'/admin/config/regional/settings?render=overlay','default','Micronesia','','7.37'),(1926,'/admin/config/regional/settings?render=overlay','default','Faroe Islands','','7.37'),(1927,'/admin/config/regional/settings?render=overlay','default','France','','7.37'),(1928,'/admin/config/regional/settings?render=overlay','default','Gabon','','7.37'),(1929,'/admin/config/regional/settings?render=overlay','default','United Kingdom','','7.37'),(1930,'/admin/config/regional/settings?render=overlay','default','Grenada','','7.37'),(1931,'/admin/config/regional/settings?render=overlay','default','Georgia','','7.37'),(1932,'/admin/config/regional/settings?render=overlay','default','French Guiana','','7.37'),(1933,'/admin/config/regional/settings?render=overlay','default','Guernsey','','7.37'),(1934,'/admin/config/regional/settings?render=overlay','default','Ghana','','7.37'),(1935,'/admin/config/regional/settings?render=overlay','default','Gibraltar','','7.37'),(1936,'/admin/config/regional/settings?render=overlay','default','Greenland','','7.37'),(1937,'/admin/config/regional/settings?render=overlay','default','Gambia','','7.37'),(1938,'/admin/config/regional/settings?render=overlay','default','Guinea','','7.37'),(1939,'/admin/config/regional/settings?render=overlay','default','Guadeloupe','','7.37'),(1940,'/admin/config/regional/settings?render=overlay','default','Equatorial Guinea','','7.37'),(1941,'/admin/config/regional/settings?render=overlay','default','Greece','','7.37'),(1942,'/admin/config/regional/settings?render=overlay','default','South Georgia and the South Sandwich Islands','','7.37'),(1943,'/admin/config/regional/settings?render=overlay','default','Guatemala','','7.37'),(1944,'/admin/config/regional/settings?render=overlay','default','Guam','','7.37'),(1945,'/admin/config/regional/settings?render=overlay','default','Guinea-Bissau','','7.37'),(1946,'/admin/config/regional/settings?render=overlay','default','Guyana','','7.37'),(1947,'/admin/config/regional/settings?render=overlay','default','Hong Kong S.A.R., China','','7.37'),(1948,'/admin/config/regional/settings?render=overlay','default','Heard Island and McDonald Islands','','7.37'),(1949,'/admin/config/regional/settings?render=overlay','default','Honduras','','7.37'),(1950,'/admin/config/regional/settings?render=overlay','default','Croatia','','7.37'),(1951,'/admin/config/regional/settings?render=overlay','default','Haiti','','7.37'),(1952,'/admin/config/regional/settings?render=overlay','default','Hungary','','7.37'),(1953,'/admin/config/regional/settings?render=overlay','default','Indonesia','','7.37'),(1954,'/admin/config/regional/settings?render=overlay','default','Ireland','','7.37'),(1955,'/admin/config/regional/settings?render=overlay','default','Israel','','7.37'),(1956,'/admin/config/regional/settings?render=overlay','default','Isle of Man','','7.37'),(1957,'/admin/config/regional/settings?render=overlay','default','India','','7.37'),(1958,'/admin/config/regional/settings?render=overlay','default','British Indian Ocean Territory','','7.37'),(1959,'/admin/config/regional/settings?render=overlay','default','Iraq','','7.37'),(1960,'/admin/config/regional/settings?render=overlay','default','Iran','','7.37'),(1961,'/admin/config/regional/settings?render=overlay','default','Iceland','','7.37'),(1962,'/admin/config/regional/settings?render=overlay','default','Italy','','7.37'),(1963,'/admin/config/regional/settings?render=overlay','default','Jersey','','7.37'),(1964,'/admin/config/regional/settings?render=overlay','default','Jamaica','','7.37'),(1965,'/admin/config/regional/settings?render=overlay','default','Jordan','','7.37'),(1966,'/admin/config/regional/settings?render=overlay','default','Japan','','7.37'),(1967,'/admin/config/regional/settings?render=overlay','default','Kenya','','7.37'),(1968,'/admin/config/regional/settings?render=overlay','default','Kyrgyzstan','','7.37'),(1969,'/admin/config/regional/settings?render=overlay','default','Cambodia','','7.37'),(1970,'/admin/config/regional/settings?render=overlay','default','Kiribati','','7.37'),(1971,'/admin/config/regional/settings?render=overlay','default','Comoros','','7.37'),(1972,'/admin/config/regional/settings?render=overlay','default','Saint Kitts and Nevis','','7.37'),(1973,'/admin/config/regional/settings?render=overlay','default','North Korea','','7.37'),(1974,'/admin/config/regional/settings?render=overlay','default','South Korea','','7.37'),(1975,'/admin/config/regional/settings?render=overlay','default','Kuwait','','7.37'),(1976,'/admin/config/regional/settings?render=overlay','default','Cayman Islands','','7.37'),(1977,'/admin/config/regional/settings?render=overlay','default','Kazakhstan','','7.37'),(1978,'/admin/config/regional/settings?render=overlay','default','Laos','','7.37'),(1979,'/admin/config/regional/settings?render=overlay','default','Lebanon','','7.37'),(1980,'/admin/config/regional/settings?render=overlay','default','Saint Lucia','','7.37'),(1981,'/admin/config/regional/settings?render=overlay','default','Liechtenstein','','7.37'),(1982,'/admin/config/regional/settings?render=overlay','default','Sri Lanka','','7.37'),(1983,'/admin/config/regional/settings?render=overlay','default','Liberia','','7.37'),(1984,'/admin/config/regional/settings?render=overlay','default','Lesotho','','7.37'),(1985,'/admin/config/regional/settings?render=overlay','default','Lithuania','','7.37'),(1986,'/admin/config/regional/settings?render=overlay','default','Luxembourg','','7.37'),(1987,'/admin/config/regional/settings?render=overlay','default','Latvia','','7.37'),(1988,'/admin/config/regional/settings?render=overlay','default','Libya','','7.37'),(1989,'/admin/config/regional/settings?render=overlay','default','Morocco','','7.37'),(1990,'/admin/config/regional/settings?render=overlay','default','Monaco','','7.37'),(1991,'/admin/config/regional/settings?render=overlay','default','Moldova','','7.37'),(1992,'/admin/config/regional/settings?render=overlay','default','Montenegro','','7.37'),(1993,'/admin/config/regional/settings?render=overlay','default','Saint Martin (French part)','','7.37'),(1994,'/admin/config/regional/settings?render=overlay','default','Madagascar','','7.37'),(1995,'/admin/config/regional/settings?render=overlay','default','Marshall Islands','','7.37'),(1996,'/admin/config/regional/settings?render=overlay','default','Macedonia','','7.37'),(1997,'/admin/config/regional/settings?render=overlay','default','Mali','','7.37'),(1998,'/admin/config/regional/settings?render=overlay','default','Myanmar','','7.37'),(1999,'/admin/config/regional/settings?render=overlay','default','Mongolia','','7.37'),(2000,'/admin/config/regional/settings?render=overlay','default','Macao S.A.R., China','','7.37'),(2001,'/admin/config/regional/settings?render=overlay','default','Northern Mariana Islands','','7.37'),(2002,'/admin/config/regional/settings?render=overlay','default','Martinique','','7.37'),(2003,'/admin/config/regional/settings?render=overlay','default','Mauritania','','7.37'),(2004,'/admin/config/regional/settings?render=overlay','default','Montserrat','','7.37'),(2005,'/admin/config/regional/settings?render=overlay','default','Malta','','7.37'),(2006,'/admin/config/regional/settings?render=overlay','default','Mauritius','','7.37'),(2007,'/admin/config/regional/settings?render=overlay','default','Maldives','','7.37'),(2008,'/admin/config/regional/settings?render=overlay','default','Malawi','','7.37'),(2009,'/admin/config/regional/settings?render=overlay','default','Mexico','','7.37'),(2010,'/admin/config/regional/settings?render=overlay','default','Malaysia','','7.37'),(2011,'/admin/config/regional/settings?render=overlay','default','Mozambique','','7.37'),(2012,'/admin/config/regional/settings?render=overlay','default','Namibia','','7.37'),(2013,'/admin/config/regional/settings?render=overlay','default','New Caledonia','','7.37'),(2014,'/admin/config/regional/settings?render=overlay','default','Niger','','7.37'),(2015,'/admin/config/regional/settings?render=overlay','default','Norfolk Island','','7.37'),(2016,'/admin/config/regional/settings?render=overlay','default','Nigeria','','7.37'),(2017,'/admin/config/regional/settings?render=overlay','default','Nicaragua','','7.37'),(2018,'/admin/config/regional/settings?render=overlay','default','Netherlands','','7.37'),(2019,'/admin/config/regional/settings?render=overlay','default','Norway','','7.37'),(2020,'/admin/config/regional/settings?render=overlay','default','Nepal','','7.37'),(2021,'/admin/config/regional/settings?render=overlay','default','Nauru','','7.37'),(2022,'/admin/config/regional/settings?render=overlay','default','Niue','','7.37'),(2023,'/admin/config/regional/settings?render=overlay','default','New Zealand','','7.37'),(2024,'/admin/config/regional/settings?render=overlay','default','Oman','','7.37'),(2025,'/admin/config/regional/settings?render=overlay','default','Panama','','7.37'),(2026,'/admin/config/regional/settings?render=overlay','default','Peru','','7.37'),(2027,'/admin/config/regional/settings?render=overlay','default','French Polynesia','','7.37'),(2028,'/admin/config/regional/settings?render=overlay','default','Papua New Guinea','','7.37'),(2029,'/admin/config/regional/settings?render=overlay','default','Philippines','','7.37'),(2030,'/admin/config/regional/settings?render=overlay','default','Pakistan','','7.37'),(2031,'/admin/config/regional/settings?render=overlay','default','Poland','','7.37'),(2032,'/admin/config/regional/settings?render=overlay','default','Saint Pierre and Miquelon','','7.37'),(2033,'/admin/config/regional/settings?render=overlay','default','Pitcairn','','7.37'),(2034,'/admin/config/regional/settings?render=overlay','default','Puerto Rico','','7.37'),(2035,'/admin/config/regional/settings?render=overlay','default','Palestinian Territory','','7.37'),(2036,'/admin/config/regional/settings?render=overlay','default','Portugal','','7.37'),(2037,'/admin/config/regional/settings?render=overlay','default','Palau','','7.37'),(2038,'/admin/config/regional/settings?render=overlay','default','Paraguay','','7.37'),(2039,'/admin/config/regional/settings?render=overlay','default','Qatar','','7.37'),(2040,'/admin/config/regional/settings?render=overlay','default','Reunion','','7.37'),(2041,'/admin/config/regional/settings?render=overlay','default','Romania','','7.37'),(2042,'/admin/config/regional/settings?render=overlay','default','Serbia','','7.37'),(2043,'/admin/config/regional/settings?render=overlay','default','Russia','','7.37'),(2044,'/admin/config/regional/settings?render=overlay','default','Rwanda','','7.37'),(2045,'/admin/config/regional/settings?render=overlay','default','Saudi Arabia','','7.37'),(2046,'/admin/config/regional/settings?render=overlay','default','Solomon Islands','','7.37'),(2047,'/admin/config/regional/settings?render=overlay','default','Seychelles','','7.37'),(2048,'/admin/config/regional/settings?render=overlay','default','Sudan','','7.37'),(2049,'/admin/config/regional/settings?render=overlay','default','Sweden','','7.37'),(2050,'/admin/config/regional/settings?render=overlay','default','Singapore','','7.37'),(2051,'/admin/config/regional/settings?render=overlay','default','Saint Helena','','7.37'),(2052,'/admin/config/regional/settings?render=overlay','default','Slovenia','','7.37'),(2053,'/admin/config/regional/settings?render=overlay','default','Svalbard and Jan Mayen','','7.37'),(2054,'/admin/config/regional/settings?render=overlay','default','Slovakia','','7.37'),(2055,'/admin/config/regional/settings?render=overlay','default','Sierra Leone','','7.37'),(2056,'/admin/config/regional/settings?render=overlay','default','San Marino','','7.37'),(2057,'/admin/config/regional/settings?render=overlay','default','Senegal','','7.37'),(2058,'/admin/config/regional/settings?render=overlay','default','Somalia','','7.37'),(2059,'/admin/config/regional/settings?render=overlay','default','Suriname','','7.37'),(2060,'/admin/config/regional/settings?render=overlay','default','South Sudan','','7.37'),(2061,'/admin/config/regional/settings?render=overlay','default','Sao Tome and Principe','','7.37'),(2062,'/admin/config/regional/settings?render=overlay','default','El Salvador','','7.37'),(2063,'/admin/config/regional/settings?render=overlay','default','Sint Maarten','','7.37'),(2064,'/admin/config/regional/settings?render=overlay','default','Syria','','7.37'),(2065,'/admin/config/regional/settings?render=overlay','default','Swaziland','','7.37'),(2066,'/admin/config/regional/settings?render=overlay','default','Turks and Caicos Islands','','7.37'),(2067,'/admin/config/regional/settings?render=overlay','default','Chad','','7.37'),(2068,'/admin/config/regional/settings?render=overlay','default','French Southern Territories','','7.37'),(2069,'/admin/config/regional/settings?render=overlay','default','Togo','','7.37'),(2070,'/admin/config/regional/settings?render=overlay','default','Thailand','','7.37'),(2071,'/admin/config/regional/settings?render=overlay','default','Tajikistan','','7.37'),(2072,'/admin/config/regional/settings?render=overlay','default','Tokelau','','7.37'),(2073,'/admin/config/regional/settings?render=overlay','default','Timor-Leste','','7.37'),(2074,'/admin/config/regional/settings?render=overlay','default','Turkmenistan','','7.37'),(2075,'/admin/config/regional/settings?render=overlay','default','Tunisia','','7.37'),(2076,'/admin/config/regional/settings?render=overlay','default','Tonga','','7.37'),(2077,'/admin/config/regional/settings?render=overlay','default','Turkey','','7.37'),(2078,'/admin/config/regional/settings?render=overlay','default','Trinidad and Tobago','','7.37'),(2079,'/admin/config/regional/settings?render=overlay','default','Tuvalu','','7.37'),(2080,'/admin/config/regional/settings?render=overlay','default','Taiwan','','7.37'),(2081,'/admin/config/regional/settings?render=overlay','default','Tanzania','','7.37'),(2082,'/admin/config/regional/settings?render=overlay','default','Ukraine','','7.37'),(2083,'/admin/config/regional/settings?render=overlay','default','Uganda','','7.37'),(2084,'/admin/config/regional/settings?render=overlay','default','United States Minor Outlying Islands','','7.37'),(2085,'/admin/config/regional/settings?render=overlay','default','United States','','7.37'),(2086,'/admin/config/regional/settings?render=overlay','default','Uruguay','','7.37'),(2087,'/admin/config/regional/settings?render=overlay','default','Uzbekistan','','7.37'),(2088,'/admin/config/regional/settings?render=overlay','default','Vatican','','7.37'),(2089,'/admin/config/regional/settings?render=overlay','default','Saint Vincent and the Grenadines','','7.37'),(2090,'/admin/config/regional/settings?render=overlay','default','Venezuela','','7.37'),(2091,'/admin/config/regional/settings?render=overlay','default','British Virgin Islands','','7.37'),(2092,'/admin/config/regional/settings?render=overlay','default','U.S. Virgin Islands','','7.37'),(2093,'/admin/config/regional/settings?render=overlay','default','Vietnam','','7.37'),(2094,'/admin/config/regional/settings?render=overlay','default','Vanuatu','','7.37'),(2095,'/admin/config/regional/settings?render=overlay','default','Wallis and Futuna','','7.37'),(2096,'/admin/config/regional/settings?render=overlay','default','Samoa','','7.37'),(2097,'/admin/config/regional/settings?render=overlay','default','Yemen','','7.37'),(2098,'/admin/config/regional/settings?render=overlay','default','Mayotte','','7.37'),(2099,'/admin/config/regional/settings?render=overlay','default','South Africa','','7.37'),(2100,'/admin/config/regional/settings?render=overlay','default','Zambia','','7.37'),(2101,'/admin/config/regional/settings?render=overlay','default','Zimbabwe','','7.37'),(2102,'/admin/config/regional/settings?render=overlay','default','Africa/Abidjan','','7.37'),(2103,'/admin/config/regional/settings?render=overlay','default','@zone: @date','','7.37'),(2104,'/admin/config/regional/settings?render=overlay','default','Africa/Accra','','7.37'),(2105,'/admin/config/regional/settings?render=overlay','default','Africa/Addis Ababa','','7.37'),(2106,'/admin/config/regional/settings?render=overlay','default','Africa/Algiers','','7.37'),(2107,'/admin/config/regional/settings?render=overlay','default','Africa/Asmara','','7.37'),(2108,'/admin/config/regional/settings?render=overlay','default','Africa/Bamako','','7.37'),(2109,'/admin/config/regional/settings?render=overlay','default','Africa/Bangui','','7.37'),(2110,'/admin/config/regional/settings?render=overlay','default','Africa/Banjul','','7.37'),(2111,'/admin/config/regional/settings?render=overlay','default','Africa/Bissau','','7.37'),(2112,'/admin/config/regional/settings?render=overlay','default','Africa/Blantyre','','7.37'),(2113,'/admin/config/regional/settings?render=overlay','default','Africa/Brazzaville','','7.37'),(2114,'/admin/config/regional/settings?render=overlay','default','Africa/Bujumbura','','7.37'),(2115,'/admin/config/regional/settings?render=overlay','default','Africa/Cairo','','7.37'),(2116,'/admin/config/regional/settings?render=overlay','default','Africa/Casablanca','','7.37'),(2117,'/admin/config/regional/settings?render=overlay','default','Africa/Ceuta','','7.37'),(2118,'/admin/config/regional/settings?render=overlay','default','Africa/Conakry','','7.37'),(2119,'/admin/config/regional/settings?render=overlay','default','Africa/Dakar','','7.37'),(2120,'/admin/config/regional/settings?render=overlay','default','Africa/Dar es Salaam','','7.37'),(2121,'/admin/config/regional/settings?render=overlay','default','Africa/Djibouti','','7.37'),(2122,'/admin/config/regional/settings?render=overlay','default','Africa/Douala','','7.37'),(2123,'/admin/config/regional/settings?render=overlay','default','Africa/El Aaiun','','7.37'),(2124,'/admin/config/regional/settings?render=overlay','default','Africa/Freetown','','7.37'),(2125,'/admin/config/regional/settings?render=overlay','default','Africa/Gaborone','','7.37'),(2126,'/admin/config/regional/settings?render=overlay','default','Africa/Harare','','7.37'),(2127,'/admin/config/regional/settings?render=overlay','default','Africa/Johannesburg','','7.37'),(2128,'/admin/config/regional/settings?render=overlay','default','Africa/Juba','','7.37'),(2129,'/admin/config/regional/settings?render=overlay','default','Africa/Kampala','','7.37'),(2130,'/admin/config/regional/settings?render=overlay','default','Africa/Khartoum','','7.37'),(2131,'/admin/config/regional/settings?render=overlay','default','Africa/Kigali','','7.37'),(2132,'/admin/config/regional/settings?render=overlay','default','Africa/Kinshasa','','7.37'),(2133,'/admin/config/regional/settings?render=overlay','default','Africa/Lagos','','7.37'),(2134,'/admin/config/regional/settings?render=overlay','default','Africa/Libreville','','7.37'),(2135,'/admin/config/regional/settings?render=overlay','default','Africa/Lome','','7.37'),(2136,'/admin/config/regional/settings?render=overlay','default','Africa/Luanda','','7.37'),(2137,'/admin/config/regional/settings?render=overlay','default','Africa/Lubumbashi','','7.37'),(2138,'/admin/config/regional/settings?render=overlay','default','Africa/Lusaka','','7.37'),(2139,'/admin/config/regional/settings?render=overlay','default','Africa/Malabo','','7.37'),(2140,'/admin/config/regional/settings?render=overlay','default','Africa/Maputo','','7.37'),(2141,'/admin/config/regional/settings?render=overlay','default','Africa/Maseru','','7.37'),(2142,'/admin/config/regional/settings?render=overlay','default','Africa/Mbabane','','7.37'),(2143,'/admin/config/regional/settings?render=overlay','default','Africa/Mogadishu','','7.37'),(2144,'/admin/config/regional/settings?render=overlay','default','Africa/Monrovia','','7.37'),(2145,'/admin/config/regional/settings?render=overlay','default','Africa/Nairobi','','7.37'),(2146,'/admin/config/regional/settings?render=overlay','default','Africa/Ndjamena','','7.37'),(2147,'/admin/config/regional/settings?render=overlay','default','Africa/Niamey','','7.37'),(2148,'/admin/config/regional/settings?render=overlay','default','Africa/Nouakchott','','7.37'),(2149,'/admin/config/regional/settings?render=overlay','default','Africa/Ouagadougou','','7.37'),(2150,'/admin/config/regional/settings?render=overlay','default','Africa/Porto-Novo','','7.37'),(2151,'/admin/config/regional/settings?render=overlay','default','Africa/Sao Tome','','7.37'),(2152,'/admin/config/regional/settings?render=overlay','default','Africa/Tripoli','','7.37'),(2153,'/admin/config/regional/settings?render=overlay','default','Africa/Tunis','','7.37'),(2154,'/admin/config/regional/settings?render=overlay','default','Africa/Windhoek','','7.37'),(2155,'/admin/config/regional/settings?render=overlay','default','America/Adak','','7.37'),(2156,'/admin/config/regional/settings?render=overlay','default','America/Anchorage','','7.37'),(2157,'/admin/config/regional/settings?render=overlay','default','America/Anguilla','','7.37'),(2158,'/admin/config/regional/settings?render=overlay','default','America/Antigua','','7.37'),(2159,'/admin/config/regional/settings?render=overlay','default','America/Araguaina','','7.37'),(2160,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Buenos Aires','','7.37'),(2161,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Catamarca','','7.37'),(2162,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Cordoba','','7.37'),(2163,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Jujuy','','7.37'),(2164,'/admin/config/regional/settings?render=overlay','default','America/Argentina/La Rioja','','7.37'),(2165,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Mendoza','','7.37'),(2166,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Rio Gallegos','','7.37'),(2167,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Salta','','7.37'),(2168,'/admin/config/regional/settings?render=overlay','default','America/Argentina/San Juan','','7.37'),(2169,'/admin/config/regional/settings?render=overlay','default','America/Argentina/San Luis','','7.37'),(2170,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Tucuman','','7.37'),(2171,'/admin/config/regional/settings?render=overlay','default','America/Argentina/Ushuaia','','7.37'),(2172,'/admin/config/regional/settings?render=overlay','default','America/Aruba','','7.37'),(2173,'/admin/config/regional/settings?render=overlay','default','America/Asuncion','','7.37'),(2174,'/admin/config/regional/settings?render=overlay','default','America/Atikokan','','7.37'),(2175,'/admin/config/regional/settings?render=overlay','default','America/Bahia','','7.37'),(2176,'/admin/config/regional/settings?render=overlay','default','America/Bahia Banderas','','7.37'),(2177,'/admin/config/regional/settings?render=overlay','default','America/Barbados','','7.37'),(2178,'/admin/config/regional/settings?render=overlay','default','America/Belem','','7.37'),(2179,'/admin/config/regional/settings?render=overlay','default','America/Belize','','7.37'),(2180,'/admin/config/regional/settings?render=overlay','default','America/Blanc-Sablon','','7.37'),(2181,'/admin/config/regional/settings?render=overlay','default','America/Boa Vista','','7.37'),(2182,'/admin/config/regional/settings?render=overlay','default','America/Bogota','','7.37'),(2183,'/admin/config/regional/settings?render=overlay','default','America/Boise','','7.37'),(2184,'/admin/config/regional/settings?render=overlay','default','America/Cambridge Bay','','7.37'),(2185,'/admin/config/regional/settings?render=overlay','default','America/Campo Grande','','7.37'),(2186,'/admin/config/regional/settings?render=overlay','default','America/Cancun','','7.37'),(2187,'/admin/config/regional/settings?render=overlay','default','America/Caracas','','7.37'),(2188,'/admin/config/regional/settings?render=overlay','default','America/Cayenne','','7.37'),(2189,'/admin/config/regional/settings?render=overlay','default','America/Cayman','','7.37'),(2190,'/admin/config/regional/settings?render=overlay','default','America/Chicago','','7.37'),(2191,'/admin/config/regional/settings?render=overlay','default','America/Chihuahua','','7.37'),(2192,'/admin/config/regional/settings?render=overlay','default','America/Costa Rica','','7.37'),(2193,'/admin/config/regional/settings?render=overlay','default','America/Creston','','7.37'),(2194,'/admin/config/regional/settings?render=overlay','default','America/Cuiaba','','7.37'),(2195,'/admin/config/regional/settings?render=overlay','default','America/Curacao','','7.37'),(2196,'/admin/config/regional/settings?render=overlay','default','America/Danmarkshavn','','7.37'),(2197,'/admin/config/regional/settings?render=overlay','default','America/Dawson','','7.37'),(2198,'/admin/config/regional/settings?render=overlay','default','America/Dawson Creek','','7.37'),(2199,'/admin/config/regional/settings?render=overlay','default','America/Denver','','7.37'),(2200,'/admin/config/regional/settings?render=overlay','default','America/Detroit','','7.37'),(2201,'/admin/config/regional/settings?render=overlay','default','America/Dominica','','7.37'),(2202,'/admin/config/regional/settings?render=overlay','default','America/Edmonton','','7.37'),(2203,'/admin/config/regional/settings?render=overlay','default','America/Eirunepe','','7.37'),(2204,'/admin/config/regional/settings?render=overlay','default','America/El Salvador','','7.37'),(2205,'/admin/config/regional/settings?render=overlay','default','America/Fortaleza','','7.37'),(2206,'/admin/config/regional/settings?render=overlay','default','America/Glace Bay','','7.37'),(2207,'/admin/config/regional/settings?render=overlay','default','America/Godthab','','7.37'),(2208,'/admin/config/regional/settings?render=overlay','default','America/Goose Bay','','7.37'),(2209,'/admin/config/regional/settings?render=overlay','default','America/Grand Turk','','7.37'),(2210,'/admin/config/regional/settings?render=overlay','default','America/Grenada','','7.37'),(2211,'/admin/config/regional/settings?render=overlay','default','America/Guadeloupe','','7.37'),(2212,'/admin/config/regional/settings?render=overlay','default','America/Guatemala','','7.37'),(2213,'/admin/config/regional/settings?render=overlay','default','America/Guayaquil','','7.37'),(2214,'/admin/config/regional/settings?render=overlay','default','America/Guyana','','7.37'),(2215,'/admin/config/regional/settings?render=overlay','default','America/Halifax','','7.37'),(2216,'/admin/config/regional/settings?render=overlay','default','America/Havana','','7.37'),(2217,'/admin/config/regional/settings?render=overlay','default','America/Hermosillo','','7.37'),(2218,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Indianapolis','','7.37'),(2219,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Knox','','7.37'),(2220,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Marengo','','7.37'),(2221,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Petersburg','','7.37'),(2222,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Tell City','','7.37'),(2223,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Vevay','','7.37'),(2224,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Vincennes','','7.37'),(2225,'/admin/config/regional/settings?render=overlay','default','America/Indiana/Winamac','','7.37'),(2226,'/admin/config/regional/settings?render=overlay','default','America/Inuvik','','7.37'),(2227,'/admin/config/regional/settings?render=overlay','default','America/Iqaluit','','7.37'),(2228,'/admin/config/regional/settings?render=overlay','default','America/Jamaica','','7.37'),(2229,'/admin/config/regional/settings?render=overlay','default','America/Juneau','','7.37'),(2230,'/admin/config/regional/settings?render=overlay','default','America/Kentucky/Louisville','','7.37'),(2231,'/admin/config/regional/settings?render=overlay','default','America/Kentucky/Monticello','','7.37'),(2232,'/admin/config/regional/settings?render=overlay','default','America/Kralendijk','','7.37'),(2233,'/admin/config/regional/settings?render=overlay','default','America/La Paz','','7.37'),(2234,'/admin/config/regional/settings?render=overlay','default','America/Lima','','7.37'),(2235,'/admin/config/regional/settings?render=overlay','default','America/Los Angeles','','7.37'),(2236,'/admin/config/regional/settings?render=overlay','default','America/Lower Princes','','7.37'),(2237,'/admin/config/regional/settings?render=overlay','default','America/Maceio','','7.37'),(2238,'/admin/config/regional/settings?render=overlay','default','America/Managua','','7.37'),(2239,'/admin/config/regional/settings?render=overlay','default','America/Manaus','','7.37'),(2240,'/admin/config/regional/settings?render=overlay','default','America/Marigot','','7.37'),(2241,'/admin/config/regional/settings?render=overlay','default','America/Martinique','','7.37'),(2242,'/admin/config/regional/settings?render=overlay','default','America/Matamoros','','7.37'),(2243,'/admin/config/regional/settings?render=overlay','default','America/Mazatlan','','7.37'),(2244,'/admin/config/regional/settings?render=overlay','default','America/Menominee','','7.37'),(2245,'/admin/config/regional/settings?render=overlay','default','America/Merida','','7.37'),(2246,'/admin/config/regional/settings?render=overlay','default','America/Metlakatla','','7.37'),(2247,'/admin/config/regional/settings?render=overlay','default','America/Mexico City','','7.37'),(2248,'/admin/config/regional/settings?render=overlay','default','America/Miquelon','','7.37'),(2249,'/admin/config/regional/settings?render=overlay','default','America/Moncton','','7.37'),(2250,'/admin/config/regional/settings?render=overlay','default','America/Monterrey','','7.37'),(2251,'/admin/config/regional/settings?render=overlay','default','America/Montevideo','','7.37'),(2252,'/admin/config/regional/settings?render=overlay','default','America/Montserrat','','7.37'),(2253,'/admin/config/regional/settings?render=overlay','default','America/Nassau','','7.37'),(2254,'/admin/config/regional/settings?render=overlay','default','America/New York','','7.37'),(2255,'/admin/config/regional/settings?render=overlay','default','America/Nipigon','','7.37'),(2256,'/admin/config/regional/settings?render=overlay','default','America/Nome','','7.37'),(2257,'/admin/config/regional/settings?render=overlay','default','America/Noronha','','7.37'),(2258,'/admin/config/regional/settings?render=overlay','default','America/North Dakota/Beulah','','7.37'),(2259,'/admin/config/regional/settings?render=overlay','default','America/North Dakota/Center','','7.37'),(2260,'/admin/config/regional/settings?render=overlay','default','America/North Dakota/New Salem','','7.37'),(2261,'/admin/config/regional/settings?render=overlay','default','America/Ojinaga','','7.37'),(2262,'/admin/config/regional/settings?render=overlay','default','America/Panama','','7.37'),(2263,'/admin/config/regional/settings?render=overlay','default','America/Pangnirtung','','7.37'),(2264,'/admin/config/regional/settings?render=overlay','default','America/Paramaribo','','7.37'),(2265,'/admin/config/regional/settings?render=overlay','default','America/Phoenix','','7.37'),(2266,'/admin/config/regional/settings?render=overlay','default','America/Port-au-Prince','','7.37'),(2267,'/admin/config/regional/settings?render=overlay','default','America/Port of Spain','','7.37'),(2268,'/admin/config/regional/settings?render=overlay','default','America/Porto Velho','','7.37'),(2269,'/admin/config/regional/settings?render=overlay','default','America/Puerto Rico','','7.37'),(2270,'/admin/config/regional/settings?render=overlay','default','America/Rainy River','','7.37'),(2271,'/admin/config/regional/settings?render=overlay','default','America/Rankin Inlet','','7.37'),(2272,'/admin/config/regional/settings?render=overlay','default','America/Recife','','7.37'),(2273,'/admin/config/regional/settings?render=overlay','default','America/Regina','','7.37'),(2274,'/admin/config/regional/settings?render=overlay','default','America/Resolute','','7.37'),(2275,'/admin/config/regional/settings?render=overlay','default','America/Rio Branco','','7.37'),(2276,'/admin/config/regional/settings?render=overlay','default','America/Santa Isabel','','7.37'),(2277,'/admin/config/regional/settings?render=overlay','default','America/Santarem','','7.37'),(2278,'/admin/config/regional/settings?render=overlay','default','America/Santiago','','7.37'),(2279,'/admin/config/regional/settings?render=overlay','default','America/Santo Domingo','','7.37'),(2280,'/admin/config/regional/settings?render=overlay','default','America/Sao Paulo','','7.37'),(2281,'/admin/config/regional/settings?render=overlay','default','America/Scoresbysund','','7.37'),(2282,'/admin/config/regional/settings?render=overlay','default','America/Sitka','','7.37'),(2283,'/admin/config/regional/settings?render=overlay','default','America/St Barthelemy','','7.37'),(2284,'/admin/config/regional/settings?render=overlay','default','America/St Johns','','7.37'),(2285,'/admin/config/regional/settings?render=overlay','default','America/St Kitts','','7.37'),(2286,'/admin/config/regional/settings?render=overlay','default','America/St Lucia','','7.37'),(2287,'/admin/config/regional/settings?render=overlay','default','America/St Thomas','','7.37'),(2288,'/admin/config/regional/settings?render=overlay','default','America/St Vincent','','7.37'),(2289,'/admin/config/regional/settings?render=overlay','default','America/Swift Current','','7.37'),(2290,'/admin/config/regional/settings?render=overlay','default','America/Tegucigalpa','','7.37'),(2291,'/admin/config/regional/settings?render=overlay','default','America/Thule','','7.37'),(2292,'/admin/config/regional/settings?render=overlay','default','America/Thunder Bay','','7.37'),(2293,'/admin/config/regional/settings?render=overlay','default','America/Tijuana','','7.37'),(2294,'/admin/config/regional/settings?render=overlay','default','America/Toronto','','7.37'),(2295,'/admin/config/regional/settings?render=overlay','default','America/Tortola','','7.37'),(2296,'/admin/config/regional/settings?render=overlay','default','America/Vancouver','','7.37'),(2297,'/admin/config/regional/settings?render=overlay','default','America/Whitehorse','','7.37'),(2298,'/admin/config/regional/settings?render=overlay','default','America/Winnipeg','','7.37'),(2299,'/admin/config/regional/settings?render=overlay','default','America/Yakutat','','7.37'),(2300,'/admin/config/regional/settings?render=overlay','default','America/Yellowknife','','7.37'),(2301,'/admin/config/regional/settings?render=overlay','default','Antarctica/Casey','','7.37'),(2302,'/admin/config/regional/settings?render=overlay','default','Antarctica/Davis','','7.37'),(2303,'/admin/config/regional/settings?render=overlay','default','Antarctica/DumontDUrville','','7.37'),(2304,'/admin/config/regional/settings?render=overlay','default','Antarctica/Macquarie','','7.37'),(2305,'/admin/config/regional/settings?render=overlay','default','Antarctica/Mawson','','7.37'),(2306,'/admin/config/regional/settings?render=overlay','default','Antarctica/McMurdo','','7.37'),(2307,'/admin/config/regional/settings?render=overlay','default','Antarctica/Palmer','','7.37'),(2308,'/admin/config/regional/settings?render=overlay','default','Antarctica/Rothera','','7.37'),(2309,'/admin/config/regional/settings?render=overlay','default','Antarctica/Syowa','','7.37'),(2310,'/admin/config/regional/settings?render=overlay','default','Antarctica/Troll','','7.37'),(2311,'/admin/config/regional/settings?render=overlay','default','Antarctica/Vostok','','7.37'),(2312,'/admin/config/regional/settings?render=overlay','default','Arctic/Longyearbyen','','7.37'),(2313,'/admin/config/regional/settings?render=overlay','default','Asia/Aden','','7.37'),(2314,'/admin/config/regional/settings?render=overlay','default','Asia/Almaty','','7.37'),(2315,'/admin/config/regional/settings?render=overlay','default','Asia/Amman','','7.37'),(2316,'/admin/config/regional/settings?render=overlay','default','Asia/Anadyr','','7.37'),(2317,'/admin/config/regional/settings?render=overlay','default','Asia/Aqtau','','7.37'),(2318,'/admin/config/regional/settings?render=overlay','default','Asia/Aqtobe','','7.37'),(2319,'/admin/config/regional/settings?render=overlay','default','Asia/Ashgabat','','7.37'),(2320,'/admin/config/regional/settings?render=overlay','default','Asia/Baghdad','','7.37'),(2321,'/admin/config/regional/settings?render=overlay','default','Asia/Bahrain','','7.37'),(2322,'/admin/config/regional/settings?render=overlay','default','Asia/Baku','','7.37'),(2323,'/admin/config/regional/settings?render=overlay','default','Asia/Bangkok','','7.37'),(2324,'/admin/config/regional/settings?render=overlay','default','Asia/Beirut','','7.37'),(2325,'/admin/config/regional/settings?render=overlay','default','Asia/Bishkek','','7.37'),(2326,'/admin/config/regional/settings?render=overlay','default','Asia/Brunei','','7.37'),(2327,'/admin/config/regional/settings?render=overlay','default','Asia/Choibalsan','','7.37'),(2328,'/admin/config/regional/settings?render=overlay','default','Asia/Chongqing','','7.37'),(2329,'/admin/config/regional/settings?render=overlay','default','Asia/Colombo','','7.37'),(2330,'/admin/config/regional/settings?render=overlay','default','Asia/Damascus','','7.37'),(2331,'/admin/config/regional/settings?render=overlay','default','Asia/Dhaka','','7.37'),(2332,'/admin/config/regional/settings?render=overlay','default','Asia/Dili','','7.37'),(2333,'/admin/config/regional/settings?render=overlay','default','Asia/Dubai','','7.37'),(2334,'/admin/config/regional/settings?render=overlay','default','Asia/Dushanbe','','7.37'),(2335,'/admin/config/regional/settings?render=overlay','default','Asia/Gaza','','7.37'),(2336,'/admin/config/regional/settings?render=overlay','default','Asia/Harbin','','7.37'),(2337,'/admin/config/regional/settings?render=overlay','default','Asia/Hebron','','7.37'),(2338,'/admin/config/regional/settings?render=overlay','default','Asia/Ho Chi Minh','','7.37'),(2339,'/admin/config/regional/settings?render=overlay','default','Asia/Hong Kong','','7.37'),(2340,'/admin/config/regional/settings?render=overlay','default','Asia/Hovd','','7.37'),(2341,'/admin/config/regional/settings?render=overlay','default','Asia/Irkutsk','','7.37'),(2342,'/admin/config/regional/settings?render=overlay','default','Asia/Jakarta','','7.37'),(2343,'/admin/config/regional/settings?render=overlay','default','Asia/Jayapura','','7.37'),(2344,'/admin/config/regional/settings?render=overlay','default','Asia/Jerusalem','','7.37'),(2345,'/admin/config/regional/settings?render=overlay','default','Asia/Kabul','','7.37'),(2346,'/admin/config/regional/settings?render=overlay','default','Asia/Kamchatka','','7.37'),(2347,'/admin/config/regional/settings?render=overlay','default','Asia/Karachi','','7.37'),(2348,'/admin/config/regional/settings?render=overlay','default','Asia/Kashgar','','7.37'),(2349,'/admin/config/regional/settings?render=overlay','default','Asia/Kathmandu','','7.37'),(2350,'/admin/config/regional/settings?render=overlay','default','Asia/Khandyga','','7.37'),(2351,'/admin/config/regional/settings?render=overlay','default','Asia/Kolkata','','7.37'),(2352,'/admin/config/regional/settings?render=overlay','default','Asia/Krasnoyarsk','','7.37'),(2353,'/admin/config/regional/settings?render=overlay','default','Asia/Kuala Lumpur','','7.37'),(2354,'/admin/config/regional/settings?render=overlay','default','Asia/Kuching','','7.37'),(2355,'/admin/config/regional/settings?render=overlay','default','Asia/Kuwait','','7.37'),(2356,'/admin/config/regional/settings?render=overlay','default','Asia/Macau','','7.37'),(2357,'/admin/config/regional/settings?render=overlay','default','Asia/Magadan','','7.37'),(2358,'/admin/config/regional/settings?render=overlay','default','Asia/Makassar','','7.37'),(2359,'/admin/config/regional/settings?render=overlay','default','Asia/Manila','','7.37'),(2360,'/admin/config/regional/settings?render=overlay','default','Asia/Muscat','','7.37'),(2361,'/admin/config/regional/settings?render=overlay','default','Asia/Nicosia','','7.37'),(2362,'/admin/config/regional/settings?render=overlay','default','Asia/Novokuznetsk','','7.37'),(2363,'/admin/config/regional/settings?render=overlay','default','Asia/Novosibirsk','','7.37'),(2364,'/admin/config/regional/settings?render=overlay','default','Asia/Omsk','','7.37'),(2365,'/admin/config/regional/settings?render=overlay','default','Asia/Oral','','7.37'),(2366,'/admin/config/regional/settings?render=overlay','default','Asia/Phnom Penh','','7.37'),(2367,'/admin/config/regional/settings?render=overlay','default','Asia/Pontianak','','7.37'),(2368,'/admin/config/regional/settings?render=overlay','default','Asia/Pyongyang','','7.37'),(2369,'/admin/config/regional/settings?render=overlay','default','Asia/Qatar','','7.37'),(2370,'/admin/config/regional/settings?render=overlay','default','Asia/Qyzylorda','','7.37'),(2371,'/admin/config/regional/settings?render=overlay','default','Asia/Rangoon','','7.37'),(2372,'/admin/config/regional/settings?render=overlay','default','Asia/Riyadh','','7.37'),(2373,'/admin/config/regional/settings?render=overlay','default','Asia/Sakhalin','','7.37'),(2374,'/admin/config/regional/settings?render=overlay','default','Asia/Samarkand','','7.37'),(2375,'/admin/config/regional/settings?render=overlay','default','Asia/Seoul','','7.37'),(2376,'/admin/config/regional/settings?render=overlay','default','Asia/Shanghai','','7.37'),(2377,'/admin/config/regional/settings?render=overlay','default','Asia/Singapore','','7.37'),(2378,'/admin/config/regional/settings?render=overlay','default','Asia/Taipei','','7.37'),(2379,'/admin/config/regional/settings?render=overlay','default','Asia/Tashkent','','7.37'),(2380,'/admin/config/regional/settings?render=overlay','default','Asia/Tbilisi','','7.37'),(2381,'/admin/config/regional/settings?render=overlay','default','Asia/Tehran','','7.37'),(2382,'/admin/config/regional/settings?render=overlay','default','Asia/Thimphu','','7.37'),(2383,'/admin/config/regional/settings?render=overlay','default','Asia/Tokyo','','7.37'),(2384,'/admin/config/regional/settings?render=overlay','default','Asia/Ulaanbaatar','','7.37'),(2385,'/admin/config/regional/settings?render=overlay','default','Asia/Urumqi','','7.37'),(2386,'/admin/config/regional/settings?render=overlay','default','Asia/Ust-Nera','','7.37'),(2387,'/admin/config/regional/settings?render=overlay','default','Asia/Vientiane','','7.37'),(2388,'/admin/config/regional/settings?render=overlay','default','Asia/Vladivostok','','7.37'),(2389,'/admin/config/regional/settings?render=overlay','default','Asia/Yakutsk','','7.37'),(2390,'/admin/config/regional/settings?render=overlay','default','Asia/Yekaterinburg','','7.37'),(2391,'/admin/config/regional/settings?render=overlay','default','Asia/Yerevan','','7.37'),(2392,'/admin/config/regional/settings?render=overlay','default','Atlantic/Azores','','7.37'),(2393,'/admin/config/regional/settings?render=overlay','default','Atlantic/Bermuda','','7.37'),(2394,'/admin/config/regional/settings?render=overlay','default','Atlantic/Canary','','7.37'),(2395,'/admin/config/regional/settings?render=overlay','default','Atlantic/Cape Verde','','7.37'),(2396,'/admin/config/regional/settings?render=overlay','default','Atlantic/Faroe','','7.37'),(2397,'/admin/config/regional/settings?render=overlay','default','Atlantic/Madeira','','7.37'),(2398,'/admin/config/regional/settings?render=overlay','default','Atlantic/Reykjavik','','7.37'),(2399,'/admin/config/regional/settings?render=overlay','default','Atlantic/South Georgia','','7.37'),(2400,'/admin/config/regional/settings?render=overlay','default','Atlantic/St Helena','','7.37'),(2401,'/admin/config/regional/settings?render=overlay','default','Atlantic/Stanley','','7.37'),(2402,'/admin/config/regional/settings?render=overlay','default','Australia/Adelaide','','7.37'),(2403,'/admin/config/regional/settings?render=overlay','default','Australia/Brisbane','','7.37'),(2404,'/admin/config/regional/settings?render=overlay','default','Australia/Broken Hill','','7.37'),(2405,'/admin/config/regional/settings?render=overlay','default','Australia/Currie','','7.37'),(2406,'/admin/config/regional/settings?render=overlay','default','Australia/Darwin','','7.37'),(2407,'/admin/config/regional/settings?render=overlay','default','Australia/Eucla','','7.37'),(2408,'/admin/config/regional/settings?render=overlay','default','Australia/Hobart','','7.37'),(2409,'/admin/config/regional/settings?render=overlay','default','Australia/Lindeman','','7.37'),(2410,'/admin/config/regional/settings?render=overlay','default','Australia/Lord Howe','','7.37'),(2411,'/admin/config/regional/settings?render=overlay','default','Australia/Melbourne','','7.37'),(2412,'/admin/config/regional/settings?render=overlay','default','Australia/Perth','','7.37'),(2413,'/admin/config/regional/settings?render=overlay','default','Australia/Sydney','','7.37'),(2414,'/admin/config/regional/settings?render=overlay','default','Europe/Amsterdam','','7.37'),(2415,'/admin/config/regional/settings?render=overlay','default','Europe/Andorra','','7.37'),(2416,'/admin/config/regional/settings?render=overlay','default','Europe/Athens','','7.37'),(2417,'/admin/config/regional/settings?render=overlay','default','Europe/Belgrade','','7.37'),(2418,'/admin/config/regional/settings?render=overlay','default','Europe/Berlin','','7.37'),(2419,'/admin/config/regional/settings?render=overlay','default','Europe/Bratislava','','7.37'),(2420,'/admin/config/regional/settings?render=overlay','default','Europe/Brussels','','7.37'),(2421,'/admin/config/regional/settings?render=overlay','default','Europe/Bucharest','','7.37'),(2422,'/admin/config/regional/settings?render=overlay','default','Europe/Budapest','','7.37'),(2423,'/admin/config/regional/settings?render=overlay','default','Europe/Busingen','','7.37'),(2424,'/admin/config/regional/settings?render=overlay','default','Europe/Chisinau','','7.37'),(2425,'/admin/config/regional/settings?render=overlay','default','Europe/Copenhagen','','7.37'),(2426,'/admin/config/regional/settings?render=overlay','default','Europe/Dublin','','7.37'),(2427,'/admin/config/regional/settings?render=overlay','default','Europe/Gibraltar','','7.37'),(2428,'/admin/config/regional/settings?render=overlay','default','Europe/Guernsey','','7.37'),(2429,'/admin/config/regional/settings?render=overlay','default','Europe/Helsinki','','7.37'),(2430,'/admin/config/regional/settings?render=overlay','default','Europe/Isle of Man','','7.37'),(2431,'/admin/config/regional/settings?render=overlay','default','Europe/Istanbul','','7.37'),(2432,'/admin/config/regional/settings?render=overlay','default','Europe/Jersey','','7.37'),(2433,'/admin/config/regional/settings?render=overlay','default','Europe/Kaliningrad','','7.37'),(2434,'/admin/config/regional/settings?render=overlay','default','Europe/Kiev','','7.37'),(2435,'/admin/config/regional/settings?render=overlay','default','Europe/Lisbon','','7.37'),(2436,'/admin/config/regional/settings?render=overlay','default','Europe/Ljubljana','','7.37'),(2437,'/admin/config/regional/settings?render=overlay','default','Europe/London','','7.37'),(2438,'/admin/config/regional/settings?render=overlay','default','Europe/Luxembourg','','7.37'),(2439,'/admin/config/regional/settings?render=overlay','default','Europe/Madrid','','7.37'),(2440,'/admin/config/regional/settings?render=overlay','default','Europe/Malta','','7.37'),(2441,'/admin/config/regional/settings?render=overlay','default','Europe/Mariehamn','','7.37'),(2442,'/admin/config/regional/settings?render=overlay','default','Europe/Minsk','','7.37'),(2443,'/admin/config/regional/settings?render=overlay','default','Europe/Monaco','','7.37'),(2444,'/admin/config/regional/settings?render=overlay','default','Europe/Moscow','','7.37'),(2445,'/admin/config/regional/settings?render=overlay','default','Europe/Oslo','','7.37'),(2446,'/admin/config/regional/settings?render=overlay','default','Europe/Paris','','7.37'),(2447,'/admin/config/regional/settings?render=overlay','default','Europe/Podgorica','','7.37'),(2448,'/admin/config/regional/settings?render=overlay','default','Europe/Prague','','7.37'),(2449,'/admin/config/regional/settings?render=overlay','default','Europe/Riga','','7.37'),(2450,'/admin/config/regional/settings?render=overlay','default','Europe/Rome','','7.37'),(2451,'/admin/config/regional/settings?render=overlay','default','Europe/Samara','','7.37'),(2452,'/admin/config/regional/settings?render=overlay','default','Europe/San Marino','','7.37'),(2453,'/admin/config/regional/settings?render=overlay','default','Europe/Sarajevo','','7.37'),(2454,'/admin/config/regional/settings?render=overlay','default','Europe/Simferopol','','7.37'),(2455,'/admin/config/regional/settings?render=overlay','default','Europe/Skopje','','7.37'),(2456,'/admin/config/regional/settings?render=overlay','default','Europe/Sofia','','7.37'),(2457,'/admin/config/regional/settings?render=overlay','default','Europe/Stockholm','','7.37'),(2458,'/admin/config/regional/settings?render=overlay','default','Europe/Tallinn','','7.37'),(2459,'/admin/config/regional/settings?render=overlay','default','Europe/Tirane','','7.37'),(2460,'/admin/config/regional/settings?render=overlay','default','Europe/Uzhgorod','','7.37'),(2461,'/admin/config/regional/settings?render=overlay','default','Europe/Vaduz','','7.37'),(2462,'/admin/config/regional/settings?render=overlay','default','Europe/Vatican','','7.37'),(2463,'/admin/config/regional/settings?render=overlay','default','Europe/Vienna','','7.37'),(2464,'/admin/config/regional/settings?render=overlay','default','Europe/Vilnius','','7.37'),(2465,'/admin/config/regional/settings?render=overlay','default','Europe/Volgograd','','7.37'),(2466,'/admin/config/regional/settings?render=overlay','default','Europe/Warsaw','','7.37'),(2467,'/admin/config/regional/settings?render=overlay','default','Europe/Zagreb','','7.37'),(2468,'/admin/config/regional/settings?render=overlay','default','Europe/Zaporozhye','','7.37'),(2469,'/admin/config/regional/settings?render=overlay','default','Europe/Zurich','','7.37'),(2470,'/admin/config/regional/settings?render=overlay','default','Indian/Antananarivo','','7.37'),(2471,'/admin/config/regional/settings?render=overlay','default','Indian/Chagos','','7.37'),(2472,'/admin/config/regional/settings?render=overlay','default','Indian/Christmas','','7.37'),(2473,'/admin/config/regional/settings?render=overlay','default','Indian/Cocos','','7.37'),(2474,'/admin/config/regional/settings?render=overlay','default','Indian/Comoro','','7.37'),(2475,'/admin/config/regional/settings?render=overlay','default','Indian/Kerguelen','','7.37'),(2476,'/admin/config/regional/settings?render=overlay','default','Indian/Mahe','','7.37'),(2477,'/admin/config/regional/settings?render=overlay','default','Indian/Maldives','','7.37'),(2478,'/admin/config/regional/settings?render=overlay','default','Indian/Mauritius','','7.37'),(2479,'/admin/config/regional/settings?render=overlay','default','Indian/Mayotte','','7.37'),(2480,'/admin/config/regional/settings?render=overlay','default','Indian/Reunion','','7.37'),(2481,'/admin/config/regional/settings?render=overlay','default','Pacific/Apia','','7.37'),(2482,'/admin/config/regional/settings?render=overlay','default','Pacific/Auckland','','7.37'),(2483,'/admin/config/regional/settings?render=overlay','default','Pacific/Chatham','','7.37'),(2484,'/admin/config/regional/settings?render=overlay','default','Pacific/Chuuk','','7.37'),(2485,'/admin/config/regional/settings?render=overlay','default','Pacific/Easter','','7.37'),(2486,'/admin/config/regional/settings?render=overlay','default','Pacific/Efate','','7.37'),(2487,'/admin/config/regional/settings?render=overlay','default','Pacific/Enderbury','','7.37'),(2488,'/admin/config/regional/settings?render=overlay','default','Pacific/Fakaofo','','7.37'),(2489,'/admin/config/regional/settings?render=overlay','default','Pacific/Fiji','','7.37'),(2490,'/admin/config/regional/settings?render=overlay','default','Pacific/Funafuti','','7.37'),(2491,'/admin/config/regional/settings?render=overlay','default','Pacific/Galapagos','','7.37'),(2492,'/admin/config/regional/settings?render=overlay','default','Pacific/Gambier','','7.37'),(2493,'/admin/config/regional/settings?render=overlay','default','Pacific/Guadalcanal','','7.37'),(2494,'/admin/config/regional/settings?render=overlay','default','Pacific/Guam','','7.37'),(2495,'/admin/config/regional/settings?render=overlay','default','Pacific/Honolulu','','7.37'),(2496,'/admin/config/regional/settings?render=overlay','default','Pacific/Johnston','','7.37'),(2497,'/admin/config/regional/settings?render=overlay','default','Pacific/Kiritimati','','7.37'),(2498,'/admin/config/regional/settings?render=overlay','default','Friday','','7.37'),(2499,'/admin/config/regional/settings?render=overlay','default','Pacific/Kosrae','','7.37'),(2500,'/admin/config/regional/settings?render=overlay','default','Pacific/Kwajalein','','7.37'),(2501,'/admin/config/regional/settings?render=overlay','default','Pacific/Majuro','','7.37'),(2502,'/admin/config/regional/settings?render=overlay','default','Pacific/Marquesas','','7.37'),(2503,'/admin/config/regional/settings?render=overlay','default','Pacific/Midway','','7.37'),(2504,'/admin/config/regional/settings?render=overlay','default','Wednesday','','7.37'),(2505,'/admin/config/regional/settings?render=overlay','default','Pacific/Nauru','','7.37'),(2506,'/admin/config/regional/settings?render=overlay','default','Pacific/Niue','','7.37'),(2507,'/admin/config/regional/settings?render=overlay','default','Pacific/Norfolk','','7.37'),(2508,'/admin/config/regional/settings?render=overlay','default','Pacific/Noumea','','7.37'),(2509,'/admin/config/regional/settings?render=overlay','default','Pacific/Pago Pago','','7.37'),(2510,'/admin/config/regional/settings?render=overlay','default','Pacific/Palau','','7.37'),(2511,'/admin/config/regional/settings?render=overlay','default','Pacific/Pitcairn','','7.37'),(2512,'/admin/config/regional/settings?render=overlay','default','Pacific/Pohnpei','','7.37'),(2513,'/admin/config/regional/settings?render=overlay','default','Pacific/Port Moresby','','7.37'),(2514,'/admin/config/regional/settings?render=overlay','default','Pacific/Rarotonga','','7.37'),(2515,'/admin/config/regional/settings?render=overlay','default','Pacific/Saipan','','7.37'),(2516,'/admin/config/regional/settings?render=overlay','default','Pacific/Tahiti','','7.37'),(2517,'/admin/config/regional/settings?render=overlay','default','Pacific/Tarawa','','7.37'),(2518,'/admin/config/regional/settings?render=overlay','default','Pacific/Tongatapu','','7.37'),(2519,'/admin/config/regional/settings?render=overlay','default','Pacific/Wake','','7.37'),(2520,'/admin/config/regional/settings?render=overlay','default','Pacific/Wallis','','7.37'),(2521,'/admin/config/regional/settings?render=overlay','default','UTC','','7.37'),(2522,'/admin/config/regional/settings?render=overlay','default','Locale','','7.37'),(2523,'/admin/config/regional/settings?render=overlay','default','Default country','','7.37'),(2524,'/admin/config/regional/settings?render=overlay','default','First day of week','','7.37'),(2525,'/admin/config/regional/settings?render=overlay','default','Monday','','7.37'),(2526,'/admin/config/regional/settings?render=overlay','default','Tuesday','','7.37'),(2527,'/admin/config/regional/settings?render=overlay','default','Saturday','','7.37'),(2528,'/admin/config/regional/settings?render=overlay','default','Time zones','','7.37'),(2529,'/admin/config/regional/settings?render=overlay','default','Default time zone','','7.37'),(2530,'/admin/config/regional/settings?render=overlay','default','Users may set their own time zone.','','7.37'),(2531,'/admin/config/regional/settings?render=overlay','default','Remind users at login if their time zone is not set.','','7.37'),(2532,'/admin/config/regional/settings?render=overlay','default','Only applied if users may set their own time zone.','','7.37'),(2533,'/admin/config/regional/settings?render=overlay','default','Time zone for new users','','7.37'),(2534,'/admin/config/regional/settings?render=overlay','default','Default time zone.','','7.37'),(2535,'/admin/config/regional/settings?render=overlay','default','Empty time zone.','','7.37'),(2536,'/admin/config/regional/settings?render=overlay','default','Users may set their own time zone at registration.','','7.37'),(2537,'/photo/contact','default','is','','7.37'),(2538,'/photo/contact','default','is not','','7.37'),(2539,'/photo/contact','default','contains','','7.37'),(2540,'/photo/contact','default','does not contain','','7.37'),(2541,'/photo/contact','default','begins with','','7.37'),(2542,'/photo/contact','default','ends with','','7.37'),(2543,'/photo/contact','default','is blank','','7.37'),(2544,'/photo/contact','default','is not blank','','7.37'),(2545,'/photo/contact','default','is equal to','','7.37'),(2546,'/photo/contact','default','is not equal to','','7.37'),(2547,'/photo/contact','default','is less than','','7.37'),(2548,'/photo/contact','default','is less than or equal','','7.37'),(2549,'/photo/contact','default','is greater than','','7.37'),(2550,'/photo/contact','default','is greater than or equal','','7.37'),(2551,'/photo/contact','default','is before','','7.37'),(2552,'/photo/contact','default','is or is before','','7.37'),(2553,'/photo/contact','default','is after','','7.37'),(2554,'/photo/contact','default','is or is after','','7.37'),(2555,'/photo/contact','default','is empty','','7.37'),(2556,'/photo/contact','default','is not empty','','7.37'),(2557,'/photo/contact','default','is on','','7.37'),(2558,'/photo/contact','default','is not on','','7.37'),(2559,'/photo/contact','default','is on or before','','7.37'),(2560,'/photo/contact','default','is on or after','','7.37'),(2561,'/photo/contact','default','is at','','7.37'),(2562,'/photo/contact','default','is not at','','7.37'),(2563,'/photo/contact','default','is at or before','','7.37'),(2564,'/photo/contact','default','is at or after','','7.37'),(2565,'/photo/contact','default','Gallery masonry','','7.37'),(2566,'modules/dashboard/dashboard.js','default','Done','','none'),(2567,'misc/drupal.js','default','CustomMessage: !customMessage','','none');
/*!40000 ALTER TABLE `locales_source` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `locales_target`
--

DROP TABLE IF EXISTS `locales_target`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locales_target` (
  `lid` int(11) NOT NULL DEFAULT '0' COMMENT 'Source string ID. References locales_source.lid.',
  `translation` blob NOT NULL COMMENT 'Translation string value in this language.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'Language code. References languages.language.',
  `plid` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent lid (lid of the previous string in the plural chain) in case of plural strings. References locales_source.lid.',
  `plural` int(11) NOT NULL DEFAULT '0' COMMENT 'Plural index number in case of plural strings.',
  PRIMARY KEY (`language`,`lid`,`plural`),
  KEY `lid` (`lid`),
  KEY `plid` (`plid`),
  KEY `plural` (`plural`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores translated versions of strings.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `locales_target`
--

LOCK TABLES `locales_target` WRITE;
/*!40000 ALTER TABLE `locales_target` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `locales_target` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_custom`
--

DROP TABLE IF EXISTS `menu_custom`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_custom` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique key for menu. This is used as a block delta so length is 32.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Menu title; displayed at top of block.',
  `description` text COMMENT 'Menu description.',
  PRIMARY KEY (`menu_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds definitions for top-level custom menus (for example...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_custom`
--

LOCK TABLES `menu_custom` WRITE;
/*!40000 ALTER TABLE `menu_custom` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_custom` VALUES ('devel','Development','Development link'),('main-menu','Main menu','The <em>Main</em> menu is used on many sites to show the major sections of the site, often in a top navigation bar.'),('management','Management','The <em>Management</em> menu contains links for administrative tasks.'),('menu-second-menu','Second menu',''),('navigation','Navigation','The <em>Navigation</em> menu contains links intended for site visitors. Links are added to the <em>Navigation</em> menu automatically by some modules.'),('user-menu','User menu','The <em>User</em> menu contains links related to the user\'s account, as well as the \'Log out\' link.');
/*!40000 ALTER TABLE `menu_custom` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_links`
--

DROP TABLE IF EXISTS `menu_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_links` (
  `menu_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The menu name. All links with the same menu name (such as ’navigation’) are part of the same menu.',
  `mlid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The menu link ID (mlid) is the integer primary key.',
  `plid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The parent link ID (plid) is the mlid of the link above in the hierarchy, or zero if the link is at the top level in its menu.',
  `link_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path or external path this link points to.',
  `router_path` varchar(255) NOT NULL DEFAULT '' COMMENT 'For links corresponding to a Drupal path (external = 0), this connects the link to a menu_router.path for joins.',
  `link_title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The text displayed for the link, which may be modified by a title callback stored in menu_router.',
  `options` blob COMMENT 'A serialized array of options to be passed to the url() or l() function, such as a query string or HTML attributes.',
  `module` varchar(255) NOT NULL DEFAULT 'system' COMMENT 'The name of the module that generated this link.',
  `hidden` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag for whether the link should be rendered in menus. (1 = a disabled menu item that may be shown on admin screens, -1 = a menu callback, 0 = a normal, visible link)',
  `external` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate if the link points to a full URL starting with a protocol, like http:// (1 = external, 0 = internal).',
  `has_children` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag indicating whether any links have this link as a parent (1 = children exist, 0 = no children).',
  `expanded` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag for whether this link should be rendered as expanded in menus - expanded links always have their child links displayed, instead of only when the link is in the active trail (1 = expanded, 0 = not expanded)',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Link weight among links in the same menu at the same depth.',
  `depth` smallint(6) NOT NULL DEFAULT '0' COMMENT 'The depth relative to the top level. A link with plid == 0 will have depth == 1.',
  `customized` smallint(6) NOT NULL DEFAULT '0' COMMENT 'A flag to indicate that the user has manually created or edited the link (1 = customized, 0 = not customized).',
  `p1` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The first mlid in the materialized path. If N = depth, then pN must equal the mlid. If depth > 1 then p(N-1) must equal the plid. All pX where X > depth must equal zero. The columns p1 .. p9 are also called the parents.',
  `p2` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The second mlid in the materialized path. See p1.',
  `p3` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The third mlid in the materialized path. See p1.',
  `p4` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fourth mlid in the materialized path. See p1.',
  `p5` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The fifth mlid in the materialized path. See p1.',
  `p6` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The sixth mlid in the materialized path. See p1.',
  `p7` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The seventh mlid in the materialized path. See p1.',
  `p8` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The eighth mlid in the materialized path. See p1.',
  `p9` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The ninth mlid in the materialized path. See p1.',
  `updated` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Flag that indicates that this link was generated during the update from Drupal 5.',
  PRIMARY KEY (`mlid`),
  KEY `path_menu` (`link_path`(128),`menu_name`),
  KEY `menu_plid_expand_child` (`menu_name`,`plid`,`expanded`,`has_children`),
  KEY `menu_parents` (`menu_name`,`p1`,`p2`,`p3`,`p4`,`p5`,`p6`,`p7`,`p8`,`p9`),
  KEY `router_path` (`router_path`(128))
) ENGINE=InnoDB AUTO_INCREMENT=669 DEFAULT CHARSET=utf8 COMMENT='Contains the individual links within a menu.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_links`
--

LOCK TABLES `menu_links` WRITE;
/*!40000 ALTER TABLE `menu_links` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_links` VALUES ('management',1,0,'admin','admin','Administration','a:0:{}','system',0,0,1,0,9,1,0,1,0,0,0,0,0,0,0,0,0),('user-menu',2,0,'user','user','User account','a:1:{s:5:\"alter\";b:1;}','system',0,0,0,0,-10,1,0,2,0,0,0,0,0,0,0,0,0),('navigation',3,0,'filter/tips','filter/tips','Compose tips','a:0:{}','system',1,0,1,0,0,1,0,3,0,0,0,0,0,0,0,0,0),('navigation',4,0,'node/%','node/%','','a:0:{}','system',0,0,0,0,0,1,0,4,0,0,0,0,0,0,0,0,0),('navigation',5,0,'node/add','node/add','Add content','a:0:{}','system',0,0,1,0,0,1,0,5,0,0,0,0,0,0,0,0,0),('management',6,1,'admin/appearance','admin/appearance','Appearance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Select and configure your themes.\";}}','system',0,0,0,0,-6,2,0,1,6,0,0,0,0,0,0,0,0),('management',7,1,'admin/config','admin/config','Configuration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:20:\"Administer settings.\";}}','system',0,0,1,0,0,2,0,1,7,0,0,0,0,0,0,0,0),('management',8,1,'admin/content','admin/content','Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Administer content and comments.\";}}','system',0,0,1,0,-10,2,0,1,8,0,0,0,0,0,0,0,0),('user-menu',9,2,'user/register','user/register','Create new account','a:0:{}','system',-1,0,0,0,0,2,0,2,9,0,0,0,0,0,0,0,0),('management',10,1,'admin/index','admin/index','Index','a:0:{}','system',-1,0,0,0,-18,2,0,1,10,0,0,0,0,0,0,0,0),('user-menu',11,2,'user/login','user/login','Log in','a:0:{}','system',-1,0,0,0,0,2,0,2,11,0,0,0,0,0,0,0,0),('user-menu',12,0,'user/logout','user/logout','Log out','a:0:{}','system',0,0,0,0,10,1,0,12,0,0,0,0,0,0,0,0,0),('management',13,1,'admin/modules','admin/modules','Modules','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Extend site functionality.\";}}','system',0,0,0,0,-2,2,0,1,13,0,0,0,0,0,0,0,0),('navigation',14,0,'user/%','user/%','My account','a:0:{}','system',0,0,1,0,0,1,0,14,0,0,0,0,0,0,0,0,0),('management',15,1,'admin/people','admin/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Manage user accounts, roles, and permissions.\";}}','system',0,0,0,0,-4,2,0,1,15,0,0,0,0,0,0,0,0),('management',16,1,'admin/reports','admin/reports','Reports','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View reports, updates, and errors.\";}}','system',0,0,1,0,5,2,0,1,16,0,0,0,0,0,0,0,0),('user-menu',17,2,'user/password','user/password','Request new password','a:0:{}','system',-1,0,0,0,0,2,0,2,17,0,0,0,0,0,0,0,0),('management',18,1,'admin/structure','admin/structure','Structure','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Administer blocks, content types, menus, etc.\";}}','system',0,0,1,0,-8,2,0,1,18,0,0,0,0,0,0,0,0),('management',19,1,'admin/tasks','admin/tasks','Tasks','a:0:{}','system',-1,0,0,0,-20,2,0,1,19,0,0,0,0,0,0,0,0),('management',20,15,'admin/people/create','admin/people/create','Add user','a:0:{}','system',-1,0,0,0,0,3,0,1,15,20,0,0,0,0,0,0,0),('management',21,18,'admin/structure/block','admin/structure/block','Blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:79:\"Configure what block content appears in your site\'s sidebars and other regions.\";}}','system',0,0,1,0,0,3,0,1,18,21,0,0,0,0,0,0,0),('navigation',22,14,'user/%/cancel','user/%/cancel','Cancel account','a:0:{}','system',0,0,1,0,0,2,0,14,22,0,0,0,0,0,0,0,0),('management',23,8,'admin/content/node','admin/content/node','Content','a:0:{}','system',-1,0,0,0,-10,3,0,1,8,23,0,0,0,0,0,0,0),('management',24,7,'admin/config/content','admin/config/content','Content authoring','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Settings related to formatting and authoring content.\";}}','system',0,0,1,0,-15,3,0,1,7,24,0,0,0,0,0,0,0),('management',25,18,'admin/structure/types','admin/structure/types','Content types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:92:\"Manage content types, including default status, front page promotion, comment settings, etc.\";}}','system',0,0,1,0,0,3,0,1,18,25,0,0,0,0,0,0,0),('navigation',26,4,'node/%/delete','node/%/delete','Delete','a:0:{}','system',-1,0,0,0,1,2,0,4,26,0,0,0,0,0,0,0,0),('management',27,7,'admin/config/development','admin/config/development','Development','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Development tools.\";}}','system',0,0,1,0,-10,3,0,1,7,27,0,0,0,0,0,0,0),('navigation',28,14,'user/%/edit','user/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,14,28,0,0,0,0,0,0,0,0),('navigation',29,4,'node/%/edit','node/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,4,29,0,0,0,0,0,0,0,0),('management',30,13,'admin/modules/list','admin/modules/list','List','a:0:{}','system',-1,0,0,0,0,3,0,1,13,30,0,0,0,0,0,0,0),('management',31,15,'admin/people/people','admin/people/people','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Find and manage people interacting with your site.\";}}','system',-1,0,0,0,-10,3,0,1,15,31,0,0,0,0,0,0,0),('management',32,6,'admin/appearance/list','admin/appearance/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Select and configure your theme\";}}','system',-1,0,0,0,-1,3,0,1,6,32,0,0,0,0,0,0,0),('management',33,7,'admin/config/media','admin/config/media','Media','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:12:\"Media tools.\";}}','system',0,0,1,0,-10,3,0,1,7,33,0,0,0,0,0,0,0),('management',34,18,'admin/structure/menu','admin/structure/menu','Menus','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:86:\"Add new menus to your site, edit existing menus, and rename and reorganize menu links.\";}}','system',0,0,1,0,0,3,0,1,18,34,0,0,0,0,0,0,0),('management',35,7,'admin/config/people','admin/config/people','People','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:24:\"Configure user accounts.\";}}','system',0,0,1,0,-20,3,0,1,7,35,0,0,0,0,0,0,0),('management',36,15,'admin/people/permissions','admin/people/permissions','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,0,3,0,1,15,36,0,0,0,0,0,0,0),('management',37,7,'admin/config/regional','admin/config/regional','Regional and language','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Regional settings, localization and translation.\";}}','system',0,0,1,0,-5,3,0,1,7,37,0,0,0,0,0,0,0),('navigation',38,4,'node/%/revisions','node/%/revisions','Revisions','a:0:{}','system',-1,0,1,0,2,2,0,4,38,0,0,0,0,0,0,0,0),('management',39,7,'admin/config/search','admin/config/search','Search and metadata','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Local site search, metadata and SEO.\";}}','system',0,0,1,0,-10,3,0,1,7,39,0,0,0,0,0,0,0),('management',40,6,'admin/appearance/settings','admin/appearance/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure default and theme specific settings.\";}}','system',-1,0,0,0,20,3,0,1,6,40,0,0,0,0,0,0,0),('management',41,16,'admin/reports/status','admin/reports/status','Status report','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Get a status report about your site\'s operation and any detected problems.\";}}','system',0,0,0,0,-60,3,0,1,16,41,0,0,0,0,0,0,0),('management',42,7,'admin/config/system','admin/config/system','System','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"General system related configuration.\";}}','system',0,0,1,0,-20,3,0,1,7,42,0,0,0,0,0,0,0),('management',43,13,'admin/modules/uninstall','admin/modules/uninstall','Uninstall','a:0:{}','system',-1,0,0,0,20,3,0,1,13,43,0,0,0,0,0,0,0),('management',44,7,'admin/config/user-interface','admin/config/user-interface','User interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Tools that enhance the user interface.\";}}','system',0,0,1,0,-15,3,0,1,7,44,0,0,0,0,0,0,0),('navigation',45,4,'node/%/view','node/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,4,45,0,0,0,0,0,0,0,0),('navigation',46,14,'user/%/view','user/%/view','View','a:0:{}','system',-1,0,0,0,-10,2,0,14,46,0,0,0,0,0,0,0,0),('management',47,7,'admin/config/services','admin/config/services','Web services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Tools related to web services.\";}}','system',0,0,1,0,0,3,0,1,7,47,0,0,0,0,0,0,0),('management',48,7,'admin/config/workflow','admin/config/workflow','Workflow','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Content workflow, editorial workflow tools.\";}}','system',0,0,0,0,5,3,0,1,7,48,0,0,0,0,0,0,0),('management',49,35,'admin/config/people/accounts','admin/config/people/accounts','Account settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:109:\"Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.\";}}','system',0,0,0,0,-10,4,0,1,7,35,49,0,0,0,0,0,0),('management',50,42,'admin/config/system/actions','admin/config/system/actions','Actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',0,0,1,0,0,4,0,1,7,42,50,0,0,0,0,0,0),('management',51,21,'admin/structure/block/add','admin/structure/block/add','Add block','a:0:{}','system',-1,0,0,0,0,4,0,1,18,21,51,0,0,0,0,0,0),('management',52,25,'admin/structure/types/add','admin/structure/types/add','Add content type','a:0:{}','system',-1,0,0,0,0,4,0,1,18,25,52,0,0,0,0,0,0),('management',53,34,'admin/structure/menu/add','admin/structure/menu/add','Add menu','a:0:{}','system',-1,0,0,0,0,4,0,1,18,34,53,0,0,0,0,0,0),('management',54,40,'admin/appearance/settings/bartik','admin/appearance/settings/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,6,40,54,0,0,0,0,0,0),('management',55,39,'admin/config/search/clean-urls','admin/config/search/clean-urls','Clean URLs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Enable or disable clean URLs for your site.\";}}','system',0,0,0,0,5,4,0,1,7,39,55,0,0,0,0,0,0),('management',56,42,'admin/config/system/cron','admin/config/system/cron','Cron','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:40:\"Manage automatic site maintenance tasks.\";}}','system',0,0,0,0,20,4,0,1,7,42,56,0,0,0,0,0,0),('management',57,37,'admin/config/regional/date-time','admin/config/regional/date-time','Date and time','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',0,0,0,0,-15,4,0,1,7,37,57,0,0,0,0,0,0),('management',58,33,'admin/config/media/file-system','admin/config/media/file-system','File system','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:68:\"Tell Drupal where to store uploaded files and how they are accessed.\";}}','system',0,0,0,0,-10,4,0,1,7,33,58,0,0,0,0,0,0),('management',59,40,'admin/appearance/settings/garland','admin/appearance/settings/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,6,40,59,0,0,0,0,0,0),('management',60,40,'admin/appearance/settings/global','admin/appearance/settings/global','Global settings','a:0:{}','system',-1,0,0,0,-1,4,0,1,6,40,60,0,0,0,0,0,0),('management',61,35,'admin/config/people/ip-blocking','admin/config/people/ip-blocking','IP address blocking','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Manage blocked IP addresses.\";}}','system',0,0,1,0,10,4,0,1,7,35,61,0,0,0,0,0,0),('management',62,33,'admin/config/media/image-toolkit','admin/config/media/image-toolkit','Image toolkit','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Choose which image toolkit to use if you have installed optional toolkits.\";}}','system',0,0,0,0,20,4,0,1,7,33,62,0,0,0,0,0,0),('management',63,30,'admin/modules/list/confirm','admin/modules/list/confirm','List','a:0:{}','system',-1,0,0,0,0,4,0,1,13,30,63,0,0,0,0,0,0),('management',64,25,'admin/structure/types/list','admin/structure/types/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,18,25,64,0,0,0,0,0,0),('management',65,34,'admin/structure/menu/list','admin/structure/menu/list','List menus','a:0:{}','system',-1,0,0,0,-10,4,0,1,18,34,65,0,0,0,0,0,0),('management',66,27,'admin/config/development/logging','admin/config/development/logging','Logging and errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:154:\"Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.\";}}','system',0,0,0,0,-15,4,0,1,7,27,66,0,0,0,0,0,0),('management',67,27,'admin/config/development/maintenance','admin/config/development/maintenance','Maintenance mode','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:62:\"Take the site offline for maintenance or bring it back online.\";}}','system',0,0,0,0,-10,4,0,1,7,27,67,0,0,0,0,0,0),('management',69,27,'admin/config/development/performance','admin/config/development/performance','Performance','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:101:\"Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.\";}}','system',0,0,0,0,-20,4,0,1,7,27,69,0,0,0,0,0,0),('management',70,36,'admin/people/permissions/list','admin/people/permissions/list','Permissions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:64:\"Determine access to features by selecting permissions for roles.\";}}','system',-1,0,0,0,-8,4,0,1,15,36,70,0,0,0,0,0,0),('management',71,47,'admin/config/services/rss-publishing','admin/config/services/rss-publishing','RSS publishing','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:114:\"Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.\";}}','system',0,0,0,0,0,4,0,1,7,47,71,0,0,0,0,0,0),('management',72,37,'admin/config/regional/settings','admin/config/regional/settings','Regional settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"Settings for the site\'s default time zone and country.\";}}','system',0,0,0,0,-20,4,0,1,7,37,72,0,0,0,0,0,0),('management',73,36,'admin/people/permissions/roles','admin/people/permissions/roles','Roles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"List, edit, or add user roles.\";}}','system',-1,0,1,0,-5,4,0,1,15,36,73,0,0,0,0,0,0),('management',74,34,'admin/structure/menu/settings','admin/structure/menu/settings','Settings','a:0:{}','system',-1,0,0,0,5,4,0,1,18,34,74,0,0,0,0,0,0),('management',75,40,'admin/appearance/settings/seven','admin/appearance/settings/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,6,40,75,0,0,0,0,0,0),('management',76,42,'admin/config/system/site-information','admin/config/system/site-information','Site information','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:104:\"Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.\";}}','system',0,0,0,0,-20,4,0,1,7,42,76,0,0,0,0,0,0),('management',77,40,'admin/appearance/settings/stark','admin/appearance/settings/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,6,40,77,0,0,0,0,0,0),('management',78,24,'admin/config/content/formats','admin/config/content/formats','Text formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:127:\"Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.\";}}','system',0,0,1,0,0,4,0,1,7,24,78,0,0,0,0,0,0),('management',79,43,'admin/modules/uninstall/confirm','admin/modules/uninstall/confirm','Uninstall','a:0:{}','system',-1,0,0,0,0,4,0,1,13,43,79,0,0,0,0,0,0),('navigation',80,28,'user/%/edit/account','user/%/edit/account','Account','a:0:{}','system',-1,0,0,0,0,3,0,14,28,80,0,0,0,0,0,0,0),('management',81,78,'admin/config/content/formats/%','admin/config/content/formats/%','','a:0:{}','system',0,0,1,0,0,5,0,1,7,24,78,81,0,0,0,0,0),('management',82,78,'admin/config/content/formats/add','admin/config/content/formats/add','Add text format','a:0:{}','system',-1,0,0,0,1,5,0,1,7,24,78,82,0,0,0,0,0),('management',83,21,'admin/structure/block/list/bartik','admin/structure/block/list/bartik','Bartik','a:0:{}','system',-1,0,0,0,0,4,0,1,18,21,83,0,0,0,0,0,0),('management',84,50,'admin/config/system/actions/configure','admin/config/system/actions/configure','Configure an advanced action','a:0:{}','system',-1,0,0,0,0,5,0,1,7,42,50,84,0,0,0,0,0),('management',85,34,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Customize menu','a:0:{}','system',0,0,1,0,0,4,0,1,18,34,85,0,0,0,0,0,0),('management',86,25,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit content type','a:0:{}','system',0,0,1,0,0,4,0,1,18,25,86,0,0,0,0,0,0),('management',87,57,'admin/config/regional/date-time/formats','admin/config/regional/date-time/formats','Formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:51:\"Configure display format strings for date and time.\";}}','system',-1,0,1,0,-9,5,0,1,7,37,57,87,0,0,0,0,0),('management',88,21,'admin/structure/block/list/garland','admin/structure/block/list/garland','Garland','a:0:{}','system',-1,0,0,0,0,4,0,1,18,21,88,0,0,0,0,0,0),('management',89,78,'admin/config/content/formats/list','admin/config/content/formats/list','List','a:0:{}','system',-1,0,0,0,0,5,0,1,7,24,78,89,0,0,0,0,0),('management',90,50,'admin/config/system/actions/manage','admin/config/system/actions/manage','Manage actions','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:41:\"Manage the actions defined for your site.\";}}','system',-1,0,0,0,-2,5,0,1,7,42,50,90,0,0,0,0,0),('management',92,49,'admin/config/people/accounts/settings','admin/config/people/accounts/settings','Settings','a:0:{}','system',-1,0,0,0,-10,5,0,1,7,35,49,92,0,0,0,0,0),('management',93,21,'admin/structure/block/list/seven','admin/structure/block/list/seven','Seven','a:0:{}','system',-1,0,0,0,0,4,0,1,18,21,93,0,0,0,0,0,0),('management',94,21,'admin/structure/block/list/stark','admin/structure/block/list/stark','Stark','a:0:{}','system',-1,0,0,0,0,4,0,1,18,21,94,0,0,0,0,0,0),('management',95,57,'admin/config/regional/date-time/types','admin/config/regional/date-time/types','Types','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:44:\"Configure display formats for date and time.\";}}','system',-1,0,1,0,-10,5,0,1,7,37,57,95,0,0,0,0,0),('navigation',96,38,'node/%/revisions/%/delete','node/%/revisions/%/delete','Delete earlier revision','a:0:{}','system',0,0,0,0,0,3,0,4,38,96,0,0,0,0,0,0,0),('navigation',97,38,'node/%/revisions/%/revert','node/%/revisions/%/revert','Revert to earlier revision','a:0:{}','system',0,0,0,0,0,3,0,4,38,97,0,0,0,0,0,0,0),('navigation',98,38,'node/%/revisions/%/view','node/%/revisions/%/view','Revisions','a:0:{}','system',0,0,0,0,0,3,0,4,38,98,0,0,0,0,0,0,0),('management',99,88,'admin/structure/block/list/garland/add','admin/structure/block/list/garland/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,18,21,88,99,0,0,0,0,0),('management',101,93,'admin/structure/block/list/seven/add','admin/structure/block/list/seven/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,18,21,93,101,0,0,0,0,0),('management',102,94,'admin/structure/block/list/stark/add','admin/structure/block/list/stark/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,18,21,94,102,0,0,0,0,0),('management',103,95,'admin/config/regional/date-time/types/add','admin/config/regional/date-time/types/add','Add date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:18:\"Add new date type.\";}}','system',-1,0,0,0,-10,6,0,1,7,37,57,95,103,0,0,0,0),('management',104,87,'admin/config/regional/date-time/formats/add','admin/config/regional/date-time/formats/add','Add format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"Allow users to add additional date formats.\";}}','system',-1,0,0,0,-10,6,0,1,7,37,57,87,104,0,0,0,0),('management',105,85,'admin/structure/menu/manage/%/add','admin/structure/menu/manage/%/add','Add link','a:0:{}','system',-1,0,0,0,0,5,0,1,18,34,85,105,0,0,0,0,0),('management',106,21,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','a:0:{}','system',0,0,0,0,0,4,0,1,18,21,106,0,0,0,0,0,0),('navigation',107,22,'user/%/cancel/confirm/%/%','user/%/cancel/confirm/%/%','Confirm account cancellation','a:0:{}','system',0,0,0,0,0,3,0,14,22,107,0,0,0,0,0,0,0),('management',108,86,'admin/structure/types/manage/%/delete','admin/structure/types/manage/%/delete','Delete','a:0:{}','system',0,0,0,0,0,5,0,1,18,25,86,108,0,0,0,0,0),('management',109,61,'admin/config/people/ip-blocking/delete/%','admin/config/people/ip-blocking/delete/%','Delete IP address','a:0:{}','system',0,0,0,0,0,5,0,1,7,35,61,109,0,0,0,0,0),('management',110,50,'admin/config/system/actions/delete/%','admin/config/system/actions/delete/%','Delete action','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:17:\"Delete an action.\";}}','system',0,0,0,0,0,5,0,1,7,42,50,110,0,0,0,0,0),('management',111,85,'admin/structure/menu/manage/%/delete','admin/structure/menu/manage/%/delete','Delete menu','a:0:{}','system',0,0,0,0,0,5,0,1,18,34,85,111,0,0,0,0,0),('management',112,34,'admin/structure/menu/item/%/delete','admin/structure/menu/item/%/delete','Delete menu link','a:0:{}','system',0,0,0,0,0,4,0,1,18,34,112,0,0,0,0,0,0),('management',113,73,'admin/people/permissions/roles/delete/%','admin/people/permissions/roles/delete/%','Delete role','a:0:{}','system',0,0,0,0,0,5,0,1,15,36,73,113,0,0,0,0,0),('management',114,81,'admin/config/content/formats/%/disable','admin/config/content/formats/%/disable','Disable text format','a:0:{}','system',0,0,0,0,0,6,0,1,7,24,78,81,114,0,0,0,0),('management',115,86,'admin/structure/types/manage/%/edit','admin/structure/types/manage/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,5,0,1,18,25,86,115,0,0,0,0,0),('management',116,85,'admin/structure/menu/manage/%/edit','admin/structure/menu/manage/%/edit','Edit menu','a:0:{}','system',-1,0,0,0,0,5,0,1,18,34,85,116,0,0,0,0,0),('management',117,34,'admin/structure/menu/item/%/edit','admin/structure/menu/item/%/edit','Edit menu link','a:0:{}','system',0,0,0,0,0,4,0,1,18,34,117,0,0,0,0,0,0),('management',118,73,'admin/people/permissions/roles/edit/%','admin/people/permissions/roles/edit/%','Edit role','a:0:{}','system',0,0,0,0,0,5,0,1,15,36,73,118,0,0,0,0,0),('management',119,85,'admin/structure/menu/manage/%/list','admin/structure/menu/manage/%/list','List links','a:0:{}','system',-1,0,0,0,-10,5,0,1,18,34,85,119,0,0,0,0,0),('management',120,34,'admin/structure/menu/item/%/reset','admin/structure/menu/item/%/reset','Reset menu link','a:0:{}','system',0,0,0,0,0,4,0,1,18,34,120,0,0,0,0,0,0),('management',121,106,'admin/structure/block/manage/%/%/configure','admin/structure/block/manage/%/%/configure','Configure block','a:0:{}','system',-1,0,0,0,0,5,0,1,18,21,106,121,0,0,0,0,0),('management',122,106,'admin/structure/block/manage/%/%/delete','admin/structure/block/manage/%/%/delete','Delete block','a:0:{}','system',-1,0,0,0,0,5,0,1,18,21,106,122,0,0,0,0,0),('management',123,87,'admin/config/regional/date-time/formats/%/delete','admin/config/regional/date-time/formats/%/delete','Delete date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Allow users to delete a configured date format.\";}}','system',0,0,0,0,0,6,0,1,7,37,57,87,123,0,0,0,0),('management',124,95,'admin/config/regional/date-time/types/%/delete','admin/config/regional/date-time/types/%/delete','Delete date type','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to delete a configured date type.\";}}','system',0,0,0,0,0,6,0,1,7,37,57,95,124,0,0,0,0),('management',125,87,'admin/config/regional/date-time/formats/%/edit','admin/config/regional/date-time/formats/%/edit','Edit date format','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:45:\"Allow users to edit a configured date format.\";}}','system',0,0,0,0,0,6,0,1,7,37,57,87,125,0,0,0,0),('management',126,34,'admin/structure/menu/manage/main-menu','admin/structure/menu/manage/%','Main menu','a:0:{}','menu',0,0,0,0,0,4,0,1,18,34,126,0,0,0,0,0,0),('management',127,34,'admin/structure/menu/manage/management','admin/structure/menu/manage/%','Management','a:0:{}','menu',0,0,0,0,0,4,0,1,18,34,127,0,0,0,0,0,0),('management',128,34,'admin/structure/menu/manage/navigation','admin/structure/menu/manage/%','Navigation','a:0:{}','menu',0,0,0,0,0,4,0,1,18,34,128,0,0,0,0,0,0),('management',129,34,'admin/structure/menu/manage/user-menu','admin/structure/menu/manage/%','User menu','a:0:{}','menu',0,0,0,0,0,4,0,1,18,34,129,0,0,0,0,0,0),('navigation',130,0,'search','search','Search','a:0:{}','system',1,0,0,0,0,1,0,130,0,0,0,0,0,0,0,0,0),('navigation',131,0,'comment/%','comment/%','Comment permalink','a:0:{}','system',0,0,1,0,0,1,0,131,0,0,0,0,0,0,0,0,0),('navigation',132,130,'search/node','search/node','Content','a:0:{}','system',-1,0,0,0,-10,2,0,130,132,0,0,0,0,0,0,0,0),('navigation',133,130,'search/user','search/user','Users','a:0:{}','system',-1,0,0,0,0,2,0,130,133,0,0,0,0,0,0,0,0),('management',134,1,'admin/dashboard','admin/dashboard','Dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:34:\"View and customize your dashboard.\";}}','system',0,0,0,0,-15,2,0,1,134,0,0,0,0,0,0,0,0),('management',135,1,'admin/help','admin/help','Help','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"Reference for usage, configuration, and modules.\";}}','system',0,0,0,0,9,2,0,1,135,0,0,0,0,0,0,0,0),('navigation',136,0,'comment/reply/%','comment/reply/%','Add new comment','a:0:{}','system',0,0,0,0,0,1,0,136,0,0,0,0,0,0,0,0,0),('navigation',137,131,'comment/%/approve','comment/%/approve','Approve','a:0:{}','system',0,0,0,0,1,2,0,131,137,0,0,0,0,0,0,0,0),('navigation',138,131,'comment/%/delete','comment/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,131,138,0,0,0,0,0,0,0,0),('navigation',139,131,'comment/%/edit','comment/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,2,0,131,139,0,0,0,0,0,0,0,0),('navigation',140,0,'taxonomy/term/%','taxonomy/term/%','Taxonomy term','a:0:{}','system',0,0,0,0,0,1,0,140,0,0,0,0,0,0,0,0,0),('navigation',141,131,'comment/%/view','comment/%/view','View comment','a:0:{}','system',-1,0,0,0,-10,2,0,131,141,0,0,0,0,0,0,0,0),('management',142,8,'admin/content/comment','admin/content/comment','Comments','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"List and edit site comments and the comment approval queue.\";}}','system',0,0,0,0,0,3,0,1,8,142,0,0,0,0,0,0,0),('management',143,134,'admin/dashboard/configure','admin/dashboard/configure','Configure available dashboard blocks','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:53:\"Configure which blocks can be shown on the dashboard.\";}}','system',-1,0,0,0,0,3,0,1,134,143,0,0,0,0,0,0,0),('navigation',144,132,'search/node/%','search/node/%','Content','a:0:{}','system',-1,0,0,0,0,3,0,130,132,144,0,0,0,0,0,0,0),('management',145,134,'admin/dashboard/customize','admin/dashboard/customize','Customize dashboard','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Customize your dashboard.\";}}','system',-1,0,0,0,0,3,0,1,134,145,0,0,0,0,0,0,0),('management',146,16,'admin/reports/fields','admin/reports/fields','Field list','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Overview of fields on all entity types.\";}}','system',0,0,0,0,0,3,0,1,16,146,0,0,0,0,0,0,0),('management',147,16,'admin/reports/dblog','admin/reports/dblog','Recent log messages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"View events that have recently been logged.\";}}','system',0,0,0,0,-1,3,0,1,16,147,0,0,0,0,0,0,0),('navigation',148,14,'user/%/shortcuts','user/%/shortcuts','Shortcuts','a:0:{}','system',-1,0,0,0,0,2,0,14,148,0,0,0,0,0,0,0,0),('management',149,18,'admin/structure/taxonomy','admin/structure/taxonomy','Taxonomy','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Manage tagging, categorization, and classification of your content.\";}}','system',0,0,1,0,0,3,0,1,18,149,0,0,0,0,0,0,0),('management',150,16,'admin/reports/access-denied','admin/reports/access-denied','Top \'access denied\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"View \'access denied\' errors (403s).\";}}','system',0,0,0,0,0,3,0,1,16,150,0,0,0,0,0,0,0),('management',151,16,'admin/reports/page-not-found','admin/reports/page-not-found','Top \'page not found\' errors','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"View \'page not found\' errors (404s).\";}}','system',0,0,0,0,0,3,0,1,16,151,0,0,0,0,0,0,0),('management',152,16,'admin/reports/search','admin/reports/search','Top search phrases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"View most popular search phrases.\";}}','system',0,0,0,0,0,3,0,1,16,152,0,0,0,0,0,0,0),('navigation',153,133,'search/user/%','search/user/%','Users','a:0:{}','system',-1,0,0,0,0,3,0,130,133,153,0,0,0,0,0,0,0),('management',154,135,'admin/help/block','admin/help/block','block','a:0:{}','system',-1,0,0,0,0,3,0,1,135,154,0,0,0,0,0,0,0),('management',155,135,'admin/help/color','admin/help/color','color','a:0:{}','system',-1,0,0,0,0,3,0,1,135,155,0,0,0,0,0,0,0),('management',156,135,'admin/help/comment','admin/help/comment','comment','a:0:{}','system',-1,0,0,0,0,3,0,1,135,156,0,0,0,0,0,0,0),('management',157,135,'admin/help/contextual','admin/help/contextual','contextual','a:0:{}','system',-1,0,0,0,0,3,0,1,135,157,0,0,0,0,0,0,0),('management',158,135,'admin/help/dashboard','admin/help/dashboard','dashboard','a:0:{}','system',-1,0,0,0,0,3,0,1,135,158,0,0,0,0,0,0,0),('management',159,135,'admin/help/dblog','admin/help/dblog','dblog','a:0:{}','system',-1,0,0,0,0,3,0,1,135,159,0,0,0,0,0,0,0),('management',160,135,'admin/help/field','admin/help/field','field','a:0:{}','system',-1,0,0,0,0,3,0,1,135,160,0,0,0,0,0,0,0),('management',161,135,'admin/help/field_sql_storage','admin/help/field_sql_storage','field_sql_storage','a:0:{}','system',-1,0,0,0,0,3,0,1,135,161,0,0,0,0,0,0,0),('management',162,135,'admin/help/field_ui','admin/help/field_ui','field_ui','a:0:{}','system',-1,0,0,0,0,3,0,1,135,162,0,0,0,0,0,0,0),('management',163,135,'admin/help/file','admin/help/file','file','a:0:{}','system',-1,0,0,0,0,3,0,1,135,163,0,0,0,0,0,0,0),('management',164,135,'admin/help/filter','admin/help/filter','filter','a:0:{}','system',-1,0,0,0,0,3,0,1,135,164,0,0,0,0,0,0,0),('management',165,135,'admin/help/help','admin/help/help','help','a:0:{}','system',-1,0,0,0,0,3,0,1,135,165,0,0,0,0,0,0,0),('management',166,135,'admin/help/image','admin/help/image','image','a:0:{}','system',-1,0,0,0,0,3,0,1,135,166,0,0,0,0,0,0,0),('management',167,135,'admin/help/list','admin/help/list','list','a:0:{}','system',-1,0,0,0,0,3,0,1,135,167,0,0,0,0,0,0,0),('management',168,135,'admin/help/menu','admin/help/menu','menu','a:0:{}','system',-1,0,0,0,0,3,0,1,135,168,0,0,0,0,0,0,0),('management',169,135,'admin/help/node','admin/help/node','node','a:0:{}','system',-1,0,0,0,0,3,0,1,135,169,0,0,0,0,0,0,0),('management',170,135,'admin/help/number','admin/help/number','number','a:0:{}','system',-1,0,0,0,0,3,0,1,135,170,0,0,0,0,0,0,0),('management',171,135,'admin/help/options','admin/help/options','options','a:0:{}','system',-1,0,0,0,0,3,0,1,135,171,0,0,0,0,0,0,0),('management',172,135,'admin/help/overlay','admin/help/overlay','overlay','a:0:{}','system',-1,0,0,0,0,3,0,1,135,172,0,0,0,0,0,0,0),('management',173,135,'admin/help/path','admin/help/path','path','a:0:{}','system',-1,0,0,0,0,3,0,1,135,173,0,0,0,0,0,0,0),('management',174,135,'admin/help/rdf','admin/help/rdf','rdf','a:0:{}','system',-1,0,0,0,0,3,0,1,135,174,0,0,0,0,0,0,0),('management',175,135,'admin/help/search','admin/help/search','search','a:0:{}','system',-1,0,0,0,0,3,0,1,135,175,0,0,0,0,0,0,0),('management',176,135,'admin/help/shortcut','admin/help/shortcut','shortcut','a:0:{}','system',-1,0,0,0,0,3,0,1,135,176,0,0,0,0,0,0,0),('management',177,135,'admin/help/system','admin/help/system','system','a:0:{}','system',-1,0,0,0,0,3,0,1,135,177,0,0,0,0,0,0,0),('management',178,135,'admin/help/taxonomy','admin/help/taxonomy','taxonomy','a:0:{}','system',-1,0,0,0,0,3,0,1,135,178,0,0,0,0,0,0,0),('management',179,135,'admin/help/text','admin/help/text','text','a:0:{}','system',-1,0,0,0,0,3,0,1,135,179,0,0,0,0,0,0,0),('management',180,135,'admin/help/user','admin/help/user','user','a:0:{}','system',-1,0,0,0,0,3,0,1,135,180,0,0,0,0,0,0,0),('navigation',181,140,'taxonomy/term/%/edit','taxonomy/term/%/edit','Edit','a:0:{}','system',-1,0,0,0,10,2,0,140,181,0,0,0,0,0,0,0,0),('navigation',182,140,'taxonomy/term/%/view','taxonomy/term/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,140,182,0,0,0,0,0,0,0,0),('management',183,149,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','','a:0:{}','system',0,0,1,0,0,4,0,1,18,149,183,0,0,0,0,0,0),('management',184,149,'admin/structure/taxonomy/add','admin/structure/taxonomy/add','Add vocabulary','a:0:{}','system',-1,0,0,0,0,4,0,1,18,149,184,0,0,0,0,0,0),('management',185,16,'admin/reports/event/%','admin/reports/event/%','Details','a:0:{}','system',0,0,0,0,0,3,0,1,16,185,0,0,0,0,0,0,0),('management',186,33,'admin/config/media/image-styles','admin/config/media/image-styles','Image styles','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:78:\"Configure styles that can be used for resizing or adjusting images on display.\";}}','system',0,0,1,0,0,4,0,1,7,33,186,0,0,0,0,0,0),('management',187,149,'admin/structure/taxonomy/list','admin/structure/taxonomy/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,18,149,187,0,0,0,0,0,0),('management',188,142,'admin/content/comment/new','admin/content/comment/new','Published comments','a:0:{}','system',-1,0,0,0,-10,4,0,1,8,142,188,0,0,0,0,0,0),('management',189,39,'admin/config/search/settings','admin/config/search/settings','Search settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:67:\"Configure relevance settings for search and other indexing options.\";}}','system',0,0,0,0,-10,4,0,1,7,39,189,0,0,0,0,0,0),('management',190,44,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Shortcuts','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:29:\"Add and modify shortcut sets.\";}}','system',0,0,1,0,0,4,0,1,7,44,190,0,0,0,0,0,0),('management',191,39,'admin/config/search/path','admin/config/search/path','URL aliases','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Change your site\'s URL paths by aliasing them.\";}}','system',0,0,1,0,-5,4,0,1,7,39,191,0,0,0,0,0,0),('management',192,142,'admin/content/comment/approval','admin/content/comment/approval','Unapproved comments','a:0:{}','system',-1,0,0,0,0,4,0,1,8,142,192,0,0,0,0,0,0),('management',193,191,'admin/config/search/path/add','admin/config/search/path/add','Add alias','a:0:{}','system',-1,0,0,0,0,5,0,1,7,39,191,193,0,0,0,0,0),('management',194,190,'admin/config/user-interface/shortcut/add-set','admin/config/user-interface/shortcut/add-set','Add shortcut set','a:0:{}','system',-1,0,0,0,0,5,0,1,7,44,190,194,0,0,0,0,0),('management',195,186,'admin/config/media/image-styles/add','admin/config/media/image-styles/add','Add style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Add a new image style.\";}}','system',-1,0,0,0,2,5,0,1,7,33,186,195,0,0,0,0,0),('management',196,183,'admin/structure/taxonomy/%/add','admin/structure/taxonomy/%/add','Add term','a:0:{}','system',-1,0,0,0,0,5,0,1,18,149,183,196,0,0,0,0,0),('management',197,189,'admin/config/search/settings/reindex','admin/config/search/settings/reindex','Clear index','a:0:{}','system',-1,0,0,0,0,5,0,1,7,39,189,197,0,0,0,0,0),('management',198,183,'admin/structure/taxonomy/%/edit','admin/structure/taxonomy/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,5,0,1,18,149,183,198,0,0,0,0,0),('management',199,190,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit shortcuts','a:0:{}','system',0,0,1,0,0,5,0,1,7,44,190,199,0,0,0,0,0),('management',200,183,'admin/structure/taxonomy/%/list','admin/structure/taxonomy/%/list','List','a:0:{}','system',-1,0,0,0,-20,5,0,1,18,149,183,200,0,0,0,0,0),('management',201,191,'admin/config/search/path/list','admin/config/search/path/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,1,7,39,191,201,0,0,0,0,0),('management',202,186,'admin/config/media/image-styles/list','admin/config/media/image-styles/list','List','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:42:\"List the current image styles on the site.\";}}','system',-1,0,0,0,1,5,0,1,7,33,186,202,0,0,0,0,0),('management',203,199,'admin/config/user-interface/shortcut/%/add-link','admin/config/user-interface/shortcut/%/add-link','Add shortcut','a:0:{}','system',-1,0,0,0,0,6,0,1,7,44,190,199,203,0,0,0,0),('management',204,191,'admin/config/search/path/delete/%','admin/config/search/path/delete/%','Delete alias','a:0:{}','system',0,0,0,0,0,5,0,1,7,39,191,204,0,0,0,0,0),('management',205,199,'admin/config/user-interface/shortcut/%/delete','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','a:0:{}','system',0,0,0,0,0,6,0,1,7,44,190,199,205,0,0,0,0),('management',206,191,'admin/config/search/path/edit/%','admin/config/search/path/edit/%','Edit alias','a:0:{}','system',0,0,0,0,0,5,0,1,7,39,191,206,0,0,0,0,0),('management',207,199,'admin/config/user-interface/shortcut/%/edit','admin/config/user-interface/shortcut/%/edit','Edit set name','a:0:{}','system',-1,0,0,0,10,6,0,1,7,44,190,199,207,0,0,0,0),('management',208,190,'admin/config/user-interface/shortcut/link/%','admin/config/user-interface/shortcut/link/%','Edit shortcut','a:0:{}','system',0,0,1,0,0,5,0,1,7,44,190,208,0,0,0,0,0),('management',209,186,'admin/config/media/image-styles/edit/%','admin/config/media/image-styles/edit/%','Edit style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Configure an image style.\";}}','system',0,0,1,0,0,5,0,1,7,33,186,209,0,0,0,0,0),('management',210,199,'admin/config/user-interface/shortcut/%/links','admin/config/user-interface/shortcut/%/links','List links','a:0:{}','system',-1,0,0,0,0,6,0,1,7,44,190,199,210,0,0,0,0),('management',211,186,'admin/config/media/image-styles/delete/%','admin/config/media/image-styles/delete/%','Delete style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Delete an image style.\";}}','system',0,0,0,0,0,5,0,1,7,33,186,211,0,0,0,0,0),('management',212,186,'admin/config/media/image-styles/revert/%','admin/config/media/image-styles/revert/%','Revert style','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:22:\"Revert an image style.\";}}','system',0,0,0,0,0,5,0,1,7,33,186,212,0,0,0,0,0),('management',213,86,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%/comment/display','Comment display','a:0:{}','system',-1,0,0,0,4,5,0,1,18,25,86,213,0,0,0,0,0),('management',214,86,'admin/structure/types/manage/%/comment/fields','admin/structure/types/manage/%/comment/fields','Comment fields','a:0:{}','system',-1,0,1,0,3,5,0,1,18,25,86,214,0,0,0,0,0),('management',215,208,'admin/config/user-interface/shortcut/link/%/delete','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','a:0:{}','system',0,0,0,0,0,6,0,1,7,44,190,208,215,0,0,0,0),('management',216,209,'admin/config/media/image-styles/edit/%/add/%','admin/config/media/image-styles/edit/%/add/%','Add image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:28:\"Add a new effect to a style.\";}}','system',0,0,0,0,0,6,0,1,7,33,186,209,216,0,0,0,0),('management',217,209,'admin/config/media/image-styles/edit/%/effects/%','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Edit an existing effect within a style.\";}}','system',0,0,1,0,0,6,0,1,7,33,186,209,217,0,0,0,0),('management',218,217,'admin/config/media/image-styles/edit/%/effects/%/delete','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:39:\"Delete an existing effect from a style.\";}}','system',0,0,0,0,0,7,0,1,7,33,186,209,217,218,0,0,0),('shortcut-set-1',219,0,'node/add','node/add','Add content','a:0:{}','menu',0,0,0,0,-20,1,0,219,0,0,0,0,0,0,0,0,0),('shortcut-set-1',220,0,'admin/content','admin/content','Find content','a:0:{}','menu',0,0,0,0,-19,1,0,220,0,0,0,0,0,0,0,0,0),('main-menu',221,0,'<front>','','Home','a:0:{}','menu',0,1,0,0,-50,1,1,221,0,0,0,0,0,0,0,0,0),('navigation',222,5,'node/add/article','node/add/article','Article','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.\";}}','system',0,0,0,0,0,2,0,5,222,0,0,0,0,0,0,0,0),('navigation',223,5,'node/add/page','node/add/page','Basic page','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:77:\"Use <em>basic pages</em> for your static content, such as an \'About us\' page.\";}}','system',0,0,0,0,0,2,0,5,223,0,0,0,0,0,0,0,0),('management',301,13,'admin/modules/install','admin/modules/install','Install new module','a:0:{}','system',-1,0,0,0,25,3,0,1,13,301,0,0,0,0,0,0,0),('management',302,6,'admin/appearance/install','admin/appearance/install','Install new theme','a:0:{}','system',-1,0,0,0,25,3,0,1,6,302,0,0,0,0,0,0,0),('management',303,13,'admin/modules/update','admin/modules/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,13,303,0,0,0,0,0,0,0),('management',304,16,'admin/reports/updates','admin/reports/updates','Available updates','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:82:\"Get a status report about available updates for your installed modules and themes.\";}}','system',0,0,0,0,-50,3,0,1,16,304,0,0,0,0,0,0,0),('management',305,6,'admin/appearance/update','admin/appearance/update','Update','a:0:{}','system',-1,0,0,0,10,3,0,1,6,305,0,0,0,0,0,0,0),('management',306,135,'admin/help/update','admin/help/update','update','a:0:{}','system',-1,0,0,0,0,3,0,1,135,306,0,0,0,0,0,0,0),('management',307,304,'admin/reports/updates/list','admin/reports/updates/list','List','a:0:{}','system',-1,0,0,0,0,4,0,1,16,304,307,0,0,0,0,0,0),('management',308,304,'admin/reports/updates/settings','admin/reports/updates/settings','Settings','a:0:{}','system',-1,0,0,0,50,4,0,1,16,304,308,0,0,0,0,0,0),('management',309,304,'admin/reports/updates/install','admin/reports/updates/install','Install new module or theme','a:0:{}','system',-1,0,0,0,25,4,0,1,16,304,309,0,0,0,0,0,0),('management',310,304,'admin/reports/updates/update','admin/reports/updates/update','Update','a:0:{}','system',-1,0,0,0,10,4,0,1,16,304,310,0,0,0,0,0,0),('management',349,7,'admin/config/administration','admin/config/administration','Administration','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:21:\"Administration tools.\";}}','system',0,0,1,0,0,3,0,1,7,349,0,0,0,0,0,0,0),('management',350,18,'admin/structure/quicktabs','admin/structure/quicktabs','Quicktabs','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Create blocks of tabbed content.\";}}','system',0,0,1,0,0,3,0,1,18,350,0,0,0,0,0,0,0),('navigation',351,4,'node/%/webform-results','node/%/webform-results','Results','a:0:{}','system',-1,0,0,0,2,2,0,4,351,0,0,0,0,0,0,0,0),('management',352,18,'admin/structure/views','admin/structure/views','Views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"Manage customized lists of content.\";}}','system',0,0,1,0,0,3,0,1,18,352,0,0,0,0,0,0,0),('management',353,16,'admin/reports/views-plugins','admin/reports/views-plugins','Views plugins','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Overview of plugins used in all views.\";}}','system',0,0,0,0,0,3,0,1,16,353,0,0,0,0,0,0,0),('navigation',354,5,'node/add/webform','node/add/webform','Webform','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:138:\"Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.\";}}','system',0,0,0,0,0,2,0,5,354,0,0,0,0,0,0,0,0),('navigation',355,4,'node/%/webform','node/%/webform','Webform','a:0:{}','system',-1,0,0,0,1,2,0,4,355,0,0,0,0,0,0,0,0),('management',356,8,'admin/content/webform','admin/content/webform','Webforms','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"View and edit all the available webforms on your site.\";}}','system',-1,0,0,0,0,3,0,1,8,356,0,0,0,0,0,0,0),('management',357,135,'admin/help/admin_menu','admin/help/admin_menu','admin_menu','a:0:{}','system',-1,0,0,0,0,3,0,1,135,357,0,0,0,0,0,0,0),('management',358,135,'admin/help/flexslider','admin/help/flexslider','flexslider','a:0:{}','system',-1,0,0,0,0,3,0,1,135,358,0,0,0,0,0,0,0),('management',359,135,'admin/help/jquery_update','admin/help/jquery_update','jquery_update','a:0:{}','system',-1,0,0,0,0,3,0,1,135,359,0,0,0,0,0,0,0),('management',360,135,'admin/help/pathauto','admin/help/pathauto','pathauto','a:0:{}','system',-1,0,0,0,0,3,0,1,135,360,0,0,0,0,0,0,0),('management',361,135,'admin/help/quicktabs','admin/help/quicktabs','quicktabs','a:0:{}','system',-1,0,0,0,0,3,0,1,135,361,0,0,0,0,0,0,0),('management',362,135,'admin/help/title','admin/help/title','title','a:0:{}','system',-1,0,0,0,0,3,0,1,135,362,0,0,0,0,0,0,0),('management',363,135,'admin/help/token','admin/help/token','token','a:0:{}','system',-1,0,0,0,0,3,0,1,135,363,0,0,0,0,0,0,0),('management',364,135,'admin/help/views_slideshow','admin/help/views_slideshow','views_slideshow','a:0:{}','system',-1,0,0,0,0,3,0,1,135,364,0,0,0,0,0,0,0),('management',365,135,'admin/help/views_slideshow_cycle','admin/help/views_slideshow_cycle','views_slideshow_cycle','a:0:{}','system',-1,0,0,0,0,3,0,1,135,365,0,0,0,0,0,0,0),('management',366,135,'admin/help/webform','admin/help/webform','webform','a:0:{}','system',-1,0,0,0,0,3,0,1,135,366,0,0,0,0,0,0,0),('management',367,350,'admin/structure/quicktabs/add','admin/structure/quicktabs/add','Add Quicktabs Instance','a:0:{}','system',-1,0,0,0,0,4,0,1,18,350,367,0,0,0,0,0,0),('management',368,352,'admin/structure/views/add','admin/structure/views/add','Add new view','a:0:{}','system',-1,0,0,0,0,4,0,1,18,352,368,0,0,0,0,0,0),('management',369,352,'admin/structure/views/add-template','admin/structure/views/add-template','Add view from template','a:0:{}','system',-1,0,0,0,0,4,0,1,18,352,369,0,0,0,0,0,0),('management',370,349,'admin/config/administration/admin_menu','admin/config/administration/admin_menu','Administration menu','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Adjust administration menu settings.\";}}','system',0,0,0,0,0,4,0,1,7,349,370,0,0,0,0,0,0),('navigation',371,351,'node/%/webform-results/analysis','node/%/webform-results/analysis','Analysis','a:0:{}','system',-1,0,0,0,5,3,0,4,351,371,0,0,0,0,0,0,0),('navigation',372,351,'node/%/webform-results/clear','node/%/webform-results/clear','Clear','a:0:{}','system',-1,0,0,0,8,3,0,4,351,372,0,0,0,0,0,0,0),('navigation',373,355,'node/%/webform/conditionals','node/%/webform/conditionals','Conditionals','a:0:{}','system',-1,0,0,0,1,3,0,4,355,373,0,0,0,0,0,0,0),('navigation',374,351,'node/%/webform-results/download','node/%/webform-results/download','Download','a:0:{}','system',-1,0,0,0,7,3,0,4,351,374,0,0,0,0,0,0,0),('navigation',375,355,'node/%/webform/emails','node/%/webform/emails','E-mails','a:0:{}','system',-1,0,0,0,4,3,0,4,355,375,0,0,0,0,0,0,0),('management',376,33,'admin/config/media/flexslider','admin/config/media/flexslider','FlexSlider','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Administer FlexSlider presets.\";}}','system',0,0,0,0,0,4,0,1,7,33,376,0,0,0,0,0,0),('navigation',377,355,'node/%/webform/components','node/%/webform/components','Form components','a:0:{}','system',-1,0,0,0,0,3,0,4,355,377,0,0,0,0,0,0,0),('navigation',378,355,'node/%/webform/configure','node/%/webform/configure','Form settings','a:0:{}','system',-1,0,0,0,5,3,0,4,355,378,0,0,0,0,0,0,0),('management',379,352,'admin/structure/views/import','admin/structure/views/import','Import','a:0:{}','system',-1,0,0,0,0,4,0,1,18,352,379,0,0,0,0,0,0),('management',380,352,'admin/structure/views/list','admin/structure/views/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,18,352,380,0,0,0,0,0,0),('management',381,146,'admin/reports/fields/list','admin/reports/fields/list','List','a:0:{}','system',-1,0,0,0,-10,4,0,1,16,146,381,0,0,0,0,0,0),('management',382,350,'admin/structure/quicktabs/list','admin/structure/quicktabs/list','List quicktabs','a:0:{}','system',-1,0,0,0,0,4,0,1,18,350,382,0,0,0,0,0,0),('management',383,44,'admin/config/user-interface/modulefilter','admin/config/user-interface/modulefilter','Module filter','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Configure how the modules page looks and acts.\";}}','system',0,0,0,0,0,4,0,1,7,44,383,0,0,0,0,0,0),('management',384,40,'admin/appearance/settings/photo','admin/appearance/settings/photo','Photo','a:0:{}','system',-1,0,0,0,0,4,0,1,6,40,384,0,0,0,0,0,0),('management',385,352,'admin/structure/views/settings','admin/structure/views/settings','Settings','a:0:{}','system',-1,0,0,0,0,4,0,1,18,352,385,0,0,0,0,0,0),('navigation',386,351,'node/%/webform-results/submissions','node/%/webform-results/submissions','Submissions','a:0:{}','system',-1,0,0,0,4,3,0,4,351,386,0,0,0,0,0,0,0),('navigation',387,351,'node/%/webform-results/table','node/%/webform-results/table','Table','a:0:{}','system',-1,0,0,0,6,3,0,4,351,387,0,0,0,0,0,0,0),('management',388,24,'admin/config/content/title','admin/config/content/title','Title settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:30:\"Settings for the Title module.\";}}','system',0,0,0,0,0,4,0,1,7,24,388,0,0,0,0,0,0),('management',389,146,'admin/reports/fields/views-fields','admin/reports/fields/views-fields','Used in views','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:37:\"Overview of fields used in all views.\";}}','system',-1,0,0,0,0,4,0,1,16,146,389,0,0,0,0,0,0),('management',390,24,'admin/config/content/webform','admin/config/content/webform','Webform settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Global configuration of webform functionality.\";}}','system',0,0,0,0,0,4,0,1,7,24,390,0,0,0,0,0,0),('management',391,27,'admin/config/development/jquery_update','admin/config/development/jquery_update','jQuery update','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:83:\"Configure settings related to the jQuery upgrade, the library path and compression.\";}}','system',0,0,0,0,0,4,0,1,7,27,391,0,0,0,0,0,0),('management',392,376,'admin/config/media/flexslider/add','admin/config/media/flexslider/add','Add','a:0:{}','system',-1,0,0,0,0,5,0,1,7,33,376,392,0,0,0,0,0),('management',393,385,'admin/structure/views/settings/advanced','admin/structure/views/settings/advanced','Advanced','a:0:{}','system',-1,0,0,0,1,5,0,1,18,352,385,393,0,0,0,0,0),('management',394,376,'admin/config/media/flexslider/advanced','admin/config/media/flexslider/advanced','Advanced settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:50:\"Configure the advanced flexslider module settings.\";}}','system',-1,0,0,0,2,5,0,1,7,33,376,394,0,0,0,0,0),('management',395,385,'admin/structure/views/settings/basic','admin/structure/views/settings/basic','Basic','a:0:{}','system',-1,0,0,0,0,5,0,1,18,352,385,395,0,0,0,0,0),('management',396,191,'admin/config/search/path/update_bulk','admin/config/search/path/update_bulk','Bulk generate','a:0:{}','system',-1,0,0,0,30,5,0,1,7,39,191,396,0,0,0,0,0),('management',397,191,'admin/config/search/path/delete_bulk','admin/config/search/path/delete_bulk','Delete aliases','a:0:{}','system',-1,0,0,0,40,5,0,1,7,39,191,397,0,0,0,0,0),('management',398,350,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Edit quicktab','a:0:{}','system',0,0,0,0,0,4,0,1,18,350,398,0,0,0,0,0,0),('management',399,376,'admin/config/media/flexslider/import','admin/config/media/flexslider/import','Import','a:0:{}','system',-1,0,0,0,0,5,0,1,7,33,376,399,0,0,0,0,0),('management',400,376,'admin/config/media/flexslider/list','admin/config/media/flexslider/list','List','a:0:{}','system',-1,0,0,0,-10,5,0,1,7,33,376,400,0,0,0,0,0),('management',401,191,'admin/config/search/path/patterns','admin/config/search/path/patterns','Patterns','a:0:{}','system',-1,0,0,0,10,5,0,1,7,39,191,401,0,0,0,0,0),('management',402,21,'admin/structure/block/list/photo','admin/structure/block/list/photo','Photo','a:0:{}','system',-1,0,0,0,-10,4,0,1,18,21,402,0,0,0,0,0,0),('management',403,191,'admin/config/search/path/settings','admin/config/search/path/settings','Settings','a:0:{}','system',-1,0,0,0,20,5,0,1,7,39,191,403,0,0,0,0,0),('management',404,352,'admin/structure/views/view/%','admin/structure/views/view/%','','a:0:{}','system',0,0,0,0,0,4,0,1,18,352,404,0,0,0,0,0,0),('navigation',405,371,'node/%/webform-results/analysis/%','node/%/webform-results/analysis/%','Analysis','a:0:{}','system',-1,0,0,0,0,4,0,4,351,371,405,0,0,0,0,0,0),('navigation',406,4,'node/%/submission/%/delete','node/%/submission/%/delete','Delete','a:0:{}','system',-1,0,0,0,2,2,0,4,406,0,0,0,0,0,0,0,0),('navigation',407,4,'node/%/submission/%/edit','node/%/submission/%/edit','Edit','a:0:{}','system',-1,0,0,0,1,2,0,4,407,0,0,0,0,0,0,0,0),('navigation',408,377,'node/%/webform/components/%','node/%/webform/components/%','','a:0:{}','system',-1,0,0,0,0,4,0,4,355,377,408,0,0,0,0,0,0),('navigation',409,4,'node/%/submission/%/view','node/%/submission/%/view','View','a:0:{}','system',-1,0,0,0,0,2,0,4,409,0,0,0,0,0,0,0,0),('management',411,404,'admin/structure/views/view/%/break-lock','admin/structure/views/view/%/break-lock','Break lock','a:0:{}','system',-1,0,0,0,0,5,0,1,18,352,404,411,0,0,0,0,0),('management',412,398,'admin/structure/quicktabs/manage/%/clone','admin/structure/quicktabs/manage/%/clone','Clone quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,18,350,398,412,0,0,0,0,0),('management',413,398,'admin/structure/quicktabs/manage/%/delete','admin/structure/quicktabs/manage/%/delete','Delete quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,18,350,398,413,0,0,0,0,0),('management',414,398,'admin/structure/quicktabs/manage/%/edit','admin/structure/quicktabs/manage/%/edit','Edit quicktab','a:0:{}','system',-1,0,0,0,0,5,0,1,18,350,398,414,0,0,0,0,0),('management',415,404,'admin/structure/views/view/%/edit','admin/structure/views/view/%/edit','Edit view','a:0:{}','system',-1,0,0,0,-10,5,0,1,18,352,404,415,0,0,0,0,0),('management',416,398,'admin/structure/quicktabs/manage/%/export','admin/structure/quicktabs/manage/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,18,350,398,416,0,0,0,0,0),('navigation',417,405,'node/%/webform-results/analysis/%/more','node/%/webform-results/analysis/%/more','In-depth analysis','a:0:{}','system',-1,0,0,0,0,5,0,4,351,371,405,417,0,0,0,0,0),('navigation',420,408,'node/%/webform/components/%/delete','node/%/webform/components/%/delete','','a:0:{}','system',-1,0,0,0,0,5,0,4,355,377,408,420,0,0,0,0,0),('navigation',421,408,'node/%/webform/components/%/clone','node/%/webform/components/%/clone','','a:0:{}','system',-1,0,0,0,0,5,0,4,355,377,408,421,0,0,0,0,0),('management',422,404,'admin/structure/views/view/%/clone','admin/structure/views/view/%/clone','Clone','a:0:{}','system',-1,0,0,0,0,5,0,1,18,352,404,422,0,0,0,0,0),('management',423,404,'admin/structure/views/view/%/export','admin/structure/views/view/%/export','Export','a:0:{}','system',-1,0,0,0,0,5,0,1,18,352,404,423,0,0,0,0,0),('management',424,404,'admin/structure/views/view/%/delete','admin/structure/views/view/%/delete','Delete','a:0:{}','system',-1,0,0,0,0,5,0,1,18,352,404,424,0,0,0,0,0),('management',425,404,'admin/structure/views/view/%/revert','admin/structure/views/view/%/revert','Revert','a:0:{}','system',-1,0,0,0,0,5,0,1,18,352,404,425,0,0,0,0,0),('management',426,352,'admin/structure/views/nojs/preview/%/%','admin/structure/views/nojs/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,1,18,352,426,0,0,0,0,0,0),('management',427,404,'admin/structure/views/view/%/preview/%','admin/structure/views/view/%/preview/%','','a:0:{}','system',-1,0,0,0,0,5,0,1,18,352,404,427,0,0,0,0,0),('management',428,352,'admin/structure/views/ajax/preview/%/%','admin/structure/views/ajax/preview/%/%','','a:0:{}','system',0,0,0,0,0,4,0,1,18,352,428,0,0,0,0,0,0),('management',430,400,'admin/config/media/flexslider/list/%/edit','admin/config/media/flexslider/list/%/edit','Edit','a:0:{}','system',-1,0,0,0,-10,6,0,1,7,33,376,400,430,0,0,0,0),('management',431,183,'admin/structure/taxonomy/%/fields/replace/%','admin/structure/taxonomy/%/fields/replace/%','Replace fields','a:0:{}','system',0,0,0,0,0,5,0,1,18,149,183,431,0,0,0,0,0),('management',432,400,'admin/config/media/flexslider/list/%/export','admin/config/media/flexslider/list/%/export','Export','a:0:{}','system',-1,0,0,0,0,6,0,1,7,33,376,400,432,0,0,0,0),('management',434,86,'admin/structure/types/manage/%/fields/replace/%','admin/structure/types/manage/%/fields/replace/%','Replace fields','a:0:{}','system',0,0,0,0,0,5,0,1,18,25,86,434,0,0,0,0,0),('management',435,214,'admin/structure/types/manage/%/comment/fields/replace/%','admin/structure/types/manage/%/comment/fields/replace/%','Replace fields','a:0:{}','system',0,0,0,0,0,6,0,1,18,25,86,214,435,0,0,0,0),('management',436,83,'admin/structure/block/list/bartik/add','admin/structure/block/list/bartik/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,18,21,83,436,0,0,0,0,0),('navigation',437,5,'node/add/gallery','node/add/gallery','Gallery','a:0:{}','system',0,0,0,0,0,2,0,5,437,0,0,0,0,0,0,0,0),('main-menu',438,0,'node/5','node/%','About us','a:1:{s:10:\"attributes\";a:0:{}}','menu',0,0,1,1,-48,1,1,438,0,0,0,0,0,0,0,0,0),('navigation',439,5,'node/add/services','node/add/services','Services','a:0:{}','system',0,0,0,0,0,2,0,5,439,0,0,0,0,0,0,0,0),('main-menu',440,438,'services','services','Services','a:0:{}','system',0,0,0,0,-50,2,1,438,440,0,0,0,0,0,0,0,0),('navigation',442,5,'node/add/involes','node/add/involes','Involes','a:0:{}','system',0,0,0,0,0,2,0,5,442,0,0,0,0,0,0,0,0),('navigation',444,5,'node/add/client','node/add/client','Client','a:0:{}','system',0,0,0,0,0,2,0,5,444,0,0,0,0,0,0,0,0),('main-menu',445,438,'clients','clients','Clients','a:0:{}','system',0,0,0,0,-47,2,1,438,445,0,0,0,0,0,0,0,0),('main-menu',446,449,'gallery','gallery','Gallery flow','a:0:{}','system',0,0,0,0,-50,2,1,449,446,0,0,0,0,0,0,0,0),('main-menu',447,449,'gallery-ribbon','gallery-ribbon','Gallery ribbon','a:0:{}','system',0,0,0,0,-47,2,1,449,447,0,0,0,0,0,0,0,0),('main-menu',448,449,'gallery-kenbums','gallery-kenbums','Gallery kenbums','a:0:{}','system',1,0,0,0,-49,2,1,449,448,0,0,0,0,0,0,0,0),('main-menu',449,0,'node/28','node/%','Gallery albums','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,1,1,-49,1,1,449,0,0,0,0,0,0,0,0,0),('main-menu',450,0,'blog','blog','Blog','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,1,1,-47,1,1,450,0,0,0,0,0,0,0,0,0),('main-menu',451,450,'blog/%','blog/%','My blog','a:0:{}','system',0,0,0,0,0,2,0,450,451,0,0,0,0,0,0,0,0),('navigation',452,5,'node/add/blog','node/add/blog','Blog entry','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:58:\"Use for multi-user blogs. Every user gets a personal blog.\";}}','system',0,0,0,0,0,2,0,5,452,0,0,0,0,0,0,0,0),('management',453,135,'admin/help/blog','admin/help/blog','blog','a:0:{}','system',-1,0,0,0,0,3,0,1,135,453,0,0,0,0,0,0,0),('main-menu',454,0,'node/33','node/%','Contact','a:0:{}','menu',0,0,0,0,-46,1,1,454,0,0,0,0,0,0,0,0,0),('management',455,24,'admin/config/content/exclude_node_title','admin/config/content/exclude_node_title','Exclude Node Title','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:31:\"Exclude Node Title from display\";}}','system',0,0,0,0,0,4,0,1,7,24,455,0,0,0,0,0,0),('management',456,33,'admin/config/media/juicebox','admin/config/media/juicebox','Juicebox','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:32:\"Adjust global Juicebox settings.\";}}','system',0,0,0,0,0,4,0,1,7,33,456,0,0,0,0,0,0),('management',457,34,'admin/structure/menu/manage/menu-second-menu','admin/structure/menu/manage/%','Second menu','a:0:{}','menu',0,0,0,0,0,4,0,1,18,34,457,0,0,0,0,0,0),('menu-second-menu',458,0,'node/5','node/%','About us','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-50,1,1,458,0,0,0,0,0,0,0,0,0),('menu-second-menu',459,0,'services','services','Services','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-49,1,1,459,0,0,0,0,0,0,0,0,0),('menu-second-menu',460,0,'meet-your-team','meet-your-team','Meet out team','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,0,1,1,460,0,0,0,0,0,0,0,0,0),('menu-second-menu',461,0,'clients','clients','Clients','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-46,1,1,461,0,0,0,0,0,0,0,0,0),('main-menu',462,438,'meet-out-team','meet-out-team','Meet out team','a:0:{}','system',0,0,0,0,-48,2,1,438,462,0,0,0,0,0,0,0,0),('navigation',463,0,'our-work-involves','our-work-involves','Our work involves','a:0:{}','system',0,0,0,0,0,1,0,463,0,0,0,0,0,0,0,0,0),('menu-second-menu',464,0,'meet-out-team','meet-out-team','Meet out team','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-47,1,1,464,0,0,0,0,0,0,0,0,0),('menu-second-menu',465,0,'our-work-involves','our-work-involves','Our work involves','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-48,1,1,465,0,0,0,0,0,0,0,0,0),('main-menu',466,449,'gallery-mansory','gallery-mansory','Gallery masonry','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','system',0,0,0,0,-48,2,1,449,466,0,0,0,0,0,0,0,0),('management',467,33,'admin/config/media/colorbox','admin/config/media/colorbox','Colorbox','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:25:\"Adjust Colorbox settings.\";}}','system',0,0,0,0,0,4,0,1,7,33,467,0,0,0,0,0,0),('main-menu',469,438,'our-work-involves','our-work-involves','Our work involves','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:0:\"\";}}','menu',0,0,0,0,-49,2,1,438,469,0,0,0,0,0,0,0,0),('management',470,135,'admin/help/locale','admin/help/locale','locale','a:0:{}','system',-1,0,0,0,0,3,0,1,135,470,0,0,0,0,0,0,0),('management',471,37,'admin/config/regional/language','admin/config/regional/language','Languages','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:55:\"Configure languages for content and the user interface.\";}}','system',0,0,1,0,-10,4,0,1,7,37,471,0,0,0,0,0,0),('management',472,37,'admin/config/regional/translate','admin/config/regional/translate','Translate interface','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:59:\"Translate the built in interface and optionally other text.\";}}','system',0,0,1,0,-5,4,0,1,7,37,472,0,0,0,0,0,0),('management',473,471,'admin/config/regional/language/add','admin/config/regional/language/add','Add language','a:0:{}','system',-1,0,0,0,5,5,0,1,7,37,471,473,0,0,0,0,0),('management',474,471,'admin/config/regional/language/configure','admin/config/regional/language/configure','Detection and selection','a:0:{}','system',-1,0,0,0,10,5,0,1,7,37,471,474,0,0,0,0,0),('management',475,472,'admin/config/regional/translate/export','admin/config/regional/translate/export','Export','a:0:{}','system',-1,0,0,0,30,5,0,1,7,37,472,475,0,0,0,0,0),('management',476,472,'admin/config/regional/translate/import','admin/config/regional/translate/import','Import','a:0:{}','system',-1,0,0,0,20,5,0,1,7,37,472,476,0,0,0,0,0),('management',477,471,'admin/config/regional/language/overview','admin/config/regional/language/overview','List','a:0:{}','system',-1,0,0,0,0,5,0,1,7,37,471,477,0,0,0,0,0),('management',478,57,'admin/config/regional/date-time/locale','admin/config/regional/date-time/locale','Localize','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',-1,0,1,0,-8,5,0,1,7,37,57,478,0,0,0,0,0),('management',479,472,'admin/config/regional/translate/overview','admin/config/regional/translate/overview','Overview','a:0:{}','system',-1,0,0,0,0,5,0,1,7,37,472,479,0,0,0,0,0),('management',480,472,'admin/config/regional/translate/translate','admin/config/regional/translate/translate','Translate','a:0:{}','system',-1,0,0,0,10,5,0,1,7,37,472,480,0,0,0,0,0),('management',481,471,'admin/config/regional/language/delete/%','admin/config/regional/language/delete/%','Confirm','a:0:{}','system',0,0,0,0,0,5,0,1,7,37,471,481,0,0,0,0,0),('management',482,472,'admin/config/regional/translate/delete/%','admin/config/regional/translate/delete/%','Delete string','a:0:{}','system',0,0,0,0,0,5,0,1,7,37,472,482,0,0,0,0,0),('management',483,471,'admin/config/regional/language/edit/%','admin/config/regional/language/edit/%','Edit language','a:0:{}','system',0,0,0,0,0,5,0,1,7,37,471,483,0,0,0,0,0),('management',484,472,'admin/config/regional/translate/edit/%','admin/config/regional/translate/edit/%','Edit string','a:0:{}','system',0,0,0,0,0,5,0,1,7,37,472,484,0,0,0,0,0),('management',485,474,'admin/config/regional/language/configure/session','admin/config/regional/language/configure/session','Session language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,7,37,471,474,485,0,0,0,0),('management',486,474,'admin/config/regional/language/configure/url','admin/config/regional/language/configure/url','URL language detection configuration','a:0:{}','system',-1,0,0,0,0,6,0,1,7,37,471,474,486,0,0,0,0),('management',487,478,'admin/config/regional/date-time/locale/%/edit','admin/config/regional/date-time/locale/%/edit','Localize date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:38:\"Configure date formats for each locale\";}}','system',0,0,0,0,0,6,0,1,7,37,57,478,487,0,0,0,0),('management',488,478,'admin/config/regional/date-time/locale/%/reset','admin/config/regional/date-time/locale/%/reset','Reset date formats','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:47:\"Reset localized date formats to global defaults\";}}','system',0,0,0,0,0,6,0,1,7,37,57,478,488,0,0,0,0),('navigation',569,375,'node/%/webform/emails/%','node/%/webform/emails/%','','a:0:{}','system',-1,0,0,0,0,4,0,4,355,375,569,0,0,0,0,0,0),('navigation',570,569,'node/%/webform/emails/%/delete','node/%/webform/emails/%/delete','','a:0:{}','system',-1,0,0,0,0,5,0,4,355,375,569,570,0,0,0,0,0),('navigation',571,569,'node/%/webform/emails/%/clone','node/%/webform/emails/%/clone','','a:0:{}','system',-1,0,0,0,0,5,0,4,355,375,569,571,0,0,0,0,0),('main-menu',614,449,'gallery-masonry','gallery-masonry','Gallery masonry','a:0:{}','system',0,0,0,0,-48,2,1,449,614,0,0,0,0,0,0,0,0),('management',615,18,'admin/structure/migrate_content','admin/structure/migrate_content','Migrate Content','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Manage Migrate Content.\";}}','system',0,0,0,0,0,3,0,1,18,615,0,0,0,0,0,0,0),('management',616,615,'admin/structure/migrate_content/create','admin/structure/migrate_content/create','Create','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:23:\"Migrate Content Create.\";}}','system',-1,0,0,0,10,4,0,1,18,615,616,0,0,0,0,0,0),('management',617,615,'admin/structure/migrate_content/import-from-upload','admin/structure/migrate_content/import-from-upload','Import','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:26:\"Upload zip file to import.\";}}','system',-1,0,0,0,11,4,0,1,18,615,617,0,0,0,0,0,0),('management',618,615,'admin/structure/migrate_content/manage','admin/structure/migrate_content/manage','Manage','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:33:\"Enable and disable entity bundle.\";}}','system',-1,0,0,0,0,4,0,1,18,615,618,0,0,0,0,0,0),('management',619,615,'admin/structure/migrate_content/settings','admin/structure/migrate_content/settings','Settings','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:49:\"Adjust settings for using migrate content module.\";}}','system',-1,0,0,0,11,4,0,1,18,615,619,0,0,0,0,0,0),('management',620,40,'admin/appearance/settings/we_backend','admin/appearance/settings/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,1,6,40,620,0,0,0,0,0,0),('management',621,21,'admin/structure/block/list/we_backend','admin/structure/block/list/we_backend','WeebPal Backend theme','a:0:{}','system',-1,0,0,0,0,4,0,1,18,21,621,0,0,0,0,0,0),('management',622,621,'admin/structure/block/list/we_backend/add','admin/structure/block/list/we_backend/add','Add block','a:0:{}','system',-1,0,0,0,0,5,0,1,18,21,621,622,0,0,0,0,0),('navigation',623,3,'filter/tips/%','filter/tips/%','Compose tips','a:0:{}','system',0,0,0,0,0,2,0,3,623,0,0,0,0,0,0,0,0),('management',624,16,'admin/reports/libraries','admin/reports/libraries','Libraries','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:48:\"An overview of libraries installed on this site.\";}}','system',0,0,1,0,0,3,0,1,16,624,0,0,0,0,0,0,0),('management',625,135,'admin/help/libraries','admin/help/libraries','libraries','a:0:{}','system',-1,0,0,0,0,3,0,1,135,625,0,0,0,0,0,0,0),('management',626,624,'admin/reports/libraries/%','admin/reports/libraries/%','Library status report','a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"Status overview for a single library\";}}','system',0,0,0,0,0,4,0,1,16,624,626,0,0,0,0,0,0),('management',627,183,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,18,149,183,627,0,0,0,0,0),('management',628,49,'admin/config/people/accounts/display','admin/config/people/accounts/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,7,35,49,628,0,0,0,0,0),('management',629,183,'admin/structure/taxonomy/%/fields','admin/structure/taxonomy/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,18,149,183,629,0,0,0,0,0),('management',630,49,'admin/config/people/accounts/fields','admin/config/people/accounts/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,7,35,49,630,0,0,0,0,0),('management',631,627,'admin/structure/taxonomy/%/display/default','admin/structure/taxonomy/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,18,149,183,627,631,0,0,0,0),('management',632,628,'admin/config/people/accounts/display/default','admin/config/people/accounts/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,7,35,49,628,632,0,0,0,0),('management',633,86,'admin/structure/types/manage/%/display','admin/structure/types/manage/%/display','Manage display','a:0:{}','system',-1,0,0,0,2,5,0,1,18,25,86,633,0,0,0,0,0),('management',634,86,'admin/structure/types/manage/%/fields','admin/structure/types/manage/%/fields','Manage fields','a:0:{}','system',-1,0,1,0,1,5,0,1,18,25,86,634,0,0,0,0,0),('management',635,627,'admin/structure/taxonomy/%/display/full','admin/structure/taxonomy/%/display/full','Taxonomy term page','a:0:{}','system',-1,0,0,0,0,6,0,1,18,149,183,627,635,0,0,0,0),('management',636,627,'admin/structure/taxonomy/%/display/token','admin/structure/taxonomy/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,18,149,183,627,636,0,0,0,0),('management',637,628,'admin/config/people/accounts/display/token','admin/config/people/accounts/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,7,35,49,628,637,0,0,0,0),('management',638,628,'admin/config/people/accounts/display/full','admin/config/people/accounts/display/full','User account','a:0:{}','system',-1,0,0,0,0,6,0,1,7,35,49,628,638,0,0,0,0),('management',639,629,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,18,149,183,629,639,0,0,0,0),('management',640,630,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,7,35,49,630,640,0,0,0,0),('management',641,633,'admin/structure/types/manage/%/display/default','admin/structure/types/manage/%/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,18,25,86,633,641,0,0,0,0),('management',642,633,'admin/structure/types/manage/%/display/full','admin/structure/types/manage/%/display/full','Full content','a:0:{}','system',-1,0,0,0,0,6,0,1,18,25,86,633,642,0,0,0,0),('management',643,633,'admin/structure/types/manage/%/display/rss','admin/structure/types/manage/%/display/rss','RSS','a:0:{}','system',-1,0,0,0,2,6,0,1,18,25,86,633,643,0,0,0,0),('management',644,633,'admin/structure/types/manage/%/display/search_index','admin/structure/types/manage/%/display/search_index','Search index','a:0:{}','system',-1,0,0,0,3,6,0,1,18,25,86,633,644,0,0,0,0),('management',645,633,'admin/structure/types/manage/%/display/search_result','admin/structure/types/manage/%/display/search_result','Search result highlighting input','a:0:{}','system',-1,0,0,0,4,6,0,1,18,25,86,633,645,0,0,0,0),('management',646,633,'admin/structure/types/manage/%/display/teaser','admin/structure/types/manage/%/display/teaser','Teaser','a:0:{}','system',-1,0,0,0,1,6,0,1,18,25,86,633,646,0,0,0,0),('management',647,633,'admin/structure/types/manage/%/display/token','admin/structure/types/manage/%/display/token','Tokens','a:0:{}','system',-1,0,0,0,5,6,0,1,18,25,86,633,647,0,0,0,0),('management',648,634,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,18,25,86,634,648,0,0,0,0),('management',649,639,'admin/structure/taxonomy/%/fields/%/delete','admin/structure/taxonomy/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,18,149,183,629,639,649,0,0,0),('management',650,639,'admin/structure/taxonomy/%/fields/%/edit','admin/structure/taxonomy/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,18,149,183,629,639,650,0,0,0),('management',651,639,'admin/structure/taxonomy/%/fields/%/field-settings','admin/structure/taxonomy/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,18,149,183,629,639,651,0,0,0),('management',652,639,'admin/structure/taxonomy/%/fields/%/widget-type','admin/structure/taxonomy/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,18,149,183,629,639,652,0,0,0),('management',653,640,'admin/config/people/accounts/fields/%/delete','admin/config/people/accounts/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,7,35,49,630,640,653,0,0,0),('management',654,640,'admin/config/people/accounts/fields/%/edit','admin/config/people/accounts/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,7,35,49,630,640,654,0,0,0),('management',655,640,'admin/config/people/accounts/fields/%/field-settings','admin/config/people/accounts/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,7,35,49,630,640,655,0,0,0),('management',656,640,'admin/config/people/accounts/fields/%/widget-type','admin/config/people/accounts/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,7,35,49,630,640,656,0,0,0),('management',657,213,'admin/structure/types/manage/%/comment/display/default','admin/structure/types/manage/%/comment/display/default','Default','a:0:{}','system',-1,0,0,0,-10,6,0,1,18,25,86,213,657,0,0,0,0),('management',658,213,'admin/structure/types/manage/%/comment/display/full','admin/structure/types/manage/%/comment/display/full','Full comment','a:0:{}','system',-1,0,0,0,0,6,0,1,18,25,86,213,658,0,0,0,0),('management',659,213,'admin/structure/types/manage/%/comment/display/token','admin/structure/types/manage/%/comment/display/token','Tokens','a:0:{}','system',-1,0,0,0,1,6,0,1,18,25,86,213,659,0,0,0,0),('management',660,214,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','','a:0:{}','system',0,0,0,0,0,6,0,1,18,25,86,214,660,0,0,0,0),('management',661,648,'admin/structure/types/manage/%/fields/%/delete','admin/structure/types/manage/%/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,18,25,86,634,648,661,0,0,0),('management',662,648,'admin/structure/types/manage/%/fields/%/edit','admin/structure/types/manage/%/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,18,25,86,634,648,662,0,0,0),('management',663,648,'admin/structure/types/manage/%/fields/%/field-settings','admin/structure/types/manage/%/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,18,25,86,634,648,663,0,0,0),('management',664,648,'admin/structure/types/manage/%/fields/%/widget-type','admin/structure/types/manage/%/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,18,25,86,634,648,664,0,0,0),('management',665,660,'admin/structure/types/manage/%/comment/fields/%/delete','admin/structure/types/manage/%/comment/fields/%/delete','Delete','a:0:{}','system',-1,0,0,0,10,7,0,1,18,25,86,214,660,665,0,0,0),('management',666,660,'admin/structure/types/manage/%/comment/fields/%/edit','admin/structure/types/manage/%/comment/fields/%/edit','Edit','a:0:{}','system',-1,0,0,0,0,7,0,1,18,25,86,214,660,666,0,0,0),('management',667,660,'admin/structure/types/manage/%/comment/fields/%/field-settings','admin/structure/types/manage/%/comment/fields/%/field-settings','Field settings','a:0:{}','system',-1,0,0,0,0,7,0,1,18,25,86,214,660,667,0,0,0),('management',668,660,'admin/structure/types/manage/%/comment/fields/%/widget-type','admin/structure/types/manage/%/comment/fields/%/widget-type','Widget type','a:0:{}','system',-1,0,0,0,0,7,0,1,18,25,86,214,660,668,0,0,0);
/*!40000 ALTER TABLE `menu_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `menu_router`
--

DROP TABLE IF EXISTS `menu_router`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `menu_router` (
  `path` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: the Drupal path this entry describes',
  `load_functions` blob NOT NULL COMMENT 'A serialized array of function names (like node_load) to be called to load an object corresponding to a part of the current path.',
  `to_arg_functions` blob NOT NULL COMMENT 'A serialized array of function names (like user_uid_optional_to_arg) to be called to replace a part of the router path with another string.',
  `access_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The callback which determines the access to this router path. Defaults to user_access.',
  `access_arguments` blob COMMENT 'A serialized array of arguments for the access callback.',
  `page_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that renders the page.',
  `page_arguments` blob COMMENT 'A serialized array of arguments for the page callback.',
  `delivery_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function that sends the result of the page_callback function to the browser.',
  `fit` int(11) NOT NULL DEFAULT '0' COMMENT 'A numeric representation of how specific the path is.',
  `number_parts` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Number of parts in this router path.',
  `context` int(11) NOT NULL DEFAULT '0' COMMENT 'Only for local tasks (tabs) - the context of a local task to control its placement.',
  `tab_parent` varchar(255) NOT NULL DEFAULT '' COMMENT 'Only for local tasks (tabs) - the router path of the parent page (which may also be a local task).',
  `tab_root` varchar(255) NOT NULL DEFAULT '' COMMENT 'Router path of the closest non-tab parent page. For pages that are not local tasks, this will be the same as the path.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title for the current page, or the title for the tab if this is a local task.',
  `title_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which will alter the title. Defaults to t()',
  `title_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the title callback. If empty, the title will be used as the sole argument for the title callback.',
  `theme_callback` varchar(255) NOT NULL DEFAULT '' COMMENT 'A function which returns the name of the theme that will be used to render this page. If left empty, the default theme will be used.',
  `theme_arguments` varchar(255) NOT NULL DEFAULT '' COMMENT 'A serialized array of arguments for the theme callback.',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT 'Numeric representation of the type of the menu item, like MENU_LOCAL_TASK.',
  `description` text NOT NULL COMMENT 'A description of this item.',
  `position` varchar(255) NOT NULL DEFAULT '' COMMENT 'The position of the block (left or right) on the system administration page for this item.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'Weight of the element. Lighter weights are higher up, heavier weights go down.',
  `include_file` mediumtext COMMENT 'The file to include for this element, usually the page callback function lives in this file.',
  PRIMARY KEY (`path`),
  KEY `fit` (`fit`),
  KEY `tab_parent` (`tab_parent`(64),`weight`,`title`),
  KEY `tab_root_weight_title` (`tab_root`(64),`weight`,`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps paths to various callbacks (access, page and title)';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_router`
--

LOCK TABLES `menu_router` WRITE;
/*!40000 ALTER TABLE `menu_router` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `menu_router` VALUES ('admin','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',1,1,0,'','admin','Administration','t','','','a:0:{}',6,'','',9,'modules/system/system.admin.inc'),('admin/appearance','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',3,2,0,'','admin/appearance','Appearance','t','','','a:0:{}',6,'Select and configure your themes.','left',-6,'modules/system/system.admin.inc'),('admin/appearance/default','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_default','a:0:{}','',7,3,0,'','admin/appearance/default','Set default theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/disable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_disable','a:0:{}','',7,3,0,'','admin/appearance/disable','Disable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/enable','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_theme_enable','a:0:{}','',7,3,0,'','admin/appearance/enable','Enable theme','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/appearance/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Install new theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/appearance/list','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','system_themes_page','a:0:{}','',7,3,1,'admin/appearance','admin/appearance','List','t','','','a:0:{}',140,'Select and configure your theme','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',7,3,1,'admin/appearance','admin/appearance','Settings','t','','','a:0:{}',132,'Configure default and theme specific settings.','',20,'modules/system/system.admin.inc'),('admin/appearance/settings/bartik','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:6:\"bartik\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Bartik','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/garland','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:7:\"garland\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Garland','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/global','','','user_access','a:1:{i:0;s:17:\"administer themes\";}','drupal_get_form','a:1:{i:0;s:21:\"system_theme_settings\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Global settings','t','','','a:0:{}',140,'','',-1,'modules/system/system.admin.inc'),('admin/appearance/settings/photo','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:33:\"sites/all/themes/photo/photo.info\";s:4:\"name\";s:5:\"photo\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:20:{s:4:\"name\";s:5:\"Photo\";s:11:\"description\";s:16:\"Theme for Photo.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:13:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:57:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:63:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap-theme.css\";s:39:\"vendor/fontawesome/css/font-awesome.css\";s:62:\"sites/all/themes/photo/vendor/fontawesome/css/font-awesome.css\";s:41:\"vendor/light-gallery/css/lightGallery.css\";s:64:\"sites/all/themes/photo/vendor/light-gallery/css/lightGallery.css\";s:54:\"vendor/responsive_gallery/jquery-responsiveGallery.css\";s:77:\"sites/all/themes/photo/vendor/responsive_gallery/jquery-responsiveGallery.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/photo/fonts/stylesheet.css\";s:15:\"css/animate.css\";s:38:\"sites/all/themes/photo/css/animate.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/photo/css/html.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/photo/css/base.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/photo/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/photo/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/photo/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/photo/css/page.css\";}}s:23:\"stylesheets-conditional\";a:1:{s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}}s:7:\"scripts\";a:14:{s:26:\"vendor/modernizr.custom.js\";s:49:\"sites/all/themes/photo/vendor/modernizr.custom.js\";s:15:\"js/jquery-ui.js\";s:38:\"sites/all/themes/photo/js/jquery-ui.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:59:\"sites/all/themes/photo/vendor/bootstrap/js/bootstrap.min.js\";s:23:\"vendor/jquery.cookie.js\";s:46:\"sites/all/themes/photo/vendor/jquery.cookie.js\";s:30:\"vendor/jquery.smooth-scroll.js\";s:53:\"sites/all/themes/photo/vendor/jquery.smooth-scroll.js\";s:28:\"vendor/uikit/js/uikit.min.js\";s:51:\"sites/all/themes/photo/vendor/uikit/js/uikit.min.js\";s:53:\"vendor/responsive_gallery/jquery.responsiveGallery.js\";s:76:\"sites/all/themes/photo/vendor/responsive_gallery/jquery.responsiveGallery.js\";s:39:\"vendor/light-gallery/js/lightGallery.js\";s:62:\"sites/all/themes/photo/vendor/light-gallery/js/lightGallery.js\";s:18:\"js/isotope.pkgd.js\";s:41:\"sites/all/themes/photo/js/isotope.pkgd.js\";s:22:\"js/masonry.pkgd.min.js\";s:45:\"sites/all/themes/photo/js/masonry.pkgd.min.js\";s:22:\"js/jquery.film_roll.js\";s:45:\"sites/all/themes/photo/js/jquery.film_roll.js\";s:19:\"js/colorbox_load.js\";s:42:\"sites/all/themes/photo/js/colorbox_load.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/photo/js/weebpal.js\";s:11:\"js/photo.js\";s:34:\"sites/all/themes/photo/js/photo.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:7:\"content\";s:7:\"Content\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:9:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";s:25:\"panel_highlighted_1_width\";s:1:\"4\";s:25:\"panel_highlighted_3_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:3:\"red\";s:3:\"Red\";s:9:\"dark_blue\";s:9:\"Dark Blue\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";s:4:\"cyan\";s:4:\"Cyan\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:37:\"sites/all/themes/photo/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499939305;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:13:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:57:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:63:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap-theme.css\";s:39:\"vendor/fontawesome/css/font-awesome.css\";s:62:\"sites/all/themes/photo/vendor/fontawesome/css/font-awesome.css\";s:41:\"vendor/light-gallery/css/lightGallery.css\";s:64:\"sites/all/themes/photo/vendor/light-gallery/css/lightGallery.css\";s:54:\"vendor/responsive_gallery/jquery-responsiveGallery.css\";s:77:\"sites/all/themes/photo/vendor/responsive_gallery/jquery-responsiveGallery.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/photo/fonts/stylesheet.css\";s:15:\"css/animate.css\";s:38:\"sites/all/themes/photo/css/animate.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/photo/css/html.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/photo/css/base.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/photo/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/photo/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/photo/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/photo/css/page.css\";}}s:7:\"scripts\";a:14:{s:26:\"vendor/modernizr.custom.js\";s:49:\"sites/all/themes/photo/vendor/modernizr.custom.js\";s:15:\"js/jquery-ui.js\";s:38:\"sites/all/themes/photo/js/jquery-ui.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:59:\"sites/all/themes/photo/vendor/bootstrap/js/bootstrap.min.js\";s:23:\"vendor/jquery.cookie.js\";s:46:\"sites/all/themes/photo/vendor/jquery.cookie.js\";s:30:\"vendor/jquery.smooth-scroll.js\";s:53:\"sites/all/themes/photo/vendor/jquery.smooth-scroll.js\";s:28:\"vendor/uikit/js/uikit.min.js\";s:51:\"sites/all/themes/photo/vendor/uikit/js/uikit.min.js\";s:53:\"vendor/responsive_gallery/jquery.responsiveGallery.js\";s:76:\"sites/all/themes/photo/vendor/responsive_gallery/jquery.responsiveGallery.js\";s:39:\"vendor/light-gallery/js/lightGallery.js\";s:62:\"sites/all/themes/photo/vendor/light-gallery/js/lightGallery.js\";s:18:\"js/isotope.pkgd.js\";s:41:\"sites/all/themes/photo/js/isotope.pkgd.js\";s:22:\"js/masonry.pkgd.min.js\";s:45:\"sites/all/themes/photo/js/masonry.pkgd.min.js\";s:22:\"js/jquery.film_roll.js\";s:45:\"sites/all/themes/photo/js/jquery.film_roll.js\";s:19:\"js/colorbox_load.js\";s:42:\"sites/all/themes/photo/js/colorbox_load.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/photo/js/weebpal.js\";s:11:\"js/photo.js\";s:34:\"sites/all/themes/photo/js/photo.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"photo\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Photo','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/seven','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"seven\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Seven','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/stark','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:5:\"stark\";}','',15,4,1,'admin/appearance/settings','admin/appearance','Stark','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/settings/we_backend','','','_system_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','drupal_get_form','a:2:{i:0;s:21:\"system_theme_settings\";i:1;s:10:\"we_backend\";}','',15,4,1,'admin/appearance/settings','admin/appearance','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/system/system.admin.inc'),('admin/appearance/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:5:\"theme\";}','',7,3,1,'admin/appearance','admin/appearance','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/compact','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_compact_page','a:0:{}','',3,2,0,'','admin/compact','Compact mode','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_config_page','a:0:{}','',3,2,0,'','admin/config','Configuration','t','','','a:0:{}',6,'Administer settings.','',0,'modules/system/system.admin.inc'),('admin/config/administration','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/administration','Administration','t','','','a:0:{}',6,'Administration tools.','',0,'modules/system/system.admin.inc'),('admin/config/administration/admin_menu','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"admin_menu_theme_settings\";}','',15,4,0,'','admin/config/administration/admin_menu','Administration menu','t','','','a:0:{}',6,'Adjust administration menu settings.','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('admin/config/content','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/content','Content authoring','t','','','a:0:{}',6,'Settings related to formatting and authoring content.','left',-15,'modules/system/system.admin.inc'),('admin/config/content/exclude_node_title','','','user_access','a:1:{i:0;s:29:\"administer exclude node title\";}','drupal_get_form','a:1:{i:0;s:33:\"exclude_node_title_admin_settings\";}','',15,4,0,'','admin/config/content/exclude_node_title','Exclude Node Title','t','','','a:0:{}',6,'Exclude Node Title from display','',0,'sites/all/modules/exclude_node_title/exclude_node_title.admin.inc'),('admin/config/content/formats','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',15,4,0,'','admin/config/content/formats','Text formats','t','','','a:0:{}',6,'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%','a:1:{i:4;s:18:\"filter_format_load\";}','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/config/content/formats/%','','filter_admin_format_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/%/disable','a:1:{i:4;s:18:\"filter_format_load\";}','','_filter_disable_format_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:20:\"filter_admin_disable\";i:1;i:4;}','',61,6,0,'','admin/config/content/formats/%/disable','Disable text format','t','','','a:0:{}',6,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/formats/add','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','filter_admin_format_page','a:0:{}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','Add text format','t','','','a:0:{}',388,'','',1,'modules/filter/filter.admin.inc'),('admin/config/content/formats/list','','','user_access','a:1:{i:0;s:18:\"administer filters\";}','drupal_get_form','a:1:{i:0;s:21:\"filter_admin_overview\";}','',31,5,1,'admin/config/content/formats','admin/config/content/formats','List','t','','','a:0:{}',140,'','',0,'modules/filter/filter.admin.inc'),('admin/config/content/title','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"title_admin_settings_form\";}','',15,4,0,'','admin/config/content/title','Title settings','t','','','a:0:{}',6,'Settings for the Title module.','',0,'sites/all/modules/title/title.admin.inc'),('admin/config/content/webform','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:22:\"webform_admin_settings\";}','',15,4,0,'','admin/config/content/webform','Webform settings','t','','','a:0:{}',6,'Global configuration of webform functionality.','',0,'sites/all/modules/webform/includes/webform.admin.inc'),('admin/config/development','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/development','Development','t','','','a:0:{}',6,'Development tools.','right',-10,'modules/system/system.admin.inc'),('admin/config/development/jquery_update','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"jquery_update_settings_form\";}','',15,4,0,'','admin/config/development/jquery_update','jQuery update','t','','','a:0:{}',6,'Configure settings related to the jQuery upgrade, the library path and compression.','',0,''),('admin/config/development/logging','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"system_logging_settings\";}','',15,4,0,'','admin/config/development/logging','Logging and errors','t','','','a:0:{}',6,'Settings for logging and alerts modules. Various modules can route Drupal\'s system events to different destinations, such as syslog, database, email, etc.','',-15,'modules/system/system.admin.inc'),('admin/config/development/maintenance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:28:\"system_site_maintenance_mode\";}','',15,4,0,'','admin/config/development/maintenance','Maintenance mode','t','','','a:0:{}',6,'Take the site offline for maintenance or bring it back online.','',-10,'modules/system/system.admin.inc'),('admin/config/development/performance','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_performance_settings\";}','',15,4,0,'','admin/config/development/performance','Performance','t','','','a:0:{}',6,'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.','',-20,'modules/system/system.admin.inc'),('admin/config/media','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/media','Media','t','','','a:0:{}',6,'Media tools.','left',-10,'modules/system/system.admin.inc'),('admin/config/media/colorbox','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"colorbox_admin_settings\";}','',15,4,0,'','admin/config/media/colorbox','Colorbox','t','','','a:0:{}',6,'Adjust Colorbox settings.','',0,'sites/all/modules/colorbox/colorbox.admin.inc'),('admin/config/media/file-system','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:27:\"system_file_system_settings\";}','',15,4,0,'','admin/config/media/file-system','File system','t','','','a:0:{}',6,'Tell Drupal where to store uploaded files and how they are accessed.','',-10,'modules/system/system.admin.inc'),('admin/config/media/flexslider','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','',15,4,0,'','admin/config/media/flexslider','FlexSlider','t','','','a:0:{}',6,'Administer FlexSlider presets.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/add','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:3:\"add\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:3:\"add\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Add','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/advanced','','','user_access','a:1:{i:0;s:21:\"administer flexslider\";}','drupal_get_form','a:1:{i:0;s:24:\"flexslider_form_settings\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Advanced settings','t','','','a:0:{}',132,'Configure the advanced flexslider module settings.','',2,'sites/all/modules/flexslider/flexslider.admin.inc'),('admin/config/media/flexslider/import','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"import\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"import\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list','','','ctools_export_ui_task_access','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"list\";}','',31,5,1,'admin/config/media/flexslider','admin/config/media/flexslider','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','',62,6,0,'','admin/config/media/flexslider/list/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/clone','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:5:\"clone\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:5:\"clone\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/clone','Clone','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/delete','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/disable','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:7:\"disable\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:7:\"disable\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/edit','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:4:\"edit\";i:2;i:5;}','',125,7,1,'admin/config/media/flexslider/list/%','admin/config/media/flexslider/list/%','Edit','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/enable','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"enable\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"enable\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/export','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"export\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"export\";i:2;i:5;}','',125,7,1,'admin/config/media/flexslider/list/%','admin/config/media/flexslider/list/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/flexslider/list/%/revert','a:1:{i:5;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:27:\"flexslider_ctools_export_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"revert\";i:2;i:5;}','ctools_export_ui_switcher_page','a:3:{i:0;s:27:\"flexslider_ctools_export_ui\";i:1;s:6:\"delete\";i:2;i:5;}','',125,7,0,'','admin/config/media/flexslider/list/%/revert','Revert','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/config/media/image-styles','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',15,4,0,'','admin/config/media/image-styles','Image styles','t','','','a:0:{}',6,'Configure styles that can be used for resizing or adjusting images on display.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/add','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:1:{i:0;s:20:\"image_style_add_form\";}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','Add style','t','','','a:0:{}',388,'Add a new image style.','',2,'modules/image/image.admin.inc'),('admin/config/media/image-styles/delete/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"1\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/delete/%','Delete style','t','','','a:0:{}',6,'Delete an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%','a:1:{i:5;s:16:\"image_style_load\";}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:16:\"image_style_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/edit/%','Edit style','t','','','a:0:{}',6,'Configure an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/add/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:1:{i:0;i:5;}}i:7;a:1:{s:28:\"image_effect_definition_load\";a:1:{i:0;i:5;}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/add/%','Add image effect','t','','','a:0:{}',6,'Add a new effect to a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:17:\"image_effect_form\";i:1;i:5;i:2;i:7;}','',250,8,0,'','admin/config/media/image-styles/edit/%/effects/%','Edit image effect','t','','','a:0:{}',6,'Edit an existing effect within a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/edit/%/effects/%/delete','a:2:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}i:7;a:1:{s:17:\"image_effect_load\";a:2:{i:0;i:5;i:1;s:1:\"3\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:3:{i:0;s:24:\"image_effect_delete_form\";i:1;i:5;i:2;i:7;}','',501,9,0,'','admin/config/media/image-styles/edit/%/effects/%/delete','Delete image effect','t','','','a:0:{}',6,'Delete an existing effect from a style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-styles/list','','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','image_style_list','a:0:{}','',31,5,1,'admin/config/media/image-styles','admin/config/media/image-styles','List','t','','','a:0:{}',140,'List the current image styles on the site.','',1,'modules/image/image.admin.inc'),('admin/config/media/image-styles/revert/%','a:1:{i:5;a:1:{s:16:\"image_style_load\";a:2:{i:0;N;i:1;s:1:\"2\";}}}','','user_access','a:1:{i:0;s:23:\"administer image styles\";}','drupal_get_form','a:2:{i:0;s:23:\"image_style_revert_form\";i:1;i:5;}','',62,6,0,'','admin/config/media/image-styles/revert/%','Revert style','t','','','a:0:{}',6,'Revert an image style.','',0,'modules/image/image.admin.inc'),('admin/config/media/image-toolkit','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:29:\"system_image_toolkit_settings\";}','',15,4,0,'','admin/config/media/image-toolkit','Image toolkit','t','','','a:0:{}',6,'Choose which image toolkit to use if you have installed optional toolkits.','',20,'modules/system/system.admin.inc'),('admin/config/media/juicebox','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:23:\"juicebox_admin_settings\";}','',15,4,0,'','admin/config/media/juicebox','Juicebox','t','','','a:0:{}',6,'Adjust global Juicebox settings.','',0,'sites/all/modules/juicebox/includes/juicebox.admin.inc'),('admin/config/people','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/people','People','t','','','a:0:{}',6,'Configure user accounts.','left',-20,'modules/system/system.admin.inc'),('admin/config/people/accounts','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',15,4,0,'','admin/config/people/accounts','Account settings','t','','','a:0:{}',6,'Configure default behavior of users, including registration requirements, e-mails, fields, and user pictures.','',-10,'modules/user/user.admin.inc'),('admin/config/people/accounts/display','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/default','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:7:\"default\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/full','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:4:\"full\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','User account','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/display/token','','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";i:3;s:5:\"token\";}','',63,6,1,'admin/config/people/accounts/display','admin/config/people/accounts','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields','','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"user\";i:2;s:4:\"user\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/people/accounts/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/delete','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/edit','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/field-settings','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/fields/%/widget-type','a:1:{i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:16:\"administer users\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',125,7,1,'admin/config/people/accounts/fields/%','admin/config/people/accounts/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/config/people/accounts/groups/%/delete','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',125,7,0,'','admin/config/people/accounts/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/people/accounts/groups/%/enable','a:1:{i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"user\";i:1;s:4:\"user\";i:2;s:1:\"0\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',125,7,0,'','admin/config/people/accounts/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/config/people/accounts/settings','','','user_access','a:1:{i:0;s:16:\"administer users\";}','drupal_get_form','a:1:{i:0;s:19:\"user_admin_settings\";}','',31,5,1,'admin/config/people/accounts','admin/config/people/accounts','Settings','t','','','a:0:{}',140,'','',-10,'modules/user/user.admin.inc'),('admin/config/people/ip-blocking','','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','system_ip_blocking','a:0:{}','',15,4,0,'','admin/config/people/ip-blocking','IP address blocking','t','','','a:0:{}',6,'Manage blocked IP addresses.','',10,'modules/system/system.admin.inc'),('admin/config/people/ip-blocking/delete/%','a:1:{i:5;s:15:\"blocked_ip_load\";}','','user_access','a:1:{i:0;s:18:\"block IP addresses\";}','drupal_get_form','a:2:{i:0;s:25:\"system_ip_blocking_delete\";i:1;i:5;}','',62,6,0,'','admin/config/people/ip-blocking/delete/%','Delete IP address','t','','','a:0:{}',6,'','',0,'modules/system/system.admin.inc'),('admin/config/regional','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/regional','Regional and language','t','','','a:0:{}',6,'Regional settings, localization and translation.','left',-5,'modules/system/system.admin.inc'),('admin/config/regional/date-time','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',15,4,0,'','admin/config/regional/date-time','Date and time','t','','','a:0:{}',6,'Configure display formats for date and time.','',-15,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_formats','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Formats','t','','','a:0:{}',132,'Configure display format strings for date and time.','',-9,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:30:\"system_date_delete_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/delete','Delete date format','t','','','a:0:{}',6,'Allow users to delete a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:34:\"system_configure_date_formats_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/formats/%/edit','Edit date format','t','','','a:0:{}',6,'Allow users to edit a configured date format.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"system_configure_date_formats_form\";}','',63,6,1,'admin/config/regional/date-time/formats','admin/config/regional/date-time','Add format','t','','','a:0:{}',388,'Allow users to add additional date formats.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/formats/lookup','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_date_time_lookup','a:0:{}','',63,6,0,'','admin/config/regional/date-time/formats/lookup','Date and time lookup','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/locale','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','locale_date_format_language_overview_page','a:0:{}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Localize','t','','','a:0:{}',132,'Configure date formats for each locale','',-8,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/edit','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:23:\"locale_date_format_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/edit','Localize date formats','t','','','a:0:{}',6,'Configure date formats for each locale','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/locale/%/reset','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:29:\"locale_date_format_reset_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/locale/%/reset','Reset date formats','t','','','a:0:{}',6,'Reset localized date formats to global defaults','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/date-time/types','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_date_time_settings\";}','',31,5,1,'admin/config/regional/date-time','admin/config/regional/date-time','Types','t','','','a:0:{}',140,'Configure display formats for date and time.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/%/delete','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:2:{i:0;s:35:\"system_delete_date_format_type_form\";i:1;i:5;}','',125,7,0,'','admin/config/regional/date-time/types/%/delete','Delete date type','t','','','a:0:{}',6,'Allow users to delete a configured date type.','',0,'modules/system/system.admin.inc'),('admin/config/regional/date-time/types/add','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_add_date_format_type_form\";}','',63,6,1,'admin/config/regional/date-time/types','admin/config/regional/date-time','Add date type','t','','','a:0:{}',388,'Add new date type.','',-10,'modules/system/system.admin.inc'),('admin/config/regional/language','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',15,4,0,'','admin/config/regional/language','Languages','t','','','a:0:{}',6,'Configure languages for content and the user interface.','',-10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/add','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','locale_languages_add_screen','a:0:{}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Add language','t','','','a:0:{}',388,'','',5,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:31:\"locale_languages_configure_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','Detection and selection','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/session','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:38:\"locale_language_providers_session_form\";}','',63,6,0,'','admin/config/regional/language/configure/session','Session language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/configure/url','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:34:\"locale_language_providers_url_form\";}','',63,6,0,'','admin/config/regional/language/configure/url','URL language detection configuration','t','','','a:0:{}',4,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:28:\"locale_languages_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/delete/%','Confirm','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_languages_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/language/edit/%','Edit language','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/language/overview','','','user_access','a:1:{i:0;s:20:\"administer languages\";}','drupal_get_form','a:1:{i:0;s:30:\"locale_languages_overview_form\";}','',31,5,1,'admin/config/regional/language','admin/config/regional/language','List','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:24:\"system_regional_settings\";}','',15,4,0,'','admin/config/regional/settings','Regional settings','t','','','a:0:{}',6,'Settings for the site\'s default time zone and country.','',-20,'modules/system/system.admin.inc'),('admin/config/regional/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',15,4,0,'','admin/config/regional/translate','Translate interface','t','','','a:0:{}',6,'Translate the built in interface and optionally other text.','',-5,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/delete/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_delete_page','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/regional/translate/delete/%','Delete string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/edit/%','a:1:{i:5;N;}','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:2:{i:0;s:26:\"locale_translate_edit_form\";i:1;i:5;}','',62,6,0,'','admin/config/regional/translate/edit/%','Edit string','t','','','a:0:{}',6,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/export','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_export_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Export','t','','','a:0:{}',132,'','',30,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/import','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','drupal_get_form','a:1:{i:0;s:28:\"locale_translate_import_form\";}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Import','t','','','a:0:{}',132,'','',20,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/overview','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_overview_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Overview','t','','','a:0:{}',140,'','',0,'modules/locale/locale.admin.inc'),('admin/config/regional/translate/translate','','','user_access','a:1:{i:0;s:19:\"translate interface\";}','locale_translate_seek_screen','a:0:{}','',31,5,1,'admin/config/regional/translate','admin/config/regional/translate','Translate','t','','','a:0:{}',132,'','',10,'modules/locale/locale.admin.inc'),('admin/config/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/search','Search and metadata','t','','','a:0:{}',6,'Local site search, metadata and SEO.','left',-10,'modules/system/system.admin.inc'),('admin/config/search/clean-urls','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_clean_url_settings\";}','',15,4,0,'','admin/config/search/clean-urls','Clean URLs','t','','','a:0:{}',6,'Enable or disable clean URLs for your site.','',5,'modules/system/system.admin.inc'),('admin/config/search/clean-urls/check','','','1','a:0:{}','drupal_json_output','a:1:{i:0;a:1:{s:6:\"status\";b:1;}}','',31,5,0,'','admin/config/search/clean-urls/check','Clean URL check','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/search/path','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',15,4,0,'','admin/config/search/path','URL aliases','t','','','a:0:{}',6,'Change your site\'s URL paths by aliasing them.','',-5,'modules/path/path.admin.inc'),('admin/config/search/path/add','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','Add alias','t','','','a:0:{}',388,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:2:{i:0;s:25:\"path_admin_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/config/search/path/delete/%','Delete alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/delete_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:21:\"pathauto_admin_delete\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Delete aliases','t','','','a:0:{}',132,'','',40,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/edit/%','a:1:{i:5;s:9:\"path_load\";}','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_edit','a:1:{i:0;i:5;}','',62,6,0,'','admin/config/search/path/edit/%','Edit alias','t','','','a:0:{}',6,'','',0,'modules/path/path.admin.inc'),('admin/config/search/path/list','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','path_admin_overview','a:0:{}','',31,5,1,'admin/config/search/path','admin/config/search/path','List','t','','','a:0:{}',140,'','',-10,'modules/path/path.admin.inc'),('admin/config/search/path/patterns','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_patterns_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Patterns','t','','','a:0:{}',132,'','',10,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/settings','','','user_access','a:1:{i:0;s:19:\"administer pathauto\";}','drupal_get_form','a:1:{i:0;s:22:\"pathauto_settings_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Settings','t','','','a:0:{}',132,'','',20,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/path/update_bulk','','','user_access','a:1:{i:0;s:22:\"administer url aliases\";}','drupal_get_form','a:1:{i:0;s:25:\"pathauto_bulk_update_form\";}','',31,5,1,'admin/config/search/path','admin/config/search/path','Bulk generate','t','','','a:0:{}',132,'','',30,'sites/all/modules/pathauto/pathauto.admin.inc'),('admin/config/search/settings','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:21:\"search_admin_settings\";}','',15,4,0,'','admin/config/search/settings','Search settings','t','','','a:0:{}',6,'Configure relevance settings for search and other indexing options.','',-10,'modules/search/search.admin.inc'),('admin/config/search/settings/reindex','','','user_access','a:1:{i:0;s:17:\"administer search\";}','drupal_get_form','a:1:{i:0;s:22:\"search_reindex_confirm\";}','',31,5,0,'','admin/config/search/settings/reindex','Clear index','t','','','a:0:{}',4,'','',0,'modules/search/search.admin.inc'),('admin/config/services','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/services','Web services','t','','','a:0:{}',6,'Tools related to web services.','right',0,'modules/system/system.admin.inc'),('admin/config/services/rss-publishing','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:25:\"system_rss_feeds_settings\";}','',15,4,0,'','admin/config/services/rss-publishing','RSS publishing','t','','','a:0:{}',6,'Configure the site description, the number of items per feed and whether feeds should be titles/teasers/full-text.','',0,'modules/system/system.admin.inc'),('admin/config/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/system','System','t','','','a:0:{}',6,'General system related configuration.','right',-20,'modules/system/system.admin.inc'),('admin/config/system/actions','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',15,4,0,'','admin/config/system/actions','Actions','t','','','a:0:{}',6,'Manage the actions defined for your site.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/configure','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:1:{i:0;s:24:\"system_actions_configure\";}','',31,5,0,'','admin/config/system/actions/configure','Configure an advanced action','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/delete/%','a:1:{i:5;s:12:\"actions_load\";}','','user_access','a:1:{i:0;s:18:\"administer actions\";}','drupal_get_form','a:2:{i:0;s:26:\"system_actions_delete_form\";i:1;i:5;}','',62,6,0,'','admin/config/system/actions/delete/%','Delete action','t','','','a:0:{}',6,'Delete an action.','',0,'modules/system/system.admin.inc'),('admin/config/system/actions/manage','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_manage','a:0:{}','',31,5,1,'admin/config/system/actions','admin/config/system/actions','Manage actions','t','','','a:0:{}',140,'Manage the actions defined for your site.','',-2,'modules/system/system.admin.inc'),('admin/config/system/actions/orphan','','','user_access','a:1:{i:0;s:18:\"administer actions\";}','system_actions_remove_orphans','a:0:{}','',31,5,0,'','admin/config/system/actions/orphan','Remove orphans','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/config/system/cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:20:\"system_cron_settings\";}','',15,4,0,'','admin/config/system/cron','Cron','t','','','a:0:{}',6,'Manage automatic site maintenance tasks.','',20,'modules/system/system.admin.inc'),('admin/config/system/site-information','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"system_site_information_settings\";}','',15,4,0,'','admin/config/system/site-information','Site information','t','','','a:0:{}',6,'Change site name, e-mail address, slogan, default front page, and number of posts per page, error pages.','',-20,'modules/system/system.admin.inc'),('admin/config/user-interface','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/user-interface','User interface','t','','','a:0:{}',6,'Tools that enhance the user interface.','right',-15,'modules/system/system.admin.inc'),('admin/config/user-interface/modulefilter','','','user_access','a:1:{i:0;s:24:\"administer module filter\";}','drupal_get_form','a:1:{i:0;s:22:\"module_filter_settings\";}','',15,4,0,'','admin/config/user-interface/modulefilter','Module filter','t','','','a:0:{}',6,'Configure how the modules page looks and acts.','',0,'sites/all/modules/module_filter/module_filter.admin.inc'),('admin/config/user-interface/shortcut','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','shortcut_set_admin','a:0:{}','',15,4,0,'','admin/config/user-interface/shortcut','Shortcuts','t','','','a:0:{}',6,'Add and modify shortcut sets.','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',30,5,0,'','admin/config/user-interface/shortcut/%','Edit shortcuts','shortcut_set_title_callback','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:17:\"shortcut_link_add\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Add shortcut','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/add-link-inline','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','shortcut_link_add_inline','a:1:{i:0;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/add-link-inline','Add shortcut','t','','','a:0:{}',0,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/delete','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_delete_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:24:\"shortcut_set_delete_form\";i:1;i:4;}','',61,6,0,'','admin/config/user-interface/shortcut/%/delete','Delete shortcut set','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/edit','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_edit_form\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','Edit set name','t','','','a:0:{}',132,'','',10,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/%/links','a:1:{i:4;s:17:\"shortcut_set_load\";}','','shortcut_set_edit_access','a:1:{i:0;i:4;}','drupal_get_form','a:2:{i:0;s:22:\"shortcut_set_customize\";i:1;i:4;}','',61,6,1,'admin/config/user-interface/shortcut/%','admin/config/user-interface/shortcut/%','List links','t','','','a:0:{}',140,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/add-set','','','user_access','a:1:{i:0;s:20:\"administer shortcuts\";}','drupal_get_form','a:1:{i:0;s:21:\"shortcut_set_add_form\";}','',31,5,1,'admin/config/user-interface/shortcut','admin/config/user-interface/shortcut','Add shortcut set','t','','','a:0:{}',388,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:18:\"shortcut_link_edit\";i:1;i:5;}','',62,6,0,'','admin/config/user-interface/shortcut/link/%','Edit shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/user-interface/shortcut/link/%/delete','a:1:{i:5;s:14:\"menu_link_load\";}','','shortcut_link_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:20:\"shortcut_link_delete\";i:1;i:5;}','',125,7,0,'','admin/config/user-interface/shortcut/link/%/delete','Delete shortcut','t','','','a:0:{}',6,'','',0,'modules/shortcut/shortcut.admin.inc'),('admin/config/workflow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',7,3,0,'','admin/config/workflow','Workflow','t','','','a:0:{}',6,'Content workflow, editorial workflow tools.','right',5,'modules/system/system.admin.inc'),('admin/content','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',3,2,0,'','admin/content','Content','t','','','a:0:{}',6,'Administer content and comments.','',-10,'modules/node/node.admin.inc'),('admin/content/comment','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',7,3,1,'admin/content','admin/content','Comments','t','','','a:0:{}',134,'List and edit site comments and the comment approval queue.','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/approval','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:1:{i:0;s:8:\"approval\";}','',15,4,1,'admin/content/comment','admin/content','Unapproved comments','comment_count_unpublished','','','a:0:{}',132,'','',0,'modules/comment/comment.admin.inc'),('admin/content/comment/new','','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_admin','a:0:{}','',15,4,1,'admin/content/comment','admin/content','Published comments','t','','','a:0:{}',140,'','',-10,'modules/comment/comment.admin.inc'),('admin/content/node','','','user_access','a:1:{i:0;s:23:\"access content overview\";}','drupal_get_form','a:1:{i:0;s:18:\"node_admin_content\";}','',7,3,1,'admin/content','admin/content','Content','t','','','a:0:{}',140,'','',-10,'modules/node/node.admin.inc'),('admin/content/webform','','','user_access','a:1:{i:0;s:26:\"access all webform results\";}','webform_admin_content','a:0:{}','',7,3,1,'admin/content','admin/content','Webforms','t','','','a:0:{}',132,'View and edit all the available webforms on your site.','',0,'sites/all/modules/webform/includes/webform.admin.inc'),('admin/dashboard','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:0:{}','',3,2,0,'','admin/dashboard','Dashboard','t','','','a:0:{}',6,'View and customize your dashboard.','',-15,''),('admin/dashboard/block-content/%/%','a:2:{i:3;N;i:4;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_block_content','a:2:{i:0;i:3;i:1;i:4;}','',28,5,0,'','admin/dashboard/block-content/%/%','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/configure','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_admin_blocks','a:0:{}','',7,3,0,'','admin/dashboard/configure','Configure available dashboard blocks','t','','','a:0:{}',4,'Configure which blocks can be shown on the dashboard.','',0,''),('admin/dashboard/customize','','','user_access','a:1:{i:0;s:16:\"access dashboard\";}','dashboard_admin','a:1:{i:0;b:1;}','',7,3,0,'','admin/dashboard/customize','Customize dashboard','t','','','a:0:{}',4,'Customize your dashboard.','',0,''),('admin/dashboard/drawer','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_show_disabled','a:0:{}','',7,3,0,'','admin/dashboard/drawer','','t','','','a:0:{}',0,'','',0,''),('admin/dashboard/update','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','dashboard_update','a:0:{}','',7,3,0,'','admin/dashboard/update','','t','','','a:0:{}',0,'','',0,''),('admin/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_main','a:0:{}','',3,2,0,'','admin/help','Help','t','','','a:0:{}',6,'Reference for usage, configuration, and modules.','',9,'modules/help/help.admin.inc'),('admin/help/admin_menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/admin_menu','admin_menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/block','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/block','block','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/blog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/blog','blog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/color','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/color','color','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/comment','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/comment','comment','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/contextual','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/contextual','contextual','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dashboard','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dashboard','dashboard','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/dblog','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/dblog','dblog','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field','field','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_sql_storage','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_sql_storage','field_sql_storage','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/field_ui','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/field_ui','field_ui','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/file','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/file','file','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/filter','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/filter','filter','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/flexslider','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/flexslider','flexslider','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/help','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/help','help','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/image','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/image','image','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/jquery_update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/jquery_update','jquery_update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/libraries','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/libraries','libraries','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/list','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/list','list','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/locale','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/locale','locale','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/menu','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/menu','menu','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/node','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/node','node','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/number','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/number','number','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/options','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/options','options','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/overlay','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/overlay','overlay','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/path','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/path','path','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/pathauto','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/pathauto','pathauto','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/quicktabs','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/quicktabs','quicktabs','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/rdf','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/rdf','rdf','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/search','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/search','search','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/shortcut','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/shortcut','shortcut','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/system','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/system','system','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/taxonomy','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/taxonomy','taxonomy','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/text','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/text','text','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/title','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/title','title','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/token','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/token','token','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/update','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/update','update','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/user','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/user','user','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow','views_slideshow','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/views_slideshow_cycle','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/views_slideshow_cycle','views_slideshow_cycle','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/help/webform','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','help_page','a:1:{i:0;i:2;}','',7,3,0,'','admin/help/webform','webform','t','','','a:0:{}',4,'','',0,'modules/help/help.admin.inc'),('admin/index','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_index','a:0:{}','',3,2,1,'admin','admin','Index','t','','','a:0:{}',132,'','',-18,'modules/system/system.admin.inc'),('admin/modules','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',3,2,0,'','admin/modules','Modules','t','','','a:0:{}',6,'Extend site functionality.','',-2,'modules/system/system.admin.inc'),('admin/modules/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Install new module','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/modules/list','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',7,3,1,'admin/modules','admin/modules','List','t','','','a:0:{}',140,'','',0,'modules/system/system.admin.inc'),('admin/modules/list/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:14:\"system_modules\";}','',15,4,0,'','admin/modules/list/confirm','List','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/uninstall','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',7,3,1,'admin/modules','admin/modules','Uninstall','t','','','a:0:{}',132,'','',20,'modules/system/system.admin.inc'),('admin/modules/uninstall/confirm','','','user_access','a:1:{i:0;s:18:\"administer modules\";}','drupal_get_form','a:1:{i:0;s:24:\"system_modules_uninstall\";}','',15,4,0,'','admin/modules/uninstall/confirm','Uninstall','t','','','a:0:{}',4,'','',0,'modules/system/system.admin.inc'),('admin/modules/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"module\";}','',7,3,1,'admin/modules','admin/modules','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',3,2,0,'','admin/people','People','t','','','a:0:{}',6,'Manage user accounts, roles, and permissions.','left',-4,'modules/user/user.admin.inc'),('admin/people/create','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:6:\"create\";}','',7,3,1,'admin/people','admin/people','Add user','t','','','a:0:{}',388,'','',0,'modules/user/user.admin.inc'),('admin/people/people','','','user_access','a:1:{i:0;s:16:\"administer users\";}','user_admin','a:1:{i:0;s:4:\"list\";}','',7,3,1,'admin/people','admin/people','List','t','','','a:0:{}',140,'Find and manage people interacting with your site.','',-10,'modules/user/user.admin.inc'),('admin/people/permissions','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',7,3,1,'admin/people','admin/people','Permissions','t','','','a:0:{}',132,'Determine access to features by selecting permissions for roles.','',0,'modules/user/user.admin.inc'),('admin/people/permissions/list','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:22:\"user_admin_permissions\";}','',15,4,1,'admin/people/permissions','admin/people','Permissions','t','','','a:0:{}',140,'Determine access to features by selecting permissions for roles.','',-8,'modules/user/user.admin.inc'),('admin/people/permissions/roles','','','user_access','a:1:{i:0;s:22:\"administer permissions\";}','drupal_get_form','a:1:{i:0;s:16:\"user_admin_roles\";}','',15,4,1,'admin/people/permissions','admin/people','Roles','t','','','a:0:{}',132,'List, edit, or add user roles.','',-5,'modules/user/user.admin.inc'),('admin/people/permissions/roles/delete/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:30:\"user_admin_role_delete_confirm\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/delete/%','Delete role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/people/permissions/roles/edit/%','a:1:{i:5;s:14:\"user_role_load\";}','','user_role_edit_access','a:1:{i:0;i:5;}','drupal_get_form','a:2:{i:0;s:15:\"user_admin_role\";i:1;i:5;}','',62,6,0,'','admin/people/permissions/roles/edit/%','Edit role','t','','','a:0:{}',6,'','',0,'modules/user/user.admin.inc'),('admin/reports','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/reports','Reports','t','','','a:0:{}',6,'View reports, updates, and errors.','left',5,'modules/system/system.admin.inc'),('admin/reports/access-denied','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:13:\"access denied\";}','',7,3,0,'','admin/reports/access-denied','Top \'access denied\' errors','t','','','a:0:{}',6,'View \'access denied\' errors (403s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/dblog','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_overview','a:0:{}','',7,3,0,'','admin/reports/dblog','Recent log messages','t','','','a:0:{}',6,'View events that have recently been logged.','',-1,'modules/dblog/dblog.admin.inc'),('admin/reports/event/%','a:1:{i:3;N;}','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_event','a:1:{i:0;i:3;}','',14,4,0,'','admin/reports/event/%','Details','t','','','a:0:{}',6,'','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/fields','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',7,3,0,'','admin/reports/fields','Field list','t','','','a:0:{}',6,'Overview of fields on all entity types.','',0,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','field_ui_fields_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','List','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/reports/fields/views-fields','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_field_list','a:0:{}','',15,4,1,'admin/reports/fields','admin/reports/fields','Used in views','t','','','a:0:{}',132,'Overview of fields used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/reports/libraries','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','drupal_get_form','a:1:{i:0;s:24:\"libraries_admin_overview\";}','',7,3,0,'','admin/reports/libraries','Libraries','t','','','a:0:{}',6,'An overview of libraries installed on this site.','',0,'sites/all/modules/libraries/libraries.admin.inc'),('admin/reports/libraries/%','a:1:{i:3;s:17:\"libraries_ui_load\";}','','user_access','a:1:{i:0;s:19:\"access site reports\";}','drupal_get_form','a:2:{i:0;s:35:\"libraries_admin_library_status_form\";i:1;i:3;}','',14,4,0,'','admin/reports/libraries/%','Library status report','t','','','a:0:{}',6,'Status overview for a single library','',0,'sites/all/modules/libraries/libraries.admin.inc'),('admin/reports/page-not-found','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:14:\"page not found\";}','',7,3,0,'','admin/reports/page-not-found','Top \'page not found\' errors','t','','','a:0:{}',6,'View \'page not found\' errors (404s).','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/search','','','user_access','a:1:{i:0;s:19:\"access site reports\";}','dblog_top','a:1:{i:0;s:6:\"search\";}','',7,3,0,'','admin/reports/search','Top search phrases','t','','','a:0:{}',6,'View most popular search phrases.','',0,'modules/dblog/dblog.admin.inc'),('admin/reports/status','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_status','a:0:{}','',7,3,0,'','admin/reports/status','Status report','t','','','a:0:{}',6,'Get a status report about your site\'s operation and any detected problems.','',-60,'modules/system/system.admin.inc'),('admin/reports/status/php','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_php','a:0:{}','',15,4,0,'','admin/reports/status/php','PHP','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/status/rebuild','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','drupal_get_form','a:1:{i:0;s:30:\"node_configure_rebuild_confirm\";}','',15,4,0,'','admin/reports/status/rebuild','Rebuild permissions','t','','','a:0:{}',0,'','',0,'modules/node/node.admin.inc'),('admin/reports/status/run-cron','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','system_run_cron','a:0:{}','',15,4,0,'','admin/reports/status/run-cron','Run cron','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('admin/reports/updates','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',7,3,0,'','admin/reports/updates','Available updates','t','','','a:0:{}',6,'Get a status report about available updates for your installed modules and themes.','',-50,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/check','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','update_manual_status','a:0:{}','',15,4,0,'','admin/reports/updates/check','Manual update check','t','','','a:0:{}',0,'','',0,'modules/update/update.fetch.inc'),('admin/reports/updates/install','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:27:\"update_manager_install_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Install new module or theme','t','','','a:0:{}',388,'','',25,'modules/update/update.manager.inc'),('admin/reports/updates/list','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','module_filter_update_status','a:0:{}','',15,4,1,'admin/reports/updates','admin/reports/updates','List','t','','','a:0:{}',140,'','',0,'sites/all/modules/module_filter/module_filter.pages.inc'),('admin/reports/updates/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:15:\"update_settings\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Settings','t','','','a:0:{}',132,'','',50,'modules/update/update.settings.inc'),('admin/reports/updates/update','','','update_manager_access','a:0:{}','drupal_get_form','a:2:{i:0;s:26:\"update_manager_update_form\";i:1;s:6:\"report\";}','',15,4,1,'admin/reports/updates','admin/reports/updates','Update','t','','','a:0:{}',132,'','',10,'modules/update/update.manager.inc'),('admin/reports/views-plugins','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_plugin_list','a:0:{}','',7,3,0,'','admin/reports/views-plugins','Views plugins','t','','','a:0:{}',6,'Overview of plugins used in all views.','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,0,'','admin/structure','Structure','t','','','a:0:{}',6,'Administer blocks, content types, menus, etc.','right',-8,'modules/system/system.admin.inc'),('admin/structure/block','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','block_admin_display','a:1:{i:0;s:5:\"photo\";}','',7,3,0,'','admin/structure/block','Blocks','t','','','a:0:{}',6,'Configure what block content appears in your site\'s sidebars and other regions.','',0,'modules/block/block.admin.inc'),('admin/structure/block/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',15,4,1,'admin/structure/block','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:6:\"bartik\";}','',31,5,0,'','admin/structure/block/demo/bartik','Bartik','t','','_block_custom_theme','a:1:{i:0;s:6:\"bartik\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:7:\"garland\";}','',31,5,0,'','admin/structure/block/demo/garland','Garland','t','','_block_custom_theme','a:1:{i:0;s:7:\"garland\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/photo','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:33:\"sites/all/themes/photo/photo.info\";s:4:\"name\";s:5:\"photo\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:20:{s:4:\"name\";s:5:\"Photo\";s:11:\"description\";s:16:\"Theme for Photo.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:13:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:57:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:63:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap-theme.css\";s:39:\"vendor/fontawesome/css/font-awesome.css\";s:62:\"sites/all/themes/photo/vendor/fontawesome/css/font-awesome.css\";s:41:\"vendor/light-gallery/css/lightGallery.css\";s:64:\"sites/all/themes/photo/vendor/light-gallery/css/lightGallery.css\";s:54:\"vendor/responsive_gallery/jquery-responsiveGallery.css\";s:77:\"sites/all/themes/photo/vendor/responsive_gallery/jquery-responsiveGallery.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/photo/fonts/stylesheet.css\";s:15:\"css/animate.css\";s:38:\"sites/all/themes/photo/css/animate.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/photo/css/html.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/photo/css/base.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/photo/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/photo/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/photo/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/photo/css/page.css\";}}s:23:\"stylesheets-conditional\";a:1:{s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}}s:7:\"scripts\";a:14:{s:26:\"vendor/modernizr.custom.js\";s:49:\"sites/all/themes/photo/vendor/modernizr.custom.js\";s:15:\"js/jquery-ui.js\";s:38:\"sites/all/themes/photo/js/jquery-ui.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:59:\"sites/all/themes/photo/vendor/bootstrap/js/bootstrap.min.js\";s:23:\"vendor/jquery.cookie.js\";s:46:\"sites/all/themes/photo/vendor/jquery.cookie.js\";s:30:\"vendor/jquery.smooth-scroll.js\";s:53:\"sites/all/themes/photo/vendor/jquery.smooth-scroll.js\";s:28:\"vendor/uikit/js/uikit.min.js\";s:51:\"sites/all/themes/photo/vendor/uikit/js/uikit.min.js\";s:53:\"vendor/responsive_gallery/jquery.responsiveGallery.js\";s:76:\"sites/all/themes/photo/vendor/responsive_gallery/jquery.responsiveGallery.js\";s:39:\"vendor/light-gallery/js/lightGallery.js\";s:62:\"sites/all/themes/photo/vendor/light-gallery/js/lightGallery.js\";s:18:\"js/isotope.pkgd.js\";s:41:\"sites/all/themes/photo/js/isotope.pkgd.js\";s:22:\"js/masonry.pkgd.min.js\";s:45:\"sites/all/themes/photo/js/masonry.pkgd.min.js\";s:22:\"js/jquery.film_roll.js\";s:45:\"sites/all/themes/photo/js/jquery.film_roll.js\";s:19:\"js/colorbox_load.js\";s:42:\"sites/all/themes/photo/js/colorbox_load.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/photo/js/weebpal.js\";s:11:\"js/photo.js\";s:34:\"sites/all/themes/photo/js/photo.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:7:\"content\";s:7:\"Content\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:9:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";s:25:\"panel_highlighted_1_width\";s:1:\"4\";s:25:\"panel_highlighted_3_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:3:\"red\";s:3:\"Red\";s:9:\"dark_blue\";s:9:\"Dark Blue\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";s:4:\"cyan\";s:4:\"Cyan\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:37:\"sites/all/themes/photo/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499939305;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:13:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:57:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:63:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap-theme.css\";s:39:\"vendor/fontawesome/css/font-awesome.css\";s:62:\"sites/all/themes/photo/vendor/fontawesome/css/font-awesome.css\";s:41:\"vendor/light-gallery/css/lightGallery.css\";s:64:\"sites/all/themes/photo/vendor/light-gallery/css/lightGallery.css\";s:54:\"vendor/responsive_gallery/jquery-responsiveGallery.css\";s:77:\"sites/all/themes/photo/vendor/responsive_gallery/jquery-responsiveGallery.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/photo/fonts/stylesheet.css\";s:15:\"css/animate.css\";s:38:\"sites/all/themes/photo/css/animate.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/photo/css/html.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/photo/css/base.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/photo/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/photo/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/photo/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/photo/css/page.css\";}}s:7:\"scripts\";a:14:{s:26:\"vendor/modernizr.custom.js\";s:49:\"sites/all/themes/photo/vendor/modernizr.custom.js\";s:15:\"js/jquery-ui.js\";s:38:\"sites/all/themes/photo/js/jquery-ui.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:59:\"sites/all/themes/photo/vendor/bootstrap/js/bootstrap.min.js\";s:23:\"vendor/jquery.cookie.js\";s:46:\"sites/all/themes/photo/vendor/jquery.cookie.js\";s:30:\"vendor/jquery.smooth-scroll.js\";s:53:\"sites/all/themes/photo/vendor/jquery.smooth-scroll.js\";s:28:\"vendor/uikit/js/uikit.min.js\";s:51:\"sites/all/themes/photo/vendor/uikit/js/uikit.min.js\";s:53:\"vendor/responsive_gallery/jquery.responsiveGallery.js\";s:76:\"sites/all/themes/photo/vendor/responsive_gallery/jquery.responsiveGallery.js\";s:39:\"vendor/light-gallery/js/lightGallery.js\";s:62:\"sites/all/themes/photo/vendor/light-gallery/js/lightGallery.js\";s:18:\"js/isotope.pkgd.js\";s:41:\"sites/all/themes/photo/js/isotope.pkgd.js\";s:22:\"js/masonry.pkgd.min.js\";s:45:\"sites/all/themes/photo/js/masonry.pkgd.min.js\";s:22:\"js/jquery.film_roll.js\";s:45:\"sites/all/themes/photo/js/jquery.film_roll.js\";s:19:\"js/colorbox_load.js\";s:42:\"sites/all/themes/photo/js/colorbox_load.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/photo/js/weebpal.js\";s:11:\"js/photo.js\";s:34:\"sites/all/themes/photo/js/photo.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"photo\";}','',31,5,0,'','admin/structure/block/demo/photo','Photo','t','','_block_custom_theme','a:1:{i:0;s:5:\"photo\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"seven\";}','',31,5,0,'','admin/structure/block/demo/seven','Seven','t','','_block_custom_theme','a:1:{i:0;s:5:\"seven\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:5:\"stark\";}','',31,5,0,'','admin/structure/block/demo/stark','Stark','t','','_block_custom_theme','a:1:{i:0;s:5:\"stark\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/demo/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_demo','a:1:{i:0;s:10:\"we_backend\";}','',31,5,0,'','admin/structure/block/demo/we_backend','WeebPal Backend theme','t','','_block_custom_theme','a:1:{i:0;s:10:\"we_backend\";}',0,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:25:\"themes/bartik/bartik.info\";s:4:\"name\";s:6:\"bartik\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:6:\"bartik\";}','',31,5,1,'admin/structure/block','admin/structure/block','Bartik','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/bartik/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/bartik','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:27:\"themes/garland/garland.info\";s:4:\"name\";s:7:\"garland\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:7:\"garland\";}','',31,5,1,'admin/structure/block','admin/structure/block','Garland','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/garland/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/garland','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/photo','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:33:\"sites/all/themes/photo/photo.info\";s:4:\"name\";s:5:\"photo\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:20:{s:4:\"name\";s:5:\"Photo\";s:11:\"description\";s:16:\"Theme for Photo.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:13:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:57:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:63:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap-theme.css\";s:39:\"vendor/fontawesome/css/font-awesome.css\";s:62:\"sites/all/themes/photo/vendor/fontawesome/css/font-awesome.css\";s:41:\"vendor/light-gallery/css/lightGallery.css\";s:64:\"sites/all/themes/photo/vendor/light-gallery/css/lightGallery.css\";s:54:\"vendor/responsive_gallery/jquery-responsiveGallery.css\";s:77:\"sites/all/themes/photo/vendor/responsive_gallery/jquery-responsiveGallery.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/photo/fonts/stylesheet.css\";s:15:\"css/animate.css\";s:38:\"sites/all/themes/photo/css/animate.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/photo/css/html.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/photo/css/base.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/photo/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/photo/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/photo/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/photo/css/page.css\";}}s:23:\"stylesheets-conditional\";a:1:{s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}}s:7:\"scripts\";a:14:{s:26:\"vendor/modernizr.custom.js\";s:49:\"sites/all/themes/photo/vendor/modernizr.custom.js\";s:15:\"js/jquery-ui.js\";s:38:\"sites/all/themes/photo/js/jquery-ui.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:59:\"sites/all/themes/photo/vendor/bootstrap/js/bootstrap.min.js\";s:23:\"vendor/jquery.cookie.js\";s:46:\"sites/all/themes/photo/vendor/jquery.cookie.js\";s:30:\"vendor/jquery.smooth-scroll.js\";s:53:\"sites/all/themes/photo/vendor/jquery.smooth-scroll.js\";s:28:\"vendor/uikit/js/uikit.min.js\";s:51:\"sites/all/themes/photo/vendor/uikit/js/uikit.min.js\";s:53:\"vendor/responsive_gallery/jquery.responsiveGallery.js\";s:76:\"sites/all/themes/photo/vendor/responsive_gallery/jquery.responsiveGallery.js\";s:39:\"vendor/light-gallery/js/lightGallery.js\";s:62:\"sites/all/themes/photo/vendor/light-gallery/js/lightGallery.js\";s:18:\"js/isotope.pkgd.js\";s:41:\"sites/all/themes/photo/js/isotope.pkgd.js\";s:22:\"js/masonry.pkgd.min.js\";s:45:\"sites/all/themes/photo/js/masonry.pkgd.min.js\";s:22:\"js/jquery.film_roll.js\";s:45:\"sites/all/themes/photo/js/jquery.film_roll.js\";s:19:\"js/colorbox_load.js\";s:42:\"sites/all/themes/photo/js/colorbox_load.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/photo/js/weebpal.js\";s:11:\"js/photo.js\";s:34:\"sites/all/themes/photo/js/photo.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:7:\"content\";s:7:\"Content\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:9:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";s:25:\"panel_highlighted_1_width\";s:1:\"4\";s:25:\"panel_highlighted_3_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:3:\"red\";s:3:\"Red\";s:9:\"dark_blue\";s:9:\"Dark Blue\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";s:4:\"cyan\";s:4:\"Cyan\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:37:\"sites/all/themes/photo/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499939305;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:13:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:57:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:63:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap-theme.css\";s:39:\"vendor/fontawesome/css/font-awesome.css\";s:62:\"sites/all/themes/photo/vendor/fontawesome/css/font-awesome.css\";s:41:\"vendor/light-gallery/css/lightGallery.css\";s:64:\"sites/all/themes/photo/vendor/light-gallery/css/lightGallery.css\";s:54:\"vendor/responsive_gallery/jquery-responsiveGallery.css\";s:77:\"sites/all/themes/photo/vendor/responsive_gallery/jquery-responsiveGallery.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/photo/fonts/stylesheet.css\";s:15:\"css/animate.css\";s:38:\"sites/all/themes/photo/css/animate.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/photo/css/html.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/photo/css/base.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/photo/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/photo/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/photo/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/photo/css/page.css\";}}s:7:\"scripts\";a:14:{s:26:\"vendor/modernizr.custom.js\";s:49:\"sites/all/themes/photo/vendor/modernizr.custom.js\";s:15:\"js/jquery-ui.js\";s:38:\"sites/all/themes/photo/js/jquery-ui.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:59:\"sites/all/themes/photo/vendor/bootstrap/js/bootstrap.min.js\";s:23:\"vendor/jquery.cookie.js\";s:46:\"sites/all/themes/photo/vendor/jquery.cookie.js\";s:30:\"vendor/jquery.smooth-scroll.js\";s:53:\"sites/all/themes/photo/vendor/jquery.smooth-scroll.js\";s:28:\"vendor/uikit/js/uikit.min.js\";s:51:\"sites/all/themes/photo/vendor/uikit/js/uikit.min.js\";s:53:\"vendor/responsive_gallery/jquery.responsiveGallery.js\";s:76:\"sites/all/themes/photo/vendor/responsive_gallery/jquery.responsiveGallery.js\";s:39:\"vendor/light-gallery/js/lightGallery.js\";s:62:\"sites/all/themes/photo/vendor/light-gallery/js/lightGallery.js\";s:18:\"js/isotope.pkgd.js\";s:41:\"sites/all/themes/photo/js/isotope.pkgd.js\";s:22:\"js/masonry.pkgd.min.js\";s:45:\"sites/all/themes/photo/js/masonry.pkgd.min.js\";s:22:\"js/jquery.film_roll.js\";s:45:\"sites/all/themes/photo/js/jquery.film_roll.js\";s:19:\"js/colorbox_load.js\";s:42:\"sites/all/themes/photo/js/colorbox_load.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/photo/js/weebpal.js\";s:11:\"js/photo.js\";s:34:\"sites/all/themes/photo/js/photo.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"photo\";}','',31,5,1,'admin/structure/block','admin/structure/block','Photo','t','','','a:0:{}',140,'','',-10,'modules/block/block.admin.inc'),('admin/structure/block/list/seven','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/seven/seven.info\";s:4:\"name\";s:5:\"seven\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"seven\";}','',31,5,1,'admin/structure/block','admin/structure/block','Seven','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/seven/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/seven','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":12:{s:8:\"filename\";s:23:\"themes/stark/stark.info\";s:4:\"name\";s:5:\"stark\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"0\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:5:\"stark\";}','',31,5,1,'admin/structure/block','admin/structure/block','Stark','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/stark/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/stark','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend','','','_block_themes_access','a:1:{i:0;O:8:\"stdClass\":13:{s:8:\"filename\";s:43:\"sites/all/themes/we_backend/we_backend.info\";s:4:\"name\";s:10:\"we_backend\";s:4:\"type\";s:5:\"theme\";s:5:\"owner\";s:45:\"themes/engines/phptemplate/phptemplate.engine\";s:6:\"status\";s:1:\"1\";s:9:\"bootstrap\";s:1:\"0\";s:14:\"schema_version\";s:2:\"-1\";s:6:\"weight\";s:1:\"0\";s:4:\"info\";a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}s:6:\"prefix\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:6:\"engine\";s:11:\"phptemplate\";}}','block_admin_display','a:1:{i:0;s:10:\"we_backend\";}','',31,5,1,'admin/structure/block','admin/structure/block','WeebPal Backend theme','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/list/we_backend/add','','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:1:{i:0;s:20:\"block_add_block_form\";}','',63,6,1,'admin/structure/block/list/we_backend','admin/structure/block','Add block','t','','','a:0:{}',388,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',6,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/configure','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:21:\"block_admin_configure\";i:1;i:4;i:2;i:5;}','',121,7,2,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Configure block','t','','','a:0:{}',140,'','',0,'modules/block/block.admin.inc'),('admin/structure/block/manage/%/%/delete','a:2:{i:4;N;i:5;N;}','','user_access','a:1:{i:0;s:17:\"administer blocks\";}','drupal_get_form','a:3:{i:0;s:25:\"block_custom_block_delete\";i:1;i:4;i:2;i:5;}','',121,7,0,'admin/structure/block/manage/%/%','admin/structure/block/manage/%/%','Delete block','t','','','a:0:{}',132,'','',0,'modules/block/block.admin.inc'),('admin/structure/menu','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',7,3,0,'','admin/structure/menu','Menus','t','','','a:0:{}',6,'Add new menus to your site, edit existing menus, and rename and reorganize menu links.','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/add','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:14:\"menu_edit_menu\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Add menu','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/delete','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_item_delete_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/item/%/delete','Delete menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/edit','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:4:\"edit\";i:2;i:4;i:3;N;}','',61,6,0,'','admin/structure/menu/item/%/edit','Edit menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/item/%/reset','a:1:{i:4;s:14:\"menu_link_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:23:\"menu_reset_item_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/menu/item/%/reset','Reset menu link','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/list','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_overview_page','a:0:{}','',15,4,1,'admin/structure/menu','admin/structure/menu','List menus','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',30,5,0,'','admin/structure/menu/manage/%','Customize menu','menu_overview_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/add','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:4:{i:0;s:14:\"menu_edit_item\";i:1;s:3:\"add\";i:2;N;i:3;i:4;}','',61,6,1,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Add link','t','','','a:0:{}',388,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/delete','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_delete_menu_page','a:1:{i:0;i:4;}','',61,6,0,'','admin/structure/menu/manage/%/delete','Delete menu','t','','','a:0:{}',6,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/edit','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:3:{i:0;s:14:\"menu_edit_menu\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','Edit menu','t','','','a:0:{}',132,'','',0,'modules/menu/menu.admin.inc'),('admin/structure/menu/manage/%/list','a:1:{i:4;s:9:\"menu_load\";}','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:2:{i:0;s:18:\"menu_overview_form\";i:1;i:4;}','',61,6,3,'admin/structure/menu/manage/%','admin/structure/menu/manage/%','List links','t','','','a:0:{}',140,'','',-10,'modules/menu/menu.admin.inc'),('admin/structure/menu/parents','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','menu_parent_options_js','a:0:{}','',15,4,0,'','admin/structure/menu/parents','Parent menu items','t','','','a:0:{}',0,'','',0,''),('admin/structure/menu/settings','','','user_access','a:1:{i:0;s:15:\"administer menu\";}','drupal_get_form','a:1:{i:0;s:14:\"menu_configure\";}','',15,4,1,'admin/structure/menu','admin/structure/menu','Settings','t','','','a:0:{}',132,'','',5,'modules/menu/menu.admin.inc'),('admin/structure/migrate_content','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',7,3,0,'','admin/structure/migrate_content','Migrate Content','t','','','a:0:{}',6,'Manage Migrate Content.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/create','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:32:\"we_content_migration_export_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Create','t','','','a:0:{}',132,'Migrate Content Create.','',10,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/import-from-upload','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:44:\"we_content_migration_import_from_upload_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Import','t','','','a:0:{}',132,'Upload zip file to import.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/manage','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:31:\"we_content_migration_admin_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Manage','t','','','a:0:{}',140,'Enable and disable entity bundle.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/migrate_content/settings','','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','drupal_get_form','a:1:{i:0;s:34:\"we_content_migration_settings_form\";}','',15,4,1,'admin/structure/migrate_content','admin/structure/migrate_content','Settings','t','','','a:0:{}',132,'Adjust settings for using migrate content module.','',11,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('admin/structure/quicktabs','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_list','a:0:{}','',7,3,0,'','admin/structure/quicktabs','Quicktabs','t','','','a:0:{}',6,'Create blocks of tabbed content.','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/add','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:14:\"quicktabs_form\";i:1;s:3:\"add\";}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','Add Quicktabs Instance','t','','','a:0:{}',388,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/list','','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_list','a:0:{}','',15,4,1,'admin/structure/quicktabs','admin/structure/quicktabs','List quicktabs','t','','','a:0:{}',140,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:3:{i:0;s:14:\"quicktabs_form\";i:1;s:4:\"edit\";i:2;i:4;}','',30,5,0,'','admin/structure/quicktabs/manage/%','Edit quicktab','t','','','a:0:{}',6,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/clone','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','quicktabs_clone','a:1:{i:0;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Clone quicktab','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/delete','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:22:\"quicktabs_block_delete\";i:1;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Delete quicktab','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/edit','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:3:{i:0;s:14:\"quicktabs_form\";i:1;s:4:\"edit\";i:2;i:4;}','',61,6,2,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Edit quicktab','t','','','a:0:{}',140,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/quicktabs/manage/%/export','a:1:{i:4;s:14:\"quicktabs_load\";}','','user_access','a:1:{i:0;s:20:\"administer quicktabs\";}','drupal_get_form','a:2:{i:0;s:21:\"quicktabs_export_form\";i:1;i:4;}','',61,6,1,'admin/structure/quicktabs/manage/%','admin/structure/quicktabs/manage/%','Export','t','','','a:0:{}',132,'','',0,'sites/all/modules/quicktabs/quicktabs.admin.inc'),('admin/structure/taxonomy','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',7,3,0,'','admin/structure/taxonomy','Taxonomy','t','','','a:0:{}',6,'Manage tagging, categorization, and classification of your content.','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',14,4,0,'','admin/structure/taxonomy/%','','entity_label','a:2:{i:0;s:19:\"taxonomy_vocabulary\";i:1;i:3;}','','a:0:{}',6,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/add','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;a:0:{}i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Add term','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/display','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/default','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:7:\"default\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/full','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:4:\"full\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Taxonomy term page','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/display/token','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;s:5:\"token\";}','',59,6,1,'admin/structure/taxonomy/%/display','admin/structure/taxonomy/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/edit','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:24:\"taxonomy_form_vocabulary\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Edit','t','','','a:0:{}',132,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/%/fields','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',58,6,0,'','admin/structure/taxonomy/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:5;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/edit','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/field-settings','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/%/widget-type','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:19:\"administer taxonomy\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:5;}','',117,7,1,'admin/structure/taxonomy/%/fields/%','admin/structure/taxonomy/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/taxonomy/%/fields/replace/%','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:0:{}}i:6;N;}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:4:{i:0;s:28:\"title_field_replacement_form\";i:1;s:13:\"taxonomy_term\";i:2;i:3;i:3;i:6;}','',118,7,0,'','admin/structure/taxonomy/%/fields/replace/%','Replace fields','t','','','a:0:{}',6,'','',0,'sites/all/modules/title/title.admin.inc'),('admin/structure/taxonomy/%/groups/%/delete','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:5;}','',117,7,0,'','admin/structure/taxonomy/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/taxonomy/%/groups/%/enable','a:2:{i:3;a:1:{s:37:\"taxonomy_vocabulary_machine_name_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}i:5;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:13:\"taxonomy_term\";i:1;i:3;i:2;s:1:\"3\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:5;}','',117,7,0,'','admin/structure/taxonomy/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/taxonomy/%/list','a:1:{i:3;s:37:\"taxonomy_vocabulary_machine_name_load\";}','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:2:{i:0;s:23:\"taxonomy_overview_terms\";i:1;i:3;}','',29,5,1,'admin/structure/taxonomy/%','admin/structure/taxonomy/%','List','t','','','a:0:{}',140,'','',-20,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/add','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:24:\"taxonomy_form_vocabulary\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','Add vocabulary','t','','','a:0:{}',388,'','',0,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/taxonomy/list','','','user_access','a:1:{i:0;s:19:\"administer taxonomy\";}','drupal_get_form','a:1:{i:0;s:30:\"taxonomy_overview_vocabularies\";}','',15,4,1,'admin/structure/taxonomy','admin/structure/taxonomy','List','t','','','a:0:{}',140,'','',-10,'modules/taxonomy/taxonomy.admin.inc'),('admin/structure/types','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',7,3,0,'','admin/structure/types','Content types','t','','','a:0:{}',6,'Manage content types, including default status, front page promotion, comment settings, etc.','',0,'modules/node/content_types.inc'),('admin/structure/types/add','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:1:{i:0;s:14:\"node_type_form\";}','',15,4,1,'admin/structure/types','admin/structure/types','Add content type','t','','','a:0:{}',388,'','',0,'modules/node/content_types.inc'),('admin/structure/types/list','','','user_access','a:1:{i:0;s:24:\"administer content types\";}','node_overview_types','a:0:{}','',15,4,1,'admin/structure/types','admin/structure/types','List','t','','','a:0:{}',140,'','',-10,'modules/node/content_types.inc'),('admin/structure/types/manage/%','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',30,5,0,'','admin/structure/types/manage/%','Edit content type','node_type_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/comment/display','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment display','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/default','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:7:\"default\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/full','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:4:\"full\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Full comment','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/display/token','a:1:{i:4;s:22:\"comment_node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;s:5:\"token\";}','',247,8,1,'admin/structure/types/manage/%/comment/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields','a:1:{i:4;s:22:\"comment_node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:7:\"comment\";i:2;i:4;}','',123,7,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Comment fields','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',246,8,0,'','admin/structure/types/manage/%/comment/fields/%','','field_ui_menu_title','a:1:{i:0;i:7;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/edit','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/field-settings','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/%/widget-type','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:7;}','',493,9,1,'admin/structure/types/manage/%/comment/fields/%','admin/structure/types/manage/%/comment/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/comment/fields/replace/%','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:0:{}}i:8;N;}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:28:\"title_field_replacement_form\";i:1;s:7:\"comment\";i:2;i:4;i:3;i:8;}','',494,9,0,'','admin/structure/types/manage/%/comment/fields/replace/%','Replace fields','t','','','a:0:{}',6,'','',0,'sites/all/modules/title/title.admin.inc'),('admin/structure/types/manage/%/comment/groups/%/delete','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:7;}','',493,9,0,'','admin/structure/types/manage/%/comment/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/comment/groups/%/enable','a:2:{i:4;a:1:{s:22:\"comment_node_type_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:7;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:7:\"comment\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:7;}','',493,9,0,'','admin/structure/types/manage/%/comment/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/delete','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:24:\"node_type_delete_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/types/manage/%/delete','Delete','t','','','a:0:{}',6,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/display','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage display','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/default','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:7:\"default\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:7:\"default\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Default','t','','','a:0:{}',140,'','',-10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/full','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:4:\"full\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:4:\"full\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Full content','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/rss','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:3:\"rss\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:3:\"rss\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','RSS','t','','','a:0:{}',132,'','',2,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_index','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:12:\"search_index\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:12:\"search_index\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search index','t','','','a:0:{}',132,'','',3,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/search_result','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:13:\"search_result\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:13:\"search_result\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Search result highlighting input','t','','','a:0:{}',132,'','',4,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/teaser','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:6:\"teaser\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:6:\"teaser\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Teaser','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/display/token','a:1:{i:4;s:14:\"node_type_load\";}','','_field_ui_view_mode_menu_access','a:6:{i:0;s:4:\"node\";i:1;i:4;i:2;s:5:\"token\";i:3;s:21:\"field_ui_admin_access\";i:4;s:11:\"user_access\";i:5;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:4:{i:0;s:30:\"field_ui_display_overview_form\";i:1;s:4:\"node\";i:2;i:4;i:3;s:5:\"token\";}','',123,7,1,'admin/structure/types/manage/%/display','admin/structure/types/manage/%','Tokens','t','','','a:0:{}',132,'','',5,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/edit','a:1:{i:4;s:14:\"node_type_load\";}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:14:\"node_type_form\";i:1;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Edit','t','','','a:0:{}',140,'','',0,'modules/node/content_types.inc'),('admin/structure/types/manage/%/fields','a:1:{i:4;s:14:\"node_type_load\";}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:3:{i:0;s:28:\"field_ui_field_overview_form\";i:1;s:4:\"node\";i:2;i:4;}','',61,6,1,'admin/structure/types/manage/%','admin/structure/types/manage/%','Manage fields','t','','','a:0:{}',132,'','',1,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',122,7,0,'','admin/structure/types/manage/%/fields/%','','field_ui_menu_title','a:1:{i:0;i:6;}','','a:0:{}',6,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:26:\"field_ui_field_delete_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Delete','t','','','a:0:{}',132,'','',10,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/edit','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:24:\"field_ui_field_edit_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Edit','t','','','a:0:{}',140,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/field-settings','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:28:\"field_ui_field_settings_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Field settings','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/%/widget-type','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:18:\"field_ui_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','field_ui_admin_access','a:2:{i:0;s:11:\"user_access\";i:1;a:1:{i:0;s:24:\"administer content types\";}}','drupal_get_form','a:2:{i:0;s:25:\"field_ui_widget_type_form\";i:1;i:6;}','',245,8,1,'admin/structure/types/manage/%/fields/%','admin/structure/types/manage/%/fields/%','Widget type','t','','','a:0:{}',132,'','',0,'modules/field_ui/field_ui.admin.inc'),('admin/structure/types/manage/%/fields/replace/%','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:0:{}}i:7;N;}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:4:{i:0;s:28:\"title_field_replacement_form\";i:1;s:4:\"node\";i:2;i:4;i:3;i:7;}','',246,8,0,'','admin/structure/types/manage/%/fields/replace/%','Replace fields','t','','','a:0:{}',6,'','',0,'sites/all/modules/title/title.admin.inc'),('admin/structure/types/manage/%/groups/%/delete','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_delete_form\";i:1;i:6;}','',245,8,0,'','admin/structure/types/manage/%/groups/%/delete','Delete','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/types/manage/%/groups/%/enable','a:2:{i:4;a:1:{s:14:\"node_type_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}i:6;a:1:{s:21:\"field_group_menu_load\";a:4:{i:0;s:4:\"node\";i:1;i:4;i:2;s:1:\"4\";i:3;s:4:\"%map\";}}}','','user_access','a:1:{i:0;s:24:\"administer content types\";}','drupal_get_form','a:2:{i:0;s:23:\"field_group_enable_form\";i:1;i:6;}','',245,8,0,'','admin/structure/types/manage/%/groups/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/field_group/field_group.field_ui.inc'),('admin/structure/views','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',7,3,0,'','admin/structure/views','Views','t','','','a:0:{}',6,'Manage customized lists of content.','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/add','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add new view','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/add-template','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_add_template_page','a:0:{}','',15,4,1,'admin/structure/views','admin/structure/views','Add view from template','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:1;i:1;i:4;i:2;i:5;}','ajax_deliver',60,6,0,'','admin/structure/views/ajax/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/ajax/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','ajax_deliver',124,7,0,'','admin/structure/views/ajax/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/import','','','views_import_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:20:\"views_ui_import_page\";}','',15,4,1,'admin/structure/views','admin/structure/views','Import','t','','','a:0:{}',388,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/list','','','ctools_export_ui_task_access','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','ctools_export_ui_switcher_page','a:2:{i:0;s:8:\"views_ui\";i:1;s:4:\"list\";}','',15,4,1,'admin/structure/views','admin/structure/views','List','t','','','a:0:{}',140,'','',-10,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/nojs/%/%','a:2:{i:4;N;i:5;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_form','a:3:{i:0;b:0;i:1;i:4;i:2;i:5;}','',60,6,0,'','admin/structure/views/nojs/%/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/nojs/preview/%/%','a:2:{i:5;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_preview','a:2:{i:0;i:5;i:1;i:6;}','',124,7,0,'','admin/structure/views/nojs/preview/%/%','','t','','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',15,4,1,'admin/structure/views','admin/structure/views','Settings','t','','','a:0:{}',132,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/advanced','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:32:\"views_ui_admin_settings_advanced\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Advanced','t','','','a:0:{}',132,'','',1,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/settings/basic','','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:1:{i:0;s:29:\"views_ui_admin_settings_basic\";}','',31,5,1,'admin/structure/views/settings','admin/structure/views','Basic','t','','','a:0:{}',140,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/template/%/add','a:1:{i:4;N;}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:12:\"add_template\";i:2;i:4;}','',61,6,0,'','admin/structure/views/template/%/add','Add from template','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',30,5,0,'','admin/structure/views/view/%','','views_ui_edit_page_title','a:1:{i:0;i:4;}','','a:0:{}',6,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/break-lock','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','drupal_get_form','a:2:{i:0;s:27:\"views_ui_break_lock_confirm\";i:1;i:4;}','',61,6,0,'','admin/structure/views/view/%/break-lock','Break lock','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/clone','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:5:\"clone\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/clone','Clone','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/delete','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/delete','Delete','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/disable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:7:\"disable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/disable','Disable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/edit','a:1:{i:4;s:19:\"views_ui_cache_load\";}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_edit_page','a:1:{i:0;i:4;}','',61,6,3,'admin/structure/views/view/%','admin/structure/views/view/%','Edit view','t','','ajax_base_page_theme','a:0:{}',140,'','',-10,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/edit/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_ajax_get_form','a:3:{i:0;s:18:\"views_ui_edit_form\";i:1;i:4;i:2;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/edit/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/enable','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"enable\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/enable','Enable','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/export','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"export\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/export','Export','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/structure/views/view/%/preview/%','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','',122,7,3,'','admin/structure/views/view/%/preview/%','','t','','','a:0:{}',4,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/preview/%/ajax','a:2:{i:4;s:19:\"views_ui_cache_load\";i:6;N;}','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_build_preview','a:2:{i:0;i:4;i:1;i:6;}','ajax_deliver',245,8,0,'','admin/structure/views/view/%/preview/%/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/structure/views/view/%/revert','a:1:{i:4;a:1:{s:21:\"ctools_export_ui_load\";a:1:{i:0;s:8:\"views_ui\";}}}','','ctools_export_ui_task_access','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"revert\";i:2;i:4;}','ctools_export_ui_switcher_page','a:3:{i:0;s:8:\"views_ui\";i:1;s:6:\"delete\";i:2;i:4;}','',61,6,0,'','admin/structure/views/view/%/revert','Revert','t','','','a:0:{}',4,'','',0,'sites/all/modules/ctools/includes/export-ui.inc'),('admin/tasks','','','user_access','a:1:{i:0;s:27:\"access administration pages\";}','system_admin_menu_block_page','a:0:{}','',3,2,1,'admin','admin','Tasks','t','','','a:0:{}',140,'','',-20,'modules/system/system.admin.inc'),('admin/update/ready','','','update_manager_access','a:0:{}','drupal_get_form','a:1:{i:0;s:32:\"update_manager_update_ready_form\";}','',7,3,0,'','admin/update/ready','Ready to update','t','','','a:0:{}',0,'','',0,'modules/update/update.manager.inc'),('admin/views/ajax/autocomplete/tag','','','user_access','a:1:{i:0;s:16:\"administer views\";}','views_ui_autocomplete_tag','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/tag','','t','','','a:0:{}',0,'','',0,'sites/all/modules/views/includes/admin.inc'),('admin/views/ajax/autocomplete/taxonomy','','','user_access','a:1:{i:0;s:14:\"access content\";}','views_ajax_autocomplete_taxonomy','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/taxonomy','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin/views/ajax/autocomplete/user','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','views_ajax_autocomplete_user','a:0:{}','',31,5,0,'','admin/views/ajax/autocomplete/user','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/views/includes/ajax.inc'),('admin_menu/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','admin_menu_flush_cache','a:0:{}','',3,2,0,'','admin_menu/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/admin_menu/admin_menu.inc'),('batch','','','1','a:0:{}','system_batch_page','a:0:{}','',1,1,0,'','batch','','t','','_system_batch_theme','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('blog','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:4:\"blog\";i:1;s:4:\"page\";}','',1,1,0,'','blog','Blog','t','','','a:0:{}',6,'','',0,''),('blog/%','a:1:{i:1;s:22:\"user_uid_optional_load\";}','a:1:{i:1;s:24:\"user_uid_optional_to_arg\";}','blog_page_user_access','a:1:{i:0;i:1;}','blog_page_user','a:1:{i:0;i:1;}','',2,2,0,'','blog/%','My blog','t','','','a:0:{}',6,'','',0,'modules/blog/blog.pages.inc'),('blog/%/feed','a:1:{i:1;s:9:\"user_load\";}','','blog_page_user_access','a:1:{i:0;i:1;}','blog_feed_user','a:1:{i:0;i:1;}','',5,3,0,'','blog/%/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('blog/feed','','','user_access','a:1:{i:0;s:14:\"access content\";}','blog_feed_last','a:0:{}','',3,2,0,'','blog/feed','Blogs','t','','','a:0:{}',0,'','',0,'modules/blog/blog.pages.inc'),('clients','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:7:\"clients\";i:1;s:4:\"page\";}','',1,1,0,'','clients','Clients','t','','','a:0:{}',6,'','',0,''),('comment/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',2,2,0,'','comment/%','Comment permalink','t','','','a:0:{}',6,'','',0,''),('comment/%/approve','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_approve','a:1:{i:0;i:1;}','',5,3,0,'','comment/%/approve','Approve','t','','','a:0:{}',6,'','',1,'modules/comment/comment.pages.inc'),('comment/%/delete','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:19:\"administer comments\";}','comment_confirm_delete_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Delete','t','','','a:0:{}',132,'','',2,'modules/comment/comment.admin.inc'),('comment/%/edit','a:1:{i:1;s:12:\"comment_load\";}','','comment_access','a:2:{i:0;s:4:\"edit\";i:1;i:1;}','comment_edit_page','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','Edit','t','','','a:0:{}',132,'','',0,''),('comment/%/view','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:15:\"access comments\";}','comment_permalink','a:1:{i:0;i:1;}','',5,3,1,'comment/%','comment/%','View comment','t','','','a:0:{}',140,'','',-10,''),('comment/reply/%','a:1:{i:2;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:2;}','comment_reply','a:1:{i:0;i:2;}','',6,3,0,'','comment/reply/%','Add new comment','t','','','a:0:{}',6,'','',0,'modules/comment/comment.pages.inc'),('ctools/autocomplete/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_content_autocomplete_entity','a:1:{i:0;i:2;}','',6,3,0,'','ctools/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/content.menu.inc'),('ctools/context/ajax/access/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_add','a:0:{}','',31,5,0,'','ctools/context/ajax/access/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_edit','a:0:{}','',31,5,0,'','ctools/context/ajax/access/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/access/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_access_ajax_delete','a:0:{}','',31,5,0,'','ctools/context/ajax/access/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-access-admin.inc'),('ctools/context/ajax/add','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_add','a:0:{}','',15,4,0,'','ctools/context/ajax/add','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/configure','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_edit','a:0:{}','',15,4,0,'','ctools/context/ajax/configure','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('ctools/context/ajax/delete','','','user_access','a:1:{i:0;s:14:\"access content\";}','ctools_context_ajax_item_delete','a:0:{}','',15,4,0,'','ctools/context/ajax/delete','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/ctools/includes/context-admin.inc'),('file/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_upload','a:0:{}','ajax_deliver',3,2,0,'','file/ajax','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('file/progress','','','user_access','a:1:{i:0;s:14:\"access content\";}','file_ajax_progress','a:0:{}','',3,2,0,'','file/progress','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,''),('filter/tips','','','1','a:0:{}','filter_tips_long','a:0:{}','',3,2,0,'','filter/tips','Compose tips','t','','','a:0:{}',20,'','',0,'modules/filter/filter.pages.inc'),('filter/tips/%','a:1:{i:2;s:18:\"filter_format_load\";}','','filter_access','a:1:{i:0;i:2;}','filter_tips_long','a:1:{i:0;i:2;}','',6,3,0,'','filter/tips/%','Compose tips','t','','','a:0:{}',6,'','',0,'modules/filter/filter.pages.inc'),('frontpage','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:4:\"page\";}','',1,1,0,'','frontpage','','t','','','a:0:{}',0,'','',0,''),('gallery','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:7:\"gallery\";i:1;s:4:\"page\";}','',1,1,0,'','gallery','Gallery flow','t','','','a:0:{}',6,'','',0,''),('gallery-kenbums','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"page_2\";}','',1,1,0,'','gallery-kenbums','Gallery kenbums','t','','','a:0:{}',6,'','',0,''),('gallery-masonry','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"page_3\";}','',1,1,0,'','gallery-masonry','Gallery masonry','t','','','a:0:{}',6,'','',0,''),('gallery-ribbon','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:7:\"gallery\";i:1;s:6:\"page_1\";}','',1,1,0,'','gallery-ribbon','Gallery ribbon','t','','','a:0:{}',6,'','',0,''),('js/admin_menu/cache','','','user_access','a:1:{i:0;s:26:\"access administration menu\";}','admin_menu_js_cache','a:0:{}','admin_menu_deliver',7,3,0,'','js/admin_menu/cache','','t','','','a:0:{}',0,'','',0,''),('juicebox/xml/%','a:1:{i:2;N;}','','1','a:0:{}','juicebox_page_xml','a:1:{i:0;i:2;}','',6,3,0,'','juicebox/xml/%','Juicebox XML','t','','','a:0:{}',0,'Deliver configuration XML for a Juicebox gallery.','',0,''),('meet-out-team','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:14:\"meet_your_team\";i:1;s:4:\"page\";}','',1,1,0,'','meet-out-team','Meet out team','t','','','a:0:{}',6,'','',0,''),('migrate_content/ajaxcallback/%','a:1:{i:2;N;}','','user_access','a:1:{i:0;s:29:\"administer site configuration\";}','we_content_migration_export_components_json','a:1:{i:0;i:2;}','',6,3,0,'','migrate_content/ajaxcallback/%','','Check require bundles','','','a:0:{}',0,'Check require bundles.','',0,'sites/all/modules/we_content_migration/we_content_migration.admin.inc'),('node','','','user_access','a:1:{i:0;s:14:\"access content\";}','node_page_default','a:0:{}','',1,1,0,'','node','','t','','','a:0:{}',0,'','',0,''),('node/%','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',2,2,0,'','node/%','','node_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('node/%/delete','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"delete\";i:1;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"node_delete_confirm\";i:1;i:1;}','',5,3,2,'node/%','node/%','Delete','t','','','a:0:{}',132,'','',1,'modules/node/node.pages.inc'),('node/%/done','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_confirmation_page_access','a:1:{i:0;i:1;}','_webform_confirmation','a:1:{i:0;i:1;}','',5,3,0,'','node/%/done','Webform confirmation','t','','','a:0:{}',0,'','',0,''),('node/%/edit','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:6:\"update\";i:1;i:1;}','node_page_edit','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Edit','t','','','a:0:{}',132,'','',0,'modules/node/node.pages.inc'),('node/%/revisions','a:1:{i:1;s:9:\"node_load\";}','','_node_revision_access','a:1:{i:0;i:1;}','node_revision_overview','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','Revisions','t','','','a:0:{}',132,'','',2,'modules/node/node.pages.inc'),('node/%/revisions/%/delete','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"delete\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_delete_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/delete','Delete earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/revert','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:2:{i:0;i:1;i:1;s:6:\"update\";}','drupal_get_form','a:2:{i:0;s:28:\"node_revision_revert_confirm\";i:1;i:1;}','',21,5,0,'','node/%/revisions/%/revert','Revert to earlier revision','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/%/revisions/%/view','a:2:{i:1;a:1:{s:9:\"node_load\";a:1:{i:0;i:3;}}i:3;N;}','','_node_revision_access','a:1:{i:0;i:1;}','node_show','a:2:{i:0;i:1;i:1;b:1;}','',21,5,0,'','node/%/revisions/%/view','Revisions','t','','','a:0:{}',6,'','',0,''),('node/%/submission/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"view\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"html\";}','',10,4,0,'','node/%/submission/%','Webform submission','webform_submission_title','a:2:{i:0;i:1;i:1;i:3;}','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:6:\"delete\";}','drupal_get_form','a:3:{i:0;s:30:\"webform_submission_delete_form\";i:1;i:1;i:2;i:3;}','',21,5,1,'node/%/submission/%','node/%/submission/%','Delete','t','','','a:0:{}',132,'','',2,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/edit','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"edit\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"form\";}','',21,5,1,'node/%/submission/%','node/%/submission/%','Edit','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/resend','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:25:\"webform_submission_resend\";i:1;i:1;i:2;i:3;}','',21,5,0,'','node/%/submission/%/resend','Resend e-mails','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submission/%/view','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:3;a:1:{s:28:\"webform_menu_submission_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"view\";}','webform_submission_page','a:3:{i:0;i:1;i:1;i:3;i:2;s:4:\"html\";}','',21,5,1,'node/%/submission/%','node/%/submission/%','View','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.submissions.inc'),('node/%/submissions','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_submission_access','a:3:{i:0;i:1;i:1;N;i:2;s:4:\"list\";}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:1;i:2;s:2:\"50\";}','',5,3,0,'','node/%/submissions','Submissions','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/view','a:1:{i:1;s:9:\"node_load\";}','','node_access','a:2:{i:0;s:4:\"view\";i:1;i:1;}','node_page_view','a:1:{i:0;i:1;}','',5,3,1,'node/%','node/%','View','t','','','a:0:{}',140,'','',-10,''),('node/%/webform','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','webform_components_page','a:1:{i:0;i:1;}','',5,3,3,'node/%','node/%','Webform','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform-results','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:0;i:2;s:2:\"50\";}','',5,3,3,'node/%','node/%','Results','t','','','a:0:{}',132,'','',2,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:1:{i:0;i:1;}','',11,4,1,'node/%/webform-results','node/%','Analysis','t','','','a:0:{}',132,'','',5,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:4;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}','',22,5,1,'node/%/webform-results/analysis','node/%','Analysis','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/analysis/%/more','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:4;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:4;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_analysis','a:3:{i:0;i:1;i:1;a:0:{}i:2;i:4;}','',45,6,1,'node/%/webform-results/analysis/%','node/%','In-depth analysis','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/clear','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_clear_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:26:\"webform_results_clear_form\";i:1;i:1;}','',11,4,1,'node/%/webform-results','node/%','Clear','t','','','a:0:{}',132,'','',8,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/download','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:29:\"webform_results_download_form\";i:1;i:1;}','',11,4,1,'node/%/webform-results','node/%','Download','t','','','a:0:{}',132,'','',7,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/download-file','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_download_callback','a:1:{i:0;i:1;}','',11,4,0,'','node/%/webform-results/download-file','Download','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/submissions','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_submissions','a:3:{i:0;i:1;i:1;b:0;i:2;s:2:\"50\";}','',11,4,1,'node/%/webform-results','node/%','Submissions','t','','','a:0:{}',140,'','',4,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform-results/table','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_results_access','a:1:{i:0;i:1;}','webform_results_table','a:2:{i:0;i:1;i:1;s:2:\"50\";}','',11,4,1,'node/%/webform-results','node/%','Table','t','','','a:0:{}',132,'','',6,'sites/all/modules/webform/includes/webform.report.inc'),('node/%/webform/components','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','webform_components_page','a:1:{i:0;i:1;}','',11,4,1,'node/%/webform','node/%','Form components','t','','','a:0:{}',140,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:27:\"webform_component_edit_form\";i:1;i:1;i:2;i:4;i:3;b:0;}','',22,5,1,'node/%/webform/components','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%/clone','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:27:\"webform_component_edit_form\";i:1;i:1;i:2;i:4;i:3;b:1;}','',45,6,1,'node/%/webform/components/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/components/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:2:{i:0;i:1;i:1;i:5;}}i:4;a:1:{s:27:\"webform_menu_component_load\";a:2:{i:0;i:1;i:1;i:5;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:29:\"webform_component_delete_form\";i:1;i:1;i:2;i:4;}','',45,6,1,'node/%/webform/components/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.components.inc'),('node/%/webform/conditionals','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:25:\"webform_conditionals_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','Conditionals','t','','','a:0:{}',132,'','',1,'sites/all/modules/webform/includes/webform.conditionals.inc'),('node/%/webform/configure','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:22:\"webform_configure_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','Form settings','t','','','a:0:{}',132,'','',5,'sites/all/modules/webform/includes/webform.pages.inc'),('node/%/webform/emails','a:1:{i:1;s:17:\"webform_menu_load\";}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"webform_emails_form\";i:1;i:1;}','',11,4,1,'node/%/webform','node/%','E-mails','t','','','a:0:{}',132,'','',4,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:23:\"webform_email_edit_form\";i:1;i:1;i:2;i:4;}','',22,5,1,'node/%/webform/emails','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%/clone','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:4:{i:0;s:23:\"webform_email_edit_form\";i:1;i:1;i:2;i:4;i:3;b:1;}','',45,6,1,'node/%/webform/emails/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/%/webform/emails/%/delete','a:2:{i:1;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:1;}}i:4;a:1:{s:23:\"webform_menu_email_load\";a:1:{i:0;i:1;}}}','a:1:{i:1;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:1;}','drupal_get_form','a:3:{i:0;s:25:\"webform_email_delete_form\";i:1;i:1;i:2;i:4;}','',45,6,1,'node/%/webform/emails/%','node/%','','t','','','a:0:{}',132,'','',0,'sites/all/modules/webform/includes/webform.emails.inc'),('node/add','','','_node_add_access','a:0:{}','node_add_page','a:0:{}','',3,2,0,'','node/add','Add content','t','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/article','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"article\";}','node_add','a:1:{i:0;s:7:\"article\";}','',7,3,0,'','node/add/article','Article','check_plain','','','a:0:{}',6,'Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',0,'modules/node/node.pages.inc'),('node/add/blog','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"blog\";}','node_add','a:1:{i:0;s:4:\"blog\";}','',7,3,0,'','node/add/blog','Blog entry','check_plain','','','a:0:{}',6,'Use for multi-user blogs. Every user gets a personal blog.','',0,'modules/node/node.pages.inc'),('node/add/client','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:6:\"client\";}','node_add','a:1:{i:0;s:6:\"client\";}','',7,3,0,'','node/add/client','Client','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/gallery','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"gallery\";}','node_add','a:1:{i:0;s:7:\"gallery\";}','',7,3,0,'','node/add/gallery','Gallery','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/involes','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"involes\";}','node_add','a:1:{i:0;s:7:\"involes\";}','',7,3,0,'','node/add/involes','Involes','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/page','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:4:\"page\";}','node_add','a:1:{i:0;s:4:\"page\";}','',7,3,0,'','node/add/page','Basic page','check_plain','','','a:0:{}',6,'Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',0,'modules/node/node.pages.inc'),('node/add/services','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:8:\"services\";}','node_add','a:1:{i:0;s:8:\"services\";}','',7,3,0,'','node/add/services','Services','check_plain','','','a:0:{}',6,'','',0,'modules/node/node.pages.inc'),('node/add/webform','','','node_access','a:2:{i:0;s:6:\"create\";i:1;s:7:\"webform\";}','node_add','a:1:{i:0;s:7:\"webform\";}','',7,3,0,'','node/add/webform','Webform','check_plain','','','a:0:{}',6,'Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','',0,'modules/node/node.pages.inc'),('our-work-involves','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:17:\"our_work_involves\";i:1;s:4:\"page\";}','',1,1,0,'','our-work-involves','Our work involves','t','','','a:0:{}',6,'','',0,''),('overlay-ajax/%','a:1:{i:1;N;}','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_ajax_render_region','a:1:{i:0;i:1;}','',2,2,0,'','overlay-ajax/%','','t','','','a:0:{}',0,'','',0,''),('overlay/dismiss-message','','','user_access','a:1:{i:0;s:14:\"access overlay\";}','overlay_user_dismiss_message','a:0:{}','',3,2,0,'','overlay/dismiss-message','','t','','','a:0:{}',0,'','',0,''),('quicktabs/ajax','','','user_access','a:1:{i:0;s:14:\"access content\";}','quicktabs_ajax','a:0:{}','',3,2,0,'','quicktabs/ajax','','t','','','a:0:{}',0,'','',0,''),('rss.xml','','','views_access','a:1:{i:0;b:1;}','views_page','a:2:{i:0;s:9:\"frontpage\";i:1;s:4:\"feed\";}','',1,1,0,'','rss.xml','','t','','','a:0:{}',0,'','',0,''),('search','','','search_is_active','a:0:{}','search_view','a:0:{}','',1,1,0,'','search','Search','t','','','a:0:{}',20,'','',0,'modules/search/search.pages.inc'),('search/node','','','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;s:0:\"\";}','',3,2,1,'search','search','Content','t','','','a:0:{}',132,'','',-10,'modules/search/search.pages.inc'),('search/node/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"node\";}','search_view','a:2:{i:0;s:4:\"node\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Content','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user','','','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;s:0:\"\";}','',3,2,1,'search','search','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('search/user/%','a:1:{i:2;a:1:{s:14:\"menu_tail_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','a:1:{i:2;s:16:\"menu_tail_to_arg\";}','_search_menu_access','a:1:{i:0;s:4:\"user\";}','search_view','a:2:{i:0;s:4:\"user\";i:1;i:2;}','',6,3,1,'search/node','search/node/%','Users','t','','','a:0:{}',132,'','',0,'modules/search/search.pages.inc'),('services','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:8:\"services\";i:1;s:4:\"page\";}','',1,1,0,'','services','Services','t','','','a:0:{}',6,'','',0,''),('sites/default/files/styles/%','a:1:{i:4;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:4;}','',30,5,0,'','sites/default/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/ajax','','','1','a:0:{}','ajax_form_callback','a:0:{}','ajax_deliver',3,2,0,'','system/ajax','AHAH callback','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'includes/form.inc'),('system/files','','','1','a:0:{}','file_download','a:1:{i:0;s:7:\"private\";}','',3,2,0,'','system/files','File download','t','','','a:0:{}',0,'','',0,''),('system/files/styles/%','a:1:{i:3;s:16:\"image_style_load\";}','','1','a:0:{}','image_style_deliver','a:1:{i:0;i:3;}','',14,4,0,'','system/files/styles/%','Generate image style','t','','','a:0:{}',0,'','',0,''),('system/temporary','','','1','a:0:{}','file_download','a:1:{i:0;s:9:\"temporary\";}','',3,2,0,'','system/temporary','Temporary files','t','','','a:0:{}',0,'','',0,''),('system/timezone','','','1','a:0:{}','system_timezone','a:0:{}','',3,2,0,'','system/timezone','Time zone','t','','','a:0:{}',0,'','',0,'modules/system/system.admin.inc'),('tags','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:14:\"access content\";}}}','views_page','a:2:{i:0;s:4:\"tags\";i:1;s:4:\"page\";}','',1,1,0,'','tags','','t','','','a:0:{}',0,'','',0,''),('taxonomy/autocomplete','','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_autocomplete','a:0:{}','',3,2,0,'','taxonomy/autocomplete','Autocomplete taxonomy','t','','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_page','a:1:{i:0;i:2;}','',6,3,0,'','taxonomy/term/%','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}',6,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/edit','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','taxonomy_term_edit_access','a:1:{i:0;i:2;}','drupal_get_form','a:3:{i:0;s:18:\"taxonomy_form_term\";i:1;i:2;i:2;N;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','Edit','t','','','a:0:{}',132,'','',10,'modules/taxonomy/taxonomy.admin.inc'),('taxonomy/term/%/feed','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_feed','a:1:{i:0;i:2;}','',13,4,0,'','taxonomy/term/%/feed','Taxonomy term','taxonomy_term_title','a:1:{i:0;i:2;}','','a:0:{}',0,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('taxonomy/term/%/view','a:1:{i:2;s:18:\"taxonomy_term_load\";}','','user_access','a:1:{i:0;s:14:\"access content\";}','taxonomy_term_page','a:1:{i:0;i:2;}','',13,4,1,'taxonomy/term/%','taxonomy/term/%','View','t','','','a:0:{}',140,'','',0,'modules/taxonomy/taxonomy.pages.inc'),('token/autocomplete/%','a:1:{i:2;s:15:\"token_type_load\";}','','1','a:0:{}','token_autocomplete_token','a:1:{i:0;i:2;}','',6,3,0,'','token/autocomplete/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/flush-cache','','','user_access','a:1:{i:0;s:12:\"flush caches\";}','token_flush_cache_callback','a:0:{}','',3,2,0,'','token/flush-cache','','t','','','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('token/tree','','','1','a:0:{}','token_page_output_tree','a:0:{}','',3,2,0,'','token/tree','','t','','ajax_base_page_theme','a:0:{}',0,'','',0,'sites/all/modules/token/token.pages.inc'),('user','','','1','a:0:{}','user_page','a:0:{}','',1,1,0,'','user','User account','user_menu_title','','','a:0:{}',6,'','',-10,'modules/user/user.pages.inc'),('user/%','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',2,2,0,'','user/%','My account','user_page_title','a:1:{i:0;i:1;}','','a:0:{}',6,'','',0,''),('user/%/cancel','a:1:{i:1;s:9:\"user_load\";}','','user_cancel_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:24:\"user_cancel_confirm_form\";i:1;i:1;}','',5,3,0,'','user/%/cancel','Cancel account','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/cancel/confirm/%/%','a:3:{i:1;s:9:\"user_load\";i:4;N;i:5;N;}','','user_cancel_access','a:1:{i:0;i:1;}','user_cancel_confirm','a:3:{i:0;i:1;i:1;i:4;i:2;i:5;}','',44,6,0,'','user/%/cancel/confirm/%/%','Confirm account cancellation','t','','','a:0:{}',6,'','',0,'modules/user/user.pages.inc'),('user/%/edit','a:1:{i:1;s:9:\"user_load\";}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',5,3,1,'user/%','user/%','Edit','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/%/edit/account','a:1:{i:1;a:1:{s:18:\"user_category_load\";a:2:{i:0;s:4:\"%map\";i:1;s:6:\"%index\";}}}','','user_edit_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:17:\"user_profile_form\";i:1;i:1;}','',11,4,1,'user/%/edit','user/%','Account','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/%/shortcuts','a:1:{i:1;s:9:\"user_load\";}','','shortcut_set_switch_access','a:1:{i:0;i:1;}','drupal_get_form','a:2:{i:0;s:19:\"shortcut_set_switch\";i:1;i:1;}','',5,3,1,'user/%','user/%','Shortcuts','t','','','a:0:{}',132,'','',0,'modules/shortcut/shortcut.admin.inc'),('user/%/view','a:1:{i:1;s:9:\"user_load\";}','','user_view_access','a:1:{i:0;i:1;}','user_view_page','a:1:{i:0;i:1;}','',5,3,1,'user/%','user/%','View','t','','','a:0:{}',140,'','',-10,''),('user/autocomplete','','','user_access','a:1:{i:0;s:20:\"access user profiles\";}','user_autocomplete','a:0:{}','',3,2,0,'','user/autocomplete','User autocomplete','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('user/login','','','user_is_anonymous','a:0:{}','user_page','a:0:{}','',3,2,1,'user','user','Log in','t','','','a:0:{}',140,'','',0,'modules/user/user.pages.inc'),('user/logout','','','user_is_logged_in','a:0:{}','user_logout','a:0:{}','',3,2,0,'','user/logout','Log out','t','','','a:0:{}',6,'','',10,'modules/user/user.pages.inc'),('user/password','','','1','a:0:{}','drupal_get_form','a:1:{i:0;s:9:\"user_pass\";}','',3,2,1,'user','user','Request new password','t','','','a:0:{}',132,'','',0,'modules/user/user.pages.inc'),('user/register','','','user_register_access','a:0:{}','drupal_get_form','a:1:{i:0;s:18:\"user_register_form\";}','',3,2,1,'user','user','Create new account','t','','','a:0:{}',132,'','',0,''),('user/reset/%/%/%','a:3:{i:2;N;i:3;N;i:4;N;}','','1','a:0:{}','drupal_get_form','a:4:{i:0;s:15:\"user_pass_reset\";i:1;i:2;i:2;i:3;i:3;i:4;}','',24,5,0,'','user/reset/%/%/%','Reset password','t','','','a:0:{}',0,'','',0,'modules/user/user.pages.inc'),('views/ajax','','','1','a:0:{}','views_ajax','a:0:{}','ajax_deliver',3,2,0,'','views/ajax','Views','t','','ajax_base_page_theme','a:0:{}',0,'Ajax callback for view loading.','',0,'sites/all/modules/views/includes/ajax.inc'),('webform/ajax/options/%','a:1:{i:3;a:1:{s:17:\"webform_menu_load\";a:1:{i:0;i:3;}}}','a:1:{i:3;s:19:\"webform_menu_to_arg\";}','webform_node_update_access','a:1:{i:0;i:3;}','webform_select_options_ajax','a:0:{}','',14,4,0,'','webform/ajax/options/%','','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/components/select.inc'),('webform/autocomplete','','','user_access','a:1:{i:0;s:16:\"administer views\";}','webform_views_autocomplete','a:0:{}','',3,2,0,'','webform/autocomplete','Webforms','t','','','a:0:{}',0,'','',0,'sites/all/modules/webform/views/webform.views.inc'),('weight','','','views_access','a:1:{i:0;a:2:{i:0;s:16:\"views_check_perm\";i:1;a:1:{i:0;s:18:\"assign node weight\";}}}','views_page','a:2:{i:0;s:6:\"weight\";i:1;s:4:\"page\";}','',1,1,0,'','weight','','t','','','a:0:{}',0,'','',0,'');
/*!40000 ALTER TABLE `menu_router` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node`
--

DROP TABLE IF EXISTS `node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node` (
  `nid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for a node.',
  `vid` int(10) unsigned DEFAULT NULL COMMENT 'The current node_revision.vid version identifier.',
  `type` varchar(32) NOT NULL DEFAULT '' COMMENT 'The node_type.type of this node.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The languages.language of this node.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this node, always treated as non-markup plain text.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that owns this node; initially, this is the user that created it.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node is published (visible to non-administrators).',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  `changed` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was most recently saved.',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node: 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node should be displayed at the top of lists in which it appears.',
  `tnid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The translation set id for this node, which equals the node id of the source post in each set.',
  `translate` int(11) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this translation page needs to be updated.',
  PRIMARY KEY (`nid`),
  UNIQUE KEY `vid` (`vid`),
  KEY `node_changed` (`changed`),
  KEY `node_created` (`created`),
  KEY `node_frontpage` (`promote`,`status`,`sticky`,`created`),
  KEY `node_status_type` (`status`,`type`,`nid`),
  KEY `node_title_type` (`title`,`type`(4)),
  KEY `node_type` (`type`(4)),
  KEY `uid` (`uid`),
  KEY `tnid` (`tnid`),
  KEY `translate` (`translate`),
  KEY `language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8 COMMENT='The base table for nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node`
--

LOCK TABLES `node` WRITE;
/*!40000 ALTER TABLE `node` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node` VALUES (1,1,'gallery','und','Lorem ipsum dolor sit ame',1,1,1422866014,1422936730,2,1,0,0,0),(2,2,'gallery','und','Duis ultrices',1,1,1422866069,1428403372,2,1,0,0,0),(3,3,'gallery','und','13 Incredible Newborn Photos',1,1,1422866136,1438324777,2,1,0,0,0),(4,4,'gallery','und','2015 Traveler Photo Contest',1,1,1422866155,1438324648,2,1,0,0,0),(5,5,'page','und','About us',1,1,1422866999,1433316553,1,0,0,0,0),(6,6,'services','und','Praesent non ligula a urna imperdiet ultrices',1,1,1422869055,1422869055,1,1,0,0,0),(7,7,'services','und','Class aptent taciti sociosqu ad litora torquent',1,1,1422869075,1422869075,1,1,0,0,0),(8,8,'services','und','Sed lacinia dolor vitae aliquam vulputate.',1,1,1422869096,1422869096,1,1,0,0,0),(9,9,'services','und','Morbi fermentum fermentum tortor ac viverra',1,1,1422869117,1422869117,1,1,0,0,0),(10,10,'involes','und','Digital photography',1,1,1422870309,1429084146,2,1,0,0,0),(11,11,'involes','und','wedding plan',1,1,1422870641,1429084547,2,1,0,0,0),(12,12,'involes','und','design album',1,1,1422870741,1429084806,2,1,0,0,0),(13,13,'involes','und','commercial plan',1,1,1422871347,1429084802,2,1,0,0,0),(14,14,'involes','und','products',1,1,1422871374,1429084798,2,1,0,0,0),(15,15,'involes','und','print',1,1,1422871398,1429084990,2,1,0,0,0),(16,16,'client','und','Vivamus viverra est velit',1,1,1422874109,1433320222,2,1,0,0,0),(17,17,'client','und','Quisque tempor est ante',1,1,1422874131,1433319834,2,1,0,0,0),(18,18,'client','und','Duis rutrum augue eu orci tincidunt sagittis',1,1,1422874151,1433320315,2,1,0,0,0),(19,19,'client','und','Quisque eget malesuada arcu',1,1,1422874165,1433319859,2,1,0,0,0),(20,20,'client','und','Phasellus facilisis massa elit',1,1,1422874180,1433319897,2,1,0,0,0),(21,21,'client','und','Pellentesque scelerisque sapien et augue',1,1,1422874199,1433319938,2,1,0,0,0),(22,22,'client','und','Nulla sed tortor sem.',1,1,1422874219,1433319975,2,1,0,0,0),(23,23,'client','und','Phasellus et ultrices mi.',1,1,1422874234,1433320009,2,1,0,0,0),(24,24,'client','und','Class aptent taciti sociosqu ad litora torquent',1,1,1422874255,1433320121,2,1,0,0,0),(25,25,'client','und','Quisque sed turpis semper, viverra ex non',1,1,1422874272,1433320054,2,1,0,0,0),(26,26,'client','und','Vivamus auctor ultricies luctus. ',1,1,1422874289,1433320282,2,1,0,0,0),(27,27,'client','und','Quisque semper auctor enim',1,1,1422874304,1433320189,2,1,0,0,0),(28,28,'page','und','Gallery albums',1,1,1422937969,1423210370,1,0,0,0,0),(29,29,'blog','und','Pellentesque habitant morbi',1,1,1422939776,1422939776,2,1,0,0,0),(30,30,'blog','und','Travel 365: Daily Photo Feature',1,1,1422939809,1438325247,2,1,0,0,0),(31,31,'blog','und','Ultimate Road Trips',1,1,1422939847,1438325282,2,1,0,0,0),(32,32,'blog','und','Best Family Trips',1,1,1422939914,1438325268,2,1,0,0,0),(33,33,'webform','und','Contact',1,1,1422945279,1427878249,1,1,0,0,0),(34,34,'gallery','und','Sed semper',1,1,1422950936,1428403636,2,1,0,0,0),(35,35,'gallery','und','Etiam aliquam ex ligula',1,1,1422951303,1422951303,2,1,0,0,0),(36,36,'gallery','und','Proin scelerisque elit felis',1,1,1422951335,1422951335,2,1,0,0,0),(37,37,'gallery','und','Etiam posuere urna sed sodales sodales',1,1,1423045807,1423045807,2,1,0,0,0),(38,38,'gallery','und','Donec aliquet eu tortor a pharetra',1,1,1423045850,1423045850,2,1,0,0,0),(39,39,'gallery','und','Aliquam vulputate quis eros eu efficitur.',1,1,1423045872,1423045872,2,1,0,0,0),(40,40,'gallery','und','Aenean gravida',1,1,1423045911,1428403199,2,1,0,0,0),(41,41,'gallery','und','Wild life',1,1,1423045931,1429598586,2,1,0,0,0),(42,42,'gallery','und','Aenean vel augue dolor',1,1,1423045995,1423045995,2,1,0,0,0),(43,43,'gallery','und','Seed of life',1,1,1423046021,1428129496,2,1,0,0,0),(44,44,'gallery','und','Florida by Land and Water',1,1,1423046043,1438325188,2,1,0,0,0),(45,45,'gallery','und','Products',1,1,1423046072,1425452449,2,1,0,0,0),(46,46,'gallery','und','Wedding',1,1,1423046092,1425452439,2,1,0,0,0),(47,47,'gallery','und','Commercials',1,1,1423046111,1425452416,2,1,0,0,0),(48,48,'gallery','und','Portrait',1,1,1423046128,1429088283,2,1,0,0,0),(49,49,'page','en','404',1,1,1432526234,1432526264,1,0,0,0,0),(50,50,'gallery','en','Travelers of the Year',1,1,1433401895,1438325157,2,1,0,0,0),(51,51,'gallery','en','America\'s Best Road Trips',1,1,1433401941,1438325103,2,1,0,0,0),(52,52,'gallery','en','Handsome Newborn-2 years Adjustable Tie READY TO SHIP',1,1,1433402020,1438324884,2,1,0,0,0),(53,53,'gallery','en','Canada\'s 50 Places of a Lifetime',1,1,1433402117,1438324908,2,1,0,0,0);
/*!40000 ALTER TABLE `node` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_access`
--

DROP TABLE IF EXISTS `node_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_access` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record affects.',
  `gid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The grant ID a user must possess in the specified realm to gain this row’s privileges on the node.',
  `realm` varchar(255) NOT NULL DEFAULT '' COMMENT 'The realm in which the user must possess the grant ID. Each node access node can define one or more realms.',
  `grant_view` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can view this node.',
  `grant_update` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can edit this node.',
  `grant_delete` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether a user with the realm/grant pair can delete this node.',
  PRIMARY KEY (`nid`,`gid`,`realm`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Identifies which realm/grant pairs a user must possess in...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_access`
--

LOCK TABLES `node_access` WRITE;
/*!40000 ALTER TABLE `node_access` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_access` VALUES (0,0,'all',1,0,0);
/*!40000 ALTER TABLE `node_access` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_class`
--

DROP TABLE IF EXISTS `node_class`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_class` (
  `nid` varchar(32) NOT NULL,
  `css_class` varchar(255) NOT NULL DEFAULT '' COMMENT 'String containing the classes for the block.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_class`
--

LOCK TABLES `node_class` WRITE;
/*!40000 ALTER TABLE `node_class` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_class` VALUES ('10',''),('11',''),('12',''),('13',''),('14',''),('15',''),('16',''),('17',''),('18',''),('19',''),('2',''),('20',''),('21',''),('22',''),('23',''),('24',''),('25',''),('26',''),('27',''),('3',''),('30',''),('31',''),('32',''),('33',''),('34',''),('4',''),('40',''),('41',''),('43',''),('44',''),('48',''),('49',''),('5','about-us'),('50',''),('51',''),('52',''),('53','');
/*!40000 ALTER TABLE `node_class` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_comment_statistics`
--

DROP TABLE IF EXISTS `node_comment_statistics`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_comment_statistics` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid for which the statistics are compiled.',
  `cid` int(11) NOT NULL DEFAULT '0' COMMENT 'The comment.cid of the last comment.',
  `last_comment_timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp of the last comment that was posted within this node, from comment.changed.',
  `last_comment_name` varchar(60) DEFAULT NULL COMMENT 'The name of the latest author to post a comment on this node, from comment.name.',
  `last_comment_uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The user ID of the latest author to post a comment on this node, from comment.uid.',
  `comment_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The total number of comments on this node.',
  PRIMARY KEY (`nid`),
  KEY `node_comment_timestamp` (`last_comment_timestamp`),
  KEY `comment_count` (`comment_count`),
  KEY `last_comment_uid` (`last_comment_uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains statistics of node and comments posts to show ...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_comment_statistics`
--

LOCK TABLES `node_comment_statistics` WRITE;
/*!40000 ALTER TABLE `node_comment_statistics` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_comment_statistics` VALUES (1,0,1422866014,NULL,1,0),(2,0,1422866069,NULL,1,0),(3,0,1422866136,NULL,1,0),(4,0,1422866155,NULL,1,0),(5,0,1422866999,NULL,1,0),(6,0,1422869055,NULL,1,0),(7,0,1422869075,NULL,1,0),(8,0,1422869096,NULL,1,0),(9,0,1422869117,NULL,1,0),(10,0,1422870309,NULL,1,0),(11,0,1422870641,NULL,1,0),(12,0,1422870741,NULL,1,0),(13,0,1422871347,NULL,1,0),(14,0,1422871374,NULL,1,0),(15,0,1422871398,NULL,1,0),(16,0,1422874109,NULL,1,0),(17,0,1422874131,NULL,1,0),(18,0,1422874151,NULL,1,0),(19,0,1422874165,NULL,1,0),(20,0,1422874180,NULL,1,0),(21,0,1422874199,NULL,1,0),(22,0,1422874219,NULL,1,0),(23,0,1422874234,NULL,1,0),(24,0,1422874255,NULL,1,0),(25,0,1422874272,NULL,1,0),(26,0,1422874289,NULL,1,0),(27,0,1422874304,NULL,1,0),(28,0,1422937969,NULL,1,0),(29,0,1422939776,NULL,1,0),(30,0,1422939809,NULL,1,0),(31,0,1422939847,NULL,1,0),(32,2,1427955920,'',1,2),(33,0,1422945279,NULL,1,0),(34,0,1422950936,NULL,1,0),(35,0,1422951303,NULL,1,0),(36,0,1422951335,NULL,1,0),(37,0,1423045807,NULL,1,0),(38,0,1423045850,NULL,1,0),(39,0,1423045872,NULL,1,0),(40,0,1423045911,NULL,1,0),(41,0,1423045931,NULL,1,0),(42,0,1423045995,NULL,1,0),(43,0,1423046021,NULL,1,0),(44,0,1423046043,NULL,1,0),(45,0,1423046072,NULL,1,0),(46,0,1423046092,NULL,1,0),(47,0,1423046111,NULL,1,0),(48,0,1423046128,NULL,1,0),(49,0,1432526234,NULL,1,0),(50,0,1433401895,NULL,1,0),(51,0,1433401941,NULL,1,0),(52,0,1433402020,NULL,1,0),(53,0,1433402117,NULL,1,0);
/*!40000 ALTER TABLE `node_comment_statistics` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_revision`
--

DROP TABLE IF EXISTS `node_revision`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_revision` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node this version belongs to.',
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier for this version.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid that created this version.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of this version.',
  `log` longtext NOT NULL COMMENT 'The log entry explaining the changes in this version.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'A Unix timestamp indicating when this version was created.',
  `status` int(11) NOT NULL DEFAULT '1' COMMENT 'Boolean indicating whether the node (at the time of this revision) is published (visible to non-administrators).',
  `comment` int(11) NOT NULL DEFAULT '0' COMMENT 'Whether comments are allowed on this node (at the time of this revision): 0 = no, 1 = closed (read only), 2 = open (read/write).',
  `promote` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed on the front page.',
  `sticky` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether the node (at the time of this revision) should be displayed at the top of lists in which it appears.',
  PRIMARY KEY (`vid`),
  KEY `nid` (`nid`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=54 DEFAULT CHARSET=utf8 COMMENT='Stores information about each saved version of a node.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_revision`
--

LOCK TABLES `node_revision` WRITE;
/*!40000 ALTER TABLE `node_revision` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_revision` VALUES (1,1,1,'Lorem ipsum dolor sit ame','',1422936730,1,2,1,0),(2,2,1,'Duis ultrices','',1428403372,1,2,1,0),(3,3,1,'13 Incredible Newborn Photos','',1438324777,1,2,1,0),(4,4,1,'2015 Traveler Photo Contest','',1438324648,1,2,1,0),(5,5,1,'About us','',1433316553,1,1,0,0),(6,6,1,'Praesent non ligula a urna imperdiet ultrices','',1422869055,1,1,1,0),(7,7,1,'Class aptent taciti sociosqu ad litora torquent','',1422869075,1,1,1,0),(8,8,1,'Sed lacinia dolor vitae aliquam vulputate.','',1422869096,1,1,1,0),(9,9,1,'Morbi fermentum fermentum tortor ac viverra','',1422869117,1,1,1,0),(10,10,1,'Digital photography','',1429084146,1,2,1,0),(11,11,1,'wedding plan','',1429084547,1,2,1,0),(12,12,1,'design album','',1429084806,1,2,1,0),(13,13,1,'commercial plan','',1429084802,1,2,1,0),(14,14,1,'products','',1429084798,1,2,1,0),(15,15,1,'print','',1429084990,1,2,1,0),(16,16,1,'Vivamus viverra est velit','',1433320222,1,2,1,0),(17,17,1,'Quisque tempor est ante','',1433319834,1,2,1,0),(18,18,1,'Duis rutrum augue eu orci tincidunt sagittis','',1433320315,1,2,1,0),(19,19,1,'Quisque eget malesuada arcu','',1433319859,1,2,1,0),(20,20,1,'Phasellus facilisis massa elit','',1433319897,1,2,1,0),(21,21,1,'Pellentesque scelerisque sapien et augue','',1433319938,1,2,1,0),(22,22,1,'Nulla sed tortor sem.','',1433319975,1,2,1,0),(23,23,1,'Phasellus et ultrices mi.','',1433320009,1,2,1,0),(24,24,1,'Class aptent taciti sociosqu ad litora torquent','',1433320121,1,2,1,0),(25,25,1,'Quisque sed turpis semper, viverra ex non','',1433320054,1,2,1,0),(26,26,1,'Vivamus auctor ultricies luctus. ','',1433320282,1,2,1,0),(27,27,1,'Quisque semper auctor enim','',1433320189,1,2,1,0),(28,28,1,'Gallery albums','',1423210370,1,1,0,0),(29,29,1,'Pellentesque habitant morbi','',1422939776,1,2,1,0),(30,30,1,'Travel 365: Daily Photo Feature','',1438325247,1,2,1,0),(31,31,1,'Ultimate Road Trips','',1438325282,1,2,1,0),(32,32,1,'Best Family Trips','',1438325268,1,2,1,0),(33,33,1,'Contact','',1427878249,1,1,1,0),(34,34,1,'Sed semper','',1428403636,1,2,1,0),(35,35,1,'Etiam aliquam ex ligula','',1422951303,1,2,1,0),(36,36,1,'Proin scelerisque elit felis','',1422951335,1,2,1,0),(37,37,1,'Etiam posuere urna sed sodales sodales','',1423045807,1,2,1,0),(38,38,1,'Donec aliquet eu tortor a pharetra','',1423045850,1,2,1,0),(39,39,1,'Aliquam vulputate quis eros eu efficitur.','',1423045872,1,2,1,0),(40,40,1,'Aenean gravida','',1428403199,1,2,1,0),(41,41,1,'Wild life','',1429598586,1,2,1,0),(42,42,1,'Aenean vel augue dolor','',1423045995,1,2,1,0),(43,43,1,'Seed of life','',1428129496,1,2,1,0),(44,44,1,'Florida by Land and Water','',1438325188,1,2,1,0),(45,45,1,'Products','',1425452449,1,2,1,0),(46,46,1,'Wedding','',1425452439,1,2,1,0),(47,47,1,'Commercials','',1425452416,1,2,1,0),(48,48,1,'Portrait','',1429088283,1,2,1,0),(49,49,1,'404','',1432526264,1,1,0,0),(50,50,1,'Travelers of the Year','',1438325157,1,2,1,0),(51,51,1,'America\'s Best Road Trips','',1438325103,1,2,1,0),(52,52,1,'Handsome Newborn-2 years Adjustable Tie READY TO SHIP','',1438324884,1,2,1,0),(53,53,1,'Canada\'s 50 Places of a Lifetime','',1438324908,1,2,1,0);
/*!40000 ALTER TABLE `node_revision` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `node_type`
--

DROP TABLE IF EXISTS `node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `node_type` (
  `type` varchar(32) NOT NULL COMMENT 'The machine-readable name of this type.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The human-readable name of this type.',
  `base` varchar(255) NOT NULL COMMENT 'The base string used to construct callbacks corresponding to this node type.',
  `module` varchar(255) NOT NULL COMMENT 'The module defining this node type.',
  `description` mediumtext NOT NULL COMMENT 'A brief description of this type.',
  `help` mediumtext NOT NULL COMMENT 'Help information shown to the user when creating a node of this type.',
  `has_title` tinyint(3) unsigned NOT NULL COMMENT 'Boolean indicating whether this type uses the node.title field.',
  `title_label` varchar(255) NOT NULL DEFAULT '' COMMENT 'The label displayed for the title field on the edit form.',
  `custom` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type is defined by a module (FALSE) or by a user via Add content type (TRUE).',
  `modified` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether this type has been modified by an administrator; currently not used in any way.',
  `locked` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the administrator can change the machine name of this type.',
  `disabled` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'A boolean indicating whether the node type is disabled.',
  `orig_type` varchar(255) NOT NULL DEFAULT '' COMMENT 'The original machine-readable name of this node type. This may be different from the current type name if the locked field is 0.',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about all defined node types.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `node_type`
--

LOCK TABLES `node_type` WRITE;
/*!40000 ALTER TABLE `node_type` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `node_type` VALUES ('article','Article','node_content','node','Use <em>articles</em> for time-sensitive content like news, press releases or blog posts.','',1,'Title',1,1,0,0,'article'),('blog','Blog entry','blog','blog','Use for multi-user blogs. Every user gets a personal blog.','',1,'Title',0,1,1,0,'blog'),('client','Client','node_content','node','','',1,'Title',1,1,0,0,'client'),('gallery','Gallery','node_content','node','','',1,'Title',1,1,0,0,'gallery'),('involes','Involes','node_content','node','','',1,'Title',1,1,0,0,'involes'),('page','Basic page','node_content','node','Use <em>basic pages</em> for your static content, such as an \'About us\' page.','',1,'Title',1,1,0,0,'page'),('services','Services','node_content','node','','',1,'Title',1,1,0,0,'services'),('webform','Webform','node_content','node','Create a new form or questionnaire accessible to users. Submission results and statistics are recorded and accessible to privileged users.','',1,'Title',1,1,0,0,'webform');
/*!40000 ALTER TABLE `node_type` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `pathauto_state`
--

DROP TABLE IF EXISTS `pathauto_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pathauto_state` (
  `entity_type` varchar(32) NOT NULL COMMENT 'The entity type.',
  `entity_id` int(10) unsigned NOT NULL COMMENT 'The entity ID.',
  `pathauto` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The automatic alias status of the entity.',
  PRIMARY KEY (`entity_type`,`entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The status of each entity alias (whether it was...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pathauto_state`
--

LOCK TABLES `pathauto_state` WRITE;
/*!40000 ALTER TABLE `pathauto_state` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `pathauto_state` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `queue`
--

DROP TABLE IF EXISTS `queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `queue` (
  `item_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique item ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The queue name.',
  `data` longblob COMMENT 'The arbitrary data for the item.',
  `expire` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the claim lease expires on the item.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the item was created.',
  PRIMARY KEY (`item_id`),
  KEY `name_created` (`name`,`created`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8 COMMENT='Stores items in queues.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `queue`
--

LOCK TABLES `queue` WRITE;
/*!40000 ALTER TABLE `queue` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `queue` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `quicktabs`
--

DROP TABLE IF EXISTS `quicktabs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quicktabs` (
  `machine_name` varchar(255) NOT NULL COMMENT 'The primary identifier for a qt block.',
  `ajax` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether this is an ajax views block.',
  `hide_empty_tabs` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Whether this tabset hides empty tabs.',
  `default_tab` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Default tab.',
  `title` varchar(255) NOT NULL COMMENT 'The title of this quicktabs block.',
  `tabs` mediumtext NOT NULL COMMENT 'A serialized array of the contents of this qt block.',
  `renderer` varchar(255) NOT NULL COMMENT 'The rendering mechanism.',
  `style` varchar(255) NOT NULL COMMENT 'The tab style.',
  `options` mediumtext COMMENT 'A serialized array of the options for this qt instance.',
  PRIMARY KEY (`machine_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The quicktabs table.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quicktabs`
--

LOCK TABLES `quicktabs` WRITE;
/*!40000 ALTER TABLE `quicktabs` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `quicktabs` VALUES ('quicktab_albums',0,0,0,'Quick Tab Albums','a:6:{i:0;a:6:{s:3:\"vid\";s:7:\"gallery\";s:7:\"display\";s:7:\"block_4\";s:4:\"args\";s:0:\"\";s:5:\"title\";s:3:\"All\";s:6:\"weight\";s:4:\"-100\";s:4:\"type\";s:4:\"view\";}i:1;a:6:{s:3:\"vid\";s:7:\"gallery\";s:7:\"display\";s:7:\"block_4\";s:4:\"args\";s:1:\"4\";s:5:\"title\";s:8:\"Products\";s:6:\"weight\";s:3:\"-99\";s:4:\"type\";s:4:\"view\";}i:2;a:6:{s:3:\"vid\";s:7:\"gallery\";s:7:\"display\";s:7:\"block_4\";s:4:\"args\";s:1:\"1\";s:5:\"title\";s:6:\"People\";s:6:\"weight\";s:3:\"-98\";s:4:\"type\";s:4:\"view\";}i:3;a:6:{s:3:\"vid\";s:7:\"gallery\";s:7:\"display\";s:7:\"block_4\";s:4:\"args\";s:1:\"2\";s:5:\"title\";s:7:\"Animals\";s:6:\"weight\";s:3:\"-97\";s:4:\"type\";s:4:\"view\";}i:4;a:6:{s:3:\"vid\";s:7:\"gallery\";s:7:\"display\";s:7:\"block_4\";s:4:\"args\";s:1:\"3\";s:5:\"title\";s:6:\"Places\";s:6:\"weight\";s:3:\"-96\";s:4:\"type\";s:4:\"view\";}i:5;a:6:{s:3:\"vid\";s:7:\"gallery\";s:7:\"display\";s:7:\"block_4\";s:4:\"args\";s:1:\"9\";s:5:\"title\";s:7:\"Natures\";s:6:\"weight\";s:3:\"-95\";s:4:\"type\";s:4:\"view\";}}','quicktabs','nostyle','a:0:{}');
/*!40000 ALTER TABLE `quicktabs` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `rdf_mapping`
--

DROP TABLE IF EXISTS `rdf_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `rdf_mapping` (
  `type` varchar(128) NOT NULL COMMENT 'The name of the entity type a mapping applies to (node, user, comment, etc.).',
  `bundle` varchar(128) NOT NULL COMMENT 'The name of the bundle a mapping applies to.',
  `mapping` longblob COMMENT 'The serialized mapping of the bundle type and fields to RDF terms.',
  PRIMARY KEY (`type`,`bundle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores custom RDF mappings for user defined content types...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rdf_mapping`
--

LOCK TABLES `rdf_mapping` WRITE;
/*!40000 ALTER TABLE `rdf_mapping` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `rdf_mapping` VALUES ('node','article','a:11:{s:11:\"field_image\";a:2:{s:10:\"predicates\";a:2:{i:0;s:8:\"og:image\";i:1;s:12:\"rdfs:seeAlso\";}s:4:\"type\";s:3:\"rel\";}s:10:\"field_tags\";a:2:{s:10:\"predicates\";a:1:{i:0;s:10:\"dc:subject\";}s:4:\"type\";s:3:\"rel\";}s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Item\";i:1;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','blog','a:9:{s:7:\"rdftype\";a:2:{i:0;s:9:\"sioc:Post\";i:1;s:14:\"sioct:BlogPost\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}'),('node','page','a:9:{s:7:\"rdftype\";a:1:{i:0;s:13:\"foaf:Document\";}s:5:\"title\";a:1:{s:10:\"predicates\";a:1:{i:0;s:8:\"dc:title\";}}s:7:\"created\";a:3:{s:10:\"predicates\";a:2:{i:0;s:7:\"dc:date\";i:1;s:10:\"dc:created\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:7:\"changed\";a:3:{s:10:\"predicates\";a:1:{i:0;s:11:\"dc:modified\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}s:4:\"body\";a:1:{s:10:\"predicates\";a:1:{i:0;s:15:\"content:encoded\";}}s:3:\"uid\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:has_creator\";}s:4:\"type\";s:3:\"rel\";}s:4:\"name\";a:1:{s:10:\"predicates\";a:1:{i:0;s:9:\"foaf:name\";}}s:13:\"comment_count\";a:2:{s:10:\"predicates\";a:1:{i:0;s:16:\"sioc:num_replies\";}s:8:\"datatype\";s:11:\"xsd:integer\";}s:13:\"last_activity\";a:3:{s:10:\"predicates\";a:1:{i:0;s:23:\"sioc:last_activity_date\";}s:8:\"datatype\";s:12:\"xsd:dateTime\";s:8:\"callback\";s:12:\"date_iso8601\";}}');
/*!40000 ALTER TABLE `rdf_mapping` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry`
--

DROP TABLE IF EXISTS `registry`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the function, class, or interface.',
  `type` varchar(9) NOT NULL DEFAULT '' COMMENT 'Either function or class or interface.',
  `filename` varchar(255) NOT NULL COMMENT 'Name of the file.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the module the file belongs to.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  PRIMARY KEY (`name`,`type`),
  KEY `hook` (`type`,`weight`,`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Each record is a function, class, or interface name and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry`
--

LOCK TABLES `registry` WRITE;
/*!40000 ALTER TABLE `registry` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry` VALUES ('AccessDeniedTestCase','class','modules/system/system.test','system',0),('AdminMenuCustomizedTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuDynamicLinksTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuLinkTypesTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuPermissionsTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMenuWebTestCase','class','sites/all/modules/admin_menu/tests/admin_menu.test','admin_menu',0),('AdminMetaTagTestCase','class','modules/system/system.test','system',0),('ArchiverInterface','interface','includes/archiver.inc','',0),('ArchiverTar','class','modules/system/system.archiver.inc','system',0),('ArchiverZip','class','modules/system/system.archiver.inc','system',0),('Archive_Tar','class','modules/system/system.tar.inc','system',0),('BatchMemoryQueue','class','includes/batch.queue.inc','',0),('BatchQueue','class','includes/batch.queue.inc','',0),('BlockAdminThemeTestCase','class','modules/block/block.test','block',-5),('BlockCacheTestCase','class','modules/block/block.test','block',-5),('BlockClassContextTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassFeaturesTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassPermissionTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockClassUpdateDisplayTestCase','class','sites/all/modules/block_class/block_class.test','block_class',0),('BlockHashTestCase','class','modules/block/block.test','block',-5),('BlockHiddenRegionTestCase','class','modules/block/block.test','block',-5),('BlockHTMLIdTestCase','class','modules/block/block.test','block',-5),('BlockInvalidRegionTestCase','class','modules/block/block.test','block',-5),('BlockTemplateSuggestionsUnitTest','class','modules/block/block.test','block',-5),('BlockTestCase','class','modules/block/block.test','block',-5),('BlockViewModuleDeltaAlterWebTest','class','modules/block/block.test','block',-5),('BlogTestCase','class','modules/blog/blog.test','blog',0),('colorbox_handler_field_colorbox','class','sites/all/modules/colorbox/views/colorbox_handler_field_colorbox.inc','colorbox',0),('ColorTestCase','class','modules/color/color.test','color',0),('CommentActionsTestCase','class','modules/comment/comment.test','comment',0),('CommentAnonymous','class','modules/comment/comment.test','comment',0),('CommentApprovalTest','class','modules/comment/comment.test','comment',0),('CommentBlockFunctionalTest','class','modules/comment/comment.test','comment',0),('CommentContentRebuild','class','modules/comment/comment.test','comment',0),('CommentController','class','modules/comment/comment.module','comment',0),('CommentFieldsTest','class','modules/comment/comment.test','comment',0),('CommentHelperCase','class','modules/comment/comment.test','comment',0),('CommentInterfaceTest','class','modules/comment/comment.test','comment',0),('CommentNodeAccessTest','class','modules/comment/comment.test','comment',0),('CommentNodeChangesTestCase','class','modules/comment/comment.test','comment',0),('CommentPagerTest','class','modules/comment/comment.test','comment',0),('CommentPreviewTest','class','modules/comment/comment.test','comment',0),('CommentRSSUnitTest','class','modules/comment/comment.test','comment',0),('CommentThreadingTestCase','class','modules/comment/comment.test','comment',0),('CommentTokenReplaceTestCase','class','modules/comment/comment.test','comment',0),('ConditionalStylesheetsTestCase','class','sites/all/modules/conditional_styles/tests/conditional_styles.test','conditional_styles',0),('ConfirmFormTest','class','modules/system/system.test','system',0),('ContextualDynamicContextTestCase','class','modules/contextual/contextual.test','contextual',0),('CronQueueTestCase','class','modules/system/system.test','system',0),('CronRunTestCase','class','modules/system/system.test','system',0),('CtoolsContextKeywordsSubstitutionTestCase','class','sites/all/modules/ctools/tests/context.test','ctools',0),('CToolsCssCache','class','sites/all/modules/ctools/includes/css-cache.inc','ctools',0),('CtoolsCssTestCase','class','sites/all/modules/ctools/tests/css.test','ctools',0),('CtoolsMathExpressionStackTestCase','class','sites/all/modules/ctools/tests/math_expression_stack.test','ctools',0),('CtoolsMathExpressionTestCase','class','sites/all/modules/ctools/tests/math_expression.test','ctools',0),('CtoolsObjectCache','class','sites/all/modules/ctools/tests/object_cache.test','ctools',0),('CtoolsPluginsGetInfoTestCase','class','sites/all/modules/ctools/tests/ctools.plugins.test','ctools',0),('ctools_context','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_optional','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_context_required','class','sites/all/modules/ctools/includes/context.inc','ctools',0),('ctools_export_ui','class','sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','ctools',0),('ctools_math_expr','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_math_expr_stack','class','sites/all/modules/ctools/includes/math-expr.inc','ctools',0),('ctools_stylizer_image_processor','class','sites/all/modules/ctools/includes/stylizer.inc','ctools',0),('DashboardBlocksTestCase','class','modules/dashboard/dashboard.test','dashboard',0),('Database','class','includes/database/database.inc','',0),('DatabaseCondition','class','includes/database/query.inc','',0),('DatabaseConnection','class','includes/database/database.inc','',0),('DatabaseConnectionNotDefinedException','class','includes/database/database.inc','',0),('DatabaseConnection_mysql','class','includes/database/mysql/database.inc','',0),('DatabaseConnection_pgsql','class','includes/database/pgsql/database.inc','',0),('DatabaseConnection_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseDriverNotSpecifiedException','class','includes/database/database.inc','',0),('DatabaseLog','class','includes/database/log.inc','',0),('DatabaseSchema','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectDoesNotExistException','class','includes/database/schema.inc','',0),('DatabaseSchemaObjectExistsException','class','includes/database/schema.inc','',0),('DatabaseSchema_mysql','class','includes/database/mysql/schema.inc','',0),('DatabaseSchema_pgsql','class','includes/database/pgsql/schema.inc','',0),('DatabaseSchema_sqlite','class','includes/database/sqlite/schema.inc','',0),('DatabaseStatementBase','class','includes/database/database.inc','',0),('DatabaseStatementEmpty','class','includes/database/database.inc','',0),('DatabaseStatementInterface','interface','includes/database/database.inc','',0),('DatabaseStatementPrefetch','class','includes/database/prefetch.inc','',0),('DatabaseStatement_sqlite','class','includes/database/sqlite/database.inc','',0),('DatabaseTaskException','class','includes/install.inc','',0),('DatabaseTasks','class','includes/install.inc','',0),('DatabaseTasks_mysql','class','includes/database/mysql/install.inc','',0),('DatabaseTasks_pgsql','class','includes/database/pgsql/install.inc','',0),('DatabaseTasks_sqlite','class','includes/database/sqlite/install.inc','',0),('DatabaseTransaction','class','includes/database/database.inc','',0),('DatabaseTransactionCommitFailedException','class','includes/database/database.inc','',0),('DatabaseTransactionExplicitCommitNotAllowedException','class','includes/database/database.inc','',0),('DatabaseTransactionNameNonUniqueException','class','includes/database/database.inc','',0),('DatabaseTransactionNoActiveException','class','includes/database/database.inc','',0),('DatabaseTransactionOutOfOrderException','class','includes/database/database.inc','',0),('DateFormatTestCase','class','modules/system/system.test','system',0),('DateTimeFunctionalTest','class','modules/system/system.test','system',0),('DBLogTestCase','class','modules/dblog/dblog.test','dblog',0),('DefaultMailSystem','class','modules/system/system.mail.inc','system',0),('DeleteQuery','class','includes/database/query.inc','',0),('DeleteQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('DrupalCacheArray','class','includes/bootstrap.inc','',0),('DrupalCacheInterface','interface','includes/cache.inc','',0),('DrupalDatabaseCache','class','includes/cache.inc','',0),('DrupalDefaultEntityController','class','includes/entity.inc','',0),('DrupalEntityControllerInterface','interface','includes/entity.inc','',0),('DrupalFakeCache','class','includes/cache-install.inc','',0),('DrupalLocalStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPrivateStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalPublicStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalQueue','class','modules/system/system.queue.inc','system',0),('DrupalQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalReliableQueueInterface','interface','modules/system/system.queue.inc','system',0),('DrupalSetMessageTest','class','modules/system/system.test','system',0),('DrupalStreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('DrupalTemporaryStreamWrapper','class','includes/stream_wrappers.inc','',0),('DrupalUpdateException','class','includes/update.inc','',0),('DrupalUpdaterInterface','interface','includes/updater.inc','',0),('EnableDisableTestCase','class','modules/system/system.test','system',0),('EntityFieldQuery','class','includes/entity.inc','',0),('EntityFieldQueryException','class','includes/entity.inc','',0),('EntityMalformedException','class','includes/entity.inc','',0),('EntityPropertiesTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachOtherTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachStorageTestCase','class','modules/field/tests/field.test','field',0),('FieldAttachTestCase','class','modules/field/tests/field.test','field',0),('FieldBulkDeleteTestCase','class','modules/field/tests/field.test','field',0),('FieldCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldDisplayAPITestCase','class','modules/field/tests/field.test','field',0),('FieldException','class','modules/field/field.module','field',0),('FieldFormTestCase','class','modules/field/tests/field.test','field',0),('FieldInfo','class','modules/field/field.info.class.inc','field',0),('FieldInfoTestCase','class','modules/field/tests/field.test','field',0),('FieldInstanceCrudTestCase','class','modules/field/tests/field.test','field',0),('FieldsOverlapException','class','includes/database/database.inc','',0),('FieldSqlStorageTestCase','class','modules/field/modules/field_sql_storage/field_sql_storage.test','field_sql_storage',0),('FieldTestCase','class','modules/field/tests/field.test','field',0),('FieldTranslationsTestCase','class','modules/field/tests/field.test','field',0),('FieldUIAlterTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageDisplayTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUIManageFieldsTestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUITestCase','class','modules/field_ui/field_ui.test','field_ui',0),('FieldUpdateForbiddenException','class','modules/field/field.module','field',0),('FieldValidationException','class','modules/field/field.attach.inc','field',0),('FileFieldAnonymousSubmission','class','modules/file/tests/file.test','file',0),('FileFieldDisplayTestCase','class','modules/file/tests/file.test','file',0),('FileFieldPathTestCase','class','modules/file/tests/file.test','file',0),('FileFieldRevisionTestCase','class','modules/file/tests/file.test','file',0),('FileFieldTestCase','class','modules/file/tests/file.test','file',0),('FileFieldValidateTestCase','class','modules/file/tests/file.test','file',0),('FileFieldWidgetTestCase','class','modules/file/tests/file.test','file',0),('FileManagedFileElementTestCase','class','modules/file/tests/file.test','file',0),('FilePrivateTestCase','class','modules/file/tests/file.test','file',0),('FileTaxonomyTermTestCase','class','modules/file/tests/file.test','file',0),('FileTokenReplaceTestCase','class','modules/file/tests/file.test','file',0),('FileTransfer','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferChmodInterface','interface','includes/filetransfer/filetransfer.inc','',0),('FileTransferException','class','includes/filetransfer/filetransfer.inc','',0),('FileTransferFTP','class','includes/filetransfer/ftp.inc','',0),('FileTransferFTPExtension','class','includes/filetransfer/ftp.inc','',0),('FileTransferLocal','class','includes/filetransfer/local.inc','',0),('FileTransferSSH','class','includes/filetransfer/ssh.inc','',0),('FilterAdminTestCase','class','modules/filter/filter.test','filter',0),('FilterCRUDTestCase','class','modules/filter/filter.test','filter',0),('FilterDefaultFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterDOMSerializeTestCase','class','modules/filter/filter.test','filter',0),('FilterFormatAccessTestCase','class','modules/filter/filter.test','filter',0),('FilterHooksTestCase','class','modules/filter/filter.test','filter',0),('FilterNoFormatTestCase','class','modules/filter/filter.test','filter',0),('FilterSecurityTestCase','class','modules/filter/filter.test','filter',0),('FilterSettingsTestCase','class','modules/filter/filter.test','filter',0),('FilterUnitTestCase','class','modules/filter/filter.test','filter',0),('FlexsliderTestCase','class','sites/all/modules/flexslider/flexslider.test','flexslider',0),('FloodFunctionalTest','class','modules/system/system.test','system',0),('FrontPageTestCase','class','modules/system/system.test','system',0),('GroupDisplayTestCase','class','sites/all/modules/field_group/tests/field_group.display.test','field_group',1),('GroupUITestCase','class','sites/all/modules/field_group/tests/field_group.ui.test','field_group',0),('HelpTestCase','class','modules/help/help.test','help',0),('HookRequirementsTestCase','class','modules/system/system.test','system',0),('ImageAdminStylesUnitTest','class','modules/image/image.test','image',0),('ImageAdminUiTestCase','class','modules/image/image.test','image',0),('ImageDimensionsScaleTestCase','class','modules/image/image.test','image',0),('ImageDimensionsTestCase','class','modules/image/image.test','image',0),('ImageEffectsUnitTest','class','modules/image/image.test','image',0),('ImageFieldDefaultImagesTestCase','class','modules/image/image.test','image',0),('ImageFieldDisplayTestCase','class','modules/image/image.test','image',0),('ImageFieldTestCase','class','modules/image/image.test','image',0),('ImageFieldValidateTestCase','class','modules/image/image.test','image',0),('ImageStyleFlushTest','class','modules/image/image.test','image',0),('ImageStylesPathAndUrlTestCase','class','modules/image/image.test','image',0),('ImageThemeFunctionWebTestCase','class','modules/image/image.test','image',0),('InfoFileParserTestCase','class','modules/system/system.test','system',0),('InsertQuery','class','includes/database/query.inc','',0),('InsertQuery_mysql','class','includes/database/mysql/query.inc','',0),('InsertQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('InsertQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('InvalidMergeQueryException','class','includes/database/database.inc','',0),('InvalidQuickSetException','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('IPAddressBlockingTestCase','class','modules/system/system.test','system',0),('JuiceboxBaseCase','class','sites/all/modules/juicebox/tests/JuiceboxBaseCase.test','juicebox',0),('JuiceboxConfCase','class','sites/all/modules/juicebox/tests/JuiceboxConfCase.test','juicebox',0),('JuiceboxConfGlobalCase','class','sites/all/modules/juicebox/tests/JuiceboxConfGlobalCase.test','juicebox',0),('JuiceboxFieldFormatterCase','class','sites/all/modules/juicebox/tests/JuiceboxFieldFormatterCase.test','juicebox',0),('JuiceboxFileCase','class','sites/all/modules/juicebox/tests/JuiceboxFileCase.test','juicebox',0),('JuiceboxFileEntityCase','class','sites/all/modules/juicebox/tests/JuiceboxFileEntityCase.test','juicebox',0),('JuiceboxFormatterViewsStyle','class','sites/all/modules/juicebox/plugins/JuiceboxFormatterViewsStyle.inc','juicebox',0),('JuiceboxGallery','class','sites/all/modules/juicebox/includes/JuiceboxGallery.inc','juicebox',0),('JuiceboxGalleryDecorator','class','sites/all/modules/juicebox/includes/JuiceboxGalleryDecorator.inc','juicebox',0),('JuiceboxGalleryDrupal','class','sites/all/modules/juicebox/includes/JuiceboxGalleryDrupal.inc','juicebox',0),('JuiceboxGalleryDrupalInterface','interface','sites/all/modules/juicebox/includes/JuiceboxGalleryDrupalInterface.inc','juicebox',0),('JuiceboxGalleryInterface','interface','sites/all/modules/juicebox/includes/JuiceboxGalleryInterface.inc','juicebox',0),('JuiceboxSubRequestCase','class','sites/all/modules/juicebox/tests/JuiceboxSubRequestCase.test','juicebox',0),('JuiceboxViewsCase','class','sites/all/modules/juicebox/tests/JuiceboxViewsCase.test','juicebox',0),('JuiceboxXmlField','class','sites/all/modules/juicebox/plugins/JuiceboxXmlField.inc','juicebox',0),('JuiceboxXmlInterface','interface','sites/all/modules/juicebox/plugins/JuiceboxXmlInterface.inc','juicebox',0),('JuiceboxXmlViewsStyle','class','sites/all/modules/juicebox/plugins/JuiceboxXmlViewsStyle.inc','juicebox',0),('LibrariesAdminWebTest','class','sites/all/modules/libraries/tests/LibrariesAdminWebTest.test','libraries',0),('LibrariesLoadWebTest','class','sites/all/modules/libraries/tests/LibrariesLoadWebTest.test','libraries',0),('LibrariesUnitTest','class','sites/all/modules/libraries/tests/LibrariesUnitTest.test','libraries',0),('LibrariesWebTestBase','class','sites/all/modules/libraries/tests/LibrariesWebTestBase.test','libraries',0),('LinkAttributeCrudTest','class','sites/all/modules/link/tests/link.attribute.test','link',0),('LinkBaseTestClass','class','sites/all/modules/link/tests/link.test','link',0),('LinkContentCrudTest','class','sites/all/modules/link/tests/link.crud.test','link',0),('LinkEntityTokenTest','class','sites/all/modules/link/tests/link.entity_token.test','link',0),('LinkTokenTest','class','sites/all/modules/link/tests/link.token.test','link',0),('LinkUITest','class','sites/all/modules/link/tests/link.crud_browser.test','link',0),('LinkValidateSpecificURL','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTest','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTestCase','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateTestNews','class','sites/all/modules/link/tests/link.validate.test','link',0),('LinkValidateUrlLight','class','sites/all/modules/link/tests/link.validate.test','link',0),('link_views_handler_argument_target','class','sites/all/modules/link/views/link_views_handler_argument_target.inc','link',0),('link_views_handler_filter_protocol','class','sites/all/modules/link/views/link_views_handler_filter_protocol.inc','link',0),('ListDynamicValuesTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListDynamicValuesValidationTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldTestCase','class','modules/field/modules/list/tests/list.test','list',0),('ListFieldUITestCase','class','modules/field/modules/list/tests/list.test','list',0),('LocaleBrowserDetectionTest','class','modules/locale/locale.test','locale',0),('LocaleCommentLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleConfigurationTest','class','modules/locale/locale.test','locale',0),('LocaleContentFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleCSSAlterTest','class','modules/locale/locale.test','locale',0),('LocaleDateFormatsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleExportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleImportFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleInstallTest','class','modules/locale/locale.test','locale',0),('LocaleJavascriptTranslationTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageNegotiationInfoFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLanguageSwitchingFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleLibraryInfoAlterTest','class','modules/locale/locale.test','locale',0),('LocaleMultilingualFieldsFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePathFunctionalTest','class','modules/locale/locale.test','locale',0),('LocalePluralFormatTest','class','modules/locale/locale.test','locale',0),('LocaleStringIsSafeTest','class','modules/locale/locale.test','locale',0),('LocaleTranslationFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUILanguageNegotiationTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFrenchFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUninstallFunctionalTest','class','modules/locale/locale.test','locale',0),('LocaleUrlRewritingTest','class','modules/locale/locale.test','locale',0),('LocaleUserCreationTest','class','modules/locale/locale.test','locale',0),('LocaleUserLanguageFunctionalTest','class','modules/locale/locale.test','locale',0),('MailSystemInterface','interface','includes/mail.inc','',0),('MemoryQueue','class','modules/system/system.queue.inc','system',0),('MenuNodeTestCase','class','modules/menu/menu.test','menu',0),('MenuTestCase','class','modules/menu/menu.test','menu',0),('MergeQuery','class','includes/database/query.inc','',0),('MigrateLinkFieldHandler','class','sites/all/modules/link/link.migrate.inc','link',0),('ModuleDependencyTestCase','class','modules/system/system.test','system',0),('ModuleRequiredTestCase','class','modules/system/system.test','system',0),('ModuleTestCase','class','modules/system/system.test','system',0),('ModuleUpdater','class','modules/system/system.updater.inc','system',0),('ModuleVersionTestCase','class','modules/system/system.test','system',0),('MultiStepNodeFormBasicOptionsTest','class','modules/node/node.test','node',0),('NewDefaultThemeBlocks','class','modules/block/block.test','block',-5),('NodeAccessBaseTableTestCase','class','modules/node/node.test','node',0),('NodeAccessFieldTestCase','class','modules/node/node.test','node',0),('NodeAccessPagerTestCase','class','modules/node/node.test','node',0),('NodeAccessRebuildTestCase','class','modules/node/node.test','node',0),('NodeAccessRecordsTestCase','class','modules/node/node.test','node',0),('NodeAccessTestCase','class','modules/node/node.test','node',0),('NodeAdminTestCase','class','modules/node/node.test','node',0),('NodeBlockFunctionalTest','class','modules/node/node.test','node',0),('NodeBlockTestCase','class','modules/node/node.test','node',0),('NodeBuildContent','class','modules/node/node.test','node',0),('NodeController','class','modules/node/node.module','node',0),('NodeCreationTestCase','class','modules/node/node.test','node',0),('NodeEntityFieldQueryAlter','class','modules/node/node.test','node',0),('NodeEntityViewModeAlterTest','class','modules/node/node.test','node',0),('NodeFeedTestCase','class','modules/node/node.test','node',0),('NodeLoadHooksTestCase','class','modules/node/node.test','node',0),('NodeLoadMultipleTestCase','class','modules/node/node.test','node',0),('NodeMultiByteUtf8Test','class','modules/node/node.test','node',0),('NodePageCacheTest','class','modules/node/node.test','node',0),('NodePostSettingsTestCase','class','modules/node/node.test','node',0),('NodeQueryAlter','class','modules/node/node.test','node',0),('NodeRevisionPermissionsTestCase','class','modules/node/node.test','node',0),('NodeRevisionsTestCase','class','modules/node/node.test','node',0),('NodeRSSContentTestCase','class','modules/node/node.test','node',0),('NodeSaveTestCase','class','modules/node/node.test','node',0),('NodeTitleTestCase','class','modules/node/node.test','node',0),('NodeTitleXSSTestCase','class','modules/node/node.test','node',0),('NodeTokenReplaceTestCase','class','modules/node/node.test','node',0),('NodeTypePersistenceTestCase','class','modules/node/node.test','node',0),('NodeTypeTestCase','class','modules/node/node.test','node',0),('NodeWebTestCase','class','modules/node/node.test','node',0),('NoFieldsException','class','includes/database/database.inc','',0),('NoHelpTestCase','class','modules/help/help.test','help',0),('NonDefaultBlockAdmin','class','modules/block/block.test','block',-5),('NumberFieldTestCase','class','modules/field/modules/number/number.test','number',0),('OptionsSelectDynamicValuesTestCase','class','modules/field/modules/options/options.test','options',0),('OptionsWidgetsTestCase','class','modules/field/modules/options/options.test','options',0),('PageEditTestCase','class','modules/node/node.test','node',0),('PageNotFoundTestCase','class','modules/system/system.test','system',0),('PagePreviewTestCase','class','modules/node/node.test','node',0),('PagerDefault','class','includes/pager.inc','',0),('PageTitleFiltering','class','modules/system/system.test','system',0),('PageViewTestCase','class','modules/node/node.test','node',0),('PathautoBulkUpdateTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoFunctionalTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoFunctionalTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoLocaleTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoMigrationHandler','class','sites/all/modules/pathauto/pathauto.migrate.inc','pathauto',1),('PathautoTestHelper','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoTokenTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathautoUnitTestCase','class','sites/all/modules/pathauto/pathauto.test','pathauto',1),('PathLanguageTestCase','class','modules/path/path.test','path',0),('PathLanguageUITestCase','class','modules/path/path.test','path',0),('PathMonolingualTestCase','class','modules/path/path.test','path',0),('PathTaxonomyTermTestCase','class','modules/path/path.test','path',0),('PathTestCase','class','modules/path/path.test','path',0),('Query','class','includes/database/query.inc','',0),('QueryAlterableInterface','interface','includes/database/query.inc','',0),('QueryConditionInterface','interface','includes/database/query.inc','',0),('QueryExtendableInterface','interface','includes/database/select.inc','',0),('QueryPlaceholderInterface','interface','includes/database/query.inc','',0),('QueueTestCase','class','modules/system/system.test','system',0),('QuickAccordion','class','sites/all/modules/quicktabs/plugins/QuickAccordion.inc','quicktabs',0),('QuickBlockContent','class','sites/all/modules/quicktabs/plugins/QuickBlockContent.inc','quicktabs',0),('QuickCallbackContent','class','sites/all/modules/quicktabs/plugins/QuickCallbackContent.inc','quicktabs',0),('QuickContent','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickContentRenderable','interface','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickNodeContent','class','sites/all/modules/quicktabs/plugins/QuickNodeContent.inc','quicktabs',0),('QuickPreRenderedContent','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickQtabsContent','class','sites/all/modules/quicktabs/plugins/QuickQtabsContent.inc','quicktabs',0),('QuickQuicktabs','class','sites/all/modules/quicktabs/plugins/QuickQuicktabs.inc','quicktabs',0),('QuickRenderer','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuickSet','class','sites/all/modules/quicktabs/quicktabs.classes.inc','quicktabs',0),('QuicktabsAdminTestCase','class','sites/all/modules/quicktabs/tests/quicktabs.test','quicktabs',0),('quicktabs_style_plugin','class','sites/all/modules/quicktabs/includes/quicktabs_style_plugin.inc','quicktabs',0),('QuickUiTabs','class','sites/all/modules/quicktabs/plugins/QuickUiTabs.inc','quicktabs',0),('QuickViewContent','class','sites/all/modules/quicktabs/plugins/QuickViewContent.inc','quicktabs',0),('RdfCommentAttributesTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfCrudTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfGetRdfNamespacesTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfMappingDefinitionTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfMappingHookTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfRdfaMarkupTestCase','class','modules/rdf/rdf.test','rdf',0),('RdfTrackerAttributesTestCase','class','modules/rdf/rdf.test','rdf',0),('RetrieveFileTestCase','class','modules/system/system.test','system',0),('SchemaCache','class','includes/bootstrap.inc','',0),('SearchAdvancedSearchForm','class','modules/search/search.test','search',0),('SearchBlockTestCase','class','modules/search/search.test','search',0),('SearchCommentCountToggleTestCase','class','modules/search/search.test','search',0),('SearchCommentTestCase','class','modules/search/search.test','search',0),('SearchConfigSettingsForm','class','modules/search/search.test','search',0),('SearchEmbedForm','class','modules/search/search.test','search',0),('SearchExactTestCase','class','modules/search/search.test','search',0),('SearchExcerptTestCase','class','modules/search/search.test','search',0),('SearchExpressionInsertExtractTestCase','class','modules/search/search.test','search',0),('SearchKeywordsConditions','class','modules/search/search.test','search',0),('SearchLanguageTestCase','class','modules/search/search.test','search',0),('SearchMatchTestCase','class','modules/search/search.test','search',0),('SearchNodeAccessTest','class','modules/search/search.test','search',0),('SearchNodeTagTest','class','modules/search/search.test','search',0),('SearchNumberMatchingTestCase','class','modules/search/search.test','search',0),('SearchNumbersTestCase','class','modules/search/search.test','search',0),('SearchPageOverride','class','modules/search/search.test','search',0),('SearchPageText','class','modules/search/search.test','search',0),('SearchQuery','class','modules/search/search.extender.inc','search',0),('SearchRankingTestCase','class','modules/search/search.test','search',0),('SearchSetLocaleTest','class','modules/search/search.test','search',0),('SearchSimplifyTestCase','class','modules/search/search.test','search',0),('SearchTokenizerTestCase','class','modules/search/search.test','search',0),('SelectQuery','class','includes/database/select.inc','',0),('SelectQueryExtender','class','includes/database/select.inc','',0),('SelectQueryInterface','interface','includes/database/select.inc','',0),('SelectQuery_pgsql','class','includes/database/pgsql/select.inc','',0),('SelectQuery_sqlite','class','includes/database/sqlite/select.inc','',0),('ShortcutLinksTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutSetsTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShortcutTestCase','class','modules/shortcut/shortcut.test','shortcut',0),('ShutdownFunctionsTest','class','modules/system/system.test','system',0),('SiteMaintenanceTestCase','class','modules/system/system.test','system',0),('SkipDotsRecursiveDirectoryIterator','class','includes/filetransfer/filetransfer.inc','',0),('StreamWrapperInterface','interface','includes/stream_wrappers.inc','',0),('SummaryLengthTestCase','class','modules/node/node.test','node',0),('SystemAdminTestCase','class','modules/system/system.test','system',0),('SystemAuthorizeCase','class','modules/system/system.test','system',0),('SystemBlockTestCase','class','modules/system/system.test','system',0),('SystemIndexPhpTest','class','modules/system/system.test','system',0),('SystemInfoAlterTestCase','class','modules/system/system.test','system',0),('SystemMainContentFallback','class','modules/system/system.test','system',0),('SystemQueue','class','modules/system/system.queue.inc','system',0),('SystemThemeFunctionalTest','class','modules/system/system.test','system',0),('SystemValidTokenTest','class','modules/system/system.test','system',0),('TableSort','class','includes/tablesort.inc','',0),('TaxonomyEFQTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyHooksTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLegacyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyLoadMultipleTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyMenuHierarchyTest','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuTreeNode','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuUnitTest','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyMenuWebTestCase','class','sites/all/modules/taxonomy_menu/taxonomy_menu.test','taxonomy_menu',0),('TaxonomyQueryAlterTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyRSSTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyTermFieldMultipleVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFieldTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermFunctionTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermIndexTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTermTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyThemeTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyTokenReplaceTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyController','class','modules/taxonomy/taxonomy.module','taxonomy',0),('TaxonomyVocabularyFunctionalTest','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyVocabularyTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TaxonomyWebTestCase','class','modules/taxonomy/taxonomy.test','taxonomy',0),('TestingMailSystem','class','modules/system/system.mail.inc','system',0),('TextFieldTestCase','class','modules/field/modules/text/text.test','text',0),('TextSummaryTestCase','class','modules/field/modules/text/text.test','text',0),('TextTranslationTestCase','class','modules/field/modules/text/text.test','text',0),('ThemeRegistry','class','includes/theme.inc','',0),('ThemeUpdater','class','modules/system/system.updater.inc','system',0),('TitleAdminSettingsTestCase','class','sites/all/modules/title/tests/title.test','title',100),('TitleFieldReplacementTestCase','class','sites/all/modules/title/tests/title.test','title',100),('TitleTranslationTestCase','class','sites/all/modules/title/tests/title.test','title',100),('TokenArrayTestCase','class','sites/all/modules/token/token.test','token',0),('TokenBlockTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCommentTestCase','class','sites/all/modules/token/token.test','token',0),('TokenCurrentPageTestCase','class','sites/all/modules/token/token.test','token',0),('TokenDateTestCase','class','sites/all/modules/token/token.test','token',0),('TokenEntityTestCase','class','sites/all/modules/token/token.test','token',0),('TokenFileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenMenuTestCase','class','sites/all/modules/token/token.test','token',0),('TokenNodeTestCase','class','sites/all/modules/token/token.test','token',0),('TokenProfileTestCase','class','sites/all/modules/token/token.test','token',0),('TokenRandomTestCase','class','sites/all/modules/token/token.test','token',0),('TokenReplaceTestCase','class','modules/system/system.test','system',0),('TokenScanTest','class','modules/system/system.test','system',0),('TokenTaxonomyTestCase','class','sites/all/modules/token/token.test','token',0),('TokenTestHelper','class','sites/all/modules/token/token.test','token',0),('TokenUnitTestCase','class','sites/all/modules/token/token.test','token',0),('TokenURLTestCase','class','sites/all/modules/token/token.test','token',0),('TokenUserTestCase','class','sites/all/modules/token/token.test','token',0),('TruncateQuery','class','includes/database/query.inc','',0),('TruncateQuery_mysql','class','includes/database/mysql/query.inc','',0),('TruncateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('UpdateCoreTestCase','class','modules/update/update.test','update',0),('UpdateCoreUnitTestCase','class','modules/update/update.test','update',0),('UpdateQuery','class','includes/database/query.inc','',0),('UpdateQuery_pgsql','class','includes/database/pgsql/query.inc','',0),('UpdateQuery_sqlite','class','includes/database/sqlite/query.inc','',0),('Updater','class','includes/updater.inc','',0),('UpdaterException','class','includes/updater.inc','',0),('UpdaterFileTransferException','class','includes/updater.inc','',0),('UpdateScriptFunctionalTest','class','modules/system/system.test','system',0),('UpdateTestContribCase','class','modules/update/update.test','update',0),('UpdateTestHelper','class','modules/update/update.test','update',0),('UpdateTestUploadCase','class','modules/update/update.test','update',0),('UserAccountLinksUnitTests','class','modules/user/user.test','user',0),('UserAdminTestCase','class','modules/user/user.test','user',0),('UserAuthmapAssignmentTestCase','class','modules/user/user.test','user',0),('UserAutocompleteTestCase','class','modules/user/user.test','user',0),('UserBlocksUnitTests','class','modules/user/user.test','user',0),('UserCancelTestCase','class','modules/user/user.test','user',0),('UserController','class','modules/user/user.module','user',0),('UserCreateTestCase','class','modules/user/user.test','user',0),('UserEditedOwnAccountTestCase','class','modules/user/user.test','user',0),('UserEditRebuildTestCase','class','modules/user/user.test','user',0),('UserEditTestCase','class','modules/user/user.test','user',0),('UserLoginTestCase','class','modules/user/user.test','user',0),('UserPasswordResetTestCase','class','modules/user/user.test','user',0),('UserPermissionsTestCase','class','modules/user/user.test','user',0),('UserPictureTestCase','class','modules/user/user.test','user',0),('UserRegistrationTestCase','class','modules/user/user.test','user',0),('UserRoleAdminTestCase','class','modules/user/user.test','user',0),('UserRolesAssignmentTestCase','class','modules/user/user.test','user',0),('UserSaveTestCase','class','modules/user/user.test','user',0),('UserSignatureTestCase','class','modules/user/user.test','user',0),('UserTimeZoneFunctionalTest','class','modules/user/user.test','user',0),('UserTokenReplaceTestCase','class','modules/user/user.test','user',0),('UserUserSearchTestCase','class','modules/user/user.test','user',0),('UserValidateCurrentPassCustomForm','class','modules/user/user.test','user',0),('UserValidationTestCase','class','modules/user/user.test','user',0),('view','class','sites/all/modules/views/includes/view.inc','views',10),('ViewsAccessTest','class','sites/all/modules/views/tests/views_access.test','views',0),('ViewsAnalyzeTest','class','sites/all/modules/views/tests/views_analyze.test','views',0),('ViewsArgumentDefaultTest','class','sites/all/modules/views/tests/views_argument_default.test','views',0),('ViewsArgumentValidatorTest','class','sites/all/modules/views/tests/views_argument_validator.test','views',0),('ViewsBasicTest','class','sites/all/modules/views/tests/views_basic.test','views',0),('ViewsBootstrapAccordionPluginStyle','class','sites/all/modules/views_bootstrap/plugins/accordion/views_bootstrap_accordion_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapCarouselPluginRows','class','sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_rows.inc','views_bootstrap',0),('ViewsBootstrapCarouselPluginStyle','class','sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapGridPluginStyle','class','sites/all/modules/views_bootstrap/plugins/grid/views_bootstrap_grid_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapMediaPluginStyle','class','sites/all/modules/views_bootstrap/plugins/media/views_bootstrap_media_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapTablePluginStyle','class','sites/all/modules/views_bootstrap/plugins/table/views_bootstrap_table_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapTabPluginStyle','class','sites/all/modules/views_bootstrap/plugins/tab/views_bootstrap_tab_plugin_style.inc','views_bootstrap',0),('ViewsBootstrapThumbnailPluginRows','class','sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc','views_bootstrap',0),('ViewsBootstrapThumbnailPluginStyle','class','sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc','views_bootstrap',0),('ViewsCacheTest','class','sites/all/modules/views/tests/views_cache.test','views',0),('ViewsExposedFormTest','class','sites/all/modules/views/tests/views_exposed_form.test','views',10),('viewsFieldApiDataTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsFieldApiTestHelper','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('viewsFieldViewTestCase','class','sites/all/modules/views_field_view/tests/views_field_view.test','views_field_view',0),('ViewsGlossaryTestCase','class','sites/all/modules/views/tests/views_glossary.test','views',0),('ViewsHandlerAreaTextTest','class','sites/all/modules/views/tests/handlers/views_handler_area_text.test','views',0),('viewsHandlerArgumentCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','views',0),('ViewsHandlerArgumentNullTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_null.test','views',0),('ViewsHandlerArgumentStringTest','class','sites/all/modules/views/tests/handlers/views_handler_argument_string.test','views',0),('ViewsHandlerFieldBooleanTest','class','sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','views',0),('ViewsHandlerFieldCustomTest','class','sites/all/modules/views/tests/handlers/views_handler_field_custom.test','views',0),('ViewsHandlerFieldDateTest','class','sites/all/modules/views/tests/handlers/views_handler_field_date.test','views',0),('viewsHandlerFieldFieldTest','class','sites/all/modules/views/tests/field/views_fieldapi.test','views',0),('ViewsHandlerFieldMath','class','sites/all/modules/views/tests/handlers/views_handler_field_math.test','views',0),('ViewsHandlerFieldTest','class','sites/all/modules/views/tests/handlers/views_handler_field.test','views',0),('ViewsHandlerFieldUrlTest','class','sites/all/modules/views/tests/handlers/views_handler_field_url.test','views',0),('viewsHandlerFieldUserNameTest','class','sites/all/modules/views/tests/user/views_handler_field_user_name.test','views',0),('ViewsHandlerFileExtensionTest','class','sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','views',0),('ViewsHandlerFilterCombineTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','views',0),('viewsHandlerFilterCommentUserUidTest','class','sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','views',0),('ViewsHandlerFilterCounterTest','class','sites/all/modules/views/tests/handlers/views_handler_field_counter.test','views',0),('ViewsHandlerFilterDateTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_date.test','views',10),('ViewsHandlerFilterEqualityTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','views',0),('ViewsHandlerFilterInOperator','class','sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','views',0),('ViewsHandlerFilterNumericTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','views',0),('ViewsHandlerFilterStringTest','class','sites/all/modules/views/tests/handlers/views_handler_filter_string.test','views',0),('ViewsHandlerRelationshipNodeTermDataTest','class','sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','views',0),('ViewsHandlerSortDateTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_date.test','views',0),('ViewsHandlerSortRandomTest','class','sites/all/modules/views/tests/handlers/views_handler_sort_random.test','views',0),('ViewsHandlerSortTest','class','sites/all/modules/views/tests/handlers/views_handler_sort.test','views',0),('ViewsHandlersTest','class','sites/all/modules/views/tests/views_handlers.test','views',0),('ViewsHandlerTest','class','sites/all/modules/views/tests/handlers/views_handlers.test','views',0),('ViewsHandlerTestFileSize','class','sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','views',0),('ViewsHandlerTestXss','class','sites/all/modules/views/tests/handlers/views_handler_field_xss.test','views',0),('ViewsModuleTest','class','sites/all/modules/views/tests/views_module.test','views',10),('ViewsNodeRevisionRelationsTestCase','class','sites/all/modules/views/tests/node/views_node_revision_relations.test','views',0),('ViewsPagerTest','class','sites/all/modules/views/tests/views_pager.test','views',0),('ViewsPluginDisplayTestCase','class','sites/all/modules/views/tests/plugins/views_plugin_display.test','views',0),('viewsPluginStyleJumpMenuTest','class','sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','views',0),('ViewsPluginStyleMappingTest','class','sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','views',0),('ViewsPluginStyleTestBase','class','sites/all/modules/views/tests/styles/views_plugin_style_base.test','views',0),('ViewsPluginStyleTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style.test','views',10),('ViewsPluginStyleUnformattedTestCase','class','sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','views',0),('ViewsQueryGroupByTest','class','sites/all/modules/views/tests/views_groupby.test','views',10),('viewsSearchQuery','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('ViewsSqlTest','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTestCase','class','sites/all/modules/views/tests/views_query.test','views',10),('ViewsTranslatableTest','class','sites/all/modules/views/tests/views_translatable.test','views',0),('ViewsUiBaseViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsUiCommentViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','views_ui',0),('ViewsUiFileManagedViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','views_ui',0),('viewsUiGroupbyTestCase','class','sites/all/modules/views/tests/views_groupby.test','views',10),('ViewsUiNodeRevisionViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','views_ui',0),('ViewsUiNodeViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','views_ui',0),('ViewsUiTaxonomyTermViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','views_ui',0),('ViewsUiUsersViewsWizard','class','sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','views_ui',0),('ViewsUIWizardBasicTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardDefaultViewsTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardHelper','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardItemsPerPageTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardJumpMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardMenuTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardOverrideDisplaysTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardSortingTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUIWizardTaggedWithTestCase','class','sites/all/modules/views/tests/views_ui.test','views',0),('ViewsUpgradeTestCase','class','sites/all/modules/views/tests/views_upgrade.test','views',0),('ViewsUserArgumentDefault','class','sites/all/modules/views/tests/user/views_user_argument_default.test','views',0),('ViewsUserArgumentValidate','class','sites/all/modules/views/tests/user/views_user_argument_validate.test','views',0),('ViewsUserTestCase','class','sites/all/modules/views/tests/user/views_user.test','views',0),('ViewsViewTest','class','sites/all/modules/views/tests/views_view.test','views',0),('ViewsWizardException','class','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('ViewsWizardInterface','interface','sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','views_ui',0),('views_db_object','class','sites/all/modules/views/includes/view.inc','views',10),('views_display','class','sites/all/modules/views/includes/view.inc','views',10),('views_fieldsets_fieldset_field_handler','class','sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','views_fieldsets',0),('views_field_view_handler_field_view','class','sites/all/modules/views_field_view/views_field_view_handler_field_view.inc','views_field_view',0),('views_handler','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_handler_area','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_broken','class','sites/all/modules/views/handlers/views_handler_area.inc','views',0),('views_handler_area_messages','class','sites/all/modules/views/handlers/views_handler_area_messages.inc','views',0),('views_handler_area_result','class','sites/all/modules/views/handlers/views_handler_area_result.inc','views',10),('views_handler_area_text','class','sites/all/modules/views/handlers/views_handler_area_text.inc','views',0),('views_handler_area_text_custom','class','sites/all/modules/views/handlers/views_handler_area_text_custom.inc','views',0),('views_handler_area_view','class','sites/all/modules/views/handlers/views_handler_area_view.inc','views',10),('views_handler_argument','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','views',0),('views_handler_argument_aggregator_fid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','views',0),('views_handler_argument_aggregator_iid','class','sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','views',0),('views_handler_argument_broken','class','sites/all/modules/views/handlers/views_handler_argument.inc','views',10),('views_handler_argument_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','views',0),('views_handler_argument_date','class','sites/all/modules/views/handlers/views_handler_argument_date.inc','views',0),('views_handler_argument_field_list','class','sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','views',0),('views_handler_argument_field_list_string','class','sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','views',0),('views_handler_argument_file_fid','class','sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','views',0),('views_handler_argument_formula','class','sites/all/modules/views/handlers/views_handler_argument_formula.inc','views',0),('views_handler_argument_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','views',0),('views_handler_argument_locale_group','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','views',0),('views_handler_argument_locale_language','class','sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','views',0),('views_handler_argument_many_to_one','class','sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','views',0),('views_handler_argument_node_created_day','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_fulldate','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_week','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_created_year_month','class','sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','views',10),('views_handler_argument_node_language','class','sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','views',0),('views_handler_argument_node_nid','class','sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','views',0),('views_handler_argument_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','views',0),('views_handler_argument_node_type','class','sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','views',0),('views_handler_argument_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','views',0),('views_handler_argument_node_vid','class','sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','views',0),('views_handler_argument_null','class','sites/all/modules/views/handlers/views_handler_argument_null.inc','views',0),('views_handler_argument_numeric','class','sites/all/modules/views/handlers/views_handler_argument_numeric.inc','views',0),('views_handler_argument_search','class','sites/all/modules/views/modules/search/views_handler_argument_search.inc','views',10),('views_handler_argument_string','class','sites/all/modules/views/handlers/views_handler_argument_string.inc','views',0),('views_handler_argument_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','views',0),('views_handler_argument_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','views',10),('views_handler_argument_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','views',0),('views_handler_argument_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','views',10),('views_handler_argument_term_node_tid_depth_modifier','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','views',0),('views_handler_argument_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','views',0),('views_handler_argument_users_roles_rid','class','sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','views',0),('views_handler_argument_user_uid','class','sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','views',0),('views_handler_argument_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','views',0),('views_handler_argument_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','views',0),('views_handler_field','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_accesslog_path','class','sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','views',0),('views_handler_field_aggregator_category','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','views',0),('views_handler_field_aggregator_title_link','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','views',0),('views_handler_field_aggregator_xss','class','sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','views',0),('views_handler_field_boolean','class','sites/all/modules/views/handlers/views_handler_field_boolean.inc','views',0),('views_handler_field_broken','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_comment','class','sites/all/modules/views/modules/comment/views_handler_field_comment.inc','views',0),('views_handler_field_comment_depth','class','sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','views',0),('views_handler_field_comment_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','views',0),('views_handler_field_comment_link_approve','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','views',0),('views_handler_field_comment_link_delete','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','views',0),('views_handler_field_comment_link_edit','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','views',0),('views_handler_field_comment_link_reply','class','sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','views',0),('views_handler_field_comment_node_link','class','sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','views',0),('views_handler_field_comment_username','class','sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','views',0),('views_handler_field_contact_link','class','sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','views',0),('views_handler_field_contextual_links','class','sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','views',10),('views_handler_field_counter','class','sites/all/modules/views/handlers/views_handler_field_counter.inc','views',10),('views_handler_field_ctools_dropdown','class','sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','views',10),('views_handler_field_custom','class','sites/all/modules/views/handlers/views_handler_field_custom.inc','views',0),('views_handler_field_date','class','sites/all/modules/views/handlers/views_handler_field_date.inc','views',0),('views_handler_field_entity','class','sites/all/modules/views/handlers/views_handler_field_entity.inc','views',0),('views_handler_field_field','class','sites/all/modules/views/modules/field/views_handler_field_field.inc','views',10),('views_handler_field_file','class','sites/all/modules/views/modules/system/views_handler_field_file.inc','views',0),('views_handler_field_file_extension','class','sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','views',0),('views_handler_field_file_filemime','class','sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','views',0),('views_handler_field_file_size','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_field_file_status','class','sites/all/modules/views/modules/system/views_handler_field_file_status.inc','views',0),('views_handler_field_file_uri','class','sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','views',0),('views_handler_field_filter_format_name','class','sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','views',0),('views_handler_field_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','views',0),('views_handler_field_last_comment_timestamp','class','sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','views',0),('views_handler_field_links','class','sites/all/modules/views/handlers/views_handler_field_links.inc','views',10),('views_handler_field_locale_group','class','sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','views',0),('views_handler_field_locale_language','class','sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','views',0),('views_handler_field_locale_link_edit','class','sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','views',10),('views_handler_field_machine_name','class','sites/all/modules/views/handlers/views_handler_field_machine_name.inc','views',0),('views_handler_field_markup','class','sites/all/modules/views/handlers/views_handler_field_markup.inc','views',0),('views_handler_field_math','class','sites/all/modules/views/handlers/views_handler_field_math.inc','views',10),('views_handler_field_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','views',0),('views_handler_field_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','views',0),('views_handler_field_node','class','sites/all/modules/views/modules/node/views_handler_field_node.inc','views',0),('views_handler_field_node_comment','class','sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','views',0),('views_handler_field_node_counter_timestamp','class','sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','views',10),('views_handler_field_node_language','class','sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','views',0),('views_handler_field_node_link','class','sites/all/modules/views/modules/node/views_handler_field_node_link.inc','views',0),('views_handler_field_node_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','views',0),('views_handler_field_node_link_edit','class','sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','views',0),('views_handler_field_node_link_translate','class','sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','views',0),('views_handler_field_node_new_comments','class','sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','views',0),('views_handler_field_node_path','class','sites/all/modules/views/modules/node/views_handler_field_node_path.inc','views',0),('views_handler_field_node_revision','class','sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','views',0),('views_handler_field_node_revision_link','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','views',0),('views_handler_field_node_revision_link_delete','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','views',0),('views_handler_field_node_revision_link_revert','class','sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','views',0),('views_handler_field_node_translation_link','class','sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','views',0),('views_handler_field_node_type','class','sites/all/modules/views/modules/node/views_handler_field_node_type.inc','views',0),('views_handler_field_node_version_count','class','sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','views',10),('views_handler_field_numeric','class','sites/all/modules/views/handlers/views_handler_field_numeric.inc','views',10),('views_handler_field_prerender_list','class','sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','views',0),('views_handler_field_profile_date','class','sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','views',0),('views_handler_field_profile_list','class','sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','views',0),('views_handler_field_search_score','class','sites/all/modules/views/modules/search/views_handler_field_search_score.inc','views',0),('views_handler_field_serialized','class','sites/all/modules/views/handlers/views_handler_field_serialized.inc','views',0),('views_handler_field_statistics_numeric','class','sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','views',10),('views_handler_field_taxonomy','class','sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','views',10),('views_handler_field_term_link_edit','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','views',0),('views_handler_field_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','views',10),('views_handler_field_time_interval','class','sites/all/modules/views/handlers/views_handler_field_time_interval.inc','views',0),('views_handler_field_url','class','sites/all/modules/views/handlers/views_handler_field_url.inc','views',0),('views_handler_field_user','class','sites/all/modules/views/modules/user/views_handler_field_user.inc','views',0),('views_handler_field_user_language','class','sites/all/modules/views/modules/user/views_handler_field_user_language.inc','views',0),('views_handler_field_user_link','class','sites/all/modules/views/modules/user/views_handler_field_user_link.inc','views',0),('views_handler_field_user_link_cancel','class','sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','views',0),('views_handler_field_user_link_edit','class','sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','views',0),('views_handler_field_user_mail','class','sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','views',0),('views_handler_field_user_name','class','sites/all/modules/views/modules/user/views_handler_field_user_name.inc','views',10),('views_handler_field_user_permissions','class','sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','views',0),('views_handler_field_user_picture','class','sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','views',0),('views_handler_field_user_roles','class','sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','views',0),('views_handler_field_xss','class','sites/all/modules/views/handlers/views_handler_field.inc','views',0),('views_handler_filter','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_aggregator_category_cid','class','sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','views',0),('views_handler_filter_boolean_operator','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','views',0),('views_handler_filter_boolean_operator_string','class','sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','views',0),('views_handler_filter_broken','class','sites/all/modules/views/handlers/views_handler_filter.inc','views',10),('views_handler_filter_combine','class','sites/all/modules/views/handlers/views_handler_filter_combine.inc','views',10),('views_handler_filter_comment_user_uid','class','sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','views',0),('views_handler_filter_date','class','sites/all/modules/views/handlers/views_handler_filter_date.inc','views',10),('views_handler_filter_entity_bundle','class','sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','views',0),('views_handler_filter_equality','class','sites/all/modules/views/handlers/views_handler_filter_equality.inc','views',0),('views_handler_filter_fields_compare','class','sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','views',0),('views_handler_filter_field_list','class','sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','views',0),('views_handler_filter_field_list_boolean','class','sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','views',10),('views_handler_filter_file_status','class','sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','views',0),('views_handler_filter_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','views',0),('views_handler_filter_history_user_timestamp','class','sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','views',0),('views_handler_filter_in_operator','class','sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','views',0),('views_handler_filter_locale_group','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','views',0),('views_handler_filter_locale_language','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','views',0),('views_handler_filter_locale_version','class','sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','views',0),('views_handler_filter_many_to_one','class','sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','views',0),('views_handler_filter_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','views',0),('views_handler_filter_node_access','class','sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','views',0),('views_handler_filter_node_comment','class','sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','views',0),('views_handler_filter_node_language','class','sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','views',0),('views_handler_filter_node_status','class','sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','views',0),('views_handler_filter_node_tnid','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','views',0),('views_handler_filter_node_tnid_child','class','sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','views',0),('views_handler_filter_node_type','class','sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','views',0),('views_handler_filter_node_uid_revision','class','sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','views',10),('views_handler_filter_node_version_count','class','sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','views',10),('views_handler_filter_numeric','class','sites/all/modules/views/handlers/views_handler_filter_numeric.inc','views',0),('views_handler_filter_profile_selection','class','sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','views',0),('views_handler_filter_search','class','sites/all/modules/views/modules/search/views_handler_filter_search.inc','views',10),('views_handler_filter_string','class','sites/all/modules/views/handlers/views_handler_filter_string.inc','views',0),('views_handler_filter_system_type','class','sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','views',0),('views_handler_filter_term_node_tid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','views',10),('views_handler_filter_term_node_tid_depth','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','views',0),('views_handler_filter_term_node_tid_depth_join','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','views',10),('views_handler_filter_tracker_boolean_operator','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','views',0),('views_handler_filter_tracker_comment_user_uid','class','sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','views',0),('views_handler_filter_user_current','class','sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','views',0),('views_handler_filter_user_name','class','sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','views',0),('views_handler_filter_user_permissions','class','sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','views',0),('views_handler_filter_user_roles','class','sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','views',0),('views_handler_filter_vocabulary_machine_name','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','views',0),('views_handler_filter_vocabulary_vid','class','sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','views',0),('views_handler_relationship','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_broken','class','sites/all/modules/views/handlers/views_handler_relationship.inc','views',0),('views_handler_relationship_entity_reverse','class','sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','views',0),('views_handler_relationship_groupwise_max','class','sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','views',0),('views_handler_relationship_node_term_data','class','sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','views',10),('views_handler_relationship_translation','class','sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','views',0),('views_handler_sort','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_broken','class','sites/all/modules/views/handlers/views_handler_sort.inc','views',0),('views_handler_sort_comment_thread','class','sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','views',0),('views_handler_sort_date','class','sites/all/modules/views/handlers/views_handler_sort_date.inc','views',0),('views_handler_sort_group_by_numeric','class','sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','views',0),('views_handler_sort_menu_hierarchy','class','sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','views',0),('views_handler_sort_ncs_last_comment_name','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','views',0),('views_handler_sort_ncs_last_updated','class','sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','views',0),('views_handler_sort_node_language','class','sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','views',10),('views_handler_sort_node_version_count','class','sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','views',10),('views_handler_sort_random','class','sites/all/modules/views/handlers/views_handler_sort_random.inc','views',0),('views_handler_sort_search_score','class','sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','views',0),('views_handler_title_field','class','sites/all/modules/title/views/views_handler_title_field.inc','title',100),('views_join','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_join_subquery','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_many_to_one_helper','class','sites/all/modules/views/includes/handlers.inc','views',10),('views_object','class','sites/all/modules/views/includes/base.inc','views',10),('views_plugin','class','sites/all/modules/views/includes/plugins.inc','views',10),('views_plugin_access','class','sites/all/modules/views/plugins/views_plugin_access.inc','views',0),('views_plugin_access_none','class','sites/all/modules/views/plugins/views_plugin_access_none.inc','views',0),('views_plugin_access_perm','class','sites/all/modules/views/plugins/views_plugin_access_perm.inc','views',0),('views_plugin_access_role','class','sites/all/modules/views/plugins/views_plugin_access_role.inc','views',0),('views_plugin_argument_default','class','sites/all/modules/views/plugins/views_plugin_argument_default.inc','views',0),('views_plugin_argument_default_book_root','class','sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','views',0),('views_plugin_argument_default_current_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','views',0),('views_plugin_argument_default_fixed','class','sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','views',0),('views_plugin_argument_default_node','class','sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','views',0),('views_plugin_argument_default_php','class','sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','views',0),('views_plugin_argument_default_raw','class','sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','views',0),('views_plugin_argument_default_taxonomy_tid','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','views',0),('views_plugin_argument_default_user','class','sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','views',0),('views_plugin_argument_validate','class','sites/all/modules/views/plugins/views_plugin_argument_validate.inc','views',10),('views_plugin_argument_validate_node','class','sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','views',0),('views_plugin_argument_validate_numeric','class','sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','views',0),('views_plugin_argument_validate_php','class','sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','views',0),('views_plugin_argument_validate_taxonomy_term','class','sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','views',10),('views_plugin_argument_validate_user','class','sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','views',0),('views_plugin_cache','class','sites/all/modules/views/plugins/views_plugin_cache.inc','views',10),('views_plugin_cache_none','class','sites/all/modules/views/plugins/views_plugin_cache_none.inc','views',0),('views_plugin_cache_time','class','sites/all/modules/views/plugins/views_plugin_cache_time.inc','views',10),('views_plugin_display','class','sites/all/modules/views/plugins/views_plugin_display.inc','views',10),('views_plugin_display_attachment','class','sites/all/modules/views/plugins/views_plugin_display_attachment.inc','views',10),('views_plugin_display_block','class','sites/all/modules/views/plugins/views_plugin_display_block.inc','views',10),('views_plugin_display_default','class','sites/all/modules/views/plugins/views_plugin_display_default.inc','views',0),('views_plugin_display_embed','class','sites/all/modules/views/plugins/views_plugin_display_embed.inc','views',0),('views_plugin_display_extender','class','sites/all/modules/views/plugins/views_plugin_display_extender.inc','views',0),('views_plugin_display_feed','class','sites/all/modules/views/plugins/views_plugin_display_feed.inc','views',0),('views_plugin_display_page','class','sites/all/modules/views/plugins/views_plugin_display_page.inc','views',10),('views_plugin_exposed_form','class','sites/all/modules/views/plugins/views_plugin_exposed_form.inc','views',0),('views_plugin_exposed_form_basic','class','sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','views',0),('views_plugin_exposed_form_input_required','class','sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','views',0),('views_plugin_localization','class','sites/all/modules/views/plugins/views_plugin_localization.inc','views',0),('views_plugin_localization_core','class','sites/all/modules/views/plugins/views_plugin_localization_core.inc','views',0),('views_plugin_localization_none','class','sites/all/modules/views/plugins/views_plugin_localization_none.inc','views',0),('views_plugin_localization_test','class','sites/all/modules/views/tests/views_plugin_localization_test.inc','views',0),('views_plugin_pager','class','sites/all/modules/views/plugins/views_plugin_pager.inc','views',0),('views_plugin_pager_full','class','sites/all/modules/views/plugins/views_plugin_pager_full.inc','views',0),('views_plugin_pager_mini','class','sites/all/modules/views/plugins/views_plugin_pager_mini.inc','views',0),('views_plugin_pager_none','class','sites/all/modules/views/plugins/views_plugin_pager_none.inc','views',0),('views_plugin_pager_some','class','sites/all/modules/views/plugins/views_plugin_pager_some.inc','views',0),('views_plugin_query','class','sites/all/modules/views/plugins/views_plugin_query.inc','views',10),('views_plugin_query_default','class','sites/all/modules/views/plugins/views_plugin_query_default.inc','views',10),('views_plugin_row','class','sites/all/modules/views/plugins/views_plugin_row.inc','views',0),('views_plugin_row_aggregator_rss','class','sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','views',0),('views_plugin_row_comment_rss','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','views',10),('views_plugin_row_comment_view','class','sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','views',0),('views_plugin_row_fields','class','sites/all/modules/views/plugins/views_plugin_row_fields.inc','views',0),('views_plugin_row_node_rss','class','sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','views',10),('views_plugin_row_node_view','class','sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','views',10),('views_plugin_row_rss_fields','class','sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','views',0),('views_plugin_row_search_view','class','sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','views',0),('views_plugin_row_user_view','class','sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','views',10),('views_plugin_style','class','sites/all/modules/views/plugins/views_plugin_style.inc','views',10),('views_plugin_style_default','class','sites/all/modules/views/plugins/views_plugin_style_default.inc','views',0),('views_plugin_style_grid','class','sites/all/modules/views/plugins/views_plugin_style_grid.inc','views',0),('views_plugin_style_json','class','sites/all/modules/views_datasource/views/plugins/views_plugin_style_json.inc','views_json',0),('views_plugin_style_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','views',10),('views_plugin_style_list','class','sites/all/modules/views/plugins/views_plugin_style_list.inc','views',0),('views_plugin_style_mapping','class','sites/all/modules/views/plugins/views_plugin_style_mapping.inc','views',10),('views_plugin_style_rss','class','sites/all/modules/views/plugins/views_plugin_style_rss.inc','views',10),('views_plugin_style_summary','class','sites/all/modules/views/plugins/views_plugin_style_summary.inc','views',0),('views_plugin_style_summary_jump_menu','class','sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','views',0),('views_plugin_style_summary_unformatted','class','sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','views',0),('views_plugin_style_table','class','sites/all/modules/views/plugins/views_plugin_style_table.inc','views',0),('views_slideshow_plugin_style_slideshow','class','sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','views_slideshow',0),('views_test_area_access','class','sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','views',0),('views_test_plugin_access_test_dynamic','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','views',0),('views_test_plugin_access_test_static','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','views',0),('views_test_plugin_style_test_mapping','class','sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','views',0),('views_ui','class','sites/all/modules/views/plugins/export_ui/views_ui.class.php','views_ui',0),('WebformComponentsTestCase','class','sites/all/modules/webform/tests/WebformComponentsTestCase.test','webform',-1),('WebformConditionals','class','sites/all/modules/webform/includes/webform.webformconditionals.inc','webform',-1),('WebformConditionalsTestCase','class','sites/all/modules/webform/tests/WebformConditionalsTestCase.test','webform',-1),('WebformGeneralTestCase','class','sites/all/modules/webform/tests/WebformGeneralTestCase.test','webform',-1),('WebformPermissionsTestCase','class','sites/all/modules/webform/tests/WebformPermissionsTestCase.test','webform',-1),('WebformSubmissionTestCase','class','sites/all/modules/webform/tests/WebformSubmissionTestCase.test','webform',-1),('WebformTestCase','class','sites/all/modules/webform/tests/WebformTestCase.test','webform',-1),('webform_exporter','class','sites/all/modules/webform/includes/exporters/webform_exporter.inc','webform',-1),('webform_exporter_delimited','class','sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc','webform',-1),('webform_exporter_excel_delimited','class','sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc','webform',-1),('webform_exporter_excel_xlsx','class','sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc','webform',-1),('webform_handler_area_result_pager','class','sites/all/modules/webform/views/webform_handler_area_result_pager.inc','webform',-1),('webform_handler_field_form_body','class','sites/all/modules/webform/views/webform_handler_field_form_body.inc','webform',-1),('webform_handler_field_is_draft','class','sites/all/modules/webform/views/webform_handler_field_is_draft.inc','webform',0),('webform_handler_field_node_link_edit','class','sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc','webform',-1),('webform_handler_field_node_link_results','class','sites/all/modules/webform/views/webform_handler_field_node_link_results.inc','webform',-1),('webform_handler_field_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_handler_field_submission_count','class','sites/all/modules/webform/views/webform_handler_field_submission_count.inc','webform',0),('webform_handler_field_submission_data','class','sites/all/modules/webform/views/webform_handler_field_submission_data.inc','webform',-1),('webform_handler_field_submission_link','class','sites/all/modules/webform/views/webform_handler_field_submission_link.inc','webform',0),('webform_handler_field_webform_status','class','sites/all/modules/webform/views/webform_handler_field_webform_status.inc','webform',-1),('webform_handler_filter_is_draft','class','sites/all/modules/webform/views/webform_handler_filter_is_draft.inc','webform',0),('webform_handler_filter_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_handler_filter_submission_data','class','sites/all/modules/webform/views/webform_handler_filter_submission_data.inc','webform',-1),('webform_handler_filter_webform_status','class','sites/all/modules/webform/views/webform_handler_filter_webform_status.inc','webform',0),('webform_handler_relationship_submission_data','class','sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc','webform',0),('webform_handler_sort_numeric_data','class','sites/all/modules/webform/views/webform_handler_numeric_data.inc','webform',-1),('webform_views_plugin_row_submission_view','class','sites/all/modules/webform/views/webform_plugin_row_submission_view.inc','webform',-1),('WeightNodeHandler','class','sites/all/modules/weight/weight.migrate.inc','weight',0),('weight_handler_field_weight','class','sites/all/modules/weight/views/weight_handler_field_weight.inc','weight',0),('weight_handler_filter_weight_enabled','class','sites/all/modules/weight/views/weight_handler_filter_weight_enabled.inc','weight',0);
/*!40000 ALTER TABLE `registry` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `registry_file`
--

DROP TABLE IF EXISTS `registry_file`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registry_file` (
  `filename` varchar(255) NOT NULL COMMENT 'Path to the file.',
  `hash` varchar(64) NOT NULL COMMENT 'sha-256 hash of the file’s contents when last parsed.',
  PRIMARY KEY (`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Files parsed to build the registry.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registry_file`
--

LOCK TABLES `registry_file` WRITE;
/*!40000 ALTER TABLE `registry_file` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `registry_file` VALUES ('includes/actions.inc','f36b066681463c7dfe189e0430cb1a89bf66f7e228cbb53cdfcd93987193f759'),('includes/ajax.inc','3d1c0d2efcdab327224122df1156a665f9bbf60873907dde2f189b018d4e9be3'),('includes/archiver.inc','bdbb21b712a62f6b913590b609fd17cd9f3c3b77c0d21f68e71a78427ed2e3e9'),('includes/authorize.inc','6d64d8c21aa01eb12fc29918732e4df6b871ed06e5d41373cb95c197ed661d13'),('includes/batch.inc','1fe00f9a25481cd43e19fbd6bd37b7ff9dca79f8405ec3e55ffb011be12ec2c3'),('includes/batch.queue.inc','554b2e92e1dad0f7fd5a19cb8dff7e109f10fbe2441a5692d076338ec908de0f'),('includes/bootstrap.inc','fdd02ea25268751b8024237b82792c9c05e596f744bb1c2cda4d36da839c902c'),('includes/cache-install.inc','e7ed123c5805703c84ad2cce9c1ca46b3ce8caeeea0d8ef39a3024a4ab95fa0e'),('includes/cache.inc','033c9bf2555dba29382b077f78cc00c82fd7f42a959ba31b710adddf6fdf24fe'),('includes/common.inc','04e8ed1c7f366c1012909481c118ec0203e3c998782564bfdbc5620c82def903'),('includes/database/database.inc','2ef46543fb9cf61ed9fa9aed4e44dd31630c22604ea6b8e48b57ebd7ad11a111'),('includes/database/log.inc','9feb5a17ae2fabcf26a96d2a634ba73da501f7bcfc3599a693d916a6971d00d1'),('includes/database/mysql/database.inc','32a577354dba6030043500873f8a2a7359c80c179a213284b026c1a9b0452b70'),('includes/database/mysql/install.inc','6ae316941f771732fbbabed7e1d6b4cbb41b1f429dd097d04b3345aa15e461a0'),('includes/database/mysql/query.inc','0212a871646c223bf77aa26b945c77a8974855373967b5fb9fdc09f8a1de88a6'),('includes/database/mysql/schema.inc','2ef729f8d6466d5cd87ba233152d88590bce629d8366040b2509b4e24258d780'),('includes/database/pgsql/database.inc','651bec324e2204aa35a28fdbd876aa8e4f7a9e909e75cc8db811e9c156b0df88'),('includes/database/pgsql/install.inc','39587f26a9e054afaab2064d996af910f1b201ef1c6b82938ef130e4ff8c6aab'),('includes/database/pgsql/query.inc','0df57377686c921e722a10b49d5e433b131176c8059a4ace4680964206fc14b4'),('includes/database/pgsql/schema.inc','1588daadfa53506aa1f5d94572162a45a46dc3ceabdd0e2f224532ded6508403'),('includes/database/pgsql/select.inc','1e509bc97c58223750e8ea735145b316827e36f43c07b946003e41f5bca23659'),('includes/database/prefetch.inc','b5b207a66a69ecb52ee4f4459af16a7b5eabedc87254245f37cc33bebb61c0fb'),('includes/database/query.inc','982d44a294eea1c9619687c14df2987257e3776fcabeba05f01432e934cf61c6'),('includes/database/schema.inc','6ea8e4063eb72d8f6b1a9f8b8908489d9f89b4a158ef37002d21209fb500358c'),('includes/database/select.inc','02a2d4345287df62b163ca2524e99b7370c9ec167bc937245328683d4e3e3d56'),('includes/database/sqlite/database.inc','62f6669c4610557c4b34ada9f0a0f61d6cb7b377e0a9032d2efca7b5f39b0965'),('includes/database/sqlite/install.inc','6620f354aa175a116ba3a0562c980d86cc3b8b481042fc3cc5ed6a4d1a7a6d74'),('includes/database/sqlite/query.inc','0eb02ad036ef61c490fb3f189a4cdc8fc1ae0d442737806346fd63aea8f30db3'),('includes/database/sqlite/schema.inc','3a7d22ec1f0ee09bfa267309b90e30edbe39e453b3025b30cbe3ae7412a4df2d'),('includes/database/sqlite/select.inc','8d1c426dbd337733c206cce9f59a172546c6ed856d8ef3f1c7bef05a16f7bf68'),('includes/date.inc','1de2c25e3b67a9919fc6c8061594442b6fb2cdd3a48ddf1591ee3aa98484b737'),('includes/entity.inc','f06b508f93e72ba70f979d8391be57662c018a03a32fac0a6d3baa752740133d'),('includes/errors.inc','d731bbe3a60508e164cfa90b8edc06400c7f15844f9f9bc3935dd87e44c460db'),('includes/file.inc','f112194214d483ce867165922ad7996c64174bd932369f89f8335af026bbb493'),('includes/file.mimetypes.inc','33266e837f4ce076378e7e8cef6c5af46446226ca4259f83e13f605856a7f147'),('includes/filetransfer/filetransfer.inc','fdea8ae48345ec91885ac48a9bc53daf87616271472bb7c29b7e3ce219b22034'),('includes/filetransfer/ftp.inc','51eb119b8e1221d598ffa6cc46c8a322aa77b49a3d8879f7fb38b7221cf7e06d'),('includes/filetransfer/local.inc','7cbfdb46abbdf539640db27e66fb30e5265128f31002bd0dfc3af16ae01a9492'),('includes/filetransfer/ssh.inc','92f1232158cb32ab04cbc93ae38ad3af04796e18f66910a9bc5ca8e437f06891'),('includes/form.inc','a0e219d53d641f08d6f1d609e53f06f3f8b1c591d20113d0992557c815b44a72'),('includes/graph.inc','8e0e313a8bb33488f371df11fc1b58d7cf80099b886cd1003871e2c896d1b536'),('includes/image.inc','bcdc7e1599c02227502b9d0fe36eeb2b529b130a392bc709eb737647bd361826'),('includes/install.core.inc','189653e4bb7d4828bd6e1b61015fabcc7182e23d9dd8858170f98114d99400c8'),('includes/install.inc','fbb23627b06abb070b4531da786c1e06bf1dbd6f923bb2b404f4808c2340b0f9'),('includes/iso.inc','0ce4c225edcfa9f037703bc7dd09d4e268a69bcc90e55da0a3f04c502bd2f349'),('includes/json-encode.inc','02a822a652d00151f79db9aa9e171c310b69b93a12f549bc2ce00533a8efa14e'),('includes/language.inc','4e08f30843a7ccaeea5c041083e9f77d33d57ff002f1ab4f66168e2c683ce128'),('includes/locale.inc','ca50acc0780cbffeca17f99a0997f91b8b9402f0eec1898c3122e1d73664d01d'),('includes/lock.inc','a181c8bd4f88d292a0a73b9f1fbd727e3314f66ec3631f288e6b9a54ba2b70fa'),('includes/mail.inc','41d0e657119a05f8d7e85ebf32e74b12a1c3107d717a348158414b113e208b9c'),('includes/menu.inc','8e7a8a1a4666a8ca66d1b19cc97be4cf82c3bb0e835e652ee366bec9b74a8c23'),('includes/module.inc','8dab73e50e6bcd680a26f55597d2d103ba68a29089f888e2a2c206fc38eaa669'),('includes/pager.inc','6f9494b85c07a2cc3be4e54aff2d2757485238c476a7da084d25bde1d88be6d8'),('includes/password.inc','fd9a1c94fe5a0fa7c7049a2435c7280b1d666b2074595010e3c492dd15712775'),('includes/path.inc','2dca08d14a46e5ac6a665b7a5dde78045d8de2b35aaa78c6fb811e1125ce4953'),('includes/registry.inc','f47b20859f0fc80bf4bb2849a1282d6c54006957b69da0e5f4691de585ca4cdf'),('includes/session.inc','5851ff6941aba2744dd0c247f077fc02fbbe24e9786e04ea0a3c372d68ca6d16'),('includes/stream_wrappers.inc','b8a5a53f3d3ef26ea868037547f76af8049ce0c55b464810c627310a84f24924'),('includes/tablesort.inc','2d88768a544829595dd6cda2a5eb008bedb730f36bba6dfe005d9ddd999d5c0f'),('includes/theme.inc','5d8b96db9760367eb86821085a17a144a58cb355e6f547e321321ee34535da7b'),('includes/theme.maintenance.inc','39f068b3eee4d10a90d6aa3c86db587b6d25844c2919d418d34d133cfe330f5a'),('includes/token.inc','5e7898cd78689e2c291ed3cd8f41c032075656896f1db57e49217aac19ae0428'),('includes/unicode.entities.inc','2b858138596d961fbaa4c6e3986e409921df7f76b6ee1b109c4af5970f1e0f54'),('includes/unicode.inc','e18772dafe0f80eb139fcfc582fef1704ba9f730647057d4f4841d6a6e4066ca'),('includes/update.inc','25c30f1e61ef9c91a7bdeb37791c2215d9dc2ae07dba124722d783ca31bb01e7'),('includes/updater.inc','d2da0e74ed86e93c209f16069f3d32e1a134ceb6c06a0044f78e841a1b54e380'),('includes/utility.inc','3458fd2b55ab004dd0cc529b8e58af12916e8bd36653b072bdd820b26b907ed5'),('includes/xmlrpc.inc','ea24176ec445c440ba0c825fc7b04a31b440288df8ef02081560dc418e34e659'),('includes/xmlrpcs.inc','925c4d5bf429ad9650f059a8862a100bd394dce887933f5b3e7e32309a51fd8e'),('modules/block/block.test','40d9de00589211770a85c47d38c8ad61c598ec65d9332128a882eb8750e65a16'),('modules/blog/blog.test','f7534b972951c05d34bd832d3e06176b372fff6f4999c428f789fdd7703ed2e2'),('modules/color/color.test','610ba154f42b6af5871fb09cdb0bc7badc29b03845c08d86e0e524840dd27568'),('modules/comment/comment.module','db858137ff6ce06d87cb3b8f5275bed90c33a6d9aa7d46e7a74524cc2f052309'),('modules/comment/comment.test','332d14e197b4ebe85b1b70a15602981d99d332e2293576c0e44cf18a808c7aac'),('modules/contextual/contextual.test','023dafa199bd325ecc55a17b2a3db46ac0a31e23059f701f789f3bc42427ba0b'),('modules/dashboard/dashboard.test','125df00fc6deb985dc554aa7807a48e60a68dbbddbad9ec2c4718da724f0e683'),('modules/dblog/dblog.test','79ba7991c3f40f9241e9a03ffa43faf945c82658ca9b52ec62bd13bd80f41269'),('modules/field/field.attach.inc','2df4687b5ec078c4893dc1fea514f67524fd5293de717b9e05caf977e5ae2327'),('modules/field/field.info.class.inc','cf18178e119d43897d3abd882ba3acc0cf59d1ad747663437c57b1ec4d0a4322'),('modules/field/field.module','48b5b83f214a8d19e446f46c5d7a1cd35faa656ccb7b540f9f02462a440cacdd'),('modules/field/modules/field_sql_storage/field_sql_storage.test','315eedaf2022afc884c35efd3b7c400eddab6ea30bec91924bc82ab5cd3e79f2'),('modules/field/modules/list/tests/list.test','c1a214d7efd3247dd947d742a8514ec9649da62593608dfdccee6913d48e5709'),('modules/field/modules/number/number.test','fc8f193904f1c5f87dcf51a279975214b34aa1349fe9c38b09c4e6740b059b49'),('modules/field/modules/options/options.test','1b30956b6f46840ccb41b99bda08f328172f008f1fb4164c65fe9e4047fffa5f'),('modules/field/modules/text/text.test','5c28b9da26417d2ed8a169850989c0b59f2b188a0161eb58e2b87c67994d602d'),('modules/field/tests/field.test','5eaad7a933ef8ea05b958056492ce17858cd542111f0fe81dd1a5949ad8f966e'),('modules/field_ui/field_ui.test','f535e5627c969e9083a63aaf72d4ac645e30709d7b87af15c6c3b870481f283a'),('modules/file/tests/file.test','f2328df0915f0d7235cb147515ed64cb1c510a744646fb680da98c8d9f2523c5'),('modules/filter/filter.test','b8aa5e6b832422c6ad5fe963898ec9526c814614f27ecccb67107ce194997d6a'),('modules/help/help.test','bc934de8c71bd9874a05ccb5e8f927f4c227b3b2397d739e8504c8fd6ae5a83c'),('modules/image/image.test','6e7a0cbcb58f6210127b0ac7c1d118d488abd0925fe8db10a3405af87f1d9fe1'),('modules/locale/locale.test','08793bfbabe6147248a3cbbecaec2c3179baf15bd3289b43f3b0dad3bc8280ae'),('modules/menu/menu.test','71efd7117a882fdcdd50971b4a68f7f2895b532e09acf094d747f27a15742c5b'),('modules/node/node.module','70f969229d03819dba439546ae7aef30283b93e410af1b45f5a25b90d3cb8edd'),('modules/node/node.test','35bf40fde62f3a1de95bab9f037b84f20c2f93a1c579d7d19e4a87afe75dc330'),('modules/path/path.test','2004183b2c7c86028bf78c519c6a7afc4397a8267874462b0c2b49b0f8c20322'),('modules/rdf/rdf.test','9849d2b717119aa6b5f1496929e7ac7c9c0a6e98486b66f3876bda0a8c165525'),('modules/search/search.extender.inc','013a6a841cc48a6dc991153fb692b8d1546e56b78d9c95e97e0d7e92296d3481'),('modules/search/search.test','e43c21510d510885dfad6484afa931382083b75b7e67286bda56a6aafe265f28'),('modules/shortcut/shortcut.test','0d78280d4d0a05aa772218e45911552e39611ca9c258b9dd436307914ac3f254'),('modules/system/system.archiver.inc','faa849f3e646a910ab82fd6c8bbf0a4e6b8c60725d7ba81ec0556bd716616cd1'),('modules/system/system.mail.inc','d31e1769f5defbe5f27dc68f641ab80fb8d3de92f6e895f4c654ec05fc7e5f0f'),('modules/system/system.queue.inc','a77a5913d84368092805ac551ca63737c1d829455504fcccb95baa2932f28009'),('modules/system/system.tar.inc','d0d2f191d79b3227852e7436908386bdd7a25f78c73f3c8bf9ef5903892ae993'),('modules/system/system.test','7a94d94c13eb60684678e62f25cec44d46714a1ca4987f62d86d358e8978902a'),('modules/system/system.updater.inc','9433fa8d39500b8c59ab05f41c0aac83b2586a43be4aa949821380e36c4d3c48'),('modules/taxonomy/taxonomy.module','19992c2e810a7b7a1c228d178b0b6c5f358082d515b8a6e77b0415a430e23997'),('modules/taxonomy/taxonomy.test','ce91ff8a2879d65fdb3477d3f437cad8ef50b8963dadb75ae203854987b2c23a'),('modules/update/update.test','994b66b737f16eb98ee18c9e9ecd62e86de2792159e70b36982e95b48f2746a3'),('modules/user/user.module','b773a1b0f7448546393e6f7b2436d0d91b7965889afdf4a863bba4c0bc0dba69'),('modules/user/user.test','0b55048c0de2dee5ab1c25a38c01b3bd13f476b43e4172bb0c06cb6188d2edc9'),('sites/all/modules/admin_menu/tests/admin_menu.test','185f8244f7a086cda1bd9435ec529e8632598e9b09d1e0d7363b75cf87c04afb'),('sites/all/modules/block_class/block_class.test','ad3e6238a7a0c025d2cac75cfa089c90ce721a94241925db4484ceb6a04ec8a4'),('sites/all/modules/colorbox/views/colorbox_handler_field_colorbox.inc','22d11284e30633c5400520348345788e829f4a1bae7ee8289015791fca90933e'),('sites/all/modules/conditional_styles/conditional_styles.install','a71407bab4afa833cbb0905a524ff269920694bddd7b1839540d794cac49a7ca'),('sites/all/modules/conditional_styles/conditional_styles.module','385853e5988eb58956096d3608a5a5c6add8631bf1ff964b4cb9cc4ff89eb7fd'),('sites/all/modules/conditional_styles/tests/conditional_styles.test','5706b6892d482902e768a6a4cc84a5a99d7c63264c7d1bdf8b0b750e8c26687e'),('sites/all/modules/ctools/includes/context.inc','867c8a65b99131be8226700d51a5fb3d51896bf95279beedac55f51a27fd714b'),('sites/all/modules/ctools/includes/css-cache.inc','db90ff67669d9fa445e91074ac67fb97cdb191a19e68d42744f0fd4158649cfa'),('sites/all/modules/ctools/includes/math-expr.inc','3c60674360d5caa754895f32d87cde6a122f61800d4b762e7e09d49501fd47b8'),('sites/all/modules/ctools/includes/stylizer.inc','3f91f5ed42fb6ee1b65ddef7ac22577b07a5d75ca1eb2df60041243ced5c7079'),('sites/all/modules/ctools/plugins/export_ui/ctools_export_ui.class.php','2fd87a7d80689e4d44673b31c07b762144eb8ac57324fd0b9cd9ede5f4ea34b5'),('sites/all/modules/ctools/tests/context.test','05145aae34016fd1d8c776ad4cca92b2f514570a8cd26b30dfb563a07540afd2'),('sites/all/modules/ctools/tests/css.test','dbf094da0eb52da28afb07b894e15425169d29d9d06011a3ad2cdd5980a0df01'),('sites/all/modules/ctools/tests/css_cache.test','9d72d577414a35941d245b5531a4505d2c4a7b702ac301814631b5ed6b15187a'),('sites/all/modules/ctools/tests/ctools.plugins.test','e1c9d250430253676d417e50faef04c4e577614ff0ec2c3c0ce76095873e9b00'),('sites/all/modules/ctools/tests/math_expression.test','92ac6cb63ac8be8384d5ee4d3a7abe32d52fa78c82c99c7291151609ea2b6d06'),('sites/all/modules/ctools/tests/math_expression_stack.test','2816fd55f6c1a4742b6e962613c20f72bd31e034af12b64e33df35b272a6c176'),('sites/all/modules/ctools/tests/object_cache.test','c680cc821c2b51d48032213eb61b17896513fff2fa0df29d16e12ba54a7ce443'),('sites/all/modules/exclude_node_title/exclude_node_title.admin.inc','17336fde56eca0021cd93b9cdd7a0e27059d5cb27e6d5f9d0a09704c84710719'),('sites/all/modules/exclude_node_title/exclude_node_title.info','bda33eeb9630085aac53467850671c740ec8717427aeb36df431ea72513aab0c'),('sites/all/modules/exclude_node_title/exclude_node_title.module','1ce6d7d038fb4c0e02222c34e5b2555c7653c4a5301c874521b3c79f174a11d1'),('sites/all/modules/field_group/tests/field_group.display.test','68b48634e0311fb4a804d39d8c03acc3de868719df0f4cca495c81e9de4e2035'),('sites/all/modules/field_group/tests/field_group.ui.test','17486a055b85febf5cc55cdb638bf104ef3acab75b76735763650217dd5ab9d4'),('sites/all/modules/flexslider/flexslider.test','7f63bc36abe645446407ca9e185b47c931f6a99acceff22eacbd465ae0184767'),('sites/all/modules/flexslider/theme/flexslider.theme.inc','14b0d81c4946e8cce3c3b7e9a626e6e0a3fc76d3b2e1f5a56c03c9d688b88c63'),('sites/all/modules/galleryformatter/galleryformatter.install','8f92aa20022b89c8cb99715fbc1417e1ee6a91158e7207b601b2cc0d1fa1fba9'),('sites/all/modules/galleryformatter/galleryformatter.module','69fc57f204c8e327373d8012af283626102593c50abc563c58a7384894bbe099'),('sites/all/modules/galleryformatter/theme/galleryformatter.tpl.php','fa9f9d2314bfdad253cde2cb7203d6322fe9bd834b00197f27cc0b22dbb33ebf'),('sites/all/modules/jquery_update/jquery_update.install','d377a4e1df5c9606b4d603fbf14296f6d4df921bb3e188341a0c602651498388'),('sites/all/modules/jquery_update/jquery_update.module','5550809cea16a9f09ebcd6e70fc36a19a2aa3fd6180039d2e2382b86d659a8c3'),('sites/all/modules/juicebox/includes/JuiceboxGallery.inc','61bd252472a22981322948dc9fb83f99f32b4b6e8945f9b8e9385b50896e5b06'),('sites/all/modules/juicebox/includes/JuiceboxGalleryDecorator.inc','f79570a211b1b008299c90f2661973313329a409631728758187dd747b0a9f97'),('sites/all/modules/juicebox/includes/JuiceboxGalleryDrupal.inc','6ccddfa5785946b7f500984806ee39f48c3c6c91613e98dcbe75a26137d46e31'),('sites/all/modules/juicebox/includes/JuiceboxGalleryDrupalInterface.inc','b7666e56a798a76cdd00eef19c8637ea17cc879d748bc64544a15cac4c8cba75'),('sites/all/modules/juicebox/includes/JuiceboxGalleryInterface.inc','1dcdb138ad23e4e81981128708d57a0c2cb2d6e1c5c4a9a1044bf996b6cabc5d'),('sites/all/modules/juicebox/plugins/JuiceboxFormatterViewsStyle.inc','f1e1ab2564e60649345e2892e084da8aa0121df8447b8be0895e9946e6fb3941'),('sites/all/modules/juicebox/plugins/JuiceboxXmlField.inc','1f988a225754dce03474c249d3c6c43cb2e27fd1ea3e52a412d17b096a71676b'),('sites/all/modules/juicebox/plugins/JuiceboxXmlInterface.inc','9d6dc9a011704a966f08168dadac2ca8175da506e4be9d4b8789b09868d5d7d9'),('sites/all/modules/juicebox/plugins/JuiceboxXmlViewsStyle.inc','0426f7b018c73ca88d5d7bea1381006732a1839427306c3a734e48aeaadff442'),('sites/all/modules/juicebox/tests/JuiceboxBaseCase.test','b2089099c442a27d43462a0a3f4990bfcc2cbf5b0b0bd03db8951e6c87b4fd80'),('sites/all/modules/juicebox/tests/JuiceboxConfCase.test','8d3c234cf6e976d0796125ccaf9fe8c719e1c3799d813e34fb0fea96a9a6d8d5'),('sites/all/modules/juicebox/tests/JuiceboxConfGlobalCase.test','a3fd599b310152e01d21154e794735b803614ece6343101b4e6ce5f0829c5661'),('sites/all/modules/juicebox/tests/JuiceboxFieldFormatterCase.test','c922e373a5b21ce203e70c77f79b5034fbed9536c89bc361e8c6eccfeadbc9cb'),('sites/all/modules/juicebox/tests/JuiceboxFileCase.test','62c9b89327fae9e6f5b6718f90553e721fdda017a466e86f0f64f135895a1095'),('sites/all/modules/juicebox/tests/JuiceboxFileEntityCase.test','972d1662bec59e60704c5cf0d64f364f07e8ffd60b26cd7765e98c23967af95f'),('sites/all/modules/juicebox/tests/JuiceboxSubRequestCase.test','59cc289eceda50c565e1c2eca08c835912674e2eaa9854a9b7e2d31511de14e3'),('sites/all/modules/juicebox/tests/JuiceboxViewsCase.test','f10abe21a99e7d61f4870c5819854fa95dacd1f1342aad466641e02ecbe56f47'),('sites/all/modules/libraries/tests/LibrariesAdminWebTest.test','933af00ee9ad342999e20c0a82440ab04933b5d7713ffe2e7371a9af15492bf5'),('sites/all/modules/libraries/tests/LibrariesLoadWebTest.test','4cfaf88ce29e72f8ecd52b02cc9f7bac2ea60a715530cd9ff4fea929dac161ee'),('sites/all/modules/libraries/tests/LibrariesUnitTest.test','08139d770447993484828d0a642b6a771314c74e392074e94c2b7dcebc10b093'),('sites/all/modules/libraries/tests/LibrariesWebTestBase.test','056dfdd67ac9d6a84ffbe0f507e165fd6f07a0c82c3c7efbc1874e870e85e83a'),('sites/all/modules/link/link.migrate.inc','0a17ff0daa79813174fff92e9db787e75e710fe757b6924eec193c66fe13f3df'),('sites/all/modules/link/link.module','39bc7a76730d855c17544d4a67ef6dbf3e018b74bc2f2b5d2431b6a370e1da3d'),('sites/all/modules/link/tests/link.attribute.test','92c76292e0b2f74ef21d6bca563cf5d47d0331d72bacc454a550c6ace51697cc'),('sites/all/modules/link/tests/link.crud.test','de19e2c5e8c6cb02f25d7051bdd1db77852379ac59ce8185c25b4bf927478f22'),('sites/all/modules/link/tests/link.crud_browser.test','13da1fde2aa1c45ec11c8b343004d116aed074789a5b46f8dd6b299781e9755d'),('sites/all/modules/link/tests/link.entity_token.test','e3c414eb7bdc1a27b8408446ded03b77c52b3419f38f6a3d3ada68effda4b616'),('sites/all/modules/link/tests/link.test','fe5d8cd577fbfc07929e7216e115530a28777ace9b7135fbc853a3a78d550456'),('sites/all/modules/link/tests/link.token.test','74d2a9888005d08fba8c6d3720592a4d9dffa5d30a25fee1714ce89fa0688041'),('sites/all/modules/link/tests/link.validate.test','ff8a018f4ecf621e8f5f0fdec7c8d505305778c615ef17a84c7542bee0e29c47'),('sites/all/modules/link/views/link_views_handler_argument_target.inc','d77c23c6b085382c63e7dbce3d95afc9756517edcdc4cd455892d8333520d4c9'),('sites/all/modules/link/views/link_views_handler_filter_protocol.inc','e10a0d2de73bfa9a56fadbac023c6ac16022ced40c0444ab6ffed1b5d7ea7358'),('sites/all/modules/module_filter/css/module_filter.css','23d534ed382a1e7805d4391d8aa72317b79e6c56905036db2cefd6eb5124168d'),('sites/all/modules/module_filter/css/module_filter_tab.css','ed032d26ec91fa509868dca0bcd201808d2b07d8565991fd877f0c77c0ef6af6'),('sites/all/modules/module_filter/js/module_filter.js','fafd3413175777e0a7659cffb41765e9c26c2ecca11a28fbe043759dd56548da'),('sites/all/modules/module_filter/js/module_filter_tab.js','f8b24ea3eaff792ff95e74e940fa4716c682ff73f368a4cd4942a7852b3d6377'),('sites/all/modules/module_filter/module_filter.admin.inc','502ac86b3ab04a4a86ab079e5d47ad8e30d78db6fe88486efc5a532182dfcf6c'),('sites/all/modules/module_filter/module_filter.install','75f3cbebb23c5f14e70d84110ac82649d270a9c37a4f298e661a1c6148acc783'),('sites/all/modules/module_filter/module_filter.module','70a57f95a82053922f415b942e0652e726564baf7383779a68d6c5aad1be9833'),('sites/all/modules/module_filter/module_filter.theme.inc','df066d4c342572d66792b9c1c829edb8f11dcd6eccd2a89e7e6b6b26002bf542'),('sites/all/modules/pathauto/pathauto.migrate.inc','31084f25620be5620aecf9d60356dba662b6eda426c0c94ba996821110e4b1cc'),('sites/all/modules/pathauto/pathauto.test','1297560df48bad9b325d775d3bc64a411c03a0fd630c5e53ff8e46c4550a6977'),('sites/all/modules/quicktabs/includes/quicktabs_style_plugin.inc','400b8683c88ba26f27604e91c48a2d151aef3618677d89d06b409cfa606b9be5'),('sites/all/modules/quicktabs/plugins/QuickAccordion.inc','772c06425494bb7a51aa1de65e89013989364728eab54ee9fdf8e3744750aca7'),('sites/all/modules/quicktabs/plugins/QuickBlockContent.inc','dfe798caf3a0ea509bbe897953247c17d1c5ec2d201f7dfb29736764ead4aa7b'),('sites/all/modules/quicktabs/plugins/QuickCallbackContent.inc','ce0426cf04622b262ab7463e1264adae84e06b2c2e63e4aca783accae4ba9009'),('sites/all/modules/quicktabs/plugins/QuickNodeContent.inc','d790b25dadb846e851aba926660657a29c0760e7ba58b50ffe74ffaeb318f0d7'),('sites/all/modules/quicktabs/plugins/QuickQtabsContent.inc','c8e70121dd2fd7e9d37e8db93d16985902717561a011f57498af81d7cca7ac7f'),('sites/all/modules/quicktabs/plugins/QuickQuicktabs.inc','5289bbc2f5a6d3cd19897d36114ea19700636bbe3673a3807f3f22944b9bd1c5'),('sites/all/modules/quicktabs/plugins/QuickUiTabs.inc','dec59e70103449784824e96fac41ed00eb8d22b17c3e44508ff8fc101e0281ff'),('sites/all/modules/quicktabs/plugins/QuickViewContent.inc','a099bb06157ec486ea54aa47077c066ceabebcf33d930406541a56ba91dc6da7'),('sites/all/modules/quicktabs/quicktabs.classes.inc','97e83f0f97a4b071ed1a2a4c59b0fe9a1002d07acccd590ca15a2bf895d9d9a5'),('sites/all/modules/quicktabs/quicktabs.module','99e5180f596b704b5b479ba746a85aacd7c531a75f86140a1b8a952468c0304d'),('sites/all/modules/quicktabs/tests/quicktabs.test','d23f9d8cd89eff02a2a9711858951df1d0c60b13d38ba0fba97b1b56b8104a86'),('sites/all/modules/taxonomy_menu/taxonomy_menu.batch.inc','e7cf6aa0476da11b29910a108faca5d636e4582340d789ebe9049f3e1f944a5d'),('sites/all/modules/taxonomy_menu/taxonomy_menu.database.inc','ecb8a8713bcb2ec2aec7062137e2bc51dc819bb695da608b03be7be5472902c2'),('sites/all/modules/taxonomy_menu/taxonomy_menu.install','b1b3b627fbc2c55f2dc004d62f2192c51884b4f2667cce63b37da53bb1c9c781'),('sites/all/modules/taxonomy_menu/taxonomy_menu.module','0ee1bc326987ffa350b04287e8e9a20821ad8d8ad2129bdb147a9392c7599705'),('sites/all/modules/taxonomy_menu/taxonomy_menu.test','3a99877ef3d1fb93e110e268ea52771054425ce075e3ad11511ab93bd5728fb6'),('sites/all/modules/title/tests/title.test','d8d4884c1f6269a3d3c4a413efe7eb356b6595583e424f85ecb161516da62125'),('sites/all/modules/title/title.module','ad172436fe4a35461650f63cdb1a250e77d658f47df3a964a95f0967e9f6c09c'),('sites/all/modules/title/views/views_handler_title_field.inc','0d3887f86cac0993973710229695f755694e334928355b7fd0b0f98a096be3c6'),('sites/all/modules/token/token.test','79c44cc6bb46caa41eaf371df9c77d7ef98bbee7d96c04ca1039375dc6674961'),('sites/all/modules/views/handlers/views_handler_area.inc','95d4374c805c057c9855304ded14ce316cdee8aca0744120a74400e2a8173fae'),('sites/all/modules/views/handlers/views_handler_area_messages.inc','de94f83a65b47d55bbb4949fcf93dd4ad628a4a105cea2b47cdc22593f3e5925'),('sites/all/modules/views/handlers/views_handler_area_result.inc','f406d7e4409545ffea2e56c9a10f87f20adef2276c6d6bbc8003885cccc8ca3b'),('sites/all/modules/views/handlers/views_handler_area_text.inc','531d0ac3b64206970593762df0abac60524f607253c3af876dd66ba747786dce'),('sites/all/modules/views/handlers/views_handler_area_text_custom.inc','35b702060c192b0adf6601ed437d0a02effd3accb71c07d6156013c8be9d5a15'),('sites/all/modules/views/handlers/views_handler_area_view.inc','e604b5716d9ea202ab0b8e51d2bd0a4a8eeab461db0a74bf37745d6cbba25c41'),('sites/all/modules/views/handlers/views_handler_argument.inc','1f0498d1878e331f59b9f0cc87b67df330437c736e565a05fe1a14ab65ec3f26'),('sites/all/modules/views/handlers/views_handler_argument_date.inc','1b423d5a437bbd8ed97d0bfb69c635d36f15114699a7bc0056568cc87937477d'),('sites/all/modules/views/handlers/views_handler_argument_formula.inc','5a29748494a7e1c37606224de0c3cac45566efe057e4748b6676a898ac224a61'),('sites/all/modules/views/handlers/views_handler_argument_group_by_numeric.inc','b8d29f27592448b63f15138510128203d726590daef56cf153a09407c90ec481'),('sites/all/modules/views/handlers/views_handler_argument_many_to_one.inc','b2de259c2d00fe7ed04eb5d45eb5107ce60535dd0275823883cc29b04d1a3974'),('sites/all/modules/views/handlers/views_handler_argument_null.inc','26699660fd0915ec078d7eb35a93ef39fd53e3a2a4841c0ac5dbf0bb02207bee'),('sites/all/modules/views/handlers/views_handler_argument_numeric.inc','ae23d847fa0f1e92baec32665a8894e26660999e338bebffb49ee42daac5a063'),('sites/all/modules/views/handlers/views_handler_argument_string.inc','f8fe4daf0a636cc93d520a0d5ff212840d8bdaa704ddc3c59a24667f341ed3a1'),('sites/all/modules/views/handlers/views_handler_field.inc','3d059d737e738436a15651f9ac8374f460a71eb569619ba0a8a14a55a3efc87e'),('sites/all/modules/views/handlers/views_handler_field_boolean.inc','dc00b916a223935e05f51d94a2dffbaf430b162517072f7c2122332af41e8fc2'),('sites/all/modules/views/handlers/views_handler_field_contextual_links.inc','2f54701c9f71a4a525e724a6787b5e0089a3c38e426d1925bf8344d017d571bf'),('sites/all/modules/views/handlers/views_handler_field_counter.inc','865a5ad7df830dae9e167709446e66cebf3e32e91ec05b5c2b887c96d0d6b0d8'),('sites/all/modules/views/handlers/views_handler_field_ctools_dropdown.inc','a78c424ef884ae9878c0b140d532bdf3b116fdc0e8a7cd519848c675d5b1a5a6'),('sites/all/modules/views/handlers/views_handler_field_custom.inc','a3d25fc20401ae0a1af4b7d6e83376a5b7dc18ab0aed17a3c6d81e2314cf19f8'),('sites/all/modules/views/handlers/views_handler_field_date.inc','79cb6583981104d70d20393fe62281c749680f375cb67355635ef00688258934'),('sites/all/modules/views/handlers/views_handler_field_entity.inc','909ab36aff896ad8fa4306d95a052172ec27e471ab385a035fcadef8d019e0f9'),('sites/all/modules/views/handlers/views_handler_field_links.inc','331a7c8e68a9a94a41a0d7e3e2b6a5c8436792cf244b409ffd732f9cbbab3642'),('sites/all/modules/views/handlers/views_handler_field_machine_name.inc','df2fe47cf9c6d2e7de8627c08da809fb60883c38697340966f303c223e22aee4'),('sites/all/modules/views/handlers/views_handler_field_markup.inc','a0c652fdf47f7efe35bbf2371f00e230409fe90ea0038eb101bf0c93ae0718e9'),('sites/all/modules/views/handlers/views_handler_field_math.inc','08c9fb88b20ca346ee3dc29773b2341ea294ba85b659dbd8c1cc92a9ddf900e8'),('sites/all/modules/views/handlers/views_handler_field_numeric.inc','1e36f9d55b4cfeb268068e5c9bd6f326999c04191485d3db4610e94e6f57fad9'),('sites/all/modules/views/handlers/views_handler_field_prerender_list.inc','0fe605bf457886fbca5f041a422fc51c6a1927654dcd06cbfc619496fe57de0e'),('sites/all/modules/views/handlers/views_handler_field_serialized.inc','ad3d82a9f37ae4c71a875526c353839da2ff529351efc7861f8b7c9d4b5a47db'),('sites/all/modules/views/handlers/views_handler_field_time_interval.inc','280d569784312d19dabfb7aeb94639442ae37e16cba02659a8251de08a4f1de2'),('sites/all/modules/views/handlers/views_handler_field_url.inc','7ca57a8dcc42a3d1e7e7ec5defa64a689cb678073e15153ff6a7cafe54c90249'),('sites/all/modules/views/handlers/views_handler_filter.inc','4c8937c5b6399c42bb6659169f5c8563ca415fd7effab1ddeeebf2bb6b9a8011'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator.inc','f4ca59e4e1f91f219a1b33690a4ad412269946804fe7cacf24f2574b2c6d8599'),('sites/all/modules/views/handlers/views_handler_filter_boolean_operator_string.inc','0ddd32cda535112c187de1c062797849ff90d9b312a8659056e76d2d209f694a'),('sites/all/modules/views/handlers/views_handler_filter_combine.inc','802f033bba6a9965896b02e3c3e0ea4493e4be282f2c5444ebbeec7e8a478072'),('sites/all/modules/views/handlers/views_handler_filter_date.inc','fb63877ecfa64f2be8557a21dcf34e28b59c4a9c5f561f55738162d2301c4aa1'),('sites/all/modules/views/handlers/views_handler_filter_entity_bundle.inc','02db977a67a09f70bdc8e2bbc46a05fff8a6d8bd6423308c95418476e84714a3'),('sites/all/modules/views/handlers/views_handler_filter_equality.inc','2100cdd7f5232348adae494c5122ba41ff051eee0a8cc14aeaf6a66202cb7ed1'),('sites/all/modules/views/handlers/views_handler_filter_fields_compare.inc','e116c3796f1bd409b150f5ab896b9bab956d6e71a82e5770ed6fde44605751b2'),('sites/all/modules/views/handlers/views_handler_filter_group_by_numeric.inc','9401c4c0fe0d678898e5288ef8152784a12e0743df21dec15457353eb2cdb01d'),('sites/all/modules/views/handlers/views_handler_filter_in_operator.inc','8fd7f075468bddde5c4208b1c3a6105f8fea0ac0c214452a37c00fc2f3453a7d'),('sites/all/modules/views/handlers/views_handler_filter_many_to_one.inc','b4a415c2824195d3d7d0e37ada9d69ebec0b9cd833ebcac2439efc20aac15595'),('sites/all/modules/views/handlers/views_handler_filter_numeric.inc','8a999227d17674a70381ab8b45fbdc91269a83a45e5f7514607ed8b4a5bf6a9f'),('sites/all/modules/views/handlers/views_handler_filter_string.inc','140006335ac5b19b6253b431afde624db70385b9d22390b8c275296ae469cc7b'),('sites/all/modules/views/handlers/views_handler_relationship.inc','4fefdb6c9c48b72dcfe86484123b97eb5f5b90b6a440d8026d71f74dccbd1cd6'),('sites/all/modules/views/handlers/views_handler_relationship_groupwise_max.inc','47dcfe351159b10153697c17b3a92607edb34a258ba3b44087c947b9cc88e86f'),('sites/all/modules/views/handlers/views_handler_sort.inc','06aab8d75f3dce81eb032128b8f755bfff752dcefc2e5d494b137bca161fdefa'),('sites/all/modules/views/handlers/views_handler_sort_date.inc','d7e771abf74585bd09cc8e666747a093f40848b451de8ba67c8158317946f1b2'),('sites/all/modules/views/handlers/views_handler_sort_group_by_numeric.inc','4ba1c38c9af32789a951b8f9377e13631ae26bf1dac3371b31a37ead25b32eb8'),('sites/all/modules/views/handlers/views_handler_sort_menu_hierarchy.inc','ccd65ea3b3270366b7175e2cd7cc9167a09c27e1486949e4a05495ff5c7be5c1'),('sites/all/modules/views/handlers/views_handler_sort_random.inc','05a00c3bf76c3278ae0ce39a206a6224089faf5ac4a00dd5b8a558f06fab8e46'),('sites/all/modules/views/includes/base.inc','5ad8155dbc31cc4460b65747d99b70a64a83f6fefa00231c8d965293a7a183ee'),('sites/all/modules/views/includes/handlers.inc','5cab753c012d357ce2a10b645eca4254b3647fdfe2452510eee37c8a12639a14'),('sites/all/modules/views/includes/plugins.inc','11c03b1c69be7e9969ec0665b07ddfe170c9505f8d4e862cb27f1232a2a4240e'),('sites/all/modules/views/includes/view.inc','99e60c217d6dc781ec48ae8fc841e636eee31d977936e1980a34eca28734ad2e'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_category_cid.inc','97acf41d6694fd4451909c18b118f482db9f39aa4b8c5cfa75d044d410c46012'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_fid.inc','c37def91d635b01db36809141d147d263cc910895e11c05e73d703e86b39fd43'),('sites/all/modules/views/modules/aggregator/views_handler_argument_aggregator_iid.inc','344f2806344d9c6356f2e19d297522f53bab7a4cebdf23c76d04c85c9e0a0d8e'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_category.inc','252b30b832d8c0097d6878f5d56beecfc8cc1fc7cc8b5a4670d8d95a80b4f17d'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_title_link.inc','1bb18967b11f2f4de62075d27e483f175b5e3431622c2e5e8292afcd000beadf'),('sites/all/modules/views/modules/aggregator/views_handler_field_aggregator_xss.inc','2db2e1f0500e0a252c7367e6a92906870b3247f9d424f999c381368ee2c76597'),('sites/all/modules/views/modules/aggregator/views_handler_filter_aggregator_category_cid.inc','7c7c0690c836ac1b75bca3433aca587b79aec3e7d072ce97dc9b33a35780ad4f'),('sites/all/modules/views/modules/aggregator/views_plugin_row_aggregator_rss.inc','591e5bb7272e389fe5fc2b563f8887dbc3674811ffbb41333d36a7a9a1859e56'),('sites/all/modules/views/modules/book/views_plugin_argument_default_book_root.inc','bd3bd9496bf519b1688cf39396f3afa495a29c8190a3e173c0740f4d20606a53'),('sites/all/modules/views/modules/comment/views_handler_argument_comment_user_uid.inc','5e29f7523010a074bda7c619b24c5d31e0c060cdbe47136b8b16b2f198ed4b4a'),('sites/all/modules/views/modules/comment/views_handler_field_comment.inc','a126d690cc5bf8491cb4bee4cc8237b90e86768bebbbecb8a9409a3c1e00fa9e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_depth.inc','1dc353a31d3c71c67d0b3e6854d9e767e421010fbbf6a8b04a14035e5f7c097f'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link.inc','1f7382f7cb05c65a7cba44e4cd58022bbc6ce5597b96228d1891d7720510bf0e'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_approve.inc','f6db8a0b4dd9fffba9d8ecb7b7363ba99d3b2dc7176436a0a6dd7a93195a5789'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_delete.inc','905a4cb1f91a4b40ee1ca1d1ded9958ae18e82286589fec100adb676769b1fe9'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_edit.inc','8139c932cde20f366a3019111c054b1ed00dbc0c40634b91239b400243b7723a'),('sites/all/modules/views/modules/comment/views_handler_field_comment_link_reply.inc','8807884efb840407696c909b9d5d07f60bde9d7f385a59eca214178ce5369558'),('sites/all/modules/views/modules/comment/views_handler_field_comment_node_link.inc','64746ff2b80a5f8e83b996a325c3d5c8393934c331510b93d5815ea11c1db162'),('sites/all/modules/views/modules/comment/views_handler_field_comment_username.inc','1ce3fa61b3933a3e15466760e4c5d4a85407ba4c8753422b766fc04395fa4d02'),('sites/all/modules/views/modules/comment/views_handler_field_last_comment_timestamp.inc','30c55ec6d55bf4928b757f2a236aab56d34a8e6955944a1471e9d7b7aed057c0'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_comment_name.inc','82025f3ad22b63abc57172d358b3f975006109802f4a5ecac93ce3785c505cae'),('sites/all/modules/views/modules/comment/views_handler_field_ncs_last_updated.inc','facfbc5defd843f4dfb60e645f09a784234d87876628c8de98d2dfa6bb98a895'),('sites/all/modules/views/modules/comment/views_handler_field_node_comment.inc','0cf9e8fb416dca35c3b9df3125eb3a8585f798c6a8f8d0e1034b1fccb5cec38b'),('sites/all/modules/views/modules/comment/views_handler_field_node_new_comments.inc','e0830d1f70dea473e46ab2b86e380ef741b2907f033777889f812f46989f2ff7'),('sites/all/modules/views/modules/comment/views_handler_filter_comment_user_uid.inc','f526c2c4153b28d7b144054828261ba7b26566169350477cd4fb3f5b5f280719'),('sites/all/modules/views/modules/comment/views_handler_filter_ncs_last_updated.inc','9369675dfee24891fe19bddf85a847c275b8127949c55112ae5cb4d422977d24'),('sites/all/modules/views/modules/comment/views_handler_filter_node_comment.inc','70706c47bad9180c2426005da6c178ed8d27b75b28cb797ca2a1925a96dcef09'),('sites/all/modules/views/modules/comment/views_handler_sort_comment_thread.inc','a64bc780cba372bd408f08a5ea9289cdf3d40562bdf2f7320657be9a9f6c7882'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_comment_name.inc','9f039e8b8a046c058fda620804e3503be7b3e7e3e4119f0b015ccbae0922635b'),('sites/all/modules/views/modules/comment/views_handler_sort_ncs_last_updated.inc','fa8b9c3614ad5838aa40194940d9dc6935175a16e141ac919f40e74a7428c4e3'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_rss.inc','96f651234e30a3aff805ae9a524c99813a286bf75b5a9fd8da2d7d4fbec50810'),('sites/all/modules/views/modules/comment/views_plugin_row_comment_view.inc','82d7296fa3109ca170f66f6f3b5e1209af98a9519bb5e4a2c42d9fc0e95d7078'),('sites/all/modules/views/modules/contact/views_handler_field_contact_link.inc','ec783b215a06c89c0933107a580c144051118305dd0129ac28a7fea5f95a8fd5'),('sites/all/modules/views/modules/field/views_handler_argument_field_list.inc','eff5152a2c120425a2a75fe7dbcb49ed86e5d48392b0f45b49c2e7abee9fa72b'),('sites/all/modules/views/modules/field/views_handler_argument_field_list_string.inc','534af91d92da7a622580ab8b262f9ef76241671a5185f30ba81898806c7b7f15'),('sites/all/modules/views/modules/field/views_handler_field_field.inc','94ff7382dba773fc637c777e20b810ae7d4aa4936fb0bc067e6a3824ba929d2d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list.inc','3b55cd0a14453c95ebd534507ab842a8505496d0b7e4c7fcd61c186034c7322d'),('sites/all/modules/views/modules/field/views_handler_filter_field_list_boolean.inc','d33035e141ca686b3f18da1e97adaa1ff8e5d1db266340d3030e873a744685e2'),('sites/all/modules/views/modules/field/views_handler_relationship_entity_reverse.inc','060035c5430c81671e4541bcf7de833c8a1eb3fa3f3a9db94dd3cebfa4299ef1'),('sites/all/modules/views/modules/filter/views_handler_field_filter_format_name.inc','fc3f074ffb39822182783a8d5cf2b89ffcc097ccbb2ed15818a72a99e3a18468'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_group.inc','c8545411096da40f48eef8ec59391f4729c884079482e3e5b3cdd5578a1f9ad7'),('sites/all/modules/views/modules/locale/views_handler_argument_locale_language.inc','a1b6505bb26e4b3abce543b9097cd0a7b8cddf00bf1e49fbba86febebb0f4486'),('sites/all/modules/views/modules/locale/views_handler_field_locale_group.inc','5b62afe18f92ee4a5fb49eb0995e65b4744bbe3b9c24ffe8f6c21f3191c04afc'),('sites/all/modules/views/modules/locale/views_handler_field_locale_language.inc','0cc08bd2d42e07f26e7acc92642b36f0ac62bf23ee9ba3fd21e6cab9a80e9f72'),('sites/all/modules/views/modules/locale/views_handler_field_locale_link_edit.inc','3883d3f37030d6d8e397e79ccb99ec3cb715ba7a789510f4b79b7515e314e7ae'),('sites/all/modules/views/modules/locale/views_handler_field_node_language.inc','a6ccdb6c1c4df3b4fd31b714f5aa4ac99771ffce63439d6c5de6c0ae2f09a2c1'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_group.inc','40fbc041bab64f336f59d1e0593f184b879b2a0c9e2a6050709bdc54cceb2716'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_language.inc','3433893d988aad36b918dd6214f5258b701506bc9c0c6a72fd854a036b635e20'),('sites/all/modules/views/modules/locale/views_handler_filter_locale_version.inc','9337ea5216784ffc67a0aa45c946e65ad11fc40849189cc70911a81366b78620'),('sites/all/modules/views/modules/locale/views_handler_filter_node_language.inc','d7edea3f35891cc76aa3bb185b9c1404378623ea7fd214c2a1f0d824df12779a'),('sites/all/modules/views/modules/locale/views_handler_sort_node_language.inc','b7b70efcf7de1f4dee4722ac8aa16031f17d62e60b1b5772f9985cadf91e4415'),('sites/all/modules/views/modules/node/views_handler_argument_dates_various.inc','80ee0e32fd48de1fa9d91645f27f7f26e8700acd3b1120a6d414bb1a794f6d0e'),('sites/all/modules/views/modules/node/views_handler_argument_node_language.inc','7ee3ba02bddaa6aeef9961cdf6af7bb386fc2b12529f095b28520bb98af51775'),('sites/all/modules/views/modules/node/views_handler_argument_node_nid.inc','11c5b62413ffd1b2c66d4b60a2fe21cf6eb839ae40d4ef81c7a938c5be3e30de'),('sites/all/modules/views/modules/node/views_handler_argument_node_type.inc','9e21b4cc4ae861f58c804ea7e2c17fbc5dd2a7938b9abfeb54437b531fc95e6e'),('sites/all/modules/views/modules/node/views_handler_argument_node_uid_revision.inc','675c99f8da9748ac507e202f546914bee3ed4065f6ce83a23a2aaafdaefd084e'),('sites/all/modules/views/modules/node/views_handler_argument_node_vid.inc','7e5da5594a336c1d0f4cf080ab3fcd690e0de1ee6b5e1830b5fb76a46bced19c'),('sites/all/modules/views/modules/node/views_handler_field_history_user_timestamp.inc','7d6d9c8273d317ab908d4873a32086dbd5f78a2b2d07b7ed79975841a2cadea6'),('sites/all/modules/views/modules/node/views_handler_field_node.inc','99a0ef52b68e8913eb3563d5c47097c09e46c6493fcb006f383c6f6798edb7fc'),('sites/all/modules/views/modules/node/views_handler_field_node_link.inc','26d8309a3a9140682d7d90e4d16ff664a3d7ce662af6ccbf75dc4c493515d7d9'),('sites/all/modules/views/modules/node/views_handler_field_node_link_delete.inc','3eeed8c9ffc088ee28b8ffaa5e2b084db24284acc4d1b2e69f90c96cc889016d'),('sites/all/modules/views/modules/node/views_handler_field_node_link_edit.inc','28f8c3b7d3d60c31fec3cdf81c84cfbb20f492220457694a0e150c3ddee030c0'),('sites/all/modules/views/modules/node/views_handler_field_node_path.inc','f392fde21e434fd40fc672546ef684780179d91827350ba9c348bb1cc5924727'),('sites/all/modules/views/modules/node/views_handler_field_node_revision.inc','3f510d58acaa8f844292b86c388cb1e78eac8c732bb5e7c9e92439c425710240'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link.inc','ace72f296cf4a4da4b7dd7b303532aebf93b6b1c18a5d30b51b65738475e3889'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_delete.inc','0a36602f080c4ef2bb5cb7dbddc5533deab7743c2fbf3bd88b9e478432cac7fb'),('sites/all/modules/views/modules/node/views_handler_field_node_revision_link_revert.inc','80ddc7f0c001fde9af491bb22d6044b85324fe90bea611fc3822408fd60008fa'),('sites/all/modules/views/modules/node/views_handler_field_node_type.inc','f8f39c6f238f837270d1b2e42e67bf9ab400a37fe24246c8b86dfcfacc1c4fd9'),('sites/all/modules/views/modules/node/views_handler_field_node_version_count.inc','1298f7f7ee4b6e6e2957b266fbb7c63e102b9d7e9ccca8d5a86592736bce9493'),('sites/all/modules/views/modules/node/views_handler_filter_history_user_timestamp.inc','2970f270e071cad079880e9598d9f7b71d4dd2a2a42a31cd4489029a3cafe158'),('sites/all/modules/views/modules/node/views_handler_filter_node_access.inc','ca625167c8928f1c5b354c27c120ed9b19c1df665dc3b02ed6d96b58194d6243'),('sites/all/modules/views/modules/node/views_handler_filter_node_status.inc','f7099a59d3f237f2870ecb6b0b5e49dd9d785b1085e94baf55687251e7f3231b'),('sites/all/modules/views/modules/node/views_handler_filter_node_type.inc','6842082e7b6e131d6e002e627e6b4490b93ca6ffe7fc0b158d31843217c8c929'),('sites/all/modules/views/modules/node/views_handler_filter_node_uid_revision.inc','2cfe9ba95e5ea8c240a57cfa1bed58385cbfed0c7f35e3d8c4da6d873b5a61fa'),('sites/all/modules/views/modules/node/views_handler_filter_node_version_count.inc','de61f3547604e5905486cdae5f5e94d1a45bdac4d3c43157193dd6fe0dd6473c'),('sites/all/modules/views/modules/node/views_handler_sort_node_version_count.inc','ce2a392319ebed3dbb2b660f3d6f4c6690b1cd46cf6b1c01802f12158114c4c4'),('sites/all/modules/views/modules/node/views_plugin_argument_default_node.inc','7fb79c8f4adb9bcef7c7da4bf4046fe3490e16c244f6ab96fdca97a8567315ff'),('sites/all/modules/views/modules/node/views_plugin_argument_validate_node.inc','f10d3f4081eed5ca32c41b67e9a0e6f35b2f8ba2cd7897230cb5a680b410a6de'),('sites/all/modules/views/modules/node/views_plugin_row_node_rss.inc','1e55454684102fad08c947695c370a890a22ea22c3c9aca3207f2299aa3daf7e'),('sites/all/modules/views/modules/node/views_plugin_row_node_view.inc','6b7dfe1a3b16eae682b2664a48bb6af16f040b4ca2c8e71f8b771a0577a66bae'),('sites/all/modules/views/modules/profile/views_handler_field_profile_date.inc','e206509ef8b592e602e005f6e3fa5ba8ef7222bdb5bacd0aaeea898c4001e9b0'),('sites/all/modules/views/modules/profile/views_handler_field_profile_list.inc','da5fa527ab4bb6a1ff44cc2f9cec91cf3b094670f9e6e3884e1fedce714afe6f'),('sites/all/modules/views/modules/profile/views_handler_filter_profile_selection.inc','758dea53760a1b655986c33d21345ac396ad41d10ddf39dd16bc7d8c68e72da7'),('sites/all/modules/views/modules/search/views_handler_argument_search.inc','9de18defd5d9320b6333dc496627657be1dd8ccb145dfc136a80f1bcee6e1f55'),('sites/all/modules/views/modules/search/views_handler_field_search_score.inc','711af637c864b775672d9f6203fc2da0902ed17404181d1117b400012aac366f'),('sites/all/modules/views/modules/search/views_handler_filter_search.inc','aa2ae23905b84b77ee6042f8f26542eedd7422bdd7518255a289db7da0f6400b'),('sites/all/modules/views/modules/search/views_handler_sort_search_score.inc','9d23dd6c464d486266749106caec1d10cec2da1cc3ae5f907f39056c46badbdf'),('sites/all/modules/views/modules/search/views_plugin_row_search_view.inc','bc25864154d4df0a58bc1ac1148581c76df36267a1d18f8caee2e3e1233c8286'),('sites/all/modules/views/modules/statistics/views_handler_field_accesslog_path.inc','7843e5f4b35f4322d673b5646e840c274f7d747f2c60c4d4e9c47e282e6db37d'),('sites/all/modules/views/modules/statistics/views_handler_field_node_counter_timestamp.inc','a1de51345d268dc0f080104ff9ae4c9ca1f7a2dd45560a59630b2bb03bdc54c9'),('sites/all/modules/views/modules/statistics/views_handler_field_statistics_numeric.inc','b46b6b14e14631941ac2dc9baf0b1290c148f42801f05cb419f84a2091d03e40'),('sites/all/modules/views/modules/system/views_handler_argument_file_fid.inc','e9bf1fdf12f210f0a77774381b670c77ee88e7789971ce732b254f6be5a0e451'),('sites/all/modules/views/modules/system/views_handler_field_file.inc','0fff4adb471c0c164a78f507b035a68d41f404ab10535f06f6c11206f39a7681'),('sites/all/modules/views/modules/system/views_handler_field_file_extension.inc','768aa56198c7e82327391084f5dd27d7efdb8179ff6b8c941f892fe30469a0da'),('sites/all/modules/views/modules/system/views_handler_field_file_filemime.inc','bdd7f1255f3000f7f2900341d4c4ca378244b96390ef52a30db2962d017b61a4'),('sites/all/modules/views/modules/system/views_handler_field_file_status.inc','bfb0b9d796a4dbf95c4bb7a3deef7724bcda9e0d9067939b74ec787da934f2b0'),('sites/all/modules/views/modules/system/views_handler_field_file_uri.inc','350d7dde27ee97cb4279360374eb8633ce7fee115a109346bea85c2c4e3a68c2'),('sites/all/modules/views/modules/system/views_handler_filter_file_status.inc','9210a34795f9db36974525e718c91c03c28554da1199932791925d7c4a2f3b11'),('sites/all/modules/views/modules/system/views_handler_filter_system_type.inc','d27513703a75c4d8af79b489266cf4102a36e350c3d90404dab24403ab637205'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_taxonomy.inc','8962fa76f1e03316932468b0fd805817af94726beb82bf9f4786e0c709264662'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid.inc','e50f47ac64a93c2a43b6bd940119dee46b9f25f79f5d25a93fd0df7d707c93ab'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth.inc','5b2806fbad4a6cc104e733a3a0faf6eb1c19975930c67c4149fb3267976e0b7d'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc','ca667646f99645c00e6dfb7eb52e2f54faf848be41c99af5caf2201dcd56926b'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc','d85ebe68290239b25fc240451655b825325854e9707cf742fbd75de81e0f1aa7'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc','888647527bec3444b2d0a571a77900396d7c5e884bca04a2a3667a61f6377b5e'),('sites/all/modules/views/modules/taxonomy/views_handler_argument_vocabulary_vid.inc','bf4be783ef6899f004f4dbd06c1bf2cd6dbc322678c825eec36bee81d667e81f'),('sites/all/modules/views/modules/taxonomy/views_handler_field_taxonomy.inc','fcafbbf79b79829eff211aa69580aa746b6d21a29416758bd43e25b5433f9a02'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_link_edit.inc','3da63f6feb1fa3312853b54585d761d037dac8841b4c06e01e35463c9098064a'),('sites/all/modules/views/modules/taxonomy/views_handler_field_term_node_tid.inc','d7bb6f685b85de9f9cc87500b3e5a07493832f032d826e20700bbd1baa020a61'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid.inc','6ecc68ee0efaaedd1ae8b290e587955a7d6c3ea361f671921167df55d353922e'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth.inc','0b05ec052dcc03081e20338808dda17beb0bdf869b0cfc1375ca96cfb758c22a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc','76d59ca83bdcb40493055829a9132646ed89478d7eb6e468db2d879e66e3794c'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc','f1787b436b914cfe5ca6f2575d4c0595f4f496795711d6e8a116a39986728b0a'),('sites/all/modules/views/modules/taxonomy/views_handler_filter_vocabulary_vid.inc','2a4d7dfbb6b795d217e2617595238f552bbea04b80217c933f1ee9978ceb7a0e'),('sites/all/modules/views/modules/taxonomy/views_handler_relationship_node_term_data.inc','0bfd4c7882054565fb4ff52cf5697fe8cffca69d24717ebc37e6eacc14fe2312'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc','fc4c3ace525162fc922de581af0710c7d92dc355e9630040a29a5c3a6ab7f9af'),('sites/all/modules/views/modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc','8a9d828e5e4387d831172a5c658fac8ef584d843be6c95e9b4e357af6c8f97de'),('sites/all/modules/views/modules/tracker/views_handler_argument_tracker_comment_user_uid.inc','91f5b7e9537942eee7a1798906f772cb9806eebfdc201c54fcdecf027cd71d0f'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_boolean_operator.inc','5efea908902052d68141017b6f29f17381e7bb8ebb6d88245471926f0a552207'),('sites/all/modules/views/modules/tracker/views_handler_filter_tracker_comment_user_uid.inc','05e07f74d1e3978afd4c80a9b4bd72444872b84a44949a512f1d3040ce28421c'),('sites/all/modules/views/modules/translation/views_handler_argument_node_tnid.inc','b0e3c87d3790cfa2e265f3d9700f2b3c2857932aa4b6e003e5d0114fc1b4d499'),('sites/all/modules/views/modules/translation/views_handler_field_node_link_translate.inc','27a1ac81b50d4807d9a1eff4c5dc8929e4472f9d363f70f5391a794db73424a2'),('sites/all/modules/views/modules/translation/views_handler_field_node_translation_link.inc','641ff25cd317bb803de2ace4bd23e8c5f5af5ba4ac38aab7be2fdc58fbb9e86a'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid.inc','0942fd793740e3aec032a1abb7132f53788a9cdeaeb3d931cac908ac30b73950'),('sites/all/modules/views/modules/translation/views_handler_filter_node_tnid_child.inc','2a7a96d6caa4a99996549be0457bf40fa619731543a636d4573e55c190c64c7a'),('sites/all/modules/views/modules/translation/views_handler_relationship_translation.inc','9137c85f5ca309d4ee0d3243c470563a5853f5926b8cbd3e843438d4308c9516'),('sites/all/modules/views/modules/user/views_handler_argument_users_roles_rid.inc','72da80e7f3c6980da024d86f37ba3721021cc1ead2cfcc1ab9b27897b7b5077a'),('sites/all/modules/views/modules/user/views_handler_argument_user_uid.inc','a4af1bdc1ec5e40587c22c14e839980050baaa346c9d5934ef3f01794932cdc5'),('sites/all/modules/views/modules/user/views_handler_field_user.inc','1a2141524e43d86b52c7828fe6df61dd603ad433743c1139cfc5cc28ccb5ce74'),('sites/all/modules/views/modules/user/views_handler_field_user_language.inc','5a3da9e08ebeebbcb5abc6a9b16e0d380c5bb5c57b608afb540a3ca6dc1b2959'),('sites/all/modules/views/modules/user/views_handler_field_user_link.inc','5a0f35d5305a29816658385ecbd804bf43c92d4b3629fbe4bd9b8d0e9574b6ff'),('sites/all/modules/views/modules/user/views_handler_field_user_link_cancel.inc','b865881b15ce86b5a00f2892d3fc62f40131417527211275ff9a3d09d485750b'),('sites/all/modules/views/modules/user/views_handler_field_user_link_edit.inc','5d7c1155d9eccbd6b07c7446fe2b6a8848d6a500f508ac3779f16df56816f92b'),('sites/all/modules/views/modules/user/views_handler_field_user_mail.inc','b7355b704f19322afb4876cea27744367e20098d4ed973e480bf2baf1ddd111c'),('sites/all/modules/views/modules/user/views_handler_field_user_name.inc','3be11e273d7a0e8d1e1406b94ba651a6f545f9d48d94758495449b68487f4426'),('sites/all/modules/views/modules/user/views_handler_field_user_permissions.inc','ec37373524bf23ae107adda6b825570c550e6654c0f0956409fc58df2c860903'),('sites/all/modules/views/modules/user/views_handler_field_user_picture.inc','0103d136a91fb219fd981801301b7df00adf90617900ded08efbf6d7df04959b'),('sites/all/modules/views/modules/user/views_handler_field_user_roles.inc','ab5068c4f01a05c6511f7d4b973a77650d5b5c481d4a73f63b7a9b1ef9c0d138'),('sites/all/modules/views/modules/user/views_handler_filter_user_current.inc','7f70b7e3b3c10e75d95f54afc9c2fe2f1af9b7a9eab2308d2961b2588dc05845'),('sites/all/modules/views/modules/user/views_handler_filter_user_name.inc','5225e5d89051313e0e49ea833709bb4dc44369afeee970b0cfaf1818ababa22c'),('sites/all/modules/views/modules/user/views_handler_filter_user_permissions.inc','a72e8d02c1075cebfee33e5b046460eef9193b2a7c1d47ff130457e4485b6fe5'),('sites/all/modules/views/modules/user/views_handler_filter_user_roles.inc','3bb69fbc4e352ce8e4840ec78bdd0f1f29e8709097ce6b29cc2fedd2c74c023e'),('sites/all/modules/views/modules/user/views_plugin_argument_default_current_user.inc','11e729115350deffe46ebfe3a55281fa169a90e38a76c3a9d98f26c87900a22b'),('sites/all/modules/views/modules/user/views_plugin_argument_default_user.inc','fe567f009a8e20f402f104b157fd44c04d6bd886a39b2f3355104f644f905419'),('sites/all/modules/views/modules/user/views_plugin_argument_validate_user.inc','40d623b0a678fa7c292da92582f06449d0396341ab161069f0fe8d1086ab95da'),('sites/all/modules/views/modules/user/views_plugin_row_user_view.inc','6a6c1bfac677eb9ffd25870cd72939c903f2c92d6d18e3abc6c634ac153e5c2b'),('sites/all/modules/views/plugins/export_ui/views_ui.class.php','8cd921da4fc00f0441808c6d521fa9fdfc753976244518a001a6354975eb6fe8'),('sites/all/modules/views/plugins/views_plugin_access.inc','cc16bf7dc4c10eab382e948cfd91902ac1055514b627e3c50932376d3e3f1b91'),('sites/all/modules/views/plugins/views_plugin_access_none.inc','8e0a6b706c60abf63ab84d8624567ca12a5b80ad293e4334790065fbe6fa14d4'),('sites/all/modules/views/plugins/views_plugin_access_perm.inc','1807a9c91485a5abd3fb2f6590ed4bc185fdabe308db37b169be8abdfc30cab2'),('sites/all/modules/views/plugins/views_plugin_access_role.inc','8784836ea87ec6b0974125ed95ed6bbf6fdf91624f496f22c28e9229c695068d'),('sites/all/modules/views/plugins/views_plugin_argument_default.inc','43e593760f0e8f031f2e7b861385caa5e39f37de400fe4595925288c78f52f23'),('sites/all/modules/views/plugins/views_plugin_argument_default_fixed.inc','daaa3b59b54cbb11e411e010303f67a51348bb97a4e06997b475f4c41e91c4e0'),('sites/all/modules/views/plugins/views_plugin_argument_default_php.inc','7a133b603294bfe498bfdeb50fade0b6e3cf8862270376067d86f69e7dc50eb8'),('sites/all/modules/views/plugins/views_plugin_argument_default_raw.inc','4318e0dfa56f167183453cf8cd913f3b7ee539b77a096507905e36db12ded97e'),('sites/all/modules/views/plugins/views_plugin_argument_validate.inc','2ada4fdc59b366f33209c0cfc515b06e765b487091760cfa22e94ca1c028c9cb'),('sites/all/modules/views/plugins/views_plugin_argument_validate_numeric.inc','c050d3b5723dbfdca9ad312c7fa198e509c626057b95eed326820ce733dd9730'),('sites/all/modules/views/plugins/views_plugin_argument_validate_php.inc','56a09922081a5e368d5796907727e35cbf43b0d634e53f947990c8a42d5b5f3e'),('sites/all/modules/views/plugins/views_plugin_cache.inc','870ceb5dd920212f4297849046e696b50dbe35a9ad4ac28b7021a7dd03aa64d9'),('sites/all/modules/views/plugins/views_plugin_cache_none.inc','a0d0ba252e1e2b65350c7ce648b97364726fa8ded5a366bfcce30c62daee4450'),('sites/all/modules/views/plugins/views_plugin_cache_time.inc','fb55f3236b30f00f3ca5228c40115444a0e2f164a4f54e6fe07dee514e183569'),('sites/all/modules/views/plugins/views_plugin_display.inc','dd190a0984bfd20a876e6437898ec691b4f46bc7a8d2e9ef17e054d03294536f'),('sites/all/modules/views/plugins/views_plugin_display_attachment.inc','6124e2ec51eadd7500fb878c25d9c5044b4ae9b6323dbbaa40b4806b69dd4cc0'),('sites/all/modules/views/plugins/views_plugin_display_block.inc','7ad6a90efa396f68276e93e19a6273c88782d514c1f1cea6ed0b046287e16a10'),('sites/all/modules/views/plugins/views_plugin_display_default.inc','91c6554d8f41f848bf30093d44d076051c54e998f6b50bdc2a922bfeeef9c54d'),('sites/all/modules/views/plugins/views_plugin_display_embed.inc','5424f2ea9e031faade7a562b8013aea193db5b0bc1be92b97bd7967de0d7bfff'),('sites/all/modules/views/plugins/views_plugin_display_extender.inc','75fb9f80e7f153715b911690c7140f251df588e6a541fab5881fbfafc0bbf778'),('sites/all/modules/views/plugins/views_plugin_display_feed.inc','f2fb6152e12da300b9bb8e1b45621dfe921c3ce0e769970ee1532e32a3657c53'),('sites/all/modules/views/plugins/views_plugin_display_page.inc','ece0ae5d5d730ef646178b09bc41a59e091c96a6ac3b3db5bdb9e61d194787bb'),('sites/all/modules/views/plugins/views_plugin_exposed_form.inc','0632ce61b4e39f8c0f39866987e4908657020298520fcf7c2712c0135e77d95b'),('sites/all/modules/views/plugins/views_plugin_exposed_form_basic.inc','c736e1862b393e15ecc80deb58663405a1d68c2db07eb620d8e640406876cd17'),('sites/all/modules/views/plugins/views_plugin_exposed_form_input_required.inc','98b81e3b78f7242dd30a3754830bdde2fb1dfe8f002ae0daa06976f1bb64fa75'),('sites/all/modules/views/plugins/views_plugin_localization.inc','d7239cc693994dcd069c1f1e7847a7902c5bd29b8d64a93cdf37c602576661fb'),('sites/all/modules/views/plugins/views_plugin_localization_core.inc','f0900c0640e7c779e9b876223ea395f613c8fe8449f6c8eb5d060e2d54a6afcc'),('sites/all/modules/views/plugins/views_plugin_localization_none.inc','4930c3a13ddc0df3065f4920a836ffdc933b037e1337764e6687d7311f49dd8a'),('sites/all/modules/views/plugins/views_plugin_pager.inc','d7c32e38f149e9009e175395dff2b00ec429867653c7535301b705a7cc69d9ed'),('sites/all/modules/views/plugins/views_plugin_pager_full.inc','60e4dec532de00bf7e785e5fa29a0be43c7b550efa85df0346a1712a3c39f7cd'),('sites/all/modules/views/plugins/views_plugin_pager_mini.inc','0a9d101d5a4217fb888c643bfddd7bf7f2f9c0937faa2753a31452a5ee68190b'),('sites/all/modules/views/plugins/views_plugin_pager_none.inc','822cab1ada25f4902a0505f13db86886061d2ced655438b33b197d031ccceddd'),('sites/all/modules/views/plugins/views_plugin_pager_some.inc','bc6aa7cbf1bc09374eced33334195c8897e4078336b8306d02d71c7aaaa22c99'),('sites/all/modules/views/plugins/views_plugin_query.inc','475a7ff0d4c7c7e27d7971ebd909a87bdb8322c47d6023b68f50f6fe6a1ec059'),('sites/all/modules/views/plugins/views_plugin_query_default.inc','d5f89543721a3cd24f6a18114c630f741d11029d933f1b01d59f349219b747d6'),('sites/all/modules/views/plugins/views_plugin_row.inc','3ca81529526b930cfb0dda202757f203649236b90441e3c035bb79cd419ee2a6'),('sites/all/modules/views/plugins/views_plugin_row_fields.inc','875fb2868cdbcc5f7af03098cbe55b9bb91ef512e5e52ccde89f7a02a0c5fbe2'),('sites/all/modules/views/plugins/views_plugin_row_rss_fields.inc','62f4a0ceef14aec9958ee8b98d352303f10818ddc66031814cc8b9d21752ade9'),('sites/all/modules/views/plugins/views_plugin_style.inc','1ac358d216da612e1731d6b1c730d2ee57ccb8cdd31ad768ae97af542325244f'),('sites/all/modules/views/plugins/views_plugin_style_default.inc','bf411e635d2fd9e09eb245b43581a0a7b670359180ccb042d42a5e579bbe9c30'),('sites/all/modules/views/plugins/views_plugin_style_grid.inc','35094b7f644b7e0692c9026b6b6b4c4c864c37fcdedef04b359dd2bdba496a47'),('sites/all/modules/views/plugins/views_plugin_style_jump_menu.inc','53a438d8a5398877eacdbff97f3b0c418ebc2fa16e69efd5e4a31b0b986e03a3'),('sites/all/modules/views/plugins/views_plugin_style_list.inc','407b928d2c74a91903b681088bccce926d2268d0a9a6a34c185a4849dc0d7e31'),('sites/all/modules/views/plugins/views_plugin_style_mapping.inc','a6b430a148dda1b07ecee314b897c1da41ce375566adf50ee23ae1da822fddf3'),('sites/all/modules/views/plugins/views_plugin_style_rss.inc','ac72d530faffee78a1695a0b3893528ceb8451f18be0521c580485904a5ba57b'),('sites/all/modules/views/plugins/views_plugin_style_summary.inc','872df59f8f389eaf9b019e82d859dd198d31166e26a9102132e3932c7f1f2916'),('sites/all/modules/views/plugins/views_plugin_style_summary_jump_menu.inc','2ec0d225824ee65b6bb61317979e1dabe2be524a66ab19da924c6949dd31af3b'),('sites/all/modules/views/plugins/views_plugin_style_summary_unformatted.inc','c1e6f9dd1d75e29fee271171440d2182e633a1dbbc996cb186f637ff7ad93ed9'),('sites/all/modules/views/plugins/views_plugin_style_table.inc','0cbcc5d256a13953fbd3e5966a33d2426d5c3bd8c228ef370daebf2f428e693c'),('sites/all/modules/views/plugins/views_wizard/views_ui_base_views_wizard.class.php','d8325414c8ddde5c955a5cfb053b77478bb4d73cb2f7d75b857b082bc5a1e12d'),('sites/all/modules/views/plugins/views_wizard/views_ui_comment_views_wizard.class.php','585a8e885a18d4d2dee260859492eb332d70166abf2d201777ebf0d2083d2ebe'),('sites/all/modules/views/plugins/views_wizard/views_ui_file_managed_views_wizard.class.php','5734fb564ba9e2485cfa5d4a49f0c76f65a9be357b78e769ee4af92c4ef9e22a'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_revision_views_wizard.class.php','6faf9ef92501a4f1aeaf86bcff9edaeb47bd7526ba50d06b841c9366149e7725'),('sites/all/modules/views/plugins/views_wizard/views_ui_node_views_wizard.class.php','f10e588fcfe2dc37d0df1c520c3cd797b85d6f729335606b1aa11fcb5884e6eb'),('sites/all/modules/views/plugins/views_wizard/views_ui_taxonomy_term_views_wizard.class.php','87d72dba2aef587994307cb287b638a409d148911e4b90109798ecacf5a721e7'),('sites/all/modules/views/plugins/views_wizard/views_ui_users_views_wizard.class.php','f9fe2fb1ee87a1871e6ad32bad61b2457313f24da1bd5423977ced12de542919'),('sites/all/modules/views/tests/comment/views_handler_argument_comment_user_uid.test','b8b417ef0e05806a88bd7d5e2f7dcb41339fbf5b66f39311defc9fb65476d561'),('sites/all/modules/views/tests/comment/views_handler_filter_comment_user_uid.test','347c6ffd4383706dbde844235aaf31cff44a22e95d2e6d8ef4da34a41b70edd1'),('sites/all/modules/views/tests/field/views_fieldapi.test','53e6d57c2d1d6cd0cd92e15ca4077ba532214daf41e9c7c0f940c7c8dbd86a66'),('sites/all/modules/views/tests/handlers/views_handlers.test','f94dd3c4ba0bb1ffbf42704f600b94a808c1202a9ca26e7bdef8e7921c2724e9'),('sites/all/modules/views/tests/handlers/views_handler_area_text.test','af74a74a3357567b844606add76d7ca1271317778dd7bd245a216cf963c738b4'),('sites/all/modules/views/tests/handlers/views_handler_argument_null.test','1d174e1f467b905d67217bd755100d78ffeca4aa4ada5c4be40270cd6d30b721'),('sites/all/modules/views/tests/handlers/views_handler_argument_string.test','3d0213af0041146abb61dcdc750869ed773d0ac80cfa74ffbadfdd03b1f11c52'),('sites/all/modules/views/tests/handlers/views_handler_field.test','af552bf825ab77486b3d0d156779b7c4806ce5a983c6116ad68b633daf9bb927'),('sites/all/modules/views/tests/handlers/views_handler_field_boolean.test','d334b12a850f36b41fe89ab30a9d758fd3ce434286bd136404344b7b288460ae'),('sites/all/modules/views/tests/handlers/views_handler_field_counter.test','75b31942adf06b107f5ffd3c97545fde8cd1040b1d00f682e3c7c1320026e26c'),('sites/all/modules/views/tests/handlers/views_handler_field_custom.test','1446bc3d5a6b1180a79edfa46a5268dbf7f089836aa3bc45df00ddaff9dd0ce1'),('sites/all/modules/views/tests/handlers/views_handler_field_date.test','02df76a93a42d6131957748b1e69254835f9e44a47dafca1e833914e6b7f88a0'),('sites/all/modules/views/tests/handlers/views_handler_field_file_extension.test','606ca091ad7e5709f7653324aaa021484d1f0e07e8639b3f0f7c26d3cfdee53c'),('sites/all/modules/views/tests/handlers/views_handler_field_file_size.test','49184db68af398a54e81c8a76261acd861da8fd7846b9d51dcf476d61396bfb9'),('sites/all/modules/views/tests/handlers/views_handler_field_math.test','6e39e4f782e6b36151ceafb41a5509f7c661be79b393b24f6f5496d724535887'),('sites/all/modules/views/tests/handlers/views_handler_field_url.test','b41f762a71594b438a2e60a79c8260ba54e6305635725b0747e29f0d3ffe08c9'),('sites/all/modules/views/tests/handlers/views_handler_field_xss.test','f129ee16c03f84673e33990cbb2da5aa88c362f46e9ba1620b2a842ffd1c9cd2'),('sites/all/modules/views/tests/handlers/views_handler_filter_combine.test','05842d83a11822afe7d566835f5db9f0f94fdb27ddfc388d38138767bdf36f8b'),('sites/all/modules/views/tests/handlers/views_handler_filter_date.test','ad2ca901c6a4ac3a82fc349a33826f043c6c80f773f40374be2e95acb39491e3'),('sites/all/modules/views/tests/handlers/views_handler_filter_equality.test','c88f21c9cbf1aae83393b26616908f8020c18fe378d76256c7ba192df2ec17af'),('sites/all/modules/views/tests/handlers/views_handler_filter_in_operator.test','89420a4071677232e0eb82b184b37b818a82bdb2ff90a8b21293f9ecb21808bf'),('sites/all/modules/views/tests/handlers/views_handler_filter_numeric.test','35ac7a34e696b979e86ef7209b6697098d9abe218e30a02cc4fe39fb11f2a852'),('sites/all/modules/views/tests/handlers/views_handler_filter_string.test','b7d090780748faad478e619fd55673d746d4a0cf343d9e40ea96881324c34cbd'),('sites/all/modules/views/tests/handlers/views_handler_sort.test','f4ff79e6bc54e83c4eb2777811f33702b7e9fe7416ef70ae00d100fa54d44fec'),('sites/all/modules/views/tests/handlers/views_handler_sort_date.test','f548584d7c6a71cabd3ce07e04053a38df3f3e1685210ce8114238fd05344c10'),('sites/all/modules/views/tests/handlers/views_handler_sort_random.test','4fdba9bf05a26720ffa97e7a37da65ddc9044bd2832f8c89007b82feb062f182'),('sites/all/modules/views/tests/node/views_node_revision_relations.test','9467497a6d693615b48c8f57611a850002317bcb091b926d2efbbe56a4e61480'),('sites/all/modules/views/tests/plugins/views_plugin_display.test','4a6b136543a60999604c54125fa9d4f5aa61a5dcc71e2133d89325d81bc0fc2d'),('sites/all/modules/views/tests/styles/views_plugin_style.test','92d9a02f87f07d091999b961045b1dd654165059d8d1931b5c2ea1d88d0b439f'),('sites/all/modules/views/tests/styles/views_plugin_style_base.test','54fb7816d18416d8b0db67e9f55aa2aa50ac204eb9311be14b6700b7d7a95ae7'),('sites/all/modules/views/tests/styles/views_plugin_style_jump_menu.test','b88baa8aebe183943a6e4cf2df314fef13ac41b5844cd5fa4aa91557dd624895'),('sites/all/modules/views/tests/styles/views_plugin_style_mapping.test','a4e68bc8cfbeff4a1d9b8085fd115bfe7a8c4b84c049573fa0409b0dc8c2f053'),('sites/all/modules/views/tests/styles/views_plugin_style_unformatted.test','033ca29d41af47cd7bd12d50fea6c956dde247202ebda9df7f637111481bb51d'),('sites/all/modules/views/tests/taxonomy/views_handler_relationship_node_term_data.test','6074f5c7ae63225ea0cd26626ace6c017740e226f4d3c234e39869c31308223d'),('sites/all/modules/views/tests/test_handlers/views_test_area_access.inc','619e39bc4535976865b96751535d0d5aac4a7a87c1d47cb6d4c4bb9c9fa74716'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_dynamic.inc','6a3ce8c256b84734b6b67a893ab24465a5f62d7bdf9ab5d22082a31849346b7d'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_access_test_static.inc','e345e42d443cfa73db0ed2be61291117ebd57b86196cdb77c6f440e93443def3'),('sites/all/modules/views/tests/test_plugins/views_test_plugin_style_test_mapping.inc','0b2c68626105bd5f6b9074022a37c3d09d3a6bd70b811bb26d5eacad6d74546f'),('sites/all/modules/views/tests/user/views_handler_field_user_name.test','69641b6da26d8daee9a2ceb2d0df56668bf09b86db1d4071c275b6e8d0885f9e'),('sites/all/modules/views/tests/user/views_user.test','fbb63b42a0b7051bd4d33cf36841f39d7cc13a63b0554eca431b2a08c19facae'),('sites/all/modules/views/tests/user/views_user_argument_default.test','6423f2db7673763991b1fd0c452a7d84413c7dd888ca6c95545fadc531cfaaf4'),('sites/all/modules/views/tests/user/views_user_argument_validate.test','c88c9e5d162958f8924849758486a0d83822ada06088f5cf71bfbe76932d8d84'),('sites/all/modules/views/tests/views_access.test','f8b9d04b43c09a67ec722290a30408c1df8c163cf6e5863b41468bb4e381ee6f'),('sites/all/modules/views/tests/views_analyze.test','5548e36c99bb626209d63e5cddbc31f49ad83865c983d2662c6826b328d24ffb'),('sites/all/modules/views/tests/views_argument_default.test','5950937aae4608bba5b86f366ef3a56cc6518bbccfeaeacda79fa13246d220e4'),('sites/all/modules/views/tests/views_argument_validator.test','31f8f49946c8aa3b03d6d9a2281bdfb11c54071b28e83fb3e827ca6ff5e38c88'),('sites/all/modules/views/tests/views_basic.test','655bd33983f84bbea68a3f24bfab545d2c02f36a478566edf35a98a58ff0c6cf'),('sites/all/modules/views/tests/views_cache.test','4e9b8ae1d9e72a9eaee95f5083004316d2199617f7d6c8f4bea40e99d17efcd8'),('sites/all/modules/views/tests/views_exposed_form.test','6962c7ed8a38030ec1cfa94485de07ceb1f9393216985bd8bfecac768f6c0950'),('sites/all/modules/views/tests/views_glossary.test','118d50177a68a6f88e3727e10f8bcc6f95176282cc42fbd604458eeb932a36e8'),('sites/all/modules/views/tests/views_groupby.test','f26ad6857dc4821a4a0780642bda05fcb69ed506968e521f759bb28be4080143'),('sites/all/modules/views/tests/views_handlers.test','a696e3d6b1748da03a04ac532f403700d07c920b9c405c628a6c94ea6764f501'),('sites/all/modules/views/tests/views_module.test','5137e27449639d3e02f1b27206ef3ff96957546333b517318dfe8f58239dc860'),('sites/all/modules/views/tests/views_pager.test','6f448c8c13c5177afb35103119d6281958a2d6dbdfb96ae5f4ee77cb3b44adc5'),('sites/all/modules/views/tests/views_plugin_localization_test.inc','baedcf6c7381f9c5d3a5062f7d256f96808d06e04b6e73eff8e791e5f5293f45'),('sites/all/modules/views/tests/views_query.test','f8cb1649e43c8a2b036fec742e86b8eb9c2c4c095a4c4e7a7c3ca13c6ce8e6e6'),('sites/all/modules/views/tests/views_test.views_default.inc','4c65cc385b3e3c2e17fe054eb7a1ec70f4dd4b0394bdb108de2ddc0a7b435635'),('sites/all/modules/views/tests/views_translatable.test','6899c7b09ab72c262480cf78d200ecddfb683e8f2495438a55b35ae0e103a1b3'),('sites/all/modules/views/tests/views_ui.test','f9687a363d7cc2828739583e3eedeb68c99acd505ff4e3036c806a42b93a2688'),('sites/all/modules/views/tests/views_upgrade.test','c48bd74b85809dd78d963e525e38f3b6dd7e12aa249f73bd6a20247a40d6713a'),('sites/all/modules/views/tests/views_view.test','a52e010d27cc2eb29804a3acd30f574adf11fad1f5860e431178b61cddbdbb69'),('sites/all/modules/views/views_ui.module','418d555f71e72cb771a01ad7bfe7410c4d8191738271fa4e7cbb063940afb2a0'),('sites/all/modules/views_bootstrap/plugins/accordion/views_bootstrap_accordion_plugin_style.inc','cd1d10d86d6478f2e09627e584bed61c2b56fbe04ab145f21fff1db57517141f'),('sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_rows.inc','29dc7c5efbed6cce2a1febdca54bf32b68bc86ea44b1aaca20d317afb0c56071'),('sites/all/modules/views_bootstrap/plugins/carousel/views_bootstrap_carousel_plugin_style.inc','1f0914b41bbe43d4aed077ac921aab48c0ed1ebd47842bcb54e830435d6f9933'),('sites/all/modules/views_bootstrap/plugins/grid/views_bootstrap_grid_plugin_style.inc','91729a36053b19b9b0dc19e15283145aa52e2ef256dca6fbc137f4373d5a5d21'),('sites/all/modules/views_bootstrap/plugins/media/views_bootstrap_media_plugin_style.inc','2fb49eab8d79cee51c0f21bd94b4c933b8ca2b0adbd3e5895811f22bfb90a99e'),('sites/all/modules/views_bootstrap/plugins/tab/views_bootstrap_tab_plugin_style.inc','9c760e3b195d4a41b3bb60c51a19ad776283ca93b71e6b06e450295b9574308c'),('sites/all/modules/views_bootstrap/plugins/table/views_bootstrap_table_plugin_style.inc','2e2e63ca485eb5bee8a7e84105a67862d2c6837f51c139d5c8022b25bb779ca5'),('sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc','e7865515d7fdfa8ebcda036fe002cd8081ce7042962b6952869227a57a74e8cb'),('sites/all/modules/views_bootstrap/plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc','5fcf10588197e194f205589755001d3c7ff96e8139ea8f1adc084fd3e8a7cb7c'),('sites/all/modules/views_datasource/views/plugins/views_plugin_style_json.inc','e31d58a723303c3bc01342a8369337f024762b6d2664a56ba39b3402229cecaf'),('sites/all/modules/views_fieldsets/views/views_fieldsets_fieldset_field_handler.inc','628b99856ed217132afe0cb416028d9e109789a6fef52b8bb2d7a0f61db0def0'),('sites/all/modules/views_field_view/tests/views_field_view.test','cbc84f9b875e681a61f6401abf0e97b95bbeb55fd6def4800cdca3f62617ac91'),('sites/all/modules/views_field_view/views_field_view_handler_field_view.inc','31d1f7bf2d427a5d04161816a995efb72816d1583f8d69af3a244fa68a6ae0b9'),('sites/all/modules/views_slideshow/views_slideshow_plugin_style_slideshow.inc','ebece9df829a44c71f7043d3b972f706d9f05d6d0f548b03c3c0eec39c2902d1'),('sites/all/modules/webform/includes/exporters/webform_exporter.inc','d0ecbf7c7b218e10442b6bf1ef32ac4a67862b0cb1c37f10936dbf69b55c75a1'),('sites/all/modules/webform/includes/exporters/webform_exporter_delimited.inc','deb820b134e34386daa833b78aaaacdd4bc78fcb1832a452145c0851909e1bb4'),('sites/all/modules/webform/includes/exporters/webform_exporter_excel_delimited.inc','fe301ec8cba10b2e5ecdfed30c386fef1dbb1a33db21a19fa686533775b72223'),('sites/all/modules/webform/includes/exporters/webform_exporter_excel_xlsx.inc','b3407ce58fb72c05d723ab699440f687db6344d4a8756eca7333deaa9c6f2df3'),('sites/all/modules/webform/includes/webform.webformconditionals.inc','a9097667c37e229b06f6000d3a3e76f6bb850dd28a4d2ce64d6b8815920e5f2b'),('sites/all/modules/webform/tests/WebformComponentsTestCase.test','c049c524ca26457fc0ab02580feeb65ee530a8c6ee929117bfb1588230ea0b2a'),('sites/all/modules/webform/tests/WebformConditionalsTestCase.test','70d4b6d2d29cca00179ed5e12f902c6e5c4d8aabf2f08d0bb6624a117233d2de'),('sites/all/modules/webform/tests/WebformGeneralTestCase.test','4517422697e246f32906bdf73ee4e8351eb1331c7e4f7d662e17df03b51f53d7'),('sites/all/modules/webform/tests/WebformPermissionsTestCase.test','23f0c6b6489d78e13956e0b4d6e0728bf7e461b5b585d1f21907ff24ebdcb3ee'),('sites/all/modules/webform/tests/WebformSubmissionTestCase.test','896ac04995ad9f634d7457ec35424b4be64438f9375dece837ccaa35d7b48310'),('sites/all/modules/webform/tests/WebformTestCase.test','7722ef29dd244fea0468140de978427bc7e73a41303bbeff2c5eb305a68a616c'),('sites/all/modules/webform/views/webform.views.inc','0afd6ebbcb717b1f21f39347bad1ccdc23424d74a7e53e5e2119f888597ba3ea'),('sites/all/modules/webform/views/webform_handler_area_result_pager.inc','23b6f7013773cfed06c540748f7e2f0dc40602289bc97d73fe603ca9c87f0deb'),('sites/all/modules/webform/views/webform_handler_field_form_body.inc','60d708d683c67b553ecee37c7d74b00ee4b06253799e31befef9cb3ff703abb2'),('sites/all/modules/webform/views/webform_handler_field_is_draft.inc','1f1411981bc3e96ae4dccfb4c52a059b2e6488818ad4649fe8074f7de2d324f6'),('sites/all/modules/webform/views/webform_handler_field_node_link_edit.inc','15c6c4755b2ec87f71699399851a831176d515071ef356de4a64b75b76989e89'),('sites/all/modules/webform/views/webform_handler_field_node_link_results.inc','5320f9c4ffa4842d2efc31c6d563c083e0432c682f1eff706ade34fb8e54d630'),('sites/all/modules/webform/views/webform_handler_field_submission_count.inc','1ed985c65786a215a39ecb119ad26c7e78108ecb8f969ed902cc4618c5378232'),('sites/all/modules/webform/views/webform_handler_field_submission_data.inc','eac20f1d2b77d98e1c64e357ac676bb2941f65f6f3521f314e5923f7e372bf45'),('sites/all/modules/webform/views/webform_handler_field_submission_link.inc','faaf698125ac99f18bdb8c4a7b9961e5ad06bdd157c7bbeaf8a8ad7d5be6aa60'),('sites/all/modules/webform/views/webform_handler_field_webform_status.inc','c67f6a8dc4db5c165cb6109dc28c8b8ebe79d130ac208281274caac0df258ce4'),('sites/all/modules/webform/views/webform_handler_filter_is_draft.inc','dfb94fba66085fd0c07b8012f6846228fabc46809b00028bb896d6a304cdfec8'),('sites/all/modules/webform/views/webform_handler_filter_submission_data.inc','74d41b7fc50055de6279fd1d4757752841018374116ca844466b72a6085f9792'),('sites/all/modules/webform/views/webform_handler_filter_webform_status.inc','4a6e3f21703f750b31e868e64fd1fc4b760c01b9a3ca98b250f34c29614fbc69'),('sites/all/modules/webform/views/webform_handler_numeric_data.inc','c5a8fbfa2c74e1db9a4691714cb5c1c6693f2d4350c8a2ea27b4840414b1aa79'),('sites/all/modules/webform/views/webform_handler_relationship_submission_data.inc','10ba625ac9813ee2b7cb3b66b557ea8d60d32ae5bf4300b8bd6ee41be0303fbd'),('sites/all/modules/webform/views/webform_plugin_row_submission_view.inc','728907aaf814b5dc10a6d2c2c60880b160031536e81cff7071ffe04c570a7f60'),('sites/all/modules/weight/views/weight_handler_field_weight.inc','1c466bab88ab15dc0684cb4833154c9ced0fd3c289c5f6c768c178d4421d2f27'),('sites/all/modules/weight/views/weight_handler_filter_weight_enabled.inc','49985e0837b7437246595bfc479f33932cf2a9b8b33a811796f26c451b970727'),('sites/all/modules/weight/weight.migrate.inc','7cad96b61af2c907fc0bef9513f07b59c461bb1ddf27501e521b58b95a90eb3c');
/*!40000 ALTER TABLE `registry_file` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `rid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique role ID.',
  `name` varchar(64) NOT NULL DEFAULT '' COMMENT 'Unique role name.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this role in listings and the user interface.',
  PRIMARY KEY (`rid`),
  UNIQUE KEY `name` (`name`),
  KEY `name_weight` (`name`,`weight`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COMMENT='Stores user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role` VALUES (3,'administrator',2),(1,'anonymous user',0),(2,'authenticated user',1);
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `role_permission`
--

DROP TABLE IF EXISTS `role_permission`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role_permission` (
  `rid` int(10) unsigned NOT NULL COMMENT 'Foreign Key: role.rid.',
  `permission` varchar(128) NOT NULL DEFAULT '' COMMENT 'A single permission granted to the role identified by rid.',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module declaring the permission.',
  PRIMARY KEY (`rid`,`permission`),
  KEY `permission` (`permission`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the permissions assigned to user roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_permission`
--

LOCK TABLES `role_permission` WRITE;
/*!40000 ALTER TABLE `role_permission` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `role_permission` VALUES (1,'access comments','comment'),(1,'access content','node'),(1,'use exclude node title','exclude_node_title'),(1,'use text format filtered_html','filter'),(2,'access comments','comment'),(2,'access content','node'),(2,'post comments','comment'),(2,'skip comment approval','comment'),(2,'use exclude node title','exclude_node_title'),(2,'use text format filtered_html','filter'),(3,'access administration menu','admin_menu'),(3,'access administration pages','system'),(3,'access all views','views'),(3,'access all webform results','webform'),(3,'access comments','comment'),(3,'access content','node'),(3,'access content overview','node'),(3,'access contextual links','contextual'),(3,'access dashboard','dashboard'),(3,'access devel information','devel'),(3,'access overlay','overlay'),(3,'access own webform results','webform'),(3,'access own webform submissions','webform'),(3,'access site in maintenance mode','system'),(3,'access site reports','system'),(3,'access toolbar','toolbar'),(3,'access user profiles','user'),(3,'administer actions','system'),(3,'administer block classes','block_class'),(3,'administer blocks','block'),(3,'administer comments','comment'),(3,'administer content types','node'),(3,'administer exclude node title','exclude_node_title'),(3,'administer fieldgroups','field_group'),(3,'administer fields','field'),(3,'administer filters','filter'),(3,'administer flexslider','flexslider'),(3,'administer image styles','image'),(3,'administer languages','locale'),(3,'administer menu','menu'),(3,'administer module filter','module_filter'),(3,'administer modules','system'),(3,'administer nodes','node'),(3,'administer pathauto','pathauto'),(3,'administer permissions','user'),(3,'administer quicktabs','quicktabs'),(3,'administer search','search'),(3,'administer sharethis','sharethis'),(3,'administer shortcuts','shortcut'),(3,'administer site configuration','system'),(3,'administer software updates','system'),(3,'administer taxonomy','taxonomy'),(3,'administer themes','system'),(3,'administer url aliases','path'),(3,'administer users','user'),(3,'administer views','views'),(3,'assign node weight','weight'),(3,'block IP addresses','system'),(3,'bypass node access','node'),(3,'cancel account','user'),(3,'change own username','user'),(3,'create article content','node'),(3,'create page content','node'),(3,'create url aliases','path'),(3,'customize shortcut links','shortcut'),(3,'delete all webform submissions','webform'),(3,'delete any article content','node'),(3,'delete any page content','node'),(3,'delete own article content','node'),(3,'delete own page content','node'),(3,'delete own webform submissions','webform'),(3,'delete revisions','node'),(3,'delete terms in 1','taxonomy'),(3,'display drupal links','admin_menu'),(3,'edit all webform submissions','webform'),(3,'edit any article content','node'),(3,'edit any page content','node'),(3,'edit own article content','node'),(3,'edit own comments','comment'),(3,'edit own page content','node'),(3,'edit own webform submissions','webform'),(3,'edit terms in 1','taxonomy'),(3,'edit webform components','webform'),(3,'exclude any node title','exclude_node_title'),(3,'exclude own node title','exclude_node_title'),(3,'execute php code','devel'),(3,'flush caches','admin_menu'),(3,'notify of path changes','pathauto'),(3,'post comments','comment'),(3,'revert revisions','node'),(3,'search content','search'),(3,'select account cancellation method','user'),(3,'skip comment approval','comment'),(3,'switch shortcut sets','shortcut'),(3,'switch users','devel'),(3,'translate interface','locale'),(3,'use advanced search','search'),(3,'use exclude node title','exclude_node_title'),(3,'use text format filtered_html','filter'),(3,'use text format full_html','filter'),(3,'view own unpublished content','node'),(3,'view revisions','node'),(3,'view the administration theme','system');
/*!40000 ALTER TABLE `role_permission` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_dataset`
--

DROP TABLE IF EXISTS `search_dataset`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_dataset` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Search item ID, e.g. node ID for nodes.',
  `type` varchar(16) NOT NULL COMMENT 'Type of item, e.g. node.',
  `data` longtext NOT NULL COMMENT 'List of space-separated words from the item.',
  `reindex` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Set to force node reindexing.',
  PRIMARY KEY (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items that will be searched.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_dataset`
--

LOCK TABLES `search_dataset` WRITE;
/*!40000 ALTER TABLE `search_dataset` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_dataset` VALUES (1,'node',' lorem ipsum dolor sit ame ',0),(2,'node',' duis ultrices ',0),(3,'node',' 13 incredible newborn photos ',0),(4,'node',' 2015 traveler photo contest ',0),(5,'node',' about us we are a independent digital design studio based in london as a digital photography agency our job is to take your ideas and make them greater to create digital platforms and solutions that are greater than anything you ve ever used to make easy ideas easier nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt neque porro quisquam est qui dolorem ipsum quia dolor sit amet consectetur adipisci velit sed quia non numquam eius modi tempora incidunt  ',0),(6,'node',' praesent non ligula a urna imperdiet ultrices praesent non ligula a urna imperdiet ultrices sed tempor commodo malesuada morbi est tellus aliquet ut scelerisque vel sagittis nec augue nullam semper dui maximus purus feugiat dignissim vivamus in pharetra velit maecenas imperdiet imperdiet est non vulputate nisi porttitor sit amet etiam blandit ex a diam finibus pulvinar nulla malesuada semper venenatis duis malesuada rhoncus lorem in tincidunt fusce fringilla mi sed neque aliquet pretium  ',0),(7,'node',' class aptent taciti sociosqu ad litora torquent class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas morbi bibendum est turpis at volutpat nulla venenatis at suspendisse vel pulvinar ex suspendisse potenti cras varius lorem non felis maximus convallis nunc feugiat vestibulum auctor duis at metus vitae odio dapibus pulvinar aliquam iaculis ligula metus at rhoncus felis iaculis in donec in neque ac nisl ultricies ultrices  ',0),(8,'node',' sed lacinia dolor vitae aliquam vulputate sed lacinia dolor vitae aliquam vulputate nunc cursus diam sit amet metus porttitor eu blandit metus volutpat maecenas ac venenatis dui suspendisse vitae libero eget risus convallis dictum a congue lectus suspendisse potenti fusce vehicula metus id tempus sodales augue est fringilla arcu a cursus ante urna eu velit  ',0),(9,'node',' morbi fermentum fermentum tortor ac viverra morbi fermentum fermentum tortor ac viverra donec ullamcorper egestas leo sit amet eleifend mauris efficitur vitae sed ut ante volutpat aliquet nisi et dapibus nibh etiam non eros faucibus consectetur eros consectetur varius sem aenean a ultrices lorem suspendisse non elementum augue sed sollicitudin dignissim libero nec elementum ligula semper sit amet nullam non tortor vel nunc posuere blandit eu sed libero sed pharetra lacus at arcu convallis faucibus vestibulum laoreet purus quis posuere suscipit massa libero aliquam metus ut pellentesque sapien nisl sit amet lectus  ',0),(10,'node',' digital photography duis imperdiet urna ipsum nec tempus eros fringilla varius cum sociis natoque penatibus et magnis dis parturient montes nascetur ridiculus mus curabitur pellentesque lacinia tristique nunc consectetur elit nec tempor malesuada nunc lobortis tellus vitae lobortis eleifend ligula est elementum ipsum sit amet hendrerit est nisi eu ipsum nunc sodales at risus in tincidunt quisque commodo justo sit amet neque ullamcorper semper duis aliquet tempus turpis a egestas nibh hendrerit in 3000  ',0),(11,'node',' wedding plan in quis eros ac velit aliquam eleifend placerat at eros suspendisse et odio vel ante gravida iaculis ut sed diam pellentesque porta ante vitae efficitur venenatis enim eros placerat urna eget congue ligula dui sed lacus duis quis ultrices risus ut tempus massa vestibulum sit amet elementum lectus sed suscipit ultricies purus id convallis neque vestibulum placerat tincidunt cursus praesent hendrerit metus elementum leo sagittis ornare 7500  ',0),(12,'node',' design album pellentesque sagittis aliquet odio sed rhoncus nulla facilisi etiam mattis purus nisi sollicitudin mattis metus convallis sit amet fusce eget nulla est nulla iaculis tellus sit amet nunc maximus aliquet nam consectetur commodo libero vitae facilisis cras condimentum ac est faucibus blandit 6000  ',0),(13,'node',' commercial plan sed dui lectus pulvinar vel libero ac mattis pellentesque sapien phasellus tempus ullamcorper eros vitae dictum nulla augue enim facilisis vitae fringilla eu eleifend ut nunc proin viverra auctor lorem vitae convallis nunc ac blandit est a bibendum eros sed a pellentesque ligula sed urna mi tempus et diam a gravida tempus dolor aenean pretium quis elit sed iaculis 5500  ',0),(14,'node',' products fusce luctus finibus est mauris vitae metus vel enim ullamcorper blandit aliquam iaculis neque semper pellentesque justo eu congue quam nulla gravida sem eu malesuada consectetur in consequat eros quis ligula volutpat porttitor porta est vulputate fusce maximus eros pharetra placerat imperdiet lorem justo aliquam lectus 9000  ',0),(15,'node',' print id malesuada est odio nec justo aliquam egestas sapien non rhoncus dapibus nulla pretium tellus id augue pretium gravida vel eu elit duis ac molestie tortor in interdum eros cras aliquet sem quis congue scelerisque integer ultricies blandit neque sit amet fringilla in hac habitasse platea dictumst nullam finibus nisl et mauris hendrerit viverra aliquam felis diam fringilla sit amet consequat ut consectetur non diam 6500  ',0),(16,'node',' vivamus viverra est velit vivamus viverra est velit a commodo purus laoreet a integer mattis mauris eu elit dapibus viverra mauris molestie semper nisi non suscipit risus commodo eget sed cursus metus vel gravida laoreet praesent molestie faucibus elit a congue fusce rhoncus rhoncus lacus ac condimentum urna aliquet nec nunc quam libero lobortis ultricies diam nec sagittis condimentum tellus vestibulum consectetur ante arcu et auctor sem imperdiet nec donec diam tellus tincidunt id nibh nec tincidunt dignissim ipsum nike ',0),(17,'node',' quisque tempor est ante quisque tempor est ante quis aliquet tellus euismod at duis faucibus posuere orci sit amet dignissim eros congue eu praesent nec hendrerit enim sed in velit dui cras non nulla eros nullam rutrum quam sed nisi ullamcorper vitae luctus dui efficitur aliquam erat volutpat nunc ultricies nulla eget felis dignissim et dapibus ante laoreet nam finibus sapien sed eleifend porttitor integer sagittis lorem ac tellus semper facilisis cras eget mauris sodales suscipit sem vel euismod velit proin fringilla sodales enim vel commodo pellentesque consequat nisl et ex fringilla vel feugiat augue pulvinar suspendisse euismod nibh ut magna ultricies sit amet consequat tellus finibus weebpal ',0),(18,'node',' duis rutrum augue eu orci tincidunt sagittis duis rutrum augue eu orci tincidunt sagittis vivamus at lorem non purus laoreet iaculis ut at diam donec at velit quis ex pulvinar hendrerit aliquam tempor lacus at pretium luctus vivamus vehicula ullamcorper porttitor nullam elementum dignissim nisi id rhoncus metus morbi eu scelerisque justo maecenas ac ullamcorper ipsum integer cursus dignissim magna pellentesque rhoncus donec ornare cursus magna sed sagittis consequat dui eget tincidunt mauris molestie neque dolor in vestibulum ex aliquet sit amet aliquam volutpat risus sed faucibus rhoncus nam lacinia egestas nulla id interdum nulla sagittis at sed sit amet risus rutrum sapien porta sollicitudin eu ultricies eros praesent auctor nibh in tempor luctus apple ',0),(19,'node',' quisque eget malesuada arcu quisque eget malesuada arcu eu rhoncus enim fusce dignissim est mauris morbi diam ipsum suscipit in vehicula id tempus id magna suspendisse ut volutpat libero in porta dolor aenean euismod a quam eu posuere sed vulputate euismod sem id varius mi interdum ac aliquam bibendum posuere velit ac finibus dui duis nibh leo pulvinar id turpis nec efficitur dignissim dui nam in feugiat odio phasellus et iaculis metus vivamus ac augue non purus eleifend hendrerit disnep ',0),(20,'node',' phasellus facilisis massa elit phasellus facilisis massa elit sit amet vehicula tortor dignissim sed mauris condimentum dapibus nisl vel feugiat purus accumsan sit amet suspendisse sed justo sit amet sem semper gravida mauris egestas finibus elit vel feugiat metus consectetur sit amet nullam non quam in massa faucibus congue a a leo aenean sit amet neque nisl vivamus nec elit nulla fusce euismod nibh hendrerit mauris gravida egestas quisque felis urna varius at diam ac imperdiet vulputate tellus donec non erat sit amet ipsum interdum tincidunt non a sem in nibh leo semper vitae facilisis quis sodales in elit pixax ',0),(21,'node',' pellentesque scelerisque sapien et augue pellentesque scelerisque sapien et augue dictum fermentum praesent tincidunt lorem vel quam euismod id hendrerit ligula malesuada fusce euismod porta ex nec porttitor nullam nibh ex pharetra non sem id tristique lacinia mi vivamus placerat ligula est sit amet fringilla lorem tempor mollis vestibulum ligula mi ultrices non dolor a tincidunt auctor velit themeforest ',0),(22,'node',' nulla sed tortor sem nulla sed tortor sem donec malesuada vulputate pulvinar sed iaculis augue risus porttitor tincidunt libero placerat ut ut posuere neque ac ultrices finibus ex lorem mattis enim et mollis eros enim eu arcu nam sit amet venenatis felis donec sapien justo auctor in interdum vitae vehicula porta massa donec eget tellus eu neque tristique ullamcorper in molestie lacus quis fringilla scelerisque nunc non placerat turpis ut laoreet facilisis mi et luctus envanto ',0),(23,'node',' phasellus et ultrices mi phasellus et ultrices mi etiam pulvinar diam a suscipit convallis mauris vel eleifend metus nam sed felis et ipsum dignissim cursus vel a nisl donec sit amet urna vel dui egestas facilisis proin sed nisl vel diam laoreet laoreet in sed odio nulla a accumsan nibh photodune ',0),(24,'node',' class aptent taciti sociosqu ad litora torquent class aptent taciti sociosqu ad litora torquent per conubia nostra per inceptos himenaeos proin magna nisl blandit vel scelerisque quis semper in nunc pellentesque rhoncus sapien eget massa dictum volutpat in sodales tellus et tincidunt eleifend erat tellus ultrices dolor vitae commodo tellus lectus nec dolor praesent vel scelerisque tortor audiojungle ',0),(25,'node',' quisque sed turpis semper viverra ex non quisque sed turpis semper viverra ex non efficitur tellus curabitur condimentum elit id enim dignissim et semper nisl facilisis nulla vestibulum molestie vestibulum mauris eu erat gravida hendrerit libero ac feugiat orci nullam nec luctus arcu maecenas pellentesque lacus quis porttitor consectetur purus odio ultrices magna ac blandit eros orci eget metus suspendisse at lacus ut purus hendrerit fringilla molestie vel lectus curabitur eu tristique metus nullam urna leo faucibus consequat risus a tincidunt lobortis nunc etiam porta dignissim tellus eu ornare odio universal ',0),(26,'node',' vivamus auctor ultricies luctus vivamus auctor ultricies luctus nam velit lorem posuere in lorem commodo lacinia ullamcorper ante nullam rhoncus neque quis dolor ornare vel lacinia velit rhoncus pellentesque non ligula consectetur euismod dui at euismod erat mauris lobortis lobortis interdum cras vitae laoreet tellus et posuere turpis integer quis ante eget erat maximus convallis vestibulum sit amet pharetra quam a ultricies ex morbi rutrum risus tincidunt nulla tincidunt nec fermentum massa scelerisque fox movies ',0),(27,'node',' quisque semper auctor enim quisque semper auctor enim non semper magna congue sed lorem ipsum dolor sit amet consectetur adipiscing elit morbi sit amet elementum justo suspendisse ac velit mattis blandit urna sagittis volutpat magna dreamworks studios ',0),(28,'node',' gallery albums ',0),(29,'node',' pellentesque habitant morbi admin s blog pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas sed et bibendum augue duis placerat nisl nec dui cursus pellentesque phasellus pellentesque sagittis libero sit amet lobortis cras eget molestie lectus vel accumsan eros vestibulum consequat mauris diam non sollicitudin nibh hendrerit vel duis at sodales neque morbi ut bibendum augue pellentesque ultrices orci eu arcu eleifend efficitur sed sed pretium augue curabitur ut scelerisque ante integer efficitur consectetur odio non consectetur sed faucibus lectus ac eleifend condimentum vivamus consectetur suscipit cursus lorem ipsum dolor sit amet consectetur adipiscing elit proin magna leo fringilla eu scelerisque ac placerat in purus photos ',0),(30,'node',' travel 365 daily photo feature admin s blog donec quis enim et ipsum tincidunt tincidunt eu eu est pellentesque dictum neque sit amet mi ullamcorper hendrerit sed id commodo massa suspendisse ullamcorper felis neque vitae condimentum ante accumsan auctor quisque vel lorem ut metus posuere vulputate suspendisse id aliquam magna vestibulum faucibus ornare est et euismod sapien molestie eget donec feugiat tellus eu pellentesque varius donec porta sem lorem et fermentum dui suscipit in etiam sed dui vel nunc lobortis congue vitae vitae lectus mauris placerat semper viverra integer at ultricies lectus camera ',0),(31,'node',' ultimate road trips admin s blog vestibulum vitae gravida ligula pellentesque bibendum ante iaculis porta velit non porttitor urna fusce eget placerat augue a lobortis metus cras urna tortor dapibus mattis blandit sed suscipit et risus curabitur consequat urna nibh quis convallis nisl ultrices vitae lorem ipsum dolor sit amet consectetur adipiscing elit sed at est maximus tempus metus at cursus enim duis congue lectus ac posuere consequat duis tempor nisi id pharetra imperdiet metus ipsum tristique elit eu ultrices metus velit in orci morbi vitae aliquet lorem ac malesuada est morbi eu enim hendrerit volutpat ante sit amet scelerisque quam ut in laoreet ante etiam sed ex metus vestibulum rhoncus metus at metus convallis viverra photography ',0),(32,'node',' best family trips admin s blog sed semper nulla vitae lacinia imperdiet enim diam varius nisi at laoreet mi dui non enim maecenas blandit nibh non feugiat tristique donec at sem justo nam sed arcu vitae dolor pharetra ultricies vitae quis arcu pellentesque ac nulla ut massa tempor dapibus eu sit amet neque vestibulum viverra arcu id libero imperdiet dictum in vel purus maecenas tempus est sed sollicitudin vehicula suspendisse velit sem venenatis non erat et varius hendrerit leo quisque quis sapien vel sapien suscipit consectetur praesent malesuada suscipit tortor pretium tempus nulla ut pharetra turpis suspendisse gravida arcu ac elementum sollicitudin nisl quam tempor sem sit amet aliquet lectus nulla id dolor duis vel cursus ex pellentesque feugiat ante quis augue ullamcorper consectetur fusce non sapien quis ipsum euismod dignissim et vel arcu vestibulum nec sollicitudin lacus nikon pellentesque ac nulla ut massa tempor dapibus eu sit amet neque vestibulum viverra arcu id libero imperdiet dictum in vel purus maecenas tempus est sed sollicitudin vehicula admin april 2 2015 log in or register to post comments maecenas tempus est sed sollicitudin admin april 2 2015 log in or register to post comments  ',0),(33,'node',' contact your name your email subject comment submit  ',0),(34,'node',' sed semper ',0),(35,'node',' etiam aliquam ex ligula ',0),(36,'node',' proin scelerisque elit felis ',0),(37,'node',' etiam posuere urna sed sodales sodales ',0),(38,'node',' donec aliquet eu tortor a pharetra ',0),(39,'node',' aliquam vulputate quis eros eu efficitur ',0),(40,'node',' aenean gravida ',0),(41,'node',' wild life ',0),(42,'node',' aenean vel augue dolor ',0),(43,'node',' seed of life ',0),(44,'node',' florida by land and water ',0),(45,'node',' products ',0),(46,'node',' wedding ',0),(47,'node',' commercials ',0),(48,'node',' portrait ',0),(49,'node',' 404 sorry we couldn t find your page please try another page  ',0),(50,'node',' travelers of the year ',0),(51,'node',' america s best road trips ',0),(52,'node',' handsome newborn2 years adjustable tie ready to ship ',0),(53,'node',' canada s 50 places of a lifetime ',0);
/*!40000 ALTER TABLE `search_dataset` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_index`
--

DROP TABLE IF EXISTS `search_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_index` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'The search_total.word that is associated with the search item.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item to which the word belongs.',
  `type` varchar(16) NOT NULL COMMENT 'The search_dataset.type of the searchable item to which the word belongs.',
  `score` float DEFAULT NULL COMMENT 'The numeric score of the word, higher being more important.',
  PRIMARY KEY (`word`,`sid`,`type`),
  KEY `sid_type` (`sid`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the search index, associating words, items and...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_index`
--

LOCK TABLES `search_index` WRITE;
/*!40000 ALTER TABLE `search_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_index` VALUES ('13',3,'node',26),('2',32,'node',2),('2015',4,'node',26),('2015',32,'node',2),('3000',10,'node',1),('365',30,'node',26),('404',49,'node',26),('50',53,'node',26),('5500',13,'node',1),('6000',12,'node',1),('6500',15,'node',1),('7500',11,'node',1),('9000',14,'node',1),('about',5,'node',26),('accumsan',20,'node',1),('accumsan',23,'node',1),('accumsan',29,'node',1),('accumsan',30,'node',1),('adipisci',5,'node',1),('adipiscing',27,'node',1),('adipiscing',29,'node',1),('adipiscing',31,'node',1),('adjustable',52,'node',26),('admin',29,'node',11),('admin',30,'node',11),('admin',31,'node',11),('admin',32,'node',13),('aenean',9,'node',1),('aenean',13,'node',1),('aenean',19,'node',1),('aenean',20,'node',1),('aenean',40,'node',26),('aenean',42,'node',26),('agency',5,'node',1),('album',12,'node',26),('albums',28,'node',26),('aliquam',7,'node',1),('aliquam',8,'node',27),('aliquam',9,'node',1),('aliquam',11,'node',1),('aliquam',14,'node',2),('aliquam',15,'node',2),('aliquam',17,'node',1),('aliquam',18,'node',2),('aliquam',19,'node',1),('aliquam',30,'node',1),('aliquam',35,'node',26),('aliquam',39,'node',26),('aliquet',6,'node',2),('aliquet',9,'node',1),('aliquet',10,'node',1),('aliquet',12,'node',2),('aliquet',15,'node',1),('aliquet',16,'node',1),('aliquet',17,'node',1),('aliquet',18,'node',1),('aliquet',31,'node',1),('aliquet',32,'node',1),('aliquet',38,'node',26),('ame',1,'node',26),('america',51,'node',26),('amet',5,'node',1),('amet',6,'node',1),('amet',8,'node',1),('amet',9,'node',3),('amet',10,'node',2),('amet',11,'node',1),('amet',12,'node',2),('amet',15,'node',2),('amet',17,'node',2),('amet',18,'node',2),('amet',20,'node',6),('amet',21,'node',1),('amet',22,'node',1),('amet',23,'node',1),('amet',26,'node',1),('amet',27,'node',2),('amet',29,'node',2),('amet',30,'node',1),('amet',31,'node',2),('amet',32,'node',3),('and',5,'node',2),('and',44,'node',26),('another',49,'node',1),('ante',8,'node',1),('ante',9,'node',1),('ante',11,'node',2),('ante',16,'node',1),('ante',17,'node',28),('ante',26,'node',2),('ante',29,'node',1),('ante',30,'node',1),('ante',31,'node',3),('ante',32,'node',1),('anything',5,'node',1),('apple',18,'node',11),('april',32,'node',2),('aptent',7,'node',27),('aptent',24,'node',27),('arcu',8,'node',1),('arcu',9,'node',1),('arcu',16,'node',1),('arcu',19,'node',27),('arcu',22,'node',1),('arcu',25,'node',1),('arcu',29,'node',1),('arcu',32,'node',6),('are',5,'node',2),('aspernatur',5,'node',1),('auctor',7,'node',1),('auctor',13,'node',1),('auctor',16,'node',1),('auctor',18,'node',1),('auctor',21,'node',1),('auctor',22,'node',1),('auctor',26,'node',27),('auctor',27,'node',27),('auctor',30,'node',1),('audiojungle',24,'node',11),('augue',6,'node',1),('augue',8,'node',1),('augue',9,'node',1),('augue',13,'node',1),('augue',15,'node',1),('augue',17,'node',1),('augue',18,'node',27),('augue',19,'node',1),('augue',21,'node',27),('augue',22,'node',1),('augue',29,'node',3),('augue',31,'node',1),('augue',32,'node',1),('augue',42,'node',26),('aut',5,'node',2),('based',5,'node',1),('best',32,'node',26),('best',51,'node',26),('bibendum',7,'node',1),('bibendum',13,'node',1),('bibendum',19,'node',1),('bibendum',29,'node',2),('bibendum',31,'node',1),('blandit',6,'node',1),('blandit',8,'node',1),('blandit',9,'node',1),('blandit',12,'node',1),('blandit',13,'node',1),('blandit',14,'node',1),('blandit',15,'node',1),('blandit',24,'node',1),('blandit',25,'node',1),('blandit',27,'node',1),('blandit',31,'node',1),('blandit',32,'node',1),('blog',29,'node',11),('blog',30,'node',11),('blog',31,'node',11),('blog',32,'node',11),('camera',30,'node',11),('canada',53,'node',26),('class',7,'node',27),('class',24,'node',27),('comment',33,'node',1),('comments',32,'node',2),('commercial',13,'node',26),('commercials',47,'node',26),('commodo',6,'node',1),('commodo',10,'node',1),('commodo',12,'node',1),('commodo',16,'node',2),('commodo',17,'node',1),('commodo',24,'node',1),('commodo',26,'node',1),('commodo',30,'node',1),('condimentum',12,'node',1),('condimentum',16,'node',2),('condimentum',20,'node',1),('condimentum',25,'node',1),('condimentum',29,'node',1),('condimentum',30,'node',1),('congue',8,'node',1),('congue',11,'node',1),('congue',14,'node',1),('congue',15,'node',1),('congue',16,'node',1),('congue',17,'node',1),('congue',20,'node',1),('congue',27,'node',1),('congue',30,'node',1),('congue',31,'node',1),('consectetur',5,'node',1),('consectetur',9,'node',2),('consectetur',10,'node',1),('consectetur',12,'node',1),('consectetur',14,'node',1),('consectetur',15,'node',1),('consectetur',16,'node',1),('consectetur',20,'node',1),('consectetur',25,'node',1),('consectetur',26,'node',1),('consectetur',27,'node',1),('consectetur',29,'node',4),('consectetur',31,'node',1),('consectetur',32,'node',2),('consequat',14,'node',1),('consequat',15,'node',1),('consequat',17,'node',2),('consequat',18,'node',1),('consequat',25,'node',1),('consequat',29,'node',1),('consequat',31,'node',2),('consequuntur',5,'node',1),('contact',33,'node',26),('contest',4,'node',26),('conubia',7,'node',1),('conubia',24,'node',1),('convallis',7,'node',1),('convallis',8,'node',1),('convallis',9,'node',1),('convallis',11,'node',1),('convallis',12,'node',1),('convallis',13,'node',1),('convallis',23,'node',1),('convallis',26,'node',1),('convallis',31,'node',2),('couldn',49,'node',1),('cras',7,'node',1),('cras',12,'node',1),('cras',15,'node',1),('cras',17,'node',2),('cras',26,'node',1),('cras',29,'node',1),('cras',31,'node',1),('create',5,'node',1),('cum',10,'node',1),('curabitur',10,'node',1),('curabitur',25,'node',2),('curabitur',29,'node',1),('curabitur',31,'node',1),('cursus',8,'node',2),('cursus',11,'node',1),('cursus',16,'node',1),('cursus',18,'node',2),('cursus',23,'node',1),('cursus',29,'node',2),('cursus',31,'node',1),('cursus',32,'node',1),('daily',30,'node',26),('dapibus',7,'node',1),('dapibus',9,'node',1),('dapibus',15,'node',1),('dapibus',16,'node',1),('dapibus',17,'node',1),('dapibus',20,'node',1),('dapibus',31,'node',1),('dapibus',32,'node',2),('design',5,'node',1),('design',12,'node',26),('diam',6,'node',1),('diam',8,'node',1),('diam',11,'node',1),('diam',13,'node',1),('diam',15,'node',2),('diam',16,'node',2),('diam',18,'node',1),('diam',19,'node',1),('diam',20,'node',1),('diam',23,'node',2),('diam',29,'node',1),('diam',32,'node',1),('dictum',8,'node',1),('dictum',13,'node',1),('dictum',21,'node',1),('dictum',24,'node',1),('dictum',30,'node',1),('dictum',32,'node',2),('dictumst',15,'node',1),('digital',5,'node',3),('digital',10,'node',26),('dignissim',6,'node',1),('dignissim',9,'node',1),('dignissim',16,'node',1),('dignissim',17,'node',2),('dignissim',18,'node',2),('dignissim',19,'node',2),('dignissim',20,'node',1),('dignissim',23,'node',1),('dignissim',25,'node',2),('dignissim',32,'node',1),('dis',10,'node',1),('disnep',19,'node',11),('dolor',1,'node',26),('dolor',5,'node',1),('dolor',8,'node',27),('dolor',13,'node',1),('dolor',18,'node',1),('dolor',19,'node',1),('dolor',21,'node',1),('dolor',24,'node',2),('dolor',26,'node',1),('dolor',27,'node',1),('dolor',29,'node',1),('dolor',31,'node',1),('dolor',32,'node',2),('dolor',42,'node',26),('dolorem',5,'node',1),('dolores',5,'node',1),('donec',7,'node',1),('donec',9,'node',1),('donec',16,'node',1),('donec',18,'node',2),('donec',20,'node',1),('donec',22,'node',3),('donec',23,'node',1),('donec',30,'node',3),('donec',32,'node',1),('donec',38,'node',26),('dreamworks',27,'node',11),('dui',6,'node',1),('dui',8,'node',1),('dui',11,'node',1),('dui',13,'node',1),('dui',17,'node',2),('dui',18,'node',1),('dui',19,'node',2),('dui',23,'node',1),('dui',26,'node',1),('dui',29,'node',1),('dui',30,'node',2),('dui',32,'node',1),('duis',2,'node',26),('duis',6,'node',1),('duis',7,'node',1),('duis',10,'node',2),('duis',11,'node',1),('duis',15,'node',1),('duis',17,'node',1),('duis',18,'node',27),('duis',19,'node',1),('duis',29,'node',2),('duis',31,'node',2),('duis',32,'node',1),('easier',5,'node',1),('easy',5,'node',1),('efficitur',9,'node',1),('efficitur',11,'node',1),('efficitur',17,'node',1),('efficitur',19,'node',1),('efficitur',25,'node',1),('efficitur',29,'node',2),('efficitur',39,'node',26),('egestas',7,'node',1),('egestas',9,'node',1),('egestas',10,'node',1),('egestas',15,'node',1),('egestas',18,'node',1),('egestas',20,'node',2),('egestas',23,'node',1),('egestas',29,'node',1),('eget',8,'node',1),('eget',11,'node',1),('eget',12,'node',1),('eget',16,'node',1),('eget',17,'node',2),('eget',18,'node',1),('eget',19,'node',27),('eget',22,'node',1),('eget',24,'node',1),('eget',25,'node',1),('eget',26,'node',1),('eget',29,'node',1),('eget',30,'node',1),('eget',31,'node',1),('eius',5,'node',1),('eleifend',9,'node',1),('eleifend',10,'node',1),('eleifend',11,'node',1),('eleifend',13,'node',1),('eleifend',17,'node',1),('eleifend',19,'node',1),('eleifend',23,'node',1),('eleifend',24,'node',1),('eleifend',29,'node',2),('elementum',9,'node',2),('elementum',10,'node',1),('elementum',11,'node',2),('elementum',18,'node',1),('elementum',27,'node',1),('elementum',32,'node',1),('elit',10,'node',1),('elit',13,'node',1),('elit',15,'node',1),('elit',16,'node',2),('elit',20,'node',30),('elit',25,'node',1),('elit',27,'node',1),('elit',29,'node',1),('elit',31,'node',2),('elit',36,'node',26),('email',33,'node',1),('enim',5,'node',1),('enim',11,'node',1),('enim',13,'node',1),('enim',14,'node',1),('enim',17,'node',2),('enim',19,'node',1),('enim',22,'node',2),('enim',25,'node',1),('enim',27,'node',27),('enim',30,'node',1),('enim',31,'node',2),('enim',32,'node',2),('envanto',22,'node',11),('eos',5,'node',1),('erat',17,'node',1),('erat',20,'node',1),('erat',24,'node',1),('erat',25,'node',1),('erat',26,'node',2),('erat',32,'node',1),('eros',9,'node',2),('eros',10,'node',1),('eros',11,'node',3),('eros',13,'node',2),('eros',14,'node',2),('eros',15,'node',1),('eros',17,'node',2),('eros',18,'node',1),('eros',22,'node',1),('eros',25,'node',1),('eros',29,'node',1),('eros',39,'node',26),('est',5,'node',1),('est',6,'node',2),('est',7,'node',1),('est',8,'node',1),('est',10,'node',2),('est',12,'node',2),('est',13,'node',1),('est',14,'node',2),('est',15,'node',1),('est',16,'node',27),('est',17,'node',27),('est',19,'node',1),('est',21,'node',1),('est',30,'node',2),('est',31,'node',2),('est',32,'node',3),('etiam',6,'node',1),('etiam',9,'node',1),('etiam',12,'node',1),('etiam',23,'node',1),('etiam',25,'node',1),('etiam',30,'node',1),('etiam',31,'node',1),('etiam',35,'node',26),('etiam',37,'node',26),('euismod',17,'node',3),('euismod',19,'node',2),('euismod',20,'node',1),('euismod',21,'node',2),('euismod',26,'node',2),('euismod',30,'node',1),('euismod',32,'node',1),('ever',5,'node',1),('facilisi',12,'node',1),('facilisis',12,'node',1),('facilisis',13,'node',1),('facilisis',17,'node',1),('facilisis',20,'node',28),('facilisis',22,'node',1),('facilisis',23,'node',1),('facilisis',25,'node',1),('fames',7,'node',1),('fames',29,'node',1),('family',32,'node',26),('faucibus',9,'node',2),('faucibus',12,'node',1),('faucibus',16,'node',1),('faucibus',17,'node',1),('faucibus',18,'node',1),('faucibus',20,'node',1),('faucibus',25,'node',1),('faucibus',29,'node',1),('faucibus',30,'node',1),('feature',30,'node',26),('felis',7,'node',2),('felis',15,'node',1),('felis',17,'node',1),('felis',20,'node',1),('felis',22,'node',1),('felis',23,'node',1),('felis',30,'node',1),('felis',36,'node',26),('fermentum',9,'node',54),('fermentum',21,'node',1),('fermentum',26,'node',1),('fermentum',30,'node',1),('feugiat',6,'node',1),('feugiat',7,'node',1),('feugiat',17,'node',1),('feugiat',19,'node',1),('feugiat',20,'node',2),('feugiat',25,'node',1),('feugiat',30,'node',1),('feugiat',32,'node',2),('find',49,'node',1),('finibus',6,'node',1),('finibus',14,'node',1),('finibus',15,'node',1),('finibus',17,'node',2),('finibus',19,'node',1),('finibus',20,'node',1),('finibus',22,'node',1),('florida',44,'node',26),('fox',26,'node',11),('fringilla',6,'node',1),('fringilla',8,'node',1),('fringilla',10,'node',1),('fringilla',13,'node',1),('fringilla',15,'node',2),('fringilla',17,'node',2),('fringilla',21,'node',1),('fringilla',22,'node',1),('fringilla',25,'node',1),('fringilla',29,'node',1),('fugit',5,'node',1),('fusce',6,'node',1),('fusce',8,'node',1),('fusce',12,'node',1),('fusce',14,'node',2),('fusce',16,'node',1),('fusce',19,'node',1),('fusce',20,'node',1),('fusce',21,'node',1),('fusce',31,'node',1),('fusce',32,'node',1),('gallery',28,'node',26),('gravida',11,'node',1),('gravida',13,'node',1),('gravida',14,'node',1),('gravida',15,'node',1),('gravida',16,'node',1),('gravida',20,'node',2),('gravida',25,'node',1),('gravida',31,'node',1),('gravida',32,'node',1),('gravida',40,'node',26),('greater',5,'node',2),('habitant',7,'node',1),('habitant',29,'node',27),('habitasse',15,'node',1),('hac',15,'node',1),('handsome',52,'node',26),('hendrerit',10,'node',2),('hendrerit',11,'node',1),('hendrerit',15,'node',1),('hendrerit',17,'node',1),('hendrerit',18,'node',1),('hendrerit',19,'node',1),('hendrerit',20,'node',1),('hendrerit',21,'node',1),('hendrerit',25,'node',2),('hendrerit',29,'node',1),('hendrerit',30,'node',1),('hendrerit',31,'node',1),('hendrerit',32,'node',1),('himenaeos',7,'node',1),('himenaeos',24,'node',1),('iaculis',7,'node',2),('iaculis',11,'node',1),('iaculis',12,'node',1),('iaculis',13,'node',1),('iaculis',14,'node',1),('iaculis',18,'node',1),('iaculis',19,'node',1),('iaculis',22,'node',1),('iaculis',31,'node',1),('ideas',5,'node',2),('imperdiet',6,'node',29),('imperdiet',10,'node',1),('imperdiet',14,'node',1),('imperdiet',16,'node',1),('imperdiet',20,'node',1),('imperdiet',31,'node',1),('imperdiet',32,'node',3),('inceptos',7,'node',1),('inceptos',24,'node',1),('incidunt',5,'node',1),('incredible',3,'node',26),('independent',5,'node',1),('integer',15,'node',1),('integer',16,'node',1),('integer',17,'node',1),('integer',18,'node',1),('integer',26,'node',1),('integer',29,'node',1),('integer',30,'node',1),('interdum',15,'node',1),('interdum',18,'node',1),('interdum',19,'node',1),('interdum',20,'node',1),('interdum',22,'node',1),('interdum',26,'node',1),('ipsam',5,'node',1),('ipsum',1,'node',26),('ipsum',5,'node',1),('ipsum',10,'node',3),('ipsum',16,'node',1),('ipsum',18,'node',1),('ipsum',19,'node',1),('ipsum',20,'node',1),('ipsum',23,'node',1),('ipsum',27,'node',1),('ipsum',29,'node',1),('ipsum',30,'node',1),('ipsum',31,'node',2),('ipsum',32,'node',1),('job',5,'node',1),('justo',10,'node',1),('justo',14,'node',2),('justo',15,'node',1),('justo',18,'node',1),('justo',20,'node',1),('justo',22,'node',1),('justo',27,'node',1),('justo',32,'node',1),('lacinia',8,'node',27),('lacinia',10,'node',1),('lacinia',18,'node',1),('lacinia',21,'node',1),('lacinia',26,'node',2),('lacinia',32,'node',1),('lacus',9,'node',1),('lacus',11,'node',1),('lacus',16,'node',1),('lacus',18,'node',1),('lacus',22,'node',1),('lacus',25,'node',2),('lacus',32,'node',1),('land',44,'node',26),('laoreet',9,'node',1),('laoreet',16,'node',2),('laoreet',17,'node',1),('laoreet',18,'node',1),('laoreet',22,'node',1),('laoreet',23,'node',2),('laoreet',26,'node',1),('laoreet',31,'node',1),('laoreet',32,'node',1),('lectus',8,'node',1),('lectus',9,'node',1),('lectus',11,'node',1),('lectus',13,'node',1),('lectus',14,'node',1),('lectus',24,'node',1),('lectus',25,'node',1),('lectus',29,'node',2),('lectus',30,'node',2),('lectus',31,'node',1),('lectus',32,'node',1),('leo',9,'node',1),('leo',11,'node',1),('leo',19,'node',1),('leo',20,'node',2),('leo',25,'node',1),('leo',29,'node',1),('leo',32,'node',1),('libero',8,'node',1),('libero',9,'node',3),('libero',12,'node',1),('libero',13,'node',1),('libero',16,'node',1),('libero',19,'node',1),('libero',22,'node',1),('libero',25,'node',1),('libero',29,'node',1),('libero',32,'node',2),('life',41,'node',26),('life',43,'node',26),('lifetime',53,'node',26),('ligula',6,'node',27),('ligula',7,'node',1),('ligula',9,'node',1),('ligula',10,'node',1),('ligula',11,'node',1),('ligula',13,'node',1),('ligula',14,'node',1),('ligula',21,'node',3),('ligula',26,'node',1),('ligula',31,'node',1),('ligula',35,'node',26),('litora',7,'node',27),('litora',24,'node',27),('lobortis',10,'node',2),('lobortis',16,'node',1),('lobortis',25,'node',1),('lobortis',26,'node',2),('lobortis',29,'node',1),('lobortis',30,'node',1),('lobortis',31,'node',1),('log',32,'node',4.4),('london',5,'node',1),('lorem',1,'node',26),('lorem',6,'node',1),('lorem',7,'node',1),('lorem',9,'node',1),('lorem',13,'node',1),('lorem',14,'node',1),('lorem',17,'node',1),('lorem',18,'node',1),('lorem',21,'node',2),('lorem',22,'node',1),('lorem',26,'node',2),('lorem',27,'node',1),('lorem',29,'node',1),('lorem',30,'node',2),('lorem',31,'node',2),('luctus',14,'node',1),('luctus',17,'node',1),('luctus',18,'node',2),('luctus',22,'node',1),('luctus',25,'node',1),('luctus',26,'node',27),('maecenas',6,'node',1),('maecenas',8,'node',1),('maecenas',18,'node',1),('maecenas',25,'node',1),('maecenas',32,'node',4),('magna',17,'node',1),('magna',18,'node',2),('magna',19,'node',1),('magna',24,'node',1),('magna',25,'node',1),('magna',27,'node',2),('magna',29,'node',1),('magna',30,'node',1),('magni',5,'node',1),('magnis',10,'node',1),('make',5,'node',2),('malesuada',6,'node',3),('malesuada',7,'node',1),('malesuada',10,'node',1),('malesuada',14,'node',1),('malesuada',15,'node',1),('malesuada',19,'node',27),('malesuada',21,'node',1),('malesuada',22,'node',1),('malesuada',29,'node',1),('malesuada',31,'node',1),('malesuada',32,'node',1),('massa',9,'node',1),('massa',11,'node',1),('massa',20,'node',28),('massa',22,'node',1),('massa',24,'node',1),('massa',26,'node',1),('massa',30,'node',1),('massa',32,'node',2),('mattis',12,'node',2),('mattis',13,'node',1),('mattis',16,'node',1),('mattis',22,'node',1),('mattis',27,'node',1),('mattis',31,'node',1),('mauris',9,'node',1),('mauris',14,'node',1),('mauris',15,'node',1),('mauris',16,'node',2),('mauris',17,'node',1),('mauris',18,'node',1),('mauris',19,'node',1),('mauris',20,'node',3),('mauris',23,'node',1),('mauris',25,'node',1),('mauris',26,'node',1),('mauris',29,'node',1),('mauris',30,'node',1),('maximus',6,'node',1),('maximus',7,'node',1),('maximus',12,'node',1),('maximus',14,'node',1),('maximus',26,'node',1),('maximus',31,'node',1),('metus',7,'node',2),('metus',8,'node',3),('metus',9,'node',1),('metus',11,'node',1),('metus',12,'node',1),('metus',14,'node',1),('metus',16,'node',1),('metus',18,'node',1),('metus',19,'node',1),('metus',20,'node',1),('metus',23,'node',1),('metus',25,'node',2),('metus',30,'node',1),('metus',31,'node',7),('modi',5,'node',1),('molestie',15,'node',1),('molestie',16,'node',2),('molestie',18,'node',1),('molestie',22,'node',1),('molestie',25,'node',2),('molestie',29,'node',1),('molestie',30,'node',1),('mollis',21,'node',1),('mollis',22,'node',1),('montes',10,'node',1),('morbi',6,'node',1),('morbi',7,'node',2),('morbi',9,'node',27),('morbi',18,'node',1),('morbi',19,'node',1),('morbi',26,'node',1),('morbi',27,'node',1),('morbi',29,'node',28),('morbi',31,'node',2),('movies',26,'node',11),('mus',10,'node',1),('nam',12,'node',1),('nam',17,'node',1),('nam',18,'node',1),('nam',19,'node',1),('nam',22,'node',1),('nam',23,'node',1),('nam',26,'node',1),('nam',32,'node',1),('name',33,'node',1),('nascetur',10,'node',1),('natoque',10,'node',1),('nec',6,'node',1),('nec',9,'node',1),('nec',10,'node',2),('nec',15,'node',1),('nec',16,'node',4),('nec',17,'node',1),('nec',19,'node',1),('nec',20,'node',1),('nec',21,'node',1),('nec',24,'node',1),('nec',25,'node',1),('nec',26,'node',1),('nec',29,'node',1),('nec',32,'node',1),('nemo',5,'node',1),('neque',5,'node',1),('neque',6,'node',1),('neque',7,'node',1),('neque',10,'node',1),('neque',11,'node',1),('neque',14,'node',1),('neque',15,'node',1),('neque',18,'node',1),('neque',20,'node',1),('neque',22,'node',2),('neque',26,'node',1),('neque',29,'node',1),('neque',30,'node',2),('neque',32,'node',2),('nesciunt',5,'node',1),('netus',7,'node',1),('netus',29,'node',1),('newborn',3,'node',26),('newborn2',52,'node',26),('nibh',9,'node',1),('nibh',10,'node',1),('nibh',16,'node',1),('nibh',17,'node',1),('nibh',18,'node',1),('nibh',19,'node',1),('nibh',20,'node',2),('nibh',21,'node',1),('nibh',23,'node',1),('nibh',29,'node',1),('nibh',31,'node',1),('nibh',32,'node',1),('nike',16,'node',11),('nikon',32,'node',11),('nisi',6,'node',1),('nisi',9,'node',1),('nisi',10,'node',1),('nisi',12,'node',1),('nisi',16,'node',1),('nisi',17,'node',1),('nisi',18,'node',1),('nisi',31,'node',1),('nisi',32,'node',1),('nisl',7,'node',1),('nisl',9,'node',1),('nisl',15,'node',1),('nisl',17,'node',1),('nisl',20,'node',2),('nisl',23,'node',2),('nisl',24,'node',1),('nisl',25,'node',1),('nisl',29,'node',1),('nisl',31,'node',1),('nisl',32,'node',1),('non',5,'node',1),('non',6,'node',28),('non',7,'node',1),('non',9,'node',3),('non',15,'node',2),('non',16,'node',1),('non',17,'node',1),('non',18,'node',1),('non',19,'node',1),('non',20,'node',3),('non',21,'node',2),('non',22,'node',1),('non',25,'node',27),('non',26,'node',1),('non',27,'node',1),('non',29,'node',2),('non',31,'node',1),('non',32,'node',4),('nostra',7,'node',1),('nostra',24,'node',1),('nulla',6,'node',1),('nulla',7,'node',1),('nulla',12,'node',3),('nulla',13,'node',1),('nulla',14,'node',1),('nulla',15,'node',1),('nulla',17,'node',2),('nulla',18,'node',2),('nulla',20,'node',1),('nulla',22,'node',27),('nulla',23,'node',1),('nulla',25,'node',1),('nulla',26,'node',1),('nulla',32,'node',5),('nullam',6,'node',1),('nullam',9,'node',1),('nullam',15,'node',1),('nullam',17,'node',1),('nullam',18,'node',1),('nullam',20,'node',1),('nullam',21,'node',1),('nullam',25,'node',2),('nullam',26,'node',1),('numquam',5,'node',1),('nunc',7,'node',1),('nunc',8,'node',1),('nunc',9,'node',1),('nunc',10,'node',3),('nunc',12,'node',1),('nunc',13,'node',2),('nunc',16,'node',1),('nunc',17,'node',1),('nunc',22,'node',1),('nunc',24,'node',1),('nunc',25,'node',1),('nunc',30,'node',1),('odio',7,'node',1),('odio',11,'node',1),('odio',12,'node',1),('odio',15,'node',1),('odio',19,'node',1),('odio',23,'node',1),('odio',25,'node',2),('odio',29,'node',1),('odit',5,'node',1),('orci',17,'node',1),('orci',18,'node',27),('orci',25,'node',2),('orci',29,'node',1),('orci',31,'node',1),('ornare',11,'node',1),('ornare',18,'node',1),('ornare',25,'node',1),('ornare',26,'node',1),('ornare',30,'node',1),('our',5,'node',1),('page',49,'node',2),('parturient',10,'node',1),('pellentesque',7,'node',1),('pellentesque',9,'node',1),('pellentesque',10,'node',1),('pellentesque',11,'node',1),('pellentesque',12,'node',1),('pellentesque',13,'node',2),('pellentesque',14,'node',1),('pellentesque',17,'node',1),('pellentesque',18,'node',1),('pellentesque',21,'node',27),('pellentesque',24,'node',1),('pellentesque',25,'node',1),('pellentesque',26,'node',1),('pellentesque',29,'node',30),('pellentesque',30,'node',2),('pellentesque',31,'node',1),('pellentesque',32,'node',3),('penatibus',10,'node',1),('per',7,'node',2),('per',24,'node',2),('pharetra',6,'node',1),('pharetra',9,'node',1),('pharetra',14,'node',1),('pharetra',21,'node',1),('pharetra',26,'node',1),('pharetra',31,'node',1),('pharetra',32,'node',2),('pharetra',38,'node',26),('phasellus',13,'node',1),('phasellus',19,'node',1),('phasellus',20,'node',27),('phasellus',23,'node',27),('phasellus',29,'node',1),('photo',4,'node',26),('photo',30,'node',26),('photodune',23,'node',11),('photography',5,'node',1),('photography',10,'node',26),('photography',31,'node',11),('photos',3,'node',26),('photos',29,'node',11),('pixax',20,'node',11),('placerat',11,'node',3),('placerat',14,'node',1),('placerat',21,'node',1),('placerat',22,'node',2),('placerat',29,'node',2),('placerat',30,'node',1),('placerat',31,'node',1),('places',53,'node',26),('plan',11,'node',26),('plan',13,'node',26),('platea',15,'node',1),('platforms',5,'node',1),('please',49,'node',1),('porro',5,'node',1),('porta',11,'node',1),('porta',14,'node',1),('porta',18,'node',1),('porta',19,'node',1),('porta',21,'node',1),('porta',22,'node',1),('porta',25,'node',1),('porta',30,'node',1),('porta',31,'node',1),('portrait',48,'node',26),('porttitor',6,'node',1),('porttitor',8,'node',1),('porttitor',14,'node',1),('porttitor',17,'node',1),('porttitor',18,'node',1),('porttitor',21,'node',1),('porttitor',22,'node',1),('porttitor',25,'node',1),('porttitor',31,'node',1),('post',32,'node',2),('posuere',9,'node',2),('posuere',17,'node',1),('posuere',19,'node',2),('posuere',22,'node',1),('posuere',26,'node',2),('posuere',30,'node',1),('posuere',31,'node',1),('posuere',37,'node',26),('potenti',7,'node',1),('potenti',8,'node',1),('praesent',6,'node',27),('praesent',11,'node',1),('praesent',16,'node',1),('praesent',17,'node',1),('praesent',18,'node',1),('praesent',21,'node',1),('praesent',24,'node',1),('praesent',32,'node',1),('pretium',6,'node',1),('pretium',13,'node',1),('pretium',15,'node',2),('pretium',18,'node',1),('pretium',29,'node',1),('pretium',32,'node',1),('print',15,'node',26),('products',14,'node',26),('products',45,'node',26),('proin',13,'node',1),('proin',17,'node',1),('proin',23,'node',1),('proin',24,'node',1),('proin',29,'node',1),('proin',36,'node',26),('pulvinar',6,'node',1),('pulvinar',7,'node',2),('pulvinar',13,'node',1),('pulvinar',17,'node',1),('pulvinar',18,'node',1),('pulvinar',19,'node',1),('pulvinar',22,'node',1),('pulvinar',23,'node',1),('purus',6,'node',1),('purus',9,'node',1),('purus',11,'node',1),('purus',12,'node',1),('purus',16,'node',1),('purus',18,'node',1),('purus',19,'node',1),('purus',20,'node',1),('purus',25,'node',2),('purus',29,'node',1),('purus',32,'node',2),('quam',14,'node',1),('quam',16,'node',1),('quam',17,'node',1),('quam',19,'node',1),('quam',20,'node',1),('quam',21,'node',1),('quam',26,'node',1),('quam',31,'node',1),('quam',32,'node',1),('qui',5,'node',2),('quia',5,'node',4),('quis',9,'node',1),('quis',11,'node',2),('quis',13,'node',1),('quis',14,'node',1),('quis',15,'node',1),('quis',17,'node',1),('quis',18,'node',1),('quis',20,'node',1),('quis',22,'node',1),('quis',24,'node',1),('quis',25,'node',1),('quis',26,'node',2),('quis',30,'node',1),('quis',31,'node',1),('quis',32,'node',4),('quis',39,'node',26),('quisquam',5,'node',1),('quisque',10,'node',1),('quisque',17,'node',27),('quisque',19,'node',27),('quisque',20,'node',1),('quisque',25,'node',27),('quisque',27,'node',27),('quisque',30,'node',1),('quisque',32,'node',1),('ratione',5,'node',1),('ready',52,'node',26),('register',32,'node',4.4),('rhoncus',6,'node',1),('rhoncus',7,'node',1),('rhoncus',12,'node',1),('rhoncus',15,'node',1),('rhoncus',16,'node',2),('rhoncus',18,'node',3),('rhoncus',19,'node',1),('rhoncus',24,'node',1),('rhoncus',26,'node',2),('rhoncus',31,'node',1),('ridiculus',10,'node',1),('risus',8,'node',1),('risus',10,'node',1),('risus',11,'node',1),('risus',16,'node',1),('risus',18,'node',2),('risus',22,'node',1),('risus',25,'node',1),('risus',26,'node',1),('risus',31,'node',1),('road',31,'node',26),('road',51,'node',26),('rutrum',17,'node',1),('rutrum',18,'node',28),('rutrum',26,'node',1),('sagittis',6,'node',1),('sagittis',11,'node',1),('sagittis',12,'node',1),('sagittis',16,'node',1),('sagittis',17,'node',1),('sagittis',18,'node',29),('sagittis',27,'node',1),('sagittis',29,'node',1),('sapien',9,'node',1),('sapien',13,'node',1),('sapien',15,'node',1),('sapien',17,'node',1),('sapien',18,'node',1),('sapien',21,'node',27),('sapien',22,'node',1),('sapien',24,'node',1),('sapien',30,'node',1),('sapien',32,'node',3),('scelerisque',6,'node',1),('scelerisque',15,'node',1),('scelerisque',18,'node',1),('scelerisque',21,'node',27),('scelerisque',22,'node',1),('scelerisque',24,'node',2),('scelerisque',26,'node',1),('scelerisque',29,'node',2),('scelerisque',31,'node',1),('scelerisque',36,'node',26),('sed',5,'node',2),('sed',6,'node',2),('sed',8,'node',27),('sed',9,'node',4),('sed',11,'node',3),('sed',12,'node',1),('sed',13,'node',4),('sed',16,'node',1),('sed',17,'node',3),('sed',18,'node',3),('sed',19,'node',1),('sed',20,'node',2),('sed',22,'node',28),('sed',23,'node',3),('sed',25,'node',27),('sed',27,'node',1),('sed',29,'node',4),('sed',30,'node',2),('sed',31,'node',3),('sed',32,'node',5),('sed',34,'node',26),('sed',37,'node',26),('seed',43,'node',26),('sem',9,'node',1),('sem',14,'node',1),('sem',15,'node',1),('sem',16,'node',1),('sem',17,'node',1),('sem',19,'node',1),('sem',20,'node',2),('sem',21,'node',1),('sem',22,'node',27),('sem',30,'node',1),('sem',32,'node',3),('semper',6,'node',2),('semper',9,'node',1),('semper',10,'node',1),('semper',14,'node',1),('semper',16,'node',1),('semper',17,'node',1),('semper',20,'node',2),('semper',24,'node',1),('semper',25,'node',28),('semper',27,'node',28),('semper',30,'node',1),('semper',32,'node',1),('semper',34,'node',26),('senectus',7,'node',1),('senectus',29,'node',1),('sequi',5,'node',1),('ship',52,'node',26),('sit',1,'node',26),('sit',5,'node',2),('sit',6,'node',1),('sit',8,'node',1),('sit',9,'node',3),('sit',10,'node',2),('sit',11,'node',1),('sit',12,'node',2),('sit',15,'node',2),('sit',17,'node',2),('sit',18,'node',2),('sit',20,'node',6),('sit',21,'node',1),('sit',22,'node',1),('sit',23,'node',1),('sit',26,'node',1),('sit',27,'node',2),('sit',29,'node',2),('sit',30,'node',1),('sit',31,'node',2),('sit',32,'node',3),('sociis',10,'node',1),('sociosqu',7,'node',27),('sociosqu',24,'node',27),('sodales',8,'node',1),('sodales',10,'node',1),('sodales',17,'node',2),('sodales',20,'node',1),('sodales',24,'node',1),('sodales',29,'node',1),('sodales',37,'node',52),('sollicitudin',9,'node',1),('sollicitudin',12,'node',1),('sollicitudin',18,'node',1),('sollicitudin',29,'node',1),('sollicitudin',32,'node',5),('solutions',5,'node',1),('sorry',49,'node',1),('studio',5,'node',1),('studios',27,'node',11),('subject',33,'node',1),('submit',33,'node',1),('suscipit',9,'node',1),('suscipit',11,'node',1),('suscipit',16,'node',1),('suscipit',17,'node',1),('suscipit',19,'node',1),('suscipit',23,'node',1),('suscipit',29,'node',1),('suscipit',30,'node',1),('suscipit',31,'node',1),('suscipit',32,'node',2),('suspendisse',7,'node',2),('suspendisse',8,'node',2),('suspendisse',9,'node',1),('suspendisse',11,'node',1),('suspendisse',17,'node',1),('suspendisse',19,'node',1),('suspendisse',20,'node',1),('suspendisse',25,'node',1),('suspendisse',27,'node',1),('suspendisse',30,'node',2),('suspendisse',32,'node',2),('taciti',7,'node',27),('taciti',24,'node',27),('take',5,'node',1),('tellus',6,'node',1),('tellus',10,'node',1),('tellus',12,'node',1),('tellus',15,'node',1),('tellus',16,'node',2),('tellus',17,'node',3),('tellus',20,'node',1),('tellus',22,'node',1),('tellus',24,'node',3),('tellus',25,'node',2),('tellus',26,'node',1),('tellus',30,'node',1),('tempor',6,'node',1),('tempor',10,'node',1),('tempor',17,'node',27),('tempor',18,'node',2),('tempor',21,'node',1),('tempor',31,'node',1),('tempor',32,'node',3),('tempora',5,'node',1),('tempus',8,'node',1),('tempus',10,'node',2),('tempus',11,'node',1),('tempus',13,'node',3),('tempus',19,'node',1),('tempus',31,'node',1),('tempus',32,'node',4),('than',5,'node',1),('that',5,'node',1),('the',50,'node',26),('them',5,'node',1),('themeforest',21,'node',11),('tie',52,'node',26),('tincidunt',6,'node',1),('tincidunt',10,'node',1),('tincidunt',11,'node',1),('tincidunt',16,'node',2),('tincidunt',18,'node',28),('tincidunt',20,'node',1),('tincidunt',21,'node',2),('tincidunt',22,'node',1),('tincidunt',24,'node',1),('tincidunt',25,'node',1),('tincidunt',26,'node',2),('tincidunt',30,'node',2),('torquent',7,'node',27),('torquent',24,'node',27),('tortor',9,'node',28),('tortor',15,'node',1),('tortor',20,'node',1),('tortor',22,'node',27),('tortor',24,'node',1),('tortor',31,'node',1),('tortor',32,'node',1),('tortor',38,'node',26),('travel',30,'node',26),('traveler',4,'node',26),('travelers',50,'node',26),('trips',31,'node',26),('trips',32,'node',26),('trips',51,'node',26),('tristique',7,'node',1),('tristique',10,'node',1),('tristique',21,'node',1),('tristique',22,'node',1),('tristique',25,'node',1),('tristique',29,'node',1),('tristique',31,'node',1),('tristique',32,'node',1),('try',49,'node',1),('turpis',7,'node',2),('turpis',10,'node',1),('turpis',19,'node',1),('turpis',22,'node',1),('turpis',25,'node',27),('turpis',26,'node',1),('turpis',29,'node',1),('turpis',32,'node',1),('ullamcorper',9,'node',1),('ullamcorper',10,'node',1),('ullamcorper',13,'node',1),('ullamcorper',14,'node',1),('ullamcorper',17,'node',1),('ullamcorper',18,'node',2),('ullamcorper',22,'node',1),('ullamcorper',26,'node',1),('ullamcorper',30,'node',2),('ullamcorper',32,'node',1),('ultimate',31,'node',26),('ultrices',2,'node',26),('ultrices',6,'node',27),('ultrices',7,'node',1),('ultrices',9,'node',1),('ultrices',11,'node',1),('ultrices',21,'node',1),('ultrices',22,'node',1),('ultrices',23,'node',27),('ultrices',24,'node',1),('ultrices',25,'node',1),('ultrices',29,'node',1),('ultrices',31,'node',2),('ultricies',7,'node',1),('ultricies',11,'node',1),('ultricies',15,'node',1),('ultricies',16,'node',1),('ultricies',17,'node',2),('ultricies',18,'node',1),('ultricies',26,'node',28),('ultricies',30,'node',1),('ultricies',32,'node',1),('universal',25,'node',11),('urna',6,'node',27),('urna',8,'node',1),('urna',10,'node',1),('urna',11,'node',1),('urna',13,'node',1),('urna',16,'node',1),('urna',20,'node',1),('urna',23,'node',1),('urna',25,'node',1),('urna',27,'node',1),('urna',31,'node',3),('urna',37,'node',26),('used',5,'node',1),('varius',7,'node',1),('varius',9,'node',1),('varius',10,'node',1),('varius',19,'node',1),('varius',20,'node',1),('varius',30,'node',1),('varius',32,'node',2),('vehicula',8,'node',1),('vehicula',18,'node',1),('vehicula',19,'node',1),('vehicula',20,'node',1),('vehicula',22,'node',1),('vehicula',32,'node',2),('vel',6,'node',1),('vel',7,'node',1),('vel',9,'node',1),('vel',11,'node',1),('vel',13,'node',1),('vel',14,'node',1),('vel',15,'node',1),('vel',16,'node',1),('vel',17,'node',3),('vel',20,'node',2),('vel',21,'node',1),('vel',23,'node',4),('vel',24,'node',2),('vel',25,'node',1),('vel',26,'node',1),('vel',29,'node',2),('vel',30,'node',2),('vel',32,'node',5),('vel',42,'node',26),('velit',5,'node',1),('velit',6,'node',1),('velit',8,'node',1),('velit',11,'node',1),('velit',16,'node',27),('velit',17,'node',2),('velit',18,'node',1),('velit',19,'node',1),('velit',21,'node',1),('velit',26,'node',2),('velit',27,'node',1),('velit',31,'node',2),('velit',32,'node',1),('venenatis',6,'node',1),('venenatis',7,'node',1),('venenatis',8,'node',1),('venenatis',11,'node',1),('venenatis',22,'node',1),('venenatis',32,'node',1),('vestibulum',7,'node',1),('vestibulum',9,'node',1),('vestibulum',11,'node',2),('vestibulum',16,'node',1),('vestibulum',18,'node',1),('vestibulum',21,'node',1),('vestibulum',25,'node',2),('vestibulum',26,'node',1),('vestibulum',29,'node',1),('vestibulum',30,'node',1),('vestibulum',31,'node',2),('vestibulum',32,'node',3),('vitae',7,'node',1),('vitae',8,'node',28),('vitae',9,'node',1),('vitae',10,'node',1),('vitae',11,'node',1),('vitae',12,'node',1),('vitae',13,'node',3),('vitae',14,'node',1),('vitae',17,'node',1),('vitae',20,'node',1),('vitae',22,'node',1),('vitae',24,'node',1),('vitae',26,'node',1),('vitae',30,'node',3),('vitae',31,'node',3),('vitae',32,'node',3),('vivamus',6,'node',1),('vivamus',16,'node',27),('vivamus',18,'node',2),('vivamus',19,'node',1),('vivamus',20,'node',1),('vivamus',21,'node',1),('vivamus',26,'node',27),('vivamus',29,'node',1),('viverra',9,'node',27),('viverra',13,'node',1),('viverra',15,'node',1),('viverra',16,'node',28),('viverra',25,'node',27),('viverra',30,'node',1),('viverra',31,'node',1),('viverra',32,'node',2),('voluptas',5,'node',1),('voluptatem',5,'node',2),('volutpat',7,'node',1),('volutpat',8,'node',1),('volutpat',9,'node',1),('volutpat',14,'node',1),('volutpat',17,'node',1),('volutpat',18,'node',1),('volutpat',19,'node',1),('volutpat',24,'node',1),('volutpat',27,'node',1),('volutpat',31,'node',1),('vulputate',6,'node',1),('vulputate',8,'node',27),('vulputate',14,'node',1),('vulputate',19,'node',1),('vulputate',20,'node',1),('vulputate',22,'node',1),('vulputate',30,'node',1),('vulputate',39,'node',26),('water',44,'node',26),('wedding',11,'node',26),('wedding',46,'node',26),('weebpal',17,'node',11),('wild',41,'node',26),('year',50,'node',26),('years',52,'node',26),('you',5,'node',1),('your',5,'node',1),('your',33,'node',2),('your',49,'node',1);
/*!40000 ALTER TABLE `search_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_node_links`
--

DROP TABLE IF EXISTS `search_node_links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_node_links` (
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The search_dataset.sid of the searchable item containing the link to the node.',
  `type` varchar(16) NOT NULL DEFAULT '' COMMENT 'The search_dataset.type of the searchable item containing the link to the node.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid that this item links to.',
  `caption` longtext COMMENT 'The text used to link to the node.nid.',
  PRIMARY KEY (`sid`,`type`,`nid`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores items (like nodes) that link to other nodes, used...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_node_links`
--

LOCK TABLES `search_node_links` WRITE;
/*!40000 ALTER TABLE `search_node_links` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `search_node_links` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `search_total`
--

DROP TABLE IF EXISTS `search_total`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `search_total` (
  `word` varchar(50) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique word in the search index.',
  `count` float DEFAULT NULL COMMENT 'The count of the word in the index using Zipf’s law to equalize the probability distribution.',
  PRIMARY KEY (`word`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores search totals for words.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `search_total`
--

LOCK TABLES `search_total` WRITE;
/*!40000 ALTER TABLE `search_total` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `search_total` VALUES ('13',0.0163904),('2',0.176091),('2015',0.01524),('3000',0.30103),('365',0.0163904),('404',0.0163904),('50',0.0163904),('5500',0.30103),('6000',0.30103),('6500',0.30103),('7500',0.30103),('9000',0.30103),('about',0.0163904),('accumsan',0.09691),('adipisci',0.30103),('adipiscing',0.124939),('adjustable',0.0163904),('admin',0.00934003),('aenean',0.00768683),('agency',0.30103),('album',0.0163904),('albums',0.0163904),('aliquam',0.00474644),('aliquet',0.011281),('ame',0.00827253),('america',0.0163904),('amet',0.0115819),('and',0.01524),('another',0.30103),('ante',0.0104654),('anything',0.30103),('apple',0.0377886),('april',0.176091),('aptent',0.00796893),('arcu',0.0109954),('are',0.176091),('aspernatur',0.30103),('auctor',0.00706185),('audiojungle',0.0377886),('augue',0.00464491),('aut',0.176091),('based',0.30103),('best',0.00827253),('bibendum',0.0669468),('blandit',0.0347621),('blog',0.00975984),('camera',0.0377886),('canada',0.0163904),('class',0.00796893),('comment',0.30103),('comments',0.176091),('commercial',0.0163904),('commercials',0.0163904),('commodo',0.0457575),('condimentum',0.0579919),('congue',0.0413927),('consectetur',0.0222764),('consequat',0.0457575),('consequuntur',0.30103),('contact',0.0163904),('contest',0.0163904),('conubia',0.176091),('convallis',0.0413927),('couldn',0.30103),('cras',0.0511525),('create',0.30103),('cum',0.30103),('curabitur',0.0791812),('cursus',0.0377886),('daily',0.0163904),('dapibus',0.0457575),('design',0.0157943),('diam',0.0280287),('dictum',0.0579919),('dictumst',0.30103),('digital',0.0147233),('dignissim',0.0299632),('dis',0.30103),('disnep',0.0377886),('dolor',0.00469512),('dolorem',0.30103),('dolores',0.30103),('donec',0.0107239),('dreamworks',0.0377886),('dui',0.0280287),('duis',0.00653087),('easier',0.30103),('easy',0.30103),('efficitur',0.012965),('egestas',0.0457575),('eget',0.0104654),('eius',0.30103),('eleifend',0.0413927),('elementum',0.0511525),('elit',0.00653087),('email',0.30103),('enim',0.0102192),('envanto',0.0377886),('eos',0.30103),('erat',0.0579919),('eros',0.00624895),('est',0.00567713),('etiam',0.00729924),('euismod',0.0347621),('ever',0.30103),('facilisi',0.30103),('facilisis',0.0125891),('fames',0.176091),('family',0.0163904),('faucibus',0.0413927),('feature',0.0163904),('felis',0.0125891),('fermentum',0.00755314),('feugiat',0.0413927),('find',0.30103),('finibus',0.0511525),('florida',0.0163904),('fox',0.0377886),('fringilla',0.0347621),('fugit',0.30103),('fusce',0.0377886),('gallery',0.0163904),('gravida',0.0118992),('greater',0.176091),('habitant',0.01524),('habitasse',0.30103),('hac',0.30103),('handsome',0.0163904),('hendrerit',0.0280287),('himenaeos',0.176091),('iaculis',0.0413927),('ideas',0.176091),('imperdiet',0.0115819),('inceptos',0.176091),('incidunt',0.30103),('incredible',0.0163904),('independent',0.30103),('integer',0.0579919),('interdum',0.0669468),('ipsam',0.30103),('ipsum',0.0104654),('job',0.30103),('justo',0.0457575),('lacinia',0.012965),('lacus',0.0511525),('land',0.0163904),('laoreet',0.0377886),('lectus',0.0321847),('leo',0.0511525),('libero',0.0321847),('life',0.00827253),('lifetime',0.0163904),('ligula',0.00673338),('litora',0.00796893),('lobortis',0.0457575),('log',0.0889411),('london',0.30103),('lorem',0.00975984),('luctus',0.012965),('maecenas',0.0511525),('magna',0.0413927),('magni',0.30103),('magnis',0.30103),('make',0.176091),('malesuada',0.0109954),('massa',0.0118992),('mattis',0.0579919),('mauris',0.0263289),('maximus',0.0669468),('metus',0.0177288),('modi',0.30103),('molestie',0.0457575),('mollis',0.176091),('montes',0.30103),('morbi',0.00673338),('movies',0.0377886),('mus',0.30103),('nam',0.0511525),('name',0.30103),('nascetur',0.30103),('natoque',0.30103),('nec',0.0234811),('nemo',0.30103),('neque',0.0248236),('nesciunt',0.30103),('netus',0.176091),('newborn',0.0163904),('newborn2',0.0163904),('nibh',0.0321847),('nike',0.0377886),('nikon',0.0377886),('nisi',0.0457575),('nisl',0.0321847),('non',0.00532883),('nostra',0.176091),('nulla',0.00895484),('nullam',0.0118992),('numquam',0.30103),('nunc',0.0280287),('odio',0.0122345),('odit',0.30103),('orci',0.013364),('ornare',0.0791812),('our',0.30103),('page',0.176091),('parturient',0.30103),('pellentesque',0.00567713),('penatibus',0.30103),('per',0.09691),('pharetra',0.0125891),('phasellus',0.00755314),('photo',0.00827253),('photodune',0.0377886),('photography',0.011281),('photos',0.0115819),('pixax',0.0377886),('placerat',0.0377886),('places',0.0163904),('plan',0.00827253),('platea',0.30103),('platforms',0.30103),('please',0.30103),('porro',0.30103),('porta',0.0457575),('portrait',0.0163904),('porttitor',0.0457575),('post',0.176091),('posuere',0.0118992),('potenti',0.176091),('praesent',0.0125891),('pretium',0.0579919),('print',0.0163904),('products',0.00827253),('proin',0.0137883),('pulvinar',0.0457575),('purus',0.0321847),('quam',0.0457575),('qui',0.176091),('quia',0.09691),('quis',0.00934003),('quisquam',0.30103),('quisque',0.00386042),('ratione',0.30103),('ready',0.0163904),('register',0.0889411),('rhoncus',0.0299632),('ridiculus',0.30103),('risus',0.0413927),('road',0.00827253),('rutrum',0.0142404),('sagittis',0.0118992),('sapien',0.011281),('scelerisque',0.00683942),('sed',0.00243303),('seed',0.0163904),('sem',0.0107239),('semper',0.00459575),('senectus',0.176091),('sequi',0.30103),('ship',0.0163904),('sit',0.00673338),('sociis',0.30103),('sociosqu',0.00796893),('sodales',0.00729924),('sollicitudin',0.0457575),('solutions',0.30103),('sorry',0.30103),('studio',0.30103),('studios',0.0377886),('subject',0.30103),('submit',0.30103),('suscipit',0.0377886),('suspendisse',0.0280287),('taciti',0.00796893),('take',0.30103),('tellus',0.0234811),('tempor',0.0118992),('tempora',0.30103),('tempus',0.0321847),('than',0.30103),('that',0.30103),('the',0.0163904),('them',0.30103),('themeforest',0.0377886),('tie',0.0163904),('tincidunt',0.00998422),('torquent',0.00796893),('tortor',0.0050208),('travel',0.0163904),('traveler',0.0163904),('travelers',0.0163904),('trips',0.00553249),('tristique',0.0511525),('try',0.30103),('turpis',0.0122345),('ullamcorper',0.0347621),('ultimate',0.0163904),('ultrices',0.00479888),('ultricies',0.0115819),('universal',0.0377886),('urna',0.00663058),('used',0.30103),('varius',0.0511525),('vehicula',0.0579919),('vel',0.00755314),('velit',0.0102192),('venenatis',0.0669468),('vestibulum',0.0248236),('vitae',0.00843317),('vivamus',0.00706185),('viverra',0.00490733),('voluptas',0.30103),('voluptatem',0.176091),('volutpat',0.0413927),('vulputate',0.00729924),('water',0.0163904),('wedding',0.00827253),('weebpal',0.0377886),('wild',0.0163904),('year',0.0163904),('years',0.0163904),('you',0.30103),('your',0.09691);
/*!40000 ALTER TABLE `search_total` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `semaphore`
--

DROP TABLE IF EXISTS `semaphore`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `semaphore` (
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Primary Key: Unique name.',
  `value` varchar(255) NOT NULL DEFAULT '' COMMENT 'A value for the semaphore.',
  `expire` double NOT NULL COMMENT 'A Unix timestamp with microseconds indicating when the semaphore should expire.',
  PRIMARY KEY (`name`),
  KEY `value` (`value`),
  KEY `expire` (`expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for holding semaphores, locks, flags, etc. that...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `semaphore`
--

LOCK TABLES `semaphore` WRITE;
/*!40000 ALTER TABLE `semaphore` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `semaphore` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sequences`
--

DROP TABLE IF EXISTS `sequences`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sequences` (
  `value` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The value of the sequence.',
  PRIMARY KEY (`value`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8 COMMENT='Stores IDs.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sequences`
--

LOCK TABLES `sequences` WRITE;
/*!40000 ALTER TABLE `sequences` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sequences` VALUES (10);
/*!40000 ALTER TABLE `sequences` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `uid` int(10) unsigned NOT NULL COMMENT 'The users.uid corresponding to a session, or 0 for anonymous user.',
  `sid` varchar(128) NOT NULL COMMENT 'A session ID. The value is generated by Drupal’s session handlers.',
  `ssid` varchar(128) NOT NULL DEFAULT '' COMMENT 'Secure session ID. The value is generated by Drupal’s session handlers.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'The IP address that last used this session ID (sid).',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when this session last requested a page. Old records are purged by PHP automatically.',
  `cache` int(11) NOT NULL DEFAULT '0' COMMENT 'The time of this user’s last post. This is used when the site has specified a minimum_cache_lifetime. See cache_get().',
  `session` longblob COMMENT 'The serialized contents of $_SESSION, an array of name/value pairs that persists across page requests by this session ID. Drupal loads $_SESSION from here at the start of each request and saves it at the end.',
  PRIMARY KEY (`sid`,`ssid`),
  KEY `timestamp` (`timestamp`),
  KEY `uid` (`uid`),
  KEY `ssid` (`ssid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Drupal’s session handlers read and write into the...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sessions`
--

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `sessions` VALUES (1,'8I4tlhxAsbf-YvB_0VT5BYD3IzDKSfGVc0r_eEDQJJc','','27.74.249.234',1507174996,0,''),(1,'bA4xtlOM1qbIW26fwNzLmBMnhIKy4vUaXhk25px7u1c','','::1',1438416554,0,'node_overview_filter|a:1:{i:0;a:2:{i:0;s:4:\"type\";i:1;s:7:\"gallery\";}}'),(1,'jdvsotFpCOFGt_FMfUn-FzCaYNCqbTltIZLsfH2b-lM','','192.168.1.49',1500459775,0,''),(1,'z7qXdnQEvBFf0KK4yTPMqQvt2w_XsnQ8mAbBP4pGuU4','','192.168.1.49',1499939578,0,'');
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set`
--

DROP TABLE IF EXISTS `shortcut_set`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set` (
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'Primary Key: The menu_links.menu_name under which the set’s links are stored.',
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'The title of the set.',
  PRIMARY KEY (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about sets of shortcuts links.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set`
--

LOCK TABLES `shortcut_set` WRITE;
/*!40000 ALTER TABLE `shortcut_set` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `shortcut_set` VALUES ('shortcut-set-1','Default');
/*!40000 ALTER TABLE `shortcut_set` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `shortcut_set_users`
--

DROP TABLE IF EXISTS `shortcut_set_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shortcut_set_users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The users.uid for this set.',
  `set_name` varchar(32) NOT NULL DEFAULT '' COMMENT 'The shortcut_set.set_name that will be displayed for this user.',
  PRIMARY KEY (`uid`),
  KEY `set_name` (`set_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to shortcut sets.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `shortcut_set_users`
--

LOCK TABLES `shortcut_set_users` WRITE;
/*!40000 ALTER TABLE `shortcut_set_users` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `shortcut_set_users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `system`
--

DROP TABLE IF EXISTS `system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `system` (
  `filename` varchar(255) NOT NULL DEFAULT '' COMMENT 'The path of the primary file for this item, relative to the Drupal root; e.g. modules/node/node.module.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The name of the item; e.g. node.',
  `type` varchar(12) NOT NULL DEFAULT '' COMMENT 'The type of the item, either module, theme, or theme_engine.',
  `owner` varchar(255) NOT NULL DEFAULT '' COMMENT 'A theme’s ’parent’ . Can be either a theme or an engine.',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether or not this item is enabled.',
  `bootstrap` int(11) NOT NULL DEFAULT '0' COMMENT 'Boolean indicating whether this module is loaded during Drupal’s early bootstrapping phase (e.g. even before the page cache is consulted).',
  `schema_version` smallint(6) NOT NULL DEFAULT '-1' COMMENT 'The module’s database schema version number. -1 if the module is not installed (its tables do not exist); 0 or the largest N of the module’s hook_update_N() function that has either been run or existed when the module was first installed.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The order in which this module’s hooks should be invoked relative to other modules. Equal-weighted modules are ordered by name.',
  `info` blob COMMENT 'A serialized array containing information from the module’s .info file; keys can include name, description, package, version, core, dependencies, and php.',
  PRIMARY KEY (`filename`),
  KEY `system_list` (`status`,`bootstrap`,`type`,`weight`,`name`),
  KEY `type_name` (`type`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='A list of all modules, themes, and theme engines that are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system`
--

LOCK TABLES `system` WRITE;
/*!40000 ALTER TABLE `system` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `system` VALUES ('modules/aggregator/aggregator.module','aggregator','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:10:\"Aggregator\";s:11:\"description\";s:57:\"Aggregates syndicated content (RSS, RDF, and Atom feeds).\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"aggregator.test\";}s:9:\"configure\";s:41:\"admin/config/services/aggregator/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:14:\"aggregator.css\";s:33:\"modules/aggregator/aggregator.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/aggregator/tests/aggregator_test.module','aggregator_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Aggregator module tests\";s:11:\"description\";s:46:\"Support module for aggregator related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/block/block.module','block','module','',1,0,7009,-5,'a:13:{s:4:\"name\";s:5:\"Block\";s:11:\"description\";s:140:\"Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"block.test\";}s:9:\"configure\";s:21:\"admin/structure/block\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/block/tests/block_test.module','block_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Block test\";s:11:\"description\";s:21:\"Provides test blocks.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/blog/blog.module','blog','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Blog\";s:11:\"description\";s:25:\"Enables multi-user blogs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"blog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/book/book.module','book','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:4:\"Book\";s:11:\"description\";s:66:\"Allows users to create and organize related content in an outline.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"book.test\";}s:9:\"configure\";s:27:\"admin/content/book/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"book.css\";s:21:\"modules/book/book.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/color/color.module','color','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Color\";s:11:\"description\";s:70:\"Allows administrators to change the color scheme of compatible themes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"color.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/comment/comment.module','comment','module','',1,0,7009,0,'a:14:{s:4:\"name\";s:7:\"Comment\";s:11:\"description\";s:57:\"Allows users to comment on and discuss published content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"text\";}s:5:\"files\";a:2:{i:0;s:14:\"comment.module\";i:1;s:12:\"comment.test\";}s:9:\"configure\";s:21:\"admin/content/comment\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:11:\"comment.css\";s:27:\"modules/comment/comment.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contact/contact.module','contact','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Contact\";s:11:\"description\";s:61:\"Enables the use of both personal and site-wide contact forms.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"contact.test\";}s:9:\"configure\";s:23:\"admin/structure/contact\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/contextual/contextual.module','contextual','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Contextual links\";s:11:\"description\";s:75:\"Provides contextual links to perform actions related to elements on a page.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"contextual.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dashboard/dashboard.module','dashboard','module','',1,0,0,0,'a:13:{s:4:\"name\";s:9:\"Dashboard\";s:11:\"description\";s:136:\"Provides a dashboard page in the administrative interface for organizing administrative tasks and tracking information within your site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:5:\"files\";a:1:{i:0;s:14:\"dashboard.test\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:9:\"configure\";s:25:\"admin/dashboard/customize\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/dblog/dblog.module','dblog','module','',1,1,7003,0,'a:12:{s:4:\"name\";s:16:\"Database logging\";s:11:\"description\";s:47:\"Logs and records system events to the database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"dblog.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/field.module','field','module','',1,0,7004,0,'a:14:{s:4:\"name\";s:5:\"Field\";s:11:\"description\";s:57:\"Field API to add fields to entities like nodes and users.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"field.module\";i:1;s:16:\"field.attach.inc\";i:2;s:20:\"field.info.class.inc\";i:3;s:16:\"tests/field.test\";}s:12:\"dependencies\";a:1:{i:0;s:17:\"field_sql_storage\";}s:8:\"required\";b:1;s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:15:\"theme/field.css\";s:29:\"modules/field/theme/field.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/field_sql_storage/field_sql_storage.module','field_sql_storage','module','',1,0,7002,0,'a:13:{s:4:\"name\";s:17:\"Field SQL storage\";s:11:\"description\";s:37:\"Stores field data in an SQL database.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:22:\"field_sql_storage.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/list.module','list','module','',1,0,7002,0,'a:12:{s:4:\"name\";s:4:\"List\";s:11:\"description\";s:69:\"Defines list field types. Use with Options to create selection lists.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:7:\"options\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/list.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/list/tests/list_test.module','list_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"List test\";s:11:\"description\";s:41:\"Support module for the List module tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/field/modules/number/number.module','number','module','',1,0,0,0,'a:14:{s:4:\"name\";s:6:\"Number\";s:11:\"description\";s:28:\"Defines numeric field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:11:\"number.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/field/modules/options/options.module','options','module','',1,0,0,0,'a:12:{s:4:\"name\";s:7:\"Options\";s:11:\"description\";s:82:\"Defines selection, check box and radio button widgets for text and numeric fields.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:12:\"options.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field/modules/text/text.module','text','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:4:\"Text\";s:11:\"description\";s:32:\"Defines simple text field types.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:9:\"text.test\";}s:8:\"required\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/field/tests/field_test.module','field_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Field API Test\";s:11:\"description\";s:39:\"Support module for the Field API tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:5:\"files\";a:1:{i:0;s:21:\"field_test.entity.inc\";}s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/field_ui/field_ui.module','field_ui','module','',1,0,0,0,'a:12:{s:4:\"name\";s:8:\"Field UI\";s:11:\"description\";s:33:\"User interface for the Field API.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:13:\"field_ui.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/file.module','file','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"File\";s:11:\"description\";s:26:\"Defines a file field type.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"field\";}s:5:\"files\";a:1:{i:0;s:15:\"tests/file.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/file/tests/file_module_test.module','file_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:53:\"Provides hooks for testing File module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/filter/filter.module','filter','module','',1,0,7010,0,'a:14:{s:4:\"name\";s:6:\"Filter\";s:11:\"description\";s:43:\"Filters content in preparation for display.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"filter.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:28:\"admin/config/content/formats\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/forum/forum.module','forum','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:5:\"Forum\";s:11:\"description\";s:27:\"Provides discussion forums.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"forum.test\";}s:9:\"configure\";s:21:\"admin/structure/forum\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:9:\"forum.css\";s:23:\"modules/forum/forum.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/help/help.module','help','module','',1,0,0,0,'a:12:{s:4:\"name\";s:4:\"Help\";s:11:\"description\";s:35:\"Manages the display of online help.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"help.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/image/image.module','image','module','',1,0,7005,0,'a:15:{s:4:\"name\";s:5:\"Image\";s:11:\"description\";s:34:\"Provides image manipulation tools.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"file\";}s:5:\"files\";a:1:{i:0;s:10:\"image.test\";}s:9:\"configure\";s:31:\"admin/config/media/image-styles\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/image/tests/image_module_test.module','image_module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:69:\"Provides hook implementations for testing Image module functionality.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"image_module_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/locale.module','locale','module','',1,0,7005,0,'a:13:{s:4:\"name\";s:6:\"Locale\";s:11:\"description\";s:119:\"Adds language handling functionality and enables the translation of the user interface to languages other than English.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"locale.test\";}s:9:\"configure\";s:30:\"admin/config/regional/language\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/locale/tests/locale_test.module','locale_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Locale Test\";s:11:\"description\";s:42:\"Support module for the locale layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/menu/menu.module','menu','module','',1,0,7003,0,'a:13:{s:4:\"name\";s:4:\"Menu\";s:11:\"description\";s:60:\"Allows administrators to customize the site navigation menu.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"menu.test\";}s:9:\"configure\";s:20:\"admin/structure/menu\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/node.module','node','module','',1,0,7016,0,'a:15:{s:4:\"name\";s:4:\"Node\";s:11:\"description\";s:66:\"Allows content to be submitted to the site and displayed on pages.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"node.module\";i:1;s:9:\"node.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:21:\"admin/structure/types\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"node.css\";s:21:\"modules/node/node.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_access_test.module','node_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Node module access tests\";s:11:\"description\";s:43:\"Support module for node permission testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test.module','node_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Node module tests\";s:11:\"description\";s:40:\"Support module for node related testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/node/tests/node_test_exception.module','node_test_exception','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:27:\"Node module exception tests\";s:11:\"description\";s:50:\"Support module for node related exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/openid/openid.module','openid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:6:\"OpenID\";s:11:\"description\";s:48:\"Allows users to log into your site using OpenID.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"openid.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/openid/tests/openid_test.module','openid_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"OpenID dummy provider\";s:11:\"description\";s:33:\"OpenID provider used for testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"openid\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/overlay/overlay.module','overlay','module','',1,1,0,0,'a:12:{s:4:\"name\";s:7:\"Overlay\";s:11:\"description\";s:59:\"Displays the Drupal administration interface in an overlay.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/path/path.module','path','module','',1,0,0,0,'a:13:{s:4:\"name\";s:4:\"Path\";s:11:\"description\";s:28:\"Allows users to rename URLs.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"path.test\";}s:9:\"configure\";s:24:\"admin/config/search/path\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/php/php.module','php','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"PHP filter\";s:11:\"description\";s:50:\"Allows embedded PHP code/snippets to be evaluated.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"php.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/poll/poll.module','poll','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:4:\"Poll\";s:11:\"description\";s:95:\"Allows your site to capture votes on different topics in the form of multiple choice questions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:9:\"poll.test\";}s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"poll.css\";s:21:\"modules/poll/poll.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/profile/profile.module','profile','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:7:\"Profile\";s:11:\"description\";s:36:\"Supports configurable user profiles.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"profile.test\";}s:9:\"configure\";s:27:\"admin/config/people/profile\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/rdf.module','rdf','module','',1,0,0,0,'a:12:{s:4:\"name\";s:3:\"RDF\";s:11:\"description\";s:148:\"Enriches your content with metadata to let other applications (e.g. search engines, aggregators) better understand its relationships and attributes.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:8:\"rdf.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/rdf/tests/rdf_test.module','rdf_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"RDF module tests\";s:11:\"description\";s:38:\"Support module for RDF module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:4:\"blog\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/search.module','search','module','',1,0,7000,0,'a:14:{s:4:\"name\";s:6:\"Search\";s:11:\"description\";s:36:\"Enables site-wide keyword searching.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:19:\"search.extender.inc\";i:1;s:11:\"search.test\";}s:9:\"configure\";s:28:\"admin/config/search/settings\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"search.css\";s:25:\"modules/search/search.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_embedded_form.module','search_embedded_form','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Search embedded form\";s:11:\"description\";s:59:\"Support module for search module testing of embedded forms.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_extra_type.module','search_extra_type','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Test search type\";s:11:\"description\";s:41:\"Support module for search module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/search/tests/search_node_tags.module','search_node_tags','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Test search node tags\";s:11:\"description\";s:44:\"Support module for Node search tags testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/shortcut/shortcut.module','shortcut','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Shortcut\";s:11:\"description\";s:60:\"Allows users to manage customizable lists of shortcut links.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:13:\"shortcut.test\";}s:9:\"configure\";s:36:\"admin/config/user-interface/shortcut\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/simpletest.module','simpletest','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Testing\";s:11:\"description\";s:53:\"Provides a framework for unit and functional testing.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:50:{i:0;s:15:\"simpletest.test\";i:1;s:24:\"drupal_web_test_case.php\";i:2;s:18:\"tests/actions.test\";i:3;s:15:\"tests/ajax.test\";i:4;s:16:\"tests/batch.test\";i:5;s:15:\"tests/boot.test\";i:6;s:20:\"tests/bootstrap.test\";i:7;s:16:\"tests/cache.test\";i:8;s:17:\"tests/common.test\";i:9;s:24:\"tests/database_test.test\";i:10;s:22:\"tests/entity_crud.test\";i:11;s:32:\"tests/entity_crud_hook_test.test\";i:12;s:23:\"tests/entity_query.test\";i:13;s:16:\"tests/error.test\";i:14;s:15:\"tests/file.test\";i:15;s:23:\"tests/filetransfer.test\";i:16;s:15:\"tests/form.test\";i:17;s:16:\"tests/graph.test\";i:18;s:16:\"tests/image.test\";i:19;s:15:\"tests/lock.test\";i:20;s:15:\"tests/mail.test\";i:21;s:15:\"tests/menu.test\";i:22;s:17:\"tests/module.test\";i:23;s:16:\"tests/pager.test\";i:24;s:19:\"tests/password.test\";i:25;s:15:\"tests/path.test\";i:26;s:19:\"tests/registry.test\";i:27;s:17:\"tests/schema.test\";i:28;s:18:\"tests/session.test\";i:29;s:20:\"tests/tablesort.test\";i:30;s:16:\"tests/theme.test\";i:31;s:18:\"tests/unicode.test\";i:32;s:17:\"tests/update.test\";i:33;s:17:\"tests/xmlrpc.test\";i:34;s:26:\"tests/upgrade/upgrade.test\";i:35;s:34:\"tests/upgrade/upgrade.comment.test\";i:36;s:33:\"tests/upgrade/upgrade.filter.test\";i:37;s:32:\"tests/upgrade/upgrade.forum.test\";i:38;s:33:\"tests/upgrade/upgrade.locale.test\";i:39;s:31:\"tests/upgrade/upgrade.menu.test\";i:40;s:31:\"tests/upgrade/upgrade.node.test\";i:41;s:35:\"tests/upgrade/upgrade.taxonomy.test\";i:42;s:34:\"tests/upgrade/upgrade.trigger.test\";i:43;s:39:\"tests/upgrade/upgrade.translatable.test\";i:44;s:33:\"tests/upgrade/upgrade.upload.test\";i:45;s:31:\"tests/upgrade/upgrade.user.test\";i:46;s:36:\"tests/upgrade/update.aggregator.test\";i:47;s:33:\"tests/upgrade/update.trigger.test\";i:48;s:31:\"tests/upgrade/update.field.test\";i:49;s:30:\"tests/upgrade/update.user.test\";}s:9:\"configure\";s:41:\"admin/config/development/testing/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/actions_loop_test.module','actions_loop_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Actions loop test\";s:11:\"description\";s:39:\"Support module for action loop testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_forms_test.module','ajax_forms_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"AJAX form test mock module\";s:11:\"description\";s:25:\"Test for AJAX form calls.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/ajax_test.module','ajax_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"AJAX Test\";s:11:\"description\";s:40:\"Support module for AJAX framework tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/batch_test.module','batch_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Batch API test\";s:11:\"description\";s:35:\"Support module for Batch API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_1.module','boot_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:39:\"A support module for hook_boot testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/boot_test_2.module','boot_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Early bootstrap tests\";s:11:\"description\";s:44:\"A support module for hook_boot hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test.module','common_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:11:\"Common Test\";s:11:\"description\";s:32:\"Support module for Common tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:15:\"common_test.css\";s:40:\"modules/simpletest/tests/common_test.css\";}s:5:\"print\";a:1:{s:21:\"common_test.print.css\";s:46:\"modules/simpletest/tests/common_test.print.css\";}}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/common_test_cron_helper.module','common_test_cron_helper','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Common Test Cron Helper\";s:11:\"description\";s:56:\"Helper module for CronRunTestCase::testCronExceptions().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/database_test.module','database_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Database Test\";s:11:\"description\";s:40:\"Support module for Database layer tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_autoload_test/drupal_autoload_test.module','drupal_autoload_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:25:\"Drupal code registry test\";s:11:\"description\";s:45:\"Support module for testing the code registry.\";s:5:\"files\";a:2:{i:0;s:34:\"drupal_autoload_test_interface.inc\";i:1;s:30:\"drupal_autoload_test_class.inc\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_compatible_test/drupal_system_listing_compatible_test.module','drupal_system_listing_compatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"Drupal system listing compatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/drupal_system_listing_incompatible_test/drupal_system_listing_incompatible_test.module','drupal_system_listing_incompatible_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"Drupal system listing incompatible test\";s:11:\"description\";s:62:\"Support module for testing the drupal_system_listing function.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test.module','entity_cache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:17:\"Entity cache test\";s:11:\"description\";s:40:\"Support module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:28:\"entity_cache_test_dependency\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_cache_test_dependency.module','entity_cache_test_dependency','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity cache test dependency\";s:11:\"description\";s:51:\"Support dependency module for testing entity cache.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_crud_hook_test.module','entity_crud_hook_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"Entity CRUD Hooks Test\";s:11:\"description\";s:35:\"Support module for CRUD hook tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/entity_query_access_test.module','entity_query_access_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Entity query access test\";s:11:\"description\";s:49:\"Support module for checking entity query results.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/error_test.module','error_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Error test\";s:11:\"description\";s:47:\"Support module for error and exception testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/file_test.module','file_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"File test\";s:11:\"description\";s:39:\"Support module for file handling tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"file_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/filter_test.module','filter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Filter test module\";s:11:\"description\";s:33:\"Tests filter hooks and functions.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/form_test.module','form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"FormAPI Test\";s:11:\"description\";s:34:\"Support module for Form API tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/image_test.module','image_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Image test\";s:11:\"description\";s:39:\"Support module for image toolkit tests.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/menu_test.module','menu_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook menu tests\";s:11:\"description\";s:37:\"Support module for menu hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/module_test.module','module_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Module test\";s:11:\"description\";s:41:\"Support module for module system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/path_test.module','path_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Hook path tests\";s:11:\"description\";s:37:\"Support module for path hook testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_0_test/psr_0_test.module','psr_0_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-0 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/psr_4_test/psr_4_test.module','psr_4_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"PSR-4 Test cases\";s:11:\"description\";s:44:\"Test classes to be discovered by simpletest.\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements1_test.module','requirements1_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 1 Test\";s:11:\"description\";s:80:\"Tests that a module is not installed when it fails hook_requirements(\'install\').\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/requirements2_test.module','requirements2_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:19:\"Requirements 2 Test\";s:11:\"description\";s:98:\"Tests that a module is not installed when the one it depends on fails hook_requirements(\'install).\";s:12:\"dependencies\";a:2:{i:0;s:18:\"requirements1_test\";i:1;s:7:\"comment\";}s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/session_test.module','session_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Session test\";s:11:\"description\";s:40:\"Support module for session data testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_dependencies_test.module','system_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"System dependency test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:19:\"_missing_dependency\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_dependencies_test.module','system_incompatible_core_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:50:\"System incompatible core version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:37:\"system_incompatible_core_version_test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_core_version_test.module','system_incompatible_core_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:37:\"System incompatible core version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"5.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_dependencies_test.module','system_incompatible_module_version_dependencies_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:52:\"System incompatible module version dependencies test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:46:\"system_incompatible_module_version_test (>2.0)\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_incompatible_module_version_test.module','system_incompatible_module_version_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:39:\"System incompatible module version test\";s:11:\"description\";s:47:\"Support module for testing system dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_project_namespace_test.module','system_project_namespace_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:29:\"System project namespace test\";s:11:\"description\";s:58:\"Support module for testing project namespace dependencies.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:13:\"drupal:filter\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/system_test.module','system_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"System test\";s:11:\"description\";s:34:\"Support module for system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:18:\"system_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/taxonomy_test.module','taxonomy_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Taxonomy test module\";s:11:\"description\";s:45:\"\"Tests functions and hooks not used in core\".\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/theme_test.module','theme_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Theme test\";s:11:\"description\";s:40:\"Support module for theme system testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_script_test.module','update_script_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Update script test\";s:11:\"description\";s:41:\"Support module for update script testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_1.module','update_test_1','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_2.module','update_test_2','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/update_test_3.module','update_test_3','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:34:\"Support module for update testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/url_alter_test.module','url_alter_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Url_alter tests\";s:11:\"description\";s:45:\"A support modules for url_alter hook testing.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/simpletest/tests/xmlrpc_test.module','xmlrpc_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"XML-RPC Test\";s:11:\"description\";s:75:\"Support module for XML-RPC tests according to the validator1 specification.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/statistics/statistics.module','statistics','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Statistics\";s:11:\"description\";s:37:\"Logs access statistics for your site.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"statistics.test\";}s:9:\"configure\";s:30:\"admin/config/system/statistics\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/syslog/syslog.module','syslog','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:6:\"Syslog\";s:11:\"description\";s:41:\"Logs and records system events to syslog.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"syslog.test\";}s:9:\"configure\";s:32:\"admin/config/development/logging\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/system.module','system','module','',1,1,7081,0,'a:14:{s:4:\"name\";s:6:\"System\";s:11:\"description\";s:54:\"Handles general site configuration for administrators.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:19:\"system.archiver.inc\";i:1;s:15:\"system.mail.inc\";i:2;s:16:\"system.queue.inc\";i:3;s:14:\"system.tar.inc\";i:4;s:18:\"system.updater.inc\";i:5;s:11:\"system.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/system\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/system/tests/cron_queue_test.module','cron_queue_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Cron Queue test\";s:11:\"description\";s:41:\"Support module for the cron queue runner.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/system/tests/system_cron_test.module','system_cron_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"System Cron Test\";s:11:\"description\";s:45:\"Support module for testing the system_cron().\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/taxonomy/taxonomy.module','taxonomy','module','',1,0,7011,0,'a:15:{s:4:\"name\";s:8:\"Taxonomy\";s:11:\"description\";s:38:\"Enables the categorization of content.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:7:\"options\";}s:5:\"files\";a:2:{i:0;s:15:\"taxonomy.module\";i:1;s:13:\"taxonomy.test\";}s:9:\"configure\";s:24:\"admin/structure/taxonomy\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('modules/toolbar/toolbar.module','toolbar','module','',0,0,0,0,'a:12:{s:4:\"name\";s:7:\"Toolbar\";s:11:\"description\";s:99:\"Provides a toolbar that shows the top-level administration menu items and links from other modules.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/tracker/tracker.module','tracker','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:7:\"Tracker\";s:11:\"description\";s:45:\"Enables tracking of recent content for users.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"comment\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"tracker.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/translation/tests/translation_test.module','translation_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Content Translation Test\";s:11:\"description\";s:49:\"Support module for the content translation tests.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/translation/translation.module','translation','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Content translation\";s:11:\"description\";s:57:\"Allows content to be translated into different languages.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"locale\";}s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:16:\"translation.test\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/trigger/tests/trigger_test.module','trigger_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"Trigger Test\";s:11:\"description\";s:33:\"Support module for Trigger tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/trigger/trigger.module','trigger','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:7:\"Trigger\";s:11:\"description\";s:90:\"Enables actions to be fired on certain system events, such as when new content is created.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:12:\"trigger.test\";}s:9:\"configure\";s:23:\"admin/structure/trigger\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/update/tests/aaa_update_test.module','aaa_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"AAA Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/bbb_update_test.module','bbb_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"BBB Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/ccc_update_test.module','ccc_update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"CCC Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:4:\"7.56\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/tests/update_test.module','update_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Update test\";s:11:\"description\";s:41:\"Support module for update module testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/update/update.module','update','module','',1,0,7001,0,'a:13:{s:4:\"name\";s:14:\"Update manager\";s:11:\"description\";s:104:\"Checks for available updates, and can securely install or update modules and themes via a web interface.\";s:7:\"version\";s:4:\"7.56\";s:7:\"package\";s:4:\"Core\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:11:\"update.test\";}s:9:\"configure\";s:30:\"admin/reports/updates/settings\";s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('modules/user/tests/user_form_test.module','user_form_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:22:\"User module form tests\";s:11:\"description\";s:37:\"Support module for user form testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('modules/user/user.module','user','module','',1,0,7019,0,'a:15:{s:4:\"name\";s:4:\"User\";s:11:\"description\";s:47:\"Manages the user registration and login system.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:11:\"user.module\";i:1;s:9:\"user.test\";}s:8:\"required\";b:1;s:9:\"configure\";s:19:\"admin/config/people\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:8:\"user.css\";s:21:\"modules/user/user.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('profiles/standard/standard.profile','standard','module','',1,0,0,1000,'a:15:{s:4:\"name\";s:8:\"Standard\";s:11:\"description\";s:51:\"Install with commonly used features pre-configured.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:21:{i:0;s:5:\"block\";i:1;s:5:\"color\";i:2;s:7:\"comment\";i:3;s:10:\"contextual\";i:4;s:9:\"dashboard\";i:5;s:4:\"help\";i:6;s:5:\"image\";i:7;s:4:\"list\";i:8;s:4:\"menu\";i:9;s:6:\"number\";i:10;s:7:\"options\";i:11;s:4:\"path\";i:12;s:8:\"taxonomy\";i:13;s:5:\"dblog\";i:14;s:6:\"search\";i:15;s:8:\"shortcut\";i:16;s:7:\"toolbar\";i:17;s:7:\"overlay\";i:18;s:8:\"field_ui\";i:19;s:4:\"file\";i:20;s:3:\"rdf\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:5:\"mtime\";i:1498069849;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;s:6:\"hidden\";b:1;s:8:\"required\";b:1;s:17:\"distribution_name\";s:6:\"Drupal\";}'),('sites/all/modules/addressfield/addressfield.module','addressfield','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Address Field\";s:11:\"description\";s:64:\"Manage a flexible address field, implementing the xNAL standard.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:3:{i:0;s:24:\"addressfield.migrate.inc\";i:1;s:50:\"views/addressfield_views_handler_field_country.inc\";i:2;s:51:\"views/addressfield_views_handler_filter_country.inc\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1421426885\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/addressfield/example/addressfield_example.module','addressfield_example','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Address Field Example\";s:11:\"description\";s:67:\"Example module for how to implement an addressfield format handler.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:12:\"addressfield\";}s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:12:\"addressfield\";s:9:\"datestamp\";s:10:\"1421426885\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_devel/admin_devel.module','admin_devel','module','',1,0,0,0,'a:13:{s:4:\"name\";s:32:\"Administration Development tools\";s:11:\"description\";s:76:\"Administration and debugging functionality for developers and site builders.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:7:\"scripts\";a:1:{s:14:\"admin_devel.js\";s:55:\"sites/all/modules/admin_menu/admin_devel/admin_devel.js\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu.module','admin_menu','module','',1,0,7304,100,'a:13:{s:4:\"name\";s:19:\"Administration menu\";s:11:\"description\";s:123:\"Provides a dropdown menu to most administrative tasks and other common destinations (to users with the proper permissions).\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:38:\"admin/config/administration/admin_menu\";s:12:\"dependencies\";a:1:{i:0;s:14:\"system (>7.10)\";}s:5:\"files\";a:1:{i:0;s:21:\"tests/admin_menu.test\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/admin_menu/admin_menu_toolbar/admin_menu_toolbar.module','admin_menu_toolbar','module','',1,0,6300,101,'a:12:{s:4:\"name\";s:33:\"Administration menu Toolbar style\";s:11:\"description\";s:17:\"A better Toolbar.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:10:\"admin_menu\";}s:7:\"version\";s:11:\"7.x-3.0-rc5\";s:7:\"project\";s:10:\"admin_menu\";s:9:\"datestamp\";s:10:\"1419029284\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean.module','bean','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:4:\"Bean\";s:11:\"description\";s:28:\"Create Bean (Block Entities)\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:12:{i:0;s:22:\"includes/bean.core.inc\";i:1;s:22:\"includes/bean.info.inc\";i:2;s:28:\"plugins/BeanPlugin.class.php\";i:3;s:29:\"plugins/BeanDefault.class.php\";i:4;s:37:\"includes/translation.handler.bean.inc\";i:5;s:36:\"includes/bean.inline_entity_form.inc\";i:6;s:40:\"views/views_handler_filter_bean_type.inc\";i:7;s:39:\"views/views_handler_field_bean_type.inc\";i:8;s:44:\"views/views_handler_field_bean_edit_link.inc\";i:9;s:46:\"views/views_handler_field_bean_delete_link.inc\";i:10;s:45:\"views/views_handler_field_bean_operations.inc\";i:11;s:9:\"bean.test\";}s:12:\"dependencies\";a:2:{i:0;s:18:\"entity (>=7.x-1.0)\";i:1;s:6:\"ctools\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_admin_ui/bean_admin_ui.module','bean_admin_ui','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Bean Admin UI\";s:11:\"description\";s:47:\"Add the ability to create Block Types in the UI\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"bean_admin_ui.module\";i:1;s:28:\"plugins/BeanCustom.class.php\";}s:12:\"dependencies\";a:1:{i:0;s:4:\"bean\";}s:9:\"configure\";s:27:\"admin/structure/block-types\";s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_all/bean_all.module','bean_all','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Bean All\";s:11:\"description\";s:32:\"Integrate all blocks with beans.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:15:\"plugins/all.inc\";}s:12:\"dependencies\";a:3:{i:0;s:4:\"bean\";i:1;s:5:\"block\";i:2;s:4:\"menu\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.8\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1412260740\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_entitycache/bean_entitycache.module','bean_entitycache','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Bean - Entitycache\";s:11:\"description\";s:54:\"Integrates the Bean module with the Entitycache module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:27:\"Performance and scalability\";s:5:\"files\";a:1:{i:0;s:34:\"includes/bean_entitycache.core.inc\";}s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:11:\"entitycache\";}s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_usage/bean_usage.module','bean_usage','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Bean Usage\";s:11:\"description\";s:32:\"View Bean (Block Entities) Usage\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:14:\"blockreference\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/bean_uuid/bean_uuid.module','bean_uuid','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"Bean UUID\";s:11:\"description\";s:60:\"Allow deploying bean blocks through Deploy and UUID modules.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"bean\";i:1;s:4:\"uuid\";}s:7:\"package\";s:4:\"Bean\";s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/bean/tests/bean_test.module','bean_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"Bean Test\";s:11:\"description\";s:29:\"Creates test plugins for bean\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"bean\";}s:5:\"files\";a:1:{i:0;s:16:\"bean_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:4:\"bean\";s:9:\"datestamp\";s:10:\"1425439382\";s:5:\"mtime\";i:1499939305;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/better_exposed_filters.module','better_exposed_filters','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Better Exposed Filters\";s:11:\"description\";s:70:\"Allow the use of checkboxes or radio buttons for exposed Views filters\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:46:\"better_exposed_filters_exposed_form_plugin.inc\";i:1;s:33:\"tests/better_exposed_filters.test\";}s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1427970378\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/better_exposed_filters/tests/bef_test_content/bef_test_content.module','bef_test_content','module','',0,0,-1,0,'a:15:{s:4:\"name\";s:16:\"BEF Test Content\";s:11:\"description\";s:53:\"Content and Views for testing Better Exposed Filters.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:9:\"BEF Tests\";s:3:\"php\";s:5:\"5.2.4\";s:12:\"dependencies\";a:9:{i:0;s:22:\"better_exposed_filters\";i:1;s:4:\"date\";i:2;s:8:\"features\";i:3;s:4:\"list\";i:4;s:6:\"number\";i:5;s:8:\"taxonomy\";i:6;s:4:\"text\";i:7;s:5:\"views\";i:8;s:13:\"views_content\";}s:8:\"features\";a:7:{s:6:\"ctools\";a:1:{i:0;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:10:\"field_base\";a:7:{i:0;s:19:\"field_bef_test_body\";i:1;s:19:\"field_bef_test_date\";i:2;s:22:\"field_bef_test_integer\";i:3;s:22:\"field_bef_test_letters\";i:4;s:23:\"field_bef_test_location\";i:5;s:22:\"field_bef_test_numbers\";i:6;s:20:\"field_bef_test_price\";}s:14:\"field_instance\";a:7:{i:0;s:33:\"node-bef_test-field_bef_test_body\";i:1;s:33:\"node-bef_test-field_bef_test_date\";i:2;s:36:\"node-bef_test-field_bef_test_integer\";i:3;s:36:\"node-bef_test-field_bef_test_letters\";i:4;s:37:\"node-bef_test-field_bef_test_location\";i:5;s:36:\"node-bef_test-field_bef_test_numbers\";i:6;s:34:\"node-bef_test-field_bef_test_price\";}s:4:\"node\";a:1:{i:0;s:8:\"bef_test\";}s:8:\"taxonomy\";a:1:{i:0;s:8:\"location\";}s:10:\"views_view\";a:1:{i:0;s:13:\"bef_test_view\";}}s:16:\"features_exclude\";a:2:{s:12:\"dependencies\";a:2:{s:6:\"ctools\";s:6:\"ctools\";s:7:\"options\";s:7:\"options\";}s:5:\"field\";a:7:{s:18:\"node-bef_test-body\";s:18:\"node-bef_test-body\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_letters\";s:27:\"node-bef_test-field_numbers\";s:27:\"node-bef_test-field_numbers\";s:28:\"node-bef_test-field_location\";s:28:\"node-bef_test-field_location\";s:27:\"node-bef_test-field_integer\";s:27:\"node-bef_test-field_integer\";s:25:\"node-bef_test-field_price\";s:25:\"node-bef_test-field_price\";s:24:\"node-bef_test-field_date\";s:24:\"node-bef_test-field_date\";}}s:6:\"hidden\";s:1:\"1\";s:7:\"version\";s:7:\"7.x-3.1\";s:7:\"project\";s:22:\"better_exposed_filters\";s:9:\"datestamp\";s:10:\"1427970378\";s:5:\"mtime\";i:1499939305;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/block_class/block_class.module','block_class','module','',1,0,7103,0,'a:13:{s:4:\"name\";s:11:\"Block Class\";s:11:\"description\";s:39:\"Allows assigning CSS classes to blocks.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"block\";}s:5:\"files\";a:1:{i:0;s:16:\"block_class.test\";}s:17:\"test_dependencies\";a:3:{i:0;s:7:\"context\";i:1;s:14:\"features (2.x)\";i:2;s:14:\"features_extra\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:5:\"mtime\";i:1450415951;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/block_class/tests/block_class_fe_block_test.module','block_class_fe_block_test','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:44:\"Block Class FE Block Integration Test Helper\";s:11:\"description\";s:99:\"Helper module for testing the integration of Block Class with Features through the FE Block module.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Features\";s:12:\"dependencies\";a:1:{i:0;s:8:\"fe_block\";}s:8:\"features\";a:2:{s:17:\"fe_block_settings\";a:1:{i:0;s:11:\"user-online\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:2\";}}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:11:\"block_class\";s:9:\"datestamp\";s:10:\"1450415951\";s:5:\"mtime\";i:1450415951;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ckeditor/ckeditor.module','ckeditor','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:8:\"CKEditor\";s:11:\"description\";s:76:\"Enables CKEditor (WYSIWYG HTML editor) for use instead of plain text fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"User interface\";s:9:\"configure\";s:29:\"admin/config/content/ckeditor\";s:7:\"version\";s:8:\"7.x-1.16\";s:7:\"project\";s:8:\"ckeditor\";s:9:\"datestamp\";s:10:\"1413311935\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/cloud_zoom/cloud_zoom.module','cloud_zoom','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Cloud Zoom\";s:11:\"description\";s:40:\"Cloud Zoom (Professor Cloud) integration\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"Cloud Zoom\";s:12:\"dependencies\";a:1:{i:0;s:5:\"image\";}s:5:\"files\";a:1:{i:0;s:17:\"cloud_zoom.module\";}s:7:\"version\";s:13:\"7.x-1.1+1-dev\";s:7:\"project\";s:10:\"cloud_zoom\";s:9:\"datestamp\";s:10:\"1380559092\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/colorbox/colorbox.module','colorbox','module','',1,0,7202,0,'a:13:{s:4:\"name\";s:8:\"Colorbox\";s:11:\"description\";s:63:\"A light-weight, customizable lightbox plugin for jQuery 1.4.3+.\";s:12:\"dependencies\";a:1:{i:0;s:17:\"libraries (>=2.x)\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:27:\"admin/config/media/colorbox\";s:5:\"files\";a:1:{i:0;s:41:\"views/colorbox_handler_field_colorbox.inc\";}s:7:\"version\";s:8:\"7.x-2.13\";s:7:\"project\";s:8:\"colorbox\";s:9:\"datestamp\";s:10:\"1491291489\";s:5:\"mtime\";i:1491291489;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/conditional_styles/conditional_styles.module','conditional_styles','module','',1,0,7201,0,'a:12:{s:4:\"name\";s:23:\"Conditional Stylesheets\";s:11:\"description\";s:45:\"Allows themes to add conditional stylesheets.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:26:\"conditional_styles.install\";i:1;s:25:\"conditional_styles.module\";i:2;s:29:\"tests/conditional_styles.test\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:18:\"conditional_styles\";s:9:\"datestamp\";s:10:\"1373559072\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/conditional_styles/tests/conditional_styles_test.module','conditional_styles_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:29:\"Conditional Stylesheets Tests\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:1:{i:0;s:18:\"conditional_styles\";}s:5:\"files\";a:1:{i:0;s:30:\"conditional_styles_test.module\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:18:\"conditional_styles\";s:9:\"datestamp\";s:10:\"1373559072\";s:5:\"mtime\";i:1499939305;s:11:\"description\";s:0:\"\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context.module','context','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:7:\"Context\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:11:\"description\";s:66:\"Provide modules with a cache that lasts for a single page request.\";s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:18:\"tests/context.test\";i:1;s:29:\"tests/context.conditions.test\";i:2;s:28:\"tests/context.reactions.test\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_layouts/context_layouts.module','context_layouts','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Context layouts\";s:11:\"description\";s:80:\"Allow theme layer to provide multiple region layouts and integrate with context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:42:\"plugins/context_layouts_reaction_block.inc\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context/context_ui/context_ui.module','context_ui','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Context UI\";s:11:\"description\";s:68:\"Provides a simple UI for settings up a site structure using Context.\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"package\";s:7:\"Context\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:23:\"admin/structure/context\";s:5:\"files\";a:2:{i:0;s:14:\"context.module\";i:1;s:21:\"tests/context_ui.test\";}s:7:\"version\";s:7:\"7.x-3.6\";s:7:\"project\";s:7:\"context\";s:9:\"datestamp\";s:10:\"1420573188\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/context_mobile_detect/context_mobile_detect.module','context_mobile_detect','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Context Mobile Detect\";s:11:\"description\";s:55:\"Context condition detecting if user uses mobile device.\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"package\";s:7:\"Context\";s:12:\"dependencies\";a:1:{i:0;s:7:\"context\";}s:7:\"project\";s:21:\"context_mobile_detect\";s:9:\"datestamp\";s:10:\"1352148656\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/countries.module','countries','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:9:\"Countries\";s:11:\"description\";s:113:\"A module that provides a FAPI / Field country element and a simple wrapper module to store / update country data.\";s:7:\"package\";s:6:\"Fields\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:6:{i:0;s:50:\"views/views_handler_argument_countries_country.inc\";i:1;s:49:\"views/views_handler_field_countries_continent.inc\";i:2;s:56:\"views/views_handler_filter_countries_continents_list.inc\";i:3;s:45:\"views/views_handler_filter_countries_list.inc\";i:4;s:21:\"countries.migrate.inc\";i:5;s:20:\"tests/countries.test\";}s:9:\"configure\";s:31:\"admin/config/regional/countries\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:10:\"recommends\";a:1:{i:0;s:12:\"countryicons\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/modules/countries_configuration/countries_configuration.module','countries_configuration','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:23:\"Countries configuration\";s:11:\"description\";s:71:\"A configuration utility module to assist storing country specific data.\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-2.3\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/modules/countries_example/countries_example.module','countries_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Countries Example\";s:11:\"description\";s:24:\"Countries example module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:15:\"Example modules\";s:12:\"dependencies\";a:1:{i:0;s:9:\"countries\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/countries/modules/countries_i18n/countries_i18n.module','countries_i18n','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Countries translation\";s:11:\"description\";s:25:\"Translation of countries.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:12:\"dependencies\";a:2:{i:0;s:9:\"countries\";i:1;s:11:\"i18n_string\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"countries\";s:9:\"datestamp\";s:10:\"1409450929\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/bulk_export/bulk_export.module','bulk_export','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Bulk Export\";s:11:\"description\";s:67:\"Performs bulk exporting of data objects known about by Chaos tools.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools.module','ctools','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:11:\"Chaos tools\";s:11:\"description\";s:46:\"A library of helpful tools by Merlin of Chaos.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:5:\"files\";a:11:{i:0;s:20:\"includes/context.inc\";i:1;s:22:\"includes/css-cache.inc\";i:2;s:22:\"includes/math-expr.inc\";i:3;s:21:\"includes/stylizer.inc\";i:4;s:18:\"tests/context.test\";i:5;s:14:\"tests/css.test\";i:6;s:20:\"tests/css_cache.test\";i:7;s:25:\"tests/ctools.plugins.test\";i:8;s:26:\"tests/math_expression.test\";i:9;s:32:\"tests/math_expression_stack.test\";i:10;s:23:\"tests/object_cache.test\";}s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_access_ruleset/ctools_access_ruleset.module','ctools_access_ruleset','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Custom rulesets\";s:11:\"description\";s:81:\"Create custom, exportable, reusable access rulesets for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_ajax_sample/ctools_ajax_sample.module','ctools_ajax_sample','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Chaos Tools (CTools) AJAX Example\";s:11:\"description\";s:41:\"Shows how to use the power of Chaos AJAX.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_custom_content/ctools_custom_content.module','ctools_custom_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Custom content panes\";s:11:\"description\";s:79:\"Create custom, exportable, reusable content panes for applications like Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/ctools_plugin_example/ctools_plugin_example.module','ctools_plugin_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:35:\"Chaos Tools (CTools) Plugin Example\";s:11:\"description\";s:75:\"Shows how an external module can provide ctools plugins (for Panels, etc.).\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:4:{i:0;s:6:\"ctools\";i:1;s:6:\"panels\";i:2;s:12:\"page_manager\";i:3;s:13:\"advanced_help\";}s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/page_manager/page_manager.module','page_manager','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Page manager\";s:11:\"description\";s:54:\"Provides a UI and API to manage pages within the site.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/stylizer/stylizer.module','stylizer','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Stylizer\";s:11:\"description\";s:53:\"Create custom styles for applications such as Panels.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"color\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/term_depth/term_depth.module','term_depth','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Term Depth access\";s:11:\"description\";s:48:\"Controls access to context based upon term depth\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_export_test/ctools_export_test.module','ctools_export_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"CTools export test\";s:11:\"description\";s:25:\"CTools export test module\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:6:\"hidden\";b:1;s:5:\"files\";a:1:{i:0;s:18:\"ctools_export.test\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/tests/ctools_plugin_test.module','ctools_plugin_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:24:\"Chaos tools plugins test\";s:11:\"description\";s:42:\"Provides hooks for testing ctools plugins.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:7:\"version\";s:8:\"7.x-1.12\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:6:{i:0;s:19:\"ctools.plugins.test\";i:1;s:17:\"object_cache.test\";i:2;s:8:\"css.test\";i:3;s:12:\"context.test\";i:4;s:20:\"math_expression.test\";i:5;s:26:\"math_expression_stack.test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/ctools/views_content/views_content.module','views_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:19:\"Views content panes\";s:11:\"description\";s:104:\"Allows Views content to be used in Panels, Dashboard and other modules which use the CTools Content API.\";s:7:\"package\";s:16:\"Chaos tool suite\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:8:\"7.x-1.12\";s:5:\"files\";a:3:{i:0;s:61:\"plugins/views/views_content_plugin_display_ctools_context.inc\";i:1;s:57:\"plugins/views/views_content_plugin_display_panel_pane.inc\";i:2;s:59:\"plugins/views/views_content_plugin_style_ctools_context.inc\";}s:7:\"project\";s:6:\"ctools\";s:9:\"datestamp\";s:10:\"1479787162\";s:5:\"mtime\";i:1479787162;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs.module','custom_breadcrumbs','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"Custom breadcrumbs\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:11:\"description\";s:72:\"Allows administrators to define custom breadcrumb trails for node types.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:4:{i:0;s:28:\"custom_breadcrumbs.admin.inc\";i:1;s:26:\"custom_breadcrumbs.install\";i:2;s:25:\"custom_breadcrumbs.module\";i:3;s:29:\"custom_breadcrumbs_common.inc\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbsapi/custom_breadcrumbsapi.module','custom_breadcrumbsapi','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Custom breadcrumbs API\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:12:\"dependencies\";a:1:{i:0;s:18:\"custom_breadcrumbs\";}s:11:\"description\";s:107:\"Provides a simple API to set breadcrumbs on module pages not served by other custom breadcrumbs submodules.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:29:\"custom_breadcrumbsapi.install\";i:1;s:28:\"custom_breadcrumbsapi.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs_identifiers/custom_breadcrumbs_identifiers.module','custom_breadcrumbs_identifiers','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:30:\"Custom breadcrumbs identifiers\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:11:\"description\";s:52:\"Provides special identifiers for custom breadcrumbs.\";s:12:\"dependencies\";a:1:{i:0;s:18:\"custom_breadcrumbs\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:1:{i:0;s:37:\"custom_breadcrumbs_identifiers.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs_panels/custom_breadcrumbs_panels.module','custom_breadcrumbs_panels','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:29:\"Custom breadcrumbs for panels\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:12:\"dependencies\";a:4:{i:0;s:18:\"custom_breadcrumbs\";i:1;s:6:\"panels\";i:2;s:6:\"ctools\";i:3;s:12:\"page_manager\";}s:11:\"description\";s:45:\"Provides custom breadcrumbs for panels pages.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:2:{i:0;s:33:\"custom_breadcrumbs_panels.install\";i:1;s:32:\"custom_breadcrumbs_panels.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs_paths/custom_breadcrumbs_paths.module','custom_breadcrumbs_paths','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Custom breadcrumbs for paths\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:12:\"dependencies\";a:1:{i:0;s:18:\"custom_breadcrumbs\";}s:11:\"description\";s:47:\"Provides custom breadcrumbs for specific paths.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:2:{i:0;s:32:\"custom_breadcrumbs_paths.install\";i:1;s:31:\"custom_breadcrumbs_paths.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs_taxonomy/custom_breadcrumbs_taxonomy.module','custom_breadcrumbs_taxonomy','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:31:\"Custom breadcrumbs for taxonomy\";s:11:\"description\";s:89:\"Enables taxonomy based breadcrumbs and allows for node assosciations with taxonomy terms.\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:12:\"dependencies\";a:2:{i:0;s:18:\"custom_breadcrumbs\";i:1;s:8:\"taxonomy\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:4:{i:0;s:37:\"custom_breadcrumbs_taxonomy.admin.inc\";i:1;s:31:\"custom_breadcrumbs_taxonomy.inc\";i:2;s:35:\"custom_breadcrumbs_taxonomy.install\";i:3;s:34:\"custom_breadcrumbs_taxonomy.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/custom_breadcrumbs/custom_breadcrumbs_views/custom_breadcrumbs_views.module','custom_breadcrumbs_views','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Custom breadcrumbs for views\";s:7:\"package\";s:18:\"Custom breadcrumbs\";s:12:\"dependencies\";a:2:{i:0;s:18:\"custom_breadcrumbs\";i:1;s:5:\"views\";}s:11:\"description\";s:44:\"Provides custom breadcrumbs for views pages.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:46:\"admin/config/user-interface/custom-breadcrumbs\";s:5:\"files\";a:2:{i:0;s:32:\"custom_breadcrumbs_views.install\";i:1;s:31:\"custom_breadcrumbs_views.module\";}s:7:\"version\";s:13:\"7.x-2.0-beta1\";s:7:\"project\";s:18:\"custom_breadcrumbs\";s:9:\"datestamp\";s:10:\"1410287363\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/entity.module','entity','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:10:\"Entity API\";s:11:\"description\";s:69:\"Enables modules to work with any entity type and to provide entities.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:24:{i:0;s:19:\"entity.features.inc\";i:1;s:15:\"entity.i18n.inc\";i:2;s:15:\"entity.info.inc\";i:3;s:16:\"entity.rules.inc\";i:4;s:11:\"entity.test\";i:5;s:19:\"includes/entity.inc\";i:6;s:30:\"includes/entity.controller.inc\";i:7;s:22:\"includes/entity.ui.inc\";i:8;s:27:\"includes/entity.wrapper.inc\";i:9;s:22:\"views/entity.views.inc\";i:10;s:52:\"views/handlers/entity_views_field_handler_helper.inc\";i:11;s:51:\"views/handlers/entity_views_handler_area_entity.inc\";i:12;s:53:\"views/handlers/entity_views_handler_field_boolean.inc\";i:13;s:50:\"views/handlers/entity_views_handler_field_date.inc\";i:14;s:54:\"views/handlers/entity_views_handler_field_duration.inc\";i:15;s:52:\"views/handlers/entity_views_handler_field_entity.inc\";i:16;s:51:\"views/handlers/entity_views_handler_field_field.inc\";i:17;s:53:\"views/handlers/entity_views_handler_field_numeric.inc\";i:18;s:53:\"views/handlers/entity_views_handler_field_options.inc\";i:19;s:50:\"views/handlers/entity_views_handler_field_text.inc\";i:20;s:49:\"views/handlers/entity_views_handler_field_uri.inc\";i:21;s:62:\"views/handlers/entity_views_handler_relationship_by_bundle.inc\";i:22;s:52:\"views/handlers/entity_views_handler_relationship.inc\";i:23;s:53:\"views/plugins/entity_views_plugin_row_entity_view.inc\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/entity_token.module','entity_token','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Entity tokens\";s:11:\"description\";s:99:\"Provides token replacements for all properties that have no tokens and are known to the entity API.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:23:\"entity_token.tokens.inc\";i:1;s:19:\"entity_token.module\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499939305;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_feature.module','entity_feature','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Entity feature module\";s:11:\"description\";s:31:\"Provides some entities in code.\";s:7:\"version\";s:7:\"7.x-1.6\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:21:\"entity_feature.module\";}s:12:\"dependencies\";a:1:{i:0;s:11:\"entity_test\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499939305;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test.module','entity_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:23:\"Entity CRUD test module\";s:11:\"description\";s:46:\"Provides entity types based upon the CRUD API.\";s:7:\"version\";s:7:\"7.x-1.6\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:18:\"entity_test.module\";i:1;s:19:\"entity_test.install\";}s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:6:\"hidden\";b:1;s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499939305;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entity/tests/entity_test_i18n.module','entity_test_i18n','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Entity-test type translation\";s:11:\"description\";s:37:\"Allows translating entity-test types.\";s:12:\"dependencies\";a:2:{i:0;s:11:\"entity_test\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:6:\"entity\";s:9:\"datestamp\";s:10:\"1424876582\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/entityreference.module','entityreference','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Entity Reference\";s:11:\"description\";s:51:\"Provides a field that can reference other entities.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:6:\"ctools\";}s:5:\"files\";a:11:{i:0;s:27:\"entityreference.migrate.inc\";i:1;s:30:\"plugins/selection/abstract.inc\";i:2;s:27:\"plugins/selection/views.inc\";i:3;s:29:\"plugins/behavior/abstract.inc\";i:4;s:40:\"views/entityreference_plugin_display.inc\";i:5;s:38:\"views/entityreference_plugin_style.inc\";i:6;s:43:\"views/entityreference_plugin_row_fields.inc\";i:7;s:35:\"tests/entityreference.handlers.test\";i:8;s:35:\"tests/entityreference.taxonomy.test\";i:9;s:32:\"tests/entityreference.admin.test\";i:10;s:32:\"tests/entityreference.feeds.test\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/examples/entityreference_behavior_example/entityreference_behavior_example.module','entityreference_behavior_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:33:\"Entity Reference Behavior Example\";s:11:\"description\";s:71:\"Provides some example code for implementing Entity Reference behaviors.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:1:{i:0;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/entityreference/tests/modules/entityreference_feeds_test/entityreference_feeds_test.module','entityreference_feeds_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:41:\"Entityreference - Feeds integration tests\";s:11:\"description\";s:65:\"Support module for the Entityreference - Feeds integration tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:3:{i:0;s:5:\"feeds\";i:1;s:8:\"feeds_ui\";i:2;s:15:\"entityreference\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:15:\"entityreference\";s:9:\"datestamp\";s:10:\"1384973110\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/exclude_node_title/exclude_node_title.module','exclude_node_title','module','',1,0,7100,0,'a:13:{s:4:\"name\";s:18:\"Exclude node title\";s:11:\"description\";s:153:\"Excludes a node title from display. It provides a checkbox on node-edit pages for easier exclusion. You can also exclude title display from teaser pages.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Other\";s:9:\"configure\";s:39:\"admin/config/content/exclude_node_title\";s:5:\"files\";a:3:{i:0;s:23:\"exclude_node_title.info\";i:1;s:25:\"exclude_node_title.module\";i:2;s:28:\"exclude_node_title.admin.inc\";}s:7:\"version\";s:7:\"7.x-1.9\";s:7:\"project\";s:18:\"exclude_node_title\";s:9:\"datestamp\";s:10:\"1435338184\";s:5:\"mtime\";i:1435338184;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/faq/faq.module','faq','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:26:\"Frequently Asked Questions\";s:11:\"description\";s:50:\"Manages configuration of questions for a FAQ page.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:18:{i:0;s:13:\"faq.admin.inc\";i:1;s:11:\"faq.install\";i:2;s:10:\"faq.module\";i:3;s:8:\"faq.test\";i:4;s:41:\"includes/faq-category-hide-answer.tpl.php\";i:5;s:38:\"includes/faq-category-new-page.tpl.php\";i:6;s:46:\"includes/faq-category-questions-inline.tpl.php\";i:7;s:51:\"includes/faq-category-questions-top-answers.tpl.php\";i:8;s:43:\"includes/faq-category-questions-top.tpl.php\";i:9;s:32:\"includes/faq-hide-answer.tpl.php\";i:10;s:29:\"includes/faq-new-page.tpl.php\";i:11;s:37:\"includes/faq-questions-inline.tpl.php\";i:12;s:34:\"includes/faq-questions-top.tpl.php\";i:13;s:28:\"includes/faq.hide_answer.inc\";i:14;s:25:\"includes/faq.new_page.inc\";i:15;s:33:\"includes/faq.questions_inline.inc\";i:16;s:30:\"includes/faq.questions_top.inc\";i:17;s:19:\"views/faq.views.inc\";}s:9:\"configure\";s:24:\"admin/config/content/faq\";s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:3:\"faq\";s:9:\"datestamp\";s:10:\"1415528891\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_collection/field_collection.module','field_collection','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Field collection\";s:11:\"description\";s:81:\"Provides a field collection field, to which any number of fields can be attached.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:5:\"files\";a:4:{i:0;s:21:\"field_collection.test\";i:1;s:25:\"field_collection.info.inc\";i:2;s:47:\"views/field_collection_handler_relationship.inc\";i:3;s:28:\"field_collection.migrate.inc\";}s:9:\"configure\";s:33:\"admin/structure/field-collections\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:13:\"7.x-1.0-beta8\";s:7:\"project\";s:16:\"field_collection\";s:9:\"datestamp\";s:10:\"1415122384\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_collection_table/field_collection_table.module','field_collection_table','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"Field Collection Table\";s:11:\"description\";s:44:\"Provides a field-collection table formatter.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:16:\"field_collection\";}s:7:\"version\";s:13:\"7.x-1.0-beta2\";s:7:\"project\";s:22:\"field_collection_table\";s:9:\"datestamp\";s:10:\"1426689182\";s:5:\"mtime\";i:1499939305;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_formatter_class/field_formatter_class.module','field_formatter_class','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Field Formatter Class\";s:11:\"description\";s:48:\"Allows custom HTML classes for field formatters.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:24:\"field_formatter_settings\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:21:\"field_formatter_class\";s:9:\"datestamp\";s:10:\"1361374877\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_formatter_settings/field_formatter_settings.module','field_formatter_settings','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:28:\"Field formatter settings API\";s:11:\"description\";s:71:\"Provides missing alter hooks for field formatter settings and summaries\";s:4:\"core\";s:3:\"7.x\";s:8:\"enhances\";a:2:{i:0;s:8:\"field_ui\";i:1;s:8:\"views_ui\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:24:\"field_formatter_settings\";s:9:\"datestamp\";s:10:\"1378741903\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_group/field_group.module','field_group','module','',1,0,7008,1,'a:12:{s:4:\"name\";s:11:\"Field Group\";s:11:\"description\";s:67:\"Provides the ability to group your fields on both form and display.\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:6:\"ctools\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:25:\"tests/field_group.ui.test\";i:1;s:30:\"tests/field_group.display.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:5:\"mtime\";i:1452033709;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_group/tests/field_group_test.module','field_group_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Field Group Test\";s:11:\"description\";s:27:\"Test module for Field Group\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:11:\"field_group\";s:9:\"datestamp\";s:10:\"1452033709\";s:5:\"mtime\";i:1452033709;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/field_slideshow/field_slideshow.module','field_slideshow','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Field Slideshow\";s:11:\"description\";s:65:\"Provides a Slideshow format for displaying Image or Media fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:9:\"libraries\";}s:5:\"files\";a:1:{i:0;s:22:\"field_slideshow.module\";}s:7:\"version\";s:8:\"7.x-1.82\";s:7:\"project\";s:15:\"field_slideshow\";s:9:\"datestamp\";s:10:\"1363270823\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider.module','flexslider','module','',1,0,7203,0,'a:13:{s:4:\"name\";s:10:\"FlexSlider\";s:11:\"description\";s:46:\"Integrate the FlexSlider 2 library with Drupal\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:3:{i:0;s:17:\"libraries (>=2.x)\";i:1;s:6:\"ctools\";i:2;s:5:\"image\";}s:5:\"files\";a:2:{i:0;s:26:\"theme/flexslider.theme.inc\";i:1;s:15:\"flexslider.test\";}s:9:\"configure\";s:29:\"admin/config/media/flexslider\";s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_example/flexslider_example.module','flexslider_example','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:18:\"FlexSlider Example\";s:11:\"description\";s:35:\"Sample implementation of FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:3:\"php\";s:5:\"5.2.4\";s:12:\"dependencies\";a:9:{i:0;s:7:\"context\";i:1;s:8:\"features\";i:2;s:10:\"flexslider\";i:3;s:17:\"flexslider_fields\";i:4;s:16:\"flexslider_views\";i:5;s:5:\"image\";i:6;s:4:\"menu\";i:7;s:9:\"strongarm\";i:8;s:5:\"views\";}s:8:\"features\";a:9:{s:7:\"context\";a:1:{i:0;s:28:\"flexslider_example_thumbnail\";}s:6:\"ctools\";a:4:{i:0;s:17:\"context:context:3\";i:1;s:38:\"flexslider:flexslider_default_preset:1\";i:2;s:21:\"strongarm:strongarm:1\";i:3;s:23:\"views:views_default:3.0\";}s:12:\"features_api\";a:1:{i:0;s:5:\"api:1\";}s:5:\"field\";a:2:{i:0;s:54:\"node-flexslider_example-field_flexslider_example_image\";i:1;s:56:\"node-flexslider_example-field_flexslider_example_slidesh\";}s:20:\"flexslider_optionset\";a:6:{i:0;s:43:\"flexslider_carousel_with_min_and_max_ranges\";i:1;s:33:\"flexslider_default_basic_carousel\";i:2;s:46:\"flexslider_default_slider_thumbnail_controlnav\";i:3;s:44:\"flexslider_default_slider_w_thumbnail_slider\";i:4;s:37:\"flexslider_default_thumbnail_captions\";i:5;s:35:\"flexslider_default_thumbnail_slider\";}s:11:\"menu_custom\";a:1:{i:0;s:23:\"menu-flexslider-example\";}s:4:\"node\";a:1:{i:0;s:18:\"flexslider_example\";}s:8:\"variable\";a:1:{i:0;s:46:\"field_bundle_settings_node__flexslider_example\";}s:10:\"views_view\";a:1:{i:0;s:24:\"flexslider_views_example\";}}s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_fields/flexslider_fields.module','flexslider_fields','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"FlexSlider Fields\";s:11:\"description\";s:44:\"Adds a display mode in Fields for FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:1:{i:0;s:10:\"flexslider\";}s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/flexslider/flexslider_views/flexslider_views.module','flexslider_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:22:\"FlexSlider Views Style\";s:11:\"description\";s:40:\"Adds a Views style plugin for FlexSlider\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:10:\"FlexSlider\";s:12:\"dependencies\";a:2:{i:0;s:5:\"views\";i:1;s:10:\"flexslider\";}s:5:\"files\";a:3:{i:0;s:23:\"flexslider_views.module\";i:1;s:26:\"flexslider_views.views.inc\";i:2;s:44:\"flexslider_views_plugin_style_flexslider.inc\";}s:7:\"version\";s:11:\"7.x-2.0-rc2\";s:7:\"project\";s:10:\"flexslider\";s:9:\"datestamp\";s:10:\"1487028488\";s:5:\"mtime\";i:1487028488;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/galleryformatter/galleryformatter.module','galleryformatter','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Gallery Formatter\";s:11:\"description\";s:54:\"Provides a jquery gallery CCK formatter for imagefield\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:4:\"file\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"User interface\";s:5:\"files\";a:5:{i:0;s:24:\"galleryformatter.install\";i:1;s:23:\"galleryformatter.module\";i:2;s:35:\"includes/galleryformatter.theme.inc\";i:3;s:40:\"includes/galleryformatter_imagecache.inc\";i:4;s:30:\"theme/galleryformatter.tpl.php\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:16:\"galleryformatter\";s:9:\"datestamp\";s:10:\"1442600640\";s:5:\"mtime\";i:1442600640;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/icon/icon.module','icon','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:8:\"Icon API\";s:11:\"description\";s:105:\"Implements an API for icon providers and an administrative UI for integrating icons through out the site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Icon API\";s:9:\"configure\";s:23:\"admin/config/media/icon\";s:5:\"files\";a:3:{i:0;s:12:\"icon.install\";i:1;s:11:\"icon.module\";i:2;s:14:\"icon.admin.inc\";}s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/icon/modules/icon_block/icon_block.module','icon_block','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Icon API: Block\";s:11:\"description\";s:38:\"Provides icon integration with blocks.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Icon API\";s:5:\"files\";a:2:{i:0;s:18:\"icon_block.install\";i:1;s:17:\"icon_block.module\";}s:12:\"dependencies\";a:2:{i:0;s:5:\"block\";i:1;s:4:\"icon\";}s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/icon/modules/icon_field/icon_field.module','icon_field','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Icon API: Field\";s:11:\"description\";s:61:\"Provides a field for attaching an icon to a fieldable entity.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Icon API\";s:12:\"dependencies\";a:2:{i:0;s:5:\"field\";i:1;s:4:\"icon\";}s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/icon/modules/icon_filter/icon_filter.module','icon_filter','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Icon API: Filter\";s:11:\"description\";s:76:\"Provides a filter for text fields to replace an icon token with icon markup.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Icon API\";s:12:\"dependencies\";a:2:{i:0;s:6:\"filter\";i:1;s:4:\"icon\";}s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/icon/modules/icon_menu/icon_menu.module','icon_menu','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Icon API: Menu\";s:11:\"description\";s:42:\"Provides icon integration with menu items.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:8:\"Icon API\";s:5:\"files\";a:2:{i:0;s:17:\"icon_menu.install\";i:1;s:16:\"icon_menu.module\";}s:12:\"dependencies\";a:2:{i:0;s:4:\"icon\";i:1;s:4:\"menu\";}s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:4:\"icon\";s:9:\"datestamp\";s:10:\"1392643705\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/image_delta_formatter/image_delta_formatter.module','image_delta_formatter','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Image Delta Formatter\";s:11:\"description\";s:79:\"Provides a formatter that displays a specific delta of a multivalue imagefield.\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:7:\"project\";s:21:\"image_delta_formatter\";s:9:\"datestamp\";s:10:\"1355927255\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/image_link_formatter/image_link_formatter.module','image_link_formatter','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Image Link Formatter\";s:11:\"description\";s:181:\"Provides an additional formatter for image core field, to be combined with contributed Link field module, to allow display of custom links with custom properties on the image field.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:4:\"link\";i:1;s:5:\"image\";}s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:7:\"7.x-1.0\";s:7:\"project\";s:20:\"image_link_formatter\";s:9:\"datestamp\";s:10:\"1355914053\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/inline_entity_form/inline_entity_form.module','inline_entity_form','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:18:\"Inline Entity Form\";s:11:\"description\";s:98:\"Provides a widget for inline management (creation, modification, removal) of referenced entities. \";s:7:\"package\";s:6:\"Fields\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:14:\"system (>7.14)\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:38:\"includes/entity.inline_entity_form.inc\";i:1;s:36:\"includes/node.inline_entity_form.inc\";i:2;s:45:\"includes/taxonomy_term.inline_entity_form.inc\";i:3;s:48:\"includes/commerce_product.inline_entity_form.inc\";i:4;s:50:\"includes/commerce_line_item.inline_entity_form.inc\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:18:\"inline_entity_form\";s:9:\"datestamp\";s:10:\"1389971831\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jcarousel/jcarousel.module','jcarousel','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"jCarousel\";s:11:\"description\";s:38:\"Create jQuery-based carousel rotators.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:16:\"jcarousel.module\";i:1;s:28:\"includes/jcarousel.views.inc\";i:2;s:35:\"includes/jcarousel_style_plugin.inc\";}s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:9:\"jcarousel\";s:9:\"datestamp\";s:10:\"1420460282\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/jquery_update/jquery_update.module','jquery_update','module','',1,0,7000,0,'a:13:{s:4:\"name\";s:13:\"jQuery Update\";s:11:\"description\";s:53:\"Update jQuery and jQuery UI to a more recent version.\";s:7:\"package\";s:14:\"User interface\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"jquery_update.module\";i:1;s:21:\"jquery_update.install\";}s:9:\"configure\";s:38:\"admin/config/development/jquery_update\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:13:\"jquery_update\";s:9:\"datestamp\";s:10:\"1445379855\";s:5:\"mtime\";i:1445379855;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/juicebox/juicebox.module','juicebox','module','',1,0,7201,0,'a:14:{s:4:\"name\";s:8:\"Juicebox\";s:11:\"description\";s:89:\"Provides an integration between the Juicebox HTML5 responsive gallery library and Drupal.\";s:7:\"package\";s:5:\"Media\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"image\";i:1;s:16:\"libraries (>1.0)\";}s:9:\"configure\";s:27:\"admin/config/media/juicebox\";s:5:\"files\";a:17:{i:0;s:37:\"includes/JuiceboxGalleryInterface.inc\";i:1;s:28:\"includes/JuiceboxGallery.inc\";i:2;s:37:\"includes/JuiceboxGalleryDecorator.inc\";i:3;s:43:\"includes/JuiceboxGalleryDrupalInterface.inc\";i:4;s:34:\"includes/JuiceboxGalleryDrupal.inc\";i:5;s:32:\"plugins/JuiceboxXmlInterface.inc\";i:6;s:28:\"plugins/JuiceboxXmlField.inc\";i:7;s:33:\"plugins/JuiceboxXmlViewsStyle.inc\";i:8;s:39:\"plugins/JuiceboxFormatterViewsStyle.inc\";i:9;s:27:\"tests/JuiceboxBaseCase.test\";i:10;s:37:\"tests/JuiceboxFieldFormatterCase.test\";i:11;s:27:\"tests/JuiceboxFileCase.test\";i:12;s:33:\"tests/JuiceboxFileEntityCase.test\";i:13;s:27:\"tests/JuiceboxConfCase.test\";i:14;s:33:\"tests/JuiceboxConfGlobalCase.test\";i:15;s:28:\"tests/JuiceboxViewsCase.test\";i:16;s:33:\"tests/JuiceboxSubRequestCase.test\";}s:17:\"test_dependencies\";a:2:{i:0;s:5:\"views\";i:1;s:11:\"file_entity\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:8:\"juicebox\";s:9:\"datestamp\";s:10:\"1441853641\";s:5:\"mtime\";i:1441853641;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/juicebox/tests/views/juicebox_views_test.module','juicebox_views_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:20:\"Juicebox Views Tests\";s:11:\"description\";s:69:\"Provides hook implementations for testing Juicebox views integration.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:8:\"juicebox\";i:1;s:5:\"views\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:8:\"juicebox\";s:9:\"datestamp\";s:10:\"1441853641\";s:5:\"mtime\";i:1441853641;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/libraries.module','libraries','module','',1,0,7201,0,'a:12:{s:4:\"name\";s:9:\"Libraries\";s:11:\"description\";s:64:\"Allows version-dependent and shared usage of external libraries.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:15:\"system (>=7.11)\";}s:5:\"files\";a:4:{i:0;s:32:\"tests/LibrariesAdminWebTest.test\";i:1;s:31:\"tests/LibrariesLoadWebTest.test\";i:2;s:28:\"tests/LibrariesUnitTest.test\";i:3;s:31:\"tests/LibrariesWebTestBase.test\";}s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:5:\"mtime\";i:1463077450;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/libraries/tests/modules/libraries_test_module/libraries_test_module.module','libraries_test_module','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Libraries test module\";s:11:\"description\";s:36:\"Tests library detection and loading.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:12:\"dependencies\";a:1:{i:0;s:9:\"libraries\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.3\";s:7:\"project\";s:9:\"libraries\";s:9:\"datestamp\";s:10:\"1463077450\";s:5:\"mtime\";i:1463077450;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/link/link.module','link','module','',1,0,7001,0,'a:14:{s:4:\"name\";s:4:\"Link\";s:11:\"description\";s:32:\"Defines simple link field types.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:5:\"files\";a:11:{i:0;s:11:\"link.module\";i:1;s:16:\"link.migrate.inc\";i:2;s:15:\"tests/link.test\";i:3;s:25:\"tests/link.attribute.test\";i:4;s:20:\"tests/link.crud.test\";i:5;s:28:\"tests/link.crud_browser.test\";i:6;s:21:\"tests/link.token.test\";i:7;s:28:\"tests/link.entity_token.test\";i:8;s:24:\"tests/link.validate.test\";i:9;s:44:\"views/link_views_handler_argument_target.inc\";i:10;s:44:\"views/link_views_handler_filter_protocol.inc\";}s:7:\"version\";s:7:\"7.x-1.4\";s:7:\"project\";s:4:\"link\";s:9:\"datestamp\";s:10:\"1452830642\";s:5:\"mtime\";i:1452830642;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;s:8:\"required\";b:1;s:11:\"explanation\";s:73:\"Field type(s) in use - see <a href=\"/admin/reports/fields\">Field list</a>\";}'),('sites/all/modules/megamenus/megamenus.module','megamenus','module','',0,0,-1,0,'a:11:{s:4:\"name\";s:9:\"Megamenus\";s:11:\"description\";s:25:\"Menu solutions for Drupal\";s:7:\"package\";s:9:\"megamenus\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:13:\"megamenus.inc\";i:1;s:20:\"megamenus.themes.inc\";i:2;s:18:\"megamenus.ajax.inc\";i:3;s:19:\"megamenus.admin.inc\";i:4;s:16:\"megamenus.module\";}s:9:\"configure\";s:25:\"admin/structure/megamenus\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache.module','memcache','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Memcache\";s:11:\"description\";s:43:\"High performance integration with memcache.\";s:7:\"package\";s:27:\"Performance and scalability\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:12:\"memcache.inc\";i:1;s:19:\"tests/memcache.test\";i:2;s:27:\"tests/memcache-session.test\";i:3;s:24:\"tests/memcache-lock.test\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/memcache_admin/memcache_admin.module','memcache_admin','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:14:\"Memcache Admin\";s:11:\"description\";s:60:\"Adds a User Interface to monitor the Memcache for this site.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:27:\"Performance and scalability\";s:9:\"configure\";s:28:\"admin/config/system/memcache\";s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/memcache/tests/memcache_test.module','memcache_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:13:\"Memcache test\";s:11:\"description\";s:36:\"Support module for memcache testing.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:8:\"memcache\";s:9:\"datestamp\";s:10:\"1422088394\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_attributes/menu_attributes.module','menu_attributes','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Menu attributes\";s:11:\"description\";s:66:\"Allows administrators to specify custom attributes for menu items.\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:29:\"admin/structure/menu/settings\";s:5:\"files\";a:1:{i:0;s:20:\"menu_attributes.test\";}s:7:\"version\";s:11:\"7.x-1.0-rc3\";s:7:\"project\";s:15:\"menu_attributes\";s:9:\"datestamp\";s:10:\"1413756231\";s:5:\"mtime\";i:1499939305;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_descriptions/menu_descriptions.module','menu_descriptions','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Menu Descriptions\";s:11:\"description\";s:78:\"Permit longer descriptions for menu items, and display blocks for those menus.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:4:\"menu\";}s:7:\"package\";s:14:\"User interface\";s:7:\"version\";s:7:\"7.x-1.6\";s:7:\"project\";s:17:\"menu_descriptions\";s:9:\"datestamp\";s:10:\"1415818689\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/menu_token/menu_token.module','menu_token','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Menu Token\";s:11:\"description\";s:38:\"Provides tokens in menu items (links).\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:4:{i:0;s:4:\"menu\";i:1;s:6:\"entity\";i:2;s:5:\"token\";i:3;s:6:\"ctools\";}s:5:\"files\";a:1:{i:0;s:15:\"menu_token.test\";}s:9:\"configure\";s:23:\"admin/config/menu_token\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:7:\"project\";s:10:\"menu_token\";s:9:\"datestamp\";s:10:\"1371232255\";s:5:\"mtime\";i:1499939305;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/module_filter/module_filter.module','module_filter','module','',1,0,7201,0,'a:13:{s:4:\"name\";s:13:\"Module filter\";s:11:\"description\";s:24:\"Filter the modules list.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:14:\"Administration\";s:5:\"files\";a:8:{i:0;s:21:\"module_filter.install\";i:1;s:20:\"module_filter.module\";i:2;s:23:\"module_filter.admin.inc\";i:3;s:23:\"module_filter.theme.inc\";i:4;s:21:\"css/module_filter.css\";i:5;s:25:\"css/module_filter_tab.css\";i:6;s:19:\"js/module_filter.js\";i:7;s:23:\"js/module_filter_tab.js\";}s:9:\"configure\";s:40:\"admin/config/user-interface/modulefilter\";s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:13:\"module_filter\";s:9:\"datestamp\";s:10:\"1497029349\";s:5:\"mtime\";i:1497029349;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/node_class/node_class.module','node_class','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"Node Class\";s:11:\"description\";s:38:\"Allows assigning CSS classes to nodes.\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:10:\"node_class\";s:9:\"datestamp\";s:10:\"1388997876\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/page_title/page_title.module','page_title','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Page Title\";s:11:\"description\";s:60:\"Enhanced control over the page title (in the &lt;head> tag).\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:3:\"SEO\";s:12:\"dependencies\";a:1:{i:0;s:5:\"token\";}s:5:\"files\";a:6:{i:0;s:17:\"page_title.module\";i:1;s:20:\"page_title.admin.inc\";i:2;s:21:\"page_title.tokens.inc\";i:3;s:15:\"page_title.test\";i:4;s:64:\"views/plugins/page_title_plugin_display_page_with_page_title.inc\";i:5;s:39:\"views_handler_field_node_page_title.inc\";}s:9:\"configure\";s:30:\"admin/config/search/page-title\";s:7:\"version\";s:7:\"7.x-2.7\";s:7:\"project\";s:10:\"page_title\";s:9:\"datestamp\";s:10:\"1336556786\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/pathauto/pathauto.module','pathauto','module','',1,0,7006,1,'a:14:{s:4:\"name\";s:8:\"Pathauto\";s:11:\"description\";s:95:\"Provides a mechanism for modules to automatically generate aliases for the content they manage.\";s:12:\"dependencies\";a:2:{i:0;s:4:\"path\";i:1;s:5:\"token\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"pathauto.migrate.inc\";i:1;s:13:\"pathauto.test\";}s:9:\"configure\";s:33:\"admin/config/search/path/patterns\";s:10:\"recommends\";a:1:{i:0;s:8:\"redirect\";}s:7:\"version\";s:7:\"7.x-1.3\";s:7:\"project\";s:8:\"pathauto\";s:9:\"datestamp\";s:10:\"1444232655\";s:5:\"mtime\";i:1444232655;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs.module','quicktabs','module','',1,0,7303,0,'a:13:{s:4:\"name\";s:9:\"Quicktabs\";s:11:\"description\";s:49:\"Render content with tabs and other display styles\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:16:\"quicktabs.module\";i:1;s:21:\"quicktabs.classes.inc\";i:2;s:35:\"includes/quicktabs_style_plugin.inc\";i:3;s:20:\"tests/quicktabs.test\";}s:9:\"configure\";s:25:\"admin/structure/quicktabs\";s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:5:\"mtime\";i:1497619449;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/quicktabs/quicktabs_tabstyles/quicktabs_tabstyles.module','quicktabs_tabstyles','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Quicktabs Styles\";s:11:\"description\";s:65:\"Adds predefined tab styles to choose from per Quicktabs instance.\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/structure/quicktabs/styles\";s:12:\"dependencies\";a:1:{i:0;s:9:\"quicktabs\";}s:7:\"version\";s:7:\"7.x-3.8\";s:7:\"project\";s:9:\"quicktabs\";s:9:\"datestamp\";s:10:\"1497619449\";s:5:\"mtime\";i:1497619449;s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules.module','rules','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:5:\"Rules\";s:11:\"description\";s:51:\"React on events and conditionally evaluate actions.\";s:7:\"package\";s:5:\"Rules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:17:{i:0;s:18:\"rules.features.inc\";i:1;s:16:\"tests/rules.test\";i:2;s:18:\"includes/faces.inc\";i:3;s:23:\"includes/rules.core.inc\";i:4;s:24:\"includes/rules.event.inc\";i:5;s:28:\"includes/rules.processor.inc\";i:6;s:26:\"includes/rules.plugins.inc\";i:7;s:24:\"includes/rules.state.inc\";i:8;s:29:\"includes/rules.dispatcher.inc\";i:9;s:21:\"modules/node.eval.inc\";i:10;s:20:\"modules/php.eval.inc\";i:11;s:27:\"modules/rules_core.eval.inc\";i:12;s:23:\"modules/system.eval.inc\";i:13;s:20:\"ui/ui.controller.inc\";i:14;s:14:\"ui/ui.core.inc\";i:15;s:14:\"ui/ui.data.inc\";i:16;s:17:\"ui/ui.plugins.inc\";}s:12:\"dependencies\";a:2:{i:0;s:12:\"entity_token\";i:1;s:6:\"entity\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1426527210\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules_admin/rules_admin.module','rules_admin','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Rules UI\";s:11:\"description\";s:44:\"Administrative interface for managing rules.\";s:7:\"package\";s:5:\"Rules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:18:\"rules_admin.module\";i:1;s:15:\"rules_admin.inc\";}s:12:\"dependencies\";a:1:{i:0;s:5:\"rules\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1426527210\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules_i18n/rules_i18n.module','rules_i18n','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Rules translation\";s:11:\"description\";s:25:\"Allows translating rules.\";s:12:\"dependencies\";a:2:{i:0;s:5:\"rules\";i:1;s:11:\"i18n_string\";}s:7:\"package\";s:35:\"Multilingual - Internationalization\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:19:\"rules_i18n.i18n.inc\";i:1;s:20:\"rules_i18n.rules.inc\";i:2;s:15:\"rules_i18n.test\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1426527210\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules_scheduler/rules_scheduler.module','rules_scheduler','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:15:\"Rules Scheduler\";s:11:\"description\";s:57:\"Schedule the execution of Rules components using actions.\";s:12:\"dependencies\";a:1:{i:0;s:5:\"rules\";}s:7:\"package\";s:5:\"Rules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:9:{i:0;s:25:\"rules_scheduler.admin.inc\";i:1;s:22:\"rules_scheduler.module\";i:2;s:23:\"rules_scheduler.install\";i:3;s:25:\"rules_scheduler.rules.inc\";i:4;s:20:\"rules_scheduler.test\";i:5;s:36:\"includes/rules_scheduler.handler.inc\";i:6;s:42:\"includes/rules_scheduler.views_default.inc\";i:7;s:34:\"includes/rules_scheduler.views.inc\";i:8;s:41:\"includes/rules_scheduler_views_filter.inc\";}s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1426527210\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/rules_scheduler/tests/rules_scheduler_test.module','rules_scheduler_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Rules Scheduler Tests\";s:11:\"description\";s:45:\"Support module for the Rules Scheduler tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:24:\"rules_scheduler_test.inc\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1426527210\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/tests/rules_test.module','rules_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Rules Tests\";s:11:\"description\";s:35:\"Support module for the Rules tests.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:2:{i:0;s:20:\"rules_test.rules.inc\";i:1;s:29:\"rules_test.rules_defaults.inc\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1426527210\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/rules/tests/rules_test_invocation.module','rules_test_invocation','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:21:\"Rules Test invocation\";s:11:\"description\";s:40:\"Helper module to test Rules invocations.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-2.9\";s:7:\"project\";s:5:\"rules\";s:9:\"datestamp\";s:10:\"1426527210\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api/contrib/search_api_facetapi/search_api_facetapi.module','search_api_facetapi','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:13:\"Search facets\";s:11:\"description\";s:73:\"Integrate the Search API with the Facet API to provide facetted searches.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"search_api\";i:1;s:8:\"facetapi\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:5:\"files\";a:3:{i:0;s:28:\"plugins/facetapi/adapter.inc\";i:1;s:36:\"plugins/facetapi/query_type_term.inc\";i:2;s:36:\"plugins/facetapi/query_type_date.inc\";}s:7:\"version\";s:8:\"7.x-1.14\";s:7:\"project\";s:10:\"search_api\";s:9:\"datestamp\";s:10:\"1419580682\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api/contrib/search_api_views/search_api_views.module','search_api_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:12:\"Search views\";s:11:\"description\";s:107:\"Integrates the Search API with Views, enabling users to create views with searches as filters or arguments.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"search_api\";i:1;s:5:\"views\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:5:\"files\";a:20:{i:0;s:32:\"includes/display_facet_block.inc\";i:1;s:29:\"includes/handler_argument.inc\";i:2;s:38:\"includes/handler_argument_fulltext.inc\";i:3;s:44:\"includes/handler_argument_more_like_this.inc\";i:4;s:36:\"includes/handler_argument_string.inc\";i:5;s:34:\"includes/handler_argument_date.inc\";i:6;s:43:\"includes/handler_argument_taxonomy_term.inc\";i:7;s:27:\"includes/handler_filter.inc\";i:8;s:35:\"includes/handler_filter_boolean.inc\";i:9;s:32:\"includes/handler_filter_date.inc\";i:10;s:34:\"includes/handler_filter_entity.inc\";i:11;s:36:\"includes/handler_filter_fulltext.inc\";i:12;s:36:\"includes/handler_filter_language.inc\";i:13;s:35:\"includes/handler_filter_options.inc\";i:14;s:41:\"includes/handler_filter_taxonomy_term.inc\";i:15;s:32:\"includes/handler_filter_text.inc\";i:16;s:32:\"includes/handler_filter_user.inc\";i:17;s:25:\"includes/handler_sort.inc\";i:18;s:25:\"includes/plugin_cache.inc\";i:19;s:18:\"includes/query.inc\";}s:7:\"version\";s:8:\"7.x-1.14\";s:7:\"project\";s:10:\"search_api\";s:9:\"datestamp\";s:10:\"1419580682\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api/search_api.module','search_api','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Search API\";s:11:\"description\";s:63:\"Provides a generic API for modules offering search capabilites.\";s:12:\"dependencies\";a:1:{i:0;s:6:\"entity\";}s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:5:\"files\";a:27:{i:0;s:15:\"search_api.test\";i:1;s:21:\"includes/callback.inc\";i:2;s:37:\"includes/callback_add_aggregation.inc\";i:3;s:35:\"includes/callback_add_hierarchy.inc\";i:4;s:29:\"includes/callback_add_url.inc\";i:5;s:39:\"includes/callback_add_viewed_entity.inc\";i:6;s:35:\"includes/callback_bundle_filter.inc\";i:7;s:36:\"includes/callback_comment_access.inc\";i:8;s:38:\"includes/callback_language_control.inc\";i:9;s:33:\"includes/callback_node_access.inc\";i:10;s:33:\"includes/callback_node_status.inc\";i:11;s:33:\"includes/callback_role_filter.inc\";i:12;s:23:\"includes/datasource.inc\";i:13;s:30:\"includes/datasource_entity.inc\";i:14;s:32:\"includes/datasource_external.inc\";i:15;s:22:\"includes/exception.inc\";i:16;s:25:\"includes/index_entity.inc\";i:17;s:22:\"includes/processor.inc\";i:18;s:32:\"includes/processor_highlight.inc\";i:19;s:34:\"includes/processor_html_filter.inc\";i:20;s:34:\"includes/processor_ignore_case.inc\";i:21;s:32:\"includes/processor_stopwords.inc\";i:22;s:32:\"includes/processor_tokenizer.inc\";i:23;s:38:\"includes/processor_transliteration.inc\";i:24;s:18:\"includes/query.inc\";i:25;s:26:\"includes/server_entity.inc\";i:26;s:20:\"includes/service.inc\";}s:9:\"configure\";s:30:\"admin/config/search/search_api\";s:7:\"version\";s:8:\"7.x-1.14\";s:7:\"project\";s:10:\"search_api\";s:9:\"datestamp\";s:10:\"1419580682\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/search_api/tests/search_api_test.module','search_api_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:15:\"Search API test\";s:11:\"description\";s:54:\"Some dummy implementations for testing the Search API.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Search\";s:12:\"dependencies\";a:1:{i:0;s:10:\"search_api\";}s:5:\"files\";a:1:{i:0;s:22:\"search_api_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-1.14\";s:7:\"project\";s:10:\"search_api\";s:9:\"datestamp\";s:10:\"1419580682\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/select_or_other/select_or_other.module','select_or_other','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:17:\"Select (or other)\";s:11:\"description\";s:86:\"Provides a select box form element with additional option \'Other\' to give a textfield.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:7:\"version\";s:8:\"7.x-2.20\";s:7:\"project\";s:15:\"select_or_other\";s:9:\"datestamp\";s:10:\"1378331245\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/session_api/session_api.module','session_api','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:11:\"Session API\";s:11:\"description\";s:54:\"Provides an interface for storing session information.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:4:{i:0;s:18:\"session_api.module\";i:1;s:21:\"session_api.admin.inc\";i:2;s:19:\"session_api.install\";i:3;s:16:\"session_api.test\";}s:9:\"configure\";s:36:\"admin/config/development/session-api\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:7:\"project\";s:11:\"session_api\";s:9:\"datestamp\";s:10:\"1354234727\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/session_api/tests/session_api_test.module','session_api_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:16:\"Session API test\";s:11:\"description\";s:38:\"Helper module for Session API testing.\";s:7:\"package\";s:7:\"Testing\";s:7:\"version\";s:11:\"7.x-1.0-rc1\";s:12:\"dependencies\";a:1:{i:0;s:11:\"session_api\";}s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:23:\"session_api_test.module\";}s:6:\"hidden\";b:1;s:7:\"project\";s:11:\"session_api\";s:9:\"datestamp\";s:10:\"1354234727\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/shortcode/shortcode.module','shortcode','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"Shortcode\";s:11:\"description\";s:65:\"Provides shortcodes filter framework and API (like WP shortcodes)\";s:7:\"package\";s:9:\"Shortcode\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:6:\"filter\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"shortcode\";s:9:\"datestamp\";s:10:\"1423035812\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/shortcode/shortcode_basic_tags/shortcode_basic_tags.module','shortcode_basic_tags','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:20:\"Shortcode Basic Tags\";s:11:\"description\";s:59:\"Provides basic shortcode tags like highlight, dropcap, etc.\";s:7:\"package\";s:9:\"Shortcode\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:9:\"shortcode\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"shortcode\";s:9:\"datestamp\";s:10:\"1423035812\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/shortcode/shortcode_embed_content/shortcode_embed_content.module','shortcode_embed_content','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:27:\"Shortcode Embed Content Tag\";s:11:\"description\";s:64:\"Provides a shortcode tag for embedding a node content into text.\";s:7:\"package\";s:9:\"Shortcode\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"filter\";i:1;s:9:\"shortcode\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"shortcode\";s:9:\"datestamp\";s:10:\"1423035812\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/shortcode/shortcode_video/shortcode_video.module','shortcode_video','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Shortcode Video Macro\";s:11:\"description\";s:68:\"Provides easy video embedding to contents. Supports YouTube sharing.\";s:7:\"package\";s:9:\"Shortcode\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:6:\"filter\";i:1;s:9:\"shortcode\";}s:7:\"version\";s:7:\"7.x-2.2\";s:7:\"project\";s:9:\"shortcode\";s:9:\"datestamp\";s:10:\"1423035812\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/simplenews/simplenews.module','simplenews','module','',0,0,-1,0,'a:14:{s:4:\"name\";s:10:\"Simplenews\";s:11:\"description\";s:47:\"Send newsletters to subscribed email addresses.\";s:7:\"package\";s:4:\"Mail\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:32:\"admin/config/services/simplenews\";s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:17:\"test_dependencies\";a:1:{i:0;s:13:\"i18n_taxonomy\";}s:5:\"files\";a:13:{i:0;s:21:\"tests/simplenews.test\";i:1;s:30:\"includes/simplenews.source.inc\";i:2;s:70:\"includes/views/handlers/simplenews_handler_field_newsletter_status.inc\";i:3;s:72:\"includes/views/handlers/simplenews_handler_field_newsletter_priority.inc\";i:4;s:72:\"includes/views/handlers/simplenews_handler_field_category_hyperlinks.inc\";i:5;s:73:\"includes/views/handlers/simplenews_handler_field_category_new_account.inc\";i:6;s:71:\"includes/views/handlers/simplenews_handler_field_category_opt_inout.inc\";i:7;s:68:\"includes/views/handlers/simplenews_handler_field_newsletter_send.inc\";i:8;s:71:\"includes/views/handlers/simplenews_handler_filter_newsletter_status.inc\";i:9;s:73:\"includes/views/handlers/simplenews_handler_filter_newsletter_priority.inc\";i:10;s:73:\"includes/views/handlers/simplenews_handler_filter_category_hyperlinks.inc\";i:11;s:74:\"includes/views/handlers/simplenews_handler_filter_category_new_account.inc\";i:12;s:72:\"includes/views/handlers/simplenews_handler_filter_category_opt_inout.inc\";}s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";s:10:\"1381947969\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/simplenews/simplenews_rules/simplenews_rules.module','simplenews_rules','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Simplenews rules\";s:11:\"description\";s:54:\"Provides integration with Rules module for Simplenews.\";s:12:\"dependencies\";a:2:{i:0;s:10:\"simplenews\";i:1;s:5:\"rules\";}s:7:\"package\";s:4:\"Mail\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-1.1\";s:7:\"project\";s:10:\"simplenews\";s:9:\"datestamp\";s:10:\"1381947969\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tagclouds/tagclouds.module','tagclouds','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:9:\"TagClouds\";s:11:\"description\";s:61:\"TagClouds makes weighted tag clouds from your taxonomy terms.\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:8:\"taxonomy\";}s:7:\"package\";s:8:\"Taxonomy\";s:9:\"configure\";s:30:\"admin/config/content/tagclouds\";s:7:\"version\";s:8:\"7.x-1.10\";s:7:\"project\";s:9:\"tagclouds\";s:9:\"datestamp\";s:10:\"1404152332\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/taxonomy_menu/taxonomy_menu.module','taxonomy_menu','module','',1,0,7000,0,'a:12:{s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:8:\"taxonomy\";i:1;s:4:\"menu\";}s:11:\"description\";s:39:\"Adds links to taxonomy terms to a menu.\";s:4:\"name\";s:13:\"Taxonomy menu\";s:7:\"package\";s:13:\"Taxonomy menu\";s:5:\"files\";a:5:{i:0;s:23:\"taxonomy_menu.batch.inc\";i:1;s:26:\"taxonomy_menu.database.inc\";i:2;s:20:\"taxonomy_menu.module\";i:3;s:18:\"taxonomy_menu.test\";i:4;s:21:\"taxonomy_menu.install\";}s:7:\"version\";s:7:\"7.x-1.5\";s:7:\"project\";s:13:\"taxonomy_menu\";s:9:\"datestamp\";s:10:\"1396359247\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/tb_megamenu/tb_megamenu.module','tb_megamenu','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:12:\"TB Mega Menu\";s:11:\"description\";s:29:\"Megamenu solutions for Drupal\";s:7:\"package\";s:11:\"tb_megamenu\";s:7:\"version\";s:13:\"7.x-1.0-beta5\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:5:{i:0;s:25:\"tb_megamenu.functions.inc\";i:1;s:22:\"tb_megamenu.themes.inc\";i:2;s:20:\"tb_megamenu.ajax.inc\";i:3;s:21:\"tb_megamenu.admin.inc\";i:4;s:18:\"tb_megamenu.module\";}s:9:\"configure\";s:27:\"admin/structure/tb-megamenu\";s:7:\"project\";s:11:\"tb_megamenu\";s:9:\"datestamp\";s:10:\"1408100329\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/title/tests/title_test.module','title_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Title Test\";s:11:\"description\";s:61:\"Testing module for Title module functionality. Do not enable.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Testing\";s:6:\"hidden\";b:1;s:12:\"dependencies\";a:3:{i:0;s:5:\"title\";i:1;s:6:\"entity\";i:2;s:18:\"entity_translation\";}s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:7:\"project\";s:5:\"title\";s:9:\"datestamp\";s:10:\"1484302985\";s:5:\"mtime\";i:1484302985;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/title/title.module','title','module','',1,0,7002,100,'a:13:{s:4:\"name\";s:5:\"Title\";s:11:\"description\";s:50:\"Replaces entity legacy fields with regular fields.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:6:\"Fields\";s:9:\"configure\";s:26:\"admin/config/content/title\";s:12:\"dependencies\";a:1:{i:0;s:14:\"system (>7.14)\";}s:5:\"files\";a:3:{i:0;s:12:\"title.module\";i:1;s:35:\"views/views_handler_title_field.inc\";i:2;s:16:\"tests/title.test\";}s:7:\"version\";s:14:\"7.x-1.0-alpha9\";s:7:\"project\";s:5:\"title\";s:9:\"datestamp\";s:10:\"1484302985\";s:5:\"mtime\";i:1484302985;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/tests/token_test.module','token_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Token Test\";s:11:\"description\";s:39:\"Testing module for token functionality.\";s:7:\"package\";s:7:\"Testing\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:17:\"token_test.module\";}s:6:\"hidden\";b:1;s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:5:\"mtime\";i:1485316088;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/token/token.module','token','module','',1,0,7001,0,'a:12:{s:4:\"name\";s:5:\"Token\";s:11:\"description\";s:73:\"Provides a user interface for the Token API and some missing core tokens.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:10:\"token.test\";}s:7:\"version\";s:7:\"7.x-1.7\";s:7:\"project\";s:5:\"token\";s:9:\"datestamp\";s:10:\"1485316088\";s:5:\"mtime\";i:1485316088;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable.module','variable','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:8:\"Variable\";s:11:\"description\";s:43:\"Variable Information and basic variable API\";s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:9:{i:0;s:27:\"includes/forum.variable.inc\";i:1;s:28:\"includes/locale.variable.inc\";i:2;s:26:\"includes/menu.variable.inc\";i:3;s:26:\"includes/node.variable.inc\";i:4;s:28:\"includes/system.variable.inc\";i:5;s:30:\"includes/taxonomy.variable.inc\";i:6;s:33:\"includes/translation.variable.inc\";i:7;s:26:\"includes/user.variable.inc\";i:8;s:13:\"variable.test\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_admin/variable_admin.module','variable_admin','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable admin\";s:11:\"description\";s:26:\"Variable Administration UI\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_example/variable_example.module','variable_example','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:16:\"Variable example\";s:11:\"description\";s:83:\"An example module showing how to use the Variable API and providing some variables.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"variable\";i:1;s:14:\"variable_store\";}s:7:\"package\";s:15:\"Example modules\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:29:\"variable_example.variable.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_realm/variable_realm.module','variable_realm','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable realm\";s:11:\"description\";s:49:\"API to use variable realms from different modules\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:5:\"files\";a:2:{i:0;s:24:\"variable_realm.class.inc\";i:1;s:30:\"variable_realm_union.class.inc\";}s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_store/variable_store.module','variable_store','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable store\";s:11:\"description\";s:60:\"Database storage for variable realms. This is an API module.\";s:12:\"dependencies\";a:1:{i:0;s:8:\"variable\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-2.5\";s:5:\"files\";a:2:{i:0;s:24:\"variable_store.class.inc\";i:1;s:19:\"variable_store.test\";}s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/variable/variable_views/variable_views.module','variable_views','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:14:\"Variable views\";s:11:\"description\";s:78:\"Provides views integration for variable, included a default variable argument.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"variable\";i:1;s:5:\"views\";}s:7:\"package\";s:8:\"Variable\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:51:\"includes/views_plugin_argument_default_variable.inc\";i:1;s:47:\"includes/views_handler_field_variable_title.inc\";i:2;s:47:\"includes/views_handler_field_variable_value.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:8:\"variable\";s:9:\"datestamp\";s:10:\"1398250128\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/tests/views_test.module','views_test','module','',0,0,-1,0,'a:13:{s:4:\"name\";s:10:\"Views Test\";s:11:\"description\";s:22:\"Test module for Views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:6:\"hidden\";b:1;s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views.module','views','module','',1,0,7302,10,'a:13:{s:4:\"name\";s:5:\"Views\";s:11:\"description\";s:55:\"Create customized lists and queries from your database.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:13:\"css/views.css\";s:37:\"sites/all/modules/views/css/views.css\";}}s:12:\"dependencies\";a:1:{i:0;s:6:\"ctools\";}s:5:\"files\";a:313:{i:0;s:31:\"handlers/views_handler_area.inc\";i:1;s:40:\"handlers/views_handler_area_messages.inc\";i:2;s:38:\"handlers/views_handler_area_result.inc\";i:3;s:36:\"handlers/views_handler_area_text.inc\";i:4;s:43:\"handlers/views_handler_area_text_custom.inc\";i:5;s:36:\"handlers/views_handler_area_view.inc\";i:6;s:35:\"handlers/views_handler_argument.inc\";i:7;s:40:\"handlers/views_handler_argument_date.inc\";i:8;s:43:\"handlers/views_handler_argument_formula.inc\";i:9;s:47:\"handlers/views_handler_argument_many_to_one.inc\";i:10;s:40:\"handlers/views_handler_argument_null.inc\";i:11;s:43:\"handlers/views_handler_argument_numeric.inc\";i:12;s:42:\"handlers/views_handler_argument_string.inc\";i:13;s:52:\"handlers/views_handler_argument_group_by_numeric.inc\";i:14;s:32:\"handlers/views_handler_field.inc\";i:15;s:40:\"handlers/views_handler_field_counter.inc\";i:16;s:40:\"handlers/views_handler_field_boolean.inc\";i:17;s:49:\"handlers/views_handler_field_contextual_links.inc\";i:18;s:48:\"handlers/views_handler_field_ctools_dropdown.inc\";i:19;s:39:\"handlers/views_handler_field_custom.inc\";i:20;s:37:\"handlers/views_handler_field_date.inc\";i:21;s:39:\"handlers/views_handler_field_entity.inc\";i:22;s:38:\"handlers/views_handler_field_links.inc\";i:23;s:39:\"handlers/views_handler_field_markup.inc\";i:24;s:37:\"handlers/views_handler_field_math.inc\";i:25;s:40:\"handlers/views_handler_field_numeric.inc\";i:26;s:47:\"handlers/views_handler_field_prerender_list.inc\";i:27;s:46:\"handlers/views_handler_field_time_interval.inc\";i:28;s:43:\"handlers/views_handler_field_serialized.inc\";i:29;s:45:\"handlers/views_handler_field_machine_name.inc\";i:30;s:36:\"handlers/views_handler_field_url.inc\";i:31;s:33:\"handlers/views_handler_filter.inc\";i:32;s:50:\"handlers/views_handler_filter_boolean_operator.inc\";i:33;s:57:\"handlers/views_handler_filter_boolean_operator_string.inc\";i:34;s:41:\"handlers/views_handler_filter_combine.inc\";i:35;s:38:\"handlers/views_handler_filter_date.inc\";i:36;s:42:\"handlers/views_handler_filter_equality.inc\";i:37;s:47:\"handlers/views_handler_filter_entity_bundle.inc\";i:38;s:50:\"handlers/views_handler_filter_group_by_numeric.inc\";i:39;s:45:\"handlers/views_handler_filter_in_operator.inc\";i:40;s:45:\"handlers/views_handler_filter_many_to_one.inc\";i:41;s:41:\"handlers/views_handler_filter_numeric.inc\";i:42;s:40:\"handlers/views_handler_filter_string.inc\";i:43;s:48:\"handlers/views_handler_filter_fields_compare.inc\";i:44;s:39:\"handlers/views_handler_relationship.inc\";i:45;s:53:\"handlers/views_handler_relationship_groupwise_max.inc\";i:46;s:31:\"handlers/views_handler_sort.inc\";i:47;s:36:\"handlers/views_handler_sort_date.inc\";i:48;s:39:\"handlers/views_handler_sort_formula.inc\";i:49;s:48:\"handlers/views_handler_sort_group_by_numeric.inc\";i:50;s:46:\"handlers/views_handler_sort_menu_hierarchy.inc\";i:51;s:38:\"handlers/views_handler_sort_random.inc\";i:52;s:17:\"includes/base.inc\";i:53;s:21:\"includes/handlers.inc\";i:54;s:20:\"includes/plugins.inc\";i:55;s:17:\"includes/view.inc\";i:56;s:60:\"modules/aggregator/views_handler_argument_aggregator_fid.inc\";i:57;s:60:\"modules/aggregator/views_handler_argument_aggregator_iid.inc\";i:58;s:69:\"modules/aggregator/views_handler_argument_aggregator_category_cid.inc\";i:59;s:64:\"modules/aggregator/views_handler_field_aggregator_title_link.inc\";i:60;s:62:\"modules/aggregator/views_handler_field_aggregator_category.inc\";i:61;s:70:\"modules/aggregator/views_handler_field_aggregator_item_description.inc\";i:62;s:57:\"modules/aggregator/views_handler_field_aggregator_xss.inc\";i:63;s:67:\"modules/aggregator/views_handler_filter_aggregator_category_cid.inc\";i:64;s:54:\"modules/aggregator/views_plugin_row_aggregator_rss.inc\";i:65;s:56:\"modules/book/views_plugin_argument_default_book_root.inc\";i:66;s:59:\"modules/comment/views_handler_argument_comment_user_uid.inc\";i:67;s:47:\"modules/comment/views_handler_field_comment.inc\";i:68;s:53:\"modules/comment/views_handler_field_comment_depth.inc\";i:69;s:52:\"modules/comment/views_handler_field_comment_link.inc\";i:70;s:60:\"modules/comment/views_handler_field_comment_link_approve.inc\";i:71;s:59:\"modules/comment/views_handler_field_comment_link_delete.inc\";i:72;s:57:\"modules/comment/views_handler_field_comment_link_edit.inc\";i:73;s:58:\"modules/comment/views_handler_field_comment_link_reply.inc\";i:74;s:57:\"modules/comment/views_handler_field_comment_node_link.inc\";i:75;s:56:\"modules/comment/views_handler_field_comment_username.inc\";i:76;s:61:\"modules/comment/views_handler_field_ncs_last_comment_name.inc\";i:77;s:56:\"modules/comment/views_handler_field_ncs_last_updated.inc\";i:78;s:52:\"modules/comment/views_handler_field_node_comment.inc\";i:79;s:57:\"modules/comment/views_handler_field_node_new_comments.inc\";i:80;s:62:\"modules/comment/views_handler_field_last_comment_timestamp.inc\";i:81;s:57:\"modules/comment/views_handler_filter_comment_user_uid.inc\";i:82;s:57:\"modules/comment/views_handler_filter_ncs_last_updated.inc\";i:83;s:53:\"modules/comment/views_handler_filter_node_comment.inc\";i:84;s:53:\"modules/comment/views_handler_sort_comment_thread.inc\";i:85;s:60:\"modules/comment/views_handler_sort_ncs_last_comment_name.inc\";i:86;s:55:\"modules/comment/views_handler_sort_ncs_last_updated.inc\";i:87;s:48:\"modules/comment/views_plugin_row_comment_rss.inc\";i:88;s:49:\"modules/comment/views_plugin_row_comment_view.inc\";i:89;s:52:\"modules/contact/views_handler_field_contact_link.inc\";i:90;s:43:\"modules/field/views_handler_field_field.inc\";i:91;s:59:\"modules/field/views_handler_relationship_entity_reverse.inc\";i:92;s:51:\"modules/field/views_handler_argument_field_list.inc\";i:93;s:57:\"modules/field/views_handler_filter_field_list_boolean.inc\";i:94;s:58:\"modules/field/views_handler_argument_field_list_string.inc\";i:95;s:49:\"modules/field/views_handler_filter_field_list.inc\";i:96;s:57:\"modules/filter/views_handler_field_filter_format_name.inc\";i:97;s:52:\"modules/locale/views_handler_field_node_language.inc\";i:98;s:53:\"modules/locale/views_handler_filter_node_language.inc\";i:99;s:54:\"modules/locale/views_handler_argument_locale_group.inc\";i:100;s:57:\"modules/locale/views_handler_argument_locale_language.inc\";i:101;s:51:\"modules/locale/views_handler_field_locale_group.inc\";i:102;s:54:\"modules/locale/views_handler_field_locale_language.inc\";i:103;s:55:\"modules/locale/views_handler_field_locale_link_edit.inc\";i:104;s:52:\"modules/locale/views_handler_filter_locale_group.inc\";i:105;s:55:\"modules/locale/views_handler_filter_locale_language.inc\";i:106;s:54:\"modules/locale/views_handler_filter_locale_version.inc\";i:107;s:51:\"modules/locale/views_handler_sort_node_language.inc\";i:108;s:53:\"modules/node/views_handler_argument_dates_various.inc\";i:109;s:53:\"modules/node/views_handler_argument_node_language.inc\";i:110;s:48:\"modules/node/views_handler_argument_node_nid.inc\";i:111;s:49:\"modules/node/views_handler_argument_node_type.inc\";i:112;s:48:\"modules/node/views_handler_argument_node_vid.inc\";i:113;s:57:\"modules/node/views_handler_argument_node_uid_revision.inc\";i:114;s:59:\"modules/node/views_handler_field_history_user_timestamp.inc\";i:115;s:41:\"modules/node/views_handler_field_node.inc\";i:116;s:46:\"modules/node/views_handler_field_node_link.inc\";i:117;s:53:\"modules/node/views_handler_field_node_link_delete.inc\";i:118;s:51:\"modules/node/views_handler_field_node_link_edit.inc\";i:119;s:50:\"modules/node/views_handler_field_node_revision.inc\";i:120;s:55:\"modules/node/views_handler_field_node_revision_link.inc\";i:121;s:62:\"modules/node/views_handler_field_node_revision_link_delete.inc\";i:122;s:62:\"modules/node/views_handler_field_node_revision_link_revert.inc\";i:123;s:46:\"modules/node/views_handler_field_node_path.inc\";i:124;s:46:\"modules/node/views_handler_field_node_type.inc\";i:125;s:55:\"modules/node/views_handler_field_node_version_count.inc\";i:126;s:60:\"modules/node/views_handler_filter_history_user_timestamp.inc\";i:127;s:49:\"modules/node/views_handler_filter_node_access.inc\";i:128;s:49:\"modules/node/views_handler_filter_node_status.inc\";i:129;s:47:\"modules/node/views_handler_filter_node_type.inc\";i:130;s:55:\"modules/node/views_handler_filter_node_uid_revision.inc\";i:131;s:56:\"modules/node/views_handler_filter_node_version_count.inc\";i:132;s:54:\"modules/node/views_handler_sort_node_version_count.inc\";i:133;s:51:\"modules/node/views_plugin_argument_default_node.inc\";i:134;s:52:\"modules/node/views_plugin_argument_validate_node.inc\";i:135;s:42:\"modules/node/views_plugin_row_node_rss.inc\";i:136;s:43:\"modules/node/views_plugin_row_node_view.inc\";i:137;s:52:\"modules/profile/views_handler_field_profile_date.inc\";i:138;s:52:\"modules/profile/views_handler_field_profile_list.inc\";i:139;s:58:\"modules/profile/views_handler_filter_profile_selection.inc\";i:140;s:48:\"modules/search/views_handler_argument_search.inc\";i:141;s:51:\"modules/search/views_handler_field_search_score.inc\";i:142;s:46:\"modules/search/views_handler_filter_search.inc\";i:143;s:50:\"modules/search/views_handler_sort_search_score.inc\";i:144;s:47:\"modules/search/views_plugin_row_search_view.inc\";i:145;s:57:\"modules/statistics/views_handler_field_accesslog_path.inc\";i:146;s:65:\"modules/statistics/views_handler_field_node_counter_timestamp.inc\";i:147;s:61:\"modules/statistics/views_handler_field_statistics_numeric.inc\";i:148;s:50:\"modules/system/views_handler_argument_file_fid.inc\";i:149;s:43:\"modules/system/views_handler_field_file.inc\";i:150;s:53:\"modules/system/views_handler_field_file_extension.inc\";i:151;s:52:\"modules/system/views_handler_field_file_filemime.inc\";i:152;s:47:\"modules/system/views_handler_field_file_uri.inc\";i:153;s:50:\"modules/system/views_handler_field_file_status.inc\";i:154;s:51:\"modules/system/views_handler_filter_file_status.inc\";i:155;s:52:\"modules/taxonomy/views_handler_argument_taxonomy.inc\";i:156;s:57:\"modules/taxonomy/views_handler_argument_term_node_tid.inc\";i:157;s:63:\"modules/taxonomy/views_handler_argument_term_node_tid_depth.inc\";i:158;s:68:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_join.inc\";i:159;s:72:\"modules/taxonomy/views_handler_argument_term_node_tid_depth_modifier.inc\";i:160;s:58:\"modules/taxonomy/views_handler_argument_vocabulary_vid.inc\";i:161;s:67:\"modules/taxonomy/views_handler_argument_vocabulary_machine_name.inc\";i:162;s:49:\"modules/taxonomy/views_handler_field_taxonomy.inc\";i:163;s:54:\"modules/taxonomy/views_handler_field_term_node_tid.inc\";i:164;s:55:\"modules/taxonomy/views_handler_field_term_link_edit.inc\";i:165;s:55:\"modules/taxonomy/views_handler_filter_term_node_tid.inc\";i:166;s:61:\"modules/taxonomy/views_handler_filter_term_node_tid_depth.inc\";i:167;s:66:\"modules/taxonomy/views_handler_filter_term_node_tid_depth_join.inc\";i:168;s:56:\"modules/taxonomy/views_handler_filter_vocabulary_vid.inc\";i:169;s:65:\"modules/taxonomy/views_handler_filter_vocabulary_machine_name.inc\";i:170;s:62:\"modules/taxonomy/views_handler_relationship_node_term_data.inc\";i:171;s:65:\"modules/taxonomy/views_plugin_argument_validate_taxonomy_term.inc\";i:172;s:63:\"modules/taxonomy/views_plugin_argument_default_taxonomy_tid.inc\";i:173;s:67:\"modules/tracker/views_handler_argument_tracker_comment_user_uid.inc\";i:174;s:65:\"modules/tracker/views_handler_filter_tracker_comment_user_uid.inc\";i:175;s:65:\"modules/tracker/views_handler_filter_tracker_boolean_operator.inc\";i:176;s:51:\"modules/system/views_handler_filter_system_type.inc\";i:177;s:56:\"modules/translation/views_handler_argument_node_tnid.inc\";i:178;s:63:\"modules/translation/views_handler_field_node_link_translate.inc\";i:179;s:65:\"modules/translation/views_handler_field_node_translation_link.inc\";i:180;s:54:\"modules/translation/views_handler_filter_node_tnid.inc\";i:181;s:60:\"modules/translation/views_handler_filter_node_tnid_child.inc\";i:182;s:62:\"modules/translation/views_handler_relationship_translation.inc\";i:183;s:48:\"modules/user/views_handler_argument_user_uid.inc\";i:184;s:55:\"modules/user/views_handler_argument_users_roles_rid.inc\";i:185;s:41:\"modules/user/views_handler_field_user.inc\";i:186;s:50:\"modules/user/views_handler_field_user_language.inc\";i:187;s:46:\"modules/user/views_handler_field_user_link.inc\";i:188;s:53:\"modules/user/views_handler_field_user_link_cancel.inc\";i:189;s:51:\"modules/user/views_handler_field_user_link_edit.inc\";i:190;s:46:\"modules/user/views_handler_field_user_mail.inc\";i:191;s:46:\"modules/user/views_handler_field_user_name.inc\";i:192;s:53:\"modules/user/views_handler_field_user_permissions.inc\";i:193;s:49:\"modules/user/views_handler_field_user_picture.inc\";i:194;s:47:\"modules/user/views_handler_field_user_roles.inc\";i:195;s:50:\"modules/user/views_handler_filter_user_current.inc\";i:196;s:47:\"modules/user/views_handler_filter_user_name.inc\";i:197;s:54:\"modules/user/views_handler_filter_user_permissions.inc\";i:198;s:48:\"modules/user/views_handler_filter_user_roles.inc\";i:199;s:59:\"modules/user/views_plugin_argument_default_current_user.inc\";i:200;s:51:\"modules/user/views_plugin_argument_default_user.inc\";i:201;s:52:\"modules/user/views_plugin_argument_validate_user.inc\";i:202;s:43:\"modules/user/views_plugin_row_user_view.inc\";i:203;s:31:\"plugins/views_plugin_access.inc\";i:204;s:36:\"plugins/views_plugin_access_none.inc\";i:205;s:36:\"plugins/views_plugin_access_perm.inc\";i:206;s:36:\"plugins/views_plugin_access_role.inc\";i:207;s:41:\"plugins/views_plugin_argument_default.inc\";i:208;s:45:\"plugins/views_plugin_argument_default_php.inc\";i:209;s:47:\"plugins/views_plugin_argument_default_fixed.inc\";i:210;s:45:\"plugins/views_plugin_argument_default_raw.inc\";i:211;s:42:\"plugins/views_plugin_argument_validate.inc\";i:212;s:50:\"plugins/views_plugin_argument_validate_numeric.inc\";i:213;s:46:\"plugins/views_plugin_argument_validate_php.inc\";i:214;s:30:\"plugins/views_plugin_cache.inc\";i:215;s:35:\"plugins/views_plugin_cache_none.inc\";i:216;s:35:\"plugins/views_plugin_cache_time.inc\";i:217;s:32:\"plugins/views_plugin_display.inc\";i:218;s:43:\"plugins/views_plugin_display_attachment.inc\";i:219;s:38:\"plugins/views_plugin_display_block.inc\";i:220;s:40:\"plugins/views_plugin_display_default.inc\";i:221;s:38:\"plugins/views_plugin_display_embed.inc\";i:222;s:41:\"plugins/views_plugin_display_extender.inc\";i:223;s:37:\"plugins/views_plugin_display_feed.inc\";i:224;s:37:\"plugins/views_plugin_display_page.inc\";i:225;s:43:\"plugins/views_plugin_exposed_form_basic.inc\";i:226;s:37:\"plugins/views_plugin_exposed_form.inc\";i:227;s:52:\"plugins/views_plugin_exposed_form_input_required.inc\";i:228;s:42:\"plugins/views_plugin_localization_core.inc\";i:229;s:37:\"plugins/views_plugin_localization.inc\";i:230;s:42:\"plugins/views_plugin_localization_none.inc\";i:231;s:30:\"plugins/views_plugin_pager.inc\";i:232;s:35:\"plugins/views_plugin_pager_full.inc\";i:233;s:35:\"plugins/views_plugin_pager_mini.inc\";i:234;s:35:\"plugins/views_plugin_pager_none.inc\";i:235;s:35:\"plugins/views_plugin_pager_some.inc\";i:236;s:30:\"plugins/views_plugin_query.inc\";i:237;s:38:\"plugins/views_plugin_query_default.inc\";i:238;s:28:\"plugins/views_plugin_row.inc\";i:239;s:35:\"plugins/views_plugin_row_fields.inc\";i:240;s:39:\"plugins/views_plugin_row_rss_fields.inc\";i:241;s:30:\"plugins/views_plugin_style.inc\";i:242;s:38:\"plugins/views_plugin_style_default.inc\";i:243;s:35:\"plugins/views_plugin_style_grid.inc\";i:244;s:35:\"plugins/views_plugin_style_list.inc\";i:245;s:40:\"plugins/views_plugin_style_jump_menu.inc\";i:246;s:38:\"plugins/views_plugin_style_mapping.inc\";i:247;s:34:\"plugins/views_plugin_style_rss.inc\";i:248;s:38:\"plugins/views_plugin_style_summary.inc\";i:249;s:48:\"plugins/views_plugin_style_summary_jump_menu.inc\";i:250;s:50:\"plugins/views_plugin_style_summary_unformatted.inc\";i:251;s:36:\"plugins/views_plugin_style_table.inc\";i:252;s:34:\"tests/handlers/views_handlers.test\";i:253;s:43:\"tests/handlers/views_handler_area_text.test\";i:254;s:47:\"tests/handlers/views_handler_argument_null.test\";i:255;s:49:\"tests/handlers/views_handler_argument_string.test\";i:256;s:39:\"tests/handlers/views_handler_field.test\";i:257;s:47:\"tests/handlers/views_handler_field_boolean.test\";i:258;s:46:\"tests/handlers/views_handler_field_custom.test\";i:259;s:47:\"tests/handlers/views_handler_field_counter.test\";i:260;s:44:\"tests/handlers/views_handler_field_date.test\";i:261;s:54:\"tests/handlers/views_handler_field_file_extension.test\";i:262;s:49:\"tests/handlers/views_handler_field_file_size.test\";i:263;s:44:\"tests/handlers/views_handler_field_math.test\";i:264;s:43:\"tests/handlers/views_handler_field_url.test\";i:265;s:43:\"tests/handlers/views_handler_field_xss.test\";i:266;s:48:\"tests/handlers/views_handler_filter_combine.test\";i:267;s:45:\"tests/handlers/views_handler_filter_date.test\";i:268;s:49:\"tests/handlers/views_handler_filter_equality.test\";i:269;s:52:\"tests/handlers/views_handler_filter_in_operator.test\";i:270;s:48:\"tests/handlers/views_handler_filter_numeric.test\";i:271;s:47:\"tests/handlers/views_handler_filter_string.test\";i:272;s:45:\"tests/handlers/views_handler_sort_random.test\";i:273;s:43:\"tests/handlers/views_handler_sort_date.test\";i:274;s:38:\"tests/handlers/views_handler_sort.test\";i:275;s:46:\"tests/test_handlers/views_test_area_access.inc\";i:276;s:60:\"tests/test_plugins/views_test_plugin_access_test_dynamic.inc\";i:277;s:59:\"tests/test_plugins/views_test_plugin_access_test_static.inc\";i:278;s:59:\"tests/test_plugins/views_test_plugin_style_test_mapping.inc\";i:279;s:39:\"tests/plugins/views_plugin_display.test\";i:280;s:46:\"tests/styles/views_plugin_style_jump_menu.test\";i:281;s:36:\"tests/styles/views_plugin_style.test\";i:282;s:41:\"tests/styles/views_plugin_style_base.test\";i:283;s:44:\"tests/styles/views_plugin_style_mapping.test\";i:284;s:48:\"tests/styles/views_plugin_style_unformatted.test\";i:285;s:23:\"tests/views_access.test\";i:286;s:24:\"tests/views_analyze.test\";i:287;s:22:\"tests/views_basic.test\";i:288;s:33:\"tests/views_argument_default.test\";i:289;s:35:\"tests/views_argument_validator.test\";i:290;s:29:\"tests/views_exposed_form.test\";i:291;s:31:\"tests/field/views_fieldapi.test\";i:292;s:25:\"tests/views_glossary.test\";i:293;s:24:\"tests/views_groupby.test\";i:294;s:25:\"tests/views_handlers.test\";i:295;s:23:\"tests/views_module.test\";i:296;s:22:\"tests/views_pager.test\";i:297;s:40:\"tests/views_plugin_localization_test.inc\";i:298;s:29:\"tests/views_translatable.test\";i:299;s:22:\"tests/views_query.test\";i:300;s:24:\"tests/views_upgrade.test\";i:301;s:34:\"tests/views_test.views_default.inc\";i:302;s:58:\"tests/comment/views_handler_argument_comment_user_uid.test\";i:303;s:56:\"tests/comment/views_handler_filter_comment_user_uid.test\";i:304;s:45:\"tests/node/views_node_revision_relations.test\";i:305;s:61:\"tests/taxonomy/views_handler_relationship_node_term_data.test\";i:306;s:45:\"tests/user/views_handler_field_user_name.test\";i:307;s:43:\"tests/user/views_user_argument_default.test\";i:308;s:44:\"tests/user/views_user_argument_validate.test\";i:309;s:26:\"tests/user/views_user.test\";i:310;s:22:\"tests/views_cache.test\";i:311;s:21:\"tests/views_view.test\";i:312;s:19:\"tests/views_ui.test\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views/views_ui.module','views_ui','module','',1,0,0,0,'a:13:{s:4:\"name\";s:8:\"Views UI\";s:11:\"description\";s:93:\"Administrative interface to views. Without this module, you cannot create or edit your views.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:9:\"configure\";s:21:\"admin/structure/views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:15:\"views_ui.module\";i:1;s:57:\"plugins/views_wizard/views_ui_base_views_wizard.class.php\";}s:7:\"version\";s:8:\"7.x-3.16\";s:7:\"project\";s:5:\"views\";s:9:\"datestamp\";s:10:\"1491158591\";s:5:\"mtime\";i:1491158591;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bootstrap/views_bootstrap.module','views_bootstrap','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views Bootstrap\";s:7:\"package\";s:5:\"Views\";s:11:\"description\";s:20:\"Bootstrap Components\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:9:{i:0;s:58:\"plugins/carousel/views_bootstrap_carousel_plugin_style.inc\";i:1;s:57:\"plugins/carousel/views_bootstrap_carousel_plugin_rows.inc\";i:2;s:60:\"plugins/thumbnail/views_bootstrap_thumbnail_plugin_style.inc\";i:3;s:59:\"plugins/thumbnail/views_bootstrap_thumbnail_plugin_rows.inc\";i:4;s:50:\"plugins/grid/views_bootstrap_grid_plugin_style.inc\";i:5;s:60:\"plugins/accordion/views_bootstrap_accordion_plugin_style.inc\";i:6;s:48:\"plugins/tab/views_bootstrap_tab_plugin_style.inc\";i:7;s:52:\"plugins/media/views_bootstrap_media_plugin_style.inc\";i:8;s:52:\"plugins/table/views_bootstrap_table_plugin_style.inc\";}s:7:\"version\";s:7:\"7.x-3.1\";s:4:\"core\";s:3:\"7.x\";s:7:\"project\";s:15:\"views_bootstrap\";s:9:\"datestamp\";s:10:\"1398607429\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bulk_operations/actions_permissions.module','actions_permissions','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:25:\"Actions permissions (VBO)\";s:11:\"description\";s:84:\"Provides permission-based access control for actions. Used by Views Bulk Operations.\";s:7:\"package\";s:14:\"Administration\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:5:\"mtime\";i:1499939305;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_bulk_operations/views_bulk_operations.module','views_bulk_operations','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:21:\"Views Bulk Operations\";s:11:\"description\";s:74:\"Provides a way of selecting multiple rows and applying operations to them.\";s:12:\"dependencies\";a:2:{i:0;s:6:\"entity\";i:1;s:5:\"views\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:3:\"php\";s:5:\"5.2.9\";s:5:\"files\";a:2:{i:0;s:38:\"plugins/operation_types/base.class.php\";i:1;s:56:\"views/views_bulk_operations_handler_field_operations.inc\";}s:7:\"version\";s:7:\"7.x-3.2\";s:7:\"project\";s:21:\"views_bulk_operations\";s:9:\"datestamp\";s:10:\"1387798183\";s:5:\"mtime\";i:1499939305;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_datasource/views_json.module','views_json','module','',1,0,0,0,'a:12:{s:4:\"name\";s:10:\"Views JSON\";s:11:\"description\";s:50:\"Views style plugin to render node content as JSON.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:41:\"views/plugins/views_plugin_style_json.inc\";}s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:7:\"project\";s:16:\"views_datasource\";s:9:\"datestamp\";s:10:\"1423859528\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_datasource/views_rdf.module','views_rdf','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"Views RDF\";s:11:\"description\";s:49:\"Views style plugin to render node content as RDF.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:40:\"views/plugins/views_plugin_style_rdf.inc\";}s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:7:\"project\";s:16:\"views_datasource\";s:9:\"datestamp\";s:10:\"1423859528\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_datasource/views_xhtml.module','views_xhtml','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:11:\"Views XHTML\";s:11:\"description\";s:64:\"Views style plugin to render node content as XHTML microformats.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:2:{i:0;s:5:\"views\";i:1;s:9:\"views_xml\";}s:5:\"files\";a:1:{i:0;s:42:\"views/plugins/views_plugin_style_xhtml.inc\";}s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:7:\"project\";s:16:\"views_datasource\";s:9:\"datestamp\";s:10:\"1423859528\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_datasource/views_xml.module','views_xml','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:9:\"Views XML\";s:11:\"description\";s:49:\"Views style plugin to render node content as XML.\";s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:40:\"views/plugins/views_plugin_style_xml.inc\";}s:7:\"version\";s:14:\"7.x-1.0-alpha2\";s:7:\"project\";s:16:\"views_datasource\";s:9:\"datestamp\";s:10:\"1423859528\";s:5:\"mtime\";i:1499939305;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_fieldsets/views_fieldsets.module','views_fieldsets','module','',1,0,0,0,'a:12:{s:4:\"name\";s:15:\"Views fieldsets\";s:11:\"description\";s:44:\"Output several Views fields into a fieldset.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:3:\"php\";s:3:\"5.3\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:1:{i:0;s:48:\"views/views_fieldsets_fieldset_field_handler.inc\";}s:7:\"version\";s:7:\"7.x-2.1\";s:7:\"project\";s:15:\"views_fieldsets\";s:9:\"datestamp\";s:10:\"1452361196\";s:5:\"mtime\";i:1452361196;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_field_view/views_field_view.module','views_field_view','module','',1,0,0,0,'a:12:{s:4:\"name\";s:16:\"Views Field View\";s:11:\"description\";s:36:\"Embeds a view inside a view as field\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:5:\"Views\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:5:\"files\";a:2:{i:0;s:39:\"views_field_view_handler_field_view.inc\";i:1;s:27:\"tests/views_field_view.test\";}s:7:\"version\";s:7:\"7.x-1.2\";s:7:\"project\";s:16:\"views_field_view\";s:9:\"datestamp\";s:10:\"1442561052\";s:5:\"mtime\";i:1442561052;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/contrib/views_slideshow_cycle/views_slideshow_cycle.module','views_slideshow_cycle','module','',1,0,0,0,'a:12:{s:4:\"name\";s:22:\"Views Slideshow: Cycle\";s:11:\"description\";s:50:\"Adds a Rotating slideshow mode to Views Slideshow.\";s:12:\"dependencies\";a:2:{i:0;s:15:\"views_slideshow\";i:1;s:9:\"libraries\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/contrib/views_slideshow_simple_pager/views_slideshow_simple_pager.module','views_slideshow_simple_pager','module','',0,0,-1,0,'a:12:{s:4:\"name\";s:28:\"Views Slideshow Simple Pager\";s:11:\"description\";s:44:\"Provides a simple pager for Views Slideshow.\";s:12:\"dependencies\";a:1:{i:0;s:15:\"views_slideshow\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/modules/views_slideshow/views_slideshow.module','views_slideshow','module','',1,0,7300,0,'a:12:{s:4:\"name\";s:15:\"Views Slideshow\";s:11:\"description\";s:155:\"Provides a View style that displays rows as a jQuery slideshow.  This is an API and requires Views Slideshow Cycle or another module that supports the API.\";s:12:\"dependencies\";a:1:{i:0;s:5:\"views\";}s:7:\"package\";s:5:\"Views\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:1:{i:0;s:42:\"views_slideshow_plugin_style_slideshow.inc\";}s:7:\"version\";s:7:\"7.x-3.9\";s:7:\"project\";s:15:\"views_slideshow\";s:9:\"datestamp\";s:10:\"1496893153\";s:5:\"mtime\";i:1496893153;s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/webform/webform.module','webform','module','',1,0,7430,-1,'a:14:{s:4:\"name\";s:7:\"Webform\";s:11:\"description\";s:49:\"Enables the creation of forms and questionnaires.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:7:\"Webform\";s:9:\"configure\";s:28:\"admin/config/content/webform\";s:3:\"php\";s:3:\"5.3\";s:12:\"dependencies\";a:2:{i:0;s:6:\"ctools\";i:1;s:5:\"views\";}s:17:\"test_dependencies\";a:1:{i:0;s:5:\"token\";}s:5:\"files\";a:27:{i:0;s:40:\"includes/webform.webformconditionals.inc\";i:1;s:49:\"includes/exporters/webform_exporter_delimited.inc\";i:2;s:55:\"includes/exporters/webform_exporter_excel_delimited.inc\";i:3;s:50:\"includes/exporters/webform_exporter_excel_xlsx.inc\";i:4;s:39:\"includes/exporters/webform_exporter.inc\";i:5;s:43:\"views/webform_handler_area_result_pager.inc\";i:6;s:41:\"views/webform_handler_field_form_body.inc\";i:7;s:40:\"views/webform_handler_field_is_draft.inc\";i:8;s:46:\"views/webform_handler_field_node_link_edit.inc\";i:9;s:49:\"views/webform_handler_field_node_link_results.inc\";i:10;s:48:\"views/webform_handler_field_submission_count.inc\";i:11;s:47:\"views/webform_handler_field_submission_data.inc\";i:12;s:47:\"views/webform_handler_field_submission_link.inc\";i:13;s:46:\"views/webform_handler_field_webform_status.inc\";i:14;s:41:\"views/webform_handler_filter_is_draft.inc\";i:15;s:48:\"views/webform_handler_filter_submission_data.inc\";i:16;s:47:\"views/webform_handler_filter_webform_status.inc\";i:17;s:38:\"views/webform_handler_numeric_data.inc\";i:18;s:54:\"views/webform_handler_relationship_submission_data.inc\";i:19;s:44:\"views/webform_plugin_row_submission_view.inc\";i:20;s:23:\"views/webform.views.inc\";i:21;s:36:\"tests/WebformComponentsTestCase.test\";i:22;s:38:\"tests/WebformConditionalsTestCase.test\";i:23;s:33:\"tests/WebformGeneralTestCase.test\";i:24;s:37:\"tests/WebformPermissionsTestCase.test\";i:25;s:36:\"tests/WebformSubmissionTestCase.test\";i:26;s:26:\"tests/WebformTestCase.test\";}s:7:\"version\";s:8:\"7.x-4.15\";s:7:\"project\";s:7:\"webform\";s:9:\"datestamp\";s:10:\"1492107249\";s:5:\"mtime\";i:1492107249;s:9:\"bootstrap\";i:0;}'),('sites/all/modules/weight/weight.module','weight','module','',1,0,7212,0,'a:12:{s:4:\"name\";s:6:\"Weight\";s:11:\"description\";s:28:\"Add a weight field to nodes.\";s:4:\"core\";s:3:\"7.x\";s:5:\"files\";a:3:{i:0;s:37:\"views/weight_handler_field_weight.inc\";i:1;s:46:\"views/weight_handler_filter_weight_enabled.inc\";i:2;s:18:\"weight.migrate.inc\";}s:7:\"version\";s:7:\"7.x-2.5\";s:7:\"project\";s:6:\"weight\";s:9:\"datestamp\";s:10:\"1430342647\";s:5:\"mtime\";i:1430342647;s:12:\"dependencies\";a:0:{}s:7:\"package\";s:5:\"Other\";s:3:\"php\";s:5:\"5.2.4\";s:9:\"bootstrap\";i:0;}'),('sites/all/modules/we_content_migration/we_content_migration.module','we_content_migration','module','',1,0,0,0,'a:12:{s:4:\"name\";s:17:\"Content Migration\";s:11:\"description\";s:29:\"Migrate Content for Drupal 7.\";s:4:\"core\";s:3:\"7.x\";s:7:\"package\";s:17:\"Content Migration\";s:7:\"version\";s:11:\"7.x-1.x-dev\";s:7:\"project\";s:20:\"we_content_migration\";s:9:\"datestamp\";s:10:\"1499677744\";s:5:\"mtime\";i:1499652544;s:12:\"dependencies\";a:0:{}s:3:\"php\";s:5:\"5.2.4\";s:5:\"files\";a:0:{}s:9:\"bootstrap\";i:0;}'),('sites/all/themes/photo/photo.info','photo','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:20:{s:4:\"name\";s:5:\"Photo\";s:11:\"description\";s:16:\"Theme for Photo.\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:13:{s:34:\"vendor/bootstrap/css/bootstrap.css\";s:57:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap.css\";s:40:\"vendor/bootstrap/css/bootstrap-theme.css\";s:63:\"sites/all/themes/photo/vendor/bootstrap/css/bootstrap-theme.css\";s:39:\"vendor/fontawesome/css/font-awesome.css\";s:62:\"sites/all/themes/photo/vendor/fontawesome/css/font-awesome.css\";s:41:\"vendor/light-gallery/css/lightGallery.css\";s:64:\"sites/all/themes/photo/vendor/light-gallery/css/lightGallery.css\";s:54:\"vendor/responsive_gallery/jquery-responsiveGallery.css\";s:77:\"sites/all/themes/photo/vendor/responsive_gallery/jquery-responsiveGallery.css\";s:20:\"fonts/stylesheet.css\";s:43:\"sites/all/themes/photo/fonts/stylesheet.css\";s:15:\"css/animate.css\";s:38:\"sites/all/themes/photo/css/animate.css\";s:12:\"css/html.css\";s:35:\"sites/all/themes/photo/css/html.css\";s:12:\"css/base.css\";s:35:\"sites/all/themes/photo/css/base.css\";s:13:\"css/block.css\";s:36:\"sites/all/themes/photo/css/block.css\";s:12:\"css/view.css\";s:35:\"sites/all/themes/photo/css/view.css\";s:12:\"css/menu.css\";s:35:\"sites/all/themes/photo/css/menu.css\";s:12:\"css/page.css\";s:35:\"sites/all/themes/photo/css/page.css\";}}s:23:\"stylesheets-conditional\";a:1:{s:2:\"IE\";a:1:{s:3:\"all\";a:1:{i:0;s:10:\"css/ie.css\";}}}s:7:\"scripts\";a:14:{s:26:\"vendor/modernizr.custom.js\";s:49:\"sites/all/themes/photo/vendor/modernizr.custom.js\";s:15:\"js/jquery-ui.js\";s:38:\"sites/all/themes/photo/js/jquery-ui.js\";s:36:\"vendor/bootstrap/js/bootstrap.min.js\";s:59:\"sites/all/themes/photo/vendor/bootstrap/js/bootstrap.min.js\";s:23:\"vendor/jquery.cookie.js\";s:46:\"sites/all/themes/photo/vendor/jquery.cookie.js\";s:30:\"vendor/jquery.smooth-scroll.js\";s:53:\"sites/all/themes/photo/vendor/jquery.smooth-scroll.js\";s:28:\"vendor/uikit/js/uikit.min.js\";s:51:\"sites/all/themes/photo/vendor/uikit/js/uikit.min.js\";s:53:\"vendor/responsive_gallery/jquery.responsiveGallery.js\";s:76:\"sites/all/themes/photo/vendor/responsive_gallery/jquery.responsiveGallery.js\";s:39:\"vendor/light-gallery/js/lightGallery.js\";s:62:\"sites/all/themes/photo/vendor/light-gallery/js/lightGallery.js\";s:18:\"js/isotope.pkgd.js\";s:41:\"sites/all/themes/photo/js/isotope.pkgd.js\";s:22:\"js/masonry.pkgd.min.js\";s:45:\"sites/all/themes/photo/js/masonry.pkgd.min.js\";s:22:\"js/jquery.film_roll.js\";s:45:\"sites/all/themes/photo/js/jquery.film_roll.js\";s:19:\"js/colorbox_load.js\";s:42:\"sites/all/themes/photo/js/colorbox_load.js\";s:13:\"js/weebpal.js\";s:36:\"sites/all/themes/photo/js/weebpal.js\";s:11:\"js/photo.js\";s:34:\"sites/all/themes/photo/js/photo.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:9:\"main_menu\";s:9:\"Main Menu\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:7:\"content\";s:7:\"Content\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:9:{s:19:\"sidebar_first_width\";s:1:\"3\";s:20:\"sidebar_second_width\";s:1:\"3\";s:20:\"panel_footer_1_width\";s:1:\"3\";s:20:\"panel_footer_2_width\";s:1:\"3\";s:20:\"panel_footer_3_width\";s:1:\"3\";s:20:\"panel_footer_4_width\";s:1:\"3\";s:25:\"panel_highlighted_1_width\";s:1:\"4\";s:25:\"panel_highlighted_3_width\";s:1:\"4\";s:20:\"layout_width_default\";s:4:\"1200\";}s:5:\"skins\";a:5:{s:3:\"red\";s:3:\"Red\";s:9:\"dark_blue\";s:9:\"Dark Blue\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";s:4:\"cyan\";s:4:\"Cyan\";}s:11:\"backgrounds\";a:7:{s:4:\"bg-1\";s:12:\"Background 1\";s:4:\"bg-2\";s:12:\"Background 2\";s:4:\"bg-3\";s:12:\"Background 3\";s:4:\"bg-4\";s:12:\"Background 4\";s:4:\"bg-5\";s:12:\"Background 5\";s:4:\"bg-6\";s:12:\"Background 6\";s:4:\"bg-7\";s:12:\"Background 7\";}s:6:\"layout\";a:1:{s:12:\"layout-boxed\";s:12:\"Boxed Layout\";}s:10:\"screenshot\";s:37:\"sites/all/themes/photo/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499939305;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('sites/all/themes/we_backend/we_backend.info','we_backend','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:15:{s:4:\"name\";s:21:\"WeebPal Backend theme\";s:11:\"description\";s:26:\"Backend theme from WeebPal\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:6:\"engine\";s:11:\"phptemplate\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:20:\"assets/css/style.css\";s:48:\"sites/all/themes/we_backend/assets/css/style.css\";}}s:7:\"scripts\";a:1:{s:20:\"assets/js/scripts.js\";s:48:\"sites/all/themes/we_backend/assets/js/scripts.js\";}s:8:\"features\";a:7:{i:0;s:4:\"logo\";i:1;s:4:\"name\";i:2;s:6:\"slogan\";i:3;s:17:\"node_user_picture\";i:4;s:20:\"comment_user_picture\";i:5;s:25:\"comment_user_verification\";i:6;s:7:\"favicon\";}s:7:\"regions\";a:10:{s:6:\"header\";s:6:\"Header\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:10:\"screenshot\";s:42:\"sites/all/themes/we_backend/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:5:\"mtime\";i:1499643480;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/bartik/bartik.info','bartik','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:6:\"Bartik\";s:11:\"description\";s:48:\"A flexible, recolorable theme with many regions.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:3:{s:14:\"css/layout.css\";s:28:\"themes/bartik/css/layout.css\";s:13:\"css/style.css\";s:27:\"themes/bartik/css/style.css\";s:14:\"css/colors.css\";s:28:\"themes/bartik/css/colors.css\";}s:5:\"print\";a:1:{s:13:\"css/print.css\";s:27:\"themes/bartik/css/print.css\";}}s:7:\"regions\";a:20:{s:6:\"header\";s:6:\"Header\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:11:\"highlighted\";s:11:\"Highlighted\";s:8:\"featured\";s:8:\"Featured\";s:7:\"content\";s:7:\"Content\";s:13:\"sidebar_first\";s:13:\"Sidebar first\";s:14:\"sidebar_second\";s:14:\"Sidebar second\";s:14:\"triptych_first\";s:14:\"Triptych first\";s:15:\"triptych_middle\";s:15:\"Triptych middle\";s:13:\"triptych_last\";s:13:\"Triptych last\";s:18:\"footer_firstcolumn\";s:19:\"Footer first column\";s:19:\"footer_secondcolumn\";s:20:\"Footer second column\";s:18:\"footer_thirdcolumn\";s:19:\"Footer third column\";s:19:\"footer_fourthcolumn\";s:20:\"Footer fourth column\";s:6:\"footer\";s:6:\"Footer\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"0\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:28:\"themes/bartik/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/garland/garland.info','garland','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:19:{s:4:\"name\";s:7:\"Garland\";s:11:\"description\";s:111:\"A multi-column theme which can be configured to modify colors and switch between fixed and fluid width layouts.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:2:{s:3:\"all\";a:1:{s:9:\"style.css\";s:24:\"themes/garland/style.css\";}s:5:\"print\";a:1:{s:9:\"print.css\";s:24:\"themes/garland/print.css\";}}s:8:\"settings\";a:1:{s:13:\"garland_width\";s:5:\"fluid\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:29:\"themes/garland/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/seven/seven.info','seven','theme','themes/engines/phptemplate/phptemplate.engine',1,0,-1,0,'a:19:{s:4:\"name\";s:5:\"Seven\";s:11:\"description\";s:65:\"A simple one-column, tableless, fluid width administration theme.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:6:\"screen\";a:2:{s:9:\"reset.css\";s:22:\"themes/seven/reset.css\";s:9:\"style.css\";s:22:\"themes/seven/style.css\";}}s:8:\"settings\";a:1:{s:20:\"shortcut_module_link\";s:1:\"1\";}s:7:\"regions\";a:8:{s:7:\"content\";s:7:\"Content\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:13:\"sidebar_first\";s:13:\"First sidebar\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:14:\"regions_hidden\";a:3:{i:0;s:13:\"sidebar_first\";i:1;s:8:\"page_top\";i:2;s:11:\"page_bottom\";}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/seven/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}'),('themes/stark/stark.info','stark','theme','themes/engines/phptemplate/phptemplate.engine',0,0,-1,0,'a:18:{s:4:\"name\";s:5:\"Stark\";s:11:\"description\";s:208:\"This theme demonstrates Drupal\'s default HTML markup and CSS styles. To learn how to build your own theme and override Drupal\'s default code, see the <a href=\"http://drupal.org/theme-guide\">Theming Guide</a>.\";s:7:\"package\";s:4:\"Core\";s:7:\"version\";s:4:\"7.56\";s:4:\"core\";s:3:\"7.x\";s:11:\"stylesheets\";a:1:{s:3:\"all\";a:1:{s:10:\"layout.css\";s:23:\"themes/stark/layout.css\";}}s:7:\"project\";s:6:\"drupal\";s:9:\"datestamp\";s:10:\"1498069849\";s:6:\"engine\";s:11:\"phptemplate\";s:7:\"regions\";a:12:{s:13:\"sidebar_first\";s:12:\"Left sidebar\";s:14:\"sidebar_second\";s:13:\"Right sidebar\";s:7:\"content\";s:7:\"Content\";s:6:\"header\";s:6:\"Header\";s:6:\"footer\";s:6:\"Footer\";s:11:\"highlighted\";s:11:\"Highlighted\";s:4:\"help\";s:4:\"Help\";s:8:\"page_top\";s:8:\"Page top\";s:11:\"page_bottom\";s:11:\"Page bottom\";s:14:\"dashboard_main\";s:16:\"Dashboard (main)\";s:17:\"dashboard_sidebar\";s:19:\"Dashboard (sidebar)\";s:18:\"dashboard_inactive\";s:20:\"Dashboard (inactive)\";}s:8:\"features\";a:9:{i:0;s:4:\"logo\";i:1;s:7:\"favicon\";i:2;s:4:\"name\";i:3;s:6:\"slogan\";i:4;s:17:\"node_user_picture\";i:5;s:20:\"comment_user_picture\";i:6;s:25:\"comment_user_verification\";i:7;s:9:\"main_menu\";i:8;s:14:\"secondary_menu\";}s:10:\"screenshot\";s:27:\"themes/stark/screenshot.png\";s:3:\"php\";s:5:\"5.2.4\";s:7:\"scripts\";a:0:{}s:5:\"mtime\";i:1498069849;s:15:\"overlay_regions\";a:5:{i:0;s:14:\"dashboard_main\";i:1;s:17:\"dashboard_sidebar\";i:2;s:18:\"dashboard_inactive\";i:3;s:7:\"content\";i:4;s:4:\"help\";}s:14:\"regions_hidden\";a:2:{i:0;s:8:\"page_top\";i:1;s:11:\"page_bottom\";}s:28:\"overlay_supplemental_regions\";a:1:{i:0;s:11:\"page_bottom\";}}');
/*!40000 ALTER TABLE `system` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_index`
--

DROP TABLE IF EXISTS `taxonomy_index`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_index` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node.nid this record tracks.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The term ID.',
  `sticky` tinyint(4) DEFAULT '0' COMMENT 'Boolean indicating whether the node is sticky.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'The Unix timestamp when the node was created.',
  KEY `term_node` (`tid`,`sticky`,`created`),
  KEY `nid` (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maintains denormalized information about node/term...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_index`
--

LOCK TABLES `taxonomy_index` WRITE;
/*!40000 ALTER TABLE `taxonomy_index` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_index` VALUES (1,3,0,1422866014),(29,5,0,1422939776),(35,4,0,1422951303),(36,4,0,1422951335),(37,3,0,1423045807),(38,3,0,1423045850),(39,3,0,1423045872),(42,2,0,1423045995),(47,4,0,1423046111),(46,4,0,1423046092),(45,4,0,1423046072),(43,4,0,1423046021),(40,1,0,1423045911),(2,1,0,1422866069),(34,2,0,1422950936),(48,4,0,1423046128),(41,1,0,1423045931),(4,2,0,1422866155),(3,3,0,1422866136),(52,9,0,1433402020),(53,9,0,1433402117),(51,9,0,1433401941),(50,9,0,1433401895),(44,4,0,1423046043),(30,6,0,1422939809),(32,8,0,1422939914),(31,7,0,1422939847);
/*!40000 ALTER TABLE `taxonomy_index` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_menu`
--

DROP TABLE IF EXISTS `taxonomy_menu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_menu` (
  `mlid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy terms menu_link.mlid.',
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Tid that is linked to the mlid.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Vid for the tid.',
  PRIMARY KEY (`mlid`,`tid`),
  KEY `vid` (`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Links a taxonomy term to a menu item.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_menu`
--

LOCK TABLES `taxonomy_menu` WRITE;
/*!40000 ALTER TABLE `taxonomy_menu` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `taxonomy_menu` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_data`
--

DROP TABLE IF EXISTS `taxonomy_term_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_data` (
  `tid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique term ID.',
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The taxonomy_vocabulary.vid of the vocabulary to which the term is assigned.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The term name.',
  `description` longtext COMMENT 'A description of the term.',
  `format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the description.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this term in relation to other terms.',
  PRIMARY KEY (`tid`),
  KEY `taxonomy_tree` (`vid`,`weight`,`name`),
  KEY `vid_name` (`vid`,`name`),
  KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COMMENT='Stores term information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_data`
--

LOCK TABLES `taxonomy_term_data` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_data` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_data` VALUES (1,2,'people','','filtered_html',0),(2,2,'animals','','filtered_html',0),(3,2,'places','','filtered_html',0),(4,2,'products','','filtered_html',0),(5,1,'Photos',NULL,NULL,0),(6,1,'Camera',NULL,NULL,0),(7,1,'Photography',NULL,NULL,0),(8,1,'Nikon',NULL,NULL,0),(9,2,'Natures','','filtered_html',0);
/*!40000 ALTER TABLE `taxonomy_term_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_term_hierarchy`
--

DROP TABLE IF EXISTS `taxonomy_term_hierarchy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_term_hierarchy` (
  `tid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term.',
  `parent` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: The taxonomy_term_data.tid of the term’s parent. 0 indicates no parent.',
  PRIMARY KEY (`tid`,`parent`),
  KEY `parent` (`parent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores the hierarchical relationship between terms.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_term_hierarchy`
--

LOCK TABLES `taxonomy_term_hierarchy` WRITE;
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_term_hierarchy` VALUES (1,0),(2,0),(3,0),(4,0),(5,0),(6,0),(7,0),(8,0),(9,0);
/*!40000 ALTER TABLE `taxonomy_term_hierarchy` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `taxonomy_vocabulary`
--

DROP TABLE IF EXISTS `taxonomy_vocabulary`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `taxonomy_vocabulary` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique vocabulary ID.',
  `name` varchar(255) NOT NULL DEFAULT '' COMMENT 'Name of the vocabulary.',
  `machine_name` varchar(255) NOT NULL DEFAULT '' COMMENT 'The vocabulary machine name.',
  `description` longtext COMMENT 'Description of the vocabulary.',
  `hierarchy` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The type of hierarchy allowed within the vocabulary. (0 = disabled, 1 = single, 2 = multiple)',
  `module` varchar(255) NOT NULL DEFAULT '' COMMENT 'The module which created the vocabulary.',
  `weight` int(11) NOT NULL DEFAULT '0' COMMENT 'The weight of this vocabulary in relation to other vocabularies.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `machine_name` (`machine_name`),
  KEY `list` (`weight`,`name`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='Stores vocabulary information.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `taxonomy_vocabulary`
--

LOCK TABLES `taxonomy_vocabulary` WRITE;
/*!40000 ALTER TABLE `taxonomy_vocabulary` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `taxonomy_vocabulary` VALUES (1,'Tags','tags','Use tags to group articles on similar topics into categories.',0,'taxonomy',0),(2,'Gallery type','gallery_type','',0,'taxonomy',0);
/*!40000 ALTER TABLE `taxonomy_vocabulary` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `url_alias`
--

DROP TABLE IF EXISTS `url_alias`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `url_alias` (
  `pid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'A unique path alias identifier.',
  `source` varchar(255) NOT NULL DEFAULT '' COMMENT 'The Drupal path this alias is for; e.g. node/12.',
  `alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'The alias for this path; e.g. title-of-the-story.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'The language this alias is for; if ’und’, the alias will be used for unknown languages. Each Drupal path can have an alias for each supported language.',
  PRIMARY KEY (`pid`),
  KEY `alias_language_pid` (`alias`,`language`,`pid`),
  KEY `source_language_pid` (`source`,`language`,`pid`)
) ENGINE=InnoDB AUTO_INCREMENT=116 DEFAULT CHARSET=utf8 COMMENT='A list of URL aliases for Drupal paths; a user may visit...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `url_alias`
--

LOCK TABLES `url_alias` WRITE;
/*!40000 ALTER TABLE `url_alias` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `url_alias` VALUES (16,'user/2','users/laura','und'),(17,'user/3','users/john','und'),(18,'user/4','users/maria','und'),(31,'taxonomy/term/1','gallery-type/people','und'),(32,'taxonomy/term/2','gallery-type/animals','und'),(33,'taxonomy/term/3','gallery-type/places','und'),(34,'taxonomy/term/4','gallery-type/products','und'),(36,'taxonomy/term/5','tags/photos','und'),(38,'taxonomy/term/6','tags/camera','und'),(40,'taxonomy/term/7','tags/photography','und'),(42,'taxonomy/term/8','tags/nikon','und'),(53,'taxonomy/term/9','gallery-type/natures','und'),(61,'node/1','gallery/lorem-ipsum-dolor-sit-ame','und'),(62,'node/2','gallery/duis-ultrices','und'),(63,'node/3','gallery/13-incredible-newborn-photos','und'),(64,'node/4','gallery/2015-traveler-photo-contest','und'),(65,'node/5','about-us','und'),(66,'node/6','services/praesent-non-ligula-urna-imperdiet-ultrices','und'),(67,'node/7','services/class-aptent-taciti-sociosqu-ad-litora-torquent','und'),(68,'node/8','services/sed-lacinia-dolor-vitae-aliquam-vulputate','und'),(69,'node/9','services/morbi-fermentum-fermentum-tortor-ac-viverra','und'),(70,'node/10','content/digital-photography','und'),(71,'node/11','content/wedding-plan','und'),(72,'node/12','content/design-album','und'),(73,'node/13','content/commercial-plan','und'),(74,'node/14','content/products','und'),(75,'node/15','content/print','und'),(76,'node/16','content/vivamus-viverra-est-velit','und'),(77,'node/17','content/quisque-tempor-est-ante','und'),(78,'node/18','content/duis-rutrum-augue-eu-orci-tincidunt-sagittis','und'),(79,'node/19','content/quisque-eget-malesuada-arcu','und'),(80,'node/20','content/phasellus-facilisis-massa-elit','und'),(81,'node/21','content/pellentesque-scelerisque-sapien-et-augue','und'),(82,'node/22','content/nulla-sed-tortor-sem','und'),(83,'node/23','content/phasellus-et-ultrices-mi','und'),(84,'node/24','content/class-aptent-taciti-sociosqu-ad-litora-torquent','und'),(85,'node/25','content/quisque-sed-turpis-semper-viverra-ex-non','und'),(86,'node/26','content/vivamus-auctor-ultricies-luctus','und'),(87,'node/27','content/quisque-semper-auctor-enim','und'),(88,'node/28','gallery-albums','und'),(89,'node/29','blog/pellentesque-habitant-morbi','und'),(90,'node/30','blog/travel-365-daily-photo-feature','und'),(91,'node/31','blog/ultimate-road-trips','und'),(92,'node/32','blog/best-family-trips','und'),(93,'node/33','contact','und'),(94,'node/34','gallery/sed-semper','und'),(95,'node/35','gallery/etiam-aliquam-ex-ligula','und'),(96,'node/36','gallery/proin-scelerisque-elit-felis','und'),(97,'node/37','gallery/etiam-posuere-urna-sed-sodales-sodales','und'),(98,'node/38','gallery/donec-aliquet-eu-tortor-pharetra','und'),(99,'node/39','gallery/aliquam-vulputate-quis-eros-eu-efficitur','und'),(100,'node/40','gallery/aenean-gravida','und'),(101,'node/41','gallery/wild-life','und'),(102,'node/42','gallery/aenean-vel-augue-dolor','und'),(103,'node/43','gallery/seed-life','und'),(104,'node/44','gallery/florida-land-and-water','und'),(105,'node/45','gallery/products','und'),(106,'node/46','gallery/wedding','und'),(107,'node/47','gallery/commercials','und'),(108,'node/48','gallery/portrait','und'),(109,'user/1','users/admin','und'),(110,'blog/1','blogs/admin','und'),(111,'node/49','content/404','en'),(112,'node/50','gallery/travelers-year','en'),(113,'node/51','gallery/americas-best-road-trips','en'),(114,'node/52','gallery/handsome-newborn-2-years-adjustable-tie-ready-ship','en'),(115,'node/53','gallery/canadas-50-places-lifetime','en');
/*!40000 ALTER TABLE `url_alias` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: Unique user ID.',
  `name` varchar(60) NOT NULL DEFAULT '' COMMENT 'Unique user name.',
  `pass` varchar(128) NOT NULL DEFAULT '' COMMENT 'User’s password (hashed).',
  `mail` varchar(254) DEFAULT '' COMMENT 'User’s e-mail address.',
  `theme` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s default theme.',
  `signature` varchar(255) NOT NULL DEFAULT '' COMMENT 'User’s signature.',
  `signature_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the signature.',
  `created` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for when user was created.',
  `access` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for previous time user accessed the site.',
  `login` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp for user’s last login.',
  `status` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Whether the user is active(1) or blocked(0).',
  `timezone` varchar(32) DEFAULT NULL COMMENT 'User’s time zone.',
  `language` varchar(12) NOT NULL DEFAULT '' COMMENT 'User’s default language.',
  `picture` int(11) NOT NULL DEFAULT '0' COMMENT 'Foreign key: file_managed.fid of user’s picture.',
  `init` varchar(254) DEFAULT '' COMMENT 'E-mail address used for initial account creation.',
  `data` longblob COMMENT 'A serialized array of name value pairs that are related to the user. Any form values posted during user edit are stored and are loaded into the $user object during user_load(). Use of this field is discouraged and it will likely disappear in a future...',
  PRIMARY KEY (`uid`),
  UNIQUE KEY `name` (`name`),
  KEY `access` (`access`),
  KEY `created` (`created`),
  KEY `mail` (`mail`),
  KEY `picture` (`picture`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores user data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users` VALUES (0,'','','','','',NULL,0,0,0,0,NULL,'',0,'',NULL),(1,'admin','$S$DOUTAkBidroouSHSNHsJ0QoBTZem69o/jD/PJNeBWWkkO7XeCO/Y','admin@weebpal.com','','','filtered_html',1422604693,1507174996,1507174996,1,'Asia/Ho_Chi_Minh','',66,'admin@weebpal.com','a:1:{s:7:\"overlay\";i:1;}'),(2,'laura','$S$D7IuGEgIpLlGXXkcUFgzP1VkZKMzvDNELbcG9Qqry3xQUw905ZkY','laura@gmail.com','','','filtered_html',1422872728,0,0,1,'Asia/Ho_Chi_Minh','',0,'laura@gmail.com',NULL),(3,'john','$S$Dgs9h7BLvPvtqUpPTLM7w0mZd3NFV5SK9aGD6rCPL9mul2e/aOTW','john@gmail.com','','','filtered_html',1422872989,0,0,1,'Asia/Ho_Chi_Minh','',12,'john@gmail.com','b:0;'),(4,'Maria','$S$DYH7JG75kwLVPOhMI0.KhUeDFCBiAvdhnxaqJsY/GfmpMvcQVyDh','maria@gmail.com','','','filtered_html',1422873160,0,0,1,'Asia/Ho_Chi_Minh','',11,'maria@gmail.com','b:0;');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `users_roles`
--

DROP TABLE IF EXISTS `users_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users_roles` (
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: users.uid for user.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Primary Key: role.rid for role.',
  PRIMARY KEY (`uid`,`rid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps users to roles.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users_roles`
--

LOCK TABLES `users_roles` WRITE;
/*!40000 ALTER TABLE `users_roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `users_roles` VALUES (1,3);
/*!40000 ALTER TABLE `users_roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `variable`
--

DROP TABLE IF EXISTS `variable`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variable` (
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The name of the variable.',
  `value` longblob NOT NULL COMMENT 'The value of the variable.',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Named variable/value pairs created by Drupal core or any...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `variable`
--

LOCK TABLES `variable` WRITE;
/*!40000 ALTER TABLE `variable` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `variable` VALUES ('additional_settings__active_tab','s:13:\"edit-advanced\";'),('additional_settings__active_tab_article','s:12:\"edit-display\";'),('additional_settings__active_tab_blog','s:12:\"edit-comment\";'),('additional_settings__active_tab_client','s:12:\"edit-display\";'),('additional_settings__active_tab_gallery','s:12:\"edit-display\";'),('additional_settings__active_tab_involes','s:15:\"edit-submission\";'),('additional_settings__active_tab_services','s:13:\"edit-workflow\";'),('additional_settings__active_tab_webform','s:12:\"edit-display\";'),('admin_theme','s:10:\"we_backend\";'),('block_cache','i:0;'),('cache','i:0;'),('cache_class_cache_ctools_css','s:14:\"CToolsCssCache\";'),('cache_lifetime','s:1:\"0\";'),('clean_url','s:1:\"1\";'),('clear_all_article','i:0;'),('clear_all_blog','i:0;'),('clear_all_client','i:0;'),('clear_all_gallery','i:0;'),('clear_all_involes','i:0;'),('clear_all_services','i:0;'),('clear_all_webform','i:0;'),('colorbox_caption_trim','s:1:\"0\";'),('colorbox_caption_trim_length','s:2:\"75\";'),('colorbox_compression_type','s:8:\"minified\";'),('colorbox_custom_settings_activate','s:1:\"0\";'),('colorbox_fixed','i:1;'),('colorbox_initialheight','s:3:\"250\";'),('colorbox_initialwidth','s:3:\"300\";'),('colorbox_inline','i:0;'),('colorbox_load','i:1;'),('colorbox_maxheight','s:3:\"98%\";'),('colorbox_maxwidth','s:3:\"98%\";'),('colorbox_mobile_detect','s:1:\"1\";'),('colorbox_mobile_device_width','s:5:\"480px\";'),('colorbox_node_height','s:5:\"600px\";'),('colorbox_node_regions','i:1;'),('colorbox_node_width','s:5:\"600px\";'),('colorbox_opacity','s:4:\"0.85\";'),('colorbox_overlayclose','i:1;'),('colorbox_pages','s:115:\"admin*\r\nimagebrowser*\r\nimg_assist*\r\nimce*\r\nnode/add/*\r\nnode/*/edit\r\nprint/*\r\nprintpdf/*\r\nsystem/ajax\r\nsystem/ajax/*\";'),('colorbox_scrolling','s:1:\"1\";'),('colorbox_slideshow','s:1:\"0\";'),('colorbox_slideshowauto','i:1;'),('colorbox_slideshowspeed','s:4:\"2500\";'),('colorbox_style','s:7:\"default\";'),('colorbox_text_close','s:5:\"Close\";'),('colorbox_text_current','s:20:\"{current} of {total}\";'),('colorbox_text_next','s:7:\"Next »\";'),('colorbox_text_previous','s:7:\"« Prev\";'),('colorbox_text_start','s:15:\"start slideshow\";'),('colorbox_text_stop','s:14:\"stop slideshow\";'),('colorbox_transition_speed','s:3:\"350\";'),('colorbox_transition_type','s:7:\"elastic\";'),('colorbox_visibility','s:1:\"0\";'),('comment_anonymous_article','i:0;'),('comment_anonymous_blog','i:0;'),('comment_anonymous_client','i:0;'),('comment_anonymous_gallery','i:0;'),('comment_anonymous_involes','i:0;'),('comment_anonymous_services','i:0;'),('comment_anonymous_webform','i:0;'),('comment_article','s:1:\"2\";'),('comment_blog','s:1:\"2\";'),('comment_client','s:1:\"2\";'),('comment_default_mode_article','i:1;'),('comment_default_mode_blog','i:1;'),('comment_default_mode_client','i:1;'),('comment_default_mode_gallery','i:1;'),('comment_default_mode_involes','i:1;'),('comment_default_mode_services','i:1;'),('comment_default_mode_webform','i:1;'),('comment_default_per_page_article','s:2:\"50\";'),('comment_default_per_page_blog','s:2:\"10\";'),('comment_default_per_page_client','s:2:\"50\";'),('comment_default_per_page_gallery','s:2:\"50\";'),('comment_default_per_page_involes','s:2:\"50\";'),('comment_default_per_page_services','s:2:\"50\";'),('comment_default_per_page_webform','s:2:\"50\";'),('comment_form_location_article','i:1;'),('comment_form_location_blog','i:1;'),('comment_form_location_client','i:1;'),('comment_form_location_gallery','i:1;'),('comment_form_location_involes','i:1;'),('comment_form_location_services','i:1;'),('comment_form_location_webform','i:1;'),('comment_gallery','s:1:\"2\";'),('comment_involes','s:1:\"2\";'),('comment_page','i:0;'),('comment_preview_article','s:1:\"1\";'),('comment_preview_blog','s:1:\"1\";'),('comment_preview_client','s:1:\"1\";'),('comment_preview_gallery','s:1:\"1\";'),('comment_preview_involes','s:1:\"1\";'),('comment_preview_services','s:1:\"1\";'),('comment_preview_webform','s:1:\"1\";'),('comment_services','s:1:\"1\";'),('comment_subject_field_article','i:1;'),('comment_subject_field_blog','i:0;'),('comment_subject_field_client','i:1;'),('comment_subject_field_gallery','i:1;'),('comment_subject_field_involes','i:1;'),('comment_subject_field_services','i:1;'),('comment_subject_field_webform','i:1;'),('comment_webform','s:1:\"0\";'),('cron_key','s:43:\"dtDI1EAJG1UComZZnpHYJiiO6fXFbM0DddcrdR909Nw\";'),('cron_last','i:1512618606;'),('css_js_query_string','s:6:\"p0kyqy\";'),('ctools_last_cron','i:1512618608;'),('date_default_timezone','s:16:\"Asia/Ho_Chi_Minh\";'),('default_field_group','a:1:{s:28:\"group_info|node|blog|default\";b:1;}'),('default_nodes_main','s:2:\"10\";'),('drupal_http_request_fails','b:0;'),('drupal_private_key','s:43:\"SyW4gXF9lbsIZCyBjahZarGsULoovnzeTqx-rN7O82c\";'),('exclude_node_title_content_type_modes_article','a:7:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_blog','a:7:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_client','a:7:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_gallery','a:7:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_involes','a:7:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_page','a:7:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_services','a:7:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_modes_webform','a:7:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;s:8:\"nodeform\";i:0;}'),('exclude_node_title_content_type_value_article','s:4:\"none\";'),('exclude_node_title_content_type_value_blog','s:4:\"none\";'),('exclude_node_title_content_type_value_client','s:4:\"none\";'),('exclude_node_title_content_type_value_gallery','s:4:\"none\";'),('exclude_node_title_content_type_value_involes','s:4:\"none\";'),('exclude_node_title_content_type_value_page','s:4:\"none\";'),('exclude_node_title_content_type_value_services','s:4:\"none\";'),('exclude_node_title_content_type_value_webform','s:4:\"none\";'),('exclude_node_title_search','i:0;'),('exclude_node_title_translation_sync','b:1;'),('field_bundle_settings_node__blog','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__client','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__gallery','a:2:{s:10:\"view_modes\";a:7:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}s:8:\"colorbox\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__involes','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__page','a:2:{s:10:\"view_modes\";a:6:{s:6:\"teaser\";a:1:{s:15:\"custom_settings\";b:1;}s:4:\"full\";a:1:{s:15:\"custom_settings\";b:0;}s:3:\"rss\";a:1:{s:15:\"custom_settings\";b:0;}s:12:\"search_index\";a:1:{s:15:\"custom_settings\";b:0;}s:13:\"search_result\";a:1:{s:15:\"custom_settings\";b:0;}s:5:\"token\";a:1:{s:15:\"custom_settings\";b:0;}}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_node__services','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:5:\"title\";a:1:{s:6:\"weight\";s:2:\"-5\";}s:4:\"path\";a:1:{s:6:\"weight\";s:2:\"30\";}}s:7:\"display\";a:0:{}}}'),('field_bundle_settings_user__user','a:2:{s:10:\"view_modes\";a:0:{}s:12:\"extra_fields\";a:2:{s:4:\"form\";a:2:{s:7:\"account\";a:1:{s:6:\"weight\";s:1:\"0\";}s:8:\"timezone\";a:1:{s:6:\"weight\";s:1:\"1\";}}s:7:\"display\";a:0:{}}}'),('file_default_scheme','s:6:\"public\";'),('file_private_path','s:0:\"\";'),('file_public_path','s:19:\"sites/default/files\";'),('file_temporary_path','s:4:\"/tmp\";'),('filter_fallback_format','s:10:\"plain_text\";'),('install_profile','s:8:\"standard\";'),('install_task','s:4:\"done\";'),('install_time','i:1422604800;'),('jquery_update_compression_type','s:3:\"min\";'),('jquery_update_jquery_admin_version','s:7:\"default\";'),('jquery_update_jquery_cdn','s:6:\"google\";'),('jquery_update_jquery_version','s:4:\"1.10\";'),('juicebox_apply_markup_filter','i:1;'),('juicebox_enable_cors','i:0;'),('juicebox_js_scope','s:6:\"header\";'),('juicebox_multisize_large','s:8:\"1000x658\";'),('juicebox_multisize_medium','s:8:\"1000x658\";'),('juicebox_multisize_small','s:8:\"1000x658\";'),('juicebox_translate_base_languagelist','s:335:\"Show Thumbnails|Hide Thumbnails|Expand Gallery|Close Gallery|Open Image in New Window|Next Image|Previous Image|Play Audio|Pause Audio|Show Information|Hide Information|Start AutoPlay|Stop AutoPlay|AutoPlay ON|AutoPlay OFF|Go Back|Buy this Image|Share on Facebook|Share on Twitter|Share on Google+|Share on Pinterest|Share on Tumblr|of\";'),('juicebox_translate_interface','i:0;'),('language_content_type_blog','s:1:\"0\";'),('language_count','i:2;'),('language_default','O:8:\"stdClass\":11:{s:8:\"language\";s:2:\"en\";s:4:\"name\";s:7:\"English\";s:6:\"native\";s:7:\"English\";s:9:\"direction\";s:1:\"0\";s:7:\"enabled\";i:1;s:7:\"plurals\";s:1:\"0\";s:7:\"formula\";s:0:\"\";s:6:\"domain\";s:0:\"\";s:6:\"prefix\";s:2:\"en\";s:6:\"weight\";s:1:\"0\";s:10:\"javascript\";s:0:\"\";}'),('language_negotiation_language','a:0:{}'),('language_negotiation_language_content','a:1:{s:16:\"locale-interface\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:30:\"locale_language_from_interface\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_negotiation_language_url','a:2:{s:10:\"locale-url\";a:2:{s:9:\"callbacks\";a:3:{s:8:\"language\";s:24:\"locale_language_from_url\";s:8:\"switcher\";s:28:\"locale_language_switcher_url\";s:11:\"url_rewrite\";s:31:\"locale_language_url_rewrite_url\";}s:4:\"file\";s:19:\"includes/locale.inc\";}s:19:\"locale-url-fallback\";a:2:{s:9:\"callbacks\";a:1:{s:8:\"language\";s:28:\"locale_language_url_fallback\";}s:4:\"file\";s:19:\"includes/locale.inc\";}}'),('language_types','a:3:{s:8:\"language\";b:1;s:16:\"language_content\";b:0;s:12:\"language_url\";b:0;}'),('maintenance_mode','b:0;'),('menu_expanded','a:1:{i:0;s:9:\"main-menu\";}'),('menu_masks','a:40:{i:0;i:501;i:1;i:494;i:2;i:493;i:3;i:250;i:4;i:247;i:5;i:246;i:6;i:245;i:7;i:125;i:8;i:124;i:9;i:123;i:10;i:122;i:11;i:121;i:12;i:118;i:13;i:117;i:14;i:63;i:15;i:62;i:16;i:61;i:17;i:60;i:18;i:59;i:19;i:58;i:20;i:45;i:21;i:44;i:22;i:31;i:23;i:30;i:24;i:29;i:25;i:28;i:26;i:24;i:27;i:22;i:28;i:21;i:29;i:15;i:30;i:14;i:31;i:13;i:32;i:11;i:33;i:10;i:34;i:7;i:35;i:6;i:36;i:5;i:37;i:3;i:38;i:2;i:39;i:1;}'),('menu_options_article','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_blog','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_client','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_gallery','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_involes','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_services','a:1:{i:0;s:9:\"main-menu\";}'),('menu_options_webform','a:1:{i:0;s:9:\"main-menu\";}'),('menu_parent_article','s:11:\"main-menu:0\";'),('menu_parent_blog','s:11:\"main-menu:0\";'),('menu_parent_client','s:11:\"main-menu:0\";'),('menu_parent_gallery','s:11:\"main-menu:0\";'),('menu_parent_involes','s:11:\"main-menu:0\";'),('menu_parent_services','s:11:\"main-menu:0\";'),('menu_parent_webform','s:11:\"main-menu:0\";'),('module_filter_recent_modules','a:1:{s:20:\"we_content_migration\";i:1499939522;}'),('node_admin_theme','i:1;'),('node_cron_last','s:10:\"1438325282\";'),('node_options_article','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_blog','a:1:{i:0;s:6:\"status\";}'),('node_options_client','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_gallery','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_involes','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_page','a:1:{i:0;s:6:\"status\";}'),('node_options_services','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_options_webform','a:2:{i:0;s:6:\"status\";i:1;s:7:\"promote\";}'),('node_preview_article','s:1:\"1\";'),('node_preview_blog','s:1:\"1\";'),('node_preview_client','s:1:\"1\";'),('node_preview_gallery','s:1:\"1\";'),('node_preview_involes','s:1:\"1\";'),('node_preview_services','s:1:\"1\";'),('node_preview_webform','s:1:\"1\";'),('node_submitted_article','i:0;'),('node_submitted_blog','i:1;'),('node_submitted_client','i:0;'),('node_submitted_gallery','i:0;'),('node_submitted_involes','i:1;'),('node_submitted_page','b:0;'),('node_submitted_services','i:0;'),('node_submitted_webform','i:0;'),('page_cache_maximum_age','s:1:\"0\";'),('page_compression','i:1;'),('pathauto_blog_pattern','s:17:\"blogs/[user:name]\";'),('pathauto_forum_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_node_article_pattern','s:0:\"\";'),('pathauto_node_blog_pattern','s:17:\"blog/[node:title]\";'),('pathauto_node_client_pattern','s:0:\"\";'),('pathauto_node_gallery_pattern','s:20:\"gallery/[node:title]\";'),('pathauto_node_involes_pattern','s:0:\"\";'),('pathauto_node_page_pattern','s:0:\"\";'),('pathauto_node_pattern','s:20:\"content/[node:title]\";'),('pathauto_node_services_pattern','s:21:\"services/[node:title]\";'),('pathauto_node_webform_pattern','s:0:\"\";'),('pathauto_punctuation_hyphen','i:1;'),('pathauto_taxonomy_term_gallery_type_pattern','s:0:\"\";'),('pathauto_taxonomy_term_pattern','s:29:\"[term:vocabulary]/[term:name]\";'),('pathauto_taxonomy_term_tags_pattern','s:0:\"\";'),('pathauto_user_pattern','s:17:\"users/[user:name]\";'),('path_alias_whitelist','a:4:{s:4:\"blog\";b:1;s:4:\"node\";b:1;s:8:\"taxonomy\";b:1;s:4:\"user\";b:1;}'),('preprocess_css','i:0;'),('preprocess_js','i:0;'),('save_continue_client','s:19:\"Save and add fields\";'),('save_continue_gallery','s:19:\"Save and add fields\";'),('save_continue_involes','s:19:\"Save and add fields\";'),('save_continue_services','s:19:\"Save and add fields\";'),('sharethis_article_options','a:6:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;}'),('sharethis_blog_options','a:6:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;}'),('sharethis_button_option','s:11:\"stbc_custom\";'),('sharethis_client_options','a:6:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;}'),('sharethis_cns','a:2:{s:9:\"donotcopy\";s:9:\"donotcopy\";s:11:\"hashaddress\";i:0;}'),('sharethis_comments','i:0;'),('sharethis_gallery_options','a:6:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;}'),('sharethis_involes_options','a:6:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;}'),('sharethis_late_load','i:0;'),('sharethis_location','s:7:\"content\";'),('sharethis_node_types','a:8:{s:4:\"blog\";s:4:\"blog\";s:7:\"article\";i:0;s:4:\"page\";i:0;s:6:\"client\";i:0;s:7:\"gallery\";i:0;s:7:\"involes\";i:0;s:8:\"services\";i:0;s:7:\"webform\";i:0;}'),('sharethis_option_extras','a:2:{s:23:\"Google Plus One:plusone\";i:0;s:20:\"Facebook Like:fblike\";i:0;}'),('sharethis_option_neworzero','i:0;'),('sharethis_option_onhover','i:1;'),('sharethis_option_shorten','i:1;'),('sharethis_page_options','a:6:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;}'),('sharethis_publisherID','s:39:\"dr-c87072e7-3f93-5580-8caf-b0fbd62a8f21\";'),('sharethis_services_options','a:6:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;}'),('sharethis_service_option','s:41:\"\"Google +:googleplus\",\"Facebook:facebook\"\";'),('sharethis_twitter_handle','s:0:\"\";'),('sharethis_twitter_recommends','s:0:\"\";'),('sharethis_twitter_suffix','s:0:\"\";'),('sharethis_webform_options','a:6:{s:4:\"full\";i:0;s:6:\"teaser\";i:0;s:3:\"rss\";i:0;s:12:\"search_index\";i:0;s:13:\"search_result\";i:0;s:5:\"token\";i:0;}'),('sharethis_weight','s:2:\"10\";'),('sharethis_widget_option','s:8:\"st_multi\";'),('site_403','s:0:\"\";'),('site_404','s:7:\"node/49\";'),('site_default_country','s:2:\"VN\";'),('site_frontpage','s:9:\"frontpage\";'),('site_mail','s:13:\"admin@lvh.com\";'),('site_name','s:5:\"Photo\";'),('site_slogan','s:0:\"\";'),('sync_translations_article','s:1:\"0\";'),('sync_translations_blog','s:1:\"0\";'),('sync_translations_client','s:1:\"0\";'),('sync_translations_gallery','s:1:\"0\";'),('sync_translations_involes','s:1:\"0\";'),('sync_translations_services','s:1:\"0\";'),('sync_translations_webform','s:1:\"0\";'),('taxonomy_menu_display_descendants_gallery_type','i:0;'),('taxonomy_menu_display_num_gallery_type','i:0;'),('taxonomy_menu_end_all_gallery_type','b:0;'),('taxonomy_menu_expanded_gallery_type','i:1;'),('taxonomy_menu_flat_gallery_type','i:0;'),('taxonomy_menu_hide_empty_terms_gallery_type','i:0;'),('taxonomy_menu_path_gallery_type','s:26:\"taxonomy_menu_path_default\";'),('taxonomy_menu_rebuild_gallery_type','i:0;'),('taxonomy_menu_sync_gallery_type','i:1;'),('taxonomy_menu_term_item_description_gallery_type','i:0;'),('taxonomy_menu_vocab_menu_gallery_type','s:1:\"0\";'),('taxonomy_menu_vocab_parent_gallery_type','s:1:\"0\";'),('taxonomy_menu_voc_item_description_gallery_type','i:0;'),('taxonomy_menu_voc_item_gallery_type','b:0;'),('taxonomy_menu_voc_name_gallery_type','b:0;'),('theme_default','s:5:\"photo\";'),('theme_photo_settings','a:21:{s:13:\"photo_version\";s:0:\"\";s:4:\"skin\";s:0:\"\";s:10:\"background\";s:10:\"bg-default\";s:6:\"layout\";s:14:\"layout-default\";s:12:\"layout_width\";s:4:\"1400\";s:11:\"toggle_logo\";i:1;s:11:\"toggle_name\";i:0;s:13:\"toggle_slogan\";i:0;s:24:\"toggle_node_user_picture\";i:1;s:27:\"toggle_comment_user_picture\";i:1;s:32:\"toggle_comment_user_verification\";i:1;s:14:\"toggle_favicon\";i:1;s:15:\"show_skins_menu\";i:0;s:12:\"loading_page\";i:0;s:12:\"default_logo\";i:1;s:9:\"logo_path\";s:0:\"\";s:11:\"logo_upload\";s:0:\"\";s:15:\"default_favicon\";i:1;s:12:\"favicon_path\";s:0:\"\";s:14:\"favicon_upload\";s:0:\"\";s:26:\"photo_use_default_settings\";s:1:\"0\";}'),('update_last_check','i:1512618614;'),('update_last_email_notification','i:1512618606;'),('update_notify_emails','a:1:{i:0;s:17:\"admin@weebpal.com\";}'),('user_admin_role','s:1:\"3\";'),('user_pictures','s:1:\"1\";'),('user_picture_dimensions','s:9:\"1024x1024\";'),('user_picture_file_size','s:3:\"800\";'),('user_picture_style','s:9:\"thumbnail\";'),('user_register','i:2;'),('views_defaults','a:1:{s:9:\"frontpage\";b:0;}'),('webform_email_address_individual','i:1;'),('webform_email_html_capable','b:0;'),('webform_node_article','i:0;'),('webform_node_blog','i:0;'),('webform_node_client','i:0;'),('webform_node_gallery','i:0;'),('webform_node_involes','i:0;'),('webform_node_services','i:0;'),('webform_node_webform','i:1;'),('weight_default_article','s:1:\"0\";'),('weight_default_blog','s:1:\"0\";'),('weight_default_client','s:1:\"0\";'),('weight_default_gallery','s:1:\"0\";'),('weight_default_involes','s:1:\"0\";'),('weight_default_services','s:1:\"0\";'),('weight_default_webform','s:1:\"0\";'),('weight_enabled_article','s:1:\"0\";'),('weight_enabled_blog','s:1:\"0\";'),('weight_enabled_client','s:1:\"0\";'),('weight_enabled_gallery','s:1:\"0\";'),('weight_enabled_involes','s:1:\"0\";'),('weight_enabled_services','s:1:\"0\";'),('weight_enabled_webform','s:1:\"0\";'),('weight_frontpage','i:0;'),('weight_menu_article','s:1:\"0\";'),('weight_menu_blog','s:1:\"0\";'),('weight_menu_client','s:1:\"0\";'),('weight_menu_gallery','s:1:\"0\";'),('weight_menu_involes','s:1:\"0\";'),('weight_menu_services','s:1:\"0\";'),('weight_menu_webform','s:1:\"0\";'),('weight_range_article','s:2:\"20\";'),('weight_range_blog','s:2:\"20\";'),('weight_range_client','s:2:\"20\";'),('weight_range_gallery','s:2:\"20\";'),('weight_range_involes','s:2:\"20\";'),('weight_range_services','s:2:\"20\";'),('weight_range_webform','s:2:\"20\";');
/*!40000 ALTER TABLE `variable` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_display`
--

DROP TABLE IF EXISTS `views_display`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_display` (
  `vid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The view this display is attached to.',
  `id` varchar(64) NOT NULL DEFAULT '' COMMENT 'An identifier for this display; usually generated from the display_plugin, so should be something like page or page_1 or block_2, etc.',
  `display_title` varchar(64) NOT NULL DEFAULT '' COMMENT 'The title of the display, viewable by the administrator.',
  `display_plugin` varchar(64) NOT NULL DEFAULT '' COMMENT 'The type of the display. Usually page, block or embed, but is pluggable so may be other things.',
  `position` int(11) DEFAULT '0' COMMENT 'The order in which this display is loaded.',
  `display_options` longtext COMMENT 'A serialized array of options for this display; it contains options that are generally only pertinent to that display plugin type.',
  PRIMARY KEY (`vid`,`id`),
  KEY `vid` (`vid`,`position`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about each display attached to a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_display`
--

LOCK TABLES `views_display` WRITE;
/*!40000 ALTER TABLE `views_display` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_display` VALUES (1,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:1:{s:13:\"query_comment\";b:0;}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"4\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:9:\"slideshow\";s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:4:{s:22:\"default_field_elements\";i:1;s:6:\"inline\";a:0:{}s:9:\"separator\";s:0:\"\";s:10:\"hide_empty\";i:0;}s:5:\"sorts\";a:2:{s:6:\"sticky\";a:4:{s:2:\"id\";s:6:\"sticky\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"sticky\";s:5:\"order\";s:4:\"DESC\";}s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:7:\"filters\";a:4:{s:7:\"promote\";a:6:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"promote\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:15:\"field_image_fid\";a:13:{s:2:\"id\";s:15:\"field_image_fid\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:15:\"field_image_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"style_options\";a:9:{s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:11:\"uses_fields\";i:0;s:14:\"slideshow_skin\";s:7:\"default\";s:14:\"slideshow_type\";s:21:\"views_slideshow_cycle\";s:21:\"views_slideshow_cycle\";a:24:{s:6:\"effect\";s:4:\"fade\";s:19:\"transition_advanced\";i:0;s:7:\"timeout\";s:4:\"5000\";s:5:\"speed\";s:3:\"700\";s:5:\"delay\";s:1:\"0\";s:4:\"sync\";i:1;s:6:\"random\";i:0;s:5:\"pause\";i:1;s:14:\"pause_on_click\";i:0;s:15:\"action_advanced\";i:0;s:12:\"start_paused\";i:0;s:14:\"remember_slide\";i:0;s:19:\"remember_slide_days\";s:1:\"1\";s:15:\"pause_in_middle\";i:0;s:17:\"pause_when_hidden\";i:0;s:22:\"pause_when_hidden_type\";s:4:\"full\";s:22:\"amount_allowed_visible\";s:0:\"\";s:6:\"nowrap\";i:0;s:12:\"fixed_height\";i:1;s:15:\"items_per_slide\";s:1:\"1\";s:19:\"wait_for_image_load\";i:1;s:27:\"wait_for_image_load_timeout\";s:4:\"3000\";s:9:\"cleartype\";i:0;s:13:\"cleartypenobg\";i:0;}s:7:\"widgets\";a:2:{s:3:\"top\";a:3:{s:21:\"views_slideshow_pager\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}s:24:\"views_slideshow_controls\";a:4:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}}s:6:\"bottom\";a:3:{s:21:\"views_slideshow_pager\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}s:24:\"views_slideshow_controls\";a:4:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";s:20:\"hide_on_single_slide\";i:0;s:4:\"type\";s:29:\"views_slideshow_controls_text\";}s:29:\"views_slideshow_slide_counter\";a:2:{s:6:\"enable\";i:0;s:6:\"weight\";s:1:\"1\";}}}s:9:\"skin_info\";a:5:{s:4:\"name\";s:7:\"Default\";s:5:\"class\";s:7:\"default\";s:6:\"module\";s:15:\"views_slideshow\";s:4:\"path\";s:0:\"\";s:11:\"stylesheets\";a:0:{}}}s:6:\"fields\";a:2:{s:15:\"field_slideshow\";a:34:{s:2:\"id\";s:15:\"field_slideshow\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:15:\"field_slideshow\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}}}'),(1,'feed','Feed','feed',3,'a:9:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:8:\"defaults\";a:1:{s:5:\"title\";b:0;}s:5:\"title\";s:15:\"Front page feed\";s:5:\"pager\";a:1:{s:4:\"type\";s:4:\"some\";}s:12:\"style_plugin\";s:3:\"rss\";s:10:\"row_plugin\";s:8:\"node_rss\";s:4:\"path\";s:7:\"rss.xml\";s:8:\"displays\";a:2:{s:7:\"default\";s:7:\"default\";s:4:\"page\";s:4:\"page\";}s:14:\"sitename_title\";s:1:\"1\";}'),(1,'page','Page','page',2,'a:7:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:9:\"frontpage\";s:7:\"filters\";a:4:{s:7:\"promote\";a:6:{s:2:\"id\";s:7:\"promote\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"promote\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:6:\"status\";a:6:{s:2:\"id\";s:6:\"status\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:5:\"value\";s:1:\"1\";s:5:\"group\";i:0;s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:19:\"field_slideshow_fid\";a:13:{s:2:\"id\";s:19:\"field_slideshow_fid\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:19:\"field_slideshow_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:8:\"defaults\";a:4:{s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:6:\"fields\";b:0;s:9:\"css_class\";b:0;}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:6:\"fields\";a:6:{s:15:\"field_slideshow\";a:34:{s:2:\"id\";s:15:\"field_slideshow\";s:5:\"table\";s:26:\"field_data_field_slideshow\";s:5:\"field\";s:15:\"field_slideshow\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:1:{i:0;s:10:\"fieldset_1\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:23:\"slide-item-caption-wrap\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:1:{i:0;s:8:\"fieldset\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:23:\"slide-item-caption-cont\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:5:\"title\";i:1;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:23:\"slide-item-caption-info\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"150\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:9:\"css_class\";s:14:\"main-slideshow\";}'),(2,'default','Master','default',1,'a:12:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"4\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:3:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"200\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:1:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:8:\"Services\";s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:13:\"gallery-popup\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;}}'),(2,'page','Page','page',2,'a:10:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:8:\"services\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:8:\"Services\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:9:\"css_class\";s:12:\"pt-highlight\";s:8:\"defaults\";a:6:{s:9:\"css_class\";b:0;s:6:\"fields\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:6:\"fields\";a:7:{s:3:\"nid\";a:22:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:0:\"\";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:10:\"fieldset_2\";i:1;s:7:\"nothing\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:25:\"pt-info-wrap gallery-info\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:10:\"fieldset_2\";a:23:{s:2:\"id\";s:10:\"fieldset_2\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:1:{i:0;s:8:\"fieldset\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:13:\"pt-info-inner\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:1:{i:0;s:5:\"title\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:7:\"pt-info\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:118:\"<span class=\"gallery-popup-data\" data-view-name=\"gallery\" data-view-display-id=\"block_1\" data-view-args=\"[nid]\"><span>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"4\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(3,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"6\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;}s:13:\"field_percent\";a:34:{s:2:\"id\";s:13:\"field_percent\";s:5:\"table\";s:24:\"field_data_field_percent\";s:5:\"field\";s:13:\"field_percent\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\" \";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";s:1:\"2\";s:13:\"prefix_suffix\";i:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:7:\"involes\";s:7:\"involes\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:10:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"order\";s:3:\"ASC\";s:7:\"exposed\";b:0;s:6:\"expose\";a:1:{s:5:\"label\";s:0:\"\";}s:11:\"granularity\";s:6:\"second\";}}s:5:\"title\";s:18:\"our work  involves\";}'),(3,'page','Page','page',2,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:17:\"our-work-involves\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:17:\"Our work involves\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:10:\"navigation\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:9:\"css_class\";s:13:\"work-involves\";s:8:\"defaults\";a:2:{s:9:\"css_class\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:4:{s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:2:{i:0;s:11:\"field_image\";i:1;s:5:\"title\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:10:\"item-group\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:4:\"span\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:0;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:13:\"field_percent\";a:34:{s:2:\"id\";s:13:\"field_percent\";s:5:\"table\";s:24:\"field_data_field_percent\";s:5:\"field\";s:13:\"field_percent\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:14:\"number_decimal\";s:8:\"settings\";a:4:{s:18:\"thousand_separator\";s:1:\" \";s:17:\"decimal_separator\";s:1:\".\";s:5:\"scale\";s:1:\"2\";s:13:\"prefix_suffix\";i:0;}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}}'),(4,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"none\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"2\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:5:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:1;s:11:\"image_style\";s:14:\"thumbnail_user\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:4:\"name\";i:1;s:9:\"field_job\";i:2;s:9:\"field_bio\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:9:\"user-info\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:4:\"name\";a:9:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_user\";i:1;s:19:\"overwrite_anonymous\";i:0;}s:9:\"field_job\";a:34:{s:2:\"id\";s:9:\"field_job\";s:5:\"table\";s:20:\"field_data_field_job\";s:5:\"field\";s:9:\"field_job\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"field_bio\";a:34:{s:2:\"id\";s:9:\"field_bio\";s:5:\"table\";s:20:\"field_data_field_bio\";s:5:\"field\";s:9:\"field_bio\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"200\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:1:{s:6:\"status\";a:6:{s:5:\"value\";s:1:\"1\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:13:\"Meet out team\";}'),(4,'page','Page','page',2,'a:6:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:13:\"meet-out-team\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:13:\"Meet out team\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:9:\"css_class\";s:9:\"list-type\";s:8:\"defaults\";a:2:{s:9:\"css_class\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:5:{s:7:\"picture\";a:23:{s:2:\"id\";s:7:\"picture\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:7:\"picture\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:21:\"link_photo_to_profile\";i:0;s:11:\"image_style\";s:14:\"thumbnail_user\";}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:4:\"name\";i:1;s:9:\"field_job\";i:2;s:9:\"field_bio\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:9:\"user-info\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:4:\"name\";a:25:{s:2:\"id\";s:4:\"name\";s:5:\"table\";s:5:\"users\";s:5:\"field\";s:4:\"name\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_user\";i:0;s:19:\"overwrite_anonymous\";i:0;s:14:\"anonymous_text\";s:0:\"\";s:15:\"format_username\";i:1;}s:9:\"field_job\";a:34:{s:2:\"id\";s:9:\"field_job\";s:5:\"table\";s:20:\"field_data_field_job\";s:5:\"field\";s:9:\"field_job\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"field_bio\";a:34:{s:2:\"id\";s:9:\"field_bio\";s:5:\"table\";s:20:\"field_data_field_bio\";s:5:\"field\";s:9:\"field_bio\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"200\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}}'),(5,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:2:\"12\";s:6:\"offset\";s:1:\"0\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:2:{s:13:\"field_website\";a:34:{s:2:\"id\";s:13:\"field_website\";s:5:\"table\";s:24:\"field_data_field_website\";s:5:\"field\";s:13:\"field_website\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"url\";s:4:\"type\";s:13:\"link_absolute\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:1;s:4:\"path\";s:15:\"[field_website]\";s:8:\"absolute\";i:1;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:15:\"[field_website]\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:6:\"_blank\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"thumbnail_user\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:6:\"client\";s:6:\"client\";}}s:15:\"field_image_fid\";a:13:{s:2:\"id\";s:15:\"field_image_fid\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:15:\"field_image_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:7:\"Clients\";s:9:\"css_class\";s:11:\"client-grid\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}}'),(5,'page','Page','page',2,'a:3:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:7:\"clients\";s:4:\"menu\";a:3:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:7:\"Clients\";s:4:\"name\";s:9:\"main-menu\";}}'),(6,'block_1','Gallery data json','block',7,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:19:\"display_description\";s:0:\"\";s:12:\"style_plugin\";s:10:\"views_json\";s:8:\"defaults\";a:11:{s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:6:\"fields\";b:0;s:8:\"use_ajax\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:9:\"arguments\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;}s:13:\"style_options\";a:16:{s:11:\"root_object\";s:0:\"\";s:16:\"top_child_object\";s:0:\"\";s:12:\"field_output\";s:6:\"normal\";s:16:\"plaintext_output\";i:1;s:15:\"remove_newlines\";i:0;s:6:\"format\";s:6:\"simple\";s:12:\"jsonp_prefix\";s:0:\"\";s:12:\"content_type\";s:7:\"default\";s:20:\"using_views_api_mode\";i:0;s:13:\"object_arrays\";i:0;s:15:\"numeric_strings\";i:0;s:13:\"bigint_string\";i:0;s:12:\"pretty_print\";i:0;s:17:\"unescaped_slashes\";i:0;s:17:\"unescaped_unicode\";i:0;s:13:\"char_encoding\";a:0:{}}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:6:\"fields\";a:4:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:18:\"field_gallery_type\";a:34:{s:2:\"id\";s:18:\"field_gallery_type\";s:5:\"table\";s:29:\"field_data_field_gallery_type\";s:5:\"field\";s:18:\"field_gallery_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_image_1\";a:34:{s:2:\"id\";s:13:\"field_image_1\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:6:\"medium\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:8:\"use_ajax\";b:1;s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"none\";s:7:\"options\";a:1:{s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:9:\"arguments\";a:1:{s:3:\"nid\";a:22:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:14:\"default_action\";s:6:\"ignore\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";i:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";i:0;s:5:\"title\";s:0:\"\";s:17:\"breadcrumb_enable\";i:0;s:10:\"breadcrumb\";s:0:\"\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";i:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";s:1:\"1\";s:14:\"items_per_page\";s:2:\"25\";s:8:\"override\";i:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";i:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";i:0;s:3:\"not\";i:0;}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}}'),(6,'block_4','Gallery Block','block',5,'a:15:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"fields\";a:7:{s:3:\"nid\";a:22:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:10:\"stddev_pop\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:9:\"entity_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:5:\"title\";i:1;s:18:\"field_gallery_type\";i:2;s:13:\"field_image_1\";i:3;s:7:\"nothing\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:12:\"gallery-info\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:18:\"field_gallery_type\";a:34:{s:2:\"id\";s:18:\"field_gallery_type\";s:5:\"table\";s:29:\"field_data_field_gallery_type\";s:5:\"field\";s:18:\"field_gallery_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:13:\"field_image_1\";a:42:{s:2:\"id\";s:13:\"field_image_1\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:14:\"count_distinct\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:11:\"image-count\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:13:\"set_precision\";b:0;s:9:\"precision\";i:0;s:7:\"decimal\";s:1:\".\";s:9:\"separator\";s:2:\", \";s:13:\"format_plural\";i:0;s:22:\"format_plural_singular\";s:1:\"1\";s:20:\"format_plural_plural\";s:6:\"@count\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:0:\"\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:9:\"entity_id\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:17:\"field_api_classes\";i:0;}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:118:\"<span class=\"gallery-popup-data\" data-view-name=\"gallery\" data-view-display-id=\"block_1\" data-view-args=\"[nid]\"><span>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}}s:8:\"defaults\";a:12:{s:6:\"fields\";b:0;s:9:\"css_class\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:8:\"group_by\";b:0;s:9:\"arguments\";b:0;}s:9:\"css_class\";s:12:\"gallery-grid\";s:19:\"display_description\";s:0:\"\";s:12:\"style_plugin\";s:4:\"grid\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:13:\"gallery-popup\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"4\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:15:\"field_image_fid\";a:13:{s:2:\"id\";s:15:\"field_image_fid\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:15:\"field_image_fid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:3:{s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:5:\"value\";s:0:\"\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:11:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:2:\"12\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:13:\"pager_options\";N;s:8:\"group_by\";i:1;s:9:\"arguments\";a:1:{s:3:\"tid\";a:26:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:14:\"default_action\";s:6:\"ignore\";s:9:\"exception\";a:3:{s:5:\"value\";s:3:\"all\";s:12:\"title_enable\";i:0;s:5:\"title\";s:3:\"All\";}s:12:\"title_enable\";i:0;s:5:\"title\";s:0:\"\";s:17:\"breadcrumb_enable\";i:0;s:10:\"breadcrumb\";s:0:\"\";s:21:\"default_argument_type\";s:5:\"fixed\";s:24:\"default_argument_options\";a:1:{s:8:\"argument\";s:0:\"\";}s:25:\"default_argument_skip_url\";i:0;s:15:\"summary_options\";a:4:{s:9:\"base_path\";s:0:\"\";s:5:\"count\";s:1:\"1\";s:14:\"items_per_page\";s:2:\"25\";s:8:\"override\";i:0;}s:7:\"summary\";a:3:{s:10:\"sort_order\";s:3:\"asc\";s:17:\"number_of_records\";s:1:\"0\";s:6:\"format\";s:15:\"default_summary\";}s:18:\"specify_validation\";i:0;s:8:\"validate\";a:2:{s:4:\"type\";s:4:\"none\";s:4:\"fail\";s:9:\"not found\";}s:16:\"validate_options\";a:0:{}s:12:\"break_phrase\";i:0;s:9:\"add_table\";i:0;s:13:\"require_value\";i:0;s:17:\"reduce_duplicates\";i:0;s:14:\"set_breadcrumb\";i:0;s:13:\"style_options\";a:0:{}}}}'),(6,'default','Master','default',1,'a:11:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"3\";}}s:12:\"style_plugin\";s:7:\"default\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:4:{s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:22:\"thumbnail_gallery_flow\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"200\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:18:\"field_gallery_type\";a:34:{s:2:\"id\";s:18:\"field_gallery_type\";s:5:\"table\";s:29:\"field_data_field_gallery_type\";s:5:\"field\";s:18:\"field_gallery_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:7:\"filters\";a:3:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}s:3:\"tid\";a:19:{s:2:\"id\";s:3:\"tid\";s:5:\"table\";s:14:\"taxonomy_index\";s:5:\"field\";s:3:\"tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"or\";s:5:\"value\";a:0:{}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";b:0;s:4:\"type\";s:9:\"textfield\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:12:\"gallery_type\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:0:\"\";}'),(6,'page','Gallery flow','page',2,'a:16:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:7:\"gallery\";s:4:\"menu\";a:3:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:12:\"Gallery flow\";s:4:\"name\";s:9:\"main-menu\";}s:6:\"fields\";a:5:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:8:\"1000x658\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:18:\"field_gallery_type\";i:2;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:9:\"item-cont\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:26:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:1;s:16:\"node_in_colorbox\";i:0;s:22:\"node_in_colorbox_width\";s:3:\"600\";s:23:\"node_in_colorbox_height\";s:3:\"600\";s:20:\"node_in_colorbox_rel\";s:0:\"\";}s:18:\"field_gallery_type\";a:34:{s:2:\"id\";s:18:\"field_gallery_type\";s:5:\"table\";s:29:\"field_data_field_gallery_type\";s:5:\"field\";s:18:\"field_gallery_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"200\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:8:\"defaults\";a:11:{s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:9:\"css_class\";b:0;s:5:\"title\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:19:\"display_description\";s:0:\"\";s:9:\"css_class\";s:12:\"gallery-flow\";s:5:\"title\";s:0:\"\";s:12:\"style_plugin\";s:4:\"list\";s:13:\"style_options\";a:7:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:22:\"responsiveGallery-item\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:25:\"responsiveGallery-wrapper\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;}'),(6,'page_1','Gallery ribbon','page',3,'a:16:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:14:\"gallery-ribbon\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:14:\"Gallery ribbon\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:19:\"display_description\";s:0:\"\";s:6:\"fields\";a:6:{s:3:\"nid\";a:22:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:22:\"thumbnail_gallery_flow\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:18:\"field_gallery_type\";i:2;s:7:\"nothing\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:9:\"item-cont\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:22:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"50\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:18:\"field_gallery_type\";a:34:{s:2:\"id\";s:18:\"field_gallery_type\";s:5:\"table\";s:29:\"field_data_field_gallery_type\";s:5:\"field\";s:18:\"field_gallery_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:118:\"<span class=\"gallery-popup-data\" data-view-name=\"gallery\" data-view-display-id=\"block_1\" data-view-args=\"[nid]\"><span>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}}s:8:\"defaults\";a:11:{s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:9:\"css_class\";b:0;s:5:\"title\";b:0;}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:12:\"style_plugin\";s:4:\"list\";s:13:\"style_options\";a:7:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:13:\"gallery-popup\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:4:\"type\";s:2:\"ul\";s:13:\"wrapper_class\";s:9:\"item-list\";s:5:\"class\";s:0:\"\";}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:2:\"10\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:9:\"css_class\";s:14:\"gallery-ribbon\";s:5:\"title\";s:0:\"\";}'),(6,'page_2','Gallery kenbums','page',4,'a:14:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:15:\"gallery-kenbums\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:15:\"Gallery kenbums\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:19:\"display_description\";s:0:\"\";s:6:\"fields\";a:5:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:8:\"1000x658\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:0;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:5:\"title\";i:1;s:18:\"field_gallery_type\";i:2;s:4:\"body\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:11:\"group-title\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:18:\"field_gallery_type\";a:34:{s:2:\"id\";s:18:\"field_gallery_type\";s:5:\"table\";s:29:\"field_data_field_gallery_type\";s:5:\"field\";s:18:\"field_gallery_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:29:\"taxonomy_term_reference_plain\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"100\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}}s:8:\"defaults\";a:9:{s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:5:\"title\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;s:9:\"css_class\";b:0;}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:5:\"title\";s:0:\"\";s:12:\"style_plugin\";s:37:\"views_bootstrap_carousel_plugin_style\";s:13:\"style_options\";a:4:{s:8:\"interval\";s:4:\"5000\";s:10:\"navigation\";i:1;s:10:\"indicators\";i:1;s:5:\"pause\";i:1;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}s:9:\"css_class\";s:15:\"gallery-kenbums\";}'),(6,'page_3','Gallery Masonry','page',6,'a:16:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:15:\"gallery-masonry\";s:4:\"menu\";a:7:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:15:\"Gallery masonry\";s:11:\"description\";s:0:\"\";s:4:\"name\";s:9:\"main-menu\";s:6:\"weight\";s:1:\"0\";s:7:\"context\";i:0;s:19:\"context_only_inline\";i:0;}s:6:\"fields\";a:8:{s:3:\"nid\";a:22:{s:2:\"id\";s:3:\"nid\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:3:\"nid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:1;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:3:{i:0;s:11:\"field_image\";i:1;s:8:\"fieldset\";i:2;s:4:\"path\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:9:\"col-inner\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:1;s:4:\"text\";s:142:\"<a href=\"[path]\" class=\"colorbox-node init-colorbox-node-processed-processed\" data-inner-width=\"600\" data-inner-height=\"600\">[field_image]</a>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:17:\"thumbnail_mansory\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:0;s:11:\"delta_limit\";s:1:\"1\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:4:{i:0;s:5:\"title\";i:1;s:18:\"field_gallery_type\";i:2;s:4:\"body\";i:3;s:7:\"nothing\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:10:\"group-info\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:26:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"30\";s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:12:\"link_to_node\";i:0;s:16:\"node_in_colorbox\";i:1;s:22:\"node_in_colorbox_width\";s:4:\"100%\";s:23:\"node_in_colorbox_height\";s:4:\"100%\";s:20:\"node_in_colorbox_rel\";s:7:\"gallery\";}s:18:\"field_gallery_type\";a:34:{s:2:\"id\";s:18:\"field_gallery_type\";s:5:\"table\";s:29:\"field_data_field_gallery_type\";s:5:\"field\";s:18:\"field_gallery_type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:2:\"70\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:7:\"nothing\";a:21:{s:2:\"id\";s:7:\"nothing\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:7:\"nothing\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";b:1;s:4:\"text\";s:118:\"<span class=\"gallery-popup-data\" data-view-name=\"gallery\" data-view-display-id=\"block_1\" data-view-args=\"[nid]\"><span>\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:0;}}s:8:\"defaults\";a:11:{s:6:\"fields\";b:0;s:7:\"filters\";b:0;s:13:\"filter_groups\";b:0;s:9:\"css_class\";b:0;s:5:\"pager\";b:0;s:13:\"pager_options\";b:0;s:5:\"title\";b:0;s:12:\"style_plugin\";b:0;s:13:\"style_options\";b:0;s:10:\"row_plugin\";b:0;s:11:\"row_options\";b:0;}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:13:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:2:\"in\";s:5:\"value\";a:1:{s:7:\"gallery\";s:7:\"gallery\";}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}}}s:13:\"filter_groups\";a:2:{s:8:\"operator\";s:3:\"AND\";s:6:\"groups\";a:1:{i:1;s:3:\"AND\";}}s:19:\"display_description\";s:0:\"\";s:9:\"css_class\";s:13:\"photo-masonry\";s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"some\";s:7:\"options\";a:2:{s:14:\"items_per_page\";s:2:\"10\";s:6:\"offset\";s:1:\"0\";}}s:13:\"pager_options\";N;s:5:\"title\";s:0:\"\";s:12:\"style_plugin\";s:7:\"default\";s:13:\"style_options\";a:4:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:13:\"gallery-popup\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;}s:10:\"row_plugin\";s:6:\"fields\";s:11:\"row_options\";a:0:{}}'),(7,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:1:{s:4:\"type\";s:4:\"perm\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:1:{s:14:\"items_per_page\";s:1:\"3\";}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:6:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:5:\"large\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"F d, Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:10:\"field_tags\";a:34:{s:2:\"id\";s:10:\"field_tags\";s:5:\"table\";s:21:\"field_data_field_tags\";s:5:\"field\";s:10:\"field_tags\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"150\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:4:\"type\";a:4:{s:2:\"id\";s:4:\"type\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:4:\"type\";s:5:\"value\";a:1:{s:4:\"blog\";s:4:\"blog\";}}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:4:\"Blog\";s:9:\"css_class\";s:9:\"blog-grid\";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}}'),(7,'page','Page','page',2,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:4:\"blog\";s:4:\"menu\";a:3:{s:4:\"type\";s:6:\"normal\";s:5:\"title\";s:4:\"Blog\";s:4:\"name\";s:9:\"main-menu\";}s:6:\"fields\";a:7:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:7:\"480x285\";s:10:\"image_link\";s:7:\"content\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:8:\"fieldset\";a:23:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:5:{i:0;s:5:\"title\";i:1;s:7:\"created\";i:2;s:10:\"field_tags\";i:3;s:4:\"body\";i:4;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:9:\"item-body\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"F d, Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:10:\"field_tags\";a:34:{s:2:\"id\";s:10:\"field_tags\";s:5:\"table\";s:21:\"field_data_field_tags\";s:5:\"field\";s:10:\"field_tags\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"150\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:22:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";}}s:8:\"defaults\";a:1:{s:6:\"fields\";b:0;}}'),(8,'default','Master','default',1,'a:13:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:6:\"access\";a:2:{s:4:\"type\";s:4:\"perm\";s:4:\"perm\";s:14:\"access content\";}s:5:\"cache\";a:1:{s:4:\"type\";s:4:\"none\";}s:12:\"exposed_form\";a:1:{s:4:\"type\";s:5:\"basic\";}s:5:\"pager\";a:2:{s:4:\"type\";s:4:\"full\";s:7:\"options\";a:7:{s:14:\"items_per_page\";s:1:\"9\";s:6:\"offset\";s:1:\"0\";s:2:\"id\";s:1:\"0\";s:11:\"total_pages\";s:0:\"\";s:8:\"quantity\";s:1:\"9\";s:4:\"tags\";a:4:{s:5:\"first\";s:8:\"« first\";s:8:\"previous\";s:12:\"‹ previous\";s:4:\"next\";s:8:\"next ›\";s:4:\"last\";s:7:\"last »\";}s:6:\"expose\";a:7:{s:14:\"items_per_page\";i:0;s:20:\"items_per_page_label\";s:14:\"Items per page\";s:22:\"items_per_page_options\";s:17:\"5, 10, 20, 40, 60\";s:26:\"items_per_page_options_all\";i:0;s:32:\"items_per_page_options_all_label\";s:7:\"- All -\";s:6:\"offset\";i:0;s:12:\"offset_label\";s:6:\"Offset\";}}}s:12:\"style_plugin\";s:4:\"grid\";s:10:\"row_plugin\";s:6:\"fields\";s:6:\"fields\";a:7:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:14:\"thumbnail_blog\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"F d, Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:10:\"field_tags\";a:34:{s:2:\"id\";s:10:\"field_tags\";s:5:\"table\";s:21:\"field_data_field_tags\";s:5:\"field\";s:10:\"field_tags\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"150\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";s:16:\"node_in_colorbox\";i:0;s:22:\"node_in_colorbox_width\";s:3:\"600\";s:23:\"node_in_colorbox_height\";s:3:\"600\";s:20:\"node_in_colorbox_rel\";s:0:\"\";}s:8:\"fieldset\";a:3:{s:2:\"id\";s:8:\"fieldset\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";}}s:7:\"filters\";a:2:{s:6:\"status\";a:6:{s:5:\"value\";i:1;s:5:\"table\";s:4:\"node\";s:5:\"field\";s:6:\"status\";s:2:\"id\";s:6:\"status\";s:6:\"expose\";a:1:{s:8:\"operator\";b:0;}s:5:\"group\";i:1;}s:14:\"field_tags_tid\";a:19:{s:2:\"id\";s:14:\"field_tags_tid\";s:5:\"table\";s:21:\"field_data_field_tags\";s:5:\"field\";s:14:\"field_tags_tid\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:8:\"operator\";s:9:\"not empty\";s:5:\"value\";a:0:{}s:5:\"group\";s:1:\"1\";s:7:\"exposed\";b:0;s:6:\"expose\";a:12:{s:11:\"operator_id\";b:0;s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:12:\"use_operator\";b:0;s:14:\"operator_label\";s:0:\"\";s:8:\"operator\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"required\";b:0;s:8:\"remember\";b:0;s:8:\"multiple\";b:0;s:14:\"remember_roles\";a:1:{i:2;i:2;}s:6:\"reduce\";b:0;}s:10:\"is_grouped\";b:0;s:10:\"group_info\";a:10:{s:5:\"label\";s:0:\"\";s:11:\"description\";s:0:\"\";s:10:\"identifier\";s:0:\"\";s:8:\"optional\";b:1;s:6:\"widget\";s:6:\"select\";s:8:\"multiple\";b:0;s:8:\"remember\";i:0;s:13:\"default_group\";s:3:\"All\";s:22:\"default_group_multiple\";a:0:{}s:11:\"group_items\";a:0:{}}s:17:\"reduce_duplicates\";i:0;s:4:\"type\";s:6:\"select\";s:5:\"limit\";b:1;s:10:\"vocabulary\";s:4:\"tags\";s:9:\"hierarchy\";i:0;s:13:\"error_message\";b:1;}}s:5:\"sorts\";a:1:{s:7:\"created\";a:4:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:5:\"order\";s:4:\"DESC\";}}s:5:\"title\";s:4:\"Tags\";s:9:\"css_class\";s:15:\"user-blog-page \";s:13:\"style_options\";a:9:{s:8:\"grouping\";a:0:{}s:9:\"row_class\";s:0:\"\";s:17:\"default_row_class\";i:1;s:17:\"row_class_special\";i:1;s:7:\"columns\";s:1:\"3\";s:9:\"alignment\";s:10:\"horizontal\";s:16:\"fill_single_line\";i:1;s:7:\"caption\";s:0:\"\";s:7:\"summary\";s:0:\"\";}}'),(8,'page','Page','page',2,'a:5:{s:5:\"query\";a:2:{s:4:\"type\";s:11:\"views_query\";s:7:\"options\";a:0:{}}s:4:\"path\";s:4:\"tags\";s:9:\"css_class\";s:9:\"blog-grid\";s:8:\"defaults\";a:2:{s:9:\"css_class\";b:0;s:6:\"fields\";b:0;}s:6:\"fields\";a:7:{s:11:\"field_image\";a:34:{s:2:\"id\";s:11:\"field_image\";s:5:\"table\";s:22:\"field_data_field_image\";s:5:\"field\";s:11:\"field_image\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"fid\";s:4:\"type\";s:5:\"image\";s:8:\"settings\";a:2:{s:11:\"image_style\";s:7:\"480x285\";s:10:\"image_link\";s:0:\"\";}s:12:\"group_column\";s:0:\"\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:10:\"fieldset_1\";a:23:{s:2:\"id\";s:10:\"fieldset_1\";s:5:\"table\";s:5:\"views\";s:5:\"field\";s:8:\"fieldset\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:8:\"Fieldset\";s:7:\"exclude\";b:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";b:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";b:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";b:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";b:1;s:8:\"ellipsis\";b:1;s:9:\"more_link\";b:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";b:0;s:4:\"trim\";b:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";b:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:1;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";b:0;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";b:0;s:16:\"hide_alter_empty\";b:1;s:8:\"children\";a:5:{i:0;s:5:\"title\";i:1;s:7:\"created\";i:2;s:10:\"field_tags\";i:3;s:4:\"body\";i:4;s:9:\"view_node\";}s:8:\"fieldset\";a:5:{s:4:\"type\";s:3:\"div\";s:7:\"classes\";s:9:\"item-body\";s:2:\"id\";s:0:\"\";s:11:\"collapsible\";i:0;s:9:\"collapsed\";i:0;}}s:5:\"title\";a:8:{s:2:\"id\";s:5:\"title\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:5:\"title\";s:5:\"label\";s:0:\"\";s:5:\"alter\";a:8:{s:10:\"alter_text\";i:0;s:9:\"make_link\";i:0;s:8:\"absolute\";i:0;s:4:\"trim\";i:0;s:13:\"word_boundary\";i:0;s:8:\"ellipsis\";i:0;s:10:\"strip_tags\";i:0;s:4:\"html\";i:0;}s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:12:\"link_to_node\";i:1;}s:7:\"created\";a:26:{s:2:\"id\";s:7:\"created\";s:5:\"table\";s:4:\"node\";s:5:\"field\";s:7:\"created\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:11:\"date_format\";s:6:\"custom\";s:18:\"custom_date_format\";s:6:\"F d, Y\";s:25:\"second_date_format_custom\";s:0:\"\";s:18:\"second_date_format\";s:4:\"long\";s:8:\"timezone\";s:0:\"\";}s:10:\"field_tags\";a:34:{s:2:\"id\";s:10:\"field_tags\";s:5:\"table\";s:21:\"field_data_field_tags\";s:5:\"field\";s:10:\"field_tags\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:3:\"tid\";s:4:\"type\";s:28:\"taxonomy_term_reference_link\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:3:\"tid\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";i:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";s:1:\"0\";s:14:\"delta_reversed\";i:0;s:16:\"delta_first_last\";i:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:4:\"body\";a:34:{s:2:\"id\";s:4:\"body\";s:5:\"table\";s:15:\"field_data_body\";s:5:\"field\";s:4:\"body\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";i:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:3:\"150\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:1;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:17:\"click_sort_column\";s:5:\"value\";s:4:\"type\";s:12:\"text_default\";s:8:\"settings\";a:0:{}s:12:\"group_column\";s:5:\"value\";s:13:\"group_columns\";a:0:{}s:10:\"group_rows\";b:1;s:11:\"delta_limit\";s:3:\"all\";s:12:\"delta_offset\";i:0;s:14:\"delta_reversed\";b:0;s:16:\"delta_first_last\";b:0;s:10:\"multi_type\";s:9:\"separator\";s:9:\"separator\";s:2:\", \";s:17:\"field_api_classes\";i:0;}s:9:\"view_node\";a:26:{s:2:\"id\";s:9:\"view_node\";s:5:\"table\";s:17:\"views_entity_node\";s:5:\"field\";s:9:\"view_node\";s:12:\"relationship\";s:4:\"none\";s:10:\"group_type\";s:5:\"group\";s:7:\"ui_name\";s:0:\"\";s:5:\"label\";s:0:\"\";s:7:\"exclude\";i:0;s:5:\"alter\";a:26:{s:10:\"alter_text\";i:0;s:4:\"text\";s:0:\"\";s:9:\"make_link\";i:0;s:4:\"path\";s:0:\"\";s:8:\"absolute\";i:0;s:8:\"external\";b:0;s:14:\"replace_spaces\";i:0;s:9:\"path_case\";s:4:\"none\";s:15:\"trim_whitespace\";i:0;s:3:\"alt\";s:0:\"\";s:3:\"rel\";s:0:\"\";s:10:\"link_class\";s:0:\"\";s:6:\"prefix\";s:0:\"\";s:6:\"suffix\";s:0:\"\";s:6:\"target\";s:0:\"\";s:5:\"nl2br\";i:0;s:10:\"max_length\";s:0:\"\";s:13:\"word_boundary\";i:1;s:8:\"ellipsis\";i:1;s:9:\"more_link\";i:0;s:14:\"more_link_text\";s:0:\"\";s:14:\"more_link_path\";s:0:\"\";s:10:\"strip_tags\";i:0;s:4:\"trim\";i:0;s:13:\"preserve_tags\";s:0:\"\";s:4:\"html\";i:0;}s:12:\"element_type\";s:0:\"\";s:13:\"element_class\";s:0:\"\";s:18:\"element_label_type\";s:0:\"\";s:19:\"element_label_class\";s:0:\"\";s:19:\"element_label_colon\";b:0;s:20:\"element_wrapper_type\";s:0:\"\";s:21:\"element_wrapper_class\";s:0:\"\";s:23:\"element_default_classes\";i:1;s:5:\"empty\";s:0:\"\";s:10:\"hide_empty\";i:0;s:10:\"empty_zero\";i:0;s:16:\"hide_alter_empty\";i:1;s:4:\"text\";s:9:\"Read more\";s:16:\"node_in_colorbox\";i:0;s:22:\"node_in_colorbox_width\";s:3:\"600\";s:23:\"node_in_colorbox_height\";s:3:\"600\";s:20:\"node_in_colorbox_rel\";s:0:\"\";}}}');
/*!40000 ALTER TABLE `views_display` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `views_view`
--

DROP TABLE IF EXISTS `views_view`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `views_view` (
  `vid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The view ID of the field, defined by the database.',
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT 'The unique name of the view. This is the primary field views are loaded from, and is used so that views may be internal and not necessarily in the database. May only be alphanumeric characters plus underscores.',
  `description` varchar(255) DEFAULT '' COMMENT 'A description of the view for the admin interface.',
  `tag` varchar(255) DEFAULT '' COMMENT 'A tag used to group/sort views in the admin interface',
  `base_table` varchar(64) NOT NULL DEFAULT '' COMMENT 'What table this view is based on, such as node, user, comment, or term.',
  `human_name` varchar(255) DEFAULT '' COMMENT 'A human readable name used to be displayed in the admin interface',
  `core` int(11) DEFAULT '0' COMMENT 'Stores the drupal core version of the view.',
  PRIMARY KEY (`vid`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='Stores the general data for a view.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `views_view`
--

LOCK TABLES `views_view` WRITE;
/*!40000 ALTER TABLE `views_view` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `views_view` VALUES (1,'frontpage','Emulates the default Drupal front page; you may set the default home page path to this view to make it your front page.','default','node','Front page',0),(2,'services','','default','node','Services',7),(3,'our_work_involves','','default','node','our work  involves',7),(4,'meet_your_team','','default','users','Meet your team',7),(5,'clients','','default','node','Clients',7),(6,'gallery','','default','node','Gallery',7),(7,'blog','','default','node','Blog',7),(8,'tags','','default','node','Tags',7);
/*!40000 ALTER TABLE `views_view` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `watchdog`
--

DROP TABLE IF EXISTS `watchdog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `watchdog` (
  `wid` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key: Unique watchdog event ID.',
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT 'The users.uid of the user who triggered the event.',
  `type` varchar(64) NOT NULL DEFAULT '' COMMENT 'Type of log message, for example "user" or "page not found."',
  `message` longtext NOT NULL COMMENT 'Text of log message to be passed into the t() function.',
  `variables` longblob NOT NULL COMMENT 'Serialized array of variables that match the message string and that is passed into the t() function.',
  `severity` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'The severity level of the event; ranges from 0 (Emergency) to 7 (Debug)',
  `link` varchar(255) DEFAULT '' COMMENT 'Link to view the result of the event.',
  `location` text NOT NULL COMMENT 'URL of the origin of the event.',
  `referer` text COMMENT 'URL of referring page.',
  `hostname` varchar(128) NOT NULL DEFAULT '' COMMENT 'Hostname of the user who triggered the event.',
  `timestamp` int(11) NOT NULL DEFAULT '0' COMMENT 'Unix timestamp of when event occurred.',
  PRIMARY KEY (`wid`),
  KEY `type` (`type`),
  KEY `uid` (`uid`),
  KEY `severity` (`severity`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8 COMMENT='Table that contains logs of all system events.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `watchdog`
--

LOCK TABLES `watchdog` WRITE;
/*!40000 ALTER TABLE `watchdog` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `watchdog` VALUES (1,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/photo/','http://local2.weebpal.com/drupal7/photo/install.php?profile=standard&locale=en','192.168.1.49',1499939438),(2,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/photo/user','http://local2.weebpal.com/drupal7/photo/user','192.168.1.49',1499939459),(3,1,'system','%module module installed.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/photo/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/photo/admin/modules?render=overlay','192.168.1.49',1499939523),(4,1,'system','%module module enabled.','a:1:{s:7:\"%module\";s:20:\"we_content_migration\";}',6,'','http://local2.weebpal.com/drupal7/photo/admin/modules/list/confirm?render=overlay','http://local2.weebpal.com/drupal7/photo/admin/modules?render=overlay','192.168.1.49',1499939523),(5,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/photo/user','','192.168.1.49',1499997831),(6,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://local2.weebpal.com/drupal7/photo/user','http://local2.weebpal.com/drupal7/photo/user','192.168.1.49',1499997840),(7,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://local2.weebpal.com/drupal7/photo/users/admin','http://local2.weebpal.com/drupal7/photo/user','192.168.1.49',1499997841),(8,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/photo/','','192.168.1.49',1499997841),(9,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/photo/','','192.168.1.49',1500346820),(10,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/photo/','','192.168.1.49',1500438443),(11,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:214:\"The following module is missing from the file system: <em class=\"placeholder\">colorbox_node</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:46:\"/data/dev/drupal7/photo/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/photo/admin/reports/status','http://local2.weebpal.com/drupal7/photo/','192.168.1.49',1500439031),(12,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:206:\"The following module is missing from the file system: <em class=\"placeholder\">devel</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:46:\"/data/dev/drupal7/photo/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/photo/admin/reports/status','http://local2.weebpal.com/drupal7/photo/','192.168.1.49',1500439031),(13,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:210:\"The following module is missing from the file system: <em class=\"placeholder\">sharethis</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:46:\"/data/dev/drupal7/photo/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/photo/admin/reports/status','http://local2.weebpal.com/drupal7/photo/','192.168.1.49',1500439031),(14,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:214:\"The following module is missing from the file system: <em class=\"placeholder\">colorbox_node</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:46:\"/data/dev/drupal7/photo/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/photo/admin/reports/status','http://local2.weebpal.com/drupal7/photo/','192.168.1.49',1500439068),(15,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:206:\"The following module is missing from the file system: <em class=\"placeholder\">devel</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:46:\"/data/dev/drupal7/photo/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/photo/admin/reports/status','http://local2.weebpal.com/drupal7/photo/','192.168.1.49',1500439068),(16,1,'php','%type: !message in %function (line %line of %file).','a:6:{s:5:\"%type\";s:12:\"User warning\";s:8:\"!message\";s:210:\"The following module is missing from the file system: <em class=\"placeholder\">sharethis</em>. For information about how to fix this, see <a href=\"https://www.drupal.org/node/2487215\">the documentation page</a>.\";s:9:\"%function\";s:44:\"_drupal_trigger_error_with_delayed_logging()\";s:5:\"%file\";s:46:\"/data/dev/drupal7/photo/includes/bootstrap.inc\";s:5:\"%line\";i:1143;s:14:\"severity_level\";i:4;}',4,'','http://local2.weebpal.com/drupal7/photo/admin/reports/status','http://local2.weebpal.com/drupal7/photo/','192.168.1.49',1500439068),(17,0,'cron','Cron run completed.','a:0:{}',5,'','http://local2.weebpal.com/drupal7/photo/','','192.168.1.49',1500459781),(18,0,'cron','Cron run completed.','a:0:{}',5,'','http://photo.local2.weebpal.com/','','27.74.249.234',1502692844),(19,0,'cron','Cron run completed.','a:0:{}',5,'','http://photo.local2.weebpal.com/','','27.74.249.234',1507174969),(20,0,'user','Login attempt failed for %user.','a:1:{s:5:\"%user\";s:0:\"\";}',5,'','http://photo.local2.weebpal.com/user','http://photo.local2.weebpal.com/user','27.74.249.234',1507174991),(21,1,'user','Session opened for %name.','a:1:{s:5:\"%name\";s:5:\"admin\";}',5,'','http://photo.local2.weebpal.com/user','http://photo.local2.weebpal.com/user','27.74.249.234',1507174996),(22,0,'cron','Cron run completed.','a:0:{}',5,'','http://photo.local2.weebpal.com/','','192.168.1.170',1508307700),(23,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://photo.local2.weebpal.com/gallery/2015-traveler-photo-contest','http://photo.local2.weebpal.com/','192.168.1.34',1512618612),(24,0,'cron','Attempting to re-run cron while it is already running.','a:0:{}',4,'','http://photo.local2.weebpal.com/juicebox/xml/field/node/4/field_image/full?checksum=369ea9080810a92f1fa333c8a7bfb52b','http://photo.local2.weebpal.com/gallery/2015-traveler-photo-contest','192.168.1.34',1512618613),(25,0,'cron','Cron run completed.','a:0:{}',5,'','http://photo.local2.weebpal.com/','','192.168.1.34',1512618615);
/*!40000 ALTER TABLE `watchdog` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping`
--

DROP TABLE IF EXISTS `we_content_migration_mapping`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `old_entity_type` varchar(128) DEFAULT NULL COMMENT 'The machine name of the old entity',
  `old_bundle` varchar(128) DEFAULT NULL COMMENT 'The old bundle’s name',
  `old_entity_id` int(11) DEFAULT NULL COMMENT 'The old entity id',
  `new_entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the new entity',
  `new_bundle` varchar(128) NOT NULL COMMENT 'The new bundle’s name',
  `new_entity_id` int(11) NOT NULL COMMENT 'The new entity id',
  PRIMARY KEY (`id`),
  KEY `mapping` (`old_entity_type`,`old_bundle`,`old_entity_id`,`new_entity_type`,`new_bundle`,`new_entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save the mapping.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping`
--

LOCK TABLES `we_content_migration_mapping` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `we_content_migration_mapping_reference`
--

DROP TABLE IF EXISTS `we_content_migration_mapping_reference`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `we_content_migration_mapping_reference` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The primary identifier',
  `entity_type` varchar(128) NOT NULL COMMENT 'The machine name of the entity',
  `bundle` varchar(128) NOT NULL COMMENT 'The bundle’s name',
  `eid` int(11) NOT NULL COMMENT 'The entity id',
  `field_name` varchar(32) NOT NULL COMMENT 'The field name',
  `field_value` text NOT NULL COMMENT 'The field value string',
  `language` varchar(12) NOT NULL DEFAULT '',
  `status` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `mapping_reference` (`entity_type`,`bundle`,`eid`,`field_name`,`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='The table to save all reference field data.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `we_content_migration_mapping_reference`
--

LOCK TABLES `we_content_migration_mapping_reference` WRITE;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `we_content_migration_mapping_reference` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform`
--

DROP TABLE IF EXISTS `webform`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform` (
  `nid` int(10) unsigned NOT NULL COMMENT 'The node identifier of a webform.',
  `next_serial` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The serial number to give to the next submission to this webform.',
  `confirmation` text NOT NULL COMMENT 'The confirmation message or URL displayed to the user after submitting a form.',
  `confirmation_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the confirmation message.',
  `redirect_url` varchar(2048) DEFAULT '<confirmation>' COMMENT 'The URL a user is redirected to after submitting a form.',
  `status` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value of a webform for open (1) or closed (0).',
  `block` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether this form be available as a block.',
  `allow_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form be saved as a draft.',
  `auto_save` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether submissions to this form should be auto-saved between pages.',
  `submit_notice` tinyint(4) NOT NULL DEFAULT '1' COMMENT 'Boolean value for whether to show or hide the previous submissions notification.',
  `submit_text` varchar(255) DEFAULT NULL COMMENT 'The title of the submit button on the form.',
  `submit_limit` tinyint(4) NOT NULL DEFAULT '-1' COMMENT 'The number of submissions a single user is allowed to submit within an interval. -1 is unlimited.',
  `submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before a user can submit another submission within the set limit.',
  `total_submit_limit` int(11) NOT NULL DEFAULT '-1' COMMENT 'The total number of submissions allowed within an interval. -1 is unlimited.',
  `total_submit_interval` int(11) NOT NULL DEFAULT '-1' COMMENT 'The amount of time in seconds that must pass before another submission can be submitted within the set limit.',
  `progressbar_bar` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the bar should be shown as part of the progress bar.',
  `progressbar_page_number` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the page number should be shown as part of the progress bar.',
  `progressbar_percent` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the percentage complete should be shown as part of the progress bar.',
  `progressbar_pagebreak_labels` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the pagebreak labels should be included as part of the progress bar.',
  `progressbar_include_confirmation` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if the confirmation page should count as a page in the progress bar.',
  `progressbar_label_first` varchar(255) DEFAULT NULL COMMENT 'Label for the first page of the progress bar.',
  `progressbar_label_confirmation` varchar(255) DEFAULT NULL COMMENT 'Label for the last page of the progress bar.',
  `preview` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value indicating if this form includes a page for previewing the submission.',
  `preview_next_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button that will proceed to the preview page.',
  `preview_prev_button_label` varchar(255) DEFAULT NULL COMMENT 'The text for the button to go backwards from the preview page.',
  `preview_title` varchar(255) DEFAULT NULL COMMENT 'The title of the preview page, as used by the progress bar.',
  `preview_message` text NOT NULL COMMENT 'Text shown on the preview page of the form.',
  `preview_message_format` varchar(255) DEFAULT NULL COMMENT 'The filter_format.format of the preview page message.',
  `preview_excluded_components` text NOT NULL COMMENT 'Comma-separated list of component IDs that should not be included in this form’s confirmation page.',
  `confidential` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean value for whether to anonymize submissions.',
  PRIMARY KEY (`nid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for storing additional properties for webform nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform`
--

LOCK TABLES `webform` WRITE;
/*!40000 ALTER TABLE `webform` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform` VALUES (33,1,'',NULL,'<confirmation>',1,0,0,0,1,'',-1,-1,-1,-1,1,0,0,1,1,'Start','Complete',0,'','','','',NULL,'',0);
/*!40000 ALTER TABLE `webform` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_component`
--

DROP TABLE IF EXISTS `webform_component`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_component` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `pid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If this component has a parent fieldset, the cid of that component.',
  `form_key` varchar(128) DEFAULT NULL COMMENT 'When the form is displayed and processed, this key can be used to reference the results.',
  `name` text NOT NULL COMMENT 'The label for this component.',
  `type` varchar(16) DEFAULT NULL COMMENT 'The field type of this component (textfield, select, hidden, etc.).',
  `value` text NOT NULL COMMENT 'The default value of the component when displayed to the end-user.',
  `extra` text NOT NULL COMMENT 'Additional information unique to the display or processing of this component.',
  `required` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Boolean flag for if this component is required.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this component in the form.',
  PRIMARY KEY (`nid`,`cid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores information about components for webform nodes.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_component`
--

LOCK TABLES `webform_component` WRITE;
/*!40000 ALTER TABLE `webform_component` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_component` VALUES (33,1,0,'your_name','Your name','textfield','','a:5:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:15:\"wrapper_classes\";s:0:\"\";s:11:\"css_classes\";s:0:\"\";s:11:\"placeholder\";s:9:\"Your name\";}',1,0),(33,2,0,'your_email','Your email','textfield','','a:5:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:15:\"wrapper_classes\";s:0:\"\";s:11:\"css_classes\";s:0:\"\";s:11:\"placeholder\";s:10:\"Your email\";}',1,1),(33,3,0,'subject','Subject','textfield','','a:5:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:15:\"wrapper_classes\";s:0:\"\";s:11:\"css_classes\";s:0:\"\";s:11:\"placeholder\";s:7:\"Subject\";}',1,2),(33,4,0,'Comment','Comment','textarea','','a:5:{s:13:\"title_display\";s:4:\"none\";s:7:\"private\";i:0;s:15:\"wrapper_classes\";s:0:\"\";s:11:\"css_classes\";s:0:\"\";s:11:\"placeholder\";s:15:\"Your comment...\";}',1,3);
/*!40000 ALTER TABLE `webform_component` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional`
--

DROP TABLE IF EXISTS `webform_conditional`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `andor` varchar(128) DEFAULT NULL COMMENT 'Whether to AND or OR the actions in this group. All actions within the same crid should have the same andor value.',
  `weight` smallint(6) NOT NULL DEFAULT '0' COMMENT 'Determines the position of this conditional compared to others.',
  PRIMARY KEY (`nid`,`rgid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional`
--

LOCK TABLES `webform_conditional` WRITE;
/*!40000 ALTER TABLE `webform_conditional` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional_actions`
--

DROP TABLE IF EXISTS `webform_conditional_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional_actions` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `aid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional action.',
  `target_type` varchar(128) DEFAULT NULL COMMENT 'The type of target to be affected. Currently always "component". Indicates what type of ID the "target" column contains.',
  `target` varchar(128) DEFAULT NULL COMMENT 'The ID of the target to be affected. Typically a component ID.',
  `invert` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'If inverted, execute when rule(s) are false.',
  `action` varchar(128) DEFAULT NULL COMMENT 'The action to be performed on the target.',
  `argument` text COMMENT 'Optional argument for action.',
  PRIMARY KEY (`nid`,`rgid`,`aid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional actions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional_actions`
--

LOCK TABLES `webform_conditional_actions` WRITE;
/*!40000 ALTER TABLE `webform_conditional_actions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional_actions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_conditional_rules`
--

DROP TABLE IF EXISTS `webform_conditional_rules`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_conditional_rules` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rgid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule group identifier for this group of rules.',
  `rid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The rule identifier for this conditional rule.',
  `source_type` varchar(128) DEFAULT NULL COMMENT 'The type of source on which the conditional is based. Currently always "component". Indicates what type of ID the "source" column contains.',
  `source` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The component ID being used in this condition.',
  `operator` varchar(128) DEFAULT NULL COMMENT 'Which operator (equal, contains, starts with, etc.) should be used for this comparison between the source and value?',
  `value` text COMMENT 'The value to be compared with source.',
  PRIMARY KEY (`nid`,`rgid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information about conditional logic.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_conditional_rules`
--

LOCK TABLES `webform_conditional_rules` WRITE;
/*!40000 ALTER TABLE `webform_conditional_rules` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_conditional_rules` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_emails`
--

DROP TABLE IF EXISTS `webform_emails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_emails` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `eid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The e-mail identifier for this row’s settings.',
  `email` text COMMENT 'The e-mail address that will be sent to upon submission. This may be an e-mail address, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `subject` text COMMENT 'The e-mail subject that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_name` text COMMENT 'The e-mail "from" name that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `from_address` text COMMENT 'The e-mail "from" e-mail address that will be used. This may be a string, the special key "default" or a numeric value. If a numeric value is used, the value of a component will be substituted on submission.',
  `template` text COMMENT 'A template that will be used for the sent e-mail. This may be a string or the special key "default", which will use the template provided by the theming layer.',
  `excluded_components` text NOT NULL COMMENT 'A list of components that will not be included in the [submission:values] token. A list of CIDs separated by commas.',
  `html` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will be sent in an HTML format. Requires Mime Mail module.',
  `attachments` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include file attachments. Requires Mime Mail module.',
  `extra` text NOT NULL COMMENT 'A serialized array of additional options for the e-mail configuration, including excluded components and value mapping for the TO and FROM addresses for select lists.',
  `exclude_empty` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Determines if the e-mail will include component with an empty value.',
  `status` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'Whether this email is enabled.',
  PRIMARY KEY (`nid`,`eid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds information regarding e-mails that should be sent...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_emails`
--

LOCK TABLES `webform_emails` WRITE;
/*!40000 ALTER TABLE `webform_emails` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_emails` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_last_download`
--

DROP TABLE IF EXISTS `webform_last_download`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_last_download` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The user identifier.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The last downloaded submission number.',
  `requested` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Timestamp of last download request.',
  PRIMARY KEY (`nid`,`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores last submission number per user download.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_last_download`
--

LOCK TABLES `webform_last_download` WRITE;
/*!40000 ALTER TABLE `webform_last_download` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_last_download` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_roles`
--

DROP TABLE IF EXISTS `webform_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_roles` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `rid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The role identifier.',
  PRIMARY KEY (`nid`,`rid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds access information regarding which roles are...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_roles`
--

LOCK TABLES `webform_roles` WRITE;
/*!40000 ALTER TABLE `webform_roles` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `webform_roles` VALUES (33,1),(33,2);
/*!40000 ALTER TABLE `webform_roles` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submissions`
--

DROP TABLE IF EXISTS `webform_submissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submissions` (
  `sid` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'The unique identifier for this submission.',
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `serial` int(10) unsigned NOT NULL COMMENT 'The serial number of this submission.',
  `uid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The id of the user that completed this submission.',
  `is_draft` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Is this a draft of the submission?',
  `submitted` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp of when the form was submitted.',
  `remote_addr` varchar(128) DEFAULT NULL COMMENT 'The IP address of the user that submitted the form.',
  `completed` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was submitted as complete (not draft).',
  `modified` int(11) NOT NULL DEFAULT '0' COMMENT 'Timestamp when the form was last saved (complete or draft).',
  `highest_valid_page` smallint(6) NOT NULL DEFAULT '0' COMMENT 'For drafts, the highest validated page number.',
  PRIMARY KEY (`sid`),
  UNIQUE KEY `sid_nid` (`sid`,`nid`),
  UNIQUE KEY `nid_serial` (`nid`,`serial`),
  KEY `nid_uid_sid` (`nid`,`uid`,`sid`),
  KEY `nid_sid` (`nid`,`sid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Holds general information about submissions outside of...';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submissions`
--

LOCK TABLES `webform_submissions` WRITE;
/*!40000 ALTER TABLE `webform_submissions` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_submissions` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `webform_submitted_data`
--

DROP TABLE IF EXISTS `webform_submitted_data`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `webform_submitted_data` (
  `nid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The node identifier of a webform.',
  `sid` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The unique identifier for this submission.',
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'The identifier for this component within this node, starts at 0 for each node.',
  `no` varchar(128) NOT NULL DEFAULT '0' COMMENT 'Usually this value is 0, but if a field has multiple values (such as a time or date), it may require multiple rows in the database.',
  `data` mediumtext NOT NULL COMMENT 'The submitted value of this field, may be serialized for some components.',
  PRIMARY KEY (`nid`,`sid`,`cid`,`no`),
  KEY `nid` (`nid`),
  KEY `sid_nid` (`sid`,`nid`),
  KEY `data` (`data`(64))
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Stores all submitted field data for webform submissions.';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `webform_submitted_data`
--

LOCK TABLES `webform_submitted_data` WRITE;
/*!40000 ALTER TABLE `webform_submitted_data` DISABLE KEYS */;
set autocommit=0;
/*!40000 ALTER TABLE `webform_submitted_data` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `weight_settings`
--

DROP TABLE IF EXISTS `weight_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `weight_settings` (
  `type` varchar(32) NOT NULL DEFAULT '',
  `weight_enabled` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `weight_range` tinyint(3) unsigned NOT NULL DEFAULT '20',
  `menu_weight` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `weight_default` tinyint(4) NOT NULL DEFAULT '0',
  `sync_translations` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Table for storing Weight configuration';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `weight_settings`
--

LOCK TABLES `weight_settings` WRITE;
/*!40000 ALTER TABLE `weight_settings` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `weight_settings` VALUES ('article',0,20,0,0,0),('blog',0,20,0,0,0),('client',0,20,0,0,0),('gallery',0,20,0,0,0),('involes',0,20,0,0,0),('services',0,20,0,0,0),('webform',0,20,0,0,0);
/*!40000 ALTER TABLE `weight_settings` ENABLE KEYS */;
UNLOCK TABLES;
commit;

--
-- Table structure for table `weight_weights`
--

DROP TABLE IF EXISTS `weight_weights`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `weight_weights` (
  `entity_id` int(10) unsigned NOT NULL,
  `entity_type` varchar(32) NOT NULL,
  `weight` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`entity_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `weight_weights`
--

LOCK TABLES `weight_weights` WRITE;
/*!40000 ALTER TABLE `weight_weights` DISABLE KEYS */;
set autocommit=0;
INSERT INTO `weight_weights` VALUES (29,'node',0),(30,'node',0),(31,'node',0),(32,'node',0),(33,'node',0);
/*!40000 ALTER TABLE `weight_weights` ENABLE KEYS */;
UNLOCK TABLES;
commit;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2017-12-07 14:44:02
